---
title: Zip архивы
slug: bsp/zip-архивы
---


## Создать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	ИмяФайла - Строка
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ИмяФайла - Строка
// * Размер - Число
// * РазмерКаталога - Число
// * Файлы - Массив Из см. ПрочитатьЗаписьКаталога
// * Поток - ФайловыйПоток
//
Функция Создать(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ZipАрхивы.Создать(ИмяФайла) 
```
</details>

## ДобавитьФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	Архив - см. Создать
// 	ИмяФайла - Строка
//
Процедура ДобавитьФайл(Архив, ИмяФайла) Экспорт
```

Пример вызова
```bsl
ZipАрхивы.ДобавитьФайл(Архив, ИмяФайла) 
```
</details>

## Размер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Архив - см. Создать
//
// Возвращаемое значение:
//  Число
Функция Размер(Архив) Экспорт
```

Пример вызова
```bsl
Результат = ZipАрхивы.Размер(Архив) 
```
</details>

## ОтделитьЧасть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	Архив - см. Создать
// 	ИмяФайла - Строка
//
Процедура ОтделитьЧасть(Архив, ИмяФайла) Экспорт
```

Пример вызова
```bsl
ZipАрхивы.ОтделитьЧасть(Архив, ИмяФайла) 
```
</details>

## Завершить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	Архив - см. Создать
//
Процедура Завершить(Архив) Экспорт
```

Пример вызова
```bsl
ZipАрхивы.Завершить(Архив) 
```
</details>

## ПрочитатьАрхив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прочитать архив.
//
// Параметры:
//  Источник - ФайловыйПоток, ПотокВПамяти, УникальныйИдентификатор -
//  	источник архива, если УникальныйИдентификатор - то это файл в томе.
//
// Возвращаемое значение:
//	Структура:
//	 * КаталогФайлов - Соответствие из КлючИЗначение:
//		** Ключ - строка - имя файла.
//		** Значение - см. ПрочитатьЗаписьКаталога
//   * Источник - ФайловыйПоток, ПотокВПамяти, УникальныйИдентификатор -
//   * КонецКаталога - см. КонецКаталога
//   * Смещение - Число
//   * Размер - Число
//			  - Неопределено
Функция ПрочитатьАрхив(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ZipАрхивы.ПрочитатьАрхив(Источник) 
```
</details>

## ПрочитатьВложенныйНесжатыйАрхив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
// 	ДанныеАрхива - см. ZipАрхивы.ПрочитатьАрхив
// 	ИмяФайла - Строка - имя файла в архиве
//
// Возвращаемое значение:
//  см. ПрочитатьАрхив
Функция ПрочитатьВложенныйНесжатыйАрхив(ДанныеАрхива, ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ZipАрхивы.ПрочитатьВложенныйНесжатыйАрхив(ДанныеАрхива, ИмяФайла) 
```
</details>

## ИзвлечьФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ДанныеАрхива - см. ZipАрхивы.ПрочитатьАрхив
//  ИмяФайла - Строка
//  Каталог - Строка
//
// Возвращаемое значение:
//  Булево
Функция ИзвлечьФайл(ДанныеАрхива, ИмяФайла, Каталог) Экспорт
```

Пример вызова
```bsl
Результат = ZipАрхивы.ИзвлечьФайл(ДанныеАрхива, ИмяФайла, Каталог) 
```
</details>

## ПрочитатьФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прочитать файл
//
// Параметры:
// 	ДанныеАрхива - см. ZipАрхивы.ПрочитатьАрхив
//  ИмяФайла - Строка
//
// Возвращаемое значение:
//   ДвоичныеДанные, Неопределено - Прочитать файл
Функция ПрочитатьФайл(ДанныеАрхива, ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ZipАрхивы.ПрочитатьФайл(ДанныеАрхива, ИмяФайла) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
