---
title: Администрирование кластера клиент сервер
slug: bsp/администрирование-кластера-клиент-сервер
---


## ПараметрыАдминистрированияКластера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.ПараметрыАдминистрированияКластера.
// Конструктор структуры, описывающей параметры подключения к администрируемому
// кластеру серверов.
//
// Возвращаемое значение:
//  Структура:
//    * ТипПодключения - Строка - возможные значения:
//        "COM" - при подключении к агенту сервера с использованием COM-объекта V8*.ComConnector,
//        "RAS" - при подключении к серверу администрирования (ras) с использованием консольного
//                клиента сервера администрирования (rac),
//    * АдресАгентаСервера - Строка - сетевой адрес агента сервера (только при ТипПодключения = "COM"),
//    * ПортАгентаСервера - Число - сетевой порт агента сервера (только при ТипПодключения = "COM"),
//      типичное значение - 1540,
//    * АдресСервераАдминистрирования - Строка - сетевой адрес сервера администрирования ras (только
//      при ТипПодключения = "RAS"),
//    * ПортСервераАдминистрирования - Число - сетевой порт сервера администрирования ras (только при
//      ТипПодключения = "RAS"), типичное значение - 1545,
//    * ПортКластера - Число - сетевой порт менеджера администрируемого кластера, типичное значение -1541,
//    * ИмяАдминистратораКластера - Строка - имя учетной записи администратора кластера (если для кластера
//      не задан список администраторов - используется пустая строка),
//    * ПарольАдминистратораКластера - Строка - пароль учетной записи администратора кластера (если
//      для кластера не задан список администраторов или для учетной записи не установлен пароль -
//      используется пустая строка).
//
Функция ПараметрыАдминистрированияКластера() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера() 
```
</details>

## ПараметрыАдминистрированияИнформационнойБазыКластера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.ПараметрыАдминистрированияИнформационнойБазыКластера.
// Конструктор структуры, описывающей параметры подключения к администрируемой информационной
//  базе кластера.
//
// Возвращаемое значение:
//  Структура:
//    * ИмяВКластере - Строка - имя администрируемой информационной базы в кластере серверов,
//    * ИмяАдминистратораИнформационнойБазы - Строка - имя пользователя информационной базы с правами
//      администратора (если для информационной базы не задан список пользователей ИБ - используется
//      пустая строка),
//    * ПарольАдминистратораИнформационнойБазы - Строка - пароль пользователя информационной базы
//      с правами администратора (если для информационной базы не задан список пользователей ИБ или
//      для пользователя ИБ не установлен пароль - используется пустая строка).
//
Функция ПараметрыАдминистрированияИнформационнойБазыКластера() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера() 
```
</details>

## ПроверитьПараметрыАдминистрирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.ПроверитьПараметрыАдминистрирования.
// Проверяет корректность параметров администрирования.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//  ПроверятьПараметрыАдминистрированияКластера - Булево - флаг необходимости проверки параметров администрирования кластера,
//  ПроверятьПараметрыАдминистрированияИнформационнойБазы - Булево - флаг необходимости проверки параметров
//                                                                   администрирования кластера.
//
Процедура ПроверитьПараметрыАдминистрирования(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено, Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.ПроверитьПараметрыАдминистрирования(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ, );
```
</details>

## СвойстваБлокировкиСеансовИРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваБлокировкиСеансовИРегламентныхЗаданий.
// Конструктор структуры, описывающей свойства блокировки сеансов и регламентных заданий
//  информационной базы.
//
// Возвращаемое значение:
//  Структура:
//    * БлокировкаСеансов - Булево - флаг установки блокировки новых сеансов с информационной базой,
//    * ДатаС - Дата - (Дата и время) момент начала блокировки новых сеансов с информационной базой,
//    * ДатаПо - Дата - (Дата и время) момент окончания блокировки новых сеансов с информационной базой,
//    * Сообщение - Строка - сообщение, отображаемое пользователю при попытке установки нового сеанса
//      с информационной базой при установленной блокировке новых сеансов,
//    * КодРазрешения - Строка - код обхода блокировки новых сеансов с информационной базой,
//    * БлокировкаРегламентныхЗаданий - Булево - флаг блокировки выполнения регламентных заданий
//      информационной базы.
//
Функция СвойстваБлокировкиСеансовИРегламентныхЗаданий() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваБлокировкиСеансовИРегламентныхЗаданий() 
```
</details>

## БлокировкаСеансовИЗаданийИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.БлокировкаСеансовИЗаданийИнформационнойБазы.
// Возвращает текущее состояние блокировки сеансов и регламентных заданий для информационной базы.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//
// Возвращаемое значение:
//    см. АдминистрированиеКластераКлиентСервер.СвойстваБлокировкиСеансовИРегламентныхЗаданий.
//
Функция БлокировкаСеансовИЗаданийИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.БлокировкаСеансовИЗаданийИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ);
```
</details>

## УстановитьБлокировкуСеансовИЗаданийИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.УстановитьБлокировкуСеансовИЗаданийИнформационнойБазы.
// Устанавливает новое состояние блокировки сеансов и регламентных заданий для информационной базы.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//  СвойстваБлокировкиСеансовИЗаданий - см. АдминистрированиеКластераКлиентСервер.СвойстваБлокировкиСеансовИРегламентныхЗаданий.
//
Процедура УстановитьБлокировкуСеансовИЗаданийИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ, Знач СвойстваБлокировкиСеансовИЗаданий) Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.УстановитьБлокировкуСеансовИЗаданийИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ, СвойстваБлокировкиСеансовИЗаданий) 
```
</details>

## СнятьБлокировкуСеансовИЗаданийИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СнятьБлокировкуСеансовИЗаданийИнформационнойБазы.
// Снимает блокировку сеансов и регламентных заданий для информационной базы.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//
Процедура СнятьБлокировкуСеансовИЗаданийИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено) Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.СнятьБлокировкуСеансовИЗаданийИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ);
```
</details>

## БлокировкаРегламентныхЗаданийИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.БлокировкаРегламентныхЗаданийИнформационнойБазы.
// Возвращает текущее состояние блокировки регламентных заданий для информационной базы.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//
// Возвращаемое значение:
//    Булево - Истина, если удалось заблокировать регламентные задания, Ложь - иначе.
//
Функция БлокировкаРегламентныхЗаданийИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.БлокировкаРегламентныхЗаданийИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ);
```
</details>

## УстановитьБлокировкуРегламентныхЗаданийИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.УстановитьБлокировкуРегламентныхЗаданийИнформационнойБазы.
// Устанавливает новое состояние блокировки регламентных заданий для информационной базы.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера
//  БлокировкаРегламентныхЗаданий - Булево - флаг установки блокировки регламентных заданий информационной базы.
//
Процедура УстановитьБлокировкуРегламентныхЗаданийИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ, Знач БлокировкаРегламентныхЗаданий) Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.УстановитьБлокировкуРегламентныхЗаданийИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ, БлокировкаРегламентныхЗаданий) 
```
</details>

## СвойстваСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваСеанса.
// Конструктор структуры, описывающей свойства сеанса информационной базы.
//
// Возвращаемое значение:
//  Структура:
//   * Номер - Число - номер сеанса. Уникален среди всех сеансов информационной базы,
//   * ИмяПользователя - Строка - имя аутентифицированного пользователя информационной базы,
//   * ИмяКлиентскогоКомпьютера - Строка - имя или сетевой адрес компьютера, установившего
//     сеанс с информационной базой,
//   * ИдентификаторКлиентскогоПриложения - Строка - идентификатор приложения, установившего сеанс
//     (см. описание к функции глобального контекста ПредставлениеПриложения),
//   * ИдентификаторЯзыка - Строка - идентификатор языка интерфейса,
//   * МоментСозданияСеанса - Дата - (Дата и время) момент установки сеанса,
//   * МоментПоследнейАктивностиСеанса - Дата - (Дата и время) момент последней активности сеанса,
//   * Блокировка - Число - номер сеанса, который является причиной ожидания управляемой транзакционной
//     блокировки, в том случае, если сеанс выполняет установку управляемых транзакционных блокировок
//     и ожидает снятия блокировок, установленных другим сеансом (иначе - значение равно 0),
//   * БлокировкаСУБД - Число - номер сеанса, который является причиной ожидания транзакционной
//     блокировки, в том случае, если сеанс исполняет запрос к СУБД и ожидает транзакционную
//     блокировку, установленную другим сеансом (иначе - значение равно 0),
//   * Передано - Число - объем данных, переданных меду сервером 1С:Предприятия и клиентским приложением
//     данного сеанса с момента начала сеанса (в байтах),
//   * ПереданоЗа5Минут - Число - объем данных, переданных между сервером 1С:Предприятия и клиентским
//     приложением данного сеанса за последние 5 минут (в байтах),
//   * СерверныхВызовов - Число - количество вызовов сервера 1С:Предприятия от имена данного сеанса с
//     момента начала сеанса,
//   * СерверныхВызововЗа5Минут - Число - количество вызовов сервера 1С:Предприятия от имени данного сеанса
//     за последние 5 минут,
//   * ДлительностьСерверныхВызовов - Число - время исполнения вызовов сервера 1С:Предприятия от имени
//     данного сеанса с момента начала сеанса (в секундах),
//   * ДлительностьТекущегоСерверногоВызова - Число - интервал времени в миллисекундах, прошедший с момента начала
//     обращения, в случае, если сеанс выполняется вызов сервера 1С:Предприятия (иначе - значение равно 0),
//   * ДлительностьСерверныхВызововЗа5Минут - Число - время исполнения вызовов сервера 1С:Предприятия от имени
//     данного сеанса за последние 5 минут (в миллисекундах),
//   * ПереданоСУБД - Число - количество данных, переданных и полученных от СУБД от имени данного сеанса с
//     момента начала сеанса (в байтах),
//   * ПереданоСУБДЗа5Минут - Число - количество данных, переданных и полученных от СУБД от имени данного сеанса
//     за последние 5 минут (в байтах),
//   * ДлительностьВызововСУБД - Число - время исполнения запросов к СУБД от имени данного сеанса с момента начала
//     сеанса (в миллисекундах),
//   * ДлительностьТекущегоВызоваСУБД - Число - интервал времени в миллисекундах, прошедший с начала выполнения
//     запроса в случае, если сеанс выполняет запрос к СУБД (иначе - значение равно 0),
//   * ДлительностьВызововСУБДЗа5Минут - Число - суммарное время исполнения запросов к СУБД от имени данного сеанса
//     за последние 5 минут (в миллисекундах),
//   * СоединениеСУБД - Строка - номер соединения с СУБД в терминах СУБД в том случае, если в момент получения списка
//     сеансов выполняется запрос к СУБД, открыта транзакция или определены временные таблицы (т.е. захвачено
//     соединение с СУБД). Если соединение с СУБД не захвачено - значение равно пустой строке,
//   * ВремяСоединенияСУБД - Число - время соединения с СУБД с момента захвата (в миллисекундах). Если соединение с.
//     СУБД не захвачено - значение равно 0,
//   * МоментЗахватаСоединенияСУБД - Дата - (Дата и время) момент времени, когда соединение с СУБД было последний раз
//     захвачено другим сеансом.
//
Функция СвойстваСеанса() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваСеанса() 
```
</details>

## СеансыИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СеансыИнформационнойБазы.
// Возвращает описания сеансов информационной базы.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//  Фильтр - Массив из Структура:
//             * Свойство - см. АдминистрированиеКластераКлиентСервер.СвойстваСеанса
//             * ВидСравнения - ВидСравнения - значение системного перечисления ВидСравнения,
//             * Значение - Число
//                        - Строка
//                        - Дата
//                        - Булево
//                        - СписокЗначений
//                        - Массив
//                        - Структура - значение, с которым
//               сравнивается значение соответствующего свойства сеанса.
//         - Структура - структура: ключ - Имя свойства сеанса (см. выше), значение - значение, с которым
//           выполняется сеанс. При использовании данного варианта описания фильтра сравнение всегда выполняется на
//           равенство.
//
// Возвращаемое значение:
//   Массив из см. АдминистрированиеКластераКлиентСервер.СвойстваСеанса
//
Функция СеансыИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено, Знач Фильтр = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СеансыИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ, Фильтр);
```
</details>

## УдалитьСеансыИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.УдалитьСеансыИнформационнойБазы.
// Удаляет сеансы с информационной базой по фильтру.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//  Фильтр - Массив из Структура:
//             * Свойство - см. АдминистрированиеКластераКлиентСервер.СвойстваСеанса
//             * ВидСравнения - ВидСравнения - значение системного перечисления ВидСравнения,
//             * Значение - Число
//                        - Строка
//                        - Дата
//                        - Булево
//                        - СписокЗначений
//                        - Массив
//                        - Структура - значение, с которым
//               сравнивается значение соответствующего свойства сеанса,
//         - Структура - структура: ключ - Имя свойства сеанса (см. выше), значение - значение, с которым
//           выполняется сеанс. При использовании данного варианта описания фильтра сравнение всегда выполняется на равенство.
//
Процедура УдалитьСеансыИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено, Знач Фильтр = Неопределено) Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.УдалитьСеансыИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ, Фильтр);
```
</details>

## СвойстваСоединения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваСоединения.
// Конструктор структуры, описывающей свойства соединения с информационной базой.
//
// Возвращаемое значение:
//  Структура:
//    * Номер - Число - номер соединения с информационной базой,
//    * ИмяПользователя - Строка - имя пользователя 1С:Предприятия, подсоединенного к информационной базе,
//    * ИмяКлиентскогоКомпьютера - Строка - имя компьютера, с которого установлено соединение,
//    * ИдентификаторКлиентскогоПриложения - Строка - идентификатор приложения, установившего соединение (см. описание к
//                                                    функции глобального контекста ПредставлениеПриложения),
//    * МоментУстановкиСоединения - Дата - (Дата и время) момент установки соединения,
//    * РежимСоединенияСИнформационнойБазой - Число - режим соединения с информационной базой (0 -
//      разделяемый, 1 - монопольный),
//    * РежимСоединенияСБазойДанных - Число - режим соединения с базой данных (0 - соединение не установлено,
//      1 - разделяемый, 2 - монопольный),
//    * БлокировкаСУБД - Число - идентификатор соединения, блокирующего работу данного соединения в СУБД,
//    * Передано - Число - объем данных, полученных и отправленных соединением,
//    * ПереданоЗа5Минут - Число - объем данных, полученных и отправленных соединением за последние 5 минут,
//    * СерверныхВызовов - Число - количество серверных вызовов,
//    * СерверныхВызововЗа5Минут - Число - количество серверных вызовов соединения за последние 5 минут,
//    * ПереданоСУБД - Число - объем данных, переданных между сервером 1С:Предприятия и сервером баз данных,
//      с момента установки данного соединения,
//    * ПереданоСУБДЗа5Минут - Число - объем данных, переданных между сервером 1С:Предприятия и сервером баз
//        данных за последние 5 минут,
//    * СоединениеСУБД - Строка - идентификатор процесса соединения с СУБД (если на момент получения списка
//      соединений данное соединение выполняло обращение к серверу СУБД, в противном случае - значение равно пустой
//      строке). Идентификатор возвращается в терминах сервера СУБД,
//    * ВремяСУБД - Число - время в секундах, в течении которого выполняется обращение к серверу СУБД (если на момент
//      получения списка соединений данное соединение выполняло обращение к серверу СУБД, в противном случае - значение
//      равно 0),
//    * МоментЗахватаСоединенияСУБД - Дата - (Дата и время) момент последнего захвата соединения с сервером СУБД,
//    * ДлительностьСерверныхВызовов - Число - длительность всех серверных вызовов соединения,
//    * ДлительностьВызововСУБД - Число - время вызовов СУБД, инициированных соединением,
//    * ДлительностьТекущегоСерверногоВызова - Число - длительность текущего серверного вызова,
//    * ДлительностьТекущегоВызоваСУБД - Число - длительность текущего вызова сервера СУБД,
//    * ДлительностьСерверныхВызововЗа5Минут - Число - длительность серверных вызовов соединения за последние 5 минут,
//    * ДлительностьВызововСУБДЗа5Минут - Число - длительность вызовов соединения СУБД за последние 5 минут.
//
Функция СвойстваСоединения() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваСоединения() 
```
</details>

## СоединенияСИнформационнойБазой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СоединенияСИнформационнойБазой.
// Возвращает описания соединений с информационной базой.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//  Фильтр - Массив из Структура:
//             * Свойство - см. АдминистрированиеКластераКлиентСервер.СвойстваСоединения
//             * ВидСравнения - ВидСравнения - значение системного перечисления ВидСравнения, вид сравнения значений
//               соединений с указанным в условии фильтра,
//             * Значение - Число
//                        - Строка
//                        - Дата
//                        - Булево
//                        - СписокЗначений
//                        - Массив
//                        - Структура - значение, с которым
//               сравнивается значение соответствующего свойства соединения,
//         - Структура - структура: ключ - Имя свойства соединения (см. выше), значение - значение, с которым
//           выполняется сравнение. При использовании данного варианта описания фильтра сравнение всегда выполняется на равенство.
//
// Возвращаемое значение:
//   Массив из см. АдминистрированиеКластераКлиентСервер.СвойстваСоединения.
//
Функция СоединенияСИнформационнойБазой(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено, Знач Фильтр = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СоединенияСИнформационнойБазой(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ, Фильтр);
```
</details>

## РазорватьСоединенияСИнформационнойБазой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.РазорватьСоединенияСИнформационнойБазой.
// Разрывает соединения с информационной базой по фильтру.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//  Фильтр - Массив из Структура:
//              * Свойство - см. АдминистрированиеКластераКлиентСервер.СвойстваСоединения
//              * ВидСравнения - ВидСравнения - значение системного перечисления ВидСравнения, вид сравнения значений
//                соединений с указанным в условии фильтра,
//              * Значение - Число
//                         - Строка
//                         - Дата
//                         - Булево
//                         - СписокЗначений
//                         - Массив
//                         - Структура - значение, с которым
//                сравнивается значение соответствующего свойства соединения,
//         - Структура - структура: ключ - Имя свойства соединения (см. выше), значение - значение, с которым
//           выполняется сравнение. При использовании данного варианта описания фильтра сравнение всегда выполняется на равенство.
//
Процедура РазорватьСоединенияСИнформационнойБазой(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено, Знач Фильтр = Неопределено) Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.РазорватьСоединенияСИнформационнойБазой(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ, Фильтр);
```
</details>

## ПрофильБезопасностиИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.ПрофильБезопасностиИнформационнойБазы.
// Возвращает имя профиля безопасности, назначенного для информационной базы.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//
// Возвращаемое значение:
//  Строка - имя профиля безопасности, назначенного для информационной базы. Если
//  для информационной базы не назначен профиль безопасности - возвращается пустая строка.
//
Функция ПрофильБезопасностиИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.ПрофильБезопасностиИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ);
```
</details>

## ПрофильБезопасностиБезопасногоРежимаИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.ПрофильБезопасностиБезопасногоРежимаИнформационнойБазы.
// Возвращает имя профиля безопасности, назначенного для информационной базы в качестве профиля безопасности
//  безопасного режима.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//
// Возвращаемое значение:
//  Строка - имя профиля безопасности, назначенного для информационной базы в качестве профиля
//  безопасности безопасного режима. Если для информационной базы не назначен профиль безопасности - возвращается пустая
//  Строка
//
Функция ПрофильБезопасностиБезопасногоРежимаИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.ПрофильБезопасностиБезопасногоРежимаИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ);
```
</details>

## УстановитьПрофильБезопасностиИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.УстановитьПрофильБезопасностиИнформационнойБазы.
// Назначает для информационной базы использование профиля безопасности.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//  ИмяПрофиля - Строка - имя профиля безопасности. Если передана пустая строка - для информационной базы будет
//    отключено использование профиля безопасности.
//
Процедура УстановитьПрофильБезопасностиИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено, Знач ИмяПрофиля = "") Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.УстановитьПрофильБезопасностиИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ, ИмяПрофиля);
```
</details>

## УстановитьПрофильБезопасностиБезопасногоРежимаИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.УстановитьПрофильБезопасностиБезопасногоРежимаИнформационнойБазы.
// Назначает для информационной базы использование профиля безопасности безопасного режима.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИБ - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//  ИмяПрофиля - Строка - имя профиля безопасности. Если передана пустая строка - для информационной базы будет
//    отключено использование профиля безопасности безопасного режима.
//
Процедура УстановитьПрофильБезопасностиБезопасногоРежимаИнформационнойБазы(Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИБ = Неопределено, Знач ИмяПрофиля = "") Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.УстановитьПрофильБезопасностиБезопасногоРежимаИнформационнойБазы(ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИБ, ИмяПрофиля);
```
</details>

## ПрофильБезопасностиСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.ПрофильБезопасностиСуществует.
// Проверяет существование в кластере серверов профиля безопасности.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ИмяПрофиля - Строка - имя профиля безопасности, существование которого проверяется.
//
// Возвращаемое значение:
//   Булево - Истина если профиль с указанным именем существует, Ложь - если не существует.
//
Функция ПрофильБезопасностиСуществует(Знач ПараметрыАдминистрированияКластера, Знач ИмяПрофиля) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.ПрофильБезопасностиСуществует(ПараметрыАдминистрированияКластера, ИмяПрофиля) 
```
</details>

## СвойстваПрофиляБезопасности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваПрофиляБезопасности.
// Конструктор структуры, описывающей свойства профиля безопасности.
//
// Возвращаемое значение:
//   Структура:
//     * Имя - Строка - имя профиля безопасности,
//     * Описание - Строка - описание профиля безопасности,
//     * ПрофильБезопасногоРежима - Булево - определяет возможность использования профиля безопасности
//       в качестве профиля безопасности безопасного режима (как при указании в качестве профиля
//       безопасного режима для информационной базы, так и при вызове УстановитьБезопасныйРежим(<Имя профиля>) из кода конфигурации,
//     * ПолныйДоступКПривилегированномуРежиму - Булево - определяет возможность установки
//       привилегированного режима из безопасного режима данного профиля безопасности,
//     * ПолныйДоступКФайловойСистеме - Булево - определяет наличие ограничений на доступ к файловой
//       системе. При установке значения равным Ложь, доступ будет предоставлен только к каталогам файловой
//       системы, перечисленным в свойстве ВиртуальныеКаталоги,
//     * ПолныйДоступКCOMОбъектам - Булево - определяет наличие ограничений на доступ к использованию
//       COMОбъектов. При установке значения равным Ложь, доступ будет предоставлен только к COM-классам,
//       перечисленным в свойстве COMКлассы,
//     * ПолныйДоступКВнешнимКомпонентам - Булево - определяет наличие ограничений на доступ к использованию
//       внешних компонент. При установке значения равным Ложь, доступ будет предоставлен только к внешним
//       компонентам, перечисленным в свойстве ВнешниеКомпоненты,
//     * ПолныйДоступКВнешнимМодулям - Булево - определяет наличие ограничений на доступ к использованию
//       внешних модулей (внешние отчеты и обработки, вызовы Выполнить() и Вычислить()) в небезопасном режиме.
//       При установке значения равным Ложь, будет предоставлена возможность использовать в небезопасном
//       режиме только внешние модули, перечисленные в свойстве ВнешниеМодули,
//     * ПолныйДоступКПриложениямОперационнойСистемы - Булево - определяет наличие ограничений на доступ к
//       использованию приложений операционной системы. При установке значения равным Ложь, будет предоставлена
//       возможность использовать только приложения операционной системы, перечисленные в свойстве ПриложенияОС,
//     * ПолныйДоступКИнтернетРесурсам - Булево - определяет наличие ограничений на доступ к использованию
//       Интернет-ресурсов. При установке значения равным Ложь, будет предоставлена возможность использовать
//       только Интернет-ресурсы, перечисленные в свойстве ИнтернетРесурсы,
//     * ВиртуальныеКаталоги - Массив из см. АдминистрированиеКластераКлиентСервер.СвойстваВиртуальногоКаталога
//     * COMКлассы - Массив из см. АдминистрированиеКластераКлиентСервер.СвойстваCOMКласса
//     * ВнешниеКомпоненты - Массив из см. АдминистрированиеКластераКлиентСервер.СвойстваВнешнейКомпоненты
//     * ВнешниеМодули - Массив из см. АдминистрированиеКластераКлиентСервер.СвойстваВнешнегоМодуля
//     * ПриложенияОС - Массив из см. АдминистрированиеКластераКлиентСервер.СвойстваПриложенияОС
//     * ИнтернетРесурсы - Массив из см. АдминистрированиеКластераКлиентСервер.СвойстваИнтернетРесурса
//
Функция СвойстваПрофиляБезопасности() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваПрофиляБезопасности() 
```
</details>

## СвойстваВиртуальногоКаталога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваВиртуальногоКаталога.
// Конструктор структуры, описывающей свойства виртуального каталога.
//
// Возвращаемое значение:
//   Структура:
//     * ЛогическийURL - Строка - логический URL каталога,
//     * ФизическийURL - Строка - физический URL каталога на сервере для размещения данных
//       виртуального каталога,
//     * Описание - Строка - описание виртуального каталога,
//     * ЧтениеДанных - Булево - флаг разрешения чтения данных из виртуального каталога,
//     * ЗаписьДанных - Булево - флаг разрешения записи данных в виртуальный каталог.
//
Функция СвойстваВиртуальногоКаталога() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваВиртуальногоКаталога() 
```
</details>

## СвойстваCOMКласса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваCOMКласса.
// Конструктор структуры, описывающей свойства COM-класса.
//
// Возвращаемое значение:
//   Структура:
//     * Имя - Строка - имя COM-класса, используется в качестве ключа при поиске,
//     * Описание - Строка - описание COM-класса,
//     * ФайлМоникер - Строка - имя файла, по которому создается объект методом глобального
//       контекста ПолучитьCOMОбъект() с пустым значением второго параметра,
//     * CLSID - Строка - представление идентификатора COM-класса в формате системного реестра MS Windows
//       без фигурных скобок, по которому он может быть создан операционной системой,
//     * Компьютер - Строка - имя компьютера, на котором может быть создан COM-объект.
//
Функция СвойстваCOMКласса() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваCOMКласса() 
```
</details>

## СвойстваВнешнейКомпоненты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваВнешнейКомпоненты.
// Конструктор структуры, описывающей свойства внешней компоненты.
//
// Возвращаемое значение:
//   Структура:
//     * Имя - Строка - имя внешней компоненты, используется в качестве ключа для поиска,
//     * Описание - Строка - описание внешней компоненты,
//     * ХэшСумма - Строка - контрольная сумма разрешенной внешней компоненты, вычисленная алгоритмом
//       SHA-1 и преобразованная к строке base64.
//
Функция СвойстваВнешнейКомпоненты() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваВнешнейКомпоненты() 
```
</details>

## СвойстваВнешнегоМодуля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваВнешнегоМодуля.
// Конструктор структуры, описывающей свойства внешнего модуля.
//
// Возвращаемое значение:
//   Структура:
//     * Имя - Строка - имя внешнего модуля, используется в качестве ключа для поиска,
//     * Описание - Строка - описание внешнего модуля,
//     * ХэшСумма - Строка - контрольная сумма разрешенного внешнего модуля, вычисленная алгоритмом
//       SHA-1 и преобразованная к строке base64.
//
Функция СвойстваВнешнегоМодуля() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваВнешнегоМодуля() 
```
</details>

## СвойстваПриложенияОС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваПриложенияОС.
// Конструктор структуры, описывающей свойства приложения операционной системы.
//
// Возвращаемое значение:
//   Структура:
//     * Имя - Строка - имя приложения операционной системы, используется в качестве ключа для поиска,
//     * Описание - Строка - описание приложения операционной системы,
//     * ШаблонСтрокиЗапуска - Строка - шаблон строки запуска приложения (состоит из последовательности
//       шаблонных слов, разделенных пробелами).
//
Функция СвойстваПриложенияОС() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваПриложенияОС() 
```
</details>

## СвойстваИнтернетРесурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваИнтернетРесурса.
// Конструктор структуры, описывающей Интернет-ресурс.
//
// Возвращаемое значение:
//   Структура:
//     * Имя - Строка - имя Интернет-ресурса, используется в качестве ключа для поиска,
//     * Описание - Строка - описание Интернет-ресурса,
//     * Протокол - Строка - разрешаемый сетевой протокол. Возможные значения:
//         HTTP,
//         HTTPS,
//         FTP,
//         FTPS,
//         POP3,
//         SMTP,
//         IMAP,
//     * Адрес - Строка - сетевой адрес Интернет-ресурса без указания протокола и порта,
//     * Порт - Число - сетевой порт Интернет-ресурса.
//
Функция СвойстваИнтернетРесурса() Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваИнтернетРесурса() 
```
</details>

## ПрофильБезопасности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.ПрофильБезопасности.
// Возвращает свойства профиля безопасности.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ИмяПрофиля - Строка - имя профиля безопасности.
//
// Возвращаемое значение:
//   см. АдминистрированиеКластераКлиентСервер.СвойстваПрофиляБезопасности.
//
Функция ПрофильБезопасности(Знач ПараметрыАдминистрированияКластера, Знач ИмяПрофиля) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.ПрофильБезопасности(ПараметрыАдминистрированияКластера, ИмяПрофиля) 
```
</details>

## СоздатьПрофильБезопасности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СоздатьПрофильБезопасности.
// Создает профиль безопасности по переданному описанию.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  СвойстваПрофиляБезопасности - см. АдминистрированиеКластераКлиентСервер.СвойстваПрофиляБезопасности.
//
Процедура СоздатьПрофильБезопасности(Знач ПараметрыАдминистрированияКластера, Знач СвойстваПрофиляБезопасности) Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.СоздатьПрофильБезопасности(ПараметрыАдминистрированияКластера, СвойстваПрофиляБезопасности) 
```
</details>

## УстановитьСвойстваПрофиляБезопасности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.УстановитьСвойстваПрофиляБезопасности.
// Устанавливает свойства для существующего профиля безопасности по переданному описанию.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  СвойстваПрофиляБезопасности - см. АдминистрированиеКластераКлиентСервер.СвойстваПрофиляБезопасности.
//
Процедура УстановитьСвойстваПрофиляБезопасности(Знач ПараметрыАдминистрированияКластера, Знач СвойстваПрофиляБезопасности) Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.УстановитьСвойстваПрофиляБезопасности(ПараметрыАдминистрированияКластера, СвойстваПрофиляБезопасности)  
```
</details>

## УдалитьПрофильБезопасности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.УдалитьПрофильБезопасности.
// Удаляет профиль безопасности.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ИмяПрофиля - Строка - имя профиля безопасности.
//
Процедура УдалитьПрофильБезопасности(Знач ПараметрыАдминистрированияКластера, Знач ИмяПрофиля) Экспорт
```

Пример вызова
```bsl
АдминистрированиеКластераКлиентСервер.УдалитьПрофильБезопасности(ПараметрыАдминистрированияКластера, ИмяПрофиля) 
```
</details>

## ИдентификаторИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.ИдентификаторИнформационнойБазы.
// Возвращает внутренний идентификатор информационной базы.
//
// Параметры:
//  ИдентификаторКластера - Строка - внутренний идентификатор кластера серверов,
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ПараметрыАдминистрированияИнформационнойБазы - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//
// Возвращаемое значение:
//   Строка - внутренний идентификатор информационной базы.
//
Функция ИдентификаторИнформационнойБазы(Знач ИдентификаторКластера, Знач ПараметрыАдминистрированияКластера, Знач ПараметрыАдминистрированияИнформационнойБазы) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.ИдентификаторИнформационнойБазы(ИдентификаторКластера, ПараметрыАдминистрированияКластера, ПараметрыАдминистрированияИнформационнойБазы) 
```
</details>

## СвойстваИнформационныхБаз
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваИнформационныхБаз.
// Возвращает описания информационных баз.
//
// Параметры:
//  ИдентификаторКластера - Строка - внутренний идентификатор кластера серверов,
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  Фильтр - Структура - параметры фильтрации информационных баз.
//
// Возвращаемое значение:
//  Массив из Структура
//
Функция СвойстваИнформационныхБаз(Знач ИдентификаторКластера, Знач ПараметрыАдминистрированияКластера, Знач Фильтр = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваИнформационныхБаз(ИдентификаторКластера, ПараметрыАдминистрированияКластера, Фильтр);
```
</details>

## ИдентификаторКластера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.ИдентификаторКластера.
// Возвращает внутренний идентификатор кластера серверов.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера.
//
// Возвращаемое значение:
//   Строка - внутренний идентификатор кластера серверов.
//
Функция ИдентификаторКластера(Знач ПараметрыАдминистрированияКластера) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.ИдентификаторКластера(ПараметрыАдминистрированияКластера) 
```
</details>

## СвойстваКластеров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваКластеров.
// Возвращает описания кластеров серверов.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  Фильтр - Структура - параметры фильтрации кластеров серверов.
//
// Возвращаемое значение:
//   Массив из Структура
//
Функция СвойстваКластеров(Знач ПараметрыАдминистрированияКластера, Знач Фильтр = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваКластеров(ПараметрыАдминистрированияКластера, Фильтр);
```
</details>

## СвойстваРабочихПроцессов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваРабочихПроцессов.
// Возвращает описания рабочих процессов.
//
// Параметры:
//  ИдентификаторКластера - Строка - внутренний идентификатор кластера серверов,
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  Фильтр - Структура - параметры фильтрации рабочих процессов.
//
// Возвращаемое значение:
//   Массив из Структура
//
Функция СвойстваРабочихПроцессов(Знач ИдентификаторКластера, Знач ПараметрыАдминистрированияКластера, Знач Фильтр = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваРабочихПроцессов(ИдентификаторКластера, ПараметрыАдминистрированияКластера, Фильтр);
```
</details>

## СвойстваРабочихСерверов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваРабочихСерверов.
// Возвращает описания рабочих серверов.
//
// Параметры:
//  ИдентификаторКластера - Строка - внутренний идентификатор кластера серверов,
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  Фильтр - Структура - параметры фильтрации рабочих серверов.
//
// Возвращаемое значение:
//   Массив из Структура
//
Функция СвойстваРабочихСерверов(Знач ИдентификаторКластера, Знач ПараметрыАдминистрированияКластера, Знач Фильтр = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваРабочихСерверов(ИдентификаторКластера, ПараметрыАдминистрированияКластера, Фильтр);
```
</details>

## СвойстваСеансов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваСеансов.
// Возвращает описания сеансов информационной базы.
//
// Параметры:
//  ИдентификаторКластера - Строка - внутренний идентификатор кластера серверов,
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ИдентификаторИнформационнойБазы - Строка - внутренний идентификатор информационной базы,
//  Фильтр - Массив из Структура:
//             * Свойство - см. АдминистрированиеКластераКлиентСервер.СвойстваСеанса
//             * ВидСравнения - ВидСравнения - значение системного перечисления ВидСравнения,
//             * Значение - Число
//                        - Строка
//                        - Дата
//                        - Булево
//                        - СписокЗначений
//                        - Массив
//                        - Структура - значение, с которым
//               сравнивается значение соответствующего свойства сеанса.
//         - Структура - структура: ключ - Имя свойства сеанса (см. выше), значение - значение, с которым
//           выполняется сеанс. При использовании данного варианта описания фильтра сравнение всегда выполняется на
//           равенство.
//  ИспользоватьСловарь - Булево - если Истина, то возвращаемый результат будет заполнен с использован словаря, иначе - без
//    использования.
//
// Возвращаемое значение:
//   - Массив из см. АдминистрированиеКластераКлиентСервер.СвойстваСеанса
//   - Массив из Соответствие
//
Функция СвойстваСеансов(Знач ИдентификаторКластера, Знач ПараметрыАдминистрированияКластера, Знач ИдентификаторИнформационнойБазы, Знач Фильтр = Неопределено, Знач ИспользоватьСловарь = Истина) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваСеансов(ИдентификаторКластера, ПараметрыАдминистрированияКластера, ИдентификаторИнформационнойБазы, Фильтр, ИспользоватьСловарь);
```
</details>

## СвойстваСоединений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.СвойстваСоединений.
// Возвращает описания соединений с информационной базой.
//
// Параметры:
//  ИдентификаторКластера - Строка - внутренний идентификатор кластера серверов,
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера
//  ИдентификаторИнформационнойБазы - Строка - внутренний идентификатор информационной базы,
//  ПараметрыАдминистрированияИнформационнойБазы - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияИнформационнойБазыКластера.
//  Фильтр - Массив из Структура:
//             * Свойство - см. АдминистрированиеКластераКлиентСервер.СвойстваСоединений
//             * ВидСравнения - ВидСравнения - значение системного перечисления ВидСравнения,
//             * Значение - Число
//                        - Строка
//                        - Дата
//                        - Булево
//                        - СписокЗначений
//                        - Массив
//                        - Структура - значение, с которым
//               сравнивается значение соответствующего свойства соединения.
//         - Структура - структура: ключ - Имя свойства соединения (см. выше), значение - значение, с которым
//           выполняется соединение. При использовании данного варианта описания фильтра сравнение всегда выполняется на
//           равенство.
//  ИспользоватьСловарь - Булево - если Истина - возвращаемый результат будет заполнен с использованием словаря.
//
// Возвращаемое значение:
//   - Массив из см. АдминистрированиеКластераКлиентСервер.СвойстваСоединений
//   - Массив из Соответствие
//
Функция СвойстваСоединений(Знач ИдентификаторКластера, Знач ПараметрыАдминистрированияКластера, Знач ИдентификаторИнформационнойБазы, Знач ПараметрыАдминистрированияИнформационнойБазы, Знач Фильтр = Неопределено, Знач ИспользоватьСловарь = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.СвойстваСоединений(ИдентификаторКластера, ПараметрыАдминистрированияКластера, ИдентификаторИнформационнойБазы, ПараметрыАдминистрированияИнформационнойБазы, Фильтр, ИспользоватьСловарь);
```
</details>

## ПутьККлиентуСервераАдминистрирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать АдминистрированиеКластера.ПутьККлиентуСервераАдминистрирования.
// Возвращает путь к консольному клиенту сервера администрирования.
//
// Параметры:
//  ПараметрыАдминистрированияКластера - см. АдминистрированиеКластераКлиентСервер.ПараметрыАдминистрированияКластера.
//
// Возвращаемое значение:
//  Строка
//
Функция ПутьККлиентуСервераАдминистрирования(Знач ПараметрыАдминистрированияКластера) Экспорт
```

Пример вызова
```bsl
Результат = АдминистрированиеКластераКлиентСервер.ПутьККлиентуСервераАдминистрирования(ПараметрыАдминистрированияКластера) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
