---
title: Асинхронное получение данных переопределяемый
slug: bsp/асинхронное-получение-данных-переопределяемый
---


## УстановитьДоступныеВозвращаемыеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при формировании списка доступных возвращаемых данных и при получении данных.
// Определяет список возвращаемых данных, подключенных к подсистеме.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ДоступныеВозвращаемыеДанные - Соответствие из КлючИЗначение - заполняемые доступные возвращаемые данные:
//    * Ключ - Строка - идентификатор данных.
//    * Значение - см. АсинхронноеПолучениеДанных.НовыйОписаниеВозвращаемыхДанных
//
Процедура УстановитьДоступныеВозвращаемыеДанные(ДоступныеВозвращаемыеДанные) Экспорт
```

Пример вызова
```bsl
АсинхронноеПолучениеДанныхПереопределяемый.УстановитьДоступныеВозвращаемыеДанные(ДоступныеВозвращаемыеДанные) 
```
</details>

## АвторизоватьЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при первичной обработке входящего запроса. Позволяет выполнить прикладную логику,
// связанную с валидацией входящего запроса и при необходимости отказать в обработке запроса.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ИдентификаторДанных - Строка - идентификатор данных. Может быть переопределено при обработке.
//                                 Указывается в качестве имени файла, возвращаемом в результате.
//  Параметры - ДвоичныеДанные - переданные параметры получения данных.
//  Отказ - Булево - Возвращаемый параметр. Признак отказа в авторизации. При отказе в авторизации устанавливать в Отказ = Истина.
//  СообщениеОбОшибке - Строка - Возвращаемый параметр. Текст сообщения об ошибке при отказе в авторизации.
//
Процедура АвторизоватьЗапрос(ИдентификаторДанных, Параметры, Отказ, СообщениеОбОшибке) Экспорт
```

Пример вызова
```bsl
АсинхронноеПолучениеДанныхПереопределяемый.АвторизоватьЗапрос(ИдентификаторДанных, Параметры, Отказ, СообщениеОбОшибке) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
