---
title: Асинхронное получение данных словарь
slug: bsp/асинхронное-получение-данных-словарь
---


## КодВозвратаОшибкаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код ошибки данных.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//	Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаОшибкаДанных() Экспорт
```

Пример вызова
```bsl
Результат = АсинхронноеПолучениеДанныхСловарь.КодВозвратаОшибкаДанных() 
```
</details>

## КодВозвратаОтказАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код отказа авторизации.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//	Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаОтказАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = АсинхронноеПолучениеДанныхСловарь.КодВозвратаОтказАвторизации() 
```
</details>

## КодВозвратаВнутренняяОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код внутренней ошибки.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//	Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаВнутренняяОшибка() Экспорт
```

Пример вызова
```bsl
Результат = АсинхронноеПолучениеДанныхСловарь.КодВозвратаВнутренняяОшибка() 
```
</details>

## КодВозвратаВыполненоСПредупреждениями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код выполнения с предупреждениями.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//	Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаВыполненоСПредупреждениями() Экспорт
```

Пример вызова
```bsl
Результат = АсинхронноеПолучениеДанныхСловарь.КодВозвратаВыполненоСПредупреждениями() 
```
</details>

## КодВозвратаВыполнено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код успешного выполнения.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//	Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаВыполнено() Экспорт
```

Пример вызова
```bsl
Результат = АсинхронноеПолучениеДанныхСловарь.КодВозвратаВыполнено() 
```
</details>

## КодСостоянияОжидание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код ожидания данных.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//	Число - стандартный код возврата по имени метода.
//
Функция КодСостоянияОжидание() Экспорт
```

Пример вызова
```bsl
Результат = АсинхронноеПолучениеДанныхСловарь.КодСостоянияОжидание() 
```
</details>

## КодВозвратаНеНайдено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код отсутствия данных.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//	Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаНеНайдено() Экспорт
```

Пример вызова
```bsl
Результат = АсинхронноеПолучениеДанныхСловарь.КодВозвратаНеНайдено() 
```
</details>

## ТипJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку с типом файла JSON
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//	Строка - "json"
//
Функция ТипJSON() Экспорт
```

Пример вызова
```bsl
Результат = АсинхронноеПолучениеДанныхСловарь.ТипJSON() 
```
</details>

## ТипXLSX
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку с типом файла XLSX
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//	Строка - "xlsx"
//
Функция ТипXLSX() Экспорт
```

Пример вызова
```bsl
Результат = АсинхронноеПолучениеДанныхСловарь.ТипXLSX() 
```
</details>

## ТипPDF
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку с типом файла PDF
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//	Строка - "PDF"
//
Функция ТипPDF() Экспорт
```

Пример вызова
```bsl
Результат = АсинхронноеПолучениеДанныхСловарь.ТипPDF() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
