---
title: Бизнес процессы и задачи клиент
slug: bsp/бизнес-процессы-и-задачи-клиент
---


## Остановить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмечает указанные бизнес-процессы как остановленные.
//
// Параметры:
//  ПараметрКоманды  - Массив из ОпределяемыйТип.БизнесПроцесс
//                   - ОпределяемыйТип.БизнесПроцесс
//
Процедура Остановить(Знач ПараметрКоманды) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.Остановить(ПараметрКоманды) 
```
</details>

## ОстановитьБизнесПроцессИзФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмечает указанный бизнес-процесс как остановленный.
//  Предназначена для вызова из формы бизнес-процесса.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//        - РасширениеУправляемойФормыДляОбъектов - форма бизнес-процесса, где:
//   * Объект - ОпределяемыйТип.БизнесПроцессОбъект - бизнес-процесс.
//
Процедура ОстановитьБизнесПроцессИзФормыОбъекта(Форма) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ОстановитьБизнесПроцессИзФормыОбъекта(Форма) 
```
</details>

## СделатьАктивным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмечает указанные бизнес-процессы как активные.
//
// Параметры:
//  ПараметрКоманды - Массив из ОпределяемыйТип.БизнесПроцесс
//                  - СтрокаГруппировкиДинамическогоСписка
//                  - ОпределяемыйТип.БизнесПроцесс - бизнес процесс.
//
Процедура СделатьАктивным(Знач ПараметрКоманды) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.СделатьАктивным(ПараметрКоманды) 
```
</details>

## ПродолжитьБизнесПроцессИзФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмечает указанный бизнес-процесс как активный.
// Предназначена для вызова из формы бизнес-процесса.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//        - РасширениеУправляемойФормыДляОбъектов - форма бизнес-процесса, где:
//   * Объект - ОпределяемыйТип.БизнесПроцессОбъект - бизнес-процесс.
//
Процедура ПродолжитьБизнесПроцессИзФормыОбъекта(Форма) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ПродолжитьБизнесПроцессИзФормыОбъекта(Форма) 
```
</details>

## ПринятьЗадачиКИсполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмечает указанные задачи как принятые к исполнению.
//
// Параметры:
//  МассивЗадач - Массив из ЗадачаСсылка.ЗадачаИсполнителя
//
Процедура ПринятьЗадачиКИсполнению(Знач МассивЗадач) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ПринятьЗадачиКИсполнению(МассивЗадач) 
```
</details>

## ПринятьЗадачуКИсполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмечает указанную задачу как принятую к исполнению.
//
// Параметры:
//  Форма               - ФормаКлиентскогоПриложения
//                      - РасширениеУправляемойФормыДляОбъектов - форма задачи, где:
//   * Объект - ЗадачаОбъект - задача.
//  ТекущийПользователь - СправочникСсылка.ВнешниеПользователи
//                      - СправочникСсылка.Пользователи - ссылка на текущего
//                                                        пользователя приложения.
//
Процедура ПринятьЗадачуКИсполнению(Форма, ТекущийПользователь) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ПринятьЗадачуКИсполнению(Форма, ТекущийПользователь) 
```
</details>

## ОтменитьПринятиеЗадачКИсполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмечает указанные задачи как не принятые к исполнению.
//
// Параметры:
//  МассивЗадач - Массив из ЗадачаСсылка.ЗадачаИсполнителя
//
Процедура ОтменитьПринятиеЗадачКИсполнению(Знач МассивЗадач) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ОтменитьПринятиеЗадачКИсполнению(МассивЗадач) 
```
</details>

## ОтменитьПринятиеЗадачиКИсполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отмечает указанную задачу как не принятую к исполнению.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//        - РасширениеУправляемойФормыДляОбъектов - форма задачи, где:
//   * Объект - ЗадачаОбъект - задача.
//
Процедура ОтменитьПринятиеЗадачиКИсполнению(Форма) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ОтменитьПринятиеЗадачиКИсполнению(Форма) 
```
</details>

## ОбновитьДоступностьКомандПринятияКИсполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доступность команд принятия к исполнению.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма задачи, где:
//   * Элементы - ВсеЭлементыФормы - элементы формы. Содержит:
//     ** ФормаПринятьКИсполнению - ПолеВвода - кнопка команды на форме.
//     ** ФормаОтменитьПринятиеКИсполнению - ПолеВвода - кнопка команды на форме.
//
Процедура ОбновитьДоступностьКомандПринятияКИсполнению(Форма) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ОбновитьДоступностьКомандПринятияКИсполнению(Форма) 
```
</details>

## НастроитьОтложенныйСтарт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для настройки отложенного старта бизнес процесса.
//
// Параметры:
//  БизнесПроцесс  - ОпределяемыйТип.БизнесПроцесс
//  СрокИсполнения - Дата
//
Процедура НастроитьОтложенныйСтарт(БизнесПроцесс, СрокИсполнения) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.НастроитьОтложенныйСтарт(БизнесПроцесс, СрокИсполнения) 
```
</details>

## ФормаЗадачиОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик оповещения для форм выполнения задач.
//  Для вызова из обработчика события формы ОбработкаОповещения.
//
// Параметры:
//  Форма      - ФормаКлиентскогоПриложения - форма выполнения задачи, где:
//   * Объект - ЗадачаОбъект  - задача объекта.
//  ИмяСобытия - Строка       - имя события.
//  Параметр   - Произвольный - параметр события.
//  Источник   - Произвольный - источник события.
//
Процедура ФормаЗадачиОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ФормаЗадачиОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## СписокЗадачПередНачаломДобавления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик ПередНачаломДобавления для списков задач.
//  Для вызова из обработчика события таблицы формы ПередНачаломДобавления.
//
// Параметры:
//  Форма        - ФормаКлиентскогоПриложения - форма задачи.
//  Элемент      - ТаблицаФормы - элементы таблицы формы.
//  Отказ        - Булево - признак отказа от добавления объекта. Если в теле процедуры-обработчика установить данному
//                          параметру значение Истина, то добавление объекта выполнено не будет.
//  Копирование  - Булево - определяет режим копирования. Если установлено Истина, то происходит копирование строки.
//  Родитель     - Неопределено
//               - СправочникСсылка
//               - ПланСчетовСсылка - ссылка на элемент, который будет использован при
//                                    добавлении в качестве родителя.
//  Группа       - Булево - признак добавления группы. Истина - будет добавлена группа.
//
Процедура СписокЗадачПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.СписокЗадачПередНачаломДобавления(Форма, Элемент, Отказ, Копирование, Родитель, Группа) 
```
</details>

## ЗаписатьИЗакрытьВыполнить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать и закрыть форму выполнения задачи.
//
// Параметры:
//  Форма  - ФормаКлиентскогоПриложения - форма выполнения задачи, где:
//   * Объект - ЗадачаОбъект - задача бизнес-процесса.
//  ВыполнитьЗадачу  - Булево - задача записывается в режиме выполнения.
//  ПараметрыОповещения - Структура - дополнительные параметры оповещения.
//
// Возвращаемое значение:
//   Булево   - Истина, если запись прошла успешно.
//
Функция ЗаписатьИЗакрытьВыполнить(Форма, ВыполнитьЗадачу = Ложь, ПараметрыОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = БизнесПроцессыИЗадачиКлиент.ЗаписатьИЗакрытьВыполнить(Форма, ВыполнитьЗадачу, ПараметрыОповещения);
```
</details>

## СоздатьЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму для ввода нового задания.
//
// Параметры:
//  ФормаВладелец  - ФормаКлиентскогоПриложения - форма, которая должна быть владельцем для открываемой.
//  ПараметрыФормы - Структура - параметры открываемой формы.
//
Процедура СоздатьЗадание(Знач ФормаВладелец = Неопределено, Знач ПараметрыФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.СоздатьЗадание(ФормаВладелец, ПараметрыФормы);
```
</details>

## ПеренаправитьЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму для перенаправления одной или нескольких задач другому исполнителю.
//
// Параметры:
//  ПеренаправляемыеЗадачи - Массив из ЗадачаСсылка.ЗадачаИсполнителя
//  ФормаВладелец - ФормаКлиентскогоПриложения - форма, которая должна быть владельцем для открываемой
//                                               формы перенаправления задач.
//
Процедура ПеренаправитьЗадачи(ПеренаправляемыеЗадачи, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ПеренаправитьЗадачи(ПеренаправляемыеЗадачи, ФормаВладелец) 
```
</details>

## ОткрытьДопИнформациюОЗадаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открыть форму с дополнительной информацией о задаче.
//
// Параметры:
//  ЗадачаСсылка - ЗадачаСсылка.ЗадачаИсполнителя
//
Процедура ОткрытьДопИнформациюОЗадаче(Знач ЗадачаСсылка) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ОткрытьДопИнформациюОЗадаче(ЗадачаСсылка) 
```
</details>

## ОткрытьСписокРолейИИсполнителейЗадач
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает список ролей и исполнителей задач.
//
Процедура ОткрытьСписокРолейИИсполнителейЗадач() Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ОткрытьСписокРолейИИсполнителейЗадач() 
```
</details>

## ОткрытьФормуВыбораРолиИсполнителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора роли исполнителя.
//
// Параметры:
//  ПараметрыФормы - см. ПараметрыФормыВыбораРолиИсполнителя
//  Владелец - Неопределено
//           - ФормаКлиентскогоПриложения - форма из которой открывается форма выбора роли исполнителя.
//
Процедура ОткрытьФормуВыбораРолиИсполнителя(ПараметрыФормы, Владелец) Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиент.ОткрытьФормуВыбораРолиИсполнителя(ПараметрыФормы, Владелец) 
```
</details>

## ПараметрыФормыВыбораРолиИсполнителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры открытия формы выбора роли исполнителя.
//
// Параметры:
//  РольИсполнителя - СправочникСсылка.РолиИсполнителей - роль для ролевой адресации задачи участникам бизнес-процессов.
//  ОсновнойОбъектАдресации - Произвольный - основной объект адресации для направления задачи.
//  ДополнительныйОбъектАдресации - Произвольный - дополнительный объект адресации для направления задачи
//
// Возвращаемое значение:
//  Структура:
//   * РольИсполнителя  - СправочникСсылка.РолиИсполнителей - роль для ролевой адресации задачи участникам бизнес-процессов.
//   * ОсновнойОбъектАдресации - Произвольный - основной объект адресации для направления задачи
//   * ДополнительныйОбъектАдресации - Произвольный - дополнительный объект адресации для направления задачи
//   * ВыборОбъектаАдресации - Булево - если Истина, то в списке будет выбран основной объект адресации.
//
Функция ПараметрыФормыВыбораРолиИсполнителя(РольИсполнителя, ОсновнойОбъектАдресации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = БизнесПроцессыИЗадачиКлиент.ПараметрыФормыВыбораРолиИсполнителя(РольИсполнителя, ОсновнойОбъектАдресации, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
