---
title: Бизнес процессы и задачи клиент переопределяемый
slug: bsp/бизнес-процессы-и-задачи-клиент-переопределяемый
---


## ПриВыбореИсполнителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при открытии формы выбор исполнителя.
// Позволяет переопределить стандартную форму выбора.
//
// Параметры:
//  ЭлементИсполнитель   - ПолеФормы - элемент формы, в которой выбирается исполнитель.
//  РеквизитИсполнитель  - СправочникСсылка.Пользователи - выбранный ранее исполнитель.
//                         Используется для установки текущей строки в форме выбора исполнителя.
//  ТолькоПростыеРоли    - Булево - если Истина, то указывает что для выбора нужно
//                         использовать только роли без объектов адресации.
//  БезВнешнихРолей      - Булево - если Истина, то указывает, что для выбора надо использовать только роли,
//                         у которых не установлен признак ВнешняяРоль.
//  СтандартнаяОбработка - Булево - если Ложь, то не требуется выводить стандартную форму выбора исполнителя.
//
Процедура ПриВыбореИсполнителя(ЭлементИсполнитель, РеквизитИсполнитель, ТолькоПростыеРоли, Экспорт
```

Пример вызова
```bsl
БизнесПроцессыИЗадачиКлиентПереопределяемый.ПриВыбореИсполнителя(ЭлементИсполнитель, РеквизитИсполнитель, ТолькоПростыеРоли, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
