---
title: Блокировка работы с внешними ресурсами переопределяемый
slug: bsp/блокировка-работы-с-внешними-ресурсами-переопределяемый
---


## ПриРазрешенииРаботыСВнешнимиРесурсами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при снятии блокировки работы с внешними ресурсами.
// Для включения работы механизмов, отключенных в процедуре ПриЗапретеРаботыСВнешнимиРесурсами.
//
Процедура ПриРазрешенииРаботыСВнешнимиРесурсами() Экспорт
```

Пример вызова
```bsl
БлокировкаРаботыСВнешнимиРесурсамиПереопределяемый.ПриРазрешенииРаботыСВнешнимиРесурсами() 
```
</details>

## ПриЗапретеРаботыСВнешнимиРесурсами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при установке блокировки работы с внешними ресурсами,
// при старте регламентного задания в копии информационной базы или интерактивно.
//
// Позволяет отключить произвольные механизмы, работа
// которых в копии информационной базы недопустима.
//
Процедура ПриЗапретеРаботыСВнешнимиРесурсами() Экспорт
```

Пример вызова
```bsl
БлокировкаРаботыСВнешнимиРесурсамиПереопределяемый.ПриЗапретеРаботыСВнешнимиРесурсами() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
