---
title: Варианты отчетов клиент
slug: bsp/варианты-отчетов-клиент
---


## ОткрытьФормуОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму указанного отчета.
//
// Параметры:
//  ФормаВладелец - ФормаКлиентскогоПриложения
//                - Неопределено - форма, из которой открывается отчет.
//  Вариант - СправочникСсылка.ВариантыОтчетов
//          - СправочникСсылка.ДополнительныеОтчетыИОбработки - вариант
//            отчета, форму которого требуется открыть. Если передан тип СправочникСсылка.ДополнительныеОтчетыИОбработки,
//            то открывается дополнительный отчет, подключенный к программе.
//  ДополнительныеПараметры - Структура - служебный параметр, не предназначен для использования.
//
Процедура ОткрытьФормуОтчета(Знач ФормаВладелец, Знач Вариант, Знач ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ВариантыОтчетовКлиент.ОткрытьФормуОтчета(ФормаВладелец, Вариант, ДополнительныеПараметры);
```
</details>

## ПоказатьПанельОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает панель отчетов. Для использования из модулей общих команд.
//
// Параметры:
//  ПутьКПодсистеме - Строка - имя раздела или путь к подсистеме, для которой открывается панель отчетов.
//                    Задается в формате: "ИмяРаздела[.ИмяВложеннойПодсистемы1][.ИмяВложеннойПодсистемы2][...]".
//                    Раздел должен быть описан в ВариантыОтчетовПереопределяемый.ОпределитьРазделыСВариантамиОтчетов.
//  ПараметрыВыполненияКоманды - ПараметрыВыполненияКоманды - параметры обработчика общей команды.
//
Процедура ПоказатьПанельОтчетов(ПутьКПодсистеме, ПараметрыВыполненияКоманды) Экспорт
```

Пример вызова
```bsl
ВариантыОтчетовКлиент.ПоказатьПанельОтчетов(ПутьКПодсистеме, ПараметрыВыполненияКоманды) 
```
</details>

## ОбновитьОткрытыеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещает открытые панели отчетов, формы списков и элементов об изменениях варианта отчета.
//
// Параметры:
//  КлючВарианта - Строка - если открыта форма отчета, установить в ней указанный вариант отчета.
//  Источник - СправочникСсылка.ВариантыОтчетов
//
Процедура ОбновитьОткрытыеФормы(Знач КлючВарианта = "", Знач Источник = Неопределено) Экспорт
```

Пример вызова
```bsl
ВариантыОтчетовКлиент.ОбновитьОткрытыеФормы(КлючВарианта, Источник);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
