---
title: Версионирование объектов события
slug: bsp/версионирование-объектов-события
---


## ЗаписатьВерсиюОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает версию объекта (кроме документов) в информационную базу.
//
// Параметры:
//  Источник - СправочникОбъект - записываемый объект ИБ;
//  Отказ    - Булево - признак отказа от записи объекта.
//
Процедура ЗаписатьВерсиюОбъекта(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ВерсионированиеОбъектовСобытия.ЗаписатьВерсиюОбъекта(Источник, Отказ) 
```
</details>

## ЗаписатьВерсиюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает версию документа в информационную базу.
//
// Параметры:
//  Источник        - ДокументОбъект - записываемый документ ИБ;
//  Отказ           - Булево - признак отказа от записи документа.
//  РежимЗаписи     - РежимЗаписиДокумента - позволяет определить выполняется запись, проведение или отмена проведения.
//                                           Изменение значения параметра позволяет изменить режим записи.
//  РежимПроведения - РежимПроведенияДокумента - позволяет определить, выполняется оперативное проведение или нет.
//                                               Изменение значения параметра позволяет изменить режим проведения.
//
Процедура ЗаписатьВерсиюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ВерсионированиеОбъектовСобытия.ЗаписатьВерсиюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
