---
title: Взаимодействия
slug: bsp/взаимодействия
---


## УстановитьИспользованиеПочтовогоКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает или выключает почтовый клиент.
//
// Параметры:
//   Значение - Булево
//
Процедура УстановитьИспользованиеПочтовогоКлиента(Знач Значение) Экспорт
```

Пример вызова
```bsl
Взаимодействия.УстановитьИспользованиеПочтовогоКлиента(Значение) 
```
</details>

## ИспользуетсяПочтовыйКлиент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность использования почтового клиента.
//
// Возвращаемое значение:
//   Булево
//
Функция ИспользуетсяПочтовыйКлиент() Экспорт
```

Пример вызова
```bsl
Результат = Взаимодействия.ИспользуетсяПочтовыйКлиент() 
```
</details>

## УстановитьИспользованиеОтправкиПисемВФорматеHTML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает или выключает возможность отправки писем в формате HTML.
// Если выключить, то будет доступна отправка только в текстовом формате.
//
// Параметры:
//   Значение - Булево
//
Процедура УстановитьИспользованиеОтправкиПисемВФорматеHTML(Знач Значение) Экспорт
```

Пример вызова
```bsl
Взаимодействия.УстановитьИспользованиеОтправкиПисемВФорматеHTML(Значение) 
```
</details>

## ИспользуетсяОтправкаПисемВФорматеHTML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность использования отправки писем в формате HTML.
//
// Возвращаемое значение:
//   Булево
//
Функция ИспользуетсяОтправкаПисемВФорматеHTML() Экспорт
```

Пример вызова
```bsl
Результат = Взаимодействия.ИспользуетсяОтправкаПисемВФорматеHTML() 
```
</details>

## УстановитьИспользованиеПрочегоВзаимодействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает или выключает возможность учета телефонных звонков, SMS-сообщений,
// встреч и планирования взаимодействий.
//
// Параметры:
//   Значение - Булево
//
Процедура УстановитьИспользованиеПрочегоВзаимодействия(Знач Значение) Экспорт
```

Пример вызова
```bsl
Взаимодействия.УстановитьИспользованиеПрочегоВзаимодействия(Значение) 
```
</details>

## ИспользуютсяПрочиеВзаимодействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможность использования учета телефонных звонков, SMS-сообщений, встреч и планирования взаимодействий.
//
// Возвращаемое значение:
//   Булево
//
Функция ИспользуютсяПрочиеВзаимодействия() Экспорт
```

Пример вызова
```bsl
Результат = Взаимодействия.ИспользуютсяПрочиеВзаимодействия() 
```
</details>

## ЗаполнитьРеквизитыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчиков заполнения документов - взаимодействий и предметов заполнения.
// Выполняет необходимые действия по заполнению реквизитов по умолчанию.
//
// Параметры:
//  Объект - ДокументОбъект - документ, для которого выполняется заполнение.
//  ДанныеЗаполнения  - Произвольный - значение,которое используется как основание для заполнения.
//
Процедура ЗаполнитьРеквизитыПоУмолчанию(Объект, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
Взаимодействия.ЗаполнитьРеквизитыПоУмолчанию(Объект, ДанныеЗаполнения) 
```
</details>

## ПриЗаписиПредметаИзФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает во всей цепочке взаимодействий в качестве предмета созданный объект.
//
// Параметры:
//  Предмет        - ОпределяемыйТип.ПредметВзаимодействия - созданный предмет взаимодействий.
//  Взаимодействие - ДокументСсылка - взаимодействие, по которому создан предмет.
//  Отказ          - Булево         - флаг отказа от операции.
//
Процедура ПриЗаписиПредметаИзФормы(Предмет, Взаимодействие, Отказ) Экспорт
```

Пример вызова
```bsl
Взаимодействия.ПриЗаписиПредметаИзФормы(Предмет, Взаимодействие, Отказ) 
```
</details>

## ПодготовитьОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подготовку оповещения при создании на сервере документа взаимодействий.
//
// Параметры:
//  Форма                                - ФормаКлиентскогоПриложения - форма, из которой будет отправлено оповещение.
//  Параметры                            - Структура        - параметры создания формы документа взаимодействий.
//  ИспользоватьВзаимодействиеОснование  - Булево           - признак необходимости учитывать документ-основание.
//
Процедура ПодготовитьОповещения(Форма, Параметры, ИспользоватьВзаимодействиеОснование = Истина) Экспорт
```

Пример вызова
```bsl
Взаимодействия.ПодготовитьОповещения(Форма, Параметры, ИспользоватьВзаимодействиеОснование);
```
</details>

## УстановитьПризнакАктивен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак активности предмета.
//
// Параметры:
//  Предмет  - ДокументСсылка
//           - СправочникСсылка - предмет, для которого выполняется запись.
//  Активен  - Булево - признак активности предмета.
//
Процедура УстановитьПризнакАктивен(Предмет, Активен) Экспорт
```

Пример вызова
```bsl
Взаимодействия.УстановитьПризнакАктивен(Предмет, Активен) 
```
</details>

## ЗаполнитьНаборыЗначенийДоступаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет наборы значений доступа к документам подсистемы значениями по умолчанию.
// Для использования в процедуре ВзаимодействияПереопределяемый.ПриЗаполненииНаборовЗначенийДоступа.
// С ее помощью можно объединять прикладной набор значений доступа к документам подсистемы
// со стандартным заполнением по умолчанию.
//
// Параметры:
//  Объект - ДокументОбъект.Встреча
//         - ДокументОбъект.ЗапланированноеВзаимодействие
//         - ДокументОбъект.СообщениеSMS
//         - ДокументОбъект.ТелефонныйЗвонок
//         - ДокументОбъект.ЭлектронноеПисьмоВходящее
//         - ДокументОбъект.ЭлектронноеПисьмоИсходящее - объект, для которого заполняются наборы.
//  Таблица - см. УправлениеДоступом.ТаблицаНаборыЗначенийДоступа
//
Процедура ЗаполнитьНаборыЗначенийДоступаПоУмолчанию(Объект, Таблица) Экспорт
```

Пример вызова
```bsl
Взаимодействия.ЗаполнитьНаборыЗначенийДоступаПоУмолчанию(Объект, Таблица) 
```
</details>

## ПредметВзаимодействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает предмет взаимодействия.
//
// Параметры:
//  Взаимодействие - ДокументСсылка.Встреча,
//                 - ДокументСсылка.ЗапланированноеВзаимодействие,
//                 - ДокументСсылка.ТелефонныйЗвонок,
//                 - ДокументСсылка.СообщениеSMS,
//                 - ДокументСсылка.ЭлектронноеПисьмоВходящее,
//                 - ДокументСсылка.ЭлектронноеПисьмоИсходящее
//
// Возвращаемое значение:
//  ОпределяемыйТип.ПредметВзаимодействия
//
Функция ПредметВзаимодействия(Взаимодействие) Экспорт
```

Пример вызова
```bsl
Результат = Взаимодействия.ПредметВзаимодействия(Взаимодействие) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
