---
title: Взаимодействия локализация
slug: bsp/взаимодействия-локализация
---


## ПриФорматированииТелефонногоНомераДляОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возможность преобразовать указанный пользователем телефонный номер, в формат, который принимает провайдер отправки SMS
//
// Параметры:
//  Номер             - Строка - телефонный номер, указанный пользователем,
//  НомерДляОтправки  - Строка - в данный параметр помещается результат преобразования
//
Процедура ПриФорматированииТелефонногоНомераДляОтправки(Номер, НомерДляОтправки) Экспорт
```

Пример вызова
```bsl
ВзаимодействияЛокализация.ПриФорматированииТелефонногоНомераДляОтправки(Номер, НомерДляОтправки) 
```
</details>

## ПриОпределенииИгнорируемыхИменПапокПриЗагрузкеПисем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возможность дополнить массив имен папок, которые будут игнорироваться при загрузке писем с почтового сервера по
// протоколу IMAP.
//
// Параметры:
//  ИменаПапок        - Массив из Строка - массив имен игнорируемых папок.
//
Процедура ПриОпределенииИгнорируемыхИменПапокПриЗагрузкеПисем(ИменаПапок) Экспорт
```

Пример вызова
```bsl
ВзаимодействияЛокализация.ПриОпределенииИгнорируемыхИменПапокПриЗагрузкеПисем(ИменаПапок) 
```
</details>

## ПриОпределенииСинонимовДоменовЭлектроннойПочты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет соответствие идентичных (подменяемых) доменов электронной почты.
// Используется при определении того, что письмо отправлено на почтовый ящик отправителя.
// Может потребоваться при загрузке исходящего письма по протоколу IMAP.
// При отправке такого письма почтовый сервер мог указать в адресе отправителя другой домен.
//
// Параметры:
//  СинонимыДоменовЭлектроннойПочты - Соответствие из КлючИЗначение:
//    * Ключ - имя, которое нужно заменить
//    * Значение - имя домена, на который нужно заменить
//
Процедура ПриОпределенииСинонимовДоменовЭлектроннойПочты(СинонимыДоменовЭлектроннойПочты) Экспорт
```

Пример вызова
```bsl
ВзаимодействияЛокализация.ПриОпределенииСинонимовДоменовЭлектроннойПочты(СинонимыДоменовЭлектроннойПочты) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
