---
title: Виды приложений переопределяемый
slug: bsp/виды-приложений-переопределяемый
---


## ПриОпределенииВидовПриложенийКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует таблицу видов приложений конфигурации.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ВидыПриложений - см. ВидыПриложенийСервер.НоваяТаблицаВидовПриложений.
//
Процедура ПриОпределенииВидовПриложенийКонфигурации(ВидыПриложений) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПриОпределенииВидовПриложенийКонфигурации(ВидыПриложений) 
```
</details>

## ПриОпределенииДопСвойствБазовогоВидаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет дополнительные свойства базового вида приложения
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ДополнительныеСвойства - Структура.
//
Процедура ПриОпределенииДопСвойствБазовогоВидаПриложения(ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПриОпределенииДопСвойствБазовогоВидаПриложения(ДополнительныеСвойства) 
```
</details>

## ПриОпределенииВидаПриложенияПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид приложения, который будет установлен по умолчанию,
// если, например, не удалось определить вид приложения по имени или услугам.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ВидПриложения - Структура - см. ВидыПриложенийСервер.НовыйВидПриложения (возвращаемые данные).
//
Процедура ПриОпределенииВидаПриложенияПоУмолчанию(ВидПриложения) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПриОпределенииВидаПриложенияПоУмолчанию(ВидПриложения) 
```
</details>

## ПриДобавленииОбработчиковПереходаВидовПриложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в таблицу процедуры-обработчики перехода от одного вида приложения к другому.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  Обработчики - ТаблицаЗначений:
//    * ИсходноеИмяВидаПриложения - Строка - имя вида приложения, с которого выполняется переход.
//    * ИмяВидаПриложения           - Строка - имя вида приложения, на который выполняется переход.
//    * Процедура                   - Строка - полное имя процедуры-обработчика перехода.
//                                             Обязательно должна быть экспортной.
// Примечание:
//  Если отсутствует хотя бы один обработчик с предыдущего до целевого вида приложения, переход будет невозможен
//
Процедура ПриДобавленииОбработчиковПереходаВидовПриложений(Обработчики) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПриДобавленииОбработчиковПереходаВидовПриложений(Обработчики) 
```
</details>

## ПриУстановкеБазовогоВидаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при установке базового вида приложения.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки. По умолчанию = Ложь.
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПриУстановкеБазовогоВидаПриложения(РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПриУстановкеБазовогоВидаПриложения(РезультатОбработки) 
```
</details>

## ПриОтменеУстановкиБазовогоВидаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при отмене установки базового вида приложения.
// Отмена установки базового вида приложения происходит, если выполняется установка постоянного вида приложения.
// Процедура должна вернуть данные, измененные при установке базового вида приложения, в исходное состояние.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки. По умолчанию = Ложь.
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПриОтменеУстановкиБазовогоВидаПриложения(РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПриОтменеУстановкиБазовогоВидаПриложения(РезультатОбработки) 
```
</details>

## ПослеУстановкиВидаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после установки вида приложения.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ВидПриложения - Строка - имя вида приложения.
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки. По умолчанию = Ложь.
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПослеУстановкиВидаПриложения(ВидПриложения, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПослеУстановкиВидаПриложения(ВидПриложения, РезультатОбработки) 
```
</details>

## ПередПереходомНаВидПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед процедурами-обработчиками перехода на новый вид приложения.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ВидПриложения - Строка - имя вида приложения, с которого выполняется переход.
//  ЦелевойВидПриложения - Строка - имя вида приложения, на который выполняется переход.
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки. По умолчанию = Ложь.
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПередПереходомНаВидПриложения(ВидПриложения, ЦелевойВидПриложения, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПередПереходомНаВидПриложения(ВидПриложения, ЦелевойВидПриложения, РезультатОбработки) 
```
</details>

## ПослеПереходаНаВидПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после завершения перехода на новый вид приложения.
// @skip-warning ПустойМетод - переопределяемый метод.
// Параметры:
//  ВидПриложения - Строка - имя вида приложения, с которого выполнен переход.
//  ЦелевойВидПриложения - Строка - имя вида приложения, на который выполнен переход.
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки. По умолчанию = Ложь.
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПослеПереходаНаВидПриложения(ВидПриложения, ЦелевойВидПриложения, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПослеПереходаНаВидПриложения(ВидПриложения, ЦелевойВидПриложения, РезультатОбработки) 
```
</details>

## ПриОпределенииПараметровУведомления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет параметры уведомления об обновлении вида приложения.
// @skip-warning ПустойМетод - переопределяемый метод.
// Параметры:
//  ПараметрыУведомления - см. ВидыПриложенийСервер.НовыйПараметрыУведомленияОбОбновлении.
//
Процедура ПриОпределенииПараметровУведомления(ПараметрыУведомления) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПриОпределенииПараметровУведомления(ПараметрыУведомления) 
```
</details>

## ПриОпределенииИменРасширенийВидовПриложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет массив имен расширений видов приложений, которые будут исключены из выгрузки
//
// @skip-warning ПустойМетод - переопределяемый метод.
// Параметры:
//  ИменаРасширений - Массив из Строка
//
Процедура ПриОпределенииИменРасширенийВидовПриложений(ИменаРасширений) Экспорт
```

Пример вызова
```bsl
ВидыПриложенийПереопределяемый.ПриОпределенииИменРасширенийВидовПриложений(ИменаРасширений) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
