---
title: Виды приложений сервер
slug: bsp/виды-приложений-сервер
---


## ВидыПриложенийКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу видов приложений конфигурации.
//
// Параметры:
//  ВключаяБазовый - Булево - Истина, если нужно включать базовый вид приложения в таблицу.
//                            По умолчанию = Истина.
//
// Возвращаемое значение:
//  ТаблицаЗначений - см. НоваяТаблицаВидовПриложений
//
Функция ВидыПриложенийКонфигурации(ВключаяБазовый = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ВидыПриложенийСервер.ВидыПриложенийКонфигурации(ВключаяБазовый);
```
</details>

## ОбработчикиПереходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу обработчиков переходов видов приложений конфигурации
//
// Возвращаемое значение:
//  ТаблицаЗначений - см. НоваяТаблицаОбработчиковПерехода
//
Функция ОбработчикиПереходов() Экспорт
```

Пример вызова
```bsl
Результат = ВидыПриложенийСервер.ОбработчикиПереходов() 
```
</details>

## ОбработчикиПереходаВидаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу обработчиков перехода с вида приложения
//
// Параметры:
//  ИсходноеИмяВидаПриложения - Строка - имя предыдущего вида приложения
//  ИмяВидаПриложения - Строка, Неопределено - имя нового вида приложения. Неопределено - если новый вид приложения любой.
//                                             По умолчанию, Неопределено
//
// Возвращаемое значение:
//  ТаблицаЗначений - см. НоваяТаблицаОбработчиковПерехода
//
Функция ОбработчикиПереходаВидаПриложения(ИсходноеИмяВидаПриложения, ИмяВидаПриложения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ВидыПриложенийСервер.ОбработчикиПереходаВидаПриложения(ИсходноеИмяВидаПриложения, ИмяВидаПриложения);
```
</details>

## ИмяТекущегоВидаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя вида приложения конфигурации, автономного рабочего места (АРМ) или области данных, если включено разделение
//
// Возвращаемое значение:
//  Строка - имя текущего вида приложения
//
// Примечание:
//  Имя вида приложения для АРМ может отличаться от итогового, если обращение к функции было до завершения загрузки данных в АРМ
//
Функция ИмяТекущегоВидаПриложения() Экспорт
```

Пример вызова
```bsl
Результат = ВидыПриложенийСервер.ИмяТекущегоВидаПриложения() 
```
</details>

## ПредставлениеТекущегоВидаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление вида приложения конфигурации, автономного рабочего места (АРМ) или области данных, если включено разделение
//
// Возвращаемое значение:
//  Строка - представление вида приложения
//
// Примечание:
//  Представление вида приложения для АРМ может отличаться от итогового, если обращение к функции было до завершения загрузки данных в АРМ
//
Функция ПредставлениеТекущегоВидаПриложения() Экспорт
```

Пример вызова
```bsl
Результат = ВидыПриложенийСервер.ПредставлениеТекущегоВидаПриложения() 
```
</details>

## СвойстваВидаПриложенияПоИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает свойства вида приложения по имени.
//
// Параметры:
//  Имя - Строка - имя вида приложения, свойства которого нужно получить.
//  ВызыватьИсключение - Булево - если Ложь, то в случае отсутствия свойств вида приложения по имени
//                                исключение не будет вызвано. По умолчанию = Истина.
//
// Возвращаемое значение:
//  Неопределено, ФиксированнаяСтруктура - Свойства вида приложения.
//                                         Если свойства не найдены и ВызыватьИсключение = Ложь, возвращается Неопределено.
//                                         Состав свойств см. в ВидыПриложенийСервер.НовыйВидПриложения.
//
Функция СвойстваВидаПриложенияПоИмени(Имя, ВызыватьИсключение = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ВидыПриложенийСервер.СвойстваВидаПриложенияПоИмени(Имя, ВызыватьИсключение);
```
</details>

## СвойстваВидаПриложенияПоУслугам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает свойства вида приложения по услугам.
// Поиск происходит по полному соответствию услуг в переданном параметре и описании вида приложения
//
// Параметры:
//  Услуги - ТаблицаЗначений - описание см.НоваяТаблицаУслуг
//  ВызыватьИсключение - Булево - если Ложь, то в случае отсутствия свойств вида приложения по услугам
//                                исключение не будет вызвано. По умолчанию, Истина.
//
// Возвращаемое значение:
//  Неопределено, ФиксированнаяСтруктура - Свойства вида приложения.
//                                         Если свойства не найдены и ВызыватьИсключение = Ложь, возвращается Неопределено.
//                                         Состав свойств см. в ВидыПриложенийСервер.НовыйВидПриложения.
//
Функция СвойстваВидаПриложенияПоУслугам(Услуги, ВызыватьИсключение = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ВидыПриложенийСервер.СвойстваВидаПриложенияПоУслугам(Услуги, ВызыватьИсключение);
```
</details>

## БазовыйВидПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид приложения, соответствующий конфигурации.
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура - см. НовыйВидПриложения
//
Функция БазовыйВидПриложения() Экспорт
```

Пример вызова
```bsl
Результат = ВидыПриложенийСервер.БазовыйВидПриложения() 
```
</details>

## ВидПриложенияПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид приложения, который будет установлен по умолчанию,
// если, например, не удалось определить вид приложения по имени или услугам.
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура - см. НовыйВидПриложения
//
Функция ВидПриложенияПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ВидыПриложенийСервер.ВидПриложенияПоУмолчанию() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
