---
title: Выгрузка загрузка областей данных
slug: bsp/выгрузка-загрузка-областей-данных
---


## ВыгрузитьТекущуюОбластьВАрхив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает данные приложения в zip-архив, из которого они в дальнейшем могут быть загружены
//  в другую информационную базу или область данных с помощью функции
//  ВыгрузкаЗагрузкаОбластейДанных.ЗагрузитьТекущуюОбластьИзАрхива().
//
// Параметры:
//	АдресДанных - Строка - адрес во временном хранилище, в который нужно поместить результат если данный параметр заполнен
//	РежимВыгрузкиДляТехническойПоддержки - Булево - признак выгрузки в режиме для технической поддержки
//	ДанныеСхемыКонфигурации - ДвоичныеДанные, Неопределено - двоичные данные схемы конфигурации сформированные методом
//	   СхемаКонфигурации.ДвоичныеДанныеСхемы(Истина, Ложь)
//	ИмяФайлаВыгрузки - Строка, Неопределено - требуемое имя файла выгрузки (zip). Если не указано, для выгрузки будет
//	  использовано имя нового временного файла
//	ВыгружатьДанныеРасширений - Булево - признак выгрузки исходных данных пользовательских расширений
//  ПараметрыВыгрузки - Структура, Неопределено - параметры, используемые при выгрузке:
//    * ВыгружатьЗарегистрированныеИзмененияДляУзловПланаОбмена - Булево - включение в выгрузку зарегистрированных изменений для узлов плана обмена (по умолчанию: Ложь).
//    * ИдентификаторСостояния - УникальныйИдентификатор, Неопределено - если передан, в процессе выполнения будет фиксироваться состояние выполнения и рассчитываться прогресс. Идентификатор будет использоваться как ключ записи в регистре СостоянияВыгрузкиЗагрузкиОбластейДанных.
//
// Возвращаемое значение:
//  Структура - с полями:
//  * ИмяФайла - Строка - имя файла архива
//  * Предупреждения - Массив Из Строка - предупреждения пользователю по результатам выгрузки.
//
Функция ВыгрузитьТекущуюОбластьВАрхив(Знач АдресДанных = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ВыгрузкаЗагрузкаОбластейДанных.ВыгрузитьТекущуюОбластьВАрхив(АдресДанных, );
```
</details>

## ВыгрузитьТекущуюОбластьДанныхВоВременноеХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает данные приложения в zip-архив, который помещает во временное хранилище.
//  В дальнейшем данные из архива могут быть загружены
//  в другую информационную базу или область данных с помощью функции
//  ВыгрузкаЗагрузкаОбластейДанных.ЗагрузитьТекущуюОбластьИзАрхива().
//
// Параметры:
//	АдресХранилища - Строка - адрес во временном хранилище, в который нужно поместить
//  	zip-архив с данными.
//
Процедура ВыгрузитьТекущуюОбластьДанныхВоВременноеХранилище(АдресХранилища) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаОбластейДанных.ВыгрузитьТекущуюОбластьДанныхВоВременноеХранилище(АдресХранилища) 
```
</details>

## ЗагрузитьТекущуюОбластьИзАрхива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает данные приложения из zip архива с XML файлами.
//
// Параметры:
//  Архив - Строка, УникальныйИдентификатор - полное имя файла архива с данными или идентификатор файла в МС.
//	ЗагружатьПользователей - Булево - флаг необходимости загрузки пользователей
//	СвернутьЭлементыСправочникаПользователи - Булево - признак необходимости сворачивания пользователей
//	СопоставлениеПользователей - ТаблицаЗначений - описание см. ВыгрузкаЗагрузкаДанных.ЗагрузитьДанныеТекущейОбластиИзАрхива()
//	ДанныеРасширений - Структура - содержит информацию о ключе области и восстанавливаемых расширениях:
//		* КлючОбластиДанных - Строка - ключ области данных
//		* РасширенияДляВосстановления - Массив - список восстанавливаемых расширений
//  ПараметрыЗагрузки - Структура, Неопределено - параметры, используемые при загрузке:
//      * ИдентификаторСостояния - УникальныйИдентификатор, Неопределено - если передан, в процессе выполнения будет фиксироваться состояние выполнения и рассчитываться прогресс. Идентификатор будет использоваться как ключ записи в регистре СостоянияВыгрузкиЗагрузкиОбластейДанных.
//		* АдресХранилищаРезультата - Строка - если передан, результат загрузки будет помещен во временное хранилище по указанному адресу.
//    	* ПропуститьВосстановлениеРасширений - Булево - если передано значение Истина, восстановление расширений перед загрузкой выполняться не будет.
//
// Возвращаемое значение:
//  Структура - с полями:
//  * Предупреждения - Массив Из Строка - предупреждения пользователю по результатам загрузки.
//
Функция ЗагрузитьТекущуюОбластьИзАрхива(Знач Архив, Экспорт
```

Пример вызова
```bsl
Результат = ВыгрузкаЗагрузкаОбластейДанных.ЗагрузитьТекущуюОбластьИзАрхива(Архив, );
```
</details>

## ЗагрузитьТекущуюОбластьИзТома
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает данные приложения из файла менеджера сервиса.
//
// Параметры:
//  ИдентификаторФайла - УникальныйИдентификатор, Структура - полное имя файла архива с данными
//   или структура с полями ИдентификаторФайлаПолнойКопии и ИдентификаторФайлаПолнойКопии
//	ЗагружатьПользователей - Булево - флаг необходимости загрузки пользователей
//	СвернутьЭлементыСправочникаПользователи - Булево - признак необходимости сворачивания пользователей
//	СопоставлениеПользователей - ТаблицаЗначений - описание см. ВыгрузкаЗагрузкаДанных.ЗагрузитьДанныеТекущейОбластиИзАрхива()
//	ДанныеРасширений - Структура - содержит информацию о ключе области и восстанавливаемых расширениях:
//		* КлючОбластиДанных - Строка - ключ области данных
//		* РасширенияДляВосстановления - Массив - список восстанавливаемых расширений
//  ПараметрыЗагрузки - Структура, Неопределено - параметры, используемые при загрузке:
//   	* ИдентификаторСостояния - УникальныйИдентификатор, Неопределено - если передан, в процессе выполнения будет фиксироваться состояние выполнения и рассчитываться прогресс. Идентификатор будет использоваться как ключ записи в регистре СостоянияВыгрузкиЗагрузкиОбластейДанных.
//
// Возвращаемое значение:
//  Структура - с полями:
//  * Предупреждения - Массив Из Строка - предупреждения пользователю по результатам загрузки.
//
Функция ЗагрузитьТекущуюОбластьИзТома( Экспорт
```

Пример вызова
```bsl
Результат = ВыгрузкаЗагрузкаОбластейДанных.ЗагрузитьТекущуюОбластьИзТома();
```
</details>

## ЗагрузитьДифференциальнуюКопию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает данные приложения из дифференциальной копии.
//
// Параметры:
//  ПолныйАрхив - Строка, УникальныйИдентификатор, Структура - имя файла, идентификатор файла или данные файла полученные с помощью ZipАрхивы.ПрочитатьАрхив().
//  ДифференциальныйАрхив - Строка, УникальныйИдентификатор, Структура - имя файла, идентификатор файла или данные файла полученные с помощью ZipАрхивы.ПрочитатьАрхив().
//	ЗагружатьПользователей - Булево - флаг необходимости загрузки пользователей.
//	СвернутьЭлементыСправочникаПользователи - Булево - признак необходимости сворачивания пользователей.
//	СопоставлениеПользователей - ТаблицаЗначений - описание см. ВыгрузкаЗагрузкаДанных.ЗагрузитьДанныеТекущейОбластиИзАрхива().
//	ДанныеРасширений - Структура - содержит информацию о ключе области и восстанавливаемых расширениях:
//		* КлючОбластиДанных - Строка - ключ области данных
//		* РасширенияДляВосстановления - Массив - список восстанавливаемых расширений
//  ПараметрыЗагрузки - Структура, Неопределено - параметры, используемые при загрузке:
//      * ИдентификаторСостояния - УникальныйИдентификатор, Неопределено - если передан, в процессе выполнения будет фиксироваться состояние выполнения и рассчитываться прогресс. Идентификатор будет использоваться как ключ записи в регистре СостоянияВыгрузкиЗагрузкиОбластейДанных.
//
// Возвращаемое значение:
//  Структура - с полями:
//  * Предупреждения - Массив Из Строка - предупреждения пользователю по результатам загрузки.
//
Функция ЗагрузитьДифференциальнуюКопию( Экспорт
```

Пример вызова
```bsl
Результат = ВыгрузкаЗагрузкаОбластейДанных.ЗагрузитьДифференциальнуюКопию();
```
</details>

## ВыгрузкаВАрхивеСовместимаСТекущейКонфигурацией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет совместимость выгрузки из файла с текущей конфигурацией информационной базы.
//
// Параметры:
//  ИмяАрхива - Строка - путь к файлу выгрузки.
//
// Возвращаемое значение:
//	Булево - Истина если данные из архива могут быть загружены
//  	в текущую конфигурацию.
//
Функция ВыгрузкаВАрхивеСовместимаСТекущейКонфигурацией(Знач ИмяАрхива) Экспорт
```

Пример вызова
```bsl
Результат = ВыгрузкаЗагрузкаОбластейДанных.ВыгрузкаВАрхивеСовместимаСТекущейКонфигурацией(ИмяАрхива) 
```
</details>

## ПроверитьВыгрузкаВАрхивеСовместимаСТекущейКонфигурацией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет совместимость выгрузки из файла с текущей конфигурацией информационной базы.
//
// Параметры:
//  ИмяАрхива - Строка - путь к файлу выгрузки.
//
Процедура ПроверитьВыгрузкаВАрхивеСовместимаСТекущейКонфигурацией(Знач ИмяАрхива) Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаОбластейДанных.ПроверитьВыгрузкаВАрхивеСовместимаСТекущейКонфигурацией(ИмяАрхива) 
```
</details>

## ПолучитьТипыМоделиДанныхОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает модель данных для дальнейшей загрузки/выгрузки данных
//
// Возвращаемое значение:
//	Массив Из ОбъектМетаданных - типы.
Функция ПолучитьТипыМоделиДанныхОбласти() Экспорт
```

Пример вызова
```bsl
Результат = ВыгрузкаЗагрузкаОбластейДанных.ПолучитьТипыМоделиДанныхОбласти() 
```
</details>

## ИмяФайлаПолногоАрхива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя файла полного архива
//
// Возвращаемое значение:
//	Строка - наименование файла полного архива.
//
Функция ИмяФайлаПолногоАрхива() Экспорт
```

Пример вызова
```bsl
Результат = ВыгрузкаЗагрузкаОбластейДанных.ИмяФайлаПолногоАрхива() 
```
</details>

## ВыгрузитьТекущуюОбластьДанныхВАрхив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ВыгрузкаЗагрузкаОбластейДанных.ВыгрузитьТекущуюОбластьВАрхив
// Выгружает данные приложения в zip-архив, из которого они в дальнейшем могут быть загружены
//  в другую информационную базу или область данных с помощью функции
//  ВыгрузкаЗагрузкаОбластейДанных.ЗагрузитьТекущуюОбластьИзАрхива().
//
// Параметры:
//	АдресДанных - Строка - адрес во временном хранилище, в который нужно поместить результат если данный параметр заполнен
//	РежимВыгрузкиДляТехническойПоддержки - Булево - признак выгрузки в режиме для технической поддержки
//
// Возвращаемое значение:
//	Строка - путь к файлу выгрузки.
//
Функция ВыгрузитьТекущуюОбластьДанныхВАрхив(Знач АдресДанных = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ВыгрузкаЗагрузкаОбластейДанных.ВыгрузитьТекущуюОбластьДанныхВАрхив(АдресДанных, );
```
</details>

## ВыгрузитьТекущуюОбластьДанныхВФайлИРазделитьНаЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ВыгрузкаЗагрузкаОбластейДанных.ВыгрузитьТекущуюОбластьВАрхив
// Выгружает данные приложения в zip-архив, разбивает, при необходимости,
// на части и помещает результат во временное хранилище.
//
// Параметры:
//	АдресХранилища - Строка - адрес во временном хранилище для размещения результата
//	АдресХранилищаФайла - Строка - адрес во временном хранилище для размещения файла
//	ЭтоВебКлиент - Булево - признак веб клиента
//	РазмерЧастиВМегабайтах - Число - размер одной части файла в мегабайтах
//	РежимВыгрузкиДляТехническойПоддержки - Булево - признак выгрузки в режиме для технической поддержки
//
Процедура ВыгрузитьТекущуюОбластьДанныхВФайлИРазделитьНаЧасти(АдресХранилища, Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаОбластейДанных.ВыгрузитьТекущуюОбластьДанныхВФайлИРазделитьНаЧасти(АдресХранилища, );
```
</details>

## ЗагрузитьТекущуюОбластьДанныхИзАрхива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ВыгрузкаЗагрузкаОбластейДанных.ЗагрузитьТекущуюОбластьИзАрхива
// Загружает данные приложения из zip архива с XML файлами.
//
// Параметры:
//  ИмяАрхива - Строка - полное имя файла архива с данными
//	ЗагружатьПользователей - Булево - флаг необходимости загрузки пользователей
//	СвернутьЭлементыСправочникаПользователи - Булево - признак необходимости сворачивания пользователей
//	СопоставлениеПользователей - ТаблицаЗначений - описание см. ВыгрузкаЗагрузкаДанных.ЗагрузитьДанныеТекущейОбластиИзАрхива()
//	ДанныеРасширений - Структура - содержит информацию о ключе области и восстанавливаемых расширениях:
//		* КлючОбластиДанных - Строка - ключ области данных
//		* РасширенияДляВосстановления - Массив - список восстанавливаемых расширений
//
Процедура ЗагрузитьТекущуюОбластьДанныхИзАрхива(Знач ИмяАрхива, Экспорт
```

Пример вызова
```bsl
ВыгрузкаЗагрузкаОбластейДанных.ЗагрузитьТекущуюОбластьДанныхИзАрхива(ИмяАрхива, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
