---
title: Дополнительные отчеты и обработки регламентные задания в модели сервиса
slug: bsp/дополнительные-отчеты-и-обработки-регламентные-задания-в-модели-сервиса
---


## СоздатьНовоеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.ДобавитьЗадание().
//
// Возвращаемое значение:
//   Неопределено - следует использовать РегламентныеЗаданияСервер.ДобавитьЗадание().
//
Функция СоздатьНовоеЗадание() Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеОтчетыИОбработкиРегламентныеЗаданияВМоделиСервиса.СоздатьНовоеЗадание() 
```
</details>

## ПолучитьИдентификаторЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.УникальныйИдентификатор().
//
// Параметры:
//   Задание - РегламентноеЗадание - регламентное задание.
//
// Возвращаемое значение:
//   Неопределено - следует использовать РегламентныеЗаданияСервер.УникальныйИдентификатор().
//
Функция ПолучитьИдентификаторЗадания(Знач Задание) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеОтчетыИОбработкиРегламентныеЗаданияВМоделиСервиса.ПолучитьИдентификаторЗадания(Задание) 
```
</details>

## УстановитьПараметрыЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.ИзменитьЗадание().
//
// Параметры:
//   Задание - РегламентноеЗадание - регламентное задание.
//   Использование - Булево - флаг использования регламентного задания.
//   Параметры - Массив - параметры регламентного задания.
//   Расписание - РасписаниеРегламентногоЗадания - расписание регламентного задания.
//
Процедура УстановитьПараметрыЗадания(Задание, Использование, Параметры, Расписание) Экспорт
```

Пример вызова
```bsl
ДополнительныеОтчетыИОбработкиРегламентныеЗаданияВМоделиСервиса.УстановитьПараметрыЗадания(Задание, Использование, Параметры, Расписание) 
```
</details>

## ПолучитьПараметрыЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.НайтиЗадания().
//
// Параметры:
//   Задание - РегламентноеЗадание - регламентное задание.
//
// Возвращаемое значение:
//   Неопределено - следует использовать РегламентныеЗаданияСервер.НайтиЗадания().
//
Функция ПолучитьПараметрыЗадания(Знач Задание) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеОтчетыИОбработкиРегламентныеЗаданияВМоделиСервиса.ПолучитьПараметрыЗадания(Задание) 
```
</details>

## НайтиЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.Задание().
//
// Параметры:
//   Идентификатор - УникальныйИдентификатор - идентификатор регламентного задания.
//
// Возвращаемое значение:
//   Неопределено - следует использовать РегламентныеЗаданияСервер.НайтиЗадания().
//
Функция НайтиЗадание(Знач Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ДополнительныеОтчетыИОбработкиРегламентныеЗаданияВМоделиСервиса.НайтиЗадание(Идентификатор) 
```
</details>

## УдалитьЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РегламентныеЗаданияСервер.УдалитьЗадание().
//
// Параметры:
//   Задание - РегламентноеЗадание - регламентное задание.
//
Процедура УдалитьЗадание(Знач Задание) Экспорт
```

Пример вызова
```bsl
ДополнительныеОтчетыИОбработкиРегламентныеЗаданияВМоделиСервиса.УдалитьЗадание(Задание) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
