---
title: Заметки пользователя
slug: bsp/заметки-пользователя
---


## УстановитьСтатусИзмененияПометкиУдаленияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет признак изменения пометки удаления документа.
// Состав параметров процедуры соответствует подписке на событие ПередЗаписью объекта Документ.
// Описание см. в синтакс-помощнике.
//
// Параметры:
//  Источник  - ДокументОбъект - источник события подписки.
//  Отказ     - Булево         - признак отказа от записи. Если установить Истина, то запись выполнена не будет
//                               и будет вызвано исключение.
//  РежимЗаписи     - РежимЗаписиДокумента     - текущий режим записи документа-источника.
//  РежимПроведения - РежимПроведенияДокумента - текущий режим проведения документа-источника.
//
Процедура УстановитьСтатусИзмененияПометкиУдаленияДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ЗаметкиПользователя.УстановитьСтатусИзмененияПометкиУдаленияДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## УстановитьСтатусИзмененияПометкиУдаленияОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет признак изменения пометки удаления объекта.
// Состав параметров процедуры соответствует подписке на событие ПередЗаписью любых объектов, кроме документов.
// Описание см. в синтакс-помощнике.
//
// Параметры:
//  Источник - СправочникОбъект - источник события подписки.
//  Отказ    - Булево - признак отказа от записи. Если установить Истина, то запись выполнена не будет
//                      и будет вызвано исключение.
//
Процедура УстановитьСтатусИзмененияПометкиУдаленияОбъекта(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ЗаметкиПользователя.УстановитьСтатусИзмененияПометкиУдаленияОбъекта(Источник, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
