---
title: Интеграция объектов областей данных
slug: bsp/интеграция-объектов-областей-данных
---


## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
// 	СоответствиеИменПсевдонимам - см. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков.СоответствиеИменПсевдонимам
//
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОбъектовОбластейДанных.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки
//
// Параметры:
//	Типы - см. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки.Типы
//
Процедура ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОбъектовОбластейДанных.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) 
```
</details>

## ДобавитьОбъектКОтправке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет объект к отправке во внешнюю учетную систему.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  УчетнаяСистема - ОпределяемыйТип.УчетныеСистемыИнтеграцииОбластейДанных - учетная система.
//  ИдентификаторОбъекта - Строка - идентификатор объекта, должен соответствовать
//						 требованиям к именованию файлов операционной системы (длина - 50).
//  Обработчик - Строка - идентификатор обработчика объекта (длина - 50).
//  ДанныеОбъекта - ДвоичныеДанные - данные объекта к отправке (если не указано, данные будут запрошены перед отправкой).
//
Процедура ДобавитьОбъектКОтправке(УчетнаяСистема, ИдентификаторОбъекта, Экспорт
```

Пример вызова
```bsl
ИнтеграцияОбъектовОбластейДанных.ДобавитьОбъектКОтправке(УчетнаяСистема, ИдентификаторОбъекта, );
```
</details>

## УдалитьОбъектКОтправке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет объект из объектов к отправке в учетную систему.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  УчетнаяСистема - ОпределяемыйТип.УчетныеСистемыИнтеграцииОбластейДанных - учетная система.
//  ИдентификаторОбъекта - Строка - идентификатор объекта (длина - 50).
//  Обработчик - Строка - идентификатор обработчика объекта (длина - 50).
//
Процедура УдалитьОбъектКОтправке(УчетнаяСистема, Экспорт
```

Пример вызова
```bsl
ИнтеграцияОбъектовОбластейДанных.УдалитьОбъектКОтправке(УчетнаяСистема, );
```
</details>

## ОповеститьОбИзмененииОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет оповещение внешней учетной системы в соответствие с настройками оповещения.
// @skip-warning ПустойМетод - особеннность реализации.
//
// Параметры:
//  УчетнаяСистема - ОпределяемыйТип.УчетныеСистемыИнтеграцииОбластейДанных, СправочникСсылка - учетная система.
//  ИдентификаторОбъекта - Строка - идентификатор объекта (длина - 50).
//  ВызыватьИсключение - Булево - признак вызова исключения при неудачной отправке оповещения.
//
Процедура ОповеститьОбИзмененииОбъекта(УчетнаяСистема, ИдентификаторОбъекта, Экспорт
```

Пример вызова
```bsl
ИнтеграцияОбъектовОбластейДанных.ОповеститьОбИзмененииОбъекта(УчетнаяСистема, ИдентификаторОбъекта, );
```
</details>

## Настройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки внешней учетной системы.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  УчетнаяСистема - ОпределяемыйТип.УчетныеСистемыИнтеграцииОбластейДанных, СправочникСсылка - учетная система.
//  КлючиНастроек - Строка, Массив Из Строка - ключи настроек, по которым нужно вернуть значения.
//
// Возвращаемое значение:
//  Структура - Настройки учетной системы:
//	* ОповещатьОбИзменениях - Булево - признак использования оповещений при создании/изменении данных в приложении.
//	* АдресСервиса - Строка - адрес сервиса приема оповещений об изменениях.
//	* СпособАутентификации - ПеречислениеСсылка.СпособыАутентификации - способ аутентификации в сервисе приема оповещений.
//	* Логин - Строка - логин аутентификации в сервисе приема оповещений (используется при basic-аутентификации).
//	* Пароль - Строка - пароль аутентификации в сервисе приема оповещений (используется при basic-аутентификации).
//	* ИспользоватьСертификат - Булево - признак использования сертификата при установке соединения с сервисом приема оповещений.
//	* ИмяСертификата - Строка - имя файла сертификата.
//	* ПарольСертификата - Строка -  пароль сертификата (используется, если задано свойство ИспользоватьСертификат).
//	* ДанныеСертификата - ДвоичныеДанные - двоичные данные сертификата в base64 (используется, если задано свойство ИспользоватьСертификат).
//	* ПодписыватьДанные - Булево - признак использования подписи данных при отправке их в сервис приема оповещений.
//	* КлючПодписи - Строка - секретное слово, для подписи отправляемых данных. Подпись выполняется с помощью алгоритма HMACSHA256.
//
Функция Настройки(УчетнаяСистема, Знач КлючиНастроек = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияОбъектовОбластейДанных.Настройки(УчетнаяСистема, КлючиНастроек);
```
</details>

## НовыйРезультатыВыполненияКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон для помещения результатов выполнения команды
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//  ТаблицаЗначений - шаблон выполнения команды для возврата результатов:
//	* ИдентификаторОбъекта - Строка - идентификатор объекта.
//	* Обработчик - Строка - идентификатор обработчика.
//
Функция НовыйРезультатыВыполненияКоманды() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияОбъектовОбластейДанных.НовыйРезультатыВыполненияКоманды() 
```
</details>

## ВыполнитьКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет полученную от учетной системы команду.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	УчетнаяСистема - ОпределяемыйТип.УчетныеСистемыИнтеграцииОбластейДанных - учетная система.
//	ИдентификаторПараметров - Строка - идентификатор файла параметров выполнения команды (длина 36).
//
Процедура ВыполнитьКоманду(УчетнаяСистема, ИдентификаторПараметров) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОбъектовОбластейДанных.ВыполнитьКоманду(УчетнаяСистема, ИдентификаторПараметров) 
```
</details>

## ПодготовитьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пакет данных для получения учетной системой.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	УчетнаяСистема - ОпределяемыйТип.УчетныеСистемыИнтеграцииОбластейДанных - учетная система
//				   по которой готовятся данные.
//
Процедура ПодготовитьДанные(УчетнаяСистема) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОбъектовОбластейДанных.ПодготовитьДанные(УчетнаяСистема) 
```
</details>

## ОбработатьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает полученный от учетной системы пакет данных.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	УчетнаяСистема - ОпределяемыйТип.УчетныеСистемыИнтеграцииОбластейДанных - учетная система
//				   по которой готовятся данные.
//  ИдентификаторФайла - Строка - идентификатор файла для обработки (длина 36).
//
Процедура ОбработатьДанные(УчетнаяСистема, ИдентификаторФайла) Экспорт
```

Пример вызова
```bsl
ИнтеграцияОбъектовОбластейДанных.ОбработатьДанные(УчетнаяСистема, ИдентификаторФайла) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
