---
title: Интеграция объектов областей данных словарь
slug: bsp/интеграция-объектов-областей-данных-словарь
---


## КодВозвратаОшибкаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код ошибки данных.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаОшибкаДанных() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияОбъектовОбластейДанныхСловарь.КодВозвратаОшибкаДанных() 
```
</details>

## КодВозвратаВнутренняяОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код внутренней ошибки.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаВнутренняяОшибка() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияОбъектовОбластейДанныхСловарь.КодВозвратаВнутренняяОшибка() 
```
</details>

## КодВозвратаВыполненоСПредупреждениями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код выполнения с предупреждениями.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаВыполненоСПредупреждениями() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияОбъектовОбластейДанныхСловарь.КодВозвратаВыполненоСПредупреждениями() 
```
</details>

## КодВозвратаВыполнено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код успешного выполнения.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаВыполнено() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияОбъектовОбластейДанныхСловарь.КодВозвратаВыполнено() 
```
</details>

## КодВозвратаНеНайдено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код отсутствия данных.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Число - стандартный код возврата по имени метода.
//
Функция КодВозвратаНеНайдено() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияОбъектовОбластейДанныхСловарь.КодВозвратаНеНайдено() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
