---
title: Интеграция подсистем БТС
slug: bsp/интеграция-подсистем-бтс
---


## ПриОпределенииПодписокНаСобытияБСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Обработка программных событий, возникающих в подсистемах БСП.
// Только для вызовов из библиотеки БСП в БТС.

// Определяет события, на которые подписана эта библиотека.
//
// Параметры:
//  Подписки - Структура - Ключами свойств структуры являются имена событий, на которые
//           подписана эта библиотека.
//
Процедура ПриОпределенииПодписокНаСобытияБСП(Подписки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриОпределенииПодписокНаСобытияБСП(Подписки) 
```
</details>

## ПередЗапускомПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияПереопределяемый.ПередЗапускомПрограммы
Процедура ПередЗапускомПрограммы() Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПередЗапускомПрограммы() 
```
</details>

## ПриДобавленииПодсистем
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПодсистемыКонфигурацииПереопределяемый.ПриДобавленииПодсистем
//
// Параметры:
// 	МодулиПодсистем - Массив из Строка - имена модулей.
Процедура ПриДобавленииПодсистем(МодулиПодсистем) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриДобавленииПодсистем(МодулиПодсистем) 
```
</details>

## ПриДобавленииОбработчиковУстановкиПараметровСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияПереопределяемый.ПриДобавленииОбработчиковУстановкиПараметровСеанса.
Процедура ПриДобавленииОбработчиковУстановкиПараметровСеанса(Обработчики) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриДобавленииОбработчиковУстановкиПараметровСеанса(Обработчики) 
```
</details>

## ПриДобавленииИсключенийПоискаСсылок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияПереопределяемый.ПриДобавленииИсключенийПоискаСсылок
Процедура ПриДобавленииИсключенийПоискаСсылок(ИсключенияПоискаСсылок) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриДобавленииИсключенийПоискаСсылок(ИсключенияПоискаСсылок) 
```
</details>

## ПриОтправкеДанныхГлавному
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПриОтправкеДанныхГлавномув синтаксис-помощнике
//
// Параметры:
//  ЭлементДанных - Произвольный - объект базы данных
//  ОтправкаЭлемента - ОтправкаЭлементаДанных
//  Получатель - ПланОбменаСсылка
Процедура ПриОтправкеДанныхГлавному(ЭлементДанных, ОтправкаЭлемента, Получатель) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриОтправкеДанныхГлавному(ЭлементДанных, ОтправкаЭлемента, Получатель) 
```
</details>

## ПриОтправкеДанныхПодчиненному
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПриОтправкеДанныхПодчиненномув синтаксис-помощнике
//
// Параметры:
//  ЭлементДанных - Произвольный - объект базы данных
//  ОтправкаЭлемента - ОтправкаЭлементаДанных
//  СозданиеНачальногоОбраза - Булево
//  Получатель - ПланОбменаСсылка
Процедура ПриОтправкеДанныхПодчиненному(ЭлементДанных, ОтправкаЭлемента, СозданиеНачальногоОбраза, Получатель) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриОтправкеДанныхПодчиненному(ЭлементДанных, ОтправкаЭлемента, СозданиеНачальногоОбраза, Получатель) 
```
</details>

## ПриПолученииДанныхОтГлавного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПриПолученииДанныхОтГлавногов синтаксис-помощнике
//
// Параметры:
//  ЭлементДанных - Произвольный - объект базы данных
//  ПолучениеЭлемента - ПолучениеЭлементаДанных
//  ОтправкаНазад - Булево
//  Отправитель - ПланОбменаСсылка
Процедура ПриПолученииДанныхОтГлавного(ЭлементДанных, ПолучениеЭлемента, ОтправкаНазад, Отправитель) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриПолученииДанныхОтГлавного(ЭлементДанных, ПолучениеЭлемента, ОтправкаНазад, Отправитель) 
```
</details>

## ПриПолученииДанныхОтПодчиненного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПриПолученииДанныхОтПодчиненного в синтаксис-помощнике
//
// Параметры:
//  ЭлементДанных - Произвольный - объект базы данных
//  ПолучениеЭлемента - ПолучениеЭлементаДанных
//  ОтправкаНазад - Булево
//  Отправитель - ПланОбменаСсылка
Процедура ПриПолученииДанныхОтПодчиненного(ЭлементДанных, ПолучениеЭлемента, ОтправкаНазад, Отправитель) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриПолученииДанныхОтПодчиненного(ЭлементДанных, ПолучениеЭлемента, ОтправкаНазад, Отправитель) 
```
</details>

## ПриВключенииРазделенияПоОбластямДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаВМоделиСервисаПереопределяемый.ПриВключенииРазделенияПоОбластямДанных
Процедура ПриВключенииРазделенияПоОбластямДанных() Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриВключенииРазделенияПоОбластямДанных() 
```
</details>

## ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияПереопределяемый.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов
// Параметры:
//  СтруктураПоддерживаемыхВерсий - Структура - в ключе указывается имя программного интерфейса,
//                                     а в значениях - массив строк с поддерживаемыми версиями этого интерфейса.
Процедура ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(Знач СтруктураПоддерживаемыхВерсий) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(СтруктураПоддерживаемыхВерсий) 
```
</details>

## ПриДобавленииПараметровРаботыКлиентаПриЗапуске
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СтандартныеПодсистемыКлиент.ПараметрыРаботыКлиентаПриЗапуске
// Параметры:
//   Параметры - Структура - имена и значения параметров работы клиента при запуске, которые необходимо задать.
Процедура ПриДобавленииПараметровРаботыКлиентаПриЗапуске(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриДобавленииПараметровРаботыКлиентаПриЗапуске(Параметры) 
```
</details>

## ПриДобавленииПараметровРаботыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СтандартныеПодсистемыКлиент.ПараметрыРаботыКлиента
//
// Параметры:
//   Параметры - Структура - имена и значения параметров работы клиента при запуске, которые необходимо задать.
Процедура ПриДобавленииПараметровРаботыКлиента(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриДобавленииПараметровРаботыКлиента(Параметры) 
```
</details>

## ПриОпределенииОбъектовСРедактируемымиРеквизитами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ГрупповоеИзменениеОбъектовПереопределяемый.ПриОпределенииОбъектовСРедактируемымиРеквизитами
//
// Параметры:
//  Объекты - Соответствие из КлючИЗначение
Процедура ПриОпределенииОбъектовСРедактируемымиРеквизитами(Объекты) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриОпределенииОбъектовСРедактируемымиРеквизитами(Объекты) 
```
</details>

## ПриУстановкеРежимаПодключенияДополнительногоОтчетаИлиОбработкиВОбластиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела.
Процедура ПриУстановкеРежимаПодключенияДополнительногоОтчетаИлиОбработкиВОбластиДанных(ПоставляемаяОбработка, Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриУстановкеРежимаПодключенияДополнительногоОтчетаИлиОбработкиВОбластиДанных(ПоставляемаяОбработка, );
```
</details>

## ПриОпределенииСправочниковДляЗагрузкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗагрузкаДанныхИзФайлаПереопределяемый.ПриОпределенииСправочниковДляЗагрузкиДанных
//
// Параметры:
//  ЗагружаемыеСправочники - ТаблицаЗначений
Процедура ПриОпределенииСправочниковДляЗагрузкиДанных(ЗагружаемыеСправочники) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриОпределенииСправочниковДляЗагрузкиДанных(ЗагружаемыеСправочники) 
```
</details>

## ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузкиOData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ИнтеграцияПодсистемБСП.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузкиOData
//
// Параметры:
//  Типы - Массив из ОбъектМетаданных - объекты метаданных, исключаемые из выгрузки и загрузки.
Процедура ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузкиOData(Типы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузкиOData(Типы) 
```
</details>

## ПриЗавершенииОбработкиПользователяИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПользователиСлужебныйВМоделиСервиса.ПриЗавершенииОбработкиПользователяИБ
//
// Параметры:
//  Пользователь - СправочникСсылка.Пользователи
Процедура ПриЗавершенииОбработкиПользователяИБ(Пользователь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриЗавершенииОбработкиПользователяИБ(Пользователь) 
```
</details>

## ПриПроверкеВозможностиНастройкиПрофилейБезопасности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаВБезопасномРежимеПереопределяемый.ПриПроверкеВозможностиНастройкиПрофилейБезопасности
Процедура ПриПроверкеВозможностиНастройкиПрофилейБезопасности(Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриПроверкеВозможностиНастройкиПрофилейБезопасности(Отказ) 
```
</details>

## ПриЗапросеРазрешенийНаИспользованиеВнешнихРесурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаВБезопасномРежимеПереопределяемый.ПриЗапросеРазрешенийНаИспользованиеВнешнихРесурсов
Процедура ПриЗапросеРазрешенийНаИспользованиеВнешнихРесурсов(Знач ПрограммныйМодуль, Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриЗапросеРазрешенийНаИспользованиеВнешнихРесурсов(ПрограммныйМодуль, );
```
</details>

## ПриЗапросеСозданияПрофиляБезопасности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаВБезопасномРежимеПереопределяемый.ПриЗапросеСозданияПрофиляБезопасности
Процедура ПриЗапросеСозданияПрофиляБезопасности(Знач ПрограммныйМодуль, Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриЗапросеСозданияПрофиляБезопасности(ПрограммныйМодуль, );
```
</details>

## ПриЗапросеУдаленияПрофиляБезопасности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаВБезопасномРежимеПереопределяемый.ПриЗапросеУдаленияПрофиляБезопасности
Процедура ПриЗапросеУдаленияПрофиляБезопасности(Знач ПрограммныйМодуль, Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриЗапросеУдаленияПрофиляБезопасности(ПрограммныйМодуль, );
```
</details>

## ПриПодключенииВнешнегоМодуля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаВБезопасномРежимеПереопределяемый.ПриПодключенииВнешнегоМодуля
Процедура ПриПодключенииВнешнегоМодуля(Знач ВнешнийМодуль, Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриПодключенииВнешнегоМодуля(ВнешнийМодуль, );
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ПриЗаполненииПоставляемыхПрофилейГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступомПереопределяемый.ПриЗаполненииПоставляемыхПрофилейГруппДоступа
Процедура ПриЗаполненииПоставляемыхПрофилейГруппДоступа(ОписанияПрофилей, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриЗаполненииПоставляемыхПрофилейГруппДоступа(ОписанияПрофилей, ПараметрыОбновления) 
```
</details>

## ПриПолученииПриоритетаОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ИнтеграцияПодсистемБСП.ПриПолученииПриоритетаОбновления.
Процедура ПриПолученииПриоритетаОбновления(Приоритет) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТС.ПриПолученииПриоритетаОбновления(Приоритет) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
