---
title: Интеграция подсистем БТС клиент
slug: bsp/интеграция-подсистем-бтс-клиент
---


## ПриОпределенииПодписокНаСобытияБСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Обработка программных событий, возникающих в подсистемах БСП.
// Только для вызовов из библиотеки БСП в БТС.

// Определяет события, на которые подписана эта библиотека.
//
// Параметры:
//  Подписки - Структура - Ключами свойств структуры являются имена событий, на которые
//           подписана эта библиотека.
//
Процедура ПриОпределенииПодписокНаСобытияБСП(Подписки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТСКлиент.ПриОпределенииПодписокНаСобытияБСП(Подписки) 
```
</details>

## ПередНачаломРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. процедуру ОбщегоНазначенияКлиентПереопределяемый.ПередНачаломРаботыСистемы
// Параметры:
//	Параметры - см. ОбщегоНазначенияКлиентПереопределяемый.ПередНачаломРаботыСистемы.Параметры
Процедура ПередНачаломРаботыСистемы(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТСКлиент.ПередНачаломРаботыСистемы(Параметры) 
```
</details>

## ПриНачалеРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. процедуру ОбщегоНазначенияКлиентПереопределяемый.ПриНачалеРаботыСистемы.
// Параметры:
//	Параметры - Структура:
//	 * Модули - Массив - ссылки на модули.
Процедура ПриНачалеРаботыСистемы(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТСКлиент.ПриНачалеРаботыСистемы(Параметры) 
```
</details>

## ПриЗавершенииСеансов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. процедуру УдаленноеАдминистрированиеБТСКлиент.ПриЗавершенииСеансов.
Процедура ПриЗавершенииСеансов(ФормаВладелец, Знач НомераСеансов, СтандартнаяОбработка, Знач ОповещениеПослеЗавершенияСеанса = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТСКлиент.ПриЗавершенииСеансов(ФормаВладелец, НомераСеансов, СтандартнаяОбработка, ОповещениеПослеЗавершенияСеанса);
```
</details>

## ПриПодтвержденииЗапросовНаИспользованиеВнешнихРесурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. процедуру РаботаВБезопасномРежимеКлиентПереопределяемый.ПриПодтвержденииЗапросовНаИспользованиеВнешнихРесурсов.
Процедура ПриПодтвержденииЗапросовНаИспользованиеВнешнихРесурсов(Знач ИдентификаторыЗапросов, ФормаВладелец, ОповещениеОЗакрытии, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияПодсистемБТСКлиент.ПриПодтвержденииЗапросовНаИспользованиеВнешнихРесурсов(ИдентификаторыЗапросов, ФормаВладелец, ОповещениеОЗакрытии, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
