---
title: Интеграция с системой взаимодействия
slug: bsp/интеграция-с-системой-взаимодействия
---


## ДанныеДляУправленияСистемойВзаимодействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные для управления системой взаимодействия.
//
// Возвращаемое значение:
//  Строка
Функция ДанныеДляУправленияСистемойВзаимодействия() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.ДанныеДляУправленияСистемойВзаимодействия() 
```
</details>

## ДоступноПодключениеКСистемеВзаимодействияВМоделиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Доступно подключение к системе взаимодействия в модели сервиса.
//
// Возвращаемое значение:
//  Булево - Ложь
Функция ДоступноПодключениеКСистемеВзаимодействияВМоделиСервиса() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.ДоступноПодключениеКСистемеВзаимодействияВМоделиСервиса() 
```
</details>

## ЗапросВСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат запроса к HTTP-сервису для управления системой взаимодействия
//
// Параметры:
//  АдресПубликацииСервисаУправления - Строка
//  КодУправления					 - Строка
//  ИмяМетода						 - Строка
//  ПараметрыЗапроса				 - Структура
//
// Возвращаемое значение:
//  Структура - результат запроса в сервис с полями:
//		* Успешно - Булево
//		* ТекстСообщения - Строка
//		* ДанныеРезультата - Структура
//
Функция ЗапросВСервис(АдресПубликацииСервисаУправления, КодУправления, ИмяМетода, ПараметрыЗапроса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.ЗапросВСервис(АдресПубликацииСервисаУправления, КодУправления, ИмяМетода, ПараметрыЗапроса);
```
</details>

## ЗарегистрироватьБазуЧерезСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Зарегистрировать базу через сервис
//
// Параметры:
//  АдресПубликацииСервисаУправления - Строка
//  КодУправления - Строка
//  ИмяБазы - Строка
//
// Возвращаемое значение: см. ЗапросВСервис
Функция ЗарегистрироватьБазуЧерезСервис(АдресПубликацииСервисаУправления, КодУправления, ИмяБазы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.ЗарегистрироватьБазуЧерезСервис(АдресПубликацииСервисаУправления, КодУправления, ИмяБазы) 
```
</details>

## ИспользуетсяИнтеграцияССистемойВзаимодействияВМоделиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется интеграция с системой взаимодействия в модели сервиса.
//
// Возвращаемое значение:
//  Булево
Функция ИспользуетсяИнтеграцияССистемойВзаимодействияВМоделиСервиса() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.ИспользуетсяИнтеграцияССистемойВзаимодействияВМоделиСервиса() 
```
</details>

## ОбъектСистемыВзаимодействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Объект системы взаимодействия.
//
// Возвращаемое значение:
//  МенеджерСистемыВзаимодействия
Функция ОбъектСистемыВзаимодействия() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.ОбъектСистемыВзаимодействия() 
```
</details>

## ПолучитьДанныеОПользователяхСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить данные о пользователях сервиса.
//
// Параметры:
//  АдресПубликацииСервисаУправления - Строка
//  КодУправления - Строка
//
// Возвращаемое значение: см. ЗапросВСервис
//
Функция ПолучитьДанныеОПользователяхСервиса(АдресПубликацииСервисаУправления, КодУправления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.ПолучитьДанныеОПользователяхСервиса(АдресПубликацииСервисаУправления, КодУправления) 
```
</details>

## РасшифроватьДанныеДляУправления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает расшифрованные данные, предназначенные для управления системой взаимодействия через HTTP-сервис.
//
// Параметры:
//  ДанныеДляУправления - Строка - зашифрованные данные
//
// Возвращаемое значение:
//  Структура - результат расшифровки с полями:
//	* ТекстСообщения - Строка - сообщение, сформированное при расшифровке
//	* Расшифровано - Булево - признак успешной расшифровки
//	* Данные - Структура - расшифрованные данные:
//	  ** АдресПубликацииСервисаУправления - Строка
//	  ** КодУправления - Строка
//
Функция РасшифроватьДанныеДляУправления(ДанныеДляУправления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.РасшифроватьДанныеДляУправления(ДанныеДляУправления) 
```
</details>

## ТипКоллекцияИдентификаторовПриложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Тип коллекция идентификаторов приложений.
//
// Возвращаемое значение:
//  Тип - Тип
Функция ТипКоллекцияИдентификаторовПриложений() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.ТипКоллекцияИдентификаторовПриложений() 
```
</details>

## ТипПараметрыРегистрацииИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Тип параметры регистрации ИБ.
//
// Возвращаемое значение:
//  Тип - Тип
Функция ТипПараметрыРегистрацииИБ() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.ТипПараметрыРегистрацииИБ() 
```
</details>

## ТипСовместноеИспользованиеПриложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Тип совместное использование приложений.
//
// Возвращаемое значение:
//  Тип - Тип
Функция ТипСовместноеИспользованиеПриложений() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияССистемойВзаимодействия.ТипСовместноеИспользованиеПриложений() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
