---
title: Интернет поддержка пользователей в модели сервиса
slug: bsp/интернет-поддержка-пользователей-в-модели-сервиса
---


## ТикетАутентификацииНаПорталеПоддержкиВНеразделенномСеансе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тикет аутентификации пользователя на портале поддержки
// при работе в модели сервиса в неразделенном сеансе.
// Возвращенный тикет может быть проверен вызовом операции check
// сервиса https://login.1c.ru или https://login.1c.eu
//
// Подробнее см. https://login.1c.ru/rest/public/swagger-ui.html.
//
// Параметры:
//  ВладелецТикета - Строка - произвольное имя сервиса, для которого
//      выполняется аутентификация пользователя. Это же имя должно
//      использоваться при вызове операции checkTicket();
//      Не допускается незаполненное значение параметра;
//  ОбластьДанных - Число - номер области данных (абонент), для которой
//      выполняется получение тикета.
//
// Возвращаемое значение:
//  Структура - результат получения тикета. Поля структуры:
//      * Тикет - Строка - полученный тикет аутентификации. Если при получении
//        тикета произошла ошибка, значение поля - пустая строка.
//      * КодОшибки - Строка - строковый код возникшей ошибки, который
//        может быть обработан вызывающим функционалом:
//              - <Пустая строка> - получение тикета выполнено успешно;
//              - "ОшибкаПодключения" - ошибка при подключении к сервису;
//              - "ОшибкаСервиса" - внутренняя ошибка сервиса;
//              - "НеизвестнаяОшибка" - при получении тикета возникла
//                 неизвестная (необрабатываемая) ошибка;
//      * СообщениеОбОшибке - Строка - краткое описание ошибки, которое
//        может быть отображено пользователю;
//      * ИнформацияОбОшибке - Строка - подробное описание ошибки, которое
//        может быть записано в журнал регистрации.
//
Функция ТикетАутентификацииНаПорталеПоддержкиВНеразделенномСеансе(ВладелецТикета, ОбластьДанных) Экспорт
```

Пример вызова
```bsl
Результат = ИнтернетПоддержкаПользователейВМоделиСервиса.ТикетАутентификацииНаПорталеПоддержкиВНеразделенномСеансе(ВладелецТикета, ОбластьДанных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
