---
title: Интернет поддержка пользователей клиент
slug: bsp/интернет-поддержка-пользователей-клиент
---


## НастройкиСоединенияССерверами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки соединения с серверами Интернет-поддержки.
//
// Возвращаемое значение:
//  Структура - настройки соединения. Поля структуры:
//      * УстанавливатьПодключениеНаСервере - Булево - Истина, если подключение
//        устанавливается на сервере 1С:Предприятие;
//      * ТаймаутПодключения - Число - таймаут подключения к серверам в секундах;
//      * ДоменРасположенияСерверовИПП - Число - если 0, устанавливать подключение
//        к серверам ИПП в доменной зоне 1c.ru, если 1 - в доменной зоне 1c.eu.
//
Функция НастройкиСоединенияССерверами() Экспорт
```

Пример вызова
```bsl
Результат = ИнтернетПоддержкаПользователейКлиент.НастройкиСоединенияССерверами() 
```
</details>

## ПодключитьИнтернетПоддержкуПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подключение к сервису Интернет-поддержки: ввод данных
// аутентификации (логина и пароля) для подключения к сервисам
// Интернет-поддержки.
// При успешном завершении возвращается введенный логин через
// объект ОписаниеОповещения.
//
// Параметры:
//  ОповещениеОЗавершении - ОписаниеОповещения - обработчик оповещения о
//          завершении. В обработчик оповещения возвращается значение:
//          Неопределено - при нажатии пользователем кнопки Отмена;
//          Структура, при успешном вводе логина и пароля.
//          Поля структуры:
//            * Логин - Строка - введенный логин;
//  ВладелецФормы - ФормаКлиентскогоПриложения - владелец формы подключения
//          Интернет-поддержки. Т.к. форма подключения Интернет-поддержки открывается
//          в режиме "Блокировать окно владельца", рекомендуется заполнять
//          значение этого параметра;
//
Процедура ПодключитьИнтернетПоддержкуПользователей( Экспорт
```

Пример вызова
```bsl
ИнтернетПоддержкаПользователейКлиент.ПодключитьИнтернетПоддержкуПользователей();
```
</details>

## ДоступноПодключениеИнтернетПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, доступно ли текущему пользователю выполнение интерактивного
// подключения Интернет-поддержки в соответствии с текущим режимом работы
// и правами пользователя.
//
// Возвращаемое значение:
//  Булево - Истина - интерактивное подключение доступно,
//           Ложь - в противном случае.
//
Функция ДоступноПодключениеИнтернетПоддержки() Экспорт
```

Пример вызова
```bsl
Результат = ИнтернетПоддержкаПользователейКлиент.ДоступноПодключениеИнтернетПоддержки() 
```
</details>

## ОткрытьСтраницуИнтегрированногоСайта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает страницу сайта, система аутентификации которого интегрирована с
// Порталом 1С:ИТС.
// В зависимости от текущего режима работы информационной базы и наличия у
// текущего пользователя информационной базы соответствующих прав
// страница сайта может быть открыта с учетными данными пользователя Портала 1С:ИТС,
// для которого подключена Интернет-поддержка.
//
// Параметры:
//  URLСтраницыСайта - Строка - URL страницы сайта;
//  ЗаголовокОкна - Строка - заголовок окна для методов:
//      - ИнтернетПоддержкаПользователейКлиентПереопределяемый.ОткрытьИнтернетСтраницу()
//      - ИнтеграцияПодсистемБИПКлиент.ОткрытьИнтернетСтраницу(),
//        если используется.
//
Процедура ОткрытьСтраницуИнтегрированногоСайта(URLСтраницыСайта, ЗаголовокОкна = "") Экспорт
```

Пример вызова
```bsl
ИнтернетПоддержкаПользователейКлиент.ОткрытьСтраницуИнтегрированногоСайта(URLСтраницыСайта, ЗаголовокОкна);
```
</details>

## ОткрытьГлавнуюСтраницуПортала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает главную страницу Портала.
//
Процедура ОткрытьГлавнуюСтраницуПортала() Экспорт
```

Пример вызова
```bsl
ИнтернетПоддержкаПользователейКлиент.ОткрытьГлавнуюСтраницуПортала() 
```
</details>

## ОткрытьСтраницуРегистрацииНовогоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает страницу Портала для регистрации нового пользователя.
//
Процедура ОткрытьСтраницуРегистрацииНовогоПользователя() Экспорт
```

Пример вызова
```bsl
ИнтернетПоддержкаПользователейКлиент.ОткрытьСтраницуРегистрацииНовогоПользователя() 
```
</details>

## ОткрытьСтраницуВосстановленияПароля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает страницу Портала для восстановления пароля.
//
Процедура ОткрытьСтраницуВосстановленияПароля() Экспорт
```

Пример вызова
```bsl
ИнтернетПоддержкаПользователейКлиент.ОткрытьСтраницуВосстановленияПароля() 
```
</details>

## ПриНачалеРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. процедуру ОбщегоНазначенияКлиентПереопределяемый.ПриНачалеРаботыСистемы.
//
Процедура ПриНачалеРаботыСистемы(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтернетПоддержкаПользователейКлиент.ПриНачалеРаботыСистемы(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
