---
title: Интернет поддержка пользователей клиент сервер
slug: bsp/интернет-поддержка-пользователей-клиент-сервер
---


## ВерсияБиблиотеки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер версии библиотеки.
//
// Возвращаемое значение:
//  Строка - номер версии библиотеки.
//
Функция ВерсияБиблиотеки() Экспорт
```

Пример вызова
```bsl
Результат = ИнтернетПоддержкаПользователейКлиентСервер.ВерсияБиблиотеки() 
```
</details>

## ИдентификаторПоставщикаУслугПортал1СИТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор поставщика услуг "Портал 1С:ИТС"
// для интеграции с подсистемой "Управление тарифами в модели
// сервиса" библиотеки "Технология сервиса".
//
// Возвращаемое значение:
//	Строка - идентификатор поставщика услуг.
//
Функция ИдентификаторПоставщикаУслугПортал1СИТС() Экспорт
```

Пример вызова
```bsl
Результат = ИнтернетПоддержкаПользователейКлиентСервер.ИдентификаторПоставщикаУслугПортал1СИТС() 
```
</details>

## ПроверитьДанныеАутентификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку данных аутентификации Интернет-поддержки пользователей.
// Необходимо вызвать перед выполнением проверки логина и пароля в сервисе
// и сохранением данных в информационной базе.
//
// Параметры:
//  ДанныеАутентификации - Структура - структура, содержащая логин и пароль пользователя
//                         Интернет-поддержки:
//   * Логин - Строка - логин пользователя Интернет-поддержки;
//   * Пароль - Строка - пароль пользователя Интернет-поддержки.
//
// Возвращаемое значение:
//  Структура - результаты проверки данных аутентификации:
//   *Отказ - Булево - если Истина, при проверке обнаружены ошибки;
//   *СообщениеОбОшибке - Строка - сообщение для пользователя программы;
//   *Поле - Строка - идентификатор поля, в котором возникла ошибка:
//                      - "Логин" - ошибка возникла при проверке данных поля Логин;
//                      - "Пароль" - ошибка возникла при проверке данных поля Пароль;
//
Функция ПроверитьДанныеАутентификации(ДанныеАутентификации) Экспорт
```

Пример вызова
```bsl
Результат = ИнтернетПоддержкаПользователейКлиентСервер.ПроверитьДанныеАутентификации(ДанныеАутентификации) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
