---
title: Интернет поддержка пользователей переопределяемый
slug: bsp/интернет-поддержка-пользователей-переопределяемый
---


## ПриОпределенииКодаЯзыкаИнтерфейсаКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре заполняется код языка интерфейса конфигурации (Метаданные.Языки),
// который передается сервисам Интернет-поддержки.
// Код языка заполняется в формате ISO-639-1.
// Если коды языков интерфейса конфигурации определены в формате ISO-639-1,
// тогда тело метода заполнять не нужно.
//
// Параметры:
//	КодЯзыка - Строка - в параметре передается код языка, указанный в
//		Метаданные.Языки;
//	КодЯзыкаВФорматеISO639_1 - Строка - в параметре возвращается
//		код языка в формате ISO-639-1.
//
// Пример:
//	Если КодЯзыка = "rus" Тогда
//		КодЯзыкаВФорматеISO639_1 = "ru";
//	ИначеЕсли КодЯзыка = "english" Тогда
//		КодЯзыкаВФорматеISO639_1 = "en";
//	КонецЕсли;
//
//@skip-warning
Процедура ПриОпределенииКодаЯзыкаИнтерфейсаКонфигурации(КодЯзыка, КодЯзыкаВФорматеISO639_1) Экспорт
```

Пример вызова
```bsl
ИнтернетПоддержкаПользователейПереопределяемый.ПриОпределенииКодаЯзыкаИнтерфейсаКонфигурации(КодЯзыка, КодЯзыкаВФорматеISO639_1) 
```
</details>

## ПриОпределенииНомераВерсииПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре необходимо указать номер версии программы, который будет
//  передаваться в сервисы Интернет-поддержки пользователей. Если номер версии
// не указан, информация будет получена из свойств метаданных конфигурации.
//
// Параметры:
//  ВерсияПрограммы - Строка - номер версии программы.
//
// Пример:
//	КомпонентыВерсии = СтроковыеФункцииКлиентСервер.РазложитьСтрокуВМассивПодстрок(ВерсияПрограммы, "/");
//	Если ВерсияПрограммы.Количество() > 0 Тогда
//		ВерсияПрограммы = КомпонентыВерсии[0];
//	КонецЕсли;
//
//@skip-warning
Процедура ПриОпределенииНомераВерсииПрограммы(ВерсияПрограммы) Экспорт
```

Пример вызова
```bsl
ИнтернетПоддержкаПользователейПереопределяемый.ПриОпределенииНомераВерсииПрограммы(ВерсияПрограммы) 
```
</details>

## ПриИзмененииДанныхАутентификацииИнтернетПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Реализует обработку события сохранения в информационной базе данных
// аутентификации пользователя Интернет-поддержки - логина и пароля
// для подключения к сервисам Интернет-поддержки.
//
// Параметры:
//  ДанныеПользователя - Структура, Неопределено - структура с полями. Если в метод передано значение
//                       Неопределено, данные аутентификации были удалены.
//    * Логин - Строка - логин пользователя;
//    * Пароль - Строка - пароль пользователя;
//
//@skip-warning
Процедура ПриИзмененииДанныхАутентификацииИнтернетПоддержки(ДанныеПользователя) Экспорт
```

Пример вызова
```bsl
ИнтернетПоддержкаПользователейПереопределяемый.ПриИзмененииДанныхАутентификацииИнтернетПоддержки(ДанныеПользователя) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
