---
title: Интерфейсы сообщений в модели сервиса
slug: bsp/интерфейсы-сообщений-в-модели-сервиса
---


## ВерсияИнтерфейсаКорреспондента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает версии интерфейса сообщений, поддерживаемые ИБ-корреспондентом.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИнтерфейсСообщения - Строка - Имя программного интерфейса сообщений.
//  ПараметрыПодключения - Структура - Параметры подключения к ИБ-корреспонденту.
//  ПредставлениеПолучателя - Строка - Представление ИБ-корреспондента.
//  ИнтерфейсТекущейИБ - Строка - Имя программного интерфейса текущей ИБ (используется
//    для обеспечения обратной совместимости с предыдущими версиями БСП).
//
// Возвращаемое значение:
//  Строка - максимальная версия интерфейса, поддерживаемая как ИБ-корреспондентом, так и текущей ИБ.
//
Функция ВерсияИнтерфейсаКорреспондента(Знач ИнтерфейсСообщения, Знач ПараметрыПодключения, Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыСообщенийВМоделиСервиса.ВерсияИнтерфейсаКорреспондента(ИнтерфейсСообщения, ПараметрыПодключения, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
