---
title: Интерфейсы сообщений в модели сервиса переопределяемый
slug: bsp/интерфейсы-сообщений-в-модели-сервиса-переопределяемый
---


## ЗаполнитьОбработчикиПринимаемыхСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет переданный массив общими модулями, которые являются обработчиками интерфейсов принимаемых сообщений.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  МассивОбработчиков - Массив Из ОбщийМодуль - элементами массива являются общие модули.
//
Процедура ЗаполнитьОбработчикиПринимаемыхСообщений(МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
ИнтерфейсыСообщенийВМоделиСервисаПереопределяемый.ЗаполнитьОбработчикиПринимаемыхСообщений(МассивОбработчиков) 
```
</details>

## ЗаполнитьОбработчикиОтправляемыхСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет переданный массив общими модулями, которые являются обработчиками интерфейсов отправляемых сообщений.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  МассивОбработчиков - Массив Из ОбщийМодуль - Элементами массива являются общие модули.
//
Процедура ЗаполнитьОбработчикиОтправляемыхСообщений(МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
ИнтерфейсыСообщенийВМоделиСервисаПереопределяемый.ЗаполнитьОбработчикиОтправляемыхСообщений(МассивОбработчиков) 
```
</details>

## ПриОпределенииВерсииИнтерфейсаКорреспондента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при определении версии интерфейса сообщений, поддерживаемой как ИБ-корреспондентом,
// так и текущей ИБ. В данной процедуре предполагается реализовывать механизмы поддержки обратной совместимости со
// старыми версиями ИБ-корреспондентов.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ИнтерфейсСообщения - Строка - Название программного интерфейса сообщения, для которого определяется версия.
//  ПараметрыПодключения - Структура - Параметры подключения к ИБ-корреспонденту.
//  ПредставлениеПолучателя - Строка - Представление ИБ-корреспондента.
//  Результат - Строка - Определяемая версия. Значение данного параметра может быть изменено в данной процедуре.
//
Процедура ПриОпределенииВерсииИнтерфейсаКорреспондента(Знач ИнтерфейсСообщения, Знач ПараметрыПодключения, Знач ПредставлениеПолучателя, Результат) Экспорт
```

Пример вызова
```bsl
ИнтерфейсыСообщенийВМоделиСервисаПереопределяемый.ПриОпределенииВерсииИнтерфейсаКорреспондента(ИнтерфейсСообщения, ПараметрыПодключения, ПредставлениеПолучателя, Результат) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
