---
title: Информационный центр вызов сервера
slug: bsp/информационный-центр-вызов-сервера
---


## ДанныеНастроекИнтеграцииСУСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Информация о подключении локальной базы к службе поддержки
//
// Возвращаемое значение:
//  Структура - содержит поля:
//  	* АдресВнешнегоАнонимногоИнтерфейсаУСП - Строка - адрес HTTP-сервиса ext_sd службы поддержки
//  	* АдресАнонимногоСервисаИнтеграцииСИнформационнымЦентромУСП - Строка - адрес web-сервиса службы поддержки
//  	* ПодтвержденКодДляИнтеграцииСУСП - Булево - если Истина, то база подключена к службе поддержки
//  	* АдресПочтыАбонентаДляИнтеграцииСУСП - Строка - E-mail пользователя,
//			от имени которого локальной база подключена к службе поддержки
//  	* КодРегистрацииВУСП - Строка - код, при помощи которого база зарегистрирована в службе поддержки
//
Функция ДанныеНастроекИнтеграцииСУСП() Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрВызовСервера.ДанныеНастроекИнтеграцииСУСП() 
```
</details>

## ПроверитьКодПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет код пользователя для работы со службой поддержки.
//
// Параметры:
//  КодПользователя	 - Строка - проверяемый код
//  Email			 - Строка - e-mail пользователя, код которого проверяется
//
// Возвращаемое значение:
//  Структура - с полями:
//  	* КодВерный - Булево
//  	* ТекстСообщения - Строка - заполянется, если код некорректен
//
Функция ПроверитьКодПользователя(КодПользователя, Email) Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрВызовСервера.ПроверитьКодПользователя(КодПользователя, Email) 
```
</details>

## EmailПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Email пользователя для работы с обращениями
//
// Возвращаемое значение:
//  Строка - e-mail
//
Функция EmailПользователя() Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрВызовСервера.EmailПользователя() 
```
</details>

## СохранитьКодПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьКодПользователя(Знач ИмяКомпьютера = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрВызовСервера.СохранитьКодПользователя(ИмяКомпьютера, );
```
</details>

## ПрочитатьКодПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прочитать код пользователя.
//
// Параметры:
//  ИмяКомпьютера - Строка - имя компьютера
//
// Возвращаемое значение:
//  Строка - код пользователя.
Функция ПрочитатьКодПользователя(Знач ИмяКомпьютера) Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрВызовСервера.ПрочитатьКодПользователя(ИмяКомпьютера) 
```
</details>

## ЗаписатьПредупреждение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает предупреждение в ЖР.
//
Процедура ЗаписатьПредупреждение(ТекстПредупреждения) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрВызовСервера.ЗаписатьПредупреждение(ТекстПредупреждения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
