---
title: Информационный центр клиент
slug: bsp/информационный-центр-клиент
---


## НажатиеНаИнформационнуюСсылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик при нажатии на информационную ссылку.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - контекст управляемой формы.
//	Элемент - ГруппаФормы - группа формы.
//
Процедура НажатиеНаИнформационнуюСсылку(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.НажатиеНаИнформационнуюСсылку(Форма, Элемент) 
```
</details>

## НажатиеНаСсылкуВсеИнформационныеСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик при нажатии на "Все" информационные ссылки.
//
// Параметры:
//	ПутьКФорме - Строка - полный путь к форме.
//
Процедура НажатиеНаСсылкуВсеИнформационныеСсылки(ПутьКФорме) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.НажатиеНаСсылкуВсеИнформационныеСсылки(ПутьКФорме) 
```
</details>

## ОткрытьОбращенияВСлужбуПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму со всеми обращениями в службу поддержки.
//
Процедура ОткрытьОбращенияВСлужбуПоддержки() Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.ОткрытьОбращенияВСлужбуПоддержки() 
```
</details>

## ОткрытьОбсужденияНаФоруме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму с обсуждениями на форуме.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ОткрытьОбсужденияНаФоруме() Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.ОткрытьОбсужденияНаФоруме() 
```
</details>

## ОткрытьЦентрИдей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму с Центром идей.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ОткрытьЦентрИдей() Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.ОткрытьЦентрИдей() 
```
</details>

## ПоказатьВсеСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму отображения всех новостей.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПоказатьВсеСообщения() Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.ПоказатьВсеСообщения() 
```
</details>

## БазаПодключенаКУСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, подключена ли локальная база к службе поддержки
//
// Возвращаемое значение:
//  Булево - Истина, если база подключена к УСП
//
Функция БазаПодключенаКУСП() Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрКлиент.БазаПодключенаКУСП() 
```
</details>

## ОткрытьВзаимодействиеВСлужбуПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает взаимодействие по обращению.
//
// Параметры:
//	ИдентификаторОбращения - УникальныйИдентификатор - идентификатор обращения.
//	ИдентификаторВзаимодействия - УникальныйИдентификатор - идентификатор взаимодействия.
//	ТипВзаимодействия - Строка - тип взаимодействия.
//	Входящее - Булево - признак: входящее сообщение или нет.
//	Просмотрено - Булево - признак: просмотрено сообщение, или нет.
//
Процедура ОткрытьВзаимодействиеВСлужбуПоддержки(ИдентификаторОбращения, ИдентификаторВзаимодействия, ТипВзаимодействия, Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.ОткрытьВзаимодействиеВСлужбуПоддержки(ИдентификаторОбращения, ИдентификаторВзаимодействия, ТипВзаимодействия, );
```
</details>

## ОткрытьФормуОтправкиСообщенияВСлужбуПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму по отправке сообщения получателю.
//
// Параметры:
//	СоздаватьОбращение - Булево - если Истина, будет открыта форма нового обращения.
//	                              если Ложь, будет открыта форма существующего обращения (в этом случае необходимо
//	                              указать следующий параметр ИдентификаторОбращения
//	ИдентификаторОбращения - УникальныйИдентификатор - Необязательный параметр. Необходимо указать, если СоздаватьОбращение = Ложь
//	КодПользователя - Строка - код, позволяющий определить инициатора обращения
//	ПараметрыОбращения - см. ИнформационныйЦентрКлиент.НовыеПараметрыОбращенияВСлужбуПоддержки
//
Процедура ОткрытьФормуОтправкиСообщенияВСлужбуПоддержки(СоздаватьОбращение, Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.ОткрытьФормуОтправкиСообщенияВСлужбуПоддержки(СоздаватьОбращение, );
```
</details>

## ОткрытьОбращениеВСлужбуПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму с обращением в службу поддержки
//
// Параметры:
//	ИдентификаторОбращения - УникальныйИдентификатор - идентификатор обращения.
//
Процедура ОткрытьОбращениеВСлужбуПоддержки(ИдентификаторОбращения, КодПользователя = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.ОткрытьОбращениеВСлужбуПоддержки(ИдентификаторОбращения, КодПользователя);
```
</details>

## ОткрытьСписокОбращенийВУСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму со списком обращений
//
// Параметры:
//  КодПользователя	 - Строка - код пользователя для работы с обращениями
//
Процедура ОткрытьСписокОбращенийВУСП(КодПользователя) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.ОткрытьСписокОбращенийВУСП(КодПользователя) 
```
</details>

## НовыеПараметрыОбращенияВСлужбуПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция-конструктор параметра процедуры ИнформационныйЦентрКлиент.ОткрытьФормуНовогоОбращенияВСлужбуПоддержки
//
// Возвращаемое значение:
//  Структура - с полями:
//   * Тема - Строка - тема обращения
//   * Текст - Строка - текст обращения
//   * ИспользоватьСтандартныйШаблон - Булево - если Истина, то текст обращения будет заполнен по шаблону
//                                              из метода ИнформационныйЦентрСервер.ШаблонТекстаВТехПоддержку
//   * Вложения - Массив из Структура - массив сложения из структур с полями:
//    ** ИмяФайла - Строка - имя файла-вложения с расширением, например "file.txt"
//    ** АдресВоВременномХранилище - Строка - адрес файла-вложения во временном хранилище
//   * ОбработчикЗавершения - ОписаниеОповещения - описание оповещения о закрытии формы нового обращения
//   * ДополнительныеДанные - Структура - произвольная структура данных, которую можноп ередать в службу поддержки.
//                                        Эта структура должна быть сериализуемой в JSON.
Функция НовыеПараметрыОбращенияВСлужбуПоддержки() Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрКлиент.НовыеПараметрыОбращенияВСлужбуПоддержки() 
```
</details>

## ОткрытьФормуНовогоОбращенияВСлужбуПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для редактирования и отправки нового обращения в службу поддержки.
// Форма предварительно может быть заполнена данными.
//
// Параметры:
//  ПараметрыОбращения - см. ИнформационныйЦентрКлиент.НовыеПараметрыОбращенияВСлужбуПоддержки
//
Процедура ОткрытьФормуНовогоОбращенияВСлужбуПоддержки(ПараметрыОбращения = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрКлиент.ОткрытьФормуНовогоОбращенияВСлужбуПоддержки(ПараметрыОбращения);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
