---
title: Информационный центр клиент сервер
slug: bsp/информационный-центр-клиент-сервер
---


## РазделитьКодПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Методы области ШифрованиеКодаПользователя_СлужебныйПрограммныйИнтерфейс заимствованы
// из подсистемы ИнтеграцияС1СДокументооборотом из конфигурации УправлениеПредприятием (1С:ERP)

// Разделяет код пользователя на две независимые части для последующего восстановления функцией СобратьКодПользователя.
//
// Параметры:
//   КодПользователя - Строка - разделяемый код пользователя.
//
// Возвращаемое значение:
//   Массив из Строка - массив из двух строк, содержащих шестнадцатиричное представление кода пользователя.
//
Функция РазделитьКодПользователя(КодПользователя) Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрКлиентСервер.РазделитьКодПользователя(КодПользователя) 
```
</details>

## СобратьКодПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Собирает код пользователя из двух частей, ранее разделенных функцией РазделитьКодПользователя.
// В случае повреждения строк возвращает Неопределено.
//
// Параметры:
//   РазделенныйКод - Массив - две строки, содержащие разделенный код пользователя.
//
// Возвращаемое значение:
//   Строка - собранный код пользователя или
//   Неопределено - если строки повреждены.
//
Функция СобратьКодПользователя(Знач РазделенныйКод) Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрКлиентСервер.СобратьКодПользователя(РазделенныйКод) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
