---
title: Информационный центр сервер
slug: bsp/информационный-центр-сервер
---


## ВывестиКонтекстныеСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Информационные ссылки

// Выводит информационные ссылки на форме
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - контекст формы.
//	ГруппаФормы - ГруппаФормы - группа формы, в которой выводятся информационные ссылки.
//	КоличествоГрупп - Число - количество групп информационных ссылок в форме.
//	КоличествоСсылокВГруппе - Число - количество информационных ссылок в группе.
//	ВыводитьСсылкуВсе - Булево - выводить или нет ссылку "Все".
//	ПутьКФорме - Строка - полный путь к форме.
//
Процедура ВывестиКонтекстныеСсылки(Форма, ГруппаФормы, КоличествоГрупп = 3, КоличествоСсылокВГруппе = 1, Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСервер.ВывестиКонтекстныеСсылки(Форма, ГруппаФормы, КоличествоГрупп, КоличествоСсылокВГруппе, );
```
</details>

## ЗаполнитьСтатическиеИнформационныеСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет элементы формы информационными ссылками.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма.
//  МассивЭлементов - Массив Из ПолеФормы - массив элементов формы.
//  ЭлементВсеСсылки - ДекорацияФормы - элемент формы.
//  ПутьКФорме - Строка - путь к форме.
//
Процедура ЗаполнитьСтатическиеИнформационныеСсылки(Форма, МассивЭлементов, ЭлементВсеСсылки = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСервер.ЗаполнитьСтатическиеИнформационныеСсылки(Форма, МассивЭлементов, ЭлементВсеСсылки, );
```
</details>

## КонтекстнаяСсылкаПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информационную ссылку по идентификатору.
//
// Параметры:
//	Идентификатор - Строка - идентификатор ссылки.
//
// Возвращаемое значение:
//	Структура - контекстная ссылка:
//	* Адрес - Строка
//	* Наименование - Строка
//
Функция КонтекстнаяСсылкаПоИдентификатору(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрСервер.КонтекстнаяСсылкаПоИдентификатору(Идентификатор) 
```
</details>

## ПространстваИменИнформационныхСсылок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает все пространства имен информационных ссылок.
//
// Возвращаемое значение:
//  Массив из Строка - массив пространства имен информационных ссылок.
//
Функция ПространстваИменИнформационныхСсылок() Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрСервер.ПространстваИменИнформационныхСсылок() 
```
</details>

## СформироватьСписокНовостейНаРабочийСтол
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список новостей.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	ТаблицаНовостей - ТаблицаЗначений - с колонками:
//	 * Наименование - Строка - заголовок новости.
//	 * Идентификатор - УникальныйИдентификатор - идентификатор новости.
//	 * Критичность - Число - критичность новости.
//	 * ВнешняяСсылка - Строка - адрес внешней ссылки.
//	КоличествоВыводимыхНовостей - Число - количество выводимых новостей на рабочем столе.
//
Процедура СформироватьСписокНовостейНаРабочийСтол(ТаблицаНовостей, Знач КоличествоВыводимыхНовостей = 3) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСервер.СформироватьСписокНовостейНаРабочийСтол(ТаблицаНовостей, КоличествоВыводимыхНовостей);
```
</details>

## НастроенаИнтеграцияСИнформационнымЦентром
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если в базе настроена возможность отправки и получения обращений через Информационный центр служба поддержки
//
// Возвращаемое значение:
//  Булево
//
Функция НастроенаИнтеграцияСИнформационнымЦентром() Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрСервер.НастроенаИнтеграцияСИнформационнымЦентром() 
```
</details>

## УстановленаИнтеграцияСоСлужбойПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ИнформационныйЦентрСервер.НастроенаИнтеграцияСИнформационнымЦентром
// Возвращает Истина, если установлена интеграция с Информационным центром службы поддержки.
//
// Возвращаемое значение:
//	Булево - Истина, если установлена интеграция со службой поддержки.
Функция УстановленаИнтеграцияСоСлужбойПоддержки() Экспорт
```

Пример вызова
```bsl
Результат = ИнформационныйЦентрСервер.УстановленаИнтеграцияСоСлужбойПоддержки() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
