---
title: Информационный центр сервер переопределяемый
slug: bsp/информационный-центр-сервер-переопределяемый
---


## ОпределитьСсылкуПоискаИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет ссылку поиска информации.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//	СсылкаПоискаИнформации - Строка - адрес.
//
// Пример:
//	Если к адресу ссылки добавить строку поиска, и перейти по данному адресу, то
//	в результате мы должны перейти форму результатов поиска.
//
Процедура ОпределитьСсылкуПоискаИнформации(СсылкаПоискаИнформации) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСерверПереопределяемый.ОпределитьСсылкуПоискаИнформации(СсылкаПоискаИнформации) 
```
</details>

## ОбщиеМакетыСИнформационнымиСсылками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет общие макеты с информационными ссылками.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  МассивМакетов - Массив Из ТабличныйДокумент - массив общих макетов.
//
Процедура ОбщиеМакетыСИнформационнымиСсылками(МассивМакетов) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСерверПереопределяемый.ОбщиеМакетыСИнформационнымиСсылками(МассивМакетов) 
```
</details>

## ФормыСИнформационнымиСсылками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет массив полных путей к формам, в которых используются информационные ссылки.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  МассивФорм - Массив Из Строка - массив полных путей к формам.
//
Процедура ФормыСИнформационнымиСсылками(МассивФорм) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСерверПереопределяемый.ФормыСИнформационнымиСсылками(МассивФорм) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
