---
title: Информационный центр служебный
slug: bsp/информационный-центр-служебный
---


## ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки.
//
// Параметры:
// 	Типы - См. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки.Типы
//
Процедура ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСлужебный.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) 
```
</details>

## ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру массивами поддерживаемых версий всех подлежащих версионированию подсистем,
// используя в качестве ключей названия подсистем.
// Обеспечивает функциональность Web-сервиса InterfaceVersion.
// При внедрении надо поменять тело процедуры так, чтобы она возвращала актуальные наборы версий (см. пример.ниже).
//
// Параметры:
// СтруктураПоддерживаемыхВерсий - Структура - описание: Ключи - названия подсистем, Значения - массивы названий поддерживаемых версий.
//
// Пример:
//	// СервисПередачиФайлов
//	МассивВерсий = Новый Массив;
//	МассивВерсий.Добавить("1.0.1.1");
//	МассивВерсий.Добавить("1.0.2.1");
//	СтруктураПоддерживаемыхВерсий.Вставить("СервисПередачиФайлов", МассивВерсий);
//	// Конец СервисПередачиФайлов
//
Процедура ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(Знач СтруктураПоддерживаемыхВерсий) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСлужебный.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(СтруктураПоддерживаемыхВерсий) 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий
//	Настройки - см. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий.Настройки
//@skip-warning ПустойМетод - особенность реализации.
//
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСлужебный.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ПриЗаполненииТаблицыПараметровИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список параметров ИБ.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
// ТаблицаПараметров - ТаблицаЗначений:
//  * Имя - Строка - имя параметра.
//  * Описание - Строка - описание параметра для отображения в пользовательском интерфейсе.
//  * ЗапретЧтения - Булево - признак невозможности считывания параметра ИБ. Может быть установлен, например, для
//                            паролей.
//  * ЗапретЗаписи - Булево - признак невозможности изменения параметра ИБ.
//  * Тип - ОписаниеТипов - тип значения параметра. Допускается использовать только примитивные типы и
//                          перечисления, присутствующие в управляющем приложении.
//
Процедура ПриЗаполненииТаблицыПараметровИБ(Знач ТаблицаПараметров) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСлужебный.ПриЗаполненииТаблицыПараметровИБ(ТаблицаПараметров) 
```
</details>

## ПриУстановкеЗначенийПараметровИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед попыткой записи значений параметров ИБ в одноименные
// константы.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
// ЗначенияПараметров - Структура - значения параметров которые требуется установить.
// В случае если значение параметра устанавливается в данной процедуре из структуры
// необходимо удалить соответствующую пару КлючИЗначение.
//
Процедура ПриУстановкеЗначенийПараметровИБ(Знач ЗначенияПараметров) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСлужебный.ПриУстановкеЗначенийПараметровИБ(ЗначенияПараметров) 
```
</details>

## ПриОпределенииОбработчиковКаналовСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список обработчиков сообщений, которые обрабатывают подсистемы библиотеки.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  Обработчики - ТаблицаЗначений - состав полей см. в ОбменСообщениями.НоваяТаблицаОбработчиковСообщений.
//
Процедура ПриОпределенииОбработчиковКаналовСообщений(Обработчики) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСлужебный.ПриОпределенииОбработчиковКаналовСообщений(Обработчики) 
```
</details>

## РегистрацияИнтерфейсовПринимаемыхСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет переданный массив общими модулями, которые являются обработчиками интерфейсов
//  принимаемых сообщений.
//  @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - массив -
//
Процедура РегистрацияИнтерфейсовПринимаемыхСообщений(МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСлужебный.РегистрацияИнтерфейсовПринимаемыхСообщений(МассивОбработчиков) 
```
</details>

## ПриОпределенииОбработчиковПоставляемыхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Зарегистрировать обработчики поставляемых данных
//
// При получении уведомления о доступности новых общих данных, вызывается процедуры
// ДоступныНовыеДанные модулей, зарегистрированных через ПолучитьОбработчикиПоставляемыхДанных.
// В процедуру передается Дескриптор - ОбъектXDTO Descriptor.
//
// В случае, если ДоступныНовыеДанные устанавливает аргумент Загружать в значение Истина,
// данные загружаются, дескриптор и путь к файлу с данными передаются в процедуру
// ОбработатьНовыеДанные. Файл будет автоматически удален после завершения процедуры.
// Если в менеджере сервиса не был указан файл - значение аргумента равно Неопределено.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//   Обработчики-  ТаблицаЗначений - таблица для добавления обработчиков. Колонки:
//   * ВидДанных - Строка - код вида данных, обрабатываемый обработчиком
//   * КодОбработчика - Строка - длинна 20 - будет использоваться при восстановлении обработки данных после сбоя
//   * Обработчик - ОбщийМодуль - модуль, содержащий следующие экспортные процедуры:
//        ДоступныНовыеДанные(Дескриптор, Загружать)
//        ОбработатьНовыеДанные(Дескриптор, ПутьКФайлу)
//        ОбработкаДанныхОтменена(Дескриптор)
//
Процедура ПриОпределенииОбработчиковПоставляемыхДанных(Обработчики) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСлужебный.ПриОпределенииОбработчиковПоставляемыхДанных(Обработчики) 
```
</details>

## ЗарегистрироватьОбработчикиОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в список Обработчики процедуры-обработчики обновления, необходимые данной подсистеме.
//
// Параметры:
//   Обработчики - см. ОбновлениеИнформационнойБазы.НоваяТаблицаОбработчиковОбновления
//
Процедура ЗарегистрироватьОбработчикиОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
ИнформационныйЦентрСлужебный.ЗарегистрироватьОбработчикиОбновления(Обработчики) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
