---
title: Инциденты ЦКК переопределяемый
slug: bsp/инциденты-цкк-переопределяемый
---


## СписокТиповИнцидентовПереопределяемый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура дополняет список типов инцидентов СписокТипов
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  СписокТипов	 - Соответствие из КлючИЗначение:
//	 * Ключ - Строка - с именем типа,
//	 * Значение - Структура:
//		** УровеньИнцидента - Строка
//		** Подсистема - Строка
//		** Теги - Строка
//		** ПроцедураПроверки - Строка
// Пример:
//	Здесь следует определить прикладные типы инцидентов и методы их проверки актуальности.
//	Подробно см:
// 	Описание = ИнцидентыЦККСервер.СоздатьОписаниеТипаИнцидента("ОстановиласьОчередьОбменаССайтом");
// 	ИнцидентыЦККСервер.СоздатьЗаписьТипа(СписокТипов, Описание);
//
Процедура СписокТиповИнцидентовПереопределяемый(СписокТипов) Экспорт
```

Пример вызова
```bsl
ИнцидентыЦККПереопределяемый.СписокТиповИнцидентовПереопределяемый(СписокТипов) 
```
</details>

## ВыполнитьЗадачиМониторингаЦКК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре можно вызвать все прикладные проверки, связанные с периодическим мониторингом прикладной конфигурации.
// Процедура вызывается с помощью регламентной процедуры МониторингЦКК раз в минуту, если константа АдресЦКК заполнена.
// @skip-warning ПустойМетод - переопределяемый метод.
//
Процедура ВыполнитьЗадачиМониторингаЦКК() Экспорт
```

Пример вызова
```bsl
ИнцидентыЦККПереопределяемый.ВыполнитьЗадачиМониторингаЦКК() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
