---
title: Календарные графики переопределяемый
slug: bsp/календарные-графики-переопределяемый
---


## ПриОбновленииПроизводственныхКалендарей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении данных производственных календарей.
// В случае, если разделение включено, выполняется в не разделенном режиме.
//
// Параметры:
//  УсловияОбновления - ТаблицаЗначений:
//    * КодПроизводственногоКалендаря - Строка - код производственного календаря, данные которого изменились;
//    * Год                           - Число  - календарный год, за который изменились данные.
//
Процедура ПриОбновленииПроизводственныхКалендарей(УсловияОбновления) Экспорт
```

Пример вызова
```bsl
КалендарныеГрафикиПереопределяемый.ПриОбновленииПроизводственныхКалендарей(УсловияОбновления) 
```
</details>

## ПриОбновленииДанныхЗависимыхОтПроизводственныхКалендарей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении данных, зависимых от производственных календарей.
// В случае, если разделение включено, выполняется в областях данных.
//
// Параметры:
//  УсловияОбновления - ТаблицаЗначений:
//    * КодПроизводственногоКалендаря - Строка - код производственного календаря, данные которого изменились;
//    * Год                           - Число  - календарный год, за который изменились данные.
//
Процедура ПриОбновленииДанныхЗависимыхОтПроизводственныхКалендарей(УсловияОбновления) Экспорт
```

Пример вызова
```bsl
КалендарныеГрафикиПереопределяемый.ПриОбновленииДанныхЗависимыхОтПроизводственныхКалендарей(УсловияОбновления) 
```
</details>

## ПриЗаполненииБлокируемыхОбъектовЗависимыхОтПроизводственныхКалендарей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при регистрации отложенного обработчика обновления данных, зависимых от производственных календарей.
// В БлокируемыеОбъекты следует добавить имена метаданных объектов,
// которые следует заблокировать от использования на период обновления производственных календарей.
//
// Параметры:
//  БлокируемыеОбъекты - Массив - имена метаданных блокируемых объектов.
//
Процедура ПриЗаполненииБлокируемыхОбъектовЗависимыхОтПроизводственныхКалендарей(БлокируемыеОбъекты) Экспорт
```

Пример вызова
```bsl
КалендарныеГрафикиПереопределяемый.ПриЗаполненииБлокируемыхОбъектовЗависимыхОтПроизводственныхКалендарей(БлокируемыеОбъекты) 
```
</details>

## ПриЗаполненииИзменяемыхОбъектовЗависимыхОтПроизводственныхКалендарей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при регистрации отложенного обработчика обновления данных, зависимых от производственных календарей.
// В ИзменяемыеОбъекты следует добавить имена метаданных объектов,
// которые будут изменяться при обновлении производственных календарей.
//
// Параметры:
//  ИзменяемыеОбъекты - Массив - имена метаданных изменяемых объектов.
//
Процедура ПриЗаполненииИзменяемыхОбъектовЗависимыхОтПроизводственныхКалендарей(ИзменяемыеОбъекты) Экспорт
```

Пример вызова
```bsl
КалендарныеГрафикиПереопределяемый.ПриЗаполненииИзменяемыхОбъектовЗависимыхОтПроизводственныхКалендарей(ИзменяемыеОбъекты) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
