---
title: Каталог расширений
slug: bsp/каталог-расширений
---


## Используется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак использования каталога расширений
//
// Возвращаемое значение:
//  Булево
Функция Используется() Экспорт
```

Пример вызова
```bsl
Результат = КаталогРасширений.Используется() 
```
</details>

## НаименованиеСсылкиКаталогаРасширений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование ссылки для перехода в каталог расширений
//
// Возвращаемое значение:
//  Строка
Функция НаименованиеСсылкиКаталогаРасширений() Экспорт
```

Пример вызова
```bsl
Результат = КаталогРасширений.НаименованиеСсылкиКаталогаРасширений() 
```
</details>

## СостояниеРасширения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает актульное состояние расширения
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ПубличныйИдентификатор - Строка - публичный идентификатор расширения из Менеджера сервиса
//
// Возвращаемое значение:
//  ПеречислениеСсылка.СостоянияРасширений
Функция СостояниеРасширения(ПубличныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = КаталогРасширений.СостояниеРасширения(ПубличныйИдентификатор) 
```
</details>

## ИнформацияОбОценкеПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Информация об оценке пользователя.
//
// Параметры:
//  ПубличныйИдентификатор - Строка - публичный идентификатор расширения из Менеджера сервиса
//
// Возвращаемое значение:
//  Структура - Информация об оценке пользователя:
// * ОценкаВыставлена - Булево - флаг того, что пользователь выставил оценку
// * НаименованиеРасширения - Строка - наименование расширения
// * Оценка - Число - числовое представление оценки
// * ДатаСоздания - Дата - дата создания первой оценки
// * ДатаПоследнегоИзменения - Дата - дата последнего изменения оценки
// * Версия - Строка - версия расширения которая была установлена в момент последнего редактирования оценки
// * ОтветРазработчика - Строка - текст ответа разработчика на оценку
// * ДатаОтветаРазработчика - Дата - дата ответа разработчика на оценку
// * ОшибкаПолученияДанных - Структура - если при получении данных произошла ошибка, тогда данное свойство существует:
// ** ТекстОшибки - Строка - текст информации об ошибке
Функция ИнформацияОбОценкеПользователя(ПубличныйИдентификатор) Экспорт
```

Пример вызова
```bsl
Результат = КаталогРасширений.ИнформацияОбОценкеПользователя(ПубличныйИдентификатор) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
