---
title: Каталог расширений клиент
slug: bsp/каталог-расширений-клиент
---


## ОткрытьОбъектРасширения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму объекта расширения из каталога расширений
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
// 	ПубличныйИдентификатор - Строка - публичный идентификатор расширения из Менеджера сервиса
// 	ОписаниеОповещения - ОписаниеОповещения - необязательный, позволяет обработать закрытие формы.
// 		Процедура, которая будет обрабатывать вызов описания оповещения, в качестве первого параметра будет получать
// 		значение типа "ПеречислениеСсылка.СостоянияРасширений", описывающее состояние расширения в момент закрытия формы
// 		(подробности см. в описании метода "ОткрытьФорму" глобального контекста).
//
Процедура ОткрытьОбъектРасширения(Знач ПубличныйИдентификатор, Знач ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
КаталогРасширенийКлиент.ОткрытьОбъектРасширения(ПубличныйИдентификатор, ОписаниеОповещения);
```
</details>

## ОткрытьКаталогРасширений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает каталог расширений.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ОткрытьКаталогРасширений() Экспорт
```

Пример вызова
```bsl
КаталогРасширенийКлиент.ОткрытьКаталогРасширений() 
```
</details>

## ПредложитьПользователюОценитьРасширение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предложить пользователю оценить расширение.
// Использовать можно только после успешного вызова КаталогРасширений.ИнформацияОбОценкеПользователя.
// Полученный результат необходимо проанализировать и в случае необходимости вызвать
// КаталогРасширенийКлиент.ПредложитьПользователюОценитьРасширение.
// При вызове данной процедуры пользователю будет показан вопрос с тремя
// вариантами ответа: "Оценить", "Оценить позже", "Больше не предлагать".
// Если пользователь ранее уже выбрал ответ "Больше не предлагать", диалог вопроса не появится.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ПубличныйИдентификатор - Строка - публичный идентификатор расширения из Менеджера сервиса
//  ТекстПредложения - Строка - текст предложения показываемый пользователю.
//   Если текст не задан, будет использоваться стандартный
Процедура ПредложитьПользователюОценитьРасширение(ПубличныйИдентификатор, ТекстПредложения = "") Экспорт
```

Пример вызова
```bsl
КаталогРасширенийКлиент.ПредложитьПользователюОценитьРасширение(ПубличныйИдентификатор, ТекстПредложения);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
