---
title: Контроль работы пользователей
slug: bsp/контроль-работы-пользователей
---


## РегистрироватьДоступКДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение настройки РегистрироватьДоступКДанным
// панели НастройкиПользователейИПрав.
//
// Возвращаемое значение:
//  Булево
//
Функция РегистрироватьДоступКДанным() Экспорт
```

Пример вызова
```bsl
Результат = КонтрольРаботыПользователей.РегистрироватьДоступКДанным() 
```
</details>

## УстановитьРегистрациюДоступаКДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение настройки РегистрироватьДоступКДанным
// панели НастройкиПользователейИПрав.
//
// Параметры:
//  РегистрироватьДоступКДанным - Булево
//
Процедура УстановитьРегистрациюДоступаКДанным(РегистрироватьДоступКДанным) Экспорт
```

Пример вызова
```bsl
КонтрольРаботыПользователей.УстановитьРегистрациюДоступаКДанным(РегистрироватьДоступКДанным) 
```
</details>

## НастройкиРегистрацииСобытийДоступаКДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки регистрации событий, доступные по ссылке Настройки
// панели НастройкиПользователейИПрав.
//
// Возвращаемое значение:
//  Структура:
//    * Состав - Массив из ОписаниеИспользованияСобытияДоступЖурналаРегистрации
//    * Комментарии - Соответствие из КлючИЗначение:
//        * Ключ     - Строка - полное имя таблицы + имя поля, например "Справочник.ФизическиеЛица.НомерДокумента".
//        * Значение - Строка - произвольный текст
//    * ОбщийКомментарий - Строка - произвольный текст
//
Функция НастройкиРегистрацииСобытийДоступаКДанным() Экспорт
```

Пример вызова
```bsl
Результат = КонтрольРаботыПользователей.НастройкиРегистрацииСобытийДоступаКДанным() 
```
</details>

## УстановитьНастройкиРегистрацииСобытийДоступаКДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает настройки регистрации событий, доступные по ссылке Настройки
// панели НастройкиПользователейИПрав.
//
// Параметры:
//  Настройки - см. НастройкиРегистрацииСобытийДоступаКДанным
//
Процедура УстановитьНастройкиРегистрацииСобытийДоступаКДанным(Настройки) Экспорт
```

Пример вызова
```bsl
КонтрольРаботыПользователей.УстановитьНастройкиРегистрацииСобытийДоступаКДанным(Настройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
