---
title: Менеджер сервиса криптографии
slug: bsp/менеджер-сервиса-криптографии
---


## ОтправитьЗаявлениеНаПодключение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправить заявление на подключение
//
// Параметры:
//  Заявление - Структура - заявление.
//
// Возвращаемое значение:
//  Структура - результат:
//  * Выполнено - Булево
//  * КодОшибки - Строка
//  * ОписаниеОшибки - Строка
//
Функция ОтправитьЗаявлениеНаПодключение(Заявление) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.ОтправитьЗаявлениеНаПодключение(Заявление) 
```
</details>

## СформироватьЗаявлениеДляПодписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать заявление для подписания
//
// Параметры:
//  Заявление - Структура - заявление.
//
// Возвращаемое значение:
//  Структура - результат:
//  * Выполнено - Булево
//  * КодОшибки - Строка
//  * ОписаниеОшибки - Строка
//
Функция СформироватьЗаявлениеДляПодписания(Заявление) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.СформироватьЗаявлениеДляПодписания(Заявление) 
```
</details>

## ОтправитьПодписанноеЗаявление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправить подписанное заявление
//
// Параметры:
//  Заявление - Структура - заявление.
//
// Возвращаемое значение:
//  Структура - результат:
//  * Выполнено - Булево
//  * КодОшибки - Строка
//  * ОписаниеОшибки - Строка
//
Функция ОтправитьПодписанноеЗаявление(Заявление) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.ОтправитьПодписанноеЗаявление(Заявление) 
```
</details>

## ПолучитьСтатусЗаявленияНаПодключение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить статус заявления на подключение
//
// Параметры:
//  ИдентификаторЗаявления - Строка - идентификатор заявления.
//
// Возвращаемое значение:
//  Структура - результат:
//  * Выполнено - Булево
//  * КодОшибки - Строка
//  * ОписаниеОшибки - Строка
///
Функция ПолучитьСтатусЗаявленияНаПодключение(ИдентификаторЗаявления) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.ПолучитьСтатусЗаявленияНаПодключение(ИдентификаторЗаявления) 
```
</details>

## ПолучитьКодПроверкиТелефона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код проверки телефона
//
// Параметры:
//  Телефон - Строка - телефон,
//  Идентификатор - Строка - идентификатор.
//
// Возвращаемое значение:
//  Структура - результат, поля:
// 	 * Идентификатор - Строка -
// 	 * НомерКода - Число -
// 	 * ВремяДействияКода - Число -
// 	 * ЗадержкаПередПовторнойОтправкой - Число -
Функция ПолучитьКодПроверкиТелефона(Телефон, Идентификатор = "") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.ПолучитьКодПроверкиТелефона(Телефон, Идентификатор);
```
</details>

## ПроверитьТелефонПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить телефон по коду
//
// Параметры:
//  Идентификатор - Строка - идентификатор,
//  Код - Строка - код.
//
// Возвращаемое значение:
//  Структура - результат:
//  * Выполнено - Булево
//  * КодОшибки - Число
//  * ОписаниеОшибки - Строка
///
Функция ПроверитьТелефонПоКоду(Идентификатор, Код) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.ПроверитьТелефонПоКоду(Идентификатор, Код) 
```
</details>

## ПолучитьКодПроверкиЭлектроннойПочты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код проверки электронной почты
//
// Параметры:
//  ЭлектроннаяПочта - Строка - электронная почта,
//  Идентификатор - Строка - идентификатор.
//
// Возвращаемое значение:
//  Структура - результат:
//   * Идентификатор - Строка -
//	 * НомерКода - Число -
//	 * ВремяДействияКода - Число -
//	 * ЗадержкаПередПовторнойОтправкой - Число -
Функция ПолучитьКодПроверкиЭлектроннойПочты(ЭлектроннаяПочта, Идентификатор = "") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.ПолучитьКодПроверкиЭлектроннойПочты(ЭлектроннаяПочта, Идентификатор);
```
</details>

## ПроверитьЭлектроннуюПочтуПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить электронную почту по коду
//
// Параметры:
//  Идентификатор - Строка - идентификатор,
//  Код - Строка - код.
//
// Возвращаемое значение:
//  Структура - результат:
//  * Выполнено - Булево
//  * КодОшибки - Число
//  * ОписаниеОшибки - Строка
///
Функция ПроверитьЭлектроннуюПочтуПоКоду(Идентификатор, Код) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.ПроверитьЭлектроннуюПочтуПоКоду(Идентификатор, Код) 
```
</details>

## НапечататьЗаявление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Напечатать заявление
//
// Параметры:
//  ИдентификаторЗаявления - Строка - идентификатор заявления,
//  ИдентификаторПроверки - Строка - идентификатор проверки,
//  ИдентификаторСертификата - Строка - идентификатор сертификата.
//
// Возвращаемое значение:
//  Структура - результат:
//  * Выполнено - Булево
//  * КодОшибки - Число
//  * ОписаниеОшибки - Строка
//
Функция НапечататьЗаявление(ИдентификаторЗаявления, ИдентификаторПроверки, ИдентификаторСертификата) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.НапечататьЗаявление(ИдентификаторЗаявления, ИдентификаторПроверки, ИдентификаторСертификата) 
```
</details>

## ОтправитьЗаявление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправить заявление
//
// Параметры:
//  ИдентификаторЗаявления - Строка - идентификатор заявления,
//  ФайлЗаявления - Строка - файл заявления.
//
// Возвращаемое значение:
//  Структура - результат:
//  * Выполнено - Булево
//  * КодОшибки - Число
//  * ОписаниеОшибки - Строка
//
Функция ОтправитьЗаявление(ИдентификаторЗаявления, ФайлЗаявления) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.ОтправитьЗаявление(ИдентификаторЗаявления, ФайлЗаявления) 
```
</details>

## НачатьИзменениеНастроекПолученияВременныхПаролей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать изменение настроек получения временных паролей
//
// Параметры:
//  ИдентификаторСертификата - Строка - идентификатор сертификата,
//  Телефон - Строка - телефон,
//  ЭлектроннаяПочта - Строка - электронная почта,
//  Идентификатор - Строка - идентификатор.
//
// Возвращаемое значение:
//  Структура - результат, поля:
// 	 * Идентификатор - Строка -
// 	 * ВремяДействияКода - Число -
// 	 * ЗадержкаПередПовторнойОтправкой - Число -
Функция НачатьИзменениеНастроекПолученияВременныхПаролей(ИдентификаторСертификата, Телефон, ЭлектроннаяПочта, Идентификатор = "") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.НачатьИзменениеНастроекПолученияВременныхПаролей(ИдентификаторСертификата, Телефон, ЭлектроннаяПочта, Идентификатор);
```
</details>

## ЗавершитьИзменениеНастроекПолученияВременныхПаролей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершить изменение настроек получения временных паролей
//
// Параметры:
//  Идентификатор - Строка - идентификатор,
//  Код - Строка - код.
//
// Возвращаемое значение:
//  Структура - результат:
//  * Выполнено - Булево
//  * КодОшибки - Число
//  * ОписаниеОшибки - Строка
//
Функция ЗавершитьИзменениеНастроекПолученияВременныхПаролей(Идентификатор, Код) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.ЗавершитьИзменениеНастроекПолученияВременныхПаролей(Идентификатор, Код) 
```
</details>

## СоздатьКонтейнерИЗапросНаСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает контейнер закрытого ключа и запроса на сертификат
//
// Параметры:
//	ПараметрыЗаявления - Структура - Содержит поля для формирования заявления на сертификат:
// 	 * ИдентификаторЗаявления   - Строка - идентификатор поиска запроса на сертификат.
//	 * СодержаниеЗапроса 		- Строка - содержит поля OID.
//	 * НомерТелефона			- Строка - содержит идентификатор подтвержденного телефона
//	 * ЭлектроннаяПочта			- Строка - содержит идентификатор подтвердденной эл. почты
//	 * НотариусАдвокатГлаваКФХ	- Булево -
//	 * ИдентификаторАбонента	- Строка - идентификатор.
//	АдресРезультата - Строка - адрес временного хранилища куда выкладывается результат функции Структура.
//
Процедура СоздатьКонтейнерИЗапросНаСертификат(ПараметрыЗаявления, АдресРезультата) Экспорт
```

Пример вызова
```bsl
МенеджерСервисаКриптографии.СоздатьКонтейнерИЗапросНаСертификат(ПараметрыЗаявления, АдресРезультата) 
```
</details>

## УстановитьСертификатВКонтейнерИХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Привязывает сертификат к закрытому ключу в облачном хранилище
//
// Параметры:
//  ПараметрыЗаявления - Структура - Содержит поля для формирования заявления на сертификат:
//   * ИдентификаторЗаявления   - Строка - идентификатор поиска запроса на сертификат
//   * ДанныеСертификата - ДвоичныеДанные - содержит данные сертификата в кодировке PEM.
//
//  АдресРезультата - Строка - адрес временного хранилища куда выкладывается результат функции Структура.
//
Процедура УстановитьСертификатВКонтейнерИХранилище(ПараметрыЗаявления, АдресРезультата) Экспорт
```

Пример вызова
```bsl
МенеджерСервисаКриптографии.УстановитьСертификатВКонтейнерИХранилище(ПараметрыЗаявления, АдресРезультата) 
```
</details>

## СертификатыАбонентаПоИдентификаторуПроверкиИНН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сертификаты абонента по идентификатору проверки ИНН
//
// Параметры:
//  ИНН - Строка
//  Идентификатор - Строка
//  ТолькоДействующие - Булево - Только действующие
//
// Возвращаемое значение:
//  Структура - Сертификаты абонента по идентификатору проверки ИНН:
// * Сертификаты - Массив Из Структура:
// 	  ** ID - Строка
// или, если ошибка
// * ОписаниеОшибки - Строка
// * КодОшибки - Строка
// * Выполнено - Булево
Функция СертификатыАбонентаПоИдентификаторуПроверкиИНН(ИНН, Идентификатор, ТолькоДействующие = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.СертификатыАбонентаПоИдентификаторуПроверкиИНН(ИНН, Идентификатор, ТолькоДействующие);
```
</details>

## ПоискСертификатаПоОтпечаткуИлиСерийномуНомеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск сертификата по отпечатку или серийному номеру.
//
// Параметры:
//  Отпечаток - Строка
//  СерийныйНомер - Строка
//  Сокращенно - Булево
//
// Возвращаемое значение:
//  Структура :
// * Выполнено - Булево
// * КодОшибки - Строка
// * ОписаниеОшибки - Строка
Функция ПоискСертификатаПоОтпечаткуИлиСерийномуНомеру( Экспорт
```

Пример вызова
```bsl
Результат = МенеджерСервисаКриптографии.ПоискСертификатаПоОтпечаткуИлиСерийномуНомеру();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
