---
title: Менеджер сервиса криптографии клиент
slug: bsp/менеджер-сервиса-криптографии-клиент
---


## СоздатьКонтейнерИЗапросНаСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает ключевую пару и формирует данные для запроса на сертификат
//
// Параметры:
//   ОповещениеОЗавершении - ОписаниеОповещения - описание процедуры, принимающей результат:
//     * Результат - Структура - результат выполнения процедуры:
//       ** Выполнено      		- Булево - если Истина, то процедура успешно выполнена и получен результат,
//       						  иначе, подробности в ИнформацияОбОшибке.
//       ** ОписаниеОшибки 		- ИнформацияОбОшибке - описание ошибки выполнения, в случае возникновения ошибки,
//								  нижеописанные поля не формируются.
//       ** ЗапросСертификата 	- ДвоичныеДанные - файлов в формате PKCS10
//       ** ОткрытыйКлюч 		- ДвоичныеДанные - данные ключа
//       ** ИмяПровайдера 		- Строка - содержит имя провайдера использованный для генерации ключа
//       ** ТипПровайдера 		- Число - тип провайдера использованный для генерации ключа
//   ИдентификаторЗаявления		- Строка - длина - 36 - обычно уникальный идентификатор, используется для последующей установки сертификата
//   СодержаниеЗапроса 			- Строка - описание полей для запроса на сертификат
//   ИдентификаторАбонента 		- Строка - длина - 36 - уникальный идентификатор
//   НотариусАдвокатГлаваКФХ	- Булево - используется при формировании ОГРН
//
Процедура СоздатьКонтейнерИЗапросНаСертификат(ОповещениеОЗавершении, Экспорт
```

Пример вызова
```bsl
МенеджерСервисаКриптографииКлиент.СоздатьКонтейнерИЗапросНаСертификат(ОповещениеОЗавершении, );
```
</details>

## УстановитьСертификатВКонтейнерИХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает сертификат в защищенном хранилище
//
// Параметры:
//   ОповещениеОЗавершении - ОписаниеОповещения - описание процедуры, принимающей результат:
//     * Результат - Структура - результат выполнения процедуры:
//       ** Выполнено      	- Булево - если Истина, то процедура успешно выполнена и получен результат, иначе см. ИнформацияОбОшибке.
//       ** ОписаниеОшибки 	- ИнформацияОбОшибке - описание ошибки выполнения, в случае возникновения ошибки.
//   ИдентификаторЗаявления - Строка - длина - 36 - обычно уникальный идентификатор, используется сопоставления закрытого ключа.
//   ДанныеСертификата 		- ДвоичныеДанные - в кодировке DER или PEM
//
Процедура УстановитьСертификатВКонтейнерИХранилище(ОповещениеОЗавершении, Экспорт
```

Пример вызова
```bsl
МенеджерСервисаКриптографииКлиент.УстановитьСертификатВКонтейнерИХранилище(ОповещениеОЗавершении, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
