---
title: Миграция приложений переопределяемый
slug: bsp/миграция-приложений-переопределяемый
---


## ПриОпределенииСервисов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при определении сервисов, которые поддерживают миграцию.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//   Сервисы - СписокЗначений - в качестве значения адрес сервиса, в качестве представления - представление сервиса.
//
Процедура ПриОпределенииСервисов(Сервисы) Экспорт
```

Пример вызова
```bsl
МиграцияПриложенийПереопределяемый.ПриОпределенииСервисов(Сервисы) 
```
</details>

## ПриВыгрузкеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик при выгрузке данных.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//   Объект - КонстантаМенеджерЗначения, СправочникОбъект, ДокументОбъект, ПланСчетовОбъект -
//			- ПланВидовХарактеристикОбъект, ПланВидовРасчетаОбъект, РегистрСведенийНаборЗаписей -
//          - РегистрНакопленияНаборЗаписей, РегистрБухгалтерииНаборЗаписей, РегистрРасчетаНаборЗаписей -
//			- ПоследовательностьНаборЗаписей, ПерерасчетНаборЗаписей, БизнесПроцессОбъект, ЗадачаОбъект - выгружаемый объект.
//   Отказ - Булево - если данному параметру установить значение Истина, то объект не будет выгружен.
//
Процедура ПриВыгрузкеОбъекта(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
МиграцияПриложенийПереопределяемый.ПриВыгрузкеОбъекта(Объект, Отказ) 
```
</details>

## ПриЗагрузкеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик при загрузке данных.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//   Объект - КонстантаМенеджерЗначения, СправочникОбъект, ДокументОбъект, ПланСчетовОбъект -
//			- ПланВидовХарактеристикОбъект, ПланВидовРасчетаОбъект, РегистрСведенийНаборЗаписей -
//          - РегистрНакопленияНаборЗаписей, РегистрБухгалтерииНаборЗаписей, РегистрРасчетаНаборЗаписей -
//			- ПоследовательностьНаборЗаписей, ПерерасчетНаборЗаписей, БизнесПроцессОбъект, ЗадачаОбъект - загружаемый объект.
//   Отказ - Булево - если данному параметру установить значение Истина, то объект не будет загружен.
//
Процедура ПриЗагрузкеОбъекта(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
МиграцияПриложенийПереопределяемый.ПриЗагрузкеОбъекта(Объект, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
