---
title: Мультиязычность клиент сервер
slug: bsp/мультиязычность-клиент-сервер
---


## СуффиксЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возражает суффикс языка с порядковым номером языка. Например, "Язык1".
//
// Параметры:
//  ПорядковыйНомерЯзыка - Число - порядковый номер языка в приложении.
//
// Возвращаемое значение:
//  Строка - суффикс языка с порядковым номером языка.
//
Функция СуффиксЯзыка(ПорядковыйНомерЯзыка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МультиязычностьКлиентСервер.СуффиксЯзыка(ПорядковыйНомерЯзыка);
```
</details>

## ОбработкаПолученияПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при получении представления объекта или ссылки в зависимости от языка,
// используемого при работе пользователя.
//
// Параметры:
//  Данные               - Структура - содержит значения полей, из которых формируется представление.
//  Представление        - Строка - в данный параметр нужно поместить сформированное представление.
//  СтандартнаяОбработка - Булево - в данный параметр передается признак формирования стандартного представления.
//  ИмяРеквизита         - Строка - указывает, в каком реквизите хранится представление на основном языке.
//
Процедура ОбработкаПолученияПредставления(Данные, Представление, СтандартнаяОбработка, ИмяРеквизита = "Наименование") Экспорт
```

Пример вызова
```bsl
МультиязычностьКлиентСервер.ОбработкаПолученияПредставления(Данные, Представление, СтандартнаяОбработка, ИмяРеквизита);
```
</details>

## ОбработкаПолученияПолейПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается для формирования состава полей, из которых формируется представление объекта или ссылки.
// Состав полей формируется с учетом текущего языка пользователя.
//
// Параметры:
//  Поля                 - Массив - массив, содержащий имена полей, которые нужны для формирования представления объекта
//                                  или ссылки.
//  СтандартнаяОбработка - Булево - в данный параметр передается признак выполнения стандартной (системной) обработки события.
//                                  Если в теле процедуры-обработчика установить данному параметру значение Ложь,
//                                  стандартная обработка события производиться не будет.
//  ИмяРеквизита         - Строка - указывает, в каком реквизите хранится представление на основном языке.
//
Процедура ОбработкаПолученияПолейПредставления(Поля, СтандартнаяОбработка, ИмяРеквизита = "Наименование") Экспорт
```

Пример вызова
```bsl
МультиязычностьКлиентСервер.ОбработкаПолученияПолейПредставления(Поля, СтандартнаяОбработка, ИмяРеквизита);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
