---
title: Напоминания пользователя клиент
slug: bsp/напоминания-пользователя-клиент
---


## Включить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает периодическую проверку текущих напоминаний пользователя.
Процедура Включить() Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяКлиент.Включить() 
```
</details>

## Выключить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает периодическую проверку текущих напоминаний пользователя.
Процедура Выключить() Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяКлиент.Выключить() 
```
</details>

## НапомнитьВУказанноеВремя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новое напоминание на указанное время.
//
// Параметры:
//  Текст - Строка - текст напоминания;
//  Время - Дата - дата и время напоминания;
//  Предмет - ЛюбаяСсылка - предмет напоминания;
//  Идентификатор - Строка - уточняет предмет напоминания, например, "ДеньРождения".
//
Процедура НапомнитьВУказанноеВремя(Текст, Время, Предмет = Неопределено, Идентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяКлиент.НапомнитьВУказанноеВремя(Текст, Время, Предмет, Идентификатор);
```
</details>

## НапомнитьДоВремениПредмета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новое напоминание на время, рассчитанное относительно времени в предмете.
//
// Параметры:
//  Текст - Строка - текст напоминания;
//  Интервал - Число - время в секундах, за которое необходимо напомнить относительно даты в реквизите предмета;
//  Предмет - ЛюбаяСсылка - предмет напоминания;
//  ИмяРеквизита - Строка - имя реквизита предмета, относительно которого устанавливается срок напоминания.
//
Процедура НапомнитьДоВремениПредмета(Текст, Интервал, Предмет, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяКлиент.НапомнитьДоВремениПредмета(Текст, Интервал, Предмет, ИмяРеквизита) 
```
</details>

## Напомнить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает напоминание с произвольным временем или расписанием выполнения.
//
// Параметры:
//  Текст - Строка - текст напоминания;
//  ВремяСобытия - Дата - дата и время события, о котором надо напомнить;
//               - РасписаниеРегламентногоЗадания - расписание периодического события;
//               - Строка - имя реквизита предмета напоминания, в котором содержится время наступления события.
//  ИнтервалДоСобытия - Число - время в секундах, за которое необходимо напомнить относительно времени события;
//  Предмет - ЛюбаяСсылка - предмет напоминания;
//  Идентификатор - Строка - уточняет предмет напоминания, например, "ДеньРождения".
//
Процедура Напомнить(Текст, ВремяСобытия, ИнтервалДоСобытия = 0, Предмет = Неопределено, Идентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяКлиент.Напомнить(Текст, ВремяСобытия, ИнтервалДоСобытия, Предмет, Идентификатор);
```
</details>

## НапомнитьОЕжегодномСобытииПредмета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает ежегодное напоминание на дату предмета.
//
// Параметры:
//  Текст - Строка - текст напоминания;
//  Интервал - Число - время в секундах, за которое необходимо напомнить относительно даты в реквизите предмета;
//  Предмет - ЛюбаяСсылка - предмет напоминания;
//  ИмяРеквизита - Строка - имя реквизита предмета, относительно которого устанавливается срок напоминания.
//
Процедура НапомнитьОЕжегодномСобытииПредмета(Текст, Интервал, Предмет, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяКлиент.НапомнитьОЕжегодномСобытииПредмета(Текст, Интервал, Предмет, ИмяРеквизита) 
```
</details>

## ПриИзмененииНастройкиНапоминания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик одноименного события формы.
//
// Параметры:
//   Элемент - ПолеФормы - форма, в которой размещены элементы настройки напоминания.
//   Форма - ФормаКлиентскогоПриложения - форма, в которой размещены элементы настройки напоминания.
//
Процедура ПриИзмененииНастройкиНапоминания(Элемент, Форма) Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяКлиент.ПриИзмененииНастройкиНапоминания(Элемент, Форма) 
```
</details>

## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик одноименного события формы.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, в которой размещены элементы настройки напоминания.
//   ИмяСобытия  - Строка
//   Параметр    - Структура:
//    * ИмяРеквизитаИсточника - Строка - имя реквизита предмета, относительно которого устанавливается срок напоминания.
//    * ИнтервалВремениНапоминания - Число - интервал времени в секундах, за который необходимо напомнить
//                                           относительно даты в реквизите предмета.
//    * Предмет - ЛюбаяСсылка - предмет напоминания.
//    * СпособУстановкиВремениНапоминания - ПеречислениеСсылка.СпособыУстановкиВремениНапоминания.
//    * СрокНапоминания - Дата.
//   Источник    - ФормаКлиентскогоПриложения
//               - Произвольный - источник события.
//
Процедура ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяКлиент.ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ОткрытьНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму настроек напоминаний.
Процедура ОткрытьНастройки() Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяКлиент.ОткрытьНастройки() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
