---
title: Напоминания пользователя переопределяемый
slug: bsp/напоминания-пользователя-переопределяемый
---


## ПриОпределенииНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет настройки подсистемы.
//
// Параметры:
//  Настройки - Структура:
//   * Расписания - Соответствие из КлючИЗначение:
//      ** Ключ     - Строка - представление расписания;
//      ** Значение - РасписаниеРегламентногоЗадания - вариант расписания.
//   * СтандартныеИнтервалы - Массив - содержит строковые представления интервалов времени.
//
Процедура ПриОпределенииНастроек(Настройки) Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяПереопределяемый.ПриОпределенииНастроек(Настройки) 
```
</details>

## ПриЗаполненииСпискаРеквизитовИсточникаСДатамиДляНапоминания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет массив реквизитов объекта, относительно которых разрешается устанавливать время напоминания.
// Например, можно скрыть те реквизиты с датами, которые являются служебными или не имеют смысла для
// установки напоминаний: дата документа или задачи и прочие.
//
// Параметры:
//  Источник - ЛюбаяСсылка - ссылка на объект, для которого формируется массив реквизитов с датами;
//  РеквизитыСДатами - Массив - имена реквизитов (из метаданных), содержащих даты.
//
Процедура ПриЗаполненииСпискаРеквизитовИсточникаСДатамиДляНапоминания(Источник, РеквизитыСДатами) Экспорт
```

Пример вызова
```bsl
НапоминанияПользователяПереопределяемый.ПриЗаполненииСпискаРеквизитовИсточникаСДатамиДляНапоминания(Источник, РеквизитыСДатами) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
