---
title: Настройка порядка элементов
slug: bsp/настройка-порядка-элементов
---


## УстановитьЗначениеРеквизитаУпорядочивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет значение реквизита дополнительного упорядочивания у объекта.
//
// Параметры:
//  Объект - СправочникОбъект
//         - ПланВидовХарактеристикОбъект - объект, у которого необходимо установить значение
//                                          реквизита упорядочивания.
//
Процедура УстановитьЗначениеРеквизитаУпорядочивания(Объект) Экспорт
```

Пример вызова
```bsl
НастройкаПорядкаЭлементов.УстановитьЗначениеРеквизитаУпорядочивания(Объект) 
```
</details>

## СброситьЗначениеРеквизитаУпорядочивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обнуляет значение реквизита дополнительного упорядочивания у объекта.
//
// Параметры:
//  Источник          - СправочникОбъект
//                    - ПланВидовХарактеристикОбъект - объект, создаваемый копированием;
//  ОбъектКопирования - СправочникСсылка
//                    - ПланВидовХарактеристикСсылка - исходный объект, который является источником копирования.
//
Процедура СброситьЗначениеРеквизитаУпорядочивания(Источник, ОбъектКопирования) Экспорт
```

Пример вызова
```bsl
НастройкаПорядкаЭлементов.СброситьЗначениеРеквизитаУпорядочивания(Источник, ОбъектКопирования) 
```
</details>

## ПолучитьИнформациюДляПеремещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с информацией о метаданных объекта.
//
// Параметры:
//  МетаданныеОбъекта - ОбъектМетаданных - метаданные перемещаемого объекта.
//
// Возвращаемое значение:
//  Структура - информация из метаданных объекта.
//
Функция ПолучитьИнформациюДляПеремещения(МетаданныеОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = НастройкаПорядкаЭлементов.ПолучитьИнформациюДляПеремещения(МетаданныеОбъекта) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
