---
title: Обмен данными внешнее соединение
slug: bsp/обмен-данными-внешнее-соединение
---


## ПолучитьОбъектыТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные списка объектов заданного объекта метаданных в виде системного представления.
//
// Параметры:
//  ПолноеИмяТаблицы - Строка - имя таблицы, соответствующей объекту метаданных.
//
// Возвращаемое значение:
//  Строка - системное представление таблицы значений, содержащей данные заданного объекта метаданных.
//
Функция ПолучитьОбъектыТаблицы(ПолноеИмяТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиВнешнееСоединение.ПолучитьОбъектыТаблицы(ПолноеИмяТаблицы) 
```
</details>

## ПолучитьОбъектыТаблицы_2_0_1_6
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные списка объектов заданного объекта метаданных в виде XML-строки.
//
// Параметры:
//  ПолноеИмяТаблицы - Строка - имя таблицы, соответствующей объекту метаданных.
//
// Возвращаемое значение:
//  Строка - XML-строка сериализованного представления таблицы значений, содержащей данные заданного объекта метаданных.
//
Функция ПолучитьОбъектыТаблицы_2_0_1_6(ПолноеИмяТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиВнешнееСоединение.ПолучитьОбъектыТаблицы_2_0_1_6(ПолноеИмяТаблицы) 
```
</details>

## СвойстваОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заданные свойства (Синоним, Иерархический) объекта метаданных.
//
// Параметры:
//  ПолноеИмяТаблицы - Строка - имя таблицы, соответствующей объекту метаданных.
//
// Возвращаемое значение:
//  Структура - свойства объекта метаданных:
//    * Синоним - Строка - синоним.
//    * Иерархический - Строка - признак Иерархический.
//
Функция СвойстваОбъектаМетаданных(ПолноеИмяТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиВнешнееСоединение.СвойстваОбъектаМетаданных(ПолноеИмяТаблицы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
