---
title: Обмен данными клиент
slug: bsp/обмен-данными-клиент
---


## ФормаНастройкиУзловКомандаЗакрытьФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик закрытия формы настройки узлов плана обмена.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из которой вызвана процедура.
//
Процедура ФормаНастройкиУзловКомандаЗакрытьФорму(Форма) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ФормаНастройкиУзловКомандаЗакрытьФорму(Форма) 
```
</details>

## ФормаНастройкиУзлаКомандаЗакрытьФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик закрытия формы настройки узла плана обмена.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из которой вызвана процедура.
//
Процедура ФормаНастройкиУзлаКомандаЗакрытьФорму(Форма) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ФормаНастройкиУзлаКомандаЗакрытьФорму(Форма) 
```
</details>

## ФормаНастройкиЗначенийПоУмолчаниюКомандаЗакрытьФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик закрытия формы настройки значений по умолчанию узла плана обмена.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из которой вызвана процедура.
//
Процедура ФормаНастройкиЗначенийПоУмолчаниюКомандаЗакрытьФорму(Форма) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ФормаНастройкиЗначенийПоУмолчаниюКомандаЗакрытьФорму(Форма) 
```
</details>

## ФормаНастройкиПередЗакрытием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик закрытия формы настройки узла плана обмена.
//
// Параметры:
//  Отказ            - Булево           - признак отказа от закрытия формы.
//  Форма            - ФормаКлиентскогоПриложения - форма, из которой вызвана процедура.
//  ЗавершениеРаботы - Булево           - признак того, что форма закрывается в процессе завершения работы приложения.
//
// Пример:
//
//	&НаКлиенте
//	Процедура ПередЗакрытием(Отказ, ЗавершениеРаботы, ТекстПредупреждения, СтандартнаяОбработка)
//		ОбменДаннымиКлиент.ФормаНастройкиПередЗакрытием(Отказ, ЭтотОбъект, ЗавершениеРаботы);
//	КонецПроцедуры
//
Процедура ФормаНастройкиПередЗакрытием(Отказ, Форма, ЗавершениеРаботы) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ФормаНастройкиПередЗакрытием(Отказ, Форма, ЗавершениеРаботы) 
```
</details>

## ОбработчикВыбораЭлементовБазыКорреспондентаНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик начала выбора элемента для формы задания настроек узла базы-корреспондента при настройке обмена через
// внешнее соединение.
//
// Параметры:
//  ИмяРеквизита - Строка - имя реквизита формы.
//  ИмяТаблицы - Строка - полное имя объекта метаданных.
//  Владелец - ФормаКлиентскогоПриложения - форма выбора элементов базы-корреспондента.
//  СтандартнаяОбработка - Булево - признак выполнения стандартной (системной) обработки события.
//  ПараметрыВнешнегоСоединения - Структура
//  ПараметрыВыбора - Структура - структура параметров выбора.
//
Процедура ОбработчикВыбораЭлементовБазыКорреспондентаНачалоВыбора(Знач ИмяРеквизита, Знач ИмяТаблицы, Знач Владелец, Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ОбработчикВыбораЭлементовБазыКорреспондентаНачалоВыбора(ИмяРеквизита, ИмяТаблицы, Владелец, );
```
</details>

## ОбработчикВыбораЭлементовБазыКорреспондентаПодбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подбора элементов для формы задания настроек узла базы-корреспондента при настройке обмена через внешнее
// соединение.
//
// Параметры:
//  ИмяРеквизита - Строка - имя реквизита формы.
//  ИмяТаблицы - Строка - полное имя объекта метаданных.
//  Владелец - ФормаКлиентскогоПриложения - форма выбора элементов базы-корреспондента.
//  ПараметрыВнешнегоСоединения - Структура
//  ПараметрыВыбора - Структура - структура параметров выбора.
//
Процедура ОбработчикВыбораЭлементовБазыКорреспондентаПодбор(Знач ИмяРеквизита, Знач ИмяТаблицы, Знач Владелец, Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ОбработчикВыбораЭлементовБазыКорреспондентаПодбор(ИмяРеквизита, ИмяТаблицы, Владелец, );
```
</details>

## ОбработчикВыбораЭлементовБазыКорреспондентаОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик обработки выбора элемента для формы задания настроек узла базы-корреспондента при настройке обмена через
// внешнее соединение.
//
// Параметры:
//  Элемент - ФормаКлиентскогоПриложения
//          - ТаблицаФормы - элемент для обработки выбора.
//  ВыбранноеЗначение - Произвольный - см. описание параметра ВыбранноеЗначение события ОбработкаВыбора.
//  ДанныеФормыКоллекция - ДанныеФормыКоллекция - для режима подбора из списка.
//
Процедура ОбработчикВыбораЭлементовБазыКорреспондентаОбработкаВыбора(Знач Элемент, Знач ВыбранноеЗначение, Знач ДанныеФормыКоллекция=Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ОбработчикВыбораЭлементовБазыКорреспондентаОбработкаВыбора(Элемент, ВыбранноеЗначение, ДанныеФормыКоллекция);
```
</details>

## ВТаблицеОтмеченыВсеЭлементы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет установку флага "Использовать" для всех строк таблицы.
//
// Параметры:
//  Таблица - ТаблицаЗначений - проверяемая таблица.
//
// Возвращаемое значение:
//  Булево - признак использования всех элементов.
//
Функция ВТаблицеОтмеченыВсеЭлементы(Таблица) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиКлиент.ВТаблицеОтмеченыВсеЭлементы(Таблица) 
```
</details>

## УдалитьНастройкуСинхронизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет удаление настройки синхронизации данных.
//
// Параметры:
//   УзелИнформационнойБазы - ПланОбменаСсылка - узел плана обмена, соответствующий отключаемому обмену.
//
Процедура УдалитьНастройкуСинхронизации(Знач УзелИнформационнойБазы) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.УдалитьНастройкуСинхронизации(УзелИнформационнойБазы) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик записи узла плана обмена. При необходимости выполняет запись узла при помощи длительной операции
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - узел плана обмена.
//  Отказ - Булево - признак отказа от записи узла плана обмена.
//  ПараметрыЗаписи - Структура - произвольные параметры записи. См. описание события ПослеЗаписи в синтакс-помощнике.
//
Процедура ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ПередЗаписью(Форма, Отказ, ПараметрыЗаписи) 
```
</details>

## ОбработкаНавигационнойСсылкиВФормеУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура-обработчик навигационной ссылки в форме узла для элементов созданных программно.
// Только при работе в модели сервиса.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - узел плана обмена.
//  Элемент - ЭлементыФормы
//  НавигационнаяСсылка -  Строка - сформированная навигационная ссылка
//  СтандартнаяОбработка - Булево
//
Процедура ОбработкаНавигационнойСсылкиВФормеУзла(Форма, Элемент, НавигационнаяСсылка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ОбработкаНавигационнойСсылкиВФормеУзла(Форма, Элемент, НавигационнаяСсылка, СтандартнаяОбработка) 
```
</details>

## ОткрытьПанельСинхронизацииДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает панель настройки синхронизации данных.
//
// Параметры:
//  ПараметрКоманды - Структура
//                  - Неопределено
//  ПараметрыВыполненияКоманды - ПараметрыВыполненияКоманды
//
Процедура ОткрытьПанельСинхронизацииДанных(ПараметрКоманды, ПараметрыВыполненияКоманды) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ОткрытьПанельСинхронизацииДанных(ПараметрКоманды, ПараметрыВыполненияКоманды) 
```
</details>

## ОткрытьФормуИзмененияПрефиксаИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму изменения префикса ИБ.
//
// Параметры:
//  ПрефиксИБ - Строка - текущий префикс ИБ.
//
Процедура ОткрытьФормуИзмененияПрефиксаИБ(Знач ПрефиксИБ) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ОткрытьФормуИзмененияПрефиксаИБ(ПрефиксИБ) 
```
</details>

## ОткрытьФормуУдаленияПредупрежденийСинхронизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму очистки предупреждений синхронизации.
//
// Параметры:
//  ПараметрыОткрытия - Структура - структура с отборами предупреждений, где:
//     * МассивУзловПланаОбмена - Массив из ПланОбменаСсылка - массив с узлами плана обмена, которые можно использовать.
//     * ОтборПоДатеВозникновения - Дата - дата, по которую выбираем предупреждения синхронизации.
//     * ОтборУзловПланаОбмена - Массив из ПланОбменаСсылка - массив узлов планов обменов,
//                                                            по которым выполняется удаление предупреждений.
//     * ОтборТипыПредупреждений - Массив из ПеречислениеСсылка.ТипыПроблемОбменаДанными
//                                           ПеречислениеСсылка.ТипыВерсийОбъекта - типы удаляемых предупреждений.
//     * ТолькоСкрытыеЗаписи - Булево - отбирать к удалению только скрытые записи предупреждений.
//  ОписаниеОповещения - ОписаниеОповещения
//
Процедура ОткрытьФормуУдаленияПредупрежденийСинхронизации(ПараметрыОткрытия, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ОткрытьФормуУдаленияПредупрежденийСинхронизации(ПараметрыОткрытия, ОписаниеОповещения);
```
</details>

## ОткрытьПомощникНастройкиОбменаДанными
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Открывает форму помощника настройки обмена данными для заданного плана обмена.
//
// Параметры:
//  ИмяПланаОбмена         - Строка - имя плана обмена, как объекта метаданных,
//                                    для которого необходимо открыть помощник.
//  ИдентификаторНастройки - Строка - идентификатор варианта настройки обмена данными.
//
Процедура ОткрытьПомощникНастройкиОбменаДанными(Знач ИмяПланаОбмена, Знач ИдентификаторНастройки) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиКлиент.ОткрытьПомощникНастройкиОбменаДанными(ИмяПланаОбмена, ИдентификаторНастройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
