---
title: Обмен данными регистрация сервер
slug: bsp/обмен-данными-регистрация-сервер
---


## РежимВыборочнойРегистрацииОтключен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор режима выборочной регистрации, при котором данная функциональность отключена,
// т.е. все записываемые объекты считаются измененными.
//
// Возвращаемое значение:
//  Строка - идентификатор режима выборочной регистрации "Отключен".
//
Функция РежимВыборочнойРегистрацииОтключен() Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиРегистрацияСервер.РежимВыборочнойРегистрацииОтключен() 
```
</details>

## РежимВыборочнойРегистрацииМодифицированность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор режима выборочной регистрации, при котором изменение объекта проверяется по
// свойству "Модифицированность" объекта информационной базы.
//
// Возвращаемое значение:
//  Строка - идентификатор режима выборочной регистрации "Модифицированность".
//
Функция РежимВыборочнойРегистрацииМодифицированность() Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиРегистрацияСервер.РежимВыборочнойРегистрацииМодифицированность() 
```
</details>

## РежимВыборочнойРегистрацииСогласноПравиламXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор режима выборочной регистрации, при котором изменение объекта проверяется
// сравнением значений реквизитов до и после записи. Список реквизитов готовиться по свойствам объектов,
// описанных в правилах конвертации.
// Режим поддерживается только для планов обменов УОП (см. документацию its.1c.ru).
//
// Возвращаемое значение:
//  Строка - идентификатор режима выборочной регистрации "СогласноПравиламXML".
//
Функция РежимВыборочнойРегистрацииСогласноПравиламXML() Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиРегистрацияСервер.РежимВыборочнойРегистрацииСогласноПравиламXML() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
