---
title: Обмен сообщениями внутренний
slug: bsp/обмен-сообщениями-внутренний
---


## ЭтотУзел
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// @skip-warning ПустойМетод - особенность реализации.
// Возвращаемое значение:
//	ПланОбменаСсылка.ОбменСообщениями - ссылка на узел.
Функция ЭтотУзел() Экспорт
```

Пример вызова
```bsl
Результат = ОбменСообщениямиВнутренний.ЭтотУзел() 
```
</details>

## ПриВыгрузкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбменДаннымиПереопределяемый.ПриВыгрузкеДанных
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПриВыгрузкеДанных(СтандартнаяОбработка, Получатель, ИмяФайлаСообщения, Экспорт
```

Пример вызова
```bsl
ОбменСообщениямиВнутренний.ПриВыгрузкеДанных(СтандартнаяОбработка, Получатель, ИмяФайлаСообщения, );
```
</details>

## ПриЗагрузкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбменДаннымиПереопределяемый.ПриЗагрузкеДанных
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПриЗагрузкеДанных(СтандартнаяОбработка, Отправитель, Экспорт
```

Пример вызова
```bsl
ОбменСообщениямиВнутренний.ПриЗагрузкеДанных(СтандартнаяОбработка, Отправитель, );
```
</details>

## ПриДобавленииОбработчиковОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбновлениеИнформационнойБазыБСП.ПриДобавленииОбработчиковОбновления
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	Обработчики - см. ОбновлениеИнформационнойБазы.НоваяТаблицаОбработчиковОбновления
//
Процедура ПриДобавленииОбработчиковОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
ОбменСообщениямиВнутренний.ПриДобавленииОбработчиковОбновления(Обработчики) 
```
</details>

## ПриОпределенииОбъектовСРедактируемымиРеквизитами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ГрупповоеИзменениеОбъектовПереопределяемый.ПриОпределенииОбъектовСРедактируемымиРеквизитами
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	Объекты - см. ГрупповоеИзменениеОбъектовПереопределяемый.ПриОпределенииОбъектовСРедактируемымиРеквизитами.Объекты
//
Процедура ПриОпределенииОбъектовСРедактируемымиРеквизитами(Объекты) Экспорт
```

Пример вызова
```bsl
ОбменСообщениямиВнутренний.ПриОпределенииОбъектовСРедактируемымиРеквизитами(Объекты) 
```
</details>

## ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки
//
// Параметры:
//	Типы - см. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки.Типы
//
Процедура ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) Экспорт
```

Пример вызова
```bsl
ОбменСообщениямиВнутренний.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) 
```
</details>

## ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияПереопределяемый.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов.ПоддерживаемыеВерсии
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	СтруктураПоддерживаемыхВерсий - см. ОбщегоНазначенияПереопределяемый.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов.ПоддерживаемыеВерсии
//
Процедура ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(Знач СтруктураПоддерживаемыхВерсий) Экспорт
```

Пример вызова
```bsl
ОбменСообщениямиВнутренний.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(СтруктураПоддерживаемыхВерсий) 
```
</details>

## УстановитьКодЭтойКонечнойТочки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает код этой конечной точки, если не установлен.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура УстановитьКодЭтойКонечнойТочки() Экспорт
```

Пример вызова
```bsl
ОбменСообщениямиВнутренний.УстановитьКодЭтойКонечнойТочки() 
```
</details>

## ПеренестиНастройкиТранспортаОбменаСообщениями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переносит настройки транспорта обмена сообщениями в новый регистр.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПеренестиНастройкиТранспортаОбменаСообщениями() Экспорт
```

Пример вызова
```bsl
ОбменСообщениямиВнутренний.ПеренестиНастройкиТранспортаОбменаСообщениями() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
