---
title: Обновление конфигурации клиент
slug: bsp/обновление-конфигурации-клиент
---


## ПоддерживаетсяУстановкаОбновлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает, поддерживается ли установка обновлений конфигурации на данном компьютере.
// Установка обновления:
// - доступна только в ОС Windows;
// - не доступна при подключении через веб-сервер (т.к. обновление выполняется через пакетный запуск конфигуратора,
//   который выполняет прямое подключение к информационной базе);
// - возможна, если установлен конфигуратор (полный дистрибутив технологической платформы 1С:Предприятие для Windows);
// - доступна, если имеются права администрирования.
// - не доступна в модели сервиса (выполняется централизованно через Менеджер сервиса).
//
// Возвращаемое значение:
//    Структура:
//     * Поддерживается - Булево - Истина, если установка обновлений конфигурации поддерживается.
//     * ОписаниеОшибки - Строка - описание ошибки в случае, если не поддерживается.
//
Функция ПоддерживаетсяУстановкаОбновлений() Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеКонфигурацииКлиент.ПоддерживаетсяУстановкаОбновлений() 
```
</details>

## ПоказатьПоискИУстановкуОбновлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму установки обновлений с указанными параметрами.
//
// Параметры:
//    ПараметрыУстановкиОбновлений - Структура - дополнительные параметры установки обновлений:
//     * ЗавершениеРаботыСистемы - Булево - Истина, если после установки обновления работа программы завершается.
//                                          По умолчанию Ложь.
//     * ПолученоОбновлениеКонфигурации - Булево - Истина, если устанавливаемое обновление получено из приложения
//                                          в Интернете. По умолчанию Ложь - обычный режим установки обновления.
//     * ВыполнитьОбновление     - Булево - Истина, если необходимо пропустить выбор файла обновления и сразу перейти
//                                          к установке обновления. По умолчанию Ложь - предлагать выбор.
//
Процедура ПоказатьПоискИУстановкуОбновлений(ПараметрыУстановкиОбновлений = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбновлениеКонфигурацииКлиент.ПоказатьПоискИУстановкуОбновлений(ПараметрыУстановкиОбновлений);
```
</details>

## ПоказатьРезервноеКопирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отображает форму настроек создания резервной копии.
//
// Параметры:
//    ПараметрыРезервногоКопирования - Структура - параметры формы резервного копирования:
//      * СоздаватьРезервнуюКопию - Число - 0, Не создавать резервную копию ИБ;
//                                          1, Создавать временную резервную копию ИБ;
//                                          2, Создавать резервную копию ИБ.
//      * ИмяКаталогаРезервнойКопииИБ - Строка - каталог сохранения резервной копии.
//      * ВосстанавливатьИнформационнуюБазу - Булево - выполнять откат при нештатной ситуации.
//    ОписаниеОповещения - ОписаниеОповещения - описание оповещения о закрытии формы.
//
Процедура ПоказатьРезервноеКопирование(ПараметрыРезервногоКопирования, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
ОбновлениеКонфигурацииКлиент.ПоказатьРезервноеКопирование(ПараметрыРезервногоКопирования, ОписаниеОповещения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
