---
title: Обсуждения клиент
slug: bsp/обсуждения-клиент
---


## ПоказатьПодключение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать подключение системы взаимодействия.
//
// Параметры:
//   ОписаниеЗавершения - ОписаниеОповещения - оповещение, которое будет выполнено
//                                             после закрытия формы подключения с параметрами:
//                          * Результат - Неопределено
//                          * ДополнительныеПараметры - Неопределено
//                                                    - Структура.
//
Процедура ПоказатьПодключение(ОписаниеЗавершения = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбсужденияКлиент.ПоказатьПодключение(ОписаниеЗавершения);
```
</details>

## ПоказатьОтключение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать отключение системы взаимодействия.
//
Процедура ПоказатьОтключение() Экспорт
```

Пример вызова
```bsl
ОбсужденияКлиент.ПоказатьОтключение() 
```
</details>

## ОбсужденияДоступны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если система взаимодействия подключена и доступна для использования.
//
// Делает вызов сервера, что гарантирует получение корректного состояния в случае,
// когда данные регистрации информационной базы были изменены методом
// СистемаВзаимодействия.УстановитьДанныеРегистрацииИнформационнойБазы.
//
// Возвращаемое значение:
//   Булево
//
Функция ОбсужденияДоступны() Экспорт
```

Пример вызова
```bsl
Результат = ОбсужденияКлиент.ОбсужденияДоступны() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
