---
title: Обсуждения локализация
slug: bsp/обсуждения-локализация
---


## ПриОпределенииДоступныхИнтеграций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить список доступных интеграций в зависимости от национальной специфики.
//
// Параметры:
//  ТипыВнешнихСистем - Массив из Строка - "Telegram", "WebChat", "Webhook", "Webhook" и другие.
//
Процедура ПриОпределенииДоступныхИнтеграций(ТипыВнешнихСистем) Экспорт
```

Пример вызова
```bsl
ОбсужденияЛокализация.ПриОпределенииДоступныхИнтеграций(ТипыВнешнихСистем) 
```
</details>

## ПриЗаполненииИнструкцииДляПодключенияИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет указать пользовательские инструкции для подключения интеграции с той или иной внешней системой
// в конкретной стране или регионе.
//
// Параметры:
//  Инструкция - ФорматированнаяСтрока
//  ТипВнешнейСистемы - Строка - "Telegram", "WebChat", "Webhook" или "Webhook".
//
Процедура ПриЗаполненииИнструкцииДляПодключенияИнтеграции(Инструкция, Знач ТипВнешнейСистемы) Экспорт
```

Пример вызова
```bsl
ОбсужденияЛокализация.ПриЗаполненииИнструкцииДляПодключенияИнтеграции(Инструкция, ТипВнешнейСистемы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
