---
title: Общего назначения БТС
slug: bsp/общего-назначения-бтс
---


## ЭтоОбъектМетаданныхКонфигурация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных объектом ОбъектМетаданныхКонфигурация.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является конфигурацией.
//
Функция ЭтоОбъектМетаданныхКонфигурация(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоОбъектМетаданныхКонфигурация(ОбъектМетаданных) 
```
</details>

## ЭтоПодсистема
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных подсистемой.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является подсистемой.
//
Функция ЭтоПодсистема(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоПодсистема(ОбъектМетаданных) 
```
</details>

## ЭтоПараметрСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных параметром сеанса.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является параметром сеанса.
//
Функция ЭтоПараметрСеанса(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоПараметрСеанса(ОбъектМетаданных) 
```
</details>

## ЭтоОбщийРеквизит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных общим реквизитом.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является общим реквизитом.
//
Функция ЭтоОбщийРеквизит(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоОбщийРеквизит(ОбъектМетаданных) 
```
</details>

## ЭтоКонстанта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных константной.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является константой.
//
Функция ЭтоКонстанта(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоКонстанта(ОбъектМетаданных) 
```
</details>

## ЭтоСправочник
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных справочником.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является справочником.
//
Функция ЭтоСправочник(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоСправочник(ОбъектМетаданных) 
```
</details>

## ЭтоДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных документом.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является документом.
//
Функция ЭтоДокумент(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоДокумент(ОбъектМетаданных) 
```
</details>

## ЭтоПеречисление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных перечислением.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является перечислением.
//
Функция ЭтоПеречисление(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоПеречисление(ОбъектМетаданных) 
```
</details>

## ЭтоБизнесПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных бизнес-процессом.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является бизнес-процессом.
//
Функция ЭтоБизнесПроцесс(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоБизнесПроцесс(ОбъектМетаданных) 
```
</details>

## ЭтоЗадача
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных задачей.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является задачей.
//
Функция ЭтоЗадача(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоЗадача(ОбъектМетаданных) 
```
</details>

## ЭтоПланСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных планом счетов.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является планом счетов.
//
Функция ЭтоПланСчетов(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоПланСчетов(ОбъектМетаданных) 
```
</details>

## ЭтоПланОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных планом обмена.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является планом обмена.
//
Функция ЭтоПланОбмена(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоПланОбмена(ОбъектМетаданных) 
```
</details>

## ЭтоПланВидовРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных планом видов расчета.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является планом видов расчета.
//
Функция ЭтоПланВидовРасчета(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоПланВидовРасчета(ОбъектМетаданных) 
```
</details>

## ЭтоПланВидовХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных планом видов расчета.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является планом видов характеристик.
//
Функция ЭтоПланВидовХарактеристик(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоПланВидовХарактеристик(ОбъектМетаданных) 
```
</details>

## ЭтоСсылочныеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных ссылочным.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является ссылочным.
//
Функция ЭтоСсылочныеДанные(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоСсылочныеДанные(ОбъектМетаданных) 
```
</details>

## ЭтоСсылочныеДанныеПоддерживающиеПредопределенныеЭлементы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных ссылочным с поддержкой предопределенных элементов.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект поддерживает предопределенные элементы.
//
Функция ЭтоСсылочныеДанныеПоддерживающиеПредопределенныеЭлементы(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоСсылочныеДанныеПоддерживающиеПредопределенныеЭлементы(ОбъектМетаданных) 
```
</details>

## ЭтоРегистрСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных регистром сведений.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является регистром сведений.
//
Функция ЭтоРегистрСведений(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоРегистрСведений(ОбъектМетаданных) 
```
</details>

## ЭтоРегистрНакопления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных регистром накопления.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является регистром накопления.
//
Функция ЭтоРегистрНакопления(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоРегистрНакопления(ОбъектМетаданных) 
```
</details>

## ЭтоРегистрБухгалтерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных регистром бухгалтерии.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является регистром бухгалтерии.
//
Функция ЭтоРегистрБухгалтерии(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоРегистрБухгалтерии(ОбъектМетаданных) 
```
</details>

## ЭтоРегистрРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных регистром расчета.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является регистром расчета.
//
Функция ЭтоРегистрРасчета(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоРегистрРасчета(ОбъектМетаданных) 
```
</details>

## ЭтоНаборЗаписейПерерасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных перерасчетом.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является перерасчетом.
//
Функция ЭтоНаборЗаписейПерерасчета(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоНаборЗаписейПерерасчета(ОбъектМетаданных) 
```
</details>

## ЭтоНаборЗаписейПоследовательности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных последовательности.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является последовательностью.
//
Функция ЭтоНаборЗаписейПоследовательности(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоНаборЗаписейПоследовательности(ОбъектМетаданных) 
```
</details>

## ЭтоНаборЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных набором записей.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является набором записей.
//
Функция ЭтоНаборЗаписей(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоНаборЗаписей(ОбъектМетаданных) 
```
</details>

## ЭтоНезависимыйНаборЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных независимым набором записей.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является независимым набором записей.
//
Функция ЭтоНезависимыйНаборЗаписей(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоНезависимыйНаборЗаписей(ОбъектМетаданных) 
```
</details>

## ЭтоНаборЗаписейПоддерживающийИтоги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных набором записей, поддерживающим итоги.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект поддерживает итоги.
//
Функция ЭтоНаборЗаписейПоддерживающийИтоги(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоНаборЗаписейПоддерживающийИтоги(ОбъектМетаданных) 
```
</details>

## ЭтоЖурналДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных журналом документов.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является журналом документов.
//
Функция ЭтоЖурналДокументов(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоЖурналДокументов(ОбъектМетаданных) 
```
</details>

## ЭтоРегламентноеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных регламентным заданием.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является регламентным заданием.
//
Функция ЭтоРегламентноеЗадание(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоРегламентноеЗадание(ОбъектМетаданных) 
```
</details>

## ЭтоВнешнийИсточникДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли переданный объект метаданных внешним источником данных.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является внешним источникоам данным.
//
Функция ЭтоВнешнийИсточникДанных(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоВнешнийИсточникДанных(ОбъектМетаданных) 
```
</details>

## ЭтоПримитивныйТип
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает: примитивный ли это тип или нет.
//
// Параметры:
//  ПроверяемыйТип - Тип - проверяемый тип.
//
// Возвращаемое значение:
//   Булево - Истина, если тип примитивный.
//
Функция ЭтоПримитивныйТип(Знач ПроверяемыйТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоПримитивныйТип(ПроверяемыйТип) 
```
</details>

## ЭтоСсылочныйТип
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает: ссылочный ли это тип или нет.
//
// Параметры:
//  ПроверяемыйТип - Тип - проверяемый тип.
//
// Возвращаемое значение:
//   Булево - Истина, если тип примитивный.
//
Функция ЭтоСсылочныйТип(Знач ПроверяемыйТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоСсылочныйТип(ПроверяемыйТип) 
```
</details>

## ЭтоНаборТиповСсылок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что тип содержит набор ссылочных типов.
//
// Параметры:
//  ОписаниеТипов - ОписаниеТипов - набор ссылочных типов.
//
// Возвращаемое значение:
//   Булево - Истина, если тип содержит набор ссылочных типов.
//
Функция ЭтоНаборТиповСсылок(Знач ОписаниеТипов) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоНаборТиповСсылок(ОписаниеТипов) 
```
</details>

## ОбъектМетаданныхПоТипуСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект метаданных по типу ссылки
//
// Параметры:
//  ТипСсылки - Тип - тип ссылки.
//
// Возвращаемое значение:
//	ОбъектМетаданных - объект метаданных
//
Функция ОбъектМетаданныхПоТипуСсылки(Знач ТипСсылки) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ОбъектМетаданныхПоТипуСсылки(ТипСсылки) 
```
</details>

## ЭтоРазделенныйОбъектМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет включение объекта метаданных в состав разделителя в режиме, включающем разделение данных.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных,
//  ИмяРазделителя - Строка - имя общего реквизита - разделителя.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является разделенным.
//
Функция ЭтоРазделенныйОбъектМетаданных(Знач ОбъектМетаданных, Знач ИмяРазделителя) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЭтоРазделенныйОбъектМетаданных(ОбъектМетаданных, ИмяРазделителя) 
```
</details>

## ЗависимостиОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень объектов, ссылки на которые содержатся в исходном объекте метаданных.
// Наборы ссылок и хранение ссылок в хранилище значения не учитываются.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - исходный объект метаданных,
//
// Возвращаемое значение:
//	Массив из Строка - массив полных имен объектов метаданных.
//
Функция ЗависимостиОбъектаМетаданных(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ЗависимостиОбъектаМетаданных(ОбъектМетаданных) 
```
</details>

## ОбъектМетаданныхДоступенПоФункциональнымОпциям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет доступность объектов метаданных по текущим значениям функциональных опций.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - проверяемый объект метаданных.
//
// Возвращаемое значение:
//   Булево - Истина, если объект доступен по текущим функциональным опциям.
//
Функция ОбъектМетаданныхДоступенПоФункциональнымОпциям(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ОбъектМетаданныхДоступенПоФункциональнымОпциям(ОбъектМетаданных) 
```
</details>

## ПредставлениеОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление объекта метаданных.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - объект метаданных.
//
// Возвращаемое значение:
//	Строка - представление объекта метаданных.
//
Функция ПредставлениеОбъектаМетаданных(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ПредставлениеОбъектаМетаданных(ОбъектМетаданных) 
```
</details>

## ДопустимыеПраваДляОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает перечень (с классификацией) прав, допустимых для объекта метаданных.
//
// Параметры:
//  ОбъектМетаданных - ОбъектМетаданных - объект метаданных.
//
// Возвращаемое значение:
//	ТаблицаЗначений - таблица допустимых прав:
//	 * Имя - Строка - имя вида права, которое может использоваться для функции ПравоДоступа(),
//	 * Интерактивное - Булево - флаг того, что право ограничивает возможность выполнения интерактивных операций,
//	 * Чтение - Булево - флаг того, что право предоставляет или подразумевает
//		возможность чтения данных заданного объекта метаданных.
//	 * Изменение - Булево - флаг того, что право предоставляет или подразумевает
//		возможность изменения данных заданного объекта метаданных.
//	 * АдминистрированиеИнформационнойБазы - Булево - флаг того, что право
//		предоставляет или предполагает возможность администрирования (глобального для информационной базы).
//	 * АдминистрированиеОбластиДанных - Булево - флаг того, что право предоставляет
//		или предполагает возможность администрирования (глобального для
//		текущей области данных).
//
Функция ДопустимыеПраваДляОбъектаМетаданных(Знач ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ДопустимыеПраваДляОбъектаМетаданных(ОбъектМетаданных) 
```
</details>

## ПустойУникальныйИдентификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустой уникальный идентификатор.
//
// Возвращаемое значение:
//  УникальныйИдентификатор - уникальный идентификатор.
//
Функция ПустойУникальныйИдентификатор() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТС.ПустойУникальныйИдентификатор() 
```
</details>

## Пауза
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Останавливает выполнение кода на заданное время.
// Использовать можно только в фоновом задании.
//
// Параметры:
//  Секунд - Число - время ожидания в секундах.
//
Процедура Пауза(Секунд) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБТС.Пауза(Секунд) 
```
</details>

## ЗаписьТехнологическогоЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает событие в технологический журнал.
//
// Параметры:
//  Событие	 - Строка - имя события для фильтрации записей технологического журнала с помощью настроек logcfg.xml.
//  Контекст - Структура - Произвольные данные для записи в технологический журнал.
//		В значения рекомендуется помещать данные примитивных типов. Это позволит повысить скорость записи.
//
Процедура ЗаписьТехнологическогоЖурнала(Событие, Контекст) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБТС.ЗаписьТехнологическогоЖурнала(Событие, Контекст) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
