---
title: Общего назначения БТС повт исп
slug: bsp/общего-назначения-бтс-повт-исп
---


## ОписаниеПримитивныхТипов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание тиров, содержащее примитивные типы.
//
// Возвращаемое значение:
//   ОписаниеТипов - описание.
//
Функция ОписаниеПримитивныхТипов() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТСПовтИсп.ОписаниеПримитивныхТипов() 
```
</details>

## ОписаниеСсылочныхТипов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание типов, содержащее все ссылочные типы объектов метаданных, существующих
// в конфигурации.
//
// Возвращаемое значение:
//   ОписаниеТипов - описание.
//
Функция ОписаниеСсылочныхТипов() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТСПовтИсп.ОписаниеСсылочныхТипов() 
```
</details>

## СсылкиТочекМаршрутаБизнесПроцессов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылки точек маршрута бизнес-процессов.
//
// Возвращаемое значение:
//   ФиксированноеСоответствие из КлючИЗнчение:
//    * Ключ - Тип - тип ТочкаМаршрутаБизнесПроцессаСсылка,
//    * Значение - Строка - имя бизнес-процесса.
//
Функция СсылкиТочекМаршрутаБизнесПроцессов() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТСПовтИсп.СсылкиТочекМаршрутаБизнесПроцессов() 
```
</details>

## МодельКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Модель конфигурации.
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура - модель конфигурации:
// * ВсеПеречисления - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданныхПеречисление
//    ** Значение - Булево
// * ВсеСправочники - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданныхСправочник
//    ** Значение - Булево
// * ВсеПланыВидовХарактеристик - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданныхПланВидовХарактеристик
//    ** Значение - Булево
// * ВсеПланыСчетов - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданныхПланСчетов
//    ** Значение - Булево
// * ВсеПланыВидовРасчета - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданныхПланВидовРасчета
//    ** Значение - Булево
// * ВсеПланыОбмена - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданныхПланОбмена
//    ** Значение - Булево
// * ВсеНаборыЗаписей - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданных
//    ** Значение - Булево
// * ВсеРегистрыСведений - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданныхРегистрСведений
//    ** Значение - Булево
// * ВсеРегистрыНакопления - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданныхРегистрНакопления
//    ** Значение - Булево
// * ВсеРегистрыБухгалтерии - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданныхРегистрБухгалтерии
//    ** Значение - Булево
// * ВсеРегистрыРасчета - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданныхРегистрРасчета
//    ** Значение - Булево
// * ВсеНезависимыеНаборыЗаписей - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданных
//    ** Значение - Булево
// * ВсеСсылочныеДанныеПоддерживающиеПредопределенныеЭлементы - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданных
//    ** Значение - Булево
// * ВсеНаборыЗаписейПоследовательности - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданных
//    ** Значение - Булево
// * ВсеНаборыЗаписейПерерасчета - ФиксированноеСоответствие из КлючИЗначение:
//    ** Ключ - ОбъектМетаданных
//    ** Значение - Булево
Функция МодельКонфигурации() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБТСПовтИсп.МодельКонфигурации() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
