---
title: Оплата сервиса
slug: bsp/оплата-сервиса
---


## ВерсияИнтерфейса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает версию интерфейса биллинга (версии нумеруются простым натуральным числом).
//
// Возвращаемое значение:
//  Число - версия интерфейса.
//
Функция ВерсияИнтерфейса() Экспорт
```

Пример вызова
```bsl
Результат = ОплатаСервиса.ВерсияИнтерфейса() 
```
</details>

## ПредставлениеВалютыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление валюты оплаты услуг сервиса.
//
// Возвращаемое значение:
//  Строка - представление валюты оплаты.
//
Функция ПредставлениеВалютыОплаты() Экспорт
```

Пример вызова
```bsl
Результат = ОплатаСервиса.ПредставлениеВалютыОплаты() 
```
</details>

## ПриДобавленииПараметровРаботыКлиентаПриЗапуске
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияПереопределяемый.ПриДобавленииПараметровРаботыКлиентаПриЗапуске
// Метод переопределяется в расширении fresh.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
Процедура ПриДобавленииПараметровРаботыКлиентаПриЗапуске(Параметры) Экспорт
```

Пример вызова
```bsl
ОплатаСервиса.ПриДобавленииПараметровРаботыКлиентаПриЗапуске(Параметры) 
```
</details>

## СостоянияЗавершенияПодписокНаТарифы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает состояния истечения сроков подписок на тарифы поданным менеджера сервиса.
// Данные возвращаются только для пользователей с ролью "Владелец абонента".
// Метод переопределяется в расширении fresh.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
// Возвращаемое значение:
//  Структура:
//   * ЗавершаетсяТестовых - Число
//   * ЗавершаетсяБесплатных - Число
//   * ЗавершаетсяПлатных - Число
//   * ЗавершаетсяВсего - Число
//   * НеЗавершаетсяТестовых - Число
//   * НеЗавершаетсяБесплатных - Число
//   * НеЗавершаетсяПлатных - Число
//   * НеЗавершаетсяВсего - Число
Функция СостоянияЗавершенияПодписокНаТарифы() Экспорт
```

Пример вызова
```bsl
Результат = ОплатаСервиса.СостоянияЗавершенияПодписокНаТарифы() 
```
</details>

## ПоддерживаетсяЗагрузкаТарифов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак поддержки загрузки тарифов сервиса в данные информационной базы.
//
// Возвращаемое значение:
//  Булево - если Истина, то загрузка поддерживается.
//
Функция ПоддерживаетсяЗагрузкаТарифов() Экспорт
```

Пример вызова
```bsl
Результат = ОплатаСервиса.ПоддерживаетсяЗагрузкаТарифов() 
```
</details>

## ЗагрузитьТарифыСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загрузка тарифов в справочники информационной базы из менеджера сервиса.
//
Процедура ЗагрузитьТарифыСервиса() Экспорт
```

Пример вызова
```bsl
ОплатаСервиса.ЗагрузитьТарифыСервиса() 
```
</details>

## ОтправитьОтветВУчетнуюСистемуБиллинга
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет ответ в учетную систему биллинга на адрес счета на оплату.
//
// Параметры:
//  ИдентификаторСчета - УникальныйИдентификатор - идентификатор счета на оплату.
//  Данные - см. ОплатаСервиса.ШаблонДанныхОтвета
//
// Возвращаемое значение:
//  HTTPОтвет - ответ менеджера сервиса.
//
// Пример:
//  ...
//  Данные = ОплатаСервиса.ШаблонДанныхОтвета();
//  Данные.Вставить("paid", Истина); // Признак оплаты счета.
//  ОплатаСервиса.ОтправитьЗапросВУчетнуюСистемуБиллинга(ИдентификаторСчета, Данные); // Отправка.
//
Функция ОтправитьОтветВУчетнуюСистемуБиллинга(ИдентификаторСчета, Данные) Экспорт
```

Пример вызова
```bsl
Результат = ОплатаСервиса.ОтправитьОтветВУчетнуюСистемуБиллинга(ИдентификаторСчета, Данные) 
```
</details>

## ШаблонДанныхОтвета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон данных при отправке информации о состоянии счета на оплату.
//
// Параметры:
//  КодОтвета - Число - код ответа. Если параметр не передается, устанавливается 10200.
//              Для установки можно использовать методы:
//              КодВозвратаОшибкаДанных() - соответствует коду 10400 - используется при обработке известных ошибок.
//              КодВозвратаВнутренняяОшибка() - соответствует коду 10500 - используется при возникновении непредвиденных ошибок.
//  Сообщение - Строка - сообщение об ошибке. Может быть установлен текст ошибки, который будет возвращен пользователю.
//
// Возвращаемое значение:
//  Структура:
//   * response - Число - код ответа.
//   * error - Булево - признак ошибки. Взводится, если передан код ответа отличный от 102xx.
//   * message - Строка - сообщение об ошибке.
//
Функция ШаблонДанныхОтвета(КодОтвета = 10200, Сообщение = "") Экспорт
```

Пример вызова
```bsl
Результат = ОплатаСервиса.ШаблонДанныхОтвета(КодОтвета, Сообщение);
```
</details>

## КодВозвратаОшибкаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код ошибки данных.
//
// Возвращаемое значение:
//   Число - код возврата ошибки данных - 10400.
//
Функция КодВозвратаОшибкаДанных() Экспорт
```

Пример вызова
```bsl
Результат = ОплатаСервиса.КодВозвратаОшибкаДанных() 
```
</details>

## КодВозвратаВнутренняяОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает код внутренней ошибки.
//
// Возвращаемое значение:
//   Число - код возврата внутренней ошибки - 10500.
//
Функция КодВозвратаВнутренняяОшибка() Экспорт
```

Пример вызова
```bsl
Результат = ОплатаСервиса.КодВозвратаВнутренняяОшибка() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
