---
title: Оплата сервиса клиент
slug: bsp/оплата-сервиса-клиент
---


## ОткрытьФормуОплатыСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму форму оплаты сервиса.
// Метод переопределяется в расширении fresh.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
Процедура ОткрытьФормуОплатыСервиса() Экспорт
```

Пример вызова
```bsl
ОплатаСервисаКлиент.ОткрытьФормуОплатыСервиса() 
```
</details>

## ОткрытьФормуВыбораТарифа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора тарифа сервиса.
// Метод переопределяется в расширении fresh.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
// Параметры:
//  КодОбслуживающейОрганизации	 - Число - код обслуживающей организации
//  Источник -ФормаКлиентскогоПриложения - источник открытия формы
//  ОповещениеОЗакрытии - ОписаниеОповещения - оповещение о закрытии формы выбора тарифа.
//
Процедура ОткрытьФормуВыбораТарифа(КодОбслуживающейОрганизации, Источник = Неопределено, ОповещениеОЗакрытии = Неопределено) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаКлиент.ОткрытьФормуВыбораТарифа(КодОбслуживающейОрганизации, Источник, ОповещениеОЗакрытии);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
