---
title: Оплата сервиса переопределяемый
slug: bsp/оплата-сервиса-переопределяемый
---


## ПриУстановкеПредставленияВалютыОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при определении представления валюты оплаты сервиса.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
// Параметры:
//  ПредставлениеВалютыОплаты - Строка - представление валюты оплаты.
//
Процедура ПриУстановкеПредставленияВалютыОплаты(ПредставлениеВалютыОплаты) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриУстановкеПредставленияВалютыОплаты(ПредставлениеВалютыОплаты) 
```
</details>

## ПриПолученииИмениФормыОбработкиОтвета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при получении имени формы обработки ответа на запрос счета на оплату.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
// Параметры:
//  ИмяФормыОбработкиОтвета - Строка - имя формы обработки ответа.
//
Процедура ПриПолученииИмениФормыОбработкиОтвета(ИмяФормыОбработкиОтвета) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриПолученииИмениФормыОбработкиОтвета(ИмяФормыОбработкиОтвета) 
```
</details>

## ПриУстановкеНастроекОплатыСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при установке настроек оплаты сервиса.
// @skip-check module-empty-method
//
// Параметры:
//  КодАбонента - Число - код абонента-владельца учетной системы
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПриУстановкеНастроекОплатыСервиса(КодАбонента, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриУстановкеНастроекОплатыСервиса(КодАбонента, РезультатОбработки) 
```
</details>

## ПриУдаленииНастроекОплатыСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при удалении настроек оплаты сервиса.
// @skip-check module-empty-method
//
// Параметры:
//  КодАбонента - Число - код абонента-владельца учетной системы
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПриУдаленииНастроекОплатыСервиса(КодАбонента, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриУдаленииНастроекОплатыСервиса(КодАбонента, РезультатОбработки) 
```
</details>

## ПриОпределенииПоддержкиЗагрузкиТарифов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при определении возможности загрузки тарифов сервиса.
// @skip-warning ПустойМетод - переопределяемый метод.
// @skip-check module-empty-method
//
// Параметры:
//  Результат - Булево - результат определения возможности загрузки.
//
Процедура ПриОпределенииПоддержкиЗагрузкиТарифов(Результат) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриОпределенииПоддержкиЗагрузкиТарифов(Результат) 
```
</details>

## ПриЗагрузкеТарифов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при загрузке тарифов в информационную базу по данным менеджера сервиса.
// Метод является идемпотентным. Поддерживается повторное выполнение с получением аналогичного результата.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
// Параметры:
//  ИсходныеДанные - Структура:
//   * ТарифыПровайдера - см. ПрограммныйИнтерфейсСервиса.ТарифыСервиса
//   * ТарифыОбслуживающейОрганизации - см. ПрограммныйИнтерфейсСервиса.ТарифыОбслуживающейОрганизации
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПриЗагрузкеТарифов(ИсходныеДанные, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриЗагрузкеТарифов(ИсходныеДанные, РезультатОбработки) 
```
</details>

## ПриЗаполненииОбязательныхСведенийДляОформленияПодписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при создании на сервере формы сведений абонента, если требуется их заполнение.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
//  Параметры:
//   ОбязательныеСведения - Структура:
//   * ЕстьОшибки - Булево - признак наличия ошибок заполнения.
//   * Реквизиты - ТаблицаЗначений - дополнительные реквизиты абонента:
//     ** Ключ - Строка - имя дополнительного реквизита
//     ** Заголовок - Строка - заголовок дополнительного реквизита
//     ** Тип - Строка - тип значения
//     ** Значение - Строка, Число, Дата, Булево - значение дополнительного реквизита
//     ** ЗаполнятьОбязательно - Булево - признак обяз
//     ** Подсказка - Строка - подсказка заполнения
//     ** Ошибка - Булево - признак ошибки заполнения
//     ** Сообщение - Строка - сообщение об ошибке
//     ** Видимость - Булево - признак отображения на форме заполнения
//   * Свойства - ТаблицаЗначений - дополнительные свойства абонента:
//     ** Ключ - Строка - имя дополнительного свойства
//     ** Заголовок - Строка - заголовок дополнительного реквизита
//     ** Тип - Строка - тип значения
//     ** Значение - Строка, Число, Дата, Булево - значение дополнительного свойства
//     ** ЗаполнятьОбязательно - Булево - признак обяз
//     ** Подсказка - Строка - подсказка заполнения
//     ** Ошибка - Булево - признак ошибки заполнения
//     ** Сообщение - Строка - сообщение об ошибке
//     ** Видимость - Булево - признак отображения на форме заполнения
//   Абонент - см. ПрограммныйИнтерфейсСервиса.АбонентЭтогоПриложения
Процедура ПриЗаполненииОбязательныхСведенийДляОформленияПодписки(ОбязательныеСведения, Абонент) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриЗаполненииОбязательныхСведенийДляОформленияПодписки(ОбязательныеСведения, Абонент) 
```
</details>

## ПриСозданииСчетаНаОплату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при создании счета на оплату по запросу от менеджера сервиса.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
// Параметры:
//  ДанныеЗапроса - см. ОплатаСервиса.ДанныеЗапросаСчетаНаОплату
//  СчетНаОплату - ДокументСсылка - созданный счет на оплату (возвращаемые данные)
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПриСозданииСчетаНаОплату(ДанныеЗапроса, СчетНаОплату, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриСозданииСчетаНаОплату(ДанныеЗапроса, СчетНаОплату, РезультатОбработки) 
```
</details>

## ПриПолученииПечатнойФормыСчетаНаОплату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает печатную форму счета на оплату.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
// Параметры:
//  ДанныеЗапроса - см. ОплатаСервиса.ДанныеЗапросаСчетаНаОплату
//  СчетНаОплату - ДокументСсылка - счет на оплату
//  ПечатнаяФорма - ТабличныйДокумент - печатная форма счета на оплату (возвращаемые данные)
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПриПолученииПечатнойФормыСчетаНаОплату(ДанныеЗапроса, СчетНаОплату, ПечатнаяФорма, РезультатОбработки) экспорт Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриПолученииПечатнойФормыСчетаНаОплату(ДанныеЗапроса, СчетНаОплату, ПечатнаяФорма, РезультатОбработки) экспорт);
```
</details>

## ПриПолученииДанныхСчетаНаОплату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает двоичные данные счета на оплату.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
// Параметры:
//  ДанныеЗапроса - см. ОплатаСервиса.ДанныеЗапросаСчетаНаОплату
//  СчетНаОплату - ДокументСсылка - счет на оплату
//  Данные - ДвоичныеДанные - данные счета на оплату (возвращаемые данные)
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПриПолученииДанныхСчетаНаОплату(ДанныеЗапроса, СчетНаОплату, Данные, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриПолученииДанныхСчетаНаОплату(ДанныеЗапроса, СчетНаОплату, Данные, РезультатОбработки) 
```
</details>

## ПриПолученииПлатежнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение платежной ссылки счета на оплату.
// @skip-warning - обратная совместимость.
// @skip-check module-empty-method
//
// Параметры:
//  ДанныеЗапроса - см. ОплатаСервиса.ДанныеЗапросаСчетаНаОплату
//  СчетНаОплату - ДокументСсылка - счет на оплату
//  ПлатежнаяСсылка - Строка - платежная ссылка (возаращаемые данные)
//  РезультатОбработки - Структура - результаты обработки метода (возвращаемые данные):
//   * Ошибка - Булево - признак ошибки обработки
//   * Сообщение - Строка - сообщение об ошибке обработки.
//
Процедура ПриПолученииПлатежнойСсылки(ДанныеЗапроса, СчетНаОплату, ПлатежнаяСсылка, РезультатОбработки) Экспорт
```

Пример вызова
```bsl
ОплатаСервисаПереопределяемый.ПриПолученииПлатежнойСсылки(ДанныеЗапроса, СчетНаОплату, ПлатежнаяСсылка, РезультатОбработки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
