---
title: Оповещение пользователей БТС клиент переопределяемый
slug: bsp/оповещение-пользователей-бтс-клиент-переопределяемый
---


## ПриДобавленииОбработчиковОповещенийПользователейБТС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При добавлении обработчиков оповещений пользователей БТС.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ОбработчикиОповещений - Соответствие - Ключ, идентификатор вида оповещения,
//  	Значение, клиентский модуль содержащий метод ОбработатьОповещение
//  	с параметром ОповещениеПользователя. Метод данного модуля будет вызван при получении оповещения
//  	с указаным идентификатором вида оповещения.
//
// Пример:
//  МодульОбработчиков = ОбщегоНазначенияКлиент.ОбщийМодуль("ОповещениеПользователейОНовостях");
//  ОбработчикиОповещений.Вставить(
//		"ОповещениеОНовыхНовостяхСайта",
//		МодульОбработчиков);
//
//  Модуль ОповещениеПользователейОНовостях содержит следующий код:
//		Процедура ОбработатьОповещение(ОповещениеПользователя) Экспорт
//
//			Если ОповещениеПользователя.ВидОповещения = "ОповещениеОНовыхНовостяхСайта" Тогда
//				ОбработатьНовыеНовостиССайта(ОповещениеПользователя); - процедура реализующая логику обработки
//			КонецЕсли;
//
//		КонецПроцедуры.
//
Процедура ПриДобавленииОбработчиковОповещенийПользователейБТС(ОбработчикиОповещений) Экспорт
```

Пример вызова
```bsl
ОповещениеПользователейБТСКлиентПереопределяемый.ПриДобавленииОбработчиковОповещенийПользователейБТС(ОбработчикиОповещений) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
