---
title: Отчет о движениях документа переопределяемый
slug: bsp/отчет-о-движениях-документа-переопределяемый
---


## ПриОпределенииРегистровСДвижениями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет дополнить регистры с движениями документа дополнительными регистрами.
//
// Параметры:
//    Документ - ДокументСсылка - документ коллекцию движений которого необходимо дополнить.
//    РегистрыСДвижениями - Соответствие из КлючИЗначение:
//        * Ключ     - ОбъектМетаданных - регистр как объект метаданных.
//        * Значение - Строка           - имя поля регистратора.
//
Процедура ПриОпределенииРегистровСДвижениями(Документ, РегистрыСДвижениями) Экспорт
```

Пример вызова
```bsl
ОтчетОДвиженияхДокументаПереопределяемый.ПриОпределенииРегистровСДвижениями(Документ, РегистрыСДвижениями) 
```
</details>

## ПриРасчетеКоличестваЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет рассчитать количество записей для дополнительных наборов, добавленных процедурой
// ПриОпределенииРегистровСДвижениями.
//
// Параметры:
//    Документ - ДокументСсылка - документ коллекцию движений которого необходимо дополнить.
//    РассчитанноеКоличество - Соответствие из КлючИЗначение:
//        * Ключ     - Строка - полное имя регистра (вместо точек используется символ подчеркивания).
//        * Значение - Число  - рассчитанное количество записей.
//
Процедура ПриРасчетеКоличестваЗаписей(Документ, РассчитанноеКоличество) Экспорт
```

Пример вызова
```bsl
ОтчетОДвиженияхДокументаПереопределяемый.ПриРасчетеКоличестваЗаписей(Документ, РассчитанноеКоличество) 
```
</details>

## ПриПодготовкеНабораДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет дополнить или переопределить коллекцию наборов данных для вывода движений документа.
//
// Параметры:
//    Документ - ДокументСсылка - документ, коллекцию движений которого необходимо дополнить.
//    НаборыДанных - Массив - сведения о наборах данных (тип элемента Структура).
//
Процедура ПриПодготовкеНабораДанных(Документ, НаборыДанных) Экспорт
```

Пример вызова
```bsl
ОтчетОДвиженияхДокументаПереопределяемый.ПриПодготовкеНабораДанных(Документ, НаборыДанных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
