---
title: Передача данных встраивание
slug: bsp/передача-данных-встраивание
---


## МенеджерыЛогическихХранилищ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет менеджеры логических хранилищ.
//
// Параметры:
//   ВсеМенеджерыЛогическихХранилищ - Соответствие из Строка - менеджеры логических хранилищ:
//    * Ключ - Строка - идентификатор логического хранилища;
//    * Значение - ОбщийМодуль - менеджер логического хранилища.
//
//@skip-check module-empty-method
Процедура МенеджерыЛогическихХранилищ(ВсеМенеджерыЛогическихХранилищ) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхВстраивание.МенеджерыЛогическихХранилищ(ВсеМенеджерыЛогическихХранилищ) 
```
</details>

## МенеджерыФизическихХранилищ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет менеджеры физических хранилищ.
//
// Параметры:
//   ВсеМенеджерыФизическихХранилищ - Соответствие из Строка - менеджеры физических хранилищ:
//    * Ключ - Строка - идентификатор физического хранилища;
//    * Значение - ОбщийМодуль - менеджер физического хранилища.
//
//@skip-check module-empty-method
Процедура МенеджерыФизическихХранилищ(ВсеМенеджерыФизическихХранилищ) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхВстраивание.МенеджерыФизическихХранилищ(ВсеМенеджерыФизическихХранилищ) 
```
</details>

## ПериодДействияВременногоИдентификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет период действия временного идентификатора.
//
// Параметры:
//   ПериодДействияВременногоИдентификатора - Число - период действия временного идентификатора.
//
//@skip-check module-empty-method
Процедура ПериодДействияВременногоИдентификатора(ПериодДействияВременногоИдентификатора) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхВстраивание.ПериодДействияВременногоИдентификатора(ПериодДействияВременногоИдентификатора) 
```
</details>

## РазмерБлокаПолученияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет размер блока получения данных.
//
// Параметры:
//   РазмерБлокаПолученияДанных - Число - размер блока получения данных в байтах.
//
//@skip-check module-empty-method
Процедура РазмерБлокаПолученияДанных(РазмерБлокаПолученияДанных) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхВстраивание.РазмерБлокаПолученияДанных(РазмерБлокаПолученияДанных) 
```
</details>

## РазмерБлокаОтправкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет размер блока отправки данных.
//
// Параметры:
//   РазмерБлокаОтправкиДанных - Число - размер блока отправки данных в байтах.
//
//@skip-check module-empty-method
Процедура РазмерБлокаОтправкиДанных(РазмерБлокаОтправкиДанных) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхВстраивание.РазмерБлокаОтправкиДанных(РазмерБлокаОтправкиДанных) 
```
</details>

## ОшибкаПриПолученииДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при ошибке получения данных.
//
// Параметры:
//   Ответ - HTTPСервисОтвет - ответ сервиса при получении данных.
//
//@skip-check module-empty-method
Процедура ОшибкаПриПолученииДанных(Ответ) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхВстраивание.ОшибкаПриПолученииДанных(Ответ) 
```
</details>

## ОшибкаПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при ошибке отправки данных.
//
// Параметры:
//   Ответ - HTTPСервисОтвет - ответ сервиса при отправке данных.
//
//@skip-check module-empty-method
Процедура ОшибкаПриОтправкеДанных(Ответ) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхВстраивание.ОшибкаПриОтправкеДанных(Ответ) 
```
</details>

## ПриПолученииИмениВременногоФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при получении имени временного файла.
//
// Параметры:
//   ИмяВременногоФайла - Строка - имя временного файла.
//   Расширение - Строка - желаемое расширение имени временного файла.
//   ДополнительныеПараметры - Структура - дополнительные параметры временного файла.
//
//@skip-check module-empty-method
Процедура ПриПолученииИмениВременногоФайла(ИмяВременногоФайла, Расширение) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхВстраивание.ПриПолученииИмениВременногоФайла(ИмяВременногоФайла, Расширение) 
```
</details>

## ПриПродленииДействияВременногоИдентификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при продлении действия временного идентификатора.
//
// Параметры:
//   Идентификатор - Строка - идентификатор запроса.
//   Дата - Дата - дата регистрации запроса.
//   Запрос - Структура - исходный HTTP-запрос:
//    * HTTPМетод - Строка - HTTP-метод;
//    * БазовыйURL - Строка - базовая часть URL-запроса, включающая имя сервиса;
//    * Заголовки - ФиксированноеСоответствие из Строка - заголовки HTTP-запроса;
//    * ОтносительныйURL - Строка - относительную часть URL-адреса (относительно сервиса);
//    * ПараметрыURL - ФиксированноеСоответствие из Строка - части URL-адреса, которые были параметризованы в шаблоне;
//    * ПараметрыЗапроса - ФиксированноеСоответствие из Строка - параметры запроса (в строке URL-адреса параметры следуют после знака запроса);
//    * ИдентификаторЗапроса - Строка - уникальный идентификатор запроса;
//    * ТипЗапроса - Строка - тип запроса;
//    * ИмяВременногоФайла - Строка - имя используемого временного файла.
//
//@skip-check module-empty-method
Процедура ПриПродленииДействияВременногоИдентификатора(Идентификатор, Дата, Запрос) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхВстраивание.ПриПродленииДействияВременногоИдентификатора(Идентификатор, Дата, Запрос) 
```
</details>

## ПриПолученииПрокси
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при получении Прокси, используемого для соединения с сервером.
//
// Параметры:
//  Прокси - Неопределено, ИнтернетПрокси - Прокси, используемый для соединения с сервером.
//  СтруктураURI - Структура - поля:
//    * Схема - Строка - схема из URI
//    * Логин - Строка - логин из URI
//    * Пароль - Строка - пароль из URI
//    * Хост - Строка - хост из URI
//    * Порт - Число - порт из URI
//    * ПутьНаСервере - Строка - часть <путь>?<параметры>#<якорь> из URI
//
//@skip-check module-empty-method
Процедура ПриПолученииПрокси(Прокси, СтруктураURI) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхВстраивание.ПриПолученииПрокси(Прокси, СтруктураURI) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
