---
title: Передача данных служебный
slug: bsp/передача-данных-служебный
---


## ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(Знач СтруктураПоддерживаемыхВерсий) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхСлужебный.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(СтруктураПоддерживаемыхВерсий) 
```
</details>

## Получить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Получить(ПараметрыДоступа, ИзФизическогоХранилища, ИдентификаторХранилища, Идентификатор, Диапазон = Неопределено, ИмяФайла = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.Получить(ПараметрыДоступа, ИзФизическогоХранилища, ИдентификаторХранилища, Идентификатор, Диапазон, ИмяФайла);
```
</details>

## ПолучитьРазмерФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРазмерФайла(ПараметрыДоступа, ИзФизическогоХранилища, ИдентификаторХранилища, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.ПолучитьРазмерФайла(ПараметрыДоступа, ИзФизическогоХранилища, ИдентификаторХранилища, Идентификатор) 
```
</details>

## Отправить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Отправить(ПараметрыДоступа, ВФизическоеХранилище, ИдентификаторХранилища, Данные, Знач ИмяФайла, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.Отправить(ПараметрыДоступа, ВФизическоеХранилище, ИдентификаторХранилища, Данные, ИмяФайла, ДополнительныеПараметры);
```
</details>

## НачатьОтправку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает отправку файла в хранилище
//
// Параметры:
//   ПараметрыДоступа - Структура - поля:
//     * URL - Строка - URL сервиса, обязательно должно присутствовать и быть заполненным;
//     * UserName - Строка - имя пользователя;
//     * Password - Строка - пароль пользователя.
//   ВФизическоеХранилище - Булево - В физическое хранилище
//   ИдентификаторХранилища - Строка - идентификатор логического хранилища.
//   Данные - Строка - адрес данных во временном хранилище;
//          - Строка - полное имя файла (включающее путь к файлу);
//          - Файл - файловый объект;
//          - ДвоичныеДанные - значение в виде двоичных данных.
//   ИмяФайла - Строка - имя передаваемого файла.
//   ДополнительныеПараметры - Структура - структура со значениями сериализуемыми в json.
//
// Возвращаемое значение:
//  Неопределено, Структура - Начать отправку:
//    * Location - Неопределено, Произвольный -
//    * SetCookie - Неопределено, Произвольный -
//    * АдресS3 - Неопределено, Произвольный -
//    * ИдентификаторФайлаS3 - Неопределено, Произвольный -
//    * ПередачаЧастями - Булево -
//
Функция НачатьОтправку(ПараметрыДоступа, ВФизическоеХранилище, ИдентификаторХранилища, Данные, Знач ИмяФайла, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.НачатьОтправку(ПараметрыДоступа, ВФизическоеХранилище, ИдентификаторХранилища, Данные, ИмяФайла, ДополнительныеПараметры);
```
</details>

## ОтправитьЧастьФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтправитьЧастьФайла(ПараметрыДоступа, ПараметрыОтправки, Данные, ПоследняяЧасть = Истина, Смещение = 0) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.ОтправитьЧастьФайла(ПараметрыДоступа, ПараметрыОтправки, Данные, ПоследняяЧасть, Смещение);
```
</details>

## ПолученныйДиапазон
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолученныйДиапазон(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.ПолученныйДиапазон(Запрос) 
```
</details>

## ПериодДействияВременногоИдентификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПериодДействияВременногоИдентификатора() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.ПериодДействияВременногоИдентификатора() 
```
</details>

## РазмерБлокаПолученияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазмерБлокаПолученияДанных() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.РазмерБлокаПолученияДанных() 
```
</details>

## РазмерБлокаОтправкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазмерБлокаОтправкиДанных() Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.РазмерБлокаОтправкиДанных() 
```
</details>

## ОшибкаПриПолученииДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОшибкаПриПолученииДанных(Ответ) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхСлужебный.ОшибкаПриПолученииДанных(Ответ) 
```
</details>

## ОшибкаПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОшибкаПриОтправкеДанных(Ответ) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхСлужебный.ОшибкаПриОтправкеДанных(Ответ) 
```
</details>

## ИмяВременногоФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяВременногоФайла(Расширение = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.ИмяВременногоФайла(Расширение, ДополнительныеПараметры);
```
</details>

## ПриПродленииДействияВременногоИдентификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриПродленииДействияВременногоИдентификатора(Идентификатор, МенеджерЗаписи) Экспорт
```

Пример вызова
```bsl
ПередачаДанныхСлужебный.ПриПродленииДействияВременногоИдентификатора(Идентификатор, МенеджерЗаписи) 
```
</details>

## ПолучитьДвоичныеДанныеИзS3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДвоичныеДанныеИзS3(Адрес, Начало = Неопределено, Конец = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПередачаДанныхСлужебный.ПолучитьДвоичныеДанныеИзS3(Адрес, Начало, Конец);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
