---
title: Полнотекстовый поиск клиент
slug: bsp/полнотекстовый-поиск-клиент
---


## ОбработкаОповещенияИзмененияФлажкаИспользоватьПоиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ОбработкаОповещения для формы, на которой требуется отобразить флажок использования поиска.
//
// Параметры:
//   ИмяСобытия - Строка - имя события, которое было получено обработчиком события на форме.
//   ИспользоватьПолнотекстовыйПоиск - Число - реквизит, в который будет помещено значение.
//
// Пример:
//	Если ОбщегоНазначенияКлиент.ПодсистемаСуществует("СтандартныеПодсистемы.ПолнотекстовыйПоиск") Тогда
//		МодульПолнотекстовыйПоискКлиент = ОбщегоНазначенияКлиент.ОбщийМодуль("ПолнотекстовыйПоискКлиент");
//		МодульПолнотекстовыйПоискКлиент.ОбработкаОповещенияИзмененияФлажкаИспользоватьПоиск(
//			ИмяСобытия,
//			ИспользоватьПолнотекстовыйПоиск);
//	КонецЕсли;
//
Процедура ОбработкаОповещенияИзмененияФлажкаИспользоватьПоиск(Знач ИмяСобытия, ИспользоватьПолнотекстовыйПоиск) Экспорт
```

Пример вызова
```bsl
ПолнотекстовыйПоискКлиент.ОбработкаОповещенияИзмененияФлажкаИспользоватьПоиск(ИмяСобытия, ИспользоватьПолнотекстовыйПоиск) 
```
</details>

## ПриИзмененииФлажкаИспользоватьПоиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриИзменении для флажка, выполняющего переключение режима полнотекстового поиска.
// Флажок должен быть связан с реквизитом типа Число.
//
// Параметры:
//   ЗначениеФлажкаИспользоватьПоиск - Число - новое значение флажка, которое требуется обработать.
//
// Пример:
//	Если ОбщегоНазначенияКлиент.ПодсистемаСуществует("СтандартныеПодсистемы.ПолнотекстовыйПоиск") Тогда
//		МодульПолнотекстовыйПоискКлиент = ОбщегоНазначенияКлиент.ОбщийМодуль("ПолнотекстовыйПоискКлиент");
//		МодульПолнотекстовыйПоискКлиент.ПриИзмененииФлажкаИспользоватьПоиск(ИспользоватьПолнотекстовыйПоиск);
//	КонецЕсли;
//
Процедура ПриИзмененииФлажкаИспользоватьПоиск(ЗначениеФлажкаИспользоватьПоиск) Экспорт
```

Пример вызова
```bsl
ПолнотекстовыйПоискКлиент.ПриИзмененииФлажкаИспользоватьПоиск(ЗначениеФлажкаИспользоватьПоиск) 
```
</details>

## ПоказатьНастройку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму управления полнотекстовым поиском и извлечением текстов.
// Не забудьте команду, выполняющую вызов процедуры,
// установить зависимой от функциональной опции ИспользоватьПолнотекстовыйПоиск.
//
// Пример:
//	Если ОбщегоНазначенияКлиент.ПодсистемаСуществует("СтандартныеПодсистемы.ПолнотекстовыйПоиск") Тогда
//		МодульПолнотекстовыйПоискКлиент = ОбщегоНазначенияКлиент.ОбщийМодуль("ПолнотекстовыйПоискКлиент");
//		МодульПолнотекстовыйПоискКлиент.ПоказатьНастройку();
//	КонецЕсли;
//
Процедура ПоказатьНастройку() Экспорт
```

Пример вызова
```bsl
ПолнотекстовыйПоискКлиент.ПоказатьНастройку() 
```
</details>

## ПоказатьУправлениеПолнотекстовымПоискомИИзвлечениемТекстов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПоказатьНастройку.
// Открывает форму управления полнотекстовым поиском и извлечения текстов.
//
Процедура ПоказатьУправлениеПолнотекстовымПоискомИИзвлечениемТекстов() Экспорт
```

Пример вызова
```bsl
ПолнотекстовыйПоискКлиент.ПоказатьУправлениеПолнотекстовымПоискомИИзвлечениемТекстов() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
