---
title: Получение внешних компонент клиент
slug: bsp/получение-внешних-компонент-клиент
---


## ОбновитьВнешниеКомпоненты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает помощник обновления внешних компонент.
// Доступно только для пользователей с полными правами.
//
// Параметры:
//  Идентификаторы - Массив из Строка, Неопределено - список уникальных идентификаторов
//                   внешних компонент.
//  ФайлОбновления - Строка, Неопределено - путь к файлу с внешними компонентами.
//
Процедура ОбновитьВнешниеКомпоненты( Экспорт
```

Пример вызова
```bsl
ПолучениеВнешнихКомпонентКлиент.ОбновитьВнешниеКомпоненты();
```
</details>

## ИмяСобытияОповещенияОЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя события, которое будет содержать оповещение
// о завершении загрузки внешних компонент.
//
// Возвращаемое значение:
//  Строка - Имя события. Может быть использовано для идентификации
//           сообщений принимающими их формами.
//
Функция ИмяСобытияОповещенияОЗагрузки() Экспорт
```

Пример вызова
```bsl
Результат = ПолучениеВнешнихКомпонентКлиент.ИмяСобытияОповещенияОЗагрузки() 
```
</details>

## НастройкиОбновленияВнешнихКомпонент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет расписание регламентного задания обновления внешних компонент.
//
// Возвращаемое значение:
//  Структура - Настройки регламентного задания обновления внешних компонент.
//              См ПолучениеВнешнихКомпонент.НастройкиОбновленияВнешнихКомпонент.
//
Функция НастройкиОбновленияВнешнихКомпонент() Экспорт
```

Пример вызова
```bsl
Результат = ПолучениеВнешнихКомпонентКлиент.НастройкиОбновленияВнешнихКомпонент() 
```
</details>

## ИзменитьНастройкиОбновленияВнешнихКомпонент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет настройки обновления внешних компонент.
//
// Параметры:
//  Настройки - Структура - Настройки регламентного задания обновления внешних компонент.
//    **ВариантОбновления - Число - вариант обновления внешних компонент;
//    **ФайлВнешнихКомпонент - Строка - путь к файлу внешних компонент;
//    **Расписание - РасписаниеРегламентногоЗадания - расписание обновления внешних компонент.
//
Процедура ИзменитьНастройкиОбновленияВнешнихКомпонент(Настройки) Экспорт
```

Пример вызова
```bsl
ПолучениеВнешнихКомпонентКлиент.ИзменитьНастройкиОбновленияВнешнихКомпонент(Настройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
