---
title: Получение обновлений программы переопределяемый
slug: bsp/получение-обновлений-программы-переопределяемый
---


## ПриОпределенииПараметровПолученияОбновлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет параметры функциональности получения обновлений программы.
//
// Параметры:
//  ПараметрыПолученияОбновлений - Структура - параметры получения обновлений:
//    * ПолучатьОбновленияКонфигурации - Булево - задействовать функциональность получения обновлений конфигурации в
//        сценарии рабочего обновления программы. В сценариях перехода на новую редакцию конфигурации или новую
//        конфигурацию получение обновления конфигурации используется всегда.
//        Значение параметра по умолчанию - Истина.
//    * ПолучатьИсправления - Булево - задействовать функциональность получения исправлений конфигурации.
//        Значение параметра по умолчанию - Истина.
//    * ПолучатьОбновленияПлатформы - Булево - задействовать функциональность получения обновлений платформы в
//        сценарии рабочего обновления программы.
//    * ВыбиратьКаталогСохраненияДистрибутиваПлатформы - Булево - предлагать в не базовой версии конфигурации сохранять
//        дистрибутив платформы 1С:Предприятие в каталог на диске или локальной сети. В базовой версии настройка не
//        используется, дистрибутив платформы 1С:Предприятие сохраняется в каталог по умолчанию.
//        Значение параметра по умолчанию - Истина.
//
//@skip-warning
Процедура ПриОпределенииПараметровПолученияОбновлений(ПараметрыПолученияОбновлений) Экспорт
```

Пример вызова
```bsl
ПолучениеОбновленийПрограммыПереопределяемый.ПриОпределенииПараметровПолученияОбновлений(ПараметрыПолученияОбновлений) 
```
</details>

## ПриОпределенииНастроекЗагрузкиИсправлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет параметры загружаемых и устанавливаемых исправлений (патчей).
//
// Параметры:
//  Настройки - Структура:
//    * ОтключитьНапоминания - Булево - Истина, если необходимо отключить создание задачи по включению автоматической
//        загрузки исправлений в подсистеме БСП.ТекущиеДела и не показывать оповещение пользователю при старте системы,
//        если подсистема БСП.ТекущиеДела отсутствует в конфигурации.
//    * Подсистемы - Массив из Структура - список программ, исправления которых необходимо загружать и устанавливать:
//        ** ИмяПодсистемы - Строка - имя подсистемы, например, "ИнтернетПоддержкиПользователей".
//        ** ИдентификаторИнтернетПоддержки - Строка - имя программы в сервисах Интернет-поддержки.
//        ** Версия - Строка - версия программы в формате из 4-х цифр, например, "2.1.3.1".
//
//@skip-warning
Процедура ПриОпределенииНастроекЗагрузкиИсправлений(Настройки) Экспорт
```

Пример вызова
```bsl
ПолучениеОбновленийПрограммыПереопределяемый.ПриОпределенииНастроекЗагрузкиИсправлений(Настройки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
