---
title: Получение файлов из интернета локализация
slug: bsp/получение-файлов-из-интернета-локализация
---


## ПриПолученииАдресаСервераКонтрольнойПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при проверке доступности Интернета и позволяет указать контрольный адрес.
//
// Параметры:
//  АдресаСервера - Строка - установить адрес сервера для контрольной проверки подключения.
//                           По умолчанию, "google.co)m".
//
Процедура ПриПолученииАдресаСервераКонтрольнойПроверки(АдресаСервера) Экспорт
```

Пример вызова
```bsl
ПолучениеФайловИзИнтернетаЛокализация.ПриПолученииАдресаСервераКонтрольнойПроверки(АдресаСервера) 
```
</details>

## ПриФормированииСообщенияОбИзвестнойПроблеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при проверке доступности Интернета и позволяет дополнить подробную информацию об известной проблеме.
//
// Параметры:
//  Описание - Массив из Строка - краткое описание ошибки при проверке доступности Интернета.
//  ТекстОшибки - см. ПолучениеФайловИзИнтернета.ДиагностикаСоединения
//
Процедура ПриФормированииСообщенияОбИзвестнойПроблеме(Описание, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ПолучениеФайловИзИнтернетаЛокализация.ПриФормированииСообщенияОбИзвестнойПроблеме(Описание, ТекстОшибки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
