---
title: Поставляемые данные абонентов
slug: bsp/поставляемые-данные-абонентов
---


## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
ПоставляемыеДанныеАбонентов.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ОбработатьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку поставляемых данных абонента.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	ИдентификаторФайла - Строка - идентификатор файла для обработки (длина 36).
//
// Пример:
// Пример содержимого файла файла: {"upload": [{"file":"base_data.json","handler":"base_data"}]}, где
//  - upload - секция с описаниями порядка обработки, может содержать несколько элементов.
//  - file - имя файла начальных данных для обработки.
//  - handler - идентификатор обработчика файла начальных данных.
//
Процедура ОбработатьДанные(ИдентификаторФайла) Экспорт
```

Пример вызова
```bsl
ПоставляемыеДанныеАбонентов.ОбработатьДанные(ИдентификаторФайла) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
