---
title: Поставляемые данные абонентов переопределяемый
slug: bsp/поставляемые-данные-абонентов-переопределяемый
---


## ОбработатьПолученныеДанныеОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик полученных данных области.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ПотокДанных - ФайловыйПоток - поток данных для обработки.
//  Обработчик  - Строка - идентификатор обработчика полученных данных.
//  ДанныеОбработаны - Булево - признак обработки данных. Устанавливается = Истина, если данные обработаны.
//                     Нельзя устанавливать значение = Ложь, т.к. признак = Истина может быть установлен ранее.
//  КодВозврата - Число - код возврата обработчика из значений РегистрыСведений.СвойстваЗаданий.КодыСостояний()
//  ОписаниеОшибки - Строка - описание ошибки обработки данных, если данные не обработаны.
//
Процедура ОбработатьПолученныеДанныеОбласти(ПотокДанных, Обработчик, ДанныеОбработаны, КодВозврата, ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
ПоставляемыеДанныеАбонентовПереопределяемый.ОбработатьПолученныеДанныеОбласти(ПотокДанных, Обработчик, ДанныеОбработаны, КодВозврата, ОписаниеОшибки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
