---
title: Префиксация объектов клиент сервер переопределяемый
slug: bsp/префиксация-объектов-клиент-сервер-переопределяемый
---


## ПриПолученииНомераНаПечать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события "При получении номера на печать".
// Событие возникает перед стандартной обработкой получения номера.
// В обработчике можно переопределить стандартное поведение системы при формировании номера на печать.
//
// Параметры:
//  НомерОбъекта                     - Строка - номер или код объекта, который обрабатывается.
//  СтандартнаяОбработка             - Булево - флаг стандартной обработки; если установить значение флага в Ложь,
//                                              то стандартная обработка формирования номера на печать выполняться
//                                              не будет.
//  УдалитьПрефиксИнформационнойБазы - Булево - признак удаления префикса информационной базы;
//                                              по умолчанию равен Ложь.
//  УдалитьПользовательскийПрефикс   - Булево - признак удаления пользовательского префикса;
//                                              по умолчанию равен Ложь.
//
// Пример:
//
//   НомерОбъекта = ПрефиксацияОбъектовКлиентСервер.УдалитьПользовательскиеПрефиксыИзНомераОбъекта(НомерОбъекта);
//   СтандартнаяОбработка = Ложь;
//
Процедура ПриПолученииНомераНаПечать(НомерОбъекта, СтандартнаяОбработка, Экспорт
```

Пример вызова
```bsl
ПрефиксацияОбъектовКлиентСерверПереопределяемый.ПриПолученииНомераНаПечать(НомерОбъекта, СтандартнаяОбработка, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
