---
title: Программный интерфейс сервиса служебный
slug: bsp/программный-интерфейс-сервиса-служебный
---


## АдресИсполненияВнешнегоПрограммногоИнтерфейса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает адрес для запроса к внешнему программному интерфейсу менеджера сервиса.
//
// Параметры:
//  Метод - Строка - имя метода внешнего программного интерфейса менеджера сервиса.
//  ТипИнтерфейса - Строка, Неопределено - тип интерфейса метода внешнего программного интерфейса менеджера сервиса.
//                                         Если не указано, принимается значение "usr".
//
// Возвращаемое значение:
//  Строка
//
Функция АдресИсполненияВнешнегоПрограммногоИнтерфейса(Метод, ТипИнтерфейса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.АдресИсполненияВнешнегоПрограммногоИнтерфейса(Метод, ТипИнтерфейса);
```
</details>

## ВерсияExtAPIМенеджераСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Версия HTTP сервиса ExtAPI менеджера сервиса, полученная через механизм версий интерфейсов БСП.
//
// Возвращаемое значение:
//  Число, Неопределено - Версия ExtAPI. Неопределено возвращается в случае, когда подключение к Менеджеру сервиса не настроено
Функция ВерсияExtAPIМенеджераСервиса() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ВерсияExtAPIМенеджераСервиса() 
```
</details>

## МенеджерСервисаПоддерживаетМетодВАдресе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Менеджер сервиса поддерживает указание метода в адресе HTTP сервиса ExtAPI.
//
// Возвращаемое значение:
//  Булево
Функция МенеджерСервисаПоддерживаетМетодВАдресе() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.МенеджерСервисаПоддерживаетМетодВАдресе() 
```
</details>

## ШаблонЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает шаблон запроса к внешнему программному интерфейсу менеджера сервиса.
//
// Параметры:
//  Метод - Строка - имя метода внешнего программного интерфейса менеджера сервиса.
//  ТипИнтерфейса - Строка, Неопределено - тип интерфейса метода внешнего программного интерфейса менеджера сервиса.
//                                         Если не указано, принимается значение "usr".
//
// Возвращаемое значение:
//  Структура - шаблон запроса:
//  * general - Структура:
//     ** type - Строка
//     ** method - Строка
//
Функция ШаблонЗапроса(Метод, ТипИнтерфейса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ШаблонЗапроса(Метод, ТипИнтерфейса);
```
</details>

## ОтправитьДанныеВМенеджерСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет запрос к сервису внешнего программного интерфейса менеджера сервиса.
//
// Параметры:
//  ДанныеЗапроса - Структура - данные запроса, в соответствующем формате.
//                              Подробнее см. статью https://its.1c.ru/db/freshsm#content:15205582:hdoc.
//                              Может содержать раздел auth.account с указанием кода абонента.
//  Метод - Строка - имя метода внешнего программного интерфейса менеджера сервиса.
//  ТипИнтерфейса - Строка, Неопределено - тип интерфейса метода внешнего программного интерфейса менеджера сервиса.
//                                         Если не указано, принимается значение "usr".
//  АвторизоватьАбонента - Булево - признак добавления авторизации абонента текущей области.
//   Данные авторизации добавляются непосредственно перед выполнением запроса.
//
// Возвращаемое значение:
//  HTTPОтвет - ответ HTTP-сервиса Менеджера сервиса.
//
Функция ОтправитьДанныеВМенеджерСервиса(ДанныеЗапроса, Метод, ТипИнтерфейса = Неопределено, АвторизоватьАбонента = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ОтправитьДанныеВМенеджерСервиса(ДанныеЗапроса, Метод, ТипИнтерфейса, АвторизоватьАбонента);
```
</details>

## ОтправитьЗапросВМенеджерСервисаПоТокенуДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтправитьЗапросВМенеджерСервисаПоТокенуДоступа(Метод, Адрес, ТокенДоступа, Данные = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ОтправитьЗапросВМенеджерСервисаПоТокенуДоступа(Метод, Адрес, ТокенДоступа, Данные, );
```
</details>

## ПереименоватьСвойства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименовывает поля данных ответа по соответствию переименований полей.
//
// Параметры:
// 	ДанныеОтвета - Структура - данные ответа.
// 	Переименования - Соответствие из КлючИЗначение:
// 	* Ключ - Строка - имя исходного поля.
// 	* Значение  - см. ОписаниеКолонки
// 				- Строка - имя колонки.
// Возвращаемое значение:
// 	см. ПереименоватьСвойства.ДанныеОтвета
Функция ПереименоватьСвойства(ДанныеОтвета, Знач Переименования) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименоватьСвойства(ДанныеОтвета, Переименования) 
```
</details>

## РезультатВыполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные ответа вызова метода программного интерфейса.
//
// Параметры:
// 	Ответ - HTTPОтвет - HTTP-ответ для обработки.
// 	ВызыватьИсключениеПриОшибке - Булево - признак вызова исключения при ошибке. Ошибка, когда код состояния не равен 102xx.
// 	КодСостояния - Число - возвращаемый параметр - код состояния HTTP-ответа.
// 	КодОтвета - Число - возвращаемый параметр - заполняется из ответа значением свойства "general.response".
// 	Сообщение - Строка - возвращаемый параметр - заполняется из ответа значением свойства "general.message".
//
// Возвращаемое значение:
// 	Неопределено, Структура - данные результата:
//   * Поля - Произвольный - произвольные поля результата.
Функция РезультатВыполнения(Ответ, ВызыватьИсключениеПриОшибке = Истина, Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.РезультатВыполнения(Ответ, ВызыватьИсключениеПриОшибке, );
```
</details>

## СвойстваАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает свойства авторизации для запроса к внешнему программному интерфейсу менеджера сервиса.
//
// Параметры:
// 	КодАбонента - Число
// 	Пользователь - СправочникСсылка.Пользователи
// 	Токен - Строка - временный токен служебного пользователя
//
// Возвращаемое значение:
// 	Структура:
//   * account - Число - код (номер) абонента области.
//  Если авторизация осуществляется в модели сервиса, дополнительно передаются:
//   * type - Строка - тип запроса. Из БТС всегда равен "smtl".
//   * host - Строка - хост витрины, где расположено приложение
//   * tenant - Число - номер области
//   * key - Строка - ключ области
//  Если авторизация происходит от служебного пользователя, дополнительно передаются:
//   * login - Строка - логин пользователя
//   * hash - Строка - хеш пароля пользователя
//
Функция СвойстваАвторизации(КодАбонента = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.СвойстваАвторизации(КодАбонента, );
```
</details>

## ТекстИсключенияВыполненияЗапросаОтАдминистратора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстИсключенияВыполненияЗапросаОтАдминистратора() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ТекстИсключенияВыполненияЗапросаОтАдминистратора() 
```
</details>

## ОтправитьЗапросВСервисИзЛокальнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправить запрос в сервис из локальной базы.
//
// Параметры:
//  Метод - Строка
//  Адрес - Строка
//  Данные - Структура:
//   * auth - Структура:
//      ** account - Число
//  КэшСоединения - Булево
//  Таймаут - Число
//
// Возвращаемое значение:
//  HTTPОтвет
Функция ОтправитьЗапросВСервисИзЛокальнойБазы(Метод, Адрес, Данные = Неопределено, КэшСоединения = Истина, Таймаут = 60) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ОтправитьЗапросВСервисИзЛокальнойБазы(Метод, Адрес, Данные, КэшСоединения, Таймаут);
```
</details>

## АдресСервисаИзЛокальнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Адрес сервиса из локальной базы.
//
// Возвращаемое значение:
//  Строка - адрес сервиса из локальной базы.
Функция АдресСервисаИзЛокальнойБазы() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.АдресСервисаИзЛокальнойБазы() 
```
</details>

## СоединениеСМенеджеромСервисаИзЛокальнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Соединение с менеджером сервиса из локальной базы.
//
// Параметры:
//  ДанныеСервера - см. ОбщегоНазначенияКлиентСервер.СтруктураURI
//  Таймаут - Число
//
// Возвращаемое значение:
//  HTTPСоединение
Функция СоединениеСМенеджеромСервисаИзЛокальнойБазы(ДанныеСервера, Таймаут = 60) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.СоединениеСМенеджеромСервисаИзЛокальнойБазы(ДанныеСервера, Таймаут);
```
</details>

## СоединениеСМенеджеромСервисаБезАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоединениеСМенеджеромСервисаБезАвторизации(ДанныеСервера, Таймаут = 60) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.СоединениеСМенеджеромСервисаБезАвторизации(ДанныеСервера, Таймаут);
```
</details>

## ДанныеАвторизацииВСервисе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные авторизации в сервисе для указанного пользователя.
// Если пользователь не указан, используется текущий.
//
// Параметры:
//  Пользователь - СправочникСсылка.Пользователи - если не передан, используется текущий пользователь.
//
// Возвращаемое значение:
//  Структура:
//   * Логин - Строка
//   * Пароль - Строка
//   * КодАбонента - Число
//
Функция ДанныеАвторизацииВСервисе(Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ДанныеАвторизацииВСервисе(Пользователь);
```
</details>

## МассивСтруктурВТаблицуЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Массив структур в таблицу значений.
//
// Параметры:
//  МассивСтруктур - Массив Из Структура:
//   * Поля - Произвольный - поля соответствуют колонкам таблицы.
//  ПереименованияКолонок - Соответствие Из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//   * Поля - Произвольный - набор колонок, соответствует полям структур массива.
Функция МассивСтруктурВТаблицуЗначений(МассивСтруктур, ПереименованияКолонок) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.МассивСтруктурВТаблицуЗначений(МассивСтруктур, ПереименованияКолонок) 
```
</details>

## ТаблицаЗначенийВМассивСтруктур
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Таблица значений в массив структур.
//
// Параметры:
//  ТаблицаЗначений - ТаблицаЗначений:
//   * Поля - Произвольный - произвольный набор полей.
// ПереименованияСвойств - Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
//
// Возвращаемое значение:
//  Массив Из Структура:
//   * Поля - Произвольный - поля соответствуют колонкам таблицы.
Функция ТаблицаЗначенийВМассивСтруктур(ТаблицаЗначений, ПереименованияСвойств) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ТаблицаЗначенийВМассивСтруктур(ТаблицаЗначений, ПереименованияСвойств) 
```
</details>

## ПереименованияАбонент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает поля переименования абонента.
//
// Параметры:
//  КИ - Булево - добавлять поля контактной информации.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка - имя поля API
//   * Значение - см. ОписаниеКолонки
//
Функция ПереименованияАбонент(КИ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияАбонент(КИ);
```
</details>

## ПереименованияПользователиАбонента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования таблицы "Пользователи абонента".
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияПользователиАбонента() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияПользователиАбонента() 
```
</details>

## ПереименованияУчетнаяСистема
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования объекта "Учетная система".
//
// Параметры:
//  Метод - Строка - имя метода программного интерфейса
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияУчетнаяСистема(Метод) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияУчетнаяСистема(Метод) 
```
</details>

## ПереименованияУчетнаяСистемаПравилаВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования таб. части "Правила выгрузки" объекта "Учетная система".
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияУчетнаяСистемаПравилаВыгрузки() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияУчетнаяСистемаПравилаВыгрузки() 
```
</details>

## ПереименованияУчетнаяСистемаПравилаЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования таб. части "Правила загрузки" объекта "Учетная система".
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияУчетнаяСистемаПравилаЗагрузки() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияУчетнаяСистемаПравилаЗагрузки() 
```
</details>

## ПереименованияУчетнаяСистемаПравилаОбработкиОтветов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования таб. части "Правила обработки ответов" объекта "Учетная система".
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияУчетнаяСистемаПравилаОбработкиОтветов() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияУчетнаяСистемаПравилаОбработкиОтветов() 
```
</details>

## ПереименованияПодпискаНаТариф
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования объекта "Подписка на тариф".
//
// Параметры:
//  ДляОбслуживающейОрганизации - Булево - признак получения описания для обслуживающих организаций.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияПодпискаНаТариф(ДляОбслуживающейОрганизации) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияПодпискаНаТариф(ДляОбслуживающейОрганизации) 
```
</details>

## ПереименованияОтветСозданияПодпискиНаТариф
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования полей ответа создания подписки на тариф.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияОтветСозданияПодпискиНаТариф() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияОтветСозданияПодпискиНаТариф() 
```
</details>

## ИменаСвойствСозданияПодписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Имена свойств создания подписки.
//
// Параметры:
//  СвойстваРасширения - Булево - признак добавления свойств расширения подписки.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - Строка
Функция ИменаСвойствСозданияПодписки(СвойстваРасширения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ИменаСвойствСозданияПодписки(СвойстваРасширения);
```
</details>

## ПереименованияТариф
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования объекта "Тариф".
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияТариф() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияТариф() 
```
</details>

## ПереименованияТарифПериодыДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования таб. части "Периоды действия" объекта "Тариф".
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияТарифПериодыДействия() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияТарифПериодыДействия() 
```
</details>

## ПереименованияРасширенияТарифа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования таб. части "Расширения"
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияРасширенияТарифа() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияРасширенияТарифа() 
```
</details>

## ПереименованияРекомендуемыеТарифы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования полей списка "Рекомендуемые тарифы".
//
// Возвращаемое значение:
// Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияРекомендуемыеТарифы() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияРекомендуемыеТарифы() 
```
</details>

## ПереименованияТарифОбслуживающейОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования объекта "Тариф обслуживающей организации".
//
// Параметры:
//  Метод - Строка - имя метода программного интерфейса.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияТарифОбслуживающейОрганизации(Метод) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияТарифОбслуживающейОрганизации(Метод) 
```
</details>

## ПереименованияТарифОбслуживающейОрганизацииПериодыДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования таб. части "Периоды действия" объекта "Тариф обслуживающей организации".
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияТарифОбслуживающейОрганизацииПериодыДействия() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияТарифОбслуживающейОрганизацииПериодыДействия() 
```
</details>

## ПереименованияСчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования объекта "Счет".
//
// Параметры:
//  Метод - Строка
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияСчет(Метод) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияСчет(Метод) 
```
</details>

## ПереименованияСчетТарифы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования таб. части "Тарифы" объекта "Счет" .
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияСчетТарифы() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияСчетТарифы() 
```
</details>

## ПереименованияСчетУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования таб. части "Услуги" объекта "Счет" .
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияСчетУслуги() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияСчетУслуги() 
```
</details>

## ПереименованияСчетФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования таб. части "Файлы" объекта "Счет" .
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияСчетФайлы() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияСчетФайлы() 
```
</details>

## ПереименованияСчетСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования данных состояния счета.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияСчетСостояние() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияСчетСостояние() 
```
</details>

## ПереименованияСчетРезультатСозданияИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования результата создания \ изменения счета.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияСчетРезультатСозданияИзменения() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияСчетРезультатСозданияИзменения() 
```
</details>

## ПереименованияСчетТалонНаЗагрузку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования объекта "Талон на загрузку" объекта "Счет".
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияСчетТалонНаЗагрузку() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияСчетТалонНаЗагрузку() 
```
</details>

## ДанныеЗапросаСозданияИзмененияСчетаНаОплату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования данных запроса создания \ изменения счета.
// Параметры:
//  ДанныеСчета - см. ПрограммныйИнтерфейсСервиса.НовыйШаблонСчетаНаОплату
//  Метод - Строка - имя метода программного интерфейса
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ДанныеЗапросаСозданияИзмененияСчетаНаОплату(ДанныеСчета, Метод) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ДанныеЗапросаСозданияИзмененияСчетаНаОплату(ДанныеСчета, Метод) 
```
</details>

## ПереименованияПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования объекта "Приложение".
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияПриложение() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияПриложение() 
```
</details>

## ПереименованияРезервныеКопийПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования объекта "РезервныеКопийПриложения".
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияРезервныеКопийПриложения() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияРезервныеКопийПриложения() 
```
</details>

## ПереименованияЗадачаПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования объекта "Задача пользователя".
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияЗадачаПользователя() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияЗадачаПользователя() 
```
</details>

## ПереименованияВариантыПереходаВидовПриложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования объекта "ВариантыПерехода".
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияВариантыПереходаВидовПриложений() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияВариантыПереходаВидовПриложений() 
```
</details>

## ПереименованияДополнительныхСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переименования списока дополнительных сведений.
//
// Параметры:
//  ДобавлятьЗаголовок - Булево - признак добавления заголовка доп. сведения в параметры переименования.
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - см. ОписаниеКолонки
Функция ПереименованияДополнительныхСведений(ДобавлятьЗаголовок = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПереименованияДополнительныхСведений(ДобавлятьЗаголовок);
```
</details>

## НовыйДополнительныеСведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор данных дополнительных сведений.
//
// Возвращаемое значение:
//  ТаблицаЗначений - Новый дополнительные сведения:
// * Ключ - Строка
// * Тип - Строка
// * Значение - см. ОписаниеТиповЗначенийДополнительныхСведений
Функция НовыйДополнительныеСведения() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.НовыйДополнительныеСведения() 
```
</details>

## ПредставленияТиповЗначенийДополнительныхСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представления типов значений дополнительных сведений.
//
// Возвращаемое значение:
//  СписокЗначений Из Строка
Функция ПредставленияТиповЗначенийДополнительныхСведений() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ПредставленияТиповЗначенийДополнительныхСведений() 
```
</details>

## ОписаниеТиповЗначенийДополнительныхСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание типов значений дополнительных сведений.
//
// Возвращаемое значение:
//  ОписаниеТипов
Функция ОписаниеТиповЗначенийДополнительныхСведений() Экспорт
```

Пример вызова
```bsl
Результат = ПрограммныйИнтерфейсСервисаСлужебный.ОписаниеТиповЗначенийДополнительныхСведений() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
