---
title: Работа в безопасном режиме
slug: bsp/работа-в-безопасном-режиме
---


## РазрешениеНаИспользованиеКаталогаФайловойСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает внутреннее описание разрешения на использование каталога файловой системы.
// Для передачи в качестве параметра в функции:
// РаботаВБезопасномРежиме.ЗапросНаИспользованиеВнешнихРесурсов и
// РаботаВБезопасномРежиме.ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов.
//
// Параметры:
//  Адрес - Строка - адрес ресурса файловой системы,
//  ЧтениеДанных - Булево - указывает необходимость предоставления разрешения
//                          на чтение данных из данного каталога файловой системы.
//  ЗаписьДанных - Булево - указывает необходимость предоставления разрешения
//                          на запись данных в указанный каталог файловой системы.
//  Описание - Строка - описание причины, по которой требуется предоставление разрешения.
//
// Возвращаемое значение:
//  ОбъектXDTO
//
Функция РазрешениеНаИспользованиеКаталогаФайловойСистемы(Знач Адрес, Знач ЧтениеДанных = Ложь, Знач ЗаписьДанных = Ложь, Знач Описание = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.РазрешениеНаИспользованиеКаталогаФайловойСистемы(Адрес, ЧтениеДанных, ЗаписьДанных, Описание);
```
</details>

## РазрешениеНаИспользованиеКаталогаВременныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает внутреннее описание разрешения на использование каталога временных файлов.
// Для передачи в качестве параметра в функции:
// РаботаВБезопасномРежиме.ЗапросНаИспользованиеВнешнихРесурсов и
// РаботаВБезопасномРежиме.ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов.
//
// Параметры:
//  ЧтениеДанных - Булево - указывает необходимость предоставления разрешения
//                          на чтение данных из каталога временных файлов.
//  ЗаписьДанных - Булево - указывает необходимость предоставления разрешения
//                          на запись данных в каталог временных файлов.
//  Описание - Строка - описание причины, по которой требуется предоставление разрешения.
//
// Возвращаемое значение:
//  ОбъектXDTO
//
Функция РазрешениеНаИспользованиеКаталогаВременныхФайлов(Знач ЧтениеДанных = Ложь, Знач ЗаписьДанных = Ложь, Знач Описание = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.РазрешениеНаИспользованиеКаталогаВременныхФайлов(ЧтениеДанных, ЗаписьДанных, Описание);
```
</details>

## РазрешениеНаИспользованиеКаталогаПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает внутреннее описание разрешения на использование каталога программы.
// Для передачи в качестве параметра в функции:
// РаботаВБезопасномРежиме.ЗапросНаИспользованиеВнешнихРесурсов и
// РаботаВБезопасномРежиме.ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов.
//
// Параметры:
//  ЧтениеДанных - Булево - указывает необходимость предоставления разрешения
//                          на чтение данных из каталога программы.
//  ЗаписьДанных - Булево - указывает необходимость предоставления разрешения
//                          на запись данных в каталог программы.
//  Описание - Строка - описание причины, по которой требуется предоставление разрешения.
//
// Возвращаемое значение:
//  ОбъектXDTO
//
Функция РазрешениеНаИспользованиеКаталогаПрограммы(Знач ЧтениеДанных = Ложь, Знач ЗаписьДанных = Ложь, Знач Описание = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.РазрешениеНаИспользованиеКаталогаПрограммы(ЧтениеДанных, ЗаписьДанных, Описание);
```
</details>

## РазрешениеНаСозданиеCOMКласса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает внутреннее описание разрешения на использование COM-класса.
// Для передачи в качестве параметра в функции:
// РаботаВБезопасномРежиме.ЗапросНаИспользованиеВнешнихРесурсов и
// РаботаВБезопасномРежиме.ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов.
//
// Параметры:
//  ProgID - Строка - ProgID класса COM, с которым он зарегистрирован в системе.
//                    Например, "Excel.Application".
//  CLSID - Строка - CLSID класса COM, с которым он зарегистрирован в системе.
//  ИмяКомпьютера - Строка - имя компьютера, на котором надо создать указанный объект.
//                           Если не указано, то объект будет создан на компьютере, на котором выполняется
//                           текущий рабочий процесс.
//  Описание - Строка - описание причины, по которой требуется предоставление разрешения.
//
// Возвращаемое значение:
//  ОбъектXDTO
//
Функция РазрешениеНаСозданиеCOMКласса(Знач ProgID, Знач CLSID, Знач ИмяКомпьютера = "", Знач Описание = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.РазрешениеНаСозданиеCOMКласса(ProgID, CLSID, ИмяКомпьютера, Описание);
```
</details>

## РазрешениеНаИспользованиеВнешнейКомпоненты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает внутреннее описание разрешения на использование внешней компоненты, поставляемой
// в общем макете конфигурации.
// Для передачи в качестве параметра в функции:
// РаботаВБезопасномРежиме.ЗапросНаИспользованиеВнешнихРесурсов и
// РаботаВБезопасномРежиме.ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов.
//
// Параметры:
//  ИмяМакета - Строка - имя общего макета в конфигурации, в котором поставляется внешняя компонента.
//  Описание - Строка - описание причины, по которой требуется предоставление разрешения.
//
// Возвращаемое значение:
//  ОбъектXDTO
//
Функция РазрешениеНаИспользованиеВнешнейКомпоненты(Знач ИмяМакета, Знач Описание = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.РазрешениеНаИспользованиеВнешнейКомпоненты(ИмяМакета, Описание);
```
</details>

## РазрешениеНаИспользованиеВнешнегоМодуля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает внутреннее описание разрешения на использование расширения конфигурации.
// Для передачи в качестве параметра в функции:
// РаботаВБезопасномРежиме.ЗапросНаИспользованиеВнешнихРесурсов и
// РаботаВБезопасномРежиме.ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов.
//
// Параметры:
//  Имя - Строка - имя расширения конфигурации.
//  КонтрольнаяСумма - Строка - контрольная сумма расширения конфигурации.
//  Описание - Строка - описание причины, по которой требуется предоставление разрешения.
//
// Возвращаемое значение:
//  ОбъектXDTO
//
Функция РазрешениеНаИспользованиеВнешнегоМодуля(Знач Имя, Знач КонтрольнаяСумма, Знач Описание = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.РазрешениеНаИспользованиеВнешнегоМодуля(Имя, КонтрольнаяСумма, Описание);
```
</details>

## РазрешениеНаИспользованиеПриложенияОперационнойСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает внутреннее описание разрешения на использование приложения операционной системы.
// Для передачи в качестве параметра в функции:
// РаботаВБезопасномРежиме.ЗапросНаИспользованиеВнешнихРесурсов и
// РаботаВБезопасномРежиме.ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов.
//
// Параметры:
//  ШаблонСтрокиЗапуска - Строка - шаблон строки запуска приложения.
//                                 Подробнее см. документацию к платформе.
//  Описание - Строка - описание причины, по которой требуется предоставление разрешения.
//
// Возвращаемое значение:
//  ОбъектXDTO
//
Функция РазрешениеНаИспользованиеПриложенияОперационнойСистемы(Знач ШаблонСтрокиЗапуска, Знач Описание = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.РазрешениеНаИспользованиеПриложенияОперационнойСистемы(ШаблонСтрокиЗапуска, Описание);
```
</details>

## РазрешениеНаИспользованиеИнтернетРесурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает внутреннее описание разрешения на использование интернет-ресурса.
// Для передачи в качестве параметра в функции:
// РаботаВБезопасномРежиме.ЗапросНаИспользованиеВнешнихРесурсов и
// РаботаВБезопасномРежиме.ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов.
//
// Параметры:
//  Протокол - Строка - протокол, по которому выполняется взаимодействие с ресурсом. Допустимые значения:
//                      IMAP, POP3, SMTP, HTTP, HTTPS, FTP, FTPS, WS, WSS.
//  Адрес - Строка - адрес ресурса без указания протокола.
//  Порт - Число - номер порта через который выполняется взаимодействие с ресурсом.
//  Описание - Строка - описание причины, по которой требуется предоставление разрешения.
//
// Возвращаемое значение:
//  ОбъектXDTO
//
Функция РазрешениеНаИспользованиеИнтернетРесурса(Знач Протокол, Знач Адрес, Знач Порт = Неопределено, Знач Описание = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.РазрешениеНаИспользованиеИнтернетРесурса(Протокол, Адрес, Порт, Описание);
```
</details>

## РазрешениеНаИспользованиеПривилегированногоРежима
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает внутреннее описание разрешения на расширенную работу с данными (включая установку
// привилегированного режима) для внешних модулей.
// Для передачи в качестве параметра в функции:
// РаботаВБезопасномРежиме.ЗапросНаИспользованиеВнешнихРесурсов и
// РаботаВБезопасномРежиме.ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов.
//
// Параметры:
//  Описание - Строка - описание причины, по которой требуется предоставление разрешения.
//
// Возвращаемое значение:
//  ОбъектXDTO
//
Функция РазрешениеНаИспользованиеПривилегированногоРежима(Знач Описание = "") Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.РазрешениеНаИспользованиеПривилегированногоРежима(Описание);
```
</details>

## ЗапросНаИспользованиеВнешнихРесурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает запрос на использование внешних ресурсов.
//
// Параметры:
//  НовыеРазрешения - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеВнешнегоМодуля
//                  - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеВнешнейКомпоненты
//                  - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеИнтернетРесурса
//                  - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеКаталогаВременныхФайлов
//                  - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеКаталогаПрограммы
//                  - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеКаталогаФайловойСистемы
//                  - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеПривилегированногоРежима
//					- Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеПриложенияОперационнойСистемы -
//					  запрашиваемые разрешения на доступ к внешним ресурсам.
//  Владелец - ЛюбаяСсылка - ссылка на объект информационной базы, с которой логически связаны запрашиваемые
//    разрешения. Например, все разрешения на доступ к каталогам томов хранения файлов логически связаны
//    с соответствующими элементами справочника ТомаХраненияФайлов, все разрешения на доступ к каталогам
//    обмена данными (или к другим ресурсам в зависимости от используемого транспорта обмена) логически
//    связаны с соответствующими узлами планов обмена и т.д. В том случае, если разрешение является логически
//    обособленным (например, предоставление разрешения регулируется значением константы с типом Булево) -
//    рекомендуется использовать ссылку на элемент справочника ИдентификаторыОбъектовМетаданных.
//  РежимЗамещения - Булево - определяет режим замещения ранее выданных разрешений для данного владельца. При
//    значении параметра равным Истина, помимо предоставления запрошенных разрешений в запрос будет добавлена
//    очистка всех разрешений, ранее запрошенных для этого же владельца.
//
// Возвращаемое значение:
//  УникальныйИдентификатор -  ссылка на записанный в ИБ запрос разрешений. После создания
//    всех запросов на изменение разрешений требуется применить запрошенные изменения с помощью вызова
//    процедуры РаботаВБезопасномРежимеКлиент.ПрименитьЗапросыНаИспользованиеВнешнихРесурсов.
//
Функция ЗапросНаИспользованиеВнешнихРесурсов(Знач НовыеРазрешения, Знач Владелец = Неопределено, Знач РежимЗамещения = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.ЗапросНаИспользованиеВнешнихРесурсов(НовыеРазрешения, Владелец, РежимЗамещения);
```
</details>

## ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает запрос на отмену разрешений использования внешних ресурсов.
//
// Параметры:
//  Владелец - ЛюбаяСсылка - ссылка на объект информационной базы, с которой логически связаны отменяемые
//    разрешения. Например, все разрешения на доступ к каталогам томов хранения файлов логически связаны
//    с соответствующими элементами справочника ТомаХраненияФайлов, все разрешения на доступ к каталогам
//    обмена данными (или к другим ресурсам в зависимости от используемого транспорта обмена) логически
//    связаны с соответствующими узлами планов обмена и т.д. В том случае, если разрешение является логически
//    обособленным (например, отменяемые разрешения регулируется значением константы с типом Булево) -
//    рекомендуется использовать ссылку на элемент справочника ИдентификаторыОбъектовМетаданных.
//  ОтменяемыеРазрешения - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеВнешнегоМодуля
//                       - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеВнешнейКомпоненты
//                       - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеИнтернетРесурса
//                       - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеКаталогаВременныхФайлов
//                       - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеКаталогаПрограммы
//                       - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеКаталогаФайловойСистемы
//                       - Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеПривилегированногоРежима
//					- Массив из см. РаботаВБезопасномРежиме.РазрешениеНаИспользованиеПриложенияОперационнойСистемы -
//					  отменяемые разрешения на доступ к внешним ресурсам.
//
// Возвращаемое значение:
//  УникальныйИдентификатор - ссылка на записанный в ИБ запрос разрешений. После создания
//    всех запросов на изменение разрешений требуется применить запрошенные изменения с помощью вызова
//    процедуры РаботаВБезопасномРежимеКлиент.ПрименитьЗапросыНаИспользованиеВнешнихРесурсов.
//
Функция ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов(Знач Владелец, Знач ОтменяемыеРазрешения) Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.ЗапросНаОтменуРазрешенийИспользованияВнешнихРесурсов(Владелец, ОтменяемыеРазрешения) 
```
</details>

## ЗапросНаОчисткуРазрешенийИспользованияВнешнихРесурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает запрос на отмену всех разрешений использования внешних ресурсов, связанных в владельцем.
//
// Параметры:
//  Владелец - ЛюбаяСсылка - ссылка на объект информационной базы, с которой логически связаны отменяемые
//    разрешения. Например, все разрешения на доступ к каталогам томов хранения файлов логически связаны
//    с соответствующими элементами справочника ТомаХраненияФайлов, все разрешения на доступ к каталогам
//    обмена данными (или к другим ресурсам в зависимости от используемого транспорта обмена) логически
//    связаны с соответствующими узлами планов обмена и т.д. В том случае, если разрешение является логически
//    обособленным (например, отменяемые разрешения регулируется значением константы с типом Булево) -
//    рекомендуется использовать ссылку на элемент справочника ИдентификаторыОбъектовМетаданных.
//
// Возвращаемое значение:
//  УникальныйИдентификатор - ссылка на записанный в ИБ запрос разрешений. После создания
//    всех запросов на изменение разрешений требуется применить запрошенные изменения с помощью вызова
//    процедуры РаботаВБезопасномРежимеКлиент.ПрименитьЗапросыНаИспользованиеВнешнихРесурсов.
//
Функция ЗапросНаОчисткуРазрешенийИспользованияВнешнихРесурсов(Знач Владелец) Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.ЗапросНаОчисткуРазрешенийИспользованияВнешнихРесурсов(Владелец) 
```
</details>

## УстановленБезопасныйРежим
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Функции для поддержки работы конфигурации с профилем безопасности, в котором
// запрещено подключение внешних модулей без установки безопасного режима.
//

// Проверят установленность безопасного режима, игнорируя безопасный режим профиля безопасности,
//  использующегося в качестве профиля безопасности с уровнем привилегий конфигурации.
//
// Возвращаемое значение:
//   Булево - Истина, если безопасный режим установлен.
//
Функция УстановленБезопасныйРежим() Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.УстановленБезопасныйРежим() 
```
</details>

## ЗапросыОбновленияРазрешенийКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает запросы на обновление разрешений конфигурации.
//
// Параметры:
//  ВключаяЗапросСозданияПрофиляИБ - Булево - включать в результат запрос на создание профиля безопасности
//    для текущей информационной базы.
//
// Возвращаемое значение:
//  Массив - идентификаторы запросов для обновления разрешений
//           конфигурации до требуемых в настоящий момент.
//
Функция ЗапросыОбновленияРазрешенийКонфигурации(Знач ВключаяЗапросСозданияПрофиляИБ = Истина) Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.ЗапросыОбновленияРазрешенийКонфигурации(ВключаяЗапросСозданияПрофиляИБ);
```
</details>

## КонтрольныеСуммыФайловКомплектаВнешнейКомпоненты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает контрольные суммы файлов комплекта внешней компоненты, поставляемого в макете конфигурации.
//
// Параметры:
//   ИмяМакета - Строка - имя макета конфигурации, в составе которого поставляется комплект внешней компоненты.
//
// Возвращаемое значение:
//   ФиксированноеСоответствие из КлючИЗначение - контрольные суммы файлов:
//     * Ключ - Строка - имя файла,
//     * Значение - Строка - контрольная сумма.
//
Функция КонтрольныеСуммыФайловКомплектаВнешнейКомпоненты(Знач ИмяМакета) Экспорт
```

Пример вызова
```bsl
Результат = РаботаВБезопасномРежиме.КонтрольныеСуммыФайловКомплектаВнешнейКомпоненты(ИмяМакета) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
