---
title: Работа в модели сервиса БСП
slug: bsp/работа-в-модели-сервиса-бсп
---


## КонтрольНеразделенныхОбъектовПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие КонтрольНеразделенныхОбъектовПриЗаписи.
//
// Параметры:
//   Источник - ЛюбаяСсылка - источник события.
//   Отказ    - Булево - признак отказа от записи.
//
Процедура КонтрольНеразделенныхОбъектовПриЗаписи(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
РаботаВМоделиСервисаБСП.КонтрольНеразделенныхОбъектовПриЗаписи(Источник, Отказ) 
```
</details>

## КонтрольНеразделенныхНаборовЗаписейПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие КонтрольНеразделенныхНаборовЗаписейПриЗаписи.
//
// Параметры:
//   Источник  - РегистрСведенийНаборЗаписей - источник события.
//   Отказ     - Булево - признак отказа от записи набора в базу данных.
//   Замещение - Булево - режим записи набора. Истина - запись осуществляется с заменой
//             существующих в базе данных записей набора. Ложь - запись осуществляется с
//             "дописыванием" текущего набора записей.
//
Процедура КонтрольНеразделенныхНаборовЗаписейПриЗаписи(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
РаботаВМоделиСервисаБСП.КонтрольНеразделенныхНаборовЗаписейПриЗаписи(Источник, Отказ, Замещение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
