---
title: Работа в модели сервиса БТС переопределяемый
slug: bsp/работа-в-модели-сервиса-бтс-переопределяемый
---


## УстановитьПраваПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает пользователю права по умолчанию.
// Вызывается при работе в модели сервиса, в случае обновления в менеджере
// сервиса прав пользователя без прав администрирования.
// @skip-check module-empty-method - переопределяемый метод.
//
// Параметры:
//  Пользователь - СправочникСсылка.Пользователи - пользователь,
//                 которому требуется установить права по умолчанию.
//  ДоступРазрешен - Булево - признак разрешения доступа.
//                   Если Истина - доступ разрешается, если Ложь - доступ запрещается.
//
Процедура УстановитьПраваПоУмолчанию(Пользователь, ДоступРазрешен = Истина) Экспорт
```

Пример вызова
```bsl
РаботаВМоделиСервисаБТСПереопределяемый.УстановитьПраваПоУмолчанию(Пользователь, ДоступРазрешен);
```
</details>

## УстановитьДоступКAPIОбластиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает пользователю права доступа к API области данных.
// Вызывается при работе в модели сервиса, в случае обновления в менеджере
// сервиса прав пользователя без прав администрирования.
// @skip-check module-empty-method - переопределяемый метод.
//
// Параметры:
//  Пользователь - СправочникСсылка.Пользователи - пользователь, которому требуется установить права доступа к API.
//  ДоступРазрешен - Булево - признак разрешения доступа.
//                   Если Истина - доступ разрешается, если Ложь - доступ запрещается.
//
Процедура УстановитьДоступКAPIОбластиДанных(Пользователь, ДоступРазрешен = Истина) Экспорт
```

Пример вызова
```bsl
РаботаВМоделиСервисаБТСПереопределяемый.УстановитьДоступКAPIОбластиДанных(Пользователь, ДоступРазрешен);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
