---
title: Работа с банками клиент
slug: bsp/работа-с-банками-клиент
---


## ВыбратьИзСправочникаБИК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора Справочника БИК с отбором по переданному БИК.
// Если в списке выбора единственная запись, то выбор в форме осуществляется автоматически.
//
// Параметры:
//  БИК - Строка - банковский идентификационный код.
//  Форма - ФормаКлиентскогоПриложения - форма, из которой открывается форма выбора.
//  ОбработчикОповещения - ОписаниеОповещения - процедура, в которую передается управление после осуществления выбора.
//                                              Если параметр не указан, то будет вызван стандартный обработчик выбора.
//    Параметры процедуры:
//     * БИК - СправочникСсылка.КлассификаторБанков - выбранный элемент.
//     * ДополнительныеПараметры - Произвольный - параметр, переданный в конструкторе описания оповещения.
//
Процедура ВыбратьИзСправочникаБИК(БИК, Форма, ОбработчикОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСБанкамиКлиент.ВыбратьИзСправочникаБИК(БИК, Форма, ОбработчикОповещения);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
