---
title: Работа с классификаторами в модели сервиса переопределяемый
slug: bsp/работа-с-классификаторами-в-модели-сервиса-переопределяемый
---


## ПриОпределенииИдентификаторовКлассификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет идентификаторы классификаторов, которые в обязательном порядке должны
// быть включены в манифест конфигурации для Менеджера сервиса. Заполнять реализацию
// метода имеет смысл в случае, если загрузка классификатора зависит от настроек
// конфигурации (функциональных опций, констант и т.д.).
//
// Параметры:
//  Идентификаторы - Массив из Строка - идентификатор классификатора для добавления в манифест.
//
// Пример:
//	Идентификаторы.Добавить("CentralBankRefinancingRate");
//
//@skip-warning
Процедура ПриОпределенииИдентификаторовКлассификаторов(Идентификаторы) Экспорт
```

Пример вызова
```bsl
РаботаСКлассификаторамиВМоделиСервисаПереопределяемый.ПриОпределенииИдентификаторовКлассификаторов(Идентификаторы) 
```
</details>

## ПриОбработкеОбластиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяются алгоритмы обработки области после загрузки поставляемых данных
// классификаторов.
//
// Параметры:
//  Идентификатор           - Строка - идентификатор классификатора в сервисе классификаторов.
//                            Определяется в процедуре ПриДобавленииКлассификаторов;
//  Версия                  - Число - номер загруженной версии;
//  ДополнительныеПараметры - Структура - содержит дополнительные параметры обработки,
//                            которые были заполнены в переопределяемом методе
//                            РаботаСКлассификаторамиПереопределяемый.ПриЗагрузкеКлассификатора
//                            и в методе ИнтеграцияПодсистемБИП.ПриЗагрузкеКлассификатора.
//
// Пример:
//	Если Идентификатор = "CentralBankRefinancingRate" Тогда
//		Документы.КомпенсацияЗаЗадержкуЗарплаты.ПерерасчетКомпенсацияЗаЗадержкуЗарплаты();
//	КонецЕсли;
//
//@skip-warning
Процедура ПриОбработкеОбластиДанных(Идентификатор, Версия, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РаботаСКлассификаторамиВМоделиСервисаПереопределяемый.ПриОбработкеОбластиДанных(Идентификатор, Версия, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
