---
title: Работа с классификаторами клиент
slug: bsp/работа-с-классификаторами-клиент
---


## НовыйПараметрыОбновленияКлассификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует параматры интерактивной загрузки классификаторов.
//
// Параметры:
//  Владелец - ФормаКлиентскогоПриложения - форма которая будет установлена в качестве владельца.
//  Идентификаторы - Массив из Строка, Неопределено - идентификаторы классификаторов,
//   которые необходимо обновить.
//  ОписаниеОповещения - ОписаниеОповещения - оповещение, которое будет вызвано после закрытия формы.
//   В качестве результата оповещения передается массив из обновленных идентификаторов классификаторов.
//
// Возвращаемое значение:
//  Структура - параметры обновления классификаторов:
//   *Владелец - ФормаКлиентскогоПриложения - форма которая будет установлена в качестве владельца.
//   *Идентификаторы - Массив из Строка, Неопределено - идентификаторы классификаторов,
//     которые необходимо обновить.
//   *ОписаниеОповещения - ОписаниеОповещения - оповещение, которое будет вызвано после закрытия формы.
//     В качестве результата оповещения передается массив из обновленных идентификаторов классификаторов.
//
Функция НовыйПараметрыОбновленияКлассификаторов( Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКлассификаторамиКлиент.НовыйПараметрыОбновленияКлассификаторов();
```
</details>

## ОбновитьКлассификаторы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает помощник обновления классификаторов.
//
// Параметры:
//  ПараметрыОбновления - Структура, Неопределено - см. НовыйПараметрыОбновленияКлассификаторов.
//
Процедура ОбновитьКлассификаторы(ПараметрыОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСКлассификаторамиКлиент.ОбновитьКлассификаторы(ПараметрыОбновления);
```
</details>

## ИмяСобытияОповещенияОЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя события, которое будет содержать оповещение
// о завершении загрузки классификаторов.
//
// Возвращаемое значение:
//  Строка - Имя события. Может быть использовано для идентификации
//           сообщений принимающими их формами.
//
Функция ИмяСобытияОповещенияОЗагрузки() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСКлассификаторамиКлиент.ИмяСобытияОповещенияОЗагрузки() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
