---
title: Работа с курсами валют локализация
slug: bsp/работа-с-курсами-валют-локализация
---


## ПриДобавленииВалютПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при начальном заполнении справочника валют для добавления указанных валют из классификатора.
//
// Параметры:
//  КодыВалют - Массив из Строка - цифровые коды добавляемых валют.
//  Валюты - Массив из СправочникСсылка.Валюты - выходной параметр. Добавленные валюты.
//  СтандартнаяОбработка - Булево - выходной параметр. Установить Ложь, если реализовано собственное заполнение.
//
Процедура ПриДобавленииВалютПоКоду(Знач КодыВалют, Валюты, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриДобавленииВалютПоКоду(КодыВалют, Валюты, СтандартнаяОбработка) 
```
</details>

## ПриОпределенииДоступностиЗагрузкиКурсовВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет техническую возможность загрузки курсов валют из Интернета
// (наличие такой функциональности в конфигурации).
//
// Параметры:
//  Значение - Булево
//
Процедура ПриОпределенииДоступностиЗагрузкиКурсовВалют(Значение) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриОпределенииДоступностиЗагрузкиКурсовВалют(Значение) 
```
</details>

## ПриОпределенииКодовВалютЗагружаемыхИзИнтернета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет валюты, для которых есть техническая возможность загрузки курсов из Интернета
// (внешний ресурс предоставляет эти данные).
//
// Параметры:
//  КодыВалютЗагружаемыхИзИнтернета - Массив из Строка - выходной параметр.
//
Процедура ПриОпределенииКодовВалютЗагружаемыхИзИнтернета(КодыВалютЗагружаемыхИзИнтернета) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриОпределенииКодовВалютЗагружаемыхИзИнтернета(КодыВалютЗагружаемыхИзИнтернета) 
```
</details>

## ПриЗагрузкеАктуальныхКурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при загрузке курсы валют на текущую дату.
//
// Параметры:
//  ПараметрыЗагрузки - Структура:
//   * НачалоПериода - Дата - начало периода загрузки.
//   * КонецПериода - Дата - конец периода загрузки.
//   * СписокВалют - ТаблицаЗначений:
//     ** Валюта - СправочникСсылка.Валюты
//     ** КодВалюты - Строка
//  АдресРезультата - Строка - адрес во временном хранилище для помещения результатов загрузки.
//
Процедура ПриЗагрузкеАктуальныхКурсов(ПараметрыЗагрузки = Неопределено, АдресРезультата = Неопределено) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриЗагрузкеАктуальныхКурсов(ПараметрыЗагрузки, АдресРезультата);
```
</details>

## ПриЗагрузкеКлассификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаСКлассификаторамиПереопределяемый.ПриЗагрузкеКлассификатора.
Процедура ПриЗагрузкеКлассификатора(Идентификатор, Версия, Адрес, Обработан, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриЗагрузкеКлассификатора(Идентификатор, Версия, Адрес, Обработан, ДополнительныеПараметры) 
```
</details>

## ПриЗаполненииСпискаТекущихДел
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ТекущиеДелаПереопределяемый.ПриОпределенииОбработчиковТекущихДел.
Процедура ПриЗаполненииСпискаТекущихДел(ТекущиеДела) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриЗаполненииСпискаТекущихДел(ТекущиеДела) 
```
</details>

## ПриОпределенииФормВводаПрописей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Указывает коллекции объектов метаданных, содержащие формы ввода прописей для различных языков.
// Имя формы должно соответствовать шаблону ПараметрыПрописиВалюты_<код языка>. Например, "ПараметрыПрописиВалюты_en".
//
// Для того, чтобы создать новую форму ввода прописей на нужном языке, необходимо скопировать
// форму ПараметрыПрописиВалюты_en, изменить в ее имени код языка и реализовать в ней заполнение параметров прописи на
// выбранном языке. См. описание параметра ПараметрыПредметаИсчисления в функции ЧислоПрописью в синтакс-помощнике.
//
// Параметры:
//  КоллекцииФорм - Массив из КоллекцияОбъектовМетаданных - выходной параметр.
//
Процедура ПриОпределенииФормВводаПрописей(КоллекцииФорм) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриОпределенииФормВводаПрописей(КоллекцииФорм) 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий.
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ПриДобавленииОбработчиковОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбновлениеИнформационнойБазыБСП.ПриДобавленииОбработчиковОбновления.
Процедура ПриДобавленииОбработчиковОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриДобавленииОбработчиковОбновления(Обработчики) 
```
</details>

## ПриИзмененииДанныхАутентификацииИнтернетПоддержки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ИнтернетПоддержкаПользователейПереопределяемый.ПриИзмененииДанныхАутентификацииИнтернетПоддержки.
Процедура ПриИзмененииДанныхАутентификацииИнтернетПоддержки(ДанныеПользователя) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриИзмененииДанныхАутентификацииИнтернетПоддержки(ДанныеПользователя) 
```
</details>

## ПриЗаполненииРазрешенийНаДоступКВнешнимРесурсам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаВБезопасномРежимеПереопределяемый.ПриЗаполненииРазрешенийНаДоступКВнешнимРесурсам.
Процедура ПриЗаполненииРазрешенийНаДоступКВнешнимРесурсам(ЗапросыРазрешений) Экспорт
```

Пример вызова
```bsl
РаботаСКурсамиВалютЛокализация.ПриЗаполненииРазрешенийНаДоступКВнешнимРесурсам(ЗапросыРазрешений) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
