---
title: Работа с почтовыми сообщениями локализация
slug: bsp/работа-с-почтовыми-сообщениями-локализация
---


## ПриПолученииАдресовСерверовDNS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает IP-адреса серверов DNS, которые могут использоваться для чтения MX-записей доменов.
//
// Параметры:
//  АдресаСерверовDNS - Массив из Строка - IP-адреса;
//  СтандартнаяОбработка - Булево - установить в Ложь, если в список не требуется добавлять стандартные
//
Процедура ПриПолученииАдресовСерверовDNS(АдресаСерверовDNS, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РаботаСПочтовымиСообщениямиЛокализация.ПриПолученииАдресовСерверовDNS(АдресаСерверовDNS, СтандартнаяОбработка) 
```
</details>

## ПриПолученииАдресаФайлаСНастройками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет адрес файла с настройками подключения к почтовым серверам.
//
// Параметры:
//  АдресФайла - Строка - URL файла с настройками подключения к почтовым серверам.
//
Процедура ПриПолученииАдресаФайлаСНастройками(АдресФайла) Экспорт
```

Пример вызова
```bsl
РаботаСПочтовымиСообщениямиЛокализация.ПриПолученииАдресаФайлаСНастройками(АдресФайла) 
```
</details>

## ПриПолученииАдресаФайлаСОписаниемОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет адрес файла с описанием ошибок подключения к почтовым серверам.
//
// Параметры:
//  АдресФайла - Строка - URL файла с описанием ошибок подключения к почтовым серверам.
//
Процедура ПриПолученииАдресаФайлаСОписаниемОшибок(АдресФайла) Экспорт
```

Пример вызова
```bsl
РаботаСПочтовымиСообщениямиЛокализация.ПриПолученииАдресаФайлаСОписаниемОшибок(АдресФайла) 
```
</details>

## ПриПолученииАдресаВнешнегоРесурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет адрес внешнего ресурса для механизма профилей безопасности.
// См. РаботаВБезопасномРежимеПереопределяемый.ПриЗаполненииРазрешенийНаДоступКВнешнимРесурсам.
//
// Параметры:
//  АдресВнешнегоРесурса - Строка - адрес внешнего ресурса.
//
Процедура ПриПолученииАдресаВнешнегоРесурса(АдресВнешнегоРесурса) Экспорт
```

Пример вызова
```bsl
РаботаСПочтовымиСообщениямиЛокализация.ПриПолученииАдресаВнешнегоРесурса(АдресВнешнегоРесурса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
