---
title: Рассылка отчетов
slug: bsp/рассылка-отчетов
---


## ВыполнитьРассылкуОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует отчеты и отправляет их согласно настройкам в указанную папку файлов, в папку на компьютере,
// по электронной почте или на FTP-ресурс.
//
// Параметры:
//   Рассылка - СправочникСсылка.РассылкиОтчетов - выполняемая рассылка отчетов.
//   ПараметрыЖурнала - см. РассылкаОтчетов.ПараметрыЖурнала.
//   ДополнительныеНастройки - Структура:
//       * Получатели - Соответствие из КлючИЗначение:
//           ** Ключ - СправочникСсылка - получатель.
//           ** Значение - Строка - набор e-mail адресов получателя в строке с разделителями.
//
// Возвращаемое значение:
//   Булево - признак успешного выполнения рассылки.
//
Функция ВыполнитьРассылкуОтчетов(Рассылка, ПараметрыЖурнала = Неопределено, ДополнительныеНастройки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РассылкаОтчетов.ВыполнитьРассылкуОтчетов(Рассылка, ПараметрыЖурнала, ДополнительныеНастройки);
```
</details>

## ВыполнитьРассылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет рассылку произвольных отчетов, указанных в параметре Отчеты.
//
// Параметры:
//   Отчеты - см. РассылкаОтчетов.ОтчетыДляРассылки.
//   ПараметрыДоставки - см. РассылкаОтчетов.ПараметрыДоставки.
//   НаименованиеРассылки - Строка - выводится в тему и сообщение, а также для вывода ошибок.
//                        - СправочникСсылка.РассылкиОтчетов
//   ПараметрыЖурнала - см. РассылкаОтчетов.ПараметрыЖурнала.
//
// Возвращаемое значение:
//   Булево - признак успешного выполнения рассылки.
//
Функция ВыполнитьРассылку(Отчеты, ПараметрыДоставки, НаименованиеРассылки = "", ПараметрыЖурнала = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РассылкаОтчетов.ВыполнитьРассылку(Отчеты, ПараметрыДоставки, НаименованиеРассылки, ПараметрыЖурнала);
```
</details>

## ПараметрыЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор для значения параметра ПараметрыЖурнала функций ВыполнитьРассылкуОтчетов и ВыполнитьРассылку.
//
// Параметры:
//   Рассылка - СправочникСсылка.РассылкиОтчетов - выполняемая рассылка отчетов.
//
// Возвращаемое значение:
//   Структура - параметры записи в журнал регистрации, где:
//       * ИмяСобытия - Строка - имя события (или группы событий).
//       * Метаданные - Массив из ОбъектМетаданных, Неопределено - метаданные для привязки события журнала регистрации.
//       * Данные     - Произвольный - данные для привязки события журнала регистрации.
//
Функция ПараметрыЖурнала(Рассылка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РассылкаОтчетов.ПараметрыЖурнала(Рассылка);
```
</details>

## ОтчетыДляРассылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор для значения параметра Отчеты функции ВыполнитьРассылку.
//
// Возвращаемое значение:
//   ТаблицаЗначений - набор выгружаемых отчетов. Колонки:
//       * Отчет - СправочникСсылка.ВариантыОтчетов
//               - СправочникСсылка.ДополнительныеОтчетыИОбработки - отчет, который необходимо сформировать.
//       * ОтправлятьЕслиПустой - Булево - отправлять отчет, даже если он пустой.
//       * Настройки - ПользовательскиеНастройкиКомпоновкиДанных - табличный документ сформируется механизмами СКД.
//                   - Структура - табличный документ сформируется при помощи метода Сформировать, где:
//                      ** Ключ     - Строка       - имя реквизита объекта отчета.
//                      ** Значение - Произвольный - значение реквизита объекта отчета.
//                   - Неопределено - настройки по умолчанию.
//                     Примечание. Настройки, с которыми должен сформироваться отчет.
//       * Форматы - Массив из ПеречислениеСсылка.ФорматыСохраненияОтчетов - форматы, в которых необходимо сохранить и
//                                                                           отправить отчет.
//       * ШаблонНаименования - Строка - для формирования имени файла отчета
//
Функция ОтчетыДляРассылки() Экспорт
```

Пример вызова
```bsl
Результат = РассылкаОтчетов.ОтчетыДляРассылки() 
```
</details>

## ПараметрыДоставки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор для значения параметра ПараметрыДоставки функции ВыполнитьРассылку.
//
// Возвращаемое значение:
//   Структура - настройки способа доставки отчетов. Состав свойств может отличаться для разных способов доставки.
//     Общие свойства:
//       * Автор - СправочникСсылка.Пользователи - автор рассылки.
//       * ИспользоватьПапку            - Булево - доставлять отчеты в папку подсистемы "Работа с файлами".
//       * ИспользоватьСетевойКаталог   - Булево - доставлять отчеты в папку файловой системы.
//       * ИспользоватьFTPРесурс        - Булево - доставлять отчеты на FTP.
//       * ИспользоватьЭлектроннуюПочту - Булево - доставлять отчеты по электронной почте.
//
//     Свойства, когда ИспользоватьПапку = Истина:
//       * Папка - СправочникСсылка.ПапкиФайлов - папка подсистемы "Работа с файлами".
//
//     Свойства, когда ИспользоватьСетевойКаталог = Истина:
//       * СетевойКаталогWindows - Строка - каталог файловой системы (локальный на сервере или сетевой).
//       * СетевойКаталогLinux   - Строка - каталог файловой системы (локальный на сервере или сетевой).
//
//     Свойства, когда ИспользоватьFTPРесурс = Истина:
//       * Владелец            - СправочникСсылка.РассылкиОтчетов
//       * Сервер              - Строка - имя FTP сервера.
//       * Порт                - Число  - порт FTP сервера.
//       * Логин               - Строка - имя пользователя FTP сервера.
//       * Пароль              - Строка - пароль пользователя FTP сервера.
//       * Каталог             - Строка - путь к каталогу на FTP сервере.
//       * ПассивноеСоединение - Булево - использовать пассивное соединение.
//
//     Свойства, когда ИспользоватьЭлектроннуюПочту = Истина:
//       * УчетнаяЗапись - СправочникСсылка.УчетныеЗаписиЭлектроннойПочты - для отправки почтового сообщения.
//       * Получатели - Соответствие из КлючИЗначение - набор получателей и их e-mail адресов:
//           ** Ключ - СправочникСсылка - получатель.
//           ** Значение - Строка - email-адреса получателя, разделенные запятыми.
//
//     Дополнительные свойства:
//       * Архивировать - Булево - архивировать все файлы сформированных отчетов в один архив.
//                                 Архивация может потребоваться, например, при рассылке графиков в формате html.
//       * ИмяАрхива    - Строка - имя архива.
//       * ПарольАрхива - Строка - пароль архива.
//       * ТранслитерироватьИменаФайлов - Булево - признак необходимости транслитерации имен файлов отчетов рассылки.
//       * СертификатДляШифрования - СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования - если внедрена
//           подсистема ЭлектроннаяПодпись - Неопределено
//
//     Необязательные свойства, когда ИспользоватьЭлектроннуюПочту = Истина:
//       * Персонализирована - Булево - рассылка персонализирована получателями.
//           Значение по умолчанию Ложь.
//           Если установить значение Истина, то каждый получатель получит отчет с отбором по нему.
//           Для этого в отчетах следует установить отбор "[Получатель]" по реквизиту, совпадающем с типом получателя.
//           Применимо только только при доставке по почте,
//           поэтому когда устанавливается в Истина, то другие способы доставки отключаются.
//       * ТолькоУведомить - Булево - Ложь - отправлять только уведомления (не присоединять сформированные отчеты).
//       * СкрытыеКопии    - Булево - Ложь - если Истина, то при отправке вместо "Кому" заполняется "СкрытыеКопии".
//       * ШаблонТемы      - Строка -       тема письма.
//       * ШаблонТекста    - Строка -       тело письма.
//       * ПараметрыФорматов - Соответствие из КлючИЗначение:
//           ** Ключ - ПеречислениеСсылка.ФорматыСохраненияОтчетов
//           ** Значение - Структура:
//                *** Расширение - Строка
//                *** ТипФайла - ТипФайлаТабличногоДокумента
//                *** Имя - Строка
//       * ПараметрыПисьма - Структура - содержит всю необходимую информацию о письме:
//           ** Кому - Массив
//                   - Строка - интернет адреса получателей письма.
//                   - Массив - коллекция структур адресов:
//                       *** Адрес - Строка - почтовый адрес (должно быть обязательно заполнено).
//                       *** Представление - Строка - имя адресата.
//                   - Строка - интернет-адреса получателей письма, разделитель - ";".
//            ** ПолучателиСообщения - Массив - массив структур, описывающий получателей:
//                 *** Адрес - Строка - почтовый адрес получателя сообщения.
//                 *** Представление - Строка - представление адресата.
//            ** Копии - Массив
//                     - Строка - адреса получателей копий письма. См. описание поля Кому.
//            ** СкрытыеКопии - Массив
//                            - Строка - адреса получателей скрытых копий письма. См. описание поля Кому.
//            ** Тема       - Строка - (обязательный) тема почтового сообщения.
//            ** Тело       - Строка - (обязательный) текст почтового сообщения (простой текст в кодировке win-1251).
//            ** Вложения - Массив - файлы, которые необходимо приложить к письму (описания в виде структур):
//                 *** Представление - Строка - имя файла вложения;
//                 *** АдресВоВременномХранилище - Строка - адрес двоичных данных вложения во временном хранилище.
//                 *** Кодировка - Строка - кодировка вложения (используется, если отличается от кодировки письма).
//                 *** Идентификатор - Строка - (необязательный) используется для отметки картинок, отображаемых в теле письма.
//            ** АдресОтвета - Строка - E-mail адрес, на который будут приходить ответы на рассылку.
//            ** ИдентификаторыОснований - Строка - идентификаторы оснований данного письма.
//            ** ОбрабатыватьТексты  - Булево - необходимость обрабатывать тексты письма при отправке.
//            ** УведомитьОДоставке  - Булево - необходимость запроса уведомления о доставке.
//            ** УведомитьОПрочтении - Булево - необходимость запроса уведомления о прочтении.
//            ** ТипТекста - Строка
//                         - ПеречислениеСсылка.ТипыТекстовЭлектронныхПисем
//                         - ТипТекстаПочтовогоСообщения - определяет тип переданного теста допустимые значения:
//                             HTML/ТипыТекстовЭлектронныхПисем.HTML - текст почтового сообщения в формате HTML.
//                             ПростойТекст/ТипыТекстовЭлектронныхПисем.ПростойТекст - простой текст почтового сообщения.
//                                                                       Отображается "как есть" (значение по умолчанию).
//                             РазмеченныйТекст/ТипыТекстовЭлектронныхПисем.РазмеченныйТекст - текст почтового сообщения
//                                                                                             в формате Rich Text.
//
Функция ПараметрыДоставки() Экспорт
```

Пример вызова
```bsl
Результат = РассылкаОтчетов.ПараметрыДоставки() 
```
</details>

## УстановитьПараметрыФормата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из модулей РассылкаОтчетовПереопределяемый и РассылкаОтчетовПовтИсп.
// Добавляет формат (в случае его отсутствия) и устанавливает его параметры (если переданы).
//
// Параметры:
//   СписокФорматов - СписокЗначений
//   ФорматСсылка   - Строка
//                  - ПеречислениеСсылка.ФорматыСохраненияОтчетов - ссылка или имя формата.
//   Картинка                - Картинка - картинка формата.
//   ИспользоватьПоУмолчанию - Булево   - признак того, что формат используется по умолчанию.
//
Процедура УстановитьПараметрыФормата(СписокФорматов, ФорматСсылка, Картинка = Неопределено, ИспользоватьПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
РассылкаОтчетов.УстановитьПараметрыФормата(СписокФорматов, ФорматСсылка, Картинка, ИспользоватьПоУмолчанию);
```
</details>

## ДобавитьЭлементВТаблицуТиповПолучателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из модулей РассылкаОтчетовПереопределяемый и РассылкаОтчетовПовтИсп.
//   Добавляет описание типа получателей в соответствующую таблицу.
//
// Параметры:
//   ТаблицаТипов  - ТаблицаЗначений - передается из параметров процедуры "как есть". Содержит информацию о типах.
//   ДоступныеТипы - Массив          - передается из параметров процедуры "как есть". Массив неиспользованных типов.
//   Настройки     - Структура       - предустановленные настройки для регистрации основного типа.
//     Обязательные параметры:
//       * ОсновнойТип - Тип - тип, который будет выступать как основной для описываемых получателей.
//     Необязательные параметры:
//       * Представление - Строка - представление этого типа получателей в интерфейсе.
//       * ВидКИ - СправочникСсылка.ВидыКонтактнойИнформации - основной вид или группа контактной информации
//           для адресов электронной почты этого типа получателей.
//       * ПутьФормыВыбора - Строка - путь к форме выбора.
//       * ДополнительныйТип - Тип - дополнительный тип, который можно выбрать вместе с основным из формы выбора.
//
Процедура ДобавитьЭлементВТаблицуТиповПолучателей(ТаблицаТипов, ДоступныеТипы, Настройки) Экспорт
```

Пример вызова
```bsl
РассылкаОтчетов.ДобавитьЭлементВТаблицуТиповПолучателей(ТаблицаТипов, ДоступныеТипы, Настройки) 
```
</details>

## ВыполнитьРассылкиВФоновомЗадании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет несколько рассылок и размещает результат по адресу АдресРезультата.
//
// Параметры:
//   ПараметрыВыполнения - Структура - выполняемые рассылки и их параметры:
//       * МассивРассылок - Массив из СправочникСсылка.РассылкиОтчетов - выполняемые рассылки.
//       * ПредварительныеНастройки - см. РассылкаОтчетов.ВыполнитьРассылкуОтчетов.
//   АдресРезультата - Строка - адрес во временном хранилище, по которому будет размещен результат.
//
Процедура ВыполнитьРассылкиВФоновомЗадании(ПараметрыВыполнения, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РассылкаОтчетов.ВыполнитьРассылкиВФоновомЗадании(ПараметрыВыполнения, АдресРезультата) 
```
</details>

## ПодготовитьПараметрыИВыполнитьРассылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ВыполнитьРассылкуОтчетов.
// Формирует отчеты и отправляет их согласно настройкам транспорта (Папка, FILE, EMAIL, FTP);
//
// Параметры:
//   Рассылка - СправочникСсылка.РассылкиОтчетов - выполняемая рассылка отчетов.
//   ПараметрыЖурнала - Структура - параметры записи в журнал регистрации:
//       * ИмяСобытия - Строка - имя события (или группы событий).
//       * Метаданные - ОбъектМетаданных - метаданные для привязки события журнала регистрации.
//       * Данные     - Произвольный - данные для привязки события журнала регистрации.
//   ДополнительныеНастройки - Структура - настройки, которые переопределяют стандартные параметры рассылки:
//       * Получатели - Соответствие из КлючИЗначение - набор получателей и их e-mail адресов:
//           ** Ключ - СправочникСсылка - получатель.
//           ** Значение - Строка - набор e-mail адресов получателя в строке с разделителями.
//
// Возвращаемое значение:
//   Булево - признак успешного выполнения рассылки.
//
Функция ПодготовитьПараметрыИВыполнитьРассылку(Рассылка, ПараметрыЖурнала = Неопределено, ДополнительныеНастройки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РассылкаОтчетов.ПодготовитьПараметрыИВыполнитьРассылку(Рассылка, ПараметрыЖурнала, ДополнительныеНастройки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
