---
title: Резервное копирование областей данных
slug: bsp/резервное-копирование-областей-данных
---


## РезервноеКопированиеИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обмен сообщениями

// Возвращает состояние использования резервного копирования областей данных.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Булево - Истина, если резервное копирование используется.
//
Функция РезервноеКопированиеИспользуется() Экспорт
```

Пример вызова
```bsl
Результат = РезервноеКопированиеОбластейДанных.РезервноеКопированиеИспользуется() 
```
</details>

## УстановитьФлагАктивностиПользователяВОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Активность пользователей в области данных.

// Устанавливает признак активности пользователя в текущей области.
// Признаком является значение совместно разделенной константы ДатаПоследнегоСтартаКлиентскогоСеанса.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура УстановитьФлагАктивностиПользователяВОбласти() Экспорт
```

Пример вызова
```bsl
РезервноеКопированиеОбластейДанных.УстановитьФлагАктивностиПользователяВОбласти() 
```
</details>

## СоответствиеРусскихИменПолейНастроекАнглийским
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие русских названий полей программных системных настроек
// английским из XDTO-пакета ZoneBackupControl Менеджера сервиса.
// (тип: {HTTP://www.1c.ru/SaaS/1.0/XMLSchema/ZoneBackupControl}Settings).
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   ФиксированноеСоответствие из КлючИЗначение - соответствие русских имен полей настроек английским:
//   * Ключ - Строка
//   * Значение - Строка
//
Функция СоответствиеРусскихИменПолейНастроекАнглийским() Экспорт
```

Пример вызова
```bsl
Результат = РезервноеКопированиеОбластейДанных.СоответствиеРусскихИменПолейНастроекАнглийским() 
```
</details>

## МенеджерСервисаПоддерживаетРезервноеКопирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, поддерживает ли приложение функциональность резервного копирования.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//  Булево - Истина, если приложение поддерживает функциональность резервного копирования.
//
Функция МенеджерСервисаПоддерживаетРезервноеКопирование() Экспорт
```

Пример вызова
```bsl
Результат = РезервноеКопированиеОбластейДанных.МенеджерСервисаПоддерживаетРезервноеКопирование() 
```
</details>

## ПроксиКонтроляРезервногоКопирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает прокси web-сервиса контроля резервного копирования.
// Вызывающий код должен самостоятельно устанавливать привилегированный режим.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   WSПрокси - прокси менеджера сервиса.
//
Функция ПроксиКонтроляРезервногоКопирования() Экспорт
```

Пример вызова
```bsl
Результат = РезервноеКопированиеОбластейДанных.ПроксиКонтроляРезервногоКопирования() 
```
</details>

## ИмяПодсистемыДляСобытийЖурналаРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя подсистемы, которое должно использоваться в именах событий журнала регистрации.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка - имя подсистемы.
//
Функция ИмяПодсистемыДляСобытийЖурналаРегистрации() Экспорт
```

Пример вызова
```bsl
Результат = РезервноеКопированиеОбластейДанных.ИмяПодсистемыДляСобытийЖурналаРегистрации() 
```
</details>

## НаименованиеФоновогоРезервногоКопирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Фоновые задания

// Возвращает наименование фонового задания выгрузки области в файл.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка - наименование фонового задания.
//
Функция НаименованиеФоновогоРезервногоКопирования() Экспорт
```

Пример вызова
```bsl
Результат = РезервноеКопированиеОбластейДанных.НаименованиеФоновогоРезервногоКопирования() 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
// 	СоответствиеИменПсевдонимам - См. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков.СоответствиеИменПсевдонимам
//
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
РезервноеКопированиеОбластейДанных.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки.
//
// Параметры:
// 	Типы - См. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки.Типы
//
Процедура ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) Экспорт
```

Пример вызова
```bsl
РезервноеКопированиеОбластейДанных.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) 
```
</details>

## ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияПереопределяемый.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
// 	СтруктураПоддерживаемыхВерсий - См. ОбщегоНазначенияПереопределяемый.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов.ПоддерживаемыеВерсии
//
Процедура ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(Знач СтруктураПоддерживаемыхВерсий) Экспорт
```

Пример вызова
```bsl
РезервноеКопированиеОбластейДанных.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(СтруктураПоддерживаемыхВерсий) 
```
</details>

## ПриЗаполненииТаблицыПараметровИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаВМоделиСервисаПереопределяемый.ПриЗаполненииТаблицыПараметровИБ.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	ТаблицаПараметров - см. РаботаВМоделиСервиса.ПараметрыИБ
//
Процедура ПриЗаполненииТаблицыПараметровИБ(ТаблицаПараметров) Экспорт
```

Пример вызова
```bsl
РезервноеКопированиеОбластейДанных.ПриЗаполненииТаблицыПараметровИБ(ТаблицаПараметров) 
```
</details>

## ПриОпределенииОбработчиковОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийПереопределяемый.ПриОпределенииОбработчиковОшибок.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
// 	ОбработчикиОшибок - См. ОчередьЗаданийПереопределяемый.ПриОпределенииОбработчиковОшибок.ОбработчикиОшибок
//
Процедура ПриОпределенииОбработчиковОшибок(ОбработчикиОшибок) Экспорт
```

Пример вызова
```bsl
РезервноеКопированиеОбластейДанных.ПриОпределенииОбработчиковОшибок(ОбработчикиОшибок) 
```
</details>

## РегистрацияИнтерфейсовПринимаемыхСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ИнтерфейсыСообщенийВМоделиСервисаПереопределяемый.ЗаполнитьОбработчикиПринимаемыхСообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
// 	МассивОбработчиков - См. ИнтерфейсыСообщенийВМоделиСервисаПереопределяемый.ЗаполнитьОбработчикиПринимаемыхСообщений.МассивОбработчиков
//
Процедура РегистрацияИнтерфейсовПринимаемыхСообщений(МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
РезервноеКопированиеОбластейДанных.РегистрацияИнтерфейсовПринимаемыхСообщений(МассивОбработчиков) 
```
</details>

## РегистрацияИнтерфейсовОтправляемыхСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ИнтерфейсыСообщенийВМоделиСервисаПереопределяемый.ЗаполнитьОбработчикиОтправляемыхСообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
// 	МассивОбработчиков - См. ИнтерфейсыСообщенийВМоделиСервисаПереопределяемый.ЗаполнитьОбработчикиОтправляемыхСообщений.МассивОбработчиков
//
Процедура РегистрацияИнтерфейсовОтправляемыхСообщений(МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
РезервноеКопированиеОбластейДанных.РегистрацияИнтерфейсовОтправляемыхСообщений(МассивОбработчиков) 
```
</details>

## ПриДобавленииПараметровРаботыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияПереопределяемый.ПриДобавленииПараметровРаботыКлиента.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
// 	Параметры - См. ОбщегоНазначенияПереопределяемый.ПриДобавленииПараметровРаботыКлиента.Параметры
//
Процедура ПриДобавленииПараметровРаботыКлиента(Параметры) Экспорт
```

Пример вызова
```bsl
РезервноеКопированиеОбластейДанных.ПриДобавленииПараметровРаботыКлиента(Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
