---
title: Сводные приложения
slug: bsp/сводные-приложения
---


## РегистрацияИнтерфейсовПринимаемыхСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - Массив - обработчики сообщений.
//
Процедура РегистрацияИнтерфейсовПринимаемыхСообщений(МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.РегистрацияИнтерфейсовПринимаемыхСообщений(МассивОбработчиков) 
```
</details>

## РегистрацияИнтерфейсовОтправляемыхСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - Массив - обработчики сообщений.
//
Процедура РегистрацияИнтерфейсовОтправляемыхСообщений(МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.РегистрацияИнтерфейсовОтправляемыхСообщений(МассивОбработчиков) 
```
</details>

## ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//@skip-warning
Процедура ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(Знач СтруктураПоддерживаемыхВерсий) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ПриОпределенииПоддерживаемыхВерсийПрограммныхИнтерфейсов(СтруктураПоддерживаемыхВерсий) 
```
</details>

## НастроитьЗагрузкуВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/1cFresh/ManageSynopticExchange/a.b.c.d}SetSynopticExchange.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  КодОбластиДанных - Число - код области данных,
//  Параметры - Структура - идентификатор резервной копии,
//
Процедура НастроитьЗагрузкуВСводноеПриложение(КодОбластиДанных, Параметры) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.НастроитьЗагрузкуВСводноеПриложение(КодОбластиДанных, Параметры) 
```
</details>

## НастроитьВыгрузкуВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/1cFresh/ManageSynopticExchange/a.b.c.d}SetCorrSynopticExchange.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  КодОбластиДанных - Число - код области данных,
//  Параметры - Структура - идентификатор резервной копии,
//
Процедура НастроитьВыгрузкуВСводноеПриложение(КодОбластиДанных, Параметры) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.НастроитьВыгрузкуВСводноеПриложение(КодОбластиДанных, Параметры) 
```
</details>

## ИнтерактивныйЗапускВыгрузкиВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/1cFresh/ManageSynopticExchange/a.b.c.d}PushSynopticExchangeStep1.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  КодОбластиДанных - Число - код области данных,
//  Параметры - Структура - идентификатор резервной копии,
//
Процедура ИнтерактивныйЗапускВыгрузкиВСводноеПриложение(КодОбластиДанных, Параметры) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ИнтерактивныйЗапускВыгрузкиВСводноеПриложение(КодОбластиДанных, Параметры) 
```
</details>

## ИнтерактивныйЗапускЗагрузкиВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/1cFresh/ManageSynopticExchange/a.b.c.d}PushSynopticExchangeStep2.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  КодОбластиДанных - Число - код области данных,
//  Параметры - Структура - идентификатор резервной копии,
//
Процедура ИнтерактивныйЗапускЗагрузкиВСводноеПриложение(КодОбластиДанных, Параметры) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ИнтерактивныйЗапускЗагрузкиВСводноеПриложение(КодОбластиДанных, Параметры) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки.
//
// Параметры:
// 	Типы - Массив из ОбъектМетаданных
//
Процедура ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	Настройки - см. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий.Настройки
//
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ПриДобавленииОбработчиковОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбновлениеИнформационнойБазыБСП.ПриДобавленииОбработчиковОбновления
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	Обработчики - см. ОбновлениеИнформационнойБазы.НоваяТаблицаОбработчиковОбновления
//
Процедура ПриДобавленииОбработчиковОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ПриДобавленииОбработчиковОбновления(Обработчики) 
```
</details>

## ЗаданиеВыгрузка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регламентное задание СводныеПриложенияВыгрузка.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ЗаданиеВыгрузка() Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ЗаданиеВыгрузка() 
```
</details>

## ЗаданиеПланированиеЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регламентное задание СводныеПриложенияПланированиеЗагрузки.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ЗаданиеПланированиеЗагрузки() Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ЗаданиеПланированиеЗагрузки() 
```
</details>

## ПередЗаписьюОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие ПередЗаписьюОбъекта.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПередЗаписьюОбъекта(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ПередЗаписьюОбъекта(Источник, Отказ) 
```
</details>

## ПередЗаписьюДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие ЗаписьюДокумента.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ПередЗаписьюДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ПередЗаписьюНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие ПередЗаписьюНабора.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПередЗаписьюНабора(Источник, Отказ, Замещение) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ПередЗаписьюНабора(Источник, Отказ, Замещение) 
```
</details>

## ПередЗаписьюНабораРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие ПередЗаписьюНабораРасчета.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПередЗаписьюНабораРасчета(Источник, Отказ, Замещение, ТолькоЗапись, ЗаписьФактическогоПериодаДействия, ЗаписьПерерасчетов) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ПередЗаписьюНабораРасчета(Источник, Отказ, Замещение, ТолькоЗапись, ЗаписьФактическогоПериодаДействия, ЗаписьПерерасчетов) 
```
</details>

## ПередУдалениемОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие ПередУдалениемОбъекта.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ПередУдалениемОбъекта(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
СводныеПриложения.ПередУдалениемОбъекта(Источник, Отказ) 
```
</details>

## Описание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание данных логического хранилища.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторХранилища - Строка - идентификатор логического хранилища.
//  ИдентификаторДанных    - Строка - идентификатор данных хранилища.
//
// Возвращаемое значение:
//   Структура - описание состояния задания очереди:
//    * ИмяФайла - Строка - имя файла.
//    * Размер - Число - размер файла в байтах.
//    * Данные - ДвоичныеДанные - двоичные данные файла описания задания.
//
Функция Описание(ИдентификаторХранилища, ИдентификаторДанных) Экспорт
```

Пример вызова
```bsl
Результат = СводныеПриложения.Описание(ИдентификаторХранилища, ИдентификаторДанных) 
```
</details>

## Данные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные логического хранилища.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ОписаниеДанных - Структура - описание данных хранилища.
//
// Возвращаемое значение:
//   ДвоичныеДанные -
//
Функция Данные(ОписаниеДанных) Экспорт
```

Пример вызова
```bsl
Результат = СводныеПриложения.Данные(ОписаниеДанных) 
```
</details>

## Загрузить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает данные в логическое хранилище.
// @skip-warning ПустойМетод - особенность реализации.
// Выполняет действия:
// - сохраняет файл данных в файловом хранилище
// - планирует задание очереди заданий на обработки файла
// - возвращается идентификатор задания в ответ.
//
// Параметры:
//	ОписаниеДанных - Структура - описание данных хранилища:
//	 * ИмяФайла - Строка - имя файла.
//	 * Размер - Число - размер файла в байтах.
//	 * Данные - ДвоичныеДанные, Строка - двоичные данные файла или расположение файла на диске.
//
// Возвращаемое значение:
//   Структура:
//     * ИмяКонфигурации - Строка - имя конфигурации.
//     * ВерсияКонфигурации - Строка - версия конфигурации.
//     * ВыполняетсяЗагрузка - Булево - признак что выполняется загрузка.
//     * НомерПринятогоСообщения - Число - количество обработанных сообщений.
//     * ЗагруженоОбъектов - Число - количество загруженных объектов.
//     * ЗавершеноСОшибками - Булево - признак завершения с ошибками.
//     * ОписаниеОшибки - Строка - описание ошибки.
//     * ТребуетсяПовторнаяОтправка - Булево - Истина если требуется отправить повторно данные, которые находятся сейчас
//                                             в очереди.
Функция Загрузить(ОписаниеДанных) Экспорт
```

Пример вызова
```bsl
Результат = СводныеПриложения.Загрузить(ОписаниеДанных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
