---
title: Сводные приложения переопределяемый
slug: bsp/сводные-приложения-переопределяемый
---


## ПриВыгрузкеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик при выгрузке данных.
//
// Параметры:
//   Объект - КонстантаМенеджерЗначения, СправочникОбъект, ДокументОбъект, ПланСчетовОбъект -
//			- ПланВидовХарактеристикОбъект, ПланВидовРасчетаОбъект, РегистрСведенийНаборЗаписей -
//          - РегистрНакопленияНаборЗаписей, РегистрБухгалтерииНаборЗаписей, РегистрРасчетаНаборЗаписей -
//			- ПоследовательностьНаборЗаписей, ПерерасчетНаборЗаписей, БизнесПроцессОбъект, ЗадачаОбъект - выгружаемый объект.
//   ПараметрыВыгрузки - Структура - параметры выгрузки
//   ЗаписьXML - ЗаписьXML - Для самостоятельной сериализации.
//   КоличествоОбъектов - Число - Счетчик, который необходимо увеличить, чтобы объект был выгружен
//   Отказ - Булево - если данному параметру установить значение Истина, то объект не будет выгружен, при этом
//   				можно самостоятельно сериализовать объект, например через ПараметрыВыгрузки.Сериализатор в ЗаписьXML.
//@skip-check module-empty-method - переопределяемый метод.
Процедура ПриВыгрузкеОбъекта(Объект, ПараметрыВыгрузки, ЗаписьXML, КоличествоОбъектов, Отказ) Экспорт
```

Пример вызова
```bsl
СводныеПриложенияПереопределяемый.ПриВыгрузкеОбъекта(Объект, ПараметрыВыгрузки, ЗаписьXML, КоличествоОбъектов, Отказ) 
```
</details>

## ПриЗагрузкеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик при загрузке данных.
//
// Параметры:
//   Объект - КонстантаМенеджерЗначения, СправочникОбъект, ДокументОбъект, ПланСчетовОбъект -
//			- ПланВидовХарактеристикОбъект, ПланВидовРасчетаОбъект, РегистрСведенийНаборЗаписей -
//          - РегистрНакопленияНаборЗаписей, РегистрБухгалтерииНаборЗаписей, РегистрРасчетаНаборЗаписей -
//			- ПоследовательностьНаборЗаписей, ПерерасчетНаборЗаписей, БизнесПроцессОбъект, ЗадачаОбъект - загружаемый объект.
//   Отказ - Булево - если данному параметру установить значение Истина, то объект не будет загружен.
//@skip-check module-empty-method - переопределяемый метод.
Процедура ПриЗагрузкеОбъекта(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
СводныеПриложенияПереопределяемый.ПриЗагрузкеОбъекта(Объект, Отказ) 
```
</details>

## ПриРегистрацииИзмененийОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик при регистрации изменений.
//
// Параметры:
//   Источник - КонстантаМенеджерЗначения, СправочникОбъект, ДокументОбъект, ПланСчетовОбъект -
//			- ПланВидовХарактеристикОбъект, ПланВидовРасчетаОбъект, РегистрСведенийНаборЗаписей -
//          - РегистрНакопленияНаборЗаписей, РегистрБухгалтерииНаборЗаписей, РегистрРасчетаНаборЗаписей -
//			- ПоследовательностьНаборЗаписей, ПерерасчетНаборЗаписей, БизнесПроцессОбъект, ЗадачаОбъект -
//			регистрируемый объект.
//   Отказ - Булево - если данному параметру установить значение Истина, то объект не будет зарегистрирован.
//@skip-check module-empty-method - переопределяемый метод.
Процедура ПриРегистрацииИзмененийОбъекта(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
СводныеПриложенияПереопределяемый.ПриРегистрацииИзмененийОбъекта(Источник, Отказ) 
```
</details>

## ПриОпределенииРазрешенныхКВыгрузкеОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении разрешенных к выгрузке объектов метаданных.
// Предполагаемое использование для объектов метаданных, добавленых в расширении, фильтр по которым нельзя настроить из
// Менеджера сервиса.
//
// Параметры:
//  ОбъектыМетаданных - Соответствие из КлючИЗначение - коллекция объектов метаданных:
//   * Ключ - Строка - Имя объекта метаданных
//   * Значение - Булево - Признак, разрешено ли выгружать данный объект
//@skip-check module-empty-method - переопределяемый метод.
Процедура ПриОпределенииРазрешенныхКВыгрузкеОбъектовМетаданных(ОбъектыМетаданных) Экспорт
```

Пример вызова
```bsl
СводныеПриложенияПереопределяемый.ПриОпределенииРазрешенныхКВыгрузкеОбъектовМетаданных(ОбъектыМетаданных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
