---
title: Сервис криптографии dss переопределяемый
slug: bsp/сервис-криптографии-dss-переопределяемый
---


## СписокПервичнойАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура позволяет переопределить список способов первичной аутентификации, доступный пользователю
//
// Параметры:
//  МассивСпособов - Массив из ПеречислениеСсылка.СпособыАвторизацииDSS
//
Процедура СписокПервичнойАвторизации(МассивСпособов) Экспорт
```

Пример вызова
```bsl
СервисКриптографииDSSПереопределяемый.СписокПервичнойАвторизации(МассивСпособов) 
```
</details>

## СписокВторичнойАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура позволяет переопределить список способов вторичной авторизация, доступный пользователю
//
// Параметры:
//  МассивСпособов - Массив из ПеречислениеСсылка.СпособыАвторизацииDSS
//
Процедура СписокВторичнойАвторизации(МассивСпособов) Экспорт
```

Пример вызова
```bsl
СервисКриптографииDSSПереопределяемый.СписокВторичнойАвторизации(МассивСпособов) 
```
</details>

## ПриВключенииСервисаОблачнойПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается при изменении значения константы ИспользоватьСервисDSS
//
Процедура ПриВключенииСервисаОблачнойПодписи() Экспорт
```

Пример вызова
```bsl
СервисКриптографииDSSПереопределяемый.ПриВключенииСервисаОблачнойПодписи() 
```
</details>

## ИспользоватьСинхронныйРежим
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет переопределить использование синхронного режима работы в зависимости от вида клиента
//
// Параметры:
//  ТекущийРежим - Булево - для ВебКлиента Ложь, для остальных Истина
//
Процедура ИспользоватьСинхронныйРежим(ТекущийРежим) Экспорт
```

Пример вызова
```bsl
СервисКриптографииDSSПереопределяемый.ИспользоватьСинхронныйРежим(ТекущийРежим) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
