---
title: Снимки отчетов
slug: bsp/снимки-отчетов
---


## ЗарегистрироватьИзмененияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует к выгрузке все варианты отчетов, по которым сформированы снимки.
//
// Параметры:
//  УзелОбмена - ПланОбменаСсылка - узел плана обмена, для которого регистрируются изменения.
//
Процедура ЗарегистрироватьИзмененияДанных(УзелОбмена) Экспорт
```

Пример вызова
```bsl
СнимкиОтчетов.ЗарегистрироватьИзмененияДанных(УзелОбмена) 
```
</details>

## ЕстьИзмененияДляАвтономногоРежима
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если есть снимки отчета для автономного режима.
//
// Параметры:
//  Источник - СправочникОбъект
//
// Возвращаемое значение:
//  Булево
//
Функция ЕстьИзмененияДляАвтономногоРежима(Источник) Экспорт
```

Пример вызова
```bsl
Результат = СнимкиОтчетов.ЕстьИзмененияДляАвтономногоРежима(Источник) 
```
</details>

## ЗарегистрироватьИзмененияДляАвтономногоРежима
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Зарегистрировать к выгрузке связанные со снимками отчетов вариантов отчетов и пользователей,
// сформировавших эти снимки.
//
// Параметры:
//  Источник - Произвольный
//  Изменения - Массив
//
Процедура ЗарегистрироватьИзмененияДляАвтономногоРежима(Источник, Изменения) Экспорт
```

Пример вызова
```bsl
СнимкиОтчетов.ЗарегистрироватьИзмененияДляАвтономногоРежима(Источник, Изменения) 
```
</details>

## ЗаписатьОтчетыВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает в XML варианты отчетов, их снимки и связанные с ними сведения о пользователях.
//
// Параметры:
//  ЗаписьXML - ЗаписьXML
//  Данные - Произвольный - данные для записи в XML.
//
Процедура ЗаписатьОтчетыВXML(ЗаписьXML, Данные) Экспорт
```

Пример вызова
```bsl
СнимкиОтчетов.ЗаписатьОтчетыВXML(ЗаписьXML, Данные) 
```
</details>

## ПрочитатьОтчетыИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Загружает из XML варианты отчетов, их снимки и связанные с ними сведения о пользователях.
//
// Параметры:
//  ЧтениеXML - ЧтениеXML
//
// Возвращаемое значение:
//  СправочникОбъект
//  Неопределено - прочитанные данные, подготовленные для записи.
//
Функция ПрочитатьОтчетыИзXML(ЧтениеXML) Экспорт
```

Пример вызова
```bsl
Результат = СнимкиОтчетов.ПрочитатьОтчетыИзXML(ЧтениеXML) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
