---
title: Сообщения администрирование обмена данными контроль интерфейс
slug: bsp/сообщения-администрирование-обмена-данными-контроль-интерфейс
---


## Пакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пространство имен текущей (используемой вызывающим кодом) версии интерфейса сообщений.
//
// Возвращаемое значение:
//   Строка - пространство имен.
//
Функция Пакет() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.Пакет() 
```
</details>

## Версия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текущая (используемая вызывающим кодом) версия интерфейса сообщений.
//
// Возвращаемое значение:
//   Строка - версия интерфейса сообщений.
//
Функция Версия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.Версия() 
```
</details>

## ПрограммныйИнтерфейс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Название программного интерфейса сообщений.
//
// Возвращаемое значение:
//   Строка - название программного интерфейса сообщений.
//
Функция ПрограммныйИнтерфейс() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.ПрограммныйИнтерфейс() 
```
</details>

## ОбработчикиКаналовСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков сообщений в качестве обработчиков каналов обмена сообщениями.
//
// Параметры:
//   МассивОбработчиков - Массив из ОбщийМодуль - коллекция модулей, содержащих обработчики.
//
Процедура ОбработчикиКаналовСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.ОбработчикиКаналовСообщений(МассивОбработчиков) 
```
</details>

## ОбработчикиТрансляцииСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков трансляции сообщений.
//
// Параметры:
//   МассивОбработчиков - Массив из ОбщийМодуль - коллекция модулей, содержащих обработчики.
//
Процедура ОбработчикиТрансляцииСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.ОбработчикиТрансляцииСообщений(МассивОбработчиков) 
```
</details>

## СообщениеКорреспондентУспешноПодключен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Control/a.b.c.d}CorrespondentConnectionCompleted
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеКорреспондентУспешноПодключен(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.СообщениеКорреспондентУспешноПодключен(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаПодключенияКорреспондента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Control/a.b.c.d}CorrespondentConnectionFailed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеОшибкаПодключенияКорреспондента(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.СообщениеОшибкаПодключенияКорреспондента(ИспользуемыйПакет);
```
</details>

## СообщениеНастройкиСинхронизацииДанныхПолучены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Control/a.b.c.d}GettingSyncSettingsCompleted
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеНастройкиСинхронизацииДанныхПолучены(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.СообщениеНастройкиСинхронизацииДанныхПолучены(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаПолученияНастроекСинхронизацииДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Control/a.b.c.d}GettingSyncSettingsFailed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеОшибкаПолученияНастроекСинхронизацииДанных(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.СообщениеОшибкаПолученияНастроекСинхронизацииДанных(ИспользуемыйПакет);
```
</details>

## СообщениеВключениеСинхронизацииУспешноЗавершено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Control/a.b.c.d}EnableSyncCompleted
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеВключениеСинхронизацииУспешноЗавершено(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.СообщениеВключениеСинхронизацииУспешноЗавершено(ИспользуемыйПакет);
```
</details>

## СообщениеСинхронизацияУспешноОтключена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Control/a.b.c.d}DisableSyncCompleted
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеСинхронизацияУспешноОтключена(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.СообщениеСинхронизацияУспешноОтключена(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаВключенияСинхронизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Control/a.b.c.d}EnableSyncFailed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеОшибкаВключенияСинхронизации(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.СообщениеОшибкаВключенияСинхронизации(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаОтключенияСинхронизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Control/a.b.c.d}DisableSyncFailed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеОшибкаОтключенияСинхронизации(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.СообщениеОшибкаОтключенияСинхронизации(ИспользуемыйПакет);
```
</details>

## СообщениеСинхронизацияЗавершена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Control/a.b.c.d}SyncCompleted
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеСинхронизацияЗавершена(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеОбменаДаннымиКонтрольИнтерфейс.СообщениеСинхронизацияЗавершена(ИспользуемыйПакет);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
