---
title: Сообщения администрирование сводные приложения контроль интерфейс
slug: bsp/сообщения-администрирование-сводные-приложения-контроль-интерфейс
---


## Пакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пространство имен текущей (используемой вызывающим кодом) версии интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка - пространство имен.
//
Функция Пакет() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияКонтрольИнтерфейс.Пакет() 
```
</details>

## Версия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую (используемую вызывающим кодом) версию интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка - версия интерфейса.
//
Функция Версия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияКонтрольИнтерфейс.Версия() 
```
</details>

## ПрограммныйИнтерфейс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает название программного интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка - название интерфейса.
//
Функция ПрограммныйИнтерфейс() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияКонтрольИнтерфейс.ПрограммныйИнтерфейс() 
```
</details>

## ОбработчикиКаналовСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков сообщений в качестве обработчиков каналов обмена сообщениями.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - Массив - массив обработчиков.
//
Процедура ОбработчикиКаналовСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияАдминистрированиеСводныеПриложенияКонтрольИнтерфейс.ОбработчикиКаналовСообщений(МассивОбработчиков) 
```
</details>

## ОбработчикиТрансляцииСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков трансляции сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - Массив - массив обработчиков.
//
Процедура ОбработчикиТрансляцииСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияАдминистрированиеСводныеПриложенияКонтрольИнтерфейс.ОбработчикиТрансляцииСообщений(МассивОбработчиков) 
```
</details>

## СообщениеНастройкаВыгрузкиВСводноеПриложениеВыполнена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/1cFresh/ControlSynopticExchange/a.b.c.d}SynopticExchangePrepared
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO
//
Функция СообщениеНастройкаВыгрузкиВСводноеПриложениеВыполнена(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияКонтрольИнтерфейс.СообщениеНастройкаВыгрузкиВСводноеПриложениеВыполнена(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаНастройкиВыгрузкиВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/1cFresh/ControlSynopticExchange/a.b.c.d}SynopticExchangeFailed
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
// ТипЗначенияXDTO
//
Функция СообщениеОшибкаНастройкиВыгрузкиВСводноеПриложение(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияКонтрольИнтерфейс.СообщениеОшибкаНастройкиВыгрузкиВСводноеПриложение(ИспользуемыйПакет);
```
</details>

## СообщениеНастройкаВыгрузкиВСводноеПриложениеУдалена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/1cFresh/ControlSynopticExchange/a.b.c.d}SynopticExchangeDeleted
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO
//
Функция СообщениеНастройкаВыгрузкиВСводноеПриложениеУдалена(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияКонтрольИнтерфейс.СообщениеНастройкаВыгрузкиВСводноеПриложениеУдалена(ИспользуемыйПакет);
```
</details>

## СообщениеИнтерактивныйЗапускВыгрузкиВСводноеПриложениеВыполнен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/1cFresh/ControlSynopticExchange/a.b.c.d}SynopticExchangePushed
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO
//
Функция СообщениеИнтерактивныйЗапускВыгрузкиВСводноеПриложениеВыполнен(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияКонтрольИнтерфейс.СообщениеИнтерактивныйЗапускВыгрузкиВСводноеПриложениеВыполнен(ИспользуемыйПакет);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
