---
title: Сообщения администрирование сводные приложения управление интерфейс
slug: bsp/сообщения-администрирование-сводные-приложения-управление-интерфейс
---


## Пакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пространство имен текущей (используемой вызывающим кодом) версии интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//  Строка - наименование пакета.
//
Функция Пакет() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияУправлениеИнтерфейс.Пакет() 
```
</details>

## Версия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую (используемую вызывающим кодом) версию интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//  Строка - версия пакета.
//
Функция Версия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияУправлениеИнтерфейс.Версия() 
```
</details>

## ПрограммныйИнтерфейс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает название программного интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//  Строка - идентификатор программного интерфейса.
//
Функция ПрограммныйИнтерфейс() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияУправлениеИнтерфейс.ПрограммныйИнтерфейс() 
```
</details>

## ОбработчикиКаналовСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков сообщений в качестве обработчиков каналов обмена сообщениями.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - Массив - массив обработчиков.
//
Процедура ОбработчикиКаналовСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияАдминистрированиеСводныеПриложенияУправлениеИнтерфейс.ОбработчикиКаналовСообщений(МассивОбработчиков) 
```
</details>

## ОбработчикиТрансляцииСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков трансляции сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - Массив - массив обработчиков.
//
Процедура ОбработчикиТрансляцииСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияАдминистрированиеСводныеПриложенияУправлениеИнтерфейс.ОбработчикиТрансляцииСообщений(МассивОбработчиков) 
```
</details>

## СообщениеНастроитьВыгрузкуВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Manage/a.b.c.d}SetCorrSynopticExchange
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO
//
Функция СообщениеНастроитьВыгрузкуВСводноеПриложение(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияУправлениеИнтерфейс.СообщениеНастроитьВыгрузкуВСводноеПриложение(ИспользуемыйПакет);
```
</details>

## СообщениеНастроитьЗагрузкуВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Manage/a.b.c.d}SetSynopticExchange
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO
//
Функция СообщениеНастроитьЗагрузкуВСводноеПриложение(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияУправлениеИнтерфейс.СообщениеНастроитьЗагрузкуВСводноеПриложение(ИспользуемыйПакет);
```
</details>

## СообщениеИнтерактивныйЗапускВыгрузкиВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Manage/a.b.c.d}PushSynopticExchangeStep1
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO
//
Функция СообщениеИнтерактивныйЗапускВыгрузкиВСводноеПриложение(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияУправлениеИнтерфейс.СообщениеИнтерактивныйЗапускВыгрузкиВСводноеПриложение(ИспользуемыйПакет);
```
</details>

## СообщениеИнтерактивныйЗапускЗагрузкиВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/ExchangeAdministration/Manage/a.b.c.d}PushSynopticExchangeStep2
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO
//
Функция СообщениеИнтерактивныйЗапускЗагрузкиВСводноеПриложение(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияАдминистрированиеСводныеПриложенияУправлениеИнтерфейс.СообщениеИнтерактивныйЗапускЗагрузкиВСводноеПриложение(ИспользуемыйПакет);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
