---
title: Сообщения администрирование сводные приложения управление реализация
slug: bsp/сообщения-администрирование-сводные-приложения-управление-реализация
---


## НастроитьЗагрузкуВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/1cFresh/ManageSynopticExchange/a.b.c.d}SetSynopticExchange.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  КодОбластиДанных - Число - код области данных,
//  Параметры - Структура - идентификатор резервной копии,
//
Процедура НастроитьЗагрузкуВСводноеПриложение(КодОбластиДанных, Параметры) Экспорт
```

Пример вызова
```bsl
СообщенияАдминистрированиеСводныеПриложенияУправлениеРеализация.НастроитьЗагрузкуВСводноеПриложение(КодОбластиДанных, Параметры) 
```
</details>

## НастроитьВыгрузкуВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/1cFresh/ManageSynopticExchange/a.b.c.d}SetCorrSynopticExchange.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  КодОбластиДанных - Число - код области данных,
//  Параметры - Структура - идентификатор резервной копии,
//
Процедура НастроитьВыгрузкуВСводноеПриложение(КодОбластиДанных, Параметры) Экспорт
```

Пример вызова
```bsl
СообщенияАдминистрированиеСводныеПриложенияУправлениеРеализация.НастроитьВыгрузкуВСводноеПриложение(КодОбластиДанных, Параметры) 
```
</details>

## ИнтерактивныйЗапускВыгрузкиВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/1cFresh/ManageSynopticExchange/a.b.c.d}PushSynopticExchangeStep1.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  КодОбластиДанных - Число - код области данных,
//  Параметры - Структура - идентификатор резервной копии,
//
Процедура ИнтерактивныйЗапускВыгрузкиВСводноеПриложение(КодОбластиДанных, Параметры) Экспорт
```

Пример вызова
```bsl
СообщенияАдминистрированиеСводныеПриложенияУправлениеРеализация.ИнтерактивныйЗапускВыгрузкиВСводноеПриложение(КодОбластиДанных, Параметры) 
```
</details>

## ИнтерактивныйЗапускЗагрузкиВСводноеПриложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/1cFresh/ManageSynopticExchange/a.b.c.d}PushSynopticExchangeStep2.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  КодОбластиДанных - Число - код области данных,
//  Параметры - Структура - идентификатор резервной копии,
//
Процедура ИнтерактивныйЗапускЗагрузкиВСводноеПриложение(КодОбластиДанных, Параметры) Экспорт
```

Пример вызова
```bsl
СообщенияАдминистрированиеСводныеПриложенияУправлениеРеализация.ИнтерактивныйЗапускЗагрузкиВСводноеПриложение(КодОбластиДанных, Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
