---
title: Сообщения в модели сервиса
slug: bsp/сообщения-в-модели-сервиса
---


## НовоеСообщение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новое сообщение.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ТипТелаСообщения - ТипОбъектаXDTO - тип тела сообщения которое требуется создать.
//
// Возвращаемое значение:
//  ОбъектXDTO - объект требуемого типа.
//
Функция НовоеСообщение(Знач ТипТелаСообщения) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияВМоделиСервиса.НовоеСообщение(ТипТелаСообщения) 
```
</details>

## ОтправитьСообщение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет сообщение
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  Сообщение - ОбъектXDTO - сообщение.
//  Получатель - ПланОбменаСсылка.ОбменСообщениями - получатель сообщения.
//  Сейчас - Булево - отправить сообщений через механизм быстрых сообщений.
//
Процедура ОтправитьСообщение(Знач Сообщение, Знач Получатель = Неопределено, Экспорт
```

Пример вызова
```bsl
СообщенияВМоделиСервиса.ОтправитьСообщение(Сообщение, Получатель, );
```
</details>

## ПолучитьОбработчикиКаналовСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список обработчиков сообщений по пространству имен.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  Обработчики - ТаблицаЗначений - с колонками:
//    * Канал - Строка - Канал сообщения.
//    * Обработчик - ОбщийМодуль - Обработчик сообщения.
//  ПространствоИмен - Строка - uri пространства имен в котором определены типы тел сообщений.
//  ОбщийМодуль - ОбщийМодуль - Общий модуль в котором содержатся обработчики сообщений.
//
Процедура ПолучитьОбработчикиКаналовСообщений(Знач Обработчики, Экспорт
```

Пример вызова
```bsl
СообщенияВМоделиСервиса.ПолучитьОбработчикиКаналовСообщений(Обработчики, );
```
</details>

## ДоставитьБыстрыеСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет доставку быстрых сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
Процедура ДоставитьБыстрыеСообщения() Экспорт
```

Пример вызова
```bsl
СообщенияВМоделиСервиса.ДоставитьБыстрыеСообщения() 
```
</details>

## ТипТело
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип, являющийся базовым для всех типов тел сообщений в модели сервиса.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//  ТипОбъектаXDTO - базовый тип тел сообщений в модели сервиса.
//
Функция ТипТело() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияВМоделиСервиса.ТипТело() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
