---
title: Сообщения в службу технической поддержки клиент
slug: bsp/сообщения-в-службу-технической-поддержки-клиент
---


## ОтправитьСообщение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает страницу Портала 1С:ИТС для отправки сообщения в службу
// технической поддержки. В параметрах передаются данные заполнения,
// вложения и параметры выгрузки журнала регистрации.
//
// Параметры:
//  ДанныеСообщения - Структура - данные для формирования сообщения,
//                    См. СообщенияВСлужбуТехническойПоддержкиКлиентСервер.ДанныеСообщения;
//  Вложения - Массив Из Структура, Неопределено - файлы вложений.  Важно: допускаются только
//             текстовые вложения (*.txt, *.json, *.xml). При передаче адреса во временном хранилище
//             данные должны быть помещены с уникальным идентификатором. Поля структуры элемента вложения:
//    *Представление - Строка - представление вложения. Например, "Вложение 1.txt";
//    *ВидДанных - Строка - определяет преобразование переданных данных.
//                Возможна передача одного из значений:
//                  - ИмяФайла - Строка - полное имя файла вложения;
//                  - Адрес - Строка - адрес во временном хранилище значения типа ДвоичныеДанные;
//                  - Текст - Строка - текст вложения;
//    *Данные - Строка - данные для формирования вложения;
//  ОтборЖурналаРегистрации - Структура, Неопределено - настройки выгрузки журнала регистрации:
//    *ДатаНачала    - Дата - начало периода журнала;
//    *ДатаОкончания - Дата - конец периода журнала;
//    *События       - Массив - список событий;
//    *Метаданные    - Массив, Неопределено - массив метаданных для отбора;
//    *Уровень       - Строка - уровень важности событий журнала регистрации. Возможные значения:
//       - "Ошибка" - будет выполнен отбор по событиям с УровеньЖурналаРегистрации.Ошибка;
//       - "Предупреждение" - будет выполнен отбор по событиям с УровеньЖурналаРегистрации.Предупреждение;
//       - "Информация" - будет выполнен отбор по событиям с УровеньЖурналаРегистрации.Информация;
//       - "Примечание" - будет выполнен отбор по событиям с УровеньЖурналаРегистрации.Примечание.
//  ОповещениеОЗавершении - ОписаниеОповещения, Неопределено - метод, в который должен быть
//                          передан результат отправки сообщения. В метод передается значение типа
//                          Структура - результат отправки сообщения:
//                            *КодОшибки - Строка - идентификатор ошибки при отправки:
//                                                   - <Пустая строка> - отправка выполнена успешно;
//                                                   - "НеверныйФорматЗапроса" - переданы некорректные параметры
//                                                      сообщения в техническую поддержку;
//                                                   - "НеизвестнаяОшибка" - при отправке сообщения возникли ошибки;
//                                                   - "НеизвестнаяОшибкаСервиса" - при отправке сообщения возникли
//                                                      проблемы с сервисом;
//                                                   - "ОтсутствуетОбязательныйПараметрЗапроса" - отсутствует
//                                                      обязательный параметр сообщения в техническую поддержку;
//                                                   - "ОшибкаФайловойСистемы" - ошибка файловой системы;
//                                                   - "ПревышенМаксимальныйРазмерВложения" - превышен максимальный
//                                                      размер вложения;
//                                                   - "ПревышенМаксимальныйРазмерЖурналаРегистрации" - превышен
//                                                      максимальный размер журнала регистрации;
//                                                   - "ПустойПараметрЗапроса" - не заполнен обязательный параметр
//                                                      сообщения в техническую поддержку;
//                            *СообщениеОбОшибке - Строка, ФорматированнаяСтрока - сообщение об ошибке
//                                                 для пользователя;
//
Процедура ОтправитьСообщение( Экспорт
```

Пример вызова
```bsl
СообщенияВСлужбуТехническойПоддержкиКлиент.ОтправитьСообщение();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
