---
title: Сообщения в службу технической поддержки клиент сервер
slug: bsp/сообщения-в-службу-технической-поддержки-клиент-сервер
---


## ДанныеСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные сообщения для отправки в техническую поддержку.
//
// Возвращаемое значение:
//  Структура - данные для формирования сообщения:
//    *Тема - Строка - тема сообщения;
//    *Сообщение  - Строка - тело текст сообщения для отправки;
//    *ИспользоватьСтандартныйШаблон - Булево - признак использования стандартного шаблона сообщения в техподдержку;
//    *Получатель - Строка - условное имя получателя сообщения;
//    *ИНН - Строка - ИНН организации;
//    *РегистрационныйНомер - Строка - регистрационный номер;
//    *НастройкиПоискаГотовогоОтвета - Структура - настройки поиска готового ответа. См. НастройкиПоискаГотовогоОтвета;
//    *ДанныеТехническойИнформации - Структура - данные технической информации. См. ОписаниеТехническойИнформации;
//    *НастройкиТехническойИнформации - Структура - данные технической информации. См. НастройкиТехническойИнформации.
//
Функция ДанныеСообщения() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияВСлужбуТехническойПоддержкиКлиентСервер.ДанныеСообщения() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
