---
title: Сообщения контроль резервного копирования обработчик трансляции_1_0_2_1
slug: bsp/сообщения-контроль-резервного-копирования-обработчик-трансляции-1-0-2-1
---


## ИсходнаяВерсия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер версии, для трансляции с которой предназначен обработчик.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка - исходная версия.
//
Функция ИсходнаяВерсия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольРезервногоКопированияОбработчикТрансляции_1_0_2_1.ИсходнаяВерсия() 
```
</details>

## ПакетИсходнойВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пространство имен версии, для трансляции с которой предназначен обработчик.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка - пакет исходной версии.
//
Функция ПакетИсходнойВерсии() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольРезервногоКопированияОбработчикТрансляции_1_0_2_1.ПакетИсходнойВерсии() 
```
</details>

## РезультирующаяВерсия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер версии, для трансляции в которую предназначен обработчик.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка - результирующая версия.
//
Функция РезультирующаяВерсия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольРезервногоКопированияОбработчикТрансляции_1_0_2_1.РезультирующаяВерсия() 
```
</details>

## ПакетРезультирующейВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пространство имен версии, для трансляции в которую предназначен обработчик.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка - пакет результирующей версии.
//
Функция ПакетРезультирующейВерсии() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольРезервногоКопированияОбработчикТрансляции_1_0_2_1.ПакетРезультирующейВерсии() 
```
</details>

## ПередТрансляцией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик проверки выполнения стандартной обработки трансляции.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИсходноеСообщение - ОбъектXDTO - транслируемое сообщение,
//  СтандартнаяОбработка - Булево - для отмены выполнения стандартной обработки трансляции
//    этому параметру внутри данной процедуры необходимо установить значение Ложь.
//    При этом вместо выполнения стандартной обработки трансляции будет вызвана функция.
//    ТрансляцияСообщения() обработчика трансляции.
//
Процедура ПередТрансляцией(Знач ИсходноеСообщение, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СообщенияКонтрольРезервногоКопированияОбработчикТрансляции_1_0_2_1.ПередТрансляцией(ИсходноеСообщение, СтандартнаяОбработка) 
```
</details>

## ТрансляцияСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик выполнения произвольной трансляции сообщения. Вызывается только в том случае,
//  если при выполнении процедуры ПередТрансляцией значению параметра СтандартнаяОбработка
//  было установлено значение Ложь.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИсходноеСообщение - ОбъектXDTO - транслируемое сообщение.
//
// Возвращаемое значение:
//  ОбъектXDTO - результат произвольной трансляции сообщения.
//
Функция ТрансляцияСообщения(Знач ИсходноеСообщение) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольРезервногоКопированияОбработчикТрансляции_1_0_2_1.ТрансляцияСообщения(ИсходноеСообщение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
