---
title: Сообщения контроль удаленного администрирования интерфейс
slug: bsp/сообщения-контроль-удаленного-администрирования-интерфейс
---


## Версия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую (используемую вызывающим кодом) версию интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
// Возвращаемое значение:
//	Строка -
Функция Версия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.Версия() 
```
</details>

## Пакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пространство имен текущей (используемой вызывающим кодом) версии интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
// Возвращаемое значение:
//	Строка -
Функция Пакет() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.Пакет() 
```
</details>

## ПрограммныйИнтерфейс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает название программного интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
// Возвращаемое значение:
//	Строка -
Функция ПрограммныйИнтерфейс() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.ПрограммныйИнтерфейс() 
```
</details>

## ОбработчикиКаналовСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков сообщений в качестве обработчиков каналов обмена сообщениями.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - Массив - обработчики сообщений.
//
Процедура ОбработчикиКаналовСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.ОбработчикиКаналовСообщений(МассивОбработчиков) 
```
</details>

## ОбработчикиТрансляцииСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков трансляции сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - Массив - обработчики сообщений.
//
Процедура ОбработчикиТрансляцииСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.ОбработчикиТрансляцииСообщений(МассивОбработчиков) 
```
</details>

## СообщениеОбластьДанныхПодготовлена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/RemoteAdministration/Control/a.b.c.d}ApplicationPrepared.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO, ТипОбъектаXDTO - тип сообщения.
//
Функция СообщениеОбластьДанныхПодготовлена(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.СообщениеОбластьДанныхПодготовлена(ИспользуемыйПакет);
```
</details>

## СообщениеОбластьДанныхУдалена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/RemoteAdministration/Control/a.b.c.d}ApplicationDeleted.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO, ТипОбъектаXDTO - тип сообщения.
//
Функция СообщениеОбластьДанныхУдалена(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.СообщениеОбластьДанныхУдалена(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаПодготовкиОбластиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/RemoteAdministration/Control/a.b.c.d}ApplicationPrepareFailed.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO, ТипОбъектаXDTO - тип сообщения.
//
Функция СообщениеОшибкаПодготовкиОбластиДанных(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.СообщениеОшибкаПодготовкиОбластиДанных(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаПодготовкиОбластиДанныхТребуетсяКонвертация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/RemoteAdministration/Control/a.b.c.d}ApplicationPrepareFailedConversionRequired
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO, ТипОбъектаXDTO - тип сообщения.
//
Функция СообщениеОшибкаПодготовкиОбластиДанныхТребуетсяКонвертация(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.СообщениеОшибкаПодготовкиОбластиДанныхТребуетсяКонвертация(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаУдаленияОбластиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/RemoteAdministration/Control/a.b.c.d}ApplicationDeleteFailed.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO, ТипОбъектаXDTO - тип сообщения.
//
Функция СообщениеОшибкаУдаленияОбластиДанных(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.СообщениеОшибкаУдаленияОбластиДанных(ИспользуемыйПакет);
```
</details>

## СообщениеОбластьДанныхГотоваКИспользованию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/RemoteAdministration/Control/a.b.c.d}ApplicationReady.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//    получается тип сообщения.
//
// Возвращаемое значение:
//  ТипЗначенияXDTO, ТипОбъектаXDTO - тип сообщения.
//
Функция СообщениеОбластьДанныхГотоваКИспользованию(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияКонтрольУдаленногоАдминистрированияИнтерфейс.СообщениеОбластьДанныхГотоваКИспользованию(ИспользуемыйПакет);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
