---
title: Сообщения обмена данными контроль интерфейс
slug: bsp/сообщения-обмена-данными-контроль-интерфейс
---


## Пакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пространство имен текущей (используемой вызывающим кодом) версии интерфейса сообщений.
//
// Возвращаемое значение:
//   Строка - пространство имен.
//
Функция Пакет() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.Пакет() 
```
</details>

## Версия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текущая (используемая вызывающим кодом) версия интерфейса сообщений.
//
// Возвращаемое значение:
//   Строка - версия интерфейса сообщений.
//
Функция Версия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.Версия() 
```
</details>

## ПрограммныйИнтерфейс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Название программного интерфейса сообщений.
//
// Возвращаемое значение:
//   Строка - название программного интерфейса сообщений.
//
Функция ПрограммныйИнтерфейс() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.ПрограммныйИнтерфейс() 
```
</details>

## ОбработчикиКаналовСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков сообщений в качестве обработчиков каналов обмена сообщениями.
//
// Параметры:
//   МассивОбработчиков - Массив из ОбщийМодуль - коллекция модулей, содержащих обработчики.
//
Процедура ОбработчикиКаналовСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияОбменаДаннымиКонтрольИнтерфейс.ОбработчикиКаналовСообщений(МассивОбработчиков) 
```
</details>

## ОбработчикиТрансляцииСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков трансляции сообщений.
//
// Параметры:
//   МассивОбработчиков - Массив из ОбщийМодуль - коллекция модулей, содержащих обработчики.
//
Процедура ОбработчикиТрансляцииСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияОбменаДаннымиКонтрольИнтерфейс.ОбработчикиТрансляцииСообщений(МассивОбработчиков) 
```
</details>

## СообщениеНастройкаОбменаШаг1УспешноЗавершена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}SetupExchangeStep1Completed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеНастройкаОбменаШаг1УспешноЗавершена(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеНастройкаОбменаШаг1УспешноЗавершена(ИспользуемыйПакет);
```
</details>

## СообщениеНастройкаОбменаШаг2УспешноЗавершена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}SetupExchangeStep2Completed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеНастройкаОбменаШаг2УспешноЗавершена(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеНастройкаОбменаШаг2УспешноЗавершена(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаНастройкиОбменаШаг1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}SetupExchangeStep1Failed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеОшибкаНастройкиОбменаШаг1(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеОшибкаНастройкиОбменаШаг1(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаНастройкиОбменаШаг2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}SetupExchangeStep2Failed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеОшибкаНастройкиОбменаШаг2(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеОшибкаНастройкиОбменаШаг2(ИспользуемыйПакет);
```
</details>

## СообщениеЗагрузкаСообщенияОбменаУспешноЗавершена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}DownloadMessageCompleted
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеЗагрузкаСообщенияОбменаУспешноЗавершена(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеЗагрузкаСообщенияОбменаУспешноЗавершена(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаЗагрузкиСообщенияОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}DownloadMessageFailed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеОшибкаЗагрузкиСообщенияОбмена(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеОшибкаЗагрузкиСообщенияОбмена(ИспользуемыйПакет);
```
</details>

## СообщениеПолучениеДанныхКорреспондентаУспешноЗавершено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}GettingDataCompleted
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеПолучениеДанныхКорреспондентаУспешноЗавершено(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеПолучениеДанныхКорреспондентаУспешноЗавершено(ИспользуемыйПакет);
```
</details>

## СообщениеПолучениеОбщихДанныхУзловКорреспондентаУспешноЗавершено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}GettingCommonNodsDataCompleted
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеПолучениеОбщихДанныхУзловКорреспондентаУспешноЗавершено(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеПолучениеОбщихДанныхУзловКорреспондентаУспешноЗавершено(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаПолученияДанныхКорреспондента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}GettingDataFailed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеОшибкаПолученияДанныхКорреспондента(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеОшибкаПолученияДанныхКорреспондента(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаПолученияОбщихДанныхУзловКорреспондента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}GettingCommonNodsDataFailed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеОшибкаПолученияОбщихДанныхУзловКорреспондента(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеОшибкаПолученияОбщихДанныхУзловКорреспондента(ИспользуемыйПакет);
```
</details>

## СообщениеПолучениеПараметровУчетаКорреспондентаУспешноЗавершено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}GettingCorrespondentParamsCompleted
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеПолучениеПараметровУчетаКорреспондентаУспешноЗавершено(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеПолучениеПараметровУчетаКорреспондентаУспешноЗавершено(ИспользуемыйПакет);
```
</details>

## СообщениеОшибкаПолученияПараметровУчетаКорреспондента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает тип сообщения {HTTP://www.1c.ru/SaaS/Exchange/Control/a.b.c.d}GettingCorrespondentParamsFailed
//
// Параметры:
//   ИспользуемыйПакет - Строка - пространство имен версии интерфейса сообщений, для которой
//                                получается тип сообщения.
//
// Возвращаемое значение:
//   ТипОбъектаXDTO - тип объекта сообщения.
//
Функция СообщениеОшибкаПолученияПараметровУчетаКорреспондента(Знач ИспользуемыйПакет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиКонтрольИнтерфейс.СообщениеОшибкаПолученияПараметровУчетаКорреспондента(ИспользуемыйПакет);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
