---
title: Сообщения обмена данными управление обработчик трансляции_2_1_2_1
slug: bsp/сообщения-обмена-данными-управление-обработчик-трансляции-2-1-2-1
---


## ИсходнаяВерсия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Номер версии, для трансляции с которой предназначен обработчик.
//
// Возвращаемое значение:
//   Строка - исходная версия интерфейса сообщений.
//
Функция ИсходнаяВерсия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиУправлениеОбработчикТрансляции_2_1_2_1.ИсходнаяВерсия() 
```
</details>

## ПакетИсходнойВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пространство имен версии, для трансляции с которой предназначен обработчик.
//
// Возвращаемое значение:
//   Строка - пространство имен.
//
Функция ПакетИсходнойВерсии() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиУправлениеОбработчикТрансляции_2_1_2_1.ПакетИсходнойВерсии() 
```
</details>

## РезультирующаяВерсия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Номер версии, для трансляции в которую предназначен обработчик.
//
// Возвращаемое значение:
//   Строка - результирующая версия интерфейса сообщений.
//
Функция РезультирующаяВерсия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиУправлениеОбработчикТрансляции_2_1_2_1.РезультирующаяВерсия() 
```
</details>

## ПакетРезультирующейВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пространство имен версии, для трансляции в которую предназначен обработчик.
//
// Возвращаемое значение:
//   Строка - пространство имен.
//
Функция ПакетРезультирующейВерсии() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиУправлениеОбработчикТрансляции_2_1_2_1.ПакетРезультирующейВерсии() 
```
</details>

## ПередТрансляцией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик проверки выполнения стандартной обработки трансляции.
//
// Параметры:
//   ИсходноеСообщение    - ОбъектXDTO - транслируемое сообщение.
//   СтандартнаяОбработка - Булево - для отмены выполнения стандартной обработки трансляции
//                          этому параметру внутри данной процедуры необходимо установить значение Ложь.
//                          При этом вместо выполнения стандартной обработки трансляции будет вызвана функция.
//                          ТрансляцияСообщения() обработчика трансляции.
//
Процедура ПередТрансляцией(Знач ИсходноеСообщение, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СообщенияОбменаДаннымиУправлениеОбработчикТрансляции_2_1_2_1.ПередТрансляцией(ИсходноеСообщение, СтандартнаяОбработка) 
```
</details>

## ТрансляцияСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик выполнения произвольной трансляции сообщения. Вызывается только в том случае,
// если при выполнении процедуры ПередТрансляцией значению параметра СтандартнаяОбработка
// было установлено значение Ложь.
//
// Параметры:
//   ИсходноеСообщение - ОбъектXDTO - транслируемое сообщение.
//
// Возвращаемое значение:
//   ОбъектXDTO - результат произвольной трансляции сообщения.
//
Функция ТрансляцияСообщения(Знач ИсходноеСообщение) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияОбменаДаннымиУправлениеОбработчикТрансляции_2_1_2_1.ТрансляцияСообщения(ИсходноеСообщение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
