---
title: Сообщения обработка в монопольном режиме
slug: bsp/сообщения-обработка-в-монопольном-режиме
---


## ПриОпределенииОбработчиковКаналовСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбменСообщениямиПереопределяемый.ПолучитьОбработчикиКаналовСообщений.
//
Процедура ПриОпределенииОбработчиковКаналовСообщений(Обработчики) Экспорт
```

Пример вызова
```bsl
СообщенияОбработкаВМонопольномРежиме.ПриОпределенииОбработчиковКаналовСообщений(Обработчики) 
```
</details>

## ОбработатьСообщение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку тела сообщения из канала в соответствии с алгоритмом текущего канала сообщений.
//
// Параметры:
//  КаналСообщений - Строка - идентификатор канала сообщений, из которого получено сообщение.
//  ТелоСообщения  - Произвольный - тело сообщения, полученное из канала, которое подлежит обработке.
//  Отправитель    - ПланОбменаСсылка.ОбменСообщениями - конечная точка, которая является отправителем сообщения.
//
Процедура ОбработатьСообщение(КаналСообщений, ТелоСообщения, Отправитель) Экспорт
```

Пример вызова
```bsl
СообщенияОбработкаВМонопольномРежиме.ОбработатьСообщение(КаналСообщений, ТелоСообщения, Отправитель) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
