---
title: Сообщения распределенное выполнение команд интерфейс
slug: bsp/сообщения-распределенное-выполнение-команд-интерфейс
---


## Версия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер текущей версии программного интерфейса.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка   - Номер версии интерфейса
//
Функция Версия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияРаспределенноеВыполнениеКомандИнтерфейс.Версия() 
```
</details>

## Пакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пространство имен текущей (используемой вызывающим кодом) версии интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка   - Пространство имен интерфейса
//
Функция Пакет() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияРаспределенноеВыполнениеКомандИнтерфейс.Пакет() 
```
</details>

## ПрограммныйИнтерфейс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает название программного интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Возвращаемое значение:
//   Строка   - Имя интерфейса
//
Функция ПрограммныйИнтерфейс() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияРаспределенноеВыполнениеКомандИнтерфейс.ПрограммныйИнтерфейс() 
```
</details>

## ОбработчикиКаналовСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков сообщений в качестве обработчиков каналов обмена сообщениями.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	МассивОбработчиков - Массив - Обработчики каналов.
//
Процедура ОбработчикиКаналовСообщений(МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияРаспределенноеВыполнениеКомандИнтерфейс.ОбработчикиКаналовСообщений(МассивОбработчиков) 
```
</details>

## ОбработчикиТрансляцииСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков трансляции сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//	МассивОбработчиков - Массив - Обработчики каналов.
//
Процедура ОбработчикиТрансляцииСообщений(МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияРаспределенноеВыполнениеКомандИнтерфейс.ОбработчикиТрансляцииСообщений(МассивОбработчиков) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
