---
title: Сообщения удаленного администрирования интерфейс
slug: bsp/сообщения-удаленного-администрирования-интерфейс
---


## Версия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую (используемую вызывающим кодом) версию интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
// Возвращаемое значение:
//	Строка -
Функция Версия() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияУдаленногоАдминистрированияИнтерфейс.Версия() 
```
</details>

## Пакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пространство имен текущей (используемой вызывающим кодом) версии интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
// Возвращаемое значение:
//	Строка -
Функция Пакет() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияУдаленногоАдминистрированияИнтерфейс.Пакет() 
```
</details>

## ПрограммныйИнтерфейс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает название программного интерфейса сообщений.
// @skip-warning ПустойМетод - особенность реализации.
// Возвращаемое значение:
//	Строка -
Функция ПрограммныйИнтерфейс() Экспорт
```

Пример вызова
```bsl
Результат = СообщенияУдаленногоАдминистрированияИнтерфейс.ПрограммныйИнтерфейс() 
```
</details>

## ОбработчикиКаналовСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков сообщений в качестве обработчиков каналов обмена сообщениями.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - Массив - массив обработчиков.
//
Процедура ОбработчикиКаналовСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияУдаленногоАдминистрированияИнтерфейс.ОбработчикиКаналовСообщений(МассивОбработчиков) 
```
</details>

## ОбработчикиТрансляцииСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию обработчиков трансляции сообщений.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  МассивОбработчиков - Массив - массив обработчиков.
//
Процедура ОбработчикиТрансляцииСообщений(Знач МассивОбработчиков) Экспорт
```

Пример вызова
```bsl
СообщенияУдаленногоАдминистрированияИнтерфейс.ОбработчикиТрансляцииСообщений(МассивОбработчиков) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
