---
title: Сообщения управление резервным копированием реализация
slug: bsp/сообщения-управление-резервным-копированием-реализация
---


## ПланироватьСозданиеРезервнойКопииОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/SaaS/ManageZonesBackup/a.b.c.d}PlanZoneBackup.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  КодОбластиДанных - Число - код области данных,
//  ИдентификаторРезервнойКопии - УникальныйИдентификатор - идентификатор резервной копии,
//  МоментРезервнойКопии - Дата - дата и время резервной копии,
//  Принудительно - Булево - флаг принудительного создания резервной копии.
//  ДляПоддержки - Булево - признак создания копии для службы поддержки.
//
Процедура ПланироватьСозданиеРезервнойКопииОбласти(Знач КодОбластиДанных, Экспорт
```

Пример вызова
```bsl
СообщенияУправлениеРезервнымКопированиемРеализация.ПланироватьСозданиеРезервнойКопииОбласти(КодОбластиДанных, );
```
</details>

## ОтменитьСозданиеРезервнойКопииОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/SaaS/ManageZonesBackup/a.b.c.d}CancelZoneBackup.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  КодОбластиДанных - Число - код области данных,
//  ИдентификаторРезервнойКопии - УникальныйИдентификатор - идентификатор резервной копии.
//
Процедура ОтменитьСозданиеРезервнойКопииОбласти(Знач КодОбластиДанных, Знач ИдентификаторРезервнойКопии) Экспорт
```

Пример вызова
```bsl
СообщенияУправлениеРезервнымКопированиемРеализация.ОтменитьСозданиеРезервнойКопииОбласти(КодОбластиДанных, ИдентификаторРезервнойКопии) 
```
</details>

## ОбновитьНастройкиПериодическогоРезервногоКопирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом
// {HTTP://www.1c.ru/SaaS/ManageZonesBackup/a.b.c.d}UpdateScheduledZoneBackupSettings.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ОбластьДанных - Число - значение разделителя области данных.
//  Настройки - Структура - новые настройки резервного копирования.
//
Процедура ОбновитьНастройкиПериодическогоРезервногоКопирования(Знач ОбластьДанных, Знач Настройки) Экспорт
```

Пример вызова
```bsl
СообщенияУправлениеРезервнымКопированиемРеализация.ОбновитьНастройкиПериодическогоРезервногоКопирования(ОбластьДанных, Настройки) 
```
</details>

## ОтменитьПериодическоеРезервноеКопирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка входящих сообщений с типом {HTTP://www.1c.ru/SaaS/ManageZonesBackup/a.b.c.d}CancelScheduledZoneBackup.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ОбластьДанных - Число - значение разделителя области данных.
//
Процедура ОтменитьПериодическоеРезервноеКопирование(Знач ОбластьДанных) Экспорт
```

Пример вызова
```bsl
СообщенияУправлениеРезервнымКопированиемРеализация.ОтменитьПериодическоеРезервноеКопирование(ОбластьДанных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
