---
title: Стандартные подсистемы сервер локализация
slug: bsp/стандартные-подсистемы-сервер-локализация
---


## ПриНастройкеФорматовСохраненияТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет добавить новые или поменять форматы сохранения табличного документа,
// в зависимости от национальной специфики. Например, указать те форматы, в которых
// принимают документы в местных контролирующих органах.
//
// Параметры:
//  ТаблицаФорматов - см. СтандартныеПодсистемыСервер.НастройкиФорматовСохраненияТабличногоДокумента
//
Процедура ПриНастройкеФорматовСохраненияТабличногоДокумента(ТаблицаФорматов) Экспорт
```

Пример вызова
```bsl
СтандартныеПодсистемыСерверЛокализация.ПриНастройкеФорматовСохраненияТабличногоДокумента(ТаблицаФорматов) 
```
</details>

## ПриОпределенииМинимальнойИРекомендуемойВерсийПлатформы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура доопределяет минимальную и рекомендуемую версии платформы "1С:Предприятие" для работы конфигурации,
// заданные в ОбщегоНазначенияПереопределяемый.ПриОпределенииОбщихПараметровБазовойФункциональности.
// Может использоваться для установки минимальной и рекомендуемой версий платформы по данным внешнего сервиса.
//
// Параметры:
//  МинимальнаяВерсияПлатформы   - см. ОбщегоНазначенияПереопределяемый.ПриОпределенииОбщихПараметровБазовойФункциональности.ОбщиеПараметры.МинимальнаяВерсияПлатформы
//  РекомендуемаяВерсияПлатформы - см. ОбщегоНазначенияПереопределяемый.ПриОпределенииОбщихПараметровБазовойФункциональности.ОбщиеПараметры.РекомендуемаяВерсияПлатформы
//
Процедура ПриОпределенииМинимальнойИРекомендуемойВерсийПлатформы(МинимальнаяВерсияПлатформы, РекомендуемаяВерсияПлатформы) Экспорт
```

Пример вызова
```bsl
СтандартныеПодсистемыСерверЛокализация.ПриОпределенииМинимальнойИРекомендуемойВерсийПлатформы(МинимальнаяВерсияПлатформы, РекомендуемаяВерсияПлатформы) 
```
</details>

## ПриНеверномЗаполненииМинимальнойИРекомендуемойВерсийПлатформы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при неверном заполнении минимальной и рекомендуемой версий платформы
// в процедуре ПриОпределенииМинимальнойИРекомендуемойВерсийПлатформы.
//
// Параметры:
//  УказаннаяМинимальная - Строка
//  УказаннаяРекомендуемая - Строка
//  ТребуемаяБСПМинимальная - Строка
//  ОбщиеПараметры - см. ОбщегоНазначения.ОбщиеПараметрыБазовойФункциональности
//
Процедура ПриНеверномЗаполненииМинимальнойИРекомендуемойВерсийПлатформы(УказаннаяМинимальная, УказаннаяРекомендуемая, Экспорт
```

Пример вызова
```bsl
СтандартныеПодсистемыСерверЛокализация.ПриНеверномЗаполненииМинимальнойИРекомендуемойВерсийПлатформы(УказаннаяМинимальная, УказаннаяРекомендуемая, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
