---
title: Тарификация
slug: bsp/тарификация
---


## УслугаПоИдентификаторуИИдентификаторуПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на услугу по ее идентификатору и идентификатору поставщика услуги.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторУслуги - Строка - идентификатор услуги.
//  ИдентификаторПоставщика - Строка - идентификатор поставщика.
//	ВызыватьИсключение - Булево - флаг необходимости вызвать исключение в случае если услуга не найдена
//
// Возвращаемое значение:
//  СправочникСсылка.УслугиСервиса - ссылка на услугу.
//
Функция УслугаПоИдентификаторуИИдентификаторуПоставщика(Знач ИдентификаторУслуги, Знач ИдентификаторПоставщика, ВызыватьИсключение = Истина) Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.УслугаПоИдентификаторуИИдентификаторуПоставщика(ИдентификаторУслуги, ИдентификаторПоставщика, ВызыватьИсключение);
```
</details>

## ЗарегистрированаЛицензияБезлимитнойУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, позволяет ли система тарификации сервиса использование указанной безлимитной услуге
// указанному пользователю.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторПоставщика - Строка - уникальный строковый идентификатор (код) поставщика услуг в сервисе.
//  ИдентификаторУслуги - Строка - уникальный строковый идентификатор (код) услуги в сервисе.
//
// Возвращаемое значение:
//  Булево - результат проверки (Истина = лицензия зарегистрирована).
//
Функция ЗарегистрированаЛицензияБезлимитнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги) Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.ЗарегистрированаЛицензияБезлимитнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги) 
```
</details>

## ЗарегистрированаЛицензияУникальнойУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, зарегистрирован ли в системе тарификации сервиса указанный идентификатор
// лицензии на использование указанной уникальной лимитированной услуги.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторПоставщика - Строка - уникальный строковый идентификатор (код) поставщика услуг в сервисе.
//  ИдентификаторУслуги - Строка - уникальный строковый идентификатор (код) услуги в сервисе.
//  ИмяЛицензии - Строка - Строка(200) уникальное строковое представление лицензии, ПОНЯТНОЕ ПОЛЬЗОВАТЕЛЮ.
//  КонтекстЛицензии - Строка - Строка (200), контекст лицензии.
//
// Возвращаемое значение:
//  Булево - результат проверки (Истина = лицензия зарегистрирована).
//
Функция ЗарегистрированаЛицензияУникальнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, ИмяЛицензии, КонтекстЛицензии = "") Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.ЗарегистрированаЛицензияУникальнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, ИмяЛицензии, КонтекстЛицензии);
```
</details>

## ЗанятьЛицензиюУникальнойУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет попытку получить лицензию на использование уникальной услуги в системе тарификации сервиса.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторПоставщика - Строка - уникальный строковый идентификатор (код) поставщика услуг в сервисе.
//  ИдентификаторУслуги - Строка - уникальный строковый идентификатор (код) услуги в сервисе.
//  ИмяЛицензии - Строка - Строка(200) уникальное строковое представление лицензии, ПОНЯТНОЕ ПОЛЬЗОВАТЕЛЮ.
//  ИдентификаторОперации - УникальныйИдентификатор - уникальный идентификатор операции, потребуется для подтверждения.
//  КонтекстЛицензии - Строка - Строка(200) контекст лицензия, указывающий уникальность лицензии.
//
// Возвращаемое значение:
//  Структура - со свойствами:
//    * Результат - Булево - результат выполнения (Истина = лицензия успешно получена).
//    * ДоступноЛицензий - Число - максимально доступное абоненту количество лицензий на указанную услугу (если "-1", значит неограниченное количество).
//    * ЗанятоЛицензий - Число - количество уже полученных (использованных) лицензий на услугу.
//    * СвободноЛицензий - Число - количество свободных лицензий (если "-1", значит неограниченное количество).
//
Функция ЗанятьЛицензиюУникальнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, ИмяЛицензии, ИдентификаторОперации, КонтекстЛицензии = "") Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.ЗанятьЛицензиюУникальнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, ИмяЛицензии, ИдентификаторОперации, КонтекстЛицензии);
```
</details>

## ОсвободитьЛицензиюУникальнойУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет попытку освободить лицензию на уникальную услугу в системе тарификации сервиса.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторПоставщика - Строка - уникальный строковый идентификатор (код) поставщика услуг в сервисе.
//  ИдентификаторУслуги - Строка - уникальный строковый идентификатор (код) услуги в сервисе.
//  ИмяЛицензии - Строка - Строка(200) уникальное строковое представление лицензии, ПОНЯТНОЕ ПОЛЬЗОВАТЕЛЮ.
//  ИдентификаторОперации - УникальныйИдентификатор - уникальный идентификатор операции, потребуется для подтверждения.
//  КодОбластиДанных - Число - код области данных (если мы вызываем функцию из неразделенного сеанса).
//  КонтекстЛицензии - Строка - Строка(200) контекст лицензия, указывающий уникальность лицензии.
//  УдалитьЛицензиюВоВсехОбластяхДанных - Булево - удалять или нет данную лицензию по областям данных.
//
// Возвращаемое значение:
//  Булево - результат выполнения (Истина = лицензия успешно освобождена, Ложь - данная лицензия не была найдена).
//
Функция ОсвободитьЛицензиюУникальнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, ИмяЛицензии, Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.ОсвободитьЛицензиюУникальнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, ИмяЛицензии, );
```
</details>

## ЗанятьЛицензииЛимитированнойУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет попытку получить лицензии на использование лимитированной услуги в сервисе.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторПоставщика - Строка - уникальный строковый идентификатор (код) поставщика услуг в сервисе.
//  ИдентификаторУслуги - Строка - уникальный строковый идентификатор (код) услуги в сервисе.
//  КоличествоЛицензий - Число - требуемое количество лицензий (натуральное число, 10 разрядов).
//  КодОбластиДанных - Число - код области данных (если мы вызываем функцию из неразделенного сеанса).
//
// Возвращаемое значение:
//  Структура - со свойствами:
//    * Результат - Булево - результат выполнения (Истина = лицензия успешно получена).
//    * ДоступноЛицензий - Число - максимально доступное абоненту количество лицензий на указанную услугу (если "-1", значит неограниченное количество).
//    * ЗанятоЛицензий - Число - количество уже полученных (использованных) лицензий на услугу.
//    * СвободноЛицензий - Число - количество свободных лицензий (если "-1", значит неограниченное количество).
//
Функция ЗанятьЛицензииЛимитированнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, КоличествоЛицензий, КодОбластиДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.ЗанятьЛицензииЛимитированнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, КоличествоЛицензий, КодОбластиДанных);
```
</details>

## ОсвободитьЛицензииЛимитированнойУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет попытку освободить лицензии на использование лимитированной услуги в сервисе.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторПоставщика - Строка - уникальный строковый идентификатор (код) поставщика услуг в сервисе.
//  ИдентификаторУслуги - Строка - уникальный строковый идентификатор (код) услуги в сервисе.
//  КоличествоЛицензий - Число - требуемое количество лицензий (натуральное число, 10 разрядов).
//  КодОбластиДанных - Число - код области данных (если мы вызываем функцию из неразделенного сеанса).
//
// Возвращаемое значение:
//  Булево - результат выполнения (Истина = лицензия успешно освобождена).
//
Функция ОсвободитьЛицензииЛимитированнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, КоличествоЛицензий, КодОбластиДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.ОсвободитьЛицензииЛимитированнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, КоличествоЛицензий, КодОбластиДанных);
```
</details>

## ПодтвердитьОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подтверждение ранее запрошенной операции с лицензиями (получение или освобождение).
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторОперации - УникальныйИдентификатор - идентификатор операции, который передавался при запросе операции.
//
// Возвращаемое значение:
//  Булево - результат операции (Истина = операция подтверждена).
//
Функция ПодтвердитьОперацию(ИдентификаторОперации) Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.ПодтвердитьОперацию(ИдентификаторОперации) 
```
</details>

## ОтменитьОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отмену ранее запрошенной операции с лицензиями (получение или освобождение).
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторОперации - УникальныйИдентификатор - идентификатор операции, который передавался при запросе операции.
//
// Возвращаемое значение:
//    Булево - результат операции (Истина = операция отменена).
//
Функция ОтменитьОперацию(ИдентификаторОперации) Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.ОтменитьОперацию(ИдентификаторОперации) 
```
</details>

## КоличествоЛицензийУникальнойУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет попытку получить количество свободных лицензий на использование уникальной услуги в системе тарификации сервиса.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторПоставщика - Строка - уникальный строковый идентификатор (код) поставщика услуг в сервисе.
//  ИдентификаторУслуги - Строка - уникальный строковый идентификатор (код) услуги в сервисе.
//
// Возвращаемое значение:
//  Структура - с ключами:
//    * ДоступноЛицензий - Число - максимально доступное абоненту количество лицензий на указанную услугу (если "-1", значит неограниченное количество).
//    * ЗанятоЛицензий - Число - количество уже полученных (использованных) лицензий на услугу.
//    * СвободноЛицензий - Число - количество свободных лицензий (если "-1", значит неограниченное количество).
//
Функция КоличествоЛицензийУникальнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги) Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.КоличествоЛицензийУникальнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги) 
```
</details>

## КоличествоЛицензийЛимитированнойУслуги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет попытку получить количество лицензий лимитированной услуги в сервисе.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИдентификаторПоставщика - Строка - уникальный строковый идентификатор (код) поставщика услуг в сервисе.
//  ИдентификаторУслуги - Строка - уникальный строковый идентификатор (код) услуги в сервисе.
//  КодОбластиДанных - Число - код области данных (если мы вызываем функцию из неразделенного сеанса).
//
// Возвращаемое значение:
//  Структура - с ключами:
//    * ДоступноЛицензий - Число - максимально доступное абоненту количество лицензий на указанную услугу (если "-1", значит неограниченное количество).
//    * ЗанятоЛицензий - Число - количество уже полученных (использованных) лицензий на услугу.
//    * СвободноЛицензий - Число - количество свободных лицензий (если "-1", значит неограниченное количество).
//
Функция КоличествоЛицензийЛимитированнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, КодОбластиДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.КоличествоЛицензийЛимитированнойУслуги(ИдентификаторПоставщика, ИдентификаторУслуги, КодОбластиДанных);
```
</details>

## ТекущийСеансЗаблокирован
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак блокировки текущего сеанса тарификацией.
//
// Возвращаемое значение:
//  Булево -
Функция ТекущийСеансЗаблокирован() Экспорт
```

Пример вызова
```bsl
Результат = Тарификация.ТекущийСеансЗаблокирован() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
