---
title: Тарификация переопределяемый
slug: bsp/тарификация-переопределяемый
---


## ПриФормированииСпискаУслуг
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует тарифицируемые услуги конфигурации из Структуры.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ПоставщикиУслуг - Массив из Структура - описывает поставщика услуги:
// 	 * Идентификатор - Строка - идентификатор поставщика услуги (тип Строка - Строка(50)),
// 	 * Наименование - Строка - наименование поставщика услуги (тип Строка - Строка(150)),
// 	 * Услуги - Массив из Структура - услуги поставщика с обязательными ключами:
// 	   ** Идентификатор - Строка - идентификатор услуги  (тип Строка - Строка(50))
// 	   ** Наименование - Строка - наименование услуги  (тип Строка - Строка(150))
// 	   ** ТипУслуги - ПеречислениеСсылка.ТипыУслуг - тип услуги.
//
Процедура ПриФормированииСпискаУслуг(ПоставщикиУслуг) Экспорт
```

Пример вызова
```bsl
ТарификацияПереопределяемый.ПриФормированииСпискаУслуг(ПоставщикиУслуг) 
```
</details>

## ПриИзмененииСостоянияАктивацииЛицензии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие, которое вызывается при изменении активации лицензии.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
// 	ДанныеОЛицензии - Структура - данные о лицензии:
// 	 * Услуга - СправочникСсылка.УслугиСервиса - услуга.
// 	 * ИмяЛицензии - Строка - имя лицензии.
// 	 * КонтекстЛицензии - Строка - контекст лицензии.
// 	ЛицензияАктивирована - Булево - активирована лицензия или деактивирована.
//
Процедура ПриИзмененииСостоянияАктивацииЛицензии(ДанныеОЛицензии, ЛицензияАктивирована) Экспорт
```

Пример вызова
```bsl
ТарификацияПереопределяемый.ПриИзмененииСостоянияАктивацииЛицензии(ДанныеОЛицензии, ЛицензияАктивирована) 
```
</details>

## ПриОбновленииДоступныхЛицензий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие, которое вызывается при обновлении доступных лицензий.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//	ПараметрыЛицензии - Структура - соответствует составу реквизитов, измерений и ресурсов РС "ДоступныеЛицензии":
// 	 * ИдентификаторПодписки - УникальныйИдентификатор - внутренний идентификатор подписки.
// 	 * Услуга - СправочникСсылка.УслугиСервиса - услуга.
// 	 * ДатаНачалаДействия - Дата - дата начала действия подписки.
// 	 * ДатаОкончанияДействия - Дата - дата окончания действия подписки.
// 	 * КоличествоЛицензий - Число - количество лицензий.
// 	 * НомерПодписки - Строка - номер подписки.
// 	 * ДатаИзменения - Дата - дата изменения.
//
Процедура ПриОбновленииДоступныхЛицензий(ПараметрыЛицензии) Экспорт
```

Пример вызова
```bsl
ТарификацияПереопределяемый.ПриОбновленииДоступныхЛицензий(ПараметрыЛицензии) 
```
</details>

## ПриУдаленииДоступныхЛицензий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Событие, которое вызывается при удалении доступных лицензий.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//	ПараметрыЛицензии - см. ПриОбновленииДоступныхЛицензий.ПараметрыЛицензии
//
Процедура ПриУдаленииДоступныхЛицензий(ПараметрыЛицензии) Экспорт
```

Пример вызова
```bsl
ТарификацияПереопределяемый.ПриУдаленииДоступныхЛицензий(ПараметрыЛицензии) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
