---
title: Трансляция XDTO
slug: bsp/трансляция-xdto
---


## ТранслироватьВВерсию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет трансляцию произвольного XDTO-объекта
// между версиями по зарегистрированным в системе обработчикам трансляции,
// определяя результирующую версию по пространству имен результирующего сообщения.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИсходныйОбъект - ОбъектXDTO - Транслируемый объект.
//  РезультирующаяВерсия - строка - Номер результирующей версии интерфейса, в формате РР.{П|ПП}.ЗЗ.СС.
//  ПакетИсходнойВерсии - Строка - пространство имен версии сообщения.
//
// Возвращаемое значение:
//  ОбъектXDTO - результат трансляции объекта.
//
Функция ТранслироватьВВерсию(Знач ИсходныйОбъект, Знач РезультирующаяВерсия, Экспорт
```

Пример вызова
```bsl
Результат = ТрансляцияXDTO.ТранслироватьВВерсию(ИсходныйОбъект, РезультирующаяВерсия, );
```
</details>

## ТранслироватьВПространствоИмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет трансляцию произвольного XDTO-объекта
// между версиями по зарегистрированным в системе обработчикам трансляции,
// определяя результирующую версию по пространству имен результирующего сообщения.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ИсходныйОбъект - ОбъектXDTO - Транслируемый объект.
//  ПакетРезультирующейВерсии - Строка - Пространство имен результирующей версии.
//  ПакетИсходнойВерсии - Строка - пространство имен версии сообщения.
//
// Возвращаемое значение:
//  ОбъектXDTO - результат трансляции объекта.
//
Функция ТранслироватьВПространствоИмен(Знач ИсходныйОбъект, Экспорт
```

Пример вызова
```bsl
Результат = ТрансляцияXDTO.ТранслироватьВПространствоИмен(ИсходныйОбъект, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
