---
title: Транспорт сообщений обмена переопределяемый
slug: bsp/транспорт-сообщений-обмена-переопределяемый
---


## ПриОпределенииТиповТранспорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из ТранспортСообщенийОбмена.ВсеТипыТранспорта
// Возвращает все доступные типы транспорта.
//
// Параметры:
//  ТипыТранспорта - Массив из ОбработкаОбъект.ТранспортСообщенийОбмена*
//
Процедура ПриОпределенииТиповТранспорта(ТипыТранспорта) Экспорт
```

Пример вызова
```bsl
ТранспортСообщенийОбменаПереопределяемый.ПриОпределенииТиповТранспорта(ТипыТранспорта) 
```
</details>

## ПриОпределенииДоступныхТиповТранспорта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в ТранспортСообщенийОбмена.ДоступныеТипыТранспорта
// Определяет доступные типы транспорта для узла плана обмена
//
// Параметры:
//  ДоступныеТипыТранспорта - Массив из ОбработкаОбъект.ТранспортСообщенийОбмена*
//  Корреспондент - ПланОбменаСсылка - узел, для котороно определяются доступные типы транспорта
//  ВариантНастройки - Строка - вариант настройки
//
Процедура ПриОпределенииДоступныхТиповТранспорта(ДоступныеТипыТранспорта, Корреспондент, ВариантНастройки = "") Экспорт
```

Пример вызова
```bsl
ТранспортСообщенийОбменаПереопределяемый.ПриОпределенииДоступныхТиповТранспорта(ДоступныеТипыТранспорта, Корреспондент, ВариантНастройки);
```
</details>

## ПриПомещенииФайлаВХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в ОбменДаннымиОперацииВебСервисов.СобратьФайлИзЧастей,
// при помещении файла в хранилище сообщений обмена (регистр сведений СообщенияОбменаДанными).
//
// Параметры:
//  ИмяФайла - Строка
//  ИдентификаторФайла - Строка
//
Процедура ПриПомещенииФайлаВХранилище(ИмяФайла, ИдентификаторФайла) Экспорт
```

Пример вызова
```bsl
ТранспортСообщенийОбменаПереопределяемый.ПриПомещенииФайлаВХранилище(ИмяФайла, ИдентификаторФайла) 
```
</details>

## ПередПолучениемФайлаИзХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается в ОбменДаннымиОперацииВебСервисов.ПодготовитьФайлДляПолучения,
// перед получерием файла их хранилища сообщений обмена (регистр сведений СообщенияОбменаДанными).
//
// Параметры:
//  ИдентификаторФайла - Строка
//
Процедура ПередПолучениемФайлаИзХранилища(ИдентификаторФайла) Экспорт
```

Пример вызова
```bsl
ТранспортСообщенийОбменаПереопределяемый.ПередПолучениемФайлаИзХранилища(ИдентификаторФайла) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
