---
title: Универсальная интеграция переопределяемый
slug: bsp/универсальная-интеграция-переопределяемый
---


## ОбработатьДанныеПередОтправкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет дополнить, изменить данные перед отправкой в менеджер сервиса.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ИдентификаторПравила - Строка - идентификатор правила.
//  Данные - Структура - данные к отправке.
//
Процедура ОбработатьДанныеПередОтправкой(ИдентификаторПравила, Данные) Экспорт
```

Пример вызова
```bsl
УниверсальнаяИнтеграцияПереопределяемый.ОбработатьДанныеПередОтправкой(ИдентификаторПравила, Данные) 
```
</details>

## ОбработатьОповещениеОбИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обработки оповещения об изменении объекта по правилу трансляции.
// Вызывается после получения данных объекта, перед сохранением объекта в безопасное хранилище.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ИдентификаторПравила - Строка - идентификатор правила трансляции.
//  КлючОбъекта - Строка - ключ объекта.
//  Данные - Структура - данные объекта.
//
Процедура ОбработатьОповещениеОбИзменении(ИдентификаторПравила, КлючОбъекта, Данные) Экспорт
```

Пример вызова
```bsl
УниверсальнаяИнтеграцияПереопределяемый.ОбработатьОповещениеОбИзменении(ИдентификаторПравила, КлючОбъекта, Данные) 
```
</details>

## ОбработатьОповещениеОбИзмененииОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обработки оповещения об изменении объекта.
// Вызывается после получения оповещения, перед сохранением в безопасное хранилище.
// @skip-warning ПустойМетод - переопределяемый метод.
//
// Параметры:
//  ТипОбъекта - Строка - тип объекта.
//  КлючОбъекта - Строка - ключ объекта.
//
Процедура ОбработатьОповещениеОбИзмененииОбъекта(ТипОбъекта, КлючОбъекта) Экспорт
```

Пример вызова
```bsl
УниверсальнаяИнтеграцияПереопределяемый.ОбработатьОповещениеОбИзмененииОбъекта(ТипОбъекта, КлючОбъекта) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
