---
title: Управление контактной информацией клиент локализация
slug: bsp/управление-контактной-информацией-клиент-локализация
---


## ПриОпределенииURLКартографическогоСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении адрес ресурса(URL) картографического сервиса.
//
// Параметры:
//  ИмяКартографическогоСервиса - Строка - Имя картографического сервиса;
//  АдресРесурса - Строка - адрес ресурса в интернете, ведущий на картографический сайт. В АдресРесурса необходимо обязательно
//          указать параметр %1, куда будет подставлен искомый адрес для отображения на карте.
//          Например: https://www.openstreetmap.org/search?query=%1.
//
Процедура ПриОпределенииURLКартографическогоСервиса(ИмяКартографическогоСервиса, АдресРесурса) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейКлиентЛокализация.ПриОпределенииURLКартографическогоСервиса(ИмяКартографическогоСервиса, АдресРесурса) 
```
</details>

## ПоказатьАдресНаКартеЯндекс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показать адрес на карте Яндекс.
//
// Параметры:
//  КонтактнаяИнформация - см. УправлениеКонтактнойИнформациейКлиент.ПараметрКонтактнаяИнформацияДляВыполненияКоманд
//  ДополнительныеПараметры - см. УправлениеКонтактнойИнформациейКлиент.ДополнительныеПараметрыДляВыполненияКоманд
//
Процедура ПоказатьАдресНаКартеЯндекс(КонтактнаяИнформация, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейКлиентЛокализация.ПоказатьАдресНаКартеЯндекс(КонтактнаяИнформация, ДополнительныеПараметры) 
```
</details>

## ПриОпределенииПорядкаПолейАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет очередность полей в представлении адреса.
// Вызывается только в международной поставке.
//
// Параметры:
//  ПорядокПолей - Массив - набор полей в нужном порядке. Например, "area", "ZIPcode", "city".
//  Страна - СправочникСсылка.СтраныМира - ссылка на справочник стран мира
//  ВключатьСтрануВПредставление - Булево - Истина, если в настройках вида контактной информации установлен признак
//                                           включения страны в представление адреса.
//
Процедура ПриОпределенииПорядкаПолейАдреса(ПорядокПолей, Страна, ВключатьСтрануВПредставление) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейКлиентЛокализация.ПриОпределенииПорядкаПолейАдреса(ПорядокПолей, Страна, ВключатьСтрануВПредставление) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
