---
title: Управление контактной информацией локализация
slug: bsp/управление-контактной-информацией-локализация
---


## ПриОпределениеКомандТипаКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание команд, предназначенные для типа контактной информации, переданного в качестве параметра.
// Полученное соответствие используется в УправлениеКонтактнойИнформациейПереопределяемый.ПриОпределенииНастроек.
// КомандыТипа - выходной параметр.
//
// Параметры:
//  КомандыТипа - Структура:
//   * Ключ - Строка - имя команды, например "ПоказатьНаКарте".
//   * Значение - см. УправлениеКонтактнойИнформацией.СвойстваКоманды
//  Тип - ПеречислениеСсылка.ТипыКонтактнойИнформации - тип контактной информации.
//
Процедура ПриОпределениеКомандТипаКонтактнойИнформации(КомандыТипа, Тип) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриОпределениеКомандТипаКонтактнойИнформации(КомандыТипа, Тип) 
```
</details>

## ПриКонвертированииКонтактнуюИнформациюИзJSONВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует контактную информацию из формата JSON в формат XML.
//
// Параметры:
//  КонтактнаяИнформацияВJSON - Строка - контактная информация во внутреннем формате JSON.
//  КонтактнаяИнформацияВXML  - Строка - выходной параметр. Контактная информация в формате XML.
//  ОжидаемыйТип              - ПеречислениеСсылка.ТипыКонтактнойИнформации - используется для определения типа,
//                              если его невозможно вычислить автоматически по данным JSON.
//
Процедура ПриКонвертированииКонтактнуюИнформациюИзJSONВXML(Знач КонтактнаяИнформацияВJSON, КонтактнаяИнформацияВXML, ОжидаемыйТип = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриКонвертированииКонтактнуюИнформациюИзJSONВXML(КонтактнаяИнформацияВJSON, КонтактнаяИнформацияВXML, ОжидаемыйТип);
```
</details>

## ПриКонвертированииКонтактнойИнформацииИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При конвертировании контактной информации из XML в объекта XDTO.
//
// Параметры:
//  Текст - Строка - контактная информация во формате XML
//  КонтактнаяИнформация - ОбъектXDTO -  выходной параметр. Контактная информация в формате объекта XDTO.
//  ОжидаемыйВид - ПеречислениеСсылка.ТипыКонтактнойИнформации - ожидаемый вид типа контактной информации.
//  РезультатПреобразования - Структура:
//    * СведенияИсправлены - Булево - Истина, если сведения были скорректированы
//                          - Неопределено - преобразование не выполнялось.
//  НастройкиКонвертации - см. УправлениеКонтактнойИнформацией.НастройкиКонвертацииКонтактнойИнформации
//
Процедура ПриКонвертированииКонтактнойИнформацииИзXML(Знач Текст, КонтактнаяИнформация, Знач ОжидаемыйВид = Неопределено, РезультатПреобразования = Неопределено, НастройкиКонвертации = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриКонвертированииКонтактнойИнформацииИзXML(Текст, КонтактнаяИнформация, ОжидаемыйВид, РезультатПреобразования, НастройкиКонвертации);
```
</details>

## ПриКонвертированииКонтактнойИнформацииВСтруктуруJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При конвертировании контактной информации в структуру JSON.
//
// Параметры:
//  КонтактнаяИнформация - Строка - контактная информация во формате XML
//  КонтактнаяИнформацияJSON - Строка -  выходной параметр. Контактная информация в формате JSON
//  Тип - ПеречислениеСсылка.ТипыКонтактнойИнформации - ожидаемый вид типа контактной информации.
//  НастройкиКонвертации - Структура
//
Процедура ПриКонвертированииКонтактнойИнформацииВСтруктуруJSON(КонтактнаяИнформация, КонтактнаяИнформацияJSON, Тип, НастройкиКонвертации) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриКонвертированииКонтактнойИнформацииВСтруктуруJSON(КонтактнаяИнформация, КонтактнаяИнформацияJSON, Тип, НастройкиКонвертации) 
```
</details>

## ПриПриведенииКонтактнойИнформацииВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует входные данные контактной информации в формат XML.
//
// Параметры:
//  Данные - см. УправлениеКонтактнойИнформациейКлиентСервер.ОписаниеКонтактнойИнформации
//  Результат - см. УправлениеКонтактнойИнформацией.ПоляКонтактнойИнформацииДляПреобразования
//  СтандартнаяОбработка - Булево - выходной параметр. Установить Ложь, если реализовано собственное преобразование.
//
Процедура ПриПриведенииКонтактнойИнформацииВXML(Знач Данные, Результат, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриПриведенииКонтактнойИнформацииВXML(Данные, Результат, СтандартнаяОбработка) 
```
</details>

## ПриКонвертацииТелефонаВОбъектXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет преобразование контактной информации, включающей номер телефона, в объект типа XDTO.
//
// Параметры:
//  ЗначенияПолей - Строка - контактная информация
//  Результат - ОбъектXDTO - выходной параметр. Результат  преобразования контактной информации в ОбъектXDTO
//  Представление - Строка - представление контактной информации
//  ОжидаемыйТип - ПеречислениеСсылка.ТипыКонтактнойИнформации - тип контактной информации
//
Процедура ПриКонвертацииТелефонаВОбъектXDTO(ЗначенияПолей, Результат, Представление = "", ОжидаемыйТип = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриКонвертацииТелефонаВОбъектXDTO(ЗначенияПолей, Результат, Представление, ОжидаемыйТип);
```
</details>

## ПриКонвертацииФаксаВОбъектXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет преобразование контактной информации, включающей номер факса, в объект типа XDTO.
//
// Параметры:
//  ЗначенияПолей - Строка - контактная информация
//  Результат - ОбъектXDTO - выходной параметр. Результат  преобразования контактной информации в ОбъектXDTO
//  Представление - Строка - представление контактной информации
//  ОжидаемыйТип - ПеречислениеСсылка.ТипыКонтактнойИнформации - тип контактной информации
//
Процедура ПриКонвертацииФаксаВОбъектXDTO(ЗначенияПолей, Результат, Представление = "", ОжидаемыйТип = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриКонвертацииФаксаВОбъектXDTO(ЗначенияПолей, Результат, Представление, ОжидаемыйТип);
```
</details>

## ПриУстановкеКомментарияКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавление комментария к контактной информации.
//
// Параметры:
//  КонтактнаяИнформация - Строка - контактная информация, для которой будет добавлен комментарий.
//  Комментарий - Строка - комментарий контактной информации
//
Процедура ПриУстановкеКомментарияКонтактнойИнформации(КонтактнаяИнформация, Знач Комментарий) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриУстановкеКомментарияКонтактнойИнформации(КонтактнаяИнформация, Комментарий) 
```
</details>

## ПриОпределенииТипаКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет тип контактной информации.
//
// Параметры:
//  XMLСтрока - Строка - контактная информация в формате XML.
//  Тип - ПеречислениеСсылка.ТипыКонтактнойИнформации - выходной параметр. Тип контактной информации.
//
Процедура ПриОпределенииТипаКонтактнойИнформации(Знач XMLСтрока, Тип) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриОпределенииТипаКонтактнойИнформации(XMLСтрока, Тип) 
```
</details>

## ПриПреобразованииКонтактнойИнформацииXDTOПоПредставлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При преобразовании представления контактной информации в XDTO объект.
//
// Параметры:
//  Текст - Строка - представление контактной информации.
//  Результат - ОбъектXDTO - выходной параметр. Результат преобразования
//  ОжидаемыйВид - ПеречислениеСсылка.ТипыКонтактнойИнформации - тип контактной информации.
//
Процедура ПриПреобразованииКонтактнойИнформацииXDTOПоПредставлению(Текст, Результат, ОжидаемыйВид) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриПреобразованииКонтактнойИнформацииXDTOПоПредставлению(Текст, Результат, ОжидаемыйВид) 
```
</details>

## ПриПреобразованииКонтактнойИнформацииXDTOВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует контактную информацию из XDTO в XML.
//
// Параметры:
//  ОбъектXDTOИнформации - ОбъектXDTO - контактная информация в формате объекта XDTO
//  КонтактнаяИнформацияВXML - Строка - выходной параметр. Контактная информация в формате XML.
//
Процедура ПриПреобразованииКонтактнойИнформацииXDTOВXML(ОбъектXDTOИнформации, КонтактнаяИнформацияВXML) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриПреобразованииКонтактнойИнформацииXDTOВXML(ОбъектXDTOИнформации, КонтактнаяИнформацияВXML) 
```
</details>

## ПриПолученииСтрокиСоставаКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении строки состава контактной информации.
//
// Параметры:
//   XMLДанные - Строка - контактная информация в формате XMLДанные;
//   СтрокаСостава - Строка -  выходной параметр. Строка состава из XML данных.
//
Процедура ПриПолученииСтрокиСоставаКонтактнойИнформации(XMLДанные, СтрокаСостава) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриПолученииСтрокиСоставаКонтактнойИнформации(XMLДанные, СтрокаСостава) 
```
</details>

## ПриЗаполненииРеквизитовТабличнойЧастиДляВебСтраницы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При заполнение реквизитов табличной части для веб страницы.
//
// Параметры:
//  Источник - ОбъектXDTO - источник контактной информации
//  Результат - Строка - результат заполнения
//
Процедура ПриЗаполненииРеквизитовТабличнойЧастиДляВебСтраницы(Источник, Результат) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриЗаполненииРеквизитовТабличнойЧастиДляВебСтраницы(Источник, Результат) 
```
</details>

## ПриОпределенииРазличияКонтактнойИнформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сравнивает два экземпляра контактной информации.
//
// Параметры:
//    Данные1 - ОбъектXDTO - объект с контактной информацией.
//            - Строка     - контактная информация в формате XML.
//            - Структура  - описание контактной информацию. Ожидаются поля:
//                 * ЗначенияПолей - Строка
//                                 - Структура
//                                 - СписокЗначений
//                                 - Соответствие - поля контактной информации.
//                 * Представление - Строка - представление. Используется в случае, если не удалось вычислить
//                                            представление из ЗначенияПолей (отсутствие в них поля Представление).
//                 * Комментарий - Строка - комментарий. Используется в том случае, если не удалось вычислить комментарий
//                                          из ЗначенияПолей.
//                 * ВидКонтактнойИнформации - СправочникСсылка.ВидыКонтактнойИнформации
//                                           - ПеречислениеСсылка.ТипыКонтактнойИнформации
//                                           - Структура -
//                                             используется в том случае, если не удалось вычислить тип из ЗначенияПолей.
//    Данные2 - ОбъектXDTO
//            - Строка
//            - Структура - смотри описание параметра Данные1.
//    Результат - ТаблицаЗначений:
//      * Путь      - Строка - XPath, идентифицирующий отличающееся значение. Значение "ТипКонтактнойИнформации"
//                             означает, что переданные экземпляры контактной информации различаются типом.
//      * Описание  - Строка - описание отличающегося реквизита в терминах предметной области.
//      * Значение1 - Строка - значение, соответствующая объекту, переданному в параметре Данные1.
//      * Значение2 - Строка - значение, соответствующая объекту, переданному в параметре Данные2.
//
//
// Возвращаемое значение:
//     ТаблицаЗначений: - таблица отличающихся полей со следующими колонками:
//        * Путь      - Строка - XPath, идентифицирующий отличающееся значение. Значение "ТипКонтактнойИнформации"
//                               означает, что переданные экземпляры контактной информации различаются типом.
//        * Описание  - Строка - описание отличающегося реквизита в терминах предметной области.
//        * Значение1 - Строка - значение, соответствующая объекту, переданному в параметре Данные1.
//        * Значение2 - Строка - значение, соответствующая объекту, переданному в параметре Данные2.
//
Процедура ПриОпределенииРазличияКонтактнойИнформации(Знач Данные1, Знач Данные2, Результат) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриОпределенииРазличияКонтактнойИнформации(Данные1, Данные2, Результат) 
```
</details>

## ПриПроверкеСтраныПослеПоискаСтраныПоКлассификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет выполнить дополнительную проверку и обработку данных о стране, найденной по классификатору.
//
// Параметры:
//  СтранаПоКлассификатору - СтрокаТаблицыЗначений:
//    * Код                - Строка - данные страны.
//    * Наименование       - Строка - данные страны.
//    * НаименованиеПолное - Строка - данные страны.
//    * КодАльфа2          - Строка - данные страны.
//    * КодАльфа3          - Строка - данные страны.
//
Процедура ПриПроверкеСтраныПослеПоискаСтраныПоКлассификатору(СтранаПоКлассификатору) Экспорт
```

Пример вызова
```bsl
УправлениеКонтактнойИнформациейЛокализация.ПриПроверкеСтраныПослеПоискаСтраныПоКлассификатору(СтранаПоКлассификатору) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
