---
title: Файлы БТС
slug: bsp/файлы-бтс
---


## ОбщийКаталогВременныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Путь общего каталога временных файлов для доступа между сеансами.
//
// Возвращаемое значение:
//   Строка - полный путь к каталогу.
//
Функция ОбщийКаталогВременныхФайлов() Экспорт
```

Пример вызова
```bsl
Результат = ФайлыБТС.ОбщийКаталогВременныхФайлов() 
```
</details>

## НовыйФайлВременногоХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует уникальное имя файла во временном хранилище.
//
// Параметры:
//  Префикс - Строка - Префикс имени файла. Только английские буквы и цифры, до 20-и символов
//  Расширение - Строка - Расширение файла. Только английские буквы и цифры, до 4-х символов
//  МинутХранения - Число - Минут хранения файла. Не менее одной минуты
//
// Возвращаемое значение:
//  Строка - имя зарегистрированного временного файла.
Функция НовыйФайлВременногоХранилища(Знач Префикс, Знач Расширение, МинутХранения) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыБТС.НовыйФайлВременногоХранилища(Префикс, Расширение, МинутХранения) 
```
</details>

## СвойстваФайлаВременногоХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Свойства файла временного хранилища.
//
// Параметры:
//  ИмяФайла - Строка - имя зарегистрированного во временном хранилище файла
//
// Возвращаемое значение:
//  Структура - Свойства файла временного хранилища:
// * Зарегистрирован - Булево
// * ДатаРегистрации - Дата
// * СрокХранения - Дата
// * ПутьWindows - Строка
// * ПутьLinux - Строка
Функция СвойстваФайлаВременногоХранилища(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыБТС.СвойстваФайлаВременногоХранилища(ИмяФайла) 
```
</details>

## ПолноеИмяФайлаВременногоХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Полное имя файла временного хранилища.
//
// Параметры:
//  ИмяФайла - Строка - имя зарегистрированного во временном хранилище файла
//
// Возвращаемое значение:
//  Строка, Неопределено - полное имя файла. Неопределено - если файл не зарегистрирован
Функция ПолноеИмяФайлаВременногоХранилища(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыБТС.ПолноеИмяФайлаВременногоХранилища(ИмяФайла) 
```
</details>

## ПолноеИмяФайлаВСеансе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Полное имя файла в сеансе в зависимости от ОС рабочего сервера.
//
// Параметры:
//  Имя - Строка
//  ПутьWindows - Строка
//  ПутьLinux - Строка
//
// Возвращаемое значение:
//  Строка - полное имя файла в сеансе.
Функция ПолноеИмяФайлаВСеансе(Имя, ПутьWindows, ПутьLinux) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыБТС.ПолноеИмяФайлаВСеансе(Имя, ПутьWindows, ПутьLinux) 
```
</details>

## УдалитьФайлВременногоХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удалить файл временного хранилища.
//
// Параметры:
//  ИмяФайла - Строка - имя зарегистрированного во временном хранилище файла
Процедура УдалитьФайлВременногоХранилища(ИмяФайла) Экспорт
```

Пример вызова
```bsl
ФайлыБТС.УдалитьФайлВременногоХранилища(ИмяФайла) 
```
</details>

## УдалитьВсеФайлыВременногоХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удалить все файлы временного хранилища, кроме заблокированных.
//
// Параметры:
//  Граница - Дата - Универсальная дата, до которой следует удалить файлы
Процедура УдалитьВсеФайлыВременногоХранилища(Граница) Экспорт
```

Пример вызова
```bsl
ФайлыБТС.УдалитьВсеФайлыВременногоХранилища(Граница) 
```
</details>

## ЗаблокироватьФайлВременногоХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заблокировать файл временного хранилища.
//
// Параметры:
//  ИмяФайла - Строка - имя зарегистрированного во временном хранилище файла
//  ИдентификаторФормы - УникальныйИдентификатор, Неопределено - идентификатор формы, на время жизни которой файл будет
//  оставаться заблокированным.
//
// Возвращаемое значение:
//  Булево - Истина, если блокировка установлена
Функция ЗаблокироватьФайлВременногоХранилища(ИмяФайла, ИдентификаторФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыБТС.ЗаблокироватьФайлВременногоХранилища(ИмяФайла, ИдентификаторФормы);
```
</details>

## РазблокироватьФайлВременногоХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разблокировать файл временного хранилища.
//
// Параметры:
//  ИмяФайла - Строка - имя зарегистрированного во временном хранилище файла
//  ИдентификаторФормы - УникальныйИдентификатор, Неопределено - идентификатор формы, в которой файл был заблокирован
Процедура РазблокироватьФайлВременногоХранилища(ИмяФайла, ИдентификаторФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
ФайлыБТС.РазблокироватьФайлВременногоХранилища(ИмяФайла, ИдентификаторФормы);
```
</details>

## ФайлВременногоХранилищаЗаблокирован
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Файл временного хранилища заблокирован.
//
// Параметры:
//  ИмяФайла - Строка - имя зарегистрированного во временном хранилище файла
//
// Возвращаемое значение:
//  Булево
Функция ФайлВременногоХранилищаЗаблокирован(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыБТС.ФайлВременногоХранилищаЗаблокирован(ИмяФайла) 
```
</details>

## УстановитьСрокХраненияФайлаВременногоХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить срок хранения файла временного хранилища относительно текущей универсальной даты.
//
// Параметры:
//  ИмяФайла - Строка - имя зарегистрированного во временном хранилище файла
//  МинутХранения - Число - Минут хранения файла
//
// Возвращаемое значение:
//  Булево - Истина, если срок хранения установлен
Функция УстановитьСрокХраненияФайлаВременногоХранилища(ИмяФайла, МинутХранения) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыБТС.УстановитьСрокХраненияФайлаВременногоХранилища(ИмяФайла, МинутХранения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
