---
title: Файлы областей данных
slug: bsp/файлы-областей-данных
---


## ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//	Типы - см. ВыгрузкаЗагрузкаДанныхПереопределяемый.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки.Типы
//
Процедура ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) Экспорт
```

Пример вызова
```bsl
ФайлыОбластейДанных.ПриЗаполненииТиповИсключаемыхИзВыгрузкиЗагрузки(Типы) 
```
</details>

## ОписаниеФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя, размер, расположение или двоичные данные файла по идентификатору.
// Если файл хранится на диске, в значение ПолноеИмя возвращается расположение файла.
// Если файл хранится в информационной базе, в значение Данные возвращаются двоичные данные.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ОбластьДанных - Число - номер области данных.
//  Идентификатор - Строка - идентификатор файла (длина - 36).
//
// Возвращаемое значение:
//  Структура - описание файла, см. НовыйОписаниеФайла:
//	 * ИмяФайла - Строка - имя файла
//	 * Размер - Число - размер файла в байтах
//	 * ПолноеИмя - Строка, Неопределено - расположение файла в томе.
//	 * Данные - ДвоичныеДанные, Неопределено - двоичные данные файла.
//	 * CRC32 - Число - контрольная сумма данных файла.
//	 * УстановитьВременныйПриПолучении - Булево - признак временного при получении.
//
Функция ОписаниеФайла(Знач ОбластьДанных, Знач Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыОбластейДанных.ОписаниеФайла(ОбластьДанных, Идентификатор) 
```
</details>

## ДвоичныеДанныеФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает двоичные данные файла по идентификатору.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ОбластьДанных - Число - номер области данных.
//  Идентификатор - Строка - идентификатор файла (длина - 36).
//
// Возвращаемое значение:
//  ДвоичныеДанные - двоичные данные файла.
//
Функция ДвоичныеДанныеФайла(Знач ОбластьДанных, Знач Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыОбластейДанных.ДвоичныеДанныеФайла(ОбластьДанных, Идентификатор) 
```
</details>

## ОписаниеПередаваемогоФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает данные файла во временное хранилище и возвращает описание
// для сохранения или открытия файла.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ОбластьДанных - Число - номер области данных.
//  ИдентификаторФайла - УникальныйИдентификатор - идентификатор файла.
//  ИдентификаторФормы - УникальныйИдентификатор - идентификатор формы для помещения.
//
// Возвращаемое значение:
//  ОписаниеПередаваемогоФайла - ОписаниеПередаваемогоФайла - описание для сохранения или открытия файла.
//
Функция ОписаниеПередаваемогоФайла(Знач ОбластьДанных, ИдентификаторФайла, ИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыОбластейДанных.ОписаниеПередаваемогоФайла(ОбластьДанных, ИдентификаторФайла, ИдентификаторФормы) 
```
</details>

## ЗагрузитьФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет данные как запись о файле в регистре сведений ФайлыОбластейДанных.
// Если параметр Данные = Неопределено, должен быть заполнен параметр ПолноеИмя = полное имя файла с путем.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ОбластьДанных - Число - номер области данных.
//  Имя - Строка - имя файла в хранилище.
//  Данные - ДвоичныеДанные, Строка, Неопределено - двоичные данные файла, если ПолноеИмя = Неопределено.
//  ПолноеИмя - Строка, Неопределено - полное имя файла с путем, если Данные = Неопределено.
//  Временный - Булево - признак временного файла (будет удален по заданному расписанию рег. задания УдалениеВременныхФайловОбластейДанных)
//  УстановитьВременныйПриПолучении - Булево - устанавливать признак временного файла при первом получении.
//
// Возвращаемое значение:
//  УникальныйИдентификатор - Идентификатор файла.
//
Функция ЗагрузитьФайл(Знач ОбластьДанных, Знач Имя, Данные = Неопределено, ПолноеИмя = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ФайлыОбластейДанных.ЗагрузитьФайл(ОбластьДанных, Имя, Данные, ПолноеИмя, );
```
</details>

## УстановитьПризнакВременного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает у файла признак "Временный" = Истина.
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ОбластьДанных - Число - номер области данных.
//  ИдентификаторФайла - УникальныйИдентификатор -  идентификатор файла.
//
// Возвращаемое значение:
//	Булево - Истина, если установка удалась, Ложь - в противном случае.
Функция УстановитьПризнакВременного(Знач ОбластьДанных, Знач ИдентификаторФайла) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыОбластейДанных.УстановитьПризнакВременного(ОбластьДанных, ИдентификаторФайла) 
```
</details>

## УдалитьФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удалить файл из информационной базы
// @skip-warning ПустойМетод - особенность реализации.
//
// Параметры:
//  ОбластьДанных - Число - номер области данных.
//  ИдентификаторФайла - УникальныйИдентификатор -  идентификатор удаляемого файла.
//  УдалятьЕслиНаДиске - Булево - если Ложь и хранение на диске, регистрируется как временный ИС диска не удаляется.
//
// Возвращаемое значение:
//  Булево - Успешность удаления.
//
Функция УдалитьФайл(Знач ОбластьДанных, Знач ИдентификаторФайла, Знач УдалятьЕслиНаДиске = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ФайлыОбластейДанных.УдалитьФайл(ОбластьДанных, ИдентификаторФайла, УдалятьЕслиНаДиске);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
