---
title: Физические лица клиент сервер
slug: bsp/физические-лица-клиент-сервер
---


## ЧастиИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Раскладывает полное имя физического лица на составные части.
//
// Параметры:
//  ПолноеИмя - см. ФизическиеЛицаКлиентСерверЛокализация.ПриОпределенииЧастейПолногоИмени.ПолноеИмя
//  ФорматИмени - см. ФизическиеЛицаКлиентСерверЛокализация.ПриОпределенииЧастейПолногоИмени.ФорматИмени
//
// Возвращаемое значение:
//   см. ФизическиеЛицаКлиентСерверЛокализация.ПриОпределенииЧастейПолногоИмени.Результат
//
Функция ЧастиИмени(ПолноеИмя, Знач ФорматИмени = "") Экспорт
```

Пример вызова
```bsl
Результат = ФизическиеЛицаКлиентСервер.ЧастиИмени(ПолноеИмя, ФорматИмени);
```
</details>

## ФамилияИнициалы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует краткое представление из полного имени физического лица.
//
// Параметры:
//  ПолноеИмя - см. ФизическиеЛицаКлиентСерверЛокализация.ПриОпределенииФамилииИнициалов.ПолноеИмя
//  ФорматПолногоИмени - см. ФизическиеЛицаКлиентСерверЛокализация.ПриОпределенииФамилииИнициалов.ФорматПолногоИмени
//  ИнициалыВНачале - см. ФизическиеЛицаКлиентСерверЛокализация.ПриОпределенииФамилииИнициалов.ИнициалыВНачале
//
// Возвращаемое значение:
//   см. ФизическиеЛицаКлиентСерверЛокализация.ПриОпределенииФамилииИнициалов.Результат
//
Функция ФамилияИнициалы(Знач ПолноеИмя, Знач ФорматПолногоИмени = "", Знач ИнициалыВНачале = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ФизическиеЛицаКлиентСервер.ФамилияИнициалы(ПолноеИмя, ФорматПолногоИмени, ИнициалыВНачале);
```
</details>

## ФИОНаписаноВерно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СтроковыеФункцииКлиентСервер.ТолькоСимволыНациональногоАлфавитаВСтроке
//
// Проверяет, верно ли написано ФИО физического лица.
// ФИО считается верным, если содержит только символы национального алфавита, либо только латиницу.
//
// Параметры:
//  ФИО - Строка - фамилия, имя и отчество. Например, "Пупкин Василий Иванович".
//  ТолькоНациональныеСимволы - Булево - при проверке ФИО должна включать только символы национального алфавита.
//
// Возвращаемое значение:
//  Булево - Истина, если ФИО написано верно.
//
Функция ФИОНаписаноВерно(Знач ФИО, ТолькоНациональныеСимволы = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ФизическиеЛицаКлиентСервер.ФИОНаписаноВерно(ФИО, ТолькоНациональныеСимволы);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
