---
title: Электронная подпись
slug: bsp/электронная-подпись
---


## ИспользоватьЭлектронныеПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую настройку использования электронных подписей.
//
// Возвращаемое значение:
//  Булево - если Истина, электронные подписи используются.
//
Функция ИспользоватьЭлектронныеПодписи() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ИспользоватьЭлектронныеПодписи() 
```
</details>

## ИспользоватьШифрование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую настройку использования шифрования.
//
// Возвращаемое значение:
//  Булево - если Истина, шифрование используется.
//
Функция ИспользоватьШифрование() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ИспользоватьШифрование() 
```
</details>

## ПроверятьЭлектронныеПодписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую настройку проверки электронных подписей на сервере.
//
// Возвращаемое значение:
//  Булево - если Истина, электронные подписи будут проверяться на сервере.
//
Функция ПроверятьЭлектронныеПодписиНаСервере() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ПроверятьЭлектронныеПодписиНаСервере() 
```
</details>

## СоздаватьЭлектронныеПодписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую настройку создания электронных подписей на сервере.
// Настройка также предполагает шифрование и расшифровку на сервере.
//
// Возвращаемое значение:
//  Булево - если Истина, электронные подписи будут создаваться на сервере.
//
Функция СоздаватьЭлектронныеПодписиНаСервере() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.СоздаватьЭлектронныеПодписиНаСервере() 
```
</details>

## РазрешенДоступКИнтернетСервисам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что разрешена работа с Интернет-сервисами электронной подписи из приложения.
// Параметры:
//  ПоказатьОшибку - Булево - вызвать исключение.
//
// Возвращаемое значение:
//  Булево
//
Функция РазрешенДоступКИнтернетСервисам(ПоказатьОшибку = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.РазрешенДоступКИнтернетСервисам(ПоказатьОшибку);
```
</details>

## ПодписиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает подписи объекта и возвращает их.
//
// Параметры:
//  Объект - ОпределяемыйТип.ПодписанныйОбъект - ссылка на подписанный объект.
//             Объект должен иметь реквизит ПодписанЭП.
//
//  ДополнительныеПараметры - см. НовыйПараметрыПолученияПодписейОбъекта
//
// Возвращаемое значение:
//  Массив из см. ЭлектроннаяПодписьКлиентСервер.НовыеСвойстваПодписи
//
Функция ПодписиОбъекта(Объект, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ПодписиОбъекта(Объект, ДополнительныеПараметры);
```
</details>

## ДобавитьПодпись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет подпись к объекту и записывает его.
// Устанавливает реквизиту ПодписанЭП значение Истина.
//
// Параметры:
//  Объект - ОпределяемыйТип.ПодписанныйОбъект - по ссылке будет получен объект,
//               заблокирован, изменен, записан. Объект должен иметь реквизит ПодписанЭП.
//           Либо передать сразу объект указанного выше типа, тогда он
//           будет изменен без блокировки и без записи.
//
//  СвойстваПодписи - Строка - адрес временного хранилища, содержащий описанную ниже структуру.
//                  - Структура - см. ЭлектроннаяПодписьКлиентСервер.НовыеСвойстваПодписи.
//                  - Массив из Строка
//                  - Массив из см. ЭлектроннаяПодписьКлиентСервер.НовыеСвойстваПодписи.
//
//  ИдентификаторФормы - УникальныйИдентификатор - идентификатор формы, используемый для блокировки,
//                       если передана ссылка на объект.
//
//  ВерсияОбъекта      - Строка - версия данных объекта, если передана ссылка на объект, используемая
//                       для блокировки объекта перед записью с учетом того, что подписание
//                       выполняется на клиенте и за время подписания объект мог быть изменен.
//
//  ЗаписанныйОбъект   - Произвольный - объект, который был получен и записан, если передавалась ссылка.
//
Процедура ДобавитьПодпись(Объект, Знач СвойстваПодписи, ИдентификаторФормы = Неопределено, Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодпись.ДобавитьПодпись(Объект, СвойстваПодписи, ИдентификаторФормы, );
```
</details>

## ОбновитьПодпись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет подпись объекта.
//
// Параметры:
//  Объект - ОпределяемыйТип.ПодписанныйОбъект - ссылка на подписанный объект,
//             для которого требуется обновить подпись.
//
//  СвойстваПодписи - Строка - адрес временного хранилища, содержащий описанную ниже структуру.
//                  - Структура - см. ЭлектроннаяПодписьКлиентСервер.НовыеСвойстваПодписи.
//  ОбновитьПоПорядковомуНомеру - Булево - (по умолчанию Ложь) подпись обновляется по порядковому номеру,
//                                т.к. двоичные данные подписи изменились при усовершенствовании.
//
Процедура ОбновитьПодпись(Объект, Знач СвойстваПодписи, ОбновитьПоПорядковомуНомеру = Ложь) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодпись.ОбновитьПодпись(Объект, СвойстваПодписи, ОбновитьПоПорядковомуНомеру);
```
</details>

## УдалитьПодпись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет подпись объекта и записывает его.
//
// Параметры:
//  Объект - ОпределяемыйТип.ПодписанныйОбъект - по ссылке будет получен объект,
//               заблокирован, изменен, записан. Объект должен иметь реквизит ПодписанЭП.
//           Либо передать сразу объект указанного выше типа, тогда он
//           будет изменен без блокировки и без записи.
//
//  ПорядковыйНомер      - Число - порядковый номер подписи.
//                       - Массив - значения указанного выше типа.
//
//  ИдентификаторФормы - УникальныйИдентификатор - идентификатор формы, используемый для блокировки,
//                       если передана ссылка на объект.
//
//  ВерсияОбъекта      - Строка - версия данных объекта, если передана ссылка на объект, используемая
//                       для блокировки объекта перед записью, с учетом того, что подписание
//                       выполняется на клиенте и за время подписания объект мог быть изменен.
//
//  ЗаписанныйОбъект   - Произвольный - объект, который был получен и записан, если передавалась ссылка.
//
Процедура УдалитьПодпись(Объект, ПорядковыйНомер, ИдентификаторФормы = Неопределено, Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодпись.УдалитьПодпись(Объект, ПорядковыйНомер, ИдентификаторФормы, );
```
</details>

## СертификатыШифрования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сертификаты шифрования для указанного объекта.
//
// Параметры:
//  Объект - ОпределяемыйТип.ПодписанныйОбъект - ссылка на зашифрованный объект.
//
// Возвращаемое значение:
//   Массив из Структура:
//     * Отпечаток - Строка
//     * Представление - Строка
//     * Сертификат - ДвоичныеДанные
//     * ПорядковыйНомер - Число
//
Функция СертификатыШифрования(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.СертификатыШифрования(Объект) 
```
</details>

## ЗаписатьСертификатыШифрования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает сертификаты шифрования в регистр сведений и записывает объект.
// Устанавливает реквизит Зашифрован по наличию сертификатов в регистре сведений СертификатаШифрования.
//
// Параметры:
//  Объект - ОпределяемыйТип.ПодписанныйОбъект - по ссылке будет получен объект,
//               заблокирован, изменен, записан. Объект должен иметь реквизит Зашифрован.
//           Либо передать сразу объект указанного выше типа, тогда он
//           будет изменен без блокировки и без записи.
//
//  СертификатыШифрования - Строка - адрес временного хранилища, содержащий описанный ниже массив.
//                        - Массив - массив описанных ниже структур:
//                             * Отпечаток     - Строка - отпечаток сертификата в формате строки Base64.
//                             * Представление - Строка - сохраненное представление субъекта,
//                                                  полученное из двоичных данных сертификата.
//                             * Сертификат    - ДвоичныеДанные - содержит выгрузку сертификата,
//                                                  который использовался для шифрования.
//
//  ИдентификаторФормы - УникальныйИдентификатор - идентификатор формы, используемый для блокировки,
//                       если передана ссылка на объект.
//
//  ВерсияОбъекта      - Строка - версия данных объекта, если передана ссылка на объект, используемая
//                       для блокировки объекта перед записью, с учетом того, что подписание
//                       выполняется на клиенте и за время подписания объект мог быть изменен.
//
//  ЗаписанныйОбъект   - Произвольный - объект, который был получен и записан, если передавалась ссылка.
//
Процедура ЗаписатьСертификатыШифрования(Объект, Знач СертификатыШифрования, ИдентификаторФормы = Неопределено, Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодпись.ЗаписатьСертификатыШифрования(Объект, СертификатыШифрования, ИдентификаторФормы, );
```
</details>

## ДатаПодписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату, извлеченную из двоичных данных подписи, или Неопределено.
//
// Параметры:
//  Подпись - ДвоичныеДанные - данные подписи из которых нужно извлечь дату.
//  ПривестиКЧасовомуПоясуСеанса - Булево - привести универсальное время к времени сеанса.
//
// Возвращаемое значение:
//  Дата - успешно извлеченная дата подписи.
//  Неопределено - не удалось извлечь дату из данных подписи.
//
Функция ДатаПодписания(Подпись, ПривестиКЧасовомуПоясуСеанса = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ДатаПодписания(Подпись, ПривестиКЧасовомуПоясуСеанса);
```
</details>

## СсылкаНаСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на сертификат по его двоичным данным или отпечатку.
//
// Параметры:
//  Сертификат - СертификатКриптографии - сертификат.
//             - ДвоичныеДанные - двоичные данные сертификата.
//             - Строка - строка (28), отпечаток сертификата в формате Base64.
//             - Строка - адрес временного хранилища, содержащего двоичные данные сертификата.
//
// Возвращаемое значение:
//  СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования
//  Неопределено - сертификат не существует в справочнике.
//
Функция СсылкаНаСертификат(Знач Сертификат) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.СсылкаНаСертификат(Сертификат) 
```
</details>

## СсылкиНаСертификаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылки на сертификаты по их двоичным данным или отпечатку.
//
// Параметры:
//  Сертификаты - Массив из СертификатКриптографии
//              - Массив из ДвоичныеДанные - двоичные данные сертификатов.
//              - Массив из Строка - строка (28), отпечатки сертификатов в формате Base64.
//              - Массив из Строка - адреса временных хранилищ, содержащих двоичные данные сертификатов.
//  ВозвращатьНесуществующие - Булево - если указать Истина, то в возвращаемое значение будут включены пустые
//               ссылки для сертификатов, отсутствующих в справочнике СертификатыКлючейЭлектроннойПодписиИШифрования.
//
// Возвращаемое значение:
//  Массив из СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования
//
Функция СсылкиНаСертификаты(Знач Сертификаты, Знач ВозвращатьНесуществующие = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.СсылкиНаСертификаты(Сертификаты, ВозвращатьНесуществующие);
```
</details>

## ЗаписатьСертификатВСправочник
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет создать и обновить элемент справочника СертификатыКлючейЭлектроннойПодписиИШифрования по
// указанному сертификату криптографии.
// Для добавления сертификата на клиенте см. ЭлектроннаяПодписьКлиент.ДобавитьСертификат.
//
// Параметры:
//  Сертификат - СертификатКриптографии - сертификат.
//             - ДвоичныеДанные - двоичные данные сертификата.
//             - Строка - адрес временного хранилища, содержащего двоичные данные сертификата.
//
//  ДополнительныеПараметры - Неопределено - без дополнительных параметров.
//                          - Структура - с произвольным составом из следующих свойств:
//      * Наименование - Строка - представление сертификата в списке.
//
//      * Пользователь - СправочникСсылка.Пользователи - пользователь, которому принадлежит сертификат.
//                       Значение используется при получении списка личных сертификатов пользователя
//                       в формах подписания и шифрования данных.
//
//      * Организация     - ОпределяемыйТип.Организация - организация, к которой относится сертификат.
//      * ФизическоеЛицо  - ОпределяемыйТип.ФизическоеЛицо - лицо, которому выдан сертификат.
//
//      * Программа - СправочникСсылка.ПрограммыЭлектроннойПодписиИШифрования - программа, которая
//                      требуется для подписания и расшифровки.
//
//      * ВводитьПарольВПрограммеЭлектроннойПодписи - Булево - флажок "Вводить пароль в программе электронной подписи",
//                      требуется Истина, когда сертификат был установлен на компьютере с усиленной
//                      защитой закрытого ключа, которая означает поддержку только пустого пароля на
//                      уровне 1С:Предприятия (пароль у пользователя не запрашивается - это делает
//                      операционная система, которая не принимает от 1С:Предприятия непустой пароль).
//
// Возвращаемое значение:
//  СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования - ссылка на сертификат.
//
Функция ЗаписатьСертификатВСправочник(Знач Сертификат, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ЗаписатьСертификатВСправочник(Сертификат, ДополнительныеПараметры);
```
</details>

## ШтампВизуализацииЭлектроннойПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает табличный документ, содержащий штамп визуализации электронной подписи.
//
// Параметры:
//  Подпись - см. ЭлектроннаяПодписьКлиентСервер.НовыеСвойстваПодписи
//  ДатаПодписи  - Дата -  дата подписания документа.
//  ТекстОтметки - Строка -  текст, выводящийся непосредственно под штампом и описывающий
//                          расположение подлинника документа.
//  ЛоготипОрганизации - Картинка - если не указан, то будет использована стандартная картинка.
//
// Возвращаемое значение:
//  ТабличныйДокумент - табличный документ, содержащий готовый штамп электронной подписи.
//
Функция ШтампВизуализацииЭлектроннойПодписи(Знач Подпись, Знач ДатаПодписи = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ШтампВизуализацииЭлектроннойПодписи(Подпись, ДатаПодписи, );
```
</details>

## ШтампыВизуализацииЭлектронныхПодписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает табличные документы со штампами электронных подписей, которыми подписан указанный документ.
//
// Параметры:
//  ПодписанныйФайл - ОпределяемыйТип.ПодписанныйОбъект - подписанный документ.
//                                                        Должен иметь реквизит ПодписанЭП.
//  ЭлектронныеПодписи - Массив из см. ЭлектроннаяПодписьКлиентСервер.НовыеСвойстваПодписи - если указан, то
//                       штампы будут сформированы по указанным электронным подписям, а не по тем,
//                       которым подписан ПодписанныйФайл.
//  ТекстыОтметок      - Массив из Строка - текст, выводящийся непосредственно под штампом и описывающий
//                                          расположение подлинника документа.
//
// Возвращаемое значение:
//  Массив из ТабличныйДокумент
//
Функция ШтампыВизуализацииЭлектронныхПодписей(Знач ПодписанныйФайл, Знач ЭлектронныеПодписи = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ШтампыВизуализацииЭлектронныхПодписей(ПодписанныйФайл, ЭлектронныеПодписи, );
```
</details>

## ДобавитьШтампыВТабличныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Размещает штампы в переданном табличном документе.
//
// Параметры:
//  Документ        - ТабличныйДокумент - табличный документ, в который требуется добавить штампы.
//  ОписаниеШтампов - Массив из ТабличныйДокумент - штампы, полученные функцией
//                             ЭлектроннаяПодпись.ШтампВизуализацииЭлектроннойПодписи.
//                             Переданные штампы будут выведены в конец документа, либо в области для размещения
//                             штампов, если они определены в макете табличного документа:
//                               а) имя области задано как "ШтампЭП" + порядковый номер штампа,
//                                  например: "ШтампЭП1" и т.д.
//                               б) область вывода штампа размером в две колонки и семь строк, с произвольной
//                                  шириной колонок.
//                             В таком случае штампы будут выведены в заданные области в порядке
//                             их следования в параметре ОписаниеШтампов.
//                  - Соответствие из КлючИЗначение - описывает места вывода штампов, где:
//                       * Ключ     - Строка - имя области, куда выводить штамп. Для такой области должна
//                                    быть установлена произвольная ширина колонок,
//                                    отличная от ширины колонок остального документа.
//                       * Значение - ТабличныйДокумент - штамп, полученный функцией
//                                       ЭлектроннаяПодпись.ШтампВизуализацииЭлектроннойПодписи.
//  Размеры         - Структура - позволяет изменять размеры штампа, со свойствами:
//                       * ЛеваяКолонка  - Число - ширина левой колонки штампа, содержащей заголовки свойств.
//                                                 По умолчанию - 10.
//                       * ПраваяКолонка - Число - ширина правой колонки штампа, содержащей значения свойств.
//                                                 По умолчанию - 30.
//
Процедура ДобавитьШтампыВТабличныйДокумент(Документ, ОписаниеШтампов, Размеры = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодпись.ДобавитьШтампыВТабличныйДокумент(Документ, ОписаниеШтампов, Размеры);
```
</details>

## ПредставлениеСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектроннаяПодписьКлиент.ПредставлениеСертификата.
Функция ПредставлениеСертификата(Сертификат) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ПредставлениеСертификата(Сертификат) 
```
</details>

## ПредставлениеСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектроннаяПодписьКлиент.ПредставлениеСубъекта.
Функция ПредставлениеСубъекта(Сертификат) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ПредставлениеСубъекта(Сертификат) 
```
</details>

## ПредставлениеИздателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектроннаяПодписьКлиент.ПредставлениеИздателя.
Функция ПредставлениеИздателя(Сертификат) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ПредставлениеИздателя(Сертификат) 
```
</details>

## СвойстваСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает основные свойства сертификата.
//
// Параметры:
//   Сертификат - СертификатКриптографии - сертификат криптографии.
//              - ДвоичныеДанные - двоичные данные сертификата в кодировке DER.
//
// Возвращаемое значение:
//   Структура:
//    * Отпечаток      - Строка - отпечаток сертификата в формате строки Base64.
//    * СерийныйНомер  - ДвоичныеДанные - свойство сертификата СерийныйНомер.
//    * Представление  - см. ЭлектроннаяПодписьКлиент.ПредставлениеСертификата.
//    * КомуВыдан      - см. ЭлектроннаяПодписьКлиент.ПредставлениеСубъекта.
//    * КемВыдан       - см. ЭлектроннаяПодписьКлиент.ПредставлениеИздателя.
//    * ДатаНачала     - Дата   - свойство сертификата ДатаНачала в часовом поясе сеанса.
//    * ДатаОкончания  - Дата   - свойство сертификата ДатаОкончания в часовом поясе сеанса.
//    * ДатаНачалаЗакрытогоКлюча     - Дата   - свойство сертификата, указанное в OID 2.5.29.16 в часовом поясе сеанса.
//    * ДатаОкончанияЗакрытогоКлюча  - Дата   - свойство сертификата, указанное в OID 2.5.29.16 в часовом поясе сеанса.
//    * ДействителенДо - Дата - минимальная дата из ДатаОкончания и ДатаОкончанияЗакрытогоКлюча (если указана в сертификате).
//    * Назначение     - Строка - описание расширенного свойства сертификата EKU.
//    * Подписание     - Булево - свойство сертификата ИспользоватьДляПодписи.
//    * Шифрование     - Булево - свойство сертификата ИспользоватьДляШифрования.
//        На платформе 8.3.27 и выше структура содержит свойства:
//    * ИдентификаторКлючаУдостоверяющегоЦентра - Строка - идентификатор ключа издателя.
//    * АлгоритмПодписи - Строка - OID алгоритма подписи сертификата.
//    * АлгоритмОткрытогоКлюча - Строка - OID алгоритма открытого ключа сертификата.
//    * АдресаСписковОтзыва - Массив из Строка
//
Функция СвойстваСертификата(Сертификат) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.СвойстваСертификата(Сертификат) 
```
</details>

## СвойстваСубъектаСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектроннаяПодписьКлиент.СвойстваСубъектаСертификата.
Функция СвойстваСубъектаСертификата(Сертификат) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.СвойстваСубъектаСертификата(Сертификат) 
```
</details>

## СвойстваИздателяСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектроннаяПодписьКлиент.СвойстваИздателяСертификата.
Функция СвойстваИздателяСертификата(Сертификат) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.СвойстваИздателяСертификата(Сертификат) 
```
</details>

## ОшибкаПоКлассификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает причины возникновения и способы устранения проблемы по классификатору типовых проблем
// при работе с электронной подписью.
// Рекомендуется вызывать после всех неудачных криптографических операций на сервере для записи в журнал регистрации.
//
// Параметры:
//   ТекстДляПоискаВКлассификаторе - Строка - описание проблемы, по которому осуществляется поиск в классификаторе.
//   ОшибкаНаСервере               - Булево - место возникновения проблемы, т.к. причины и решения
//                                   на клиенте и сервере могут отличаться. По умолчанию Ложь.
//
// Возвращаемое значение:
//   Неопределено - проблема не описана в классификаторе.
//   Структура:
//     * Причина          - Строка - возможные причины возникновения проблемы.
//     * Решение          - Строка - возможные способы решения возникшей проблемы.
//     * СпособУстранения - Строка - идентификатор способа автоматического устранения проблемы.
//     * Ссылка           - Строка - идентификатора якоря в статье на сайте ИТС.
//
Функция ОшибкаПоКлассификатору(ТекстДляПоискаВКлассификаторе, ОшибкаНаСервере = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ОшибкаПоКлассификатору(ТекстДляПоискаВКлассификаторе, ОшибкаНаСервере);
```
</details>

## УсовершенствоватьПодпись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Усовершенствует подпись до переданного типа, если подпись позволяет.
// Добавляет архивную метку времени в архивную подпись (CAdES-A).
// Возвращает только изменившиеся в процессе усовершенствования свойства подписи.
//
// Параметры:
//  Подпись                      - ДвоичныеДанные - двоичные данные электронной подписи.
//  ТипПодписи                   - ПеречислениеСсылка.ТипыПодписиКриптографии - тип подписи,
//                                  до которого требуется усовершенствование. Если фактический ТипПодписи
//                                  тот же или выше, тогда никаких действий произведено не будет.
//  ДобавитьАрхивнуюМеткуВремени - Булево - если указано Истина и фактический ТипПодписи архивная,
//                                   тогда будет добавлена метка времени.
//  ДополнительныеПараметры - Структура:
//                             * МенеджерКриптографии - Неопределено - получить менеджер криптографии для проверки
//                                                    - МенеджерКриптографии - использовать указанный менеджер криптографии.
//                             * ИгнорироватьСрокДействияСертификата  - Булево - по умолчанию Ложь, не проверять
//                                                      срок действия сертификата подписи перед усовершенствованием.
//                          - Неопределено - получить менеджер криптографии для проверки
//                                 электронных подписей, как настроил администратор.
//                          - МенеджерКриптографии - использовать указанный менеджер криптографии.
//
// Возвращаемое значение:
//  Структура:
//   * Успех - Булево - Истина, если усовершенствование прошло успешно или не требовалось.
//   * ТекстОшибки - Строка - заполнен, если Успех = Ложь.
//   * СвойстваПодписи - см. ЭлектроннаяПодписьКлиентСервер.НовыеСвойстваПодписи.
//
Функция УсовершенствоватьПодпись(Подпись, ТипПодписи, ДобавитьАрхивнуюМеткуВремени = Ложь, Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.УсовершенствоватьПодпись(Подпись, ТипПодписи, ДобавитьАрхивнуюМеткуВремени, );
```
</details>

## УсовершенствоватьПодписьОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Усовершенствует подпись объекта до переданного типа, если подпись позволяет.
// Добавляет архивную метку времени в архивную подпись (CAdES-A).
// Обновляет данные подписи объекта (Тип подписи, Срок действия последней метки времени).
//
// Параметры:
//  ПодписанныйОбъект - ОпределяемыйТип.ПодписанныйОбъект - ссылка по которой будет получена подпись для
//           усовершенствования и для блокировки при обновлении.
//
//  ПорядковыйНомер - Число - порядковый номер подписи.
//
//  ТипПодписи      - ПеречислениеСсылка.ТипыПодписиКриптографии - тип подписи,
//                    до которого требуется усовершенствование. Если фактический ТипПодписи
//                    тот же или выше, тогда никаких действий произведено не будет.
//
//  ДобавитьАрхивнуюМеткуВремени - Булево - если указано Истина и ТипПодписи указан архивная,
//                           и фактический ТипПодписи архивная, тогда будет добавлена метка времени.
//
//  ИдентификаторФормы - УникальныйИдентификатор - идентификатор формы, используемый для блокировки,
//                      если передана ссылка на объект.
//
//  ДополнительныеПараметры - Структура:
//                             * МенеджерКриптографии - Неопределено, МенеджерКриптографии - описание ниже.
//                             * ИгнорироватьСрокДействияСертификата  - Булево - по умолчанию Ложь, не проверять
//                                                      срок действия сертификата подписи перед усовершенствованием.
//                          - Неопределено - получить менеджер криптографии для проверки
//                                 электронных подписей, как настроил администратор.
//                          - МенеджерКриптографии - использовать указанный менеджер криптографии.
//
// Возвращаемое значение:
//  Структура:
//   * Успех - Булево - Истина, если усовершенствование прошло успешно или не требовалось.
//   * ТекстОшибки - Строка - заполнен, если Успех = Ложь.
//   * СвойстваПодписи - см. ЭлектроннаяПодписьКлиентСервер.НовыеСвойстваПодписи
//
Функция УсовершенствоватьПодписьОбъекта(ПодписанныйОбъект, ПорядковыйНомер, ТипПодписи, ДобавитьАрхивнуюМеткуВремени = Ложь, Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.УсовершенствоватьПодписьОбъекта(ПодписанныйОбъект, ПорядковыйНомер, ТипПодписи, ДобавитьАрхивнуюМеткуВремени, );
```
</details>

## НовыйПараметрыПолученияПодписейОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор для описания дополнительных параметров получения электронных подписей объекта.
//
// Возвращаемое значение:
//   Структура:
//     * ПорядковыйНомер               - Число - порядковый номер подписи для отбора.
//                                     - Массив из Число - массив из порядковых номеров подписи для отбора.
//     * ВозвращатьДанныеМЧД           - Булево - если Истина и для подписи есть МЧД, будет заполнено свойство РезультатПроверкиПодписиПоМЧД
//     * ВозвращатьСертификатыИзПодписей - Булево - если Истина, будет выполнено получение сертификатов из двоичных
//                                                  данных подписей.
//
Функция НовыйПараметрыПолученияПодписейОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.НовыйПараметрыПолученияПодписейОбъекта() 
```
</details>

## СертификатИзДвоичныхДанныхПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Извлекает сертификат из двоичных данных подписи.
//
// Параметры:
//  Подпись - ДвоичныеДанные - результат подписания
//
// Возвращаемое значение:
//   ДвоичныеДанные - двоичные данные сертификата.
//   Неопределено - подпись не содержит сертификатов криптографии.
//
Функция СертификатИзДвоичныхДанныхПодписи(Подпись) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.СертификатИзДвоичныхДанныхПодписи(Подпись) 
```
</details>

## ДоступностьСозданияЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает доступность создания заявления на выпуск
// квалифицированных сертификатов для организаций и физических лиц.
// Требуется для скрытия команд, использующих процедуру
// ДобавитьСертификат общего модуля ЭлектроннаяПодписьКлиент
// в режиме создания заявления.
//
// Возвращаемое значение:
//  Структура:
//   * ДляФизическихЛиц - Булево
//   * ДляРуководителейЮридическихЛиц - Булево
//   * ДляСотрудниковЮридическихЛиц - Булево
//   * ДляИндивидуальныхПредпринимателей - Булево
//
Функция ДоступностьСозданияЗаявления() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ДоступностьСозданияЗаявления() 
```
</details>

## ДоступнаУсовершенствованнаяПодпись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Всегда возвращает Истина.
//
// Возвращаемое значение:
//  Булево - если Истина, электронные подписи используются.
//
Функция ДоступнаУсовершенствованнаяПодпись() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.ДоступнаУсовершенствованнаяПодпись() 
```
</details>

## УстановленныеПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ПодписиОбъекта.
// Получает подписи объекта и возвращает их.
//
// Параметры:
//  Объект - ОпределяемыйТип.ПодписанныйОбъект - ссылка на подписанный объект.
//             Объект должен иметь реквизит ПодписанЭП.
//
//  ПорядковыйНомер - Число
//                  - Массив из Число
//  ВозвращатьДанныеМЧД - Булево - если Истина и для подписи есть МЧД будет заполнено свойство РезультатПроверкиПодписиПоМЧД
//
// Возвращаемое значение:
//  Массив из см. ЭлектроннаяПодписьКлиентСервер.НовыеСвойстваПодписи
//
Функция УстановленныеПодписи(Объект, ПорядковыйНомер = Неопределено, ВозвращатьДанныеМЧД = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодпись.УстановленныеПодписи(Объект, ПорядковыйНомер, ВозвращатьДанныеМЧД);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
