---
title: Электронная подпись в модели сервиса
slug: bsp/электронная-подпись-в-модели-сервиса
---


## ИспользованиеВозможно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возможность использования электронной подписи в модели сервиса.
//
// Возвращаемое значение:
//  Булево
Функция ИспользованиеВозможно() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьВМоделиСервиса.ИспользованиеВозможно() 
```
</details>

## ДолговременныйТокенИспользованиеВозможно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возможность использованиея долговременного токена.
//
// Возвращаемое значение:
//  Булево
Функция ДолговременныйТокенИспользованиеВозможно() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьВМоделиСервиса.ДолговременныйТокенИспользованиеВозможно() 
```
</details>

## СвойстваРасшифрованияПодписанияСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки сертификата: использование долговременного токена и его значение
//
// Параметры:
//   Сертификат - Структура, Строка - содержит свойства сертификата, наличие свойства "Идентификатор" обязательно.
//
// Возвращаемое значение:
//   Структура - состоит из полей:
//   * СпособПодтвержденияКриптоОпераций - Произвольный -
//   * Токен - Произвольный -
//   * Идентификатор - Произвольный -
//   * Отпечаток - Произвольный -
//
Функция СвойстваРасшифрованияПодписанияСертификата(Сертификат) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьВМоделиСервиса.СвойстваРасшифрованияПодписанияСертификата(Сертификат) 
```
</details>

## УдалитьСвойстваРасшифрованияПодписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет настройки для использования долговременного токена
//
// Параметры:
//   Сертификат - Структура - поля:
//					* Идентификатор - Строка - обязательно.
//	 		    - Строка - содержит свойства сертификата, наличие свойства "Идентификатор" обязательно.
//
Процедура УдалитьСвойстваРасшифрованияПодписания(Сертификат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьВМоделиСервиса.УдалитьСвойстваРасшифрованияПодписания(Сертификат) 
```
</details>

## УстановитьСвойстваРасшифрованияПодписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет настройки для использования долговременного токена
//
// Параметры:
//	Сертификат - Структура - поля:
//					* Идентификатор - Строка - обязательно.
//	 		   - Строка - содержит свойства сертификата, наличие свойства "Идентификатор" обязательно.
//
Процедура УстановитьСвойстваРасшифрованияПодписания(Сертификат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьВМоделиСервиса.УстановитьСвойстваРасшифрованияПодписания(Сертификат) 
```
</details>

## НастроитьИспользованиеДолговременногоТокена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастроитьИспользованиеДолговременногоТокена(СпособПодтвержденияКриптоопераций, Сертификат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьВМоделиСервиса.НастроитьИспользованиеДолговременногоТокена(СпособПодтвержденияКриптоопераций, Сертификат) 
```
</details>

## НайтиСертификатПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Найти сертификат по идентификатору
//
// Параметры:
//  Сертификат - Произвольный
//
// Возвращаемое значение:
//  ДвоичныеДанные - Найти сертификат по идентификатору.
Функция НайтиСертификатПоИдентификатору(Сертификат) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьВМоделиСервиса.НайтиСертификатПоИдентификатору(Сертификат) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
