---
title: Электронная подпись клиент локализация
slug: bsp/электронная-подпись-клиент-локализация
---


## ПриОпределенииПолучателяОбращенияВТехническуюПоддержку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Код линии технической поддержки.
//
// Параметры:
//  Получатель - Строка
//
Процедура ПриОпределенииПолучателяОбращенияВТехническуюПоддержку(Получатель) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентЛокализация.ПриОпределенииПолучателяОбращенияВТехническуюПоддержку(Получатель) 
```
</details>

## ПриПолученииФильтраДляВыбораПодписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Фильтр для выбора подписей.
//
// Параметры:
//  Фильтр - Строка
//
Процедура ПриПолученииФильтраДляВыбораПодписей(Фильтр) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентЛокализация.ПриПолученииФильтраДляВыбораПодписей(Фильтр) 
```
</details>

## ПриПолученииСпискаВыбораМашиночитаемыхДоверенностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении списка выбора машиночитаемых доверенностей в форме добавления подписей из файла.
//
// Параметры:
//  Форма - см. ОбщаяФорма.ДобавлениеЭлектроннойПодписиИзФайла
//  ТекущиеДанные - ДанныеФормыЭлементКоллекции - строка подписи в форме ОбщаяФорма.ДобавлениеЭлектроннойПодписиИзФайла
//  СписокВыбора - СписокЗначений
//
Процедура ПриПолученииСпискаВыбораМашиночитаемыхДоверенностей(Форма, ТекущиеДанные, СписокВыбора) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентЛокализация.ПриПолученииСпискаВыбораМашиночитаемыхДоверенностей(Форма, ТекущиеДанные, СписокВыбора) 
```
</details>

## ПриВыбореМашиночитаемойДоверенности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При выборе машиночитаемой доверенности в форме добавления подписей из файла.
//
// Параметры:
//  ОбработчикЗавершения - ОписаниеОповещения
//  ТекущиеДанные - ДанныеФормыЭлементКоллекции - строка подписи в форме ОбщаяФорма.ДобавлениеЭлектроннойПодписиИзФайла
//
Процедура ПриВыбореМашиночитаемойДоверенности(ОбработчикЗавершения, ТекущиеДанные) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентЛокализация.ПриВыбореМашиночитаемойДоверенности(ОбработчикЗавершения, ТекущиеДанные) 
```
</details>

## ПриОпределенииФайловМашиночитаемыхДоверенностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в список сохраняемых файлы машиночитаемых доверенностей при сохранении подписей.
//
// Параметры:
//  ФайлыМашиночитаемыхДоверенностей - Соответствие
//  КоллекцияПодписей - ДанныеФормыКоллекция
//
Процедура ПриОпределенииФайловМашиночитаемыхДоверенностей(ФайлыМашиночитаемыхДоверенностей, Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентЛокализация.ПриОпределенииФайловМашиночитаемыхДоверенностей(ФайлыМашиночитаемыхДоверенностей, );
```
</details>

## ПриПроверкеКонфликтаПрограммКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При проверке конфликта программ криптографии.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  РезультатПроверки - Структура
//
Процедура ПриПроверкеКонфликтаПрограммКриптографии(Форма, РезультатПроверки) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентЛокализация.ПриПроверкеКонфликтаПрограммКриптографии(Форма, РезультатПроверки) 
```
</details>

## ПриПроверкеУстановленныхПрограммКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При проверке установленных программ криптографии.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//  РезультатПроверки - Структура
//  ЕстьПроверяемыеПрограммы - Булево
//
Процедура ПриПроверкеУстановленныхПрограммКриптографии(Форма, РезультатПроверки, ЕстьПроверяемыеПрограммы) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентЛокализация.ПриПроверкеУстановленныхПрограммКриптографии(Форма, РезультатПроверки, ЕстьПроверяемыеПрограммы) 
```
</details>

## ЭтоОшибкаНеправильныйПинКод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Текст ошибки содержит информацию, что введен неправильный пин-код токена.
//
// Параметры:
//  ТекстОшибки - Строка - текст ошибки
//
// Возвращаемое значение:
//  Булево
//
Функция ЭтоОшибкаНеправильныйПинКод(ТекстОшибки) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьКлиентЛокализация.ЭтоОшибкаНеправильныйПинКод(ТекстОшибки) 
```
</details>

## ПриОткрытииФормыУстановкиПрограммКриптопровайдеров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму установки программ криптопровайдеров.
//
// Параметры:
//  Параметры - Структура
//  Владелец - ФормаКлиентскогоПриложения
//  Оповещение - ОписаниеОповещения
//  СтандартнаяОбработка - Булево
//
Процедура ПриОткрытииФормыУстановкиПрограммКриптопровайдеров(Параметры, Владелец, Оповещение, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентЛокализация.ПриОткрытииФормыУстановкиПрограммКриптопровайдеров(Параметры, Владелец, Оповещение, СтандартнаяОбработка) 
```
</details>

## ПриПроверкеУстановкиПрограммКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Только для внутреннего использования.
// Проверяет установку программ криптографии в рамках проверки установки компонент для работы с электронной подписью.
//
// Параметры:
//  Результат	 - Булево - если Истина, то требуется установка дополнительных компонент.
//  Компоненты	 - см. ЭлектроннаяПодписьСлужебныйКлиент.НовыйКомпонентыРаботыСКриптографией.
//
Процедура ПриПроверкеУстановкиПрограммКриптографии(Результат, Компоненты) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентЛокализация.ПриПроверкеУстановкиПрограммКриптографии(Результат, Компоненты) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
