---
title: Электронная подпись клиент сервер локализация
slug: bsp/электронная-подпись-клиент-сервер-локализация
---


## ПриПолученииПредставленияСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет представление сертификата.
//
// Параметры:
//  Сертификат - СертификатКриптографии
//  РазницаСУниверсальнымВременем - Число
//  Представление - Строка
//
Процедура ПриПолученииПредставленияСертификата(Знач Сертификат, Знач РазницаСУниверсальнымВременем, Представление) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриПолученииПредставленияСертификата(Сертификат, РазницаСУниверсальнымВременем, Представление) 
```
</details>

## ПриПолученииПредставленияСубъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет представление субъекта сертификата.
//
// Параметры:
//  Сертификат - СертификатКриптографии
//  Представление - Строка
//
Процедура ПриПолученииПредставленияСубъекта(Знач Сертификат, Представление) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриПолученииПредставленияСубъекта(Сертификат, Представление) 
```
</details>

## ПриПолученииРасширенныхСвойствСубъектаСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет структуру расширенных свойств субъекта сертификата.
//
// Параметры:
//  Субъект - ФиксированнаяСтруктура
//  Свойства - Структура
//
Процедура ПриПолученииРасширенныхСвойствСубъектаСертификата(Знач Субъект, Свойства) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриПолученииРасширенныхСвойствСубъектаСертификата(Субъект, Свойства) 
```
</details>

## ПриПолученииРасширенныхСвойствИздателяСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет структуру расширенных свойств издателя сертификата.
//
// Параметры:
//  Издатель - ФиксированнаяСтруктура
//  Свойства - Структура
//
Процедура ПриПолученииРасширенныхСвойствИздателяСертификата(Знач Издатель, Свойства) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриПолученииРасширенныхСвойствИздателяСертификата(Издатель, Свойства) 
```
</details>

## ПриСравненииСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет результат сравнения сертификатов по свойствам субъекта.
//
// Параметры:
//  СвойстваНового - Структура
//  СвойстваСтарого - Структура
//  Результат - Булево
//
Процедура ПриСравненииСертификатов(СвойстваНового, СвойстваСтарого, Результат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриСравненииСертификатов(СвойстваНового, СвойстваСтарого, Результат) 
```
</details>

## ПриПолученииКонвертаXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении конверта XML.
//
// Параметры:
//  Параметры - Структура
//  КонвертXML - Строка
//
Процедура ПриПолученииКонвертаXML(Параметры, КонвертXML) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриПолученииКонвертаXML(Параметры, КонвертXML) 
```
</details>

## ПриПолученииВариантаКонвертаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении варианта конверта по умолчанию.
//
// Параметры:
//  КонвертXML - Строка
//
Процедура ПриПолученииВариантаКонвертаПоУмолчанию(КонвертXML) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриПолученииВариантаКонвертаПоУмолчанию(КонвертXML) 
```
</details>

## АдресСпискаОтзываВнутренний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Адрес списка отзыва, расположенного на другом ресурсе.
//
// Параметры:
//  ИмяИздателя - Строка - имя издателя латиницей в нижнем регистре
//  СвойстваСертификата  - ДвоичныеДанные - данные сертификата.
//                       - Строка - адрес данных сертификата.
//                       - Структура - см. ЭлектроннаяПодписьСлужебныйКлиентСервер.СвойстваСертификата
//  КаталогиСписковОтзываУЦ - Строка - имена каталогов для кэширования списков отзыва на собственном ресурсе
//                        из настроек классификатора аккредитованных УЦ, совпадают с именами издателя сертификата.
//
// Возвращаемое значение:
//  Структура:
//   * АдресВнутренний - Строка - идентификатор для поиска в базе
//   * АдресВнешний - Строка - адрес ресурса для скачивания
//
Функция АдресСпискаОтзываВнутренний(ИмяИздателя, СвойстваСертификата, КаталогиСписковОтзываУЦ) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьКлиентСерверЛокализация.АдресСпискаОтзываВнутренний(ИмяИздателя, СвойстваСертификата, КаталогиСписковОтзываУЦ) 
```
</details>

## КаталогиСписковОтзываУЦ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Каталоги списков отзыва УЦ.
//
// Параметры:
//  АккредитованныеУдостоверяющиеЦентры - Структура
//
// Возвращаемое значение:
//  Строка - каталоги списков отзыва УЦ
//
Функция КаталогиСписковОтзываУЦ(АккредитованныеУдостоверяющиеЦентры) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьКлиентСерверЛокализация.КаталогиСписковОтзываУЦ(АккредитованныеУдостоверяющиеЦентры) 
```
</details>

## ДанныеУдостоверяющегоЦентра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные для проверки удостоверяющего центра.
//
// Параметры:
//  ЗначенияПоиска - Строка
//  АккредитованныеУдостоверяющиеЦентры - Структура
//
// Возвращаемое значение:
//  Неопределено
//  Структура:
//   * Государственный - Булево
//   * РазрешенныйНеаккредитованный - Булево
//   * ПериодыДействия - Неопределено, Массив из Структура:
//     **ДатаС - Дата
//     **ДатаПо - Дата, Неопределено
//   * ДатаОкончанияДействия - Неопределено, Дата
//   * ДатаОбновления  - Неопределено, Дата
//   * ДругиеНастройки - Соответствие
//
Функция ДанныеУдостоверяющегоЦентра(ЗначенияПоиска, АккредитованныеУдостоверяющиеЦентры) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьКлиентСерверЛокализация.ДанныеУдостоверяющегоЦентра(ЗначенияПоиска, АккредитованныеУдостоверяющиеЦентры) 
```
</details>

## ПриОпределенииСсылкиНаИнструкциюПоРаботеСПрограммами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении ссылки на инструкцию по работе с программами.
//
// Параметры:
//  Раздел - Строка
//  НавигационнаяСсылка - Строка
//
Процедура ПриОпределенииСсылкиНаИнструкциюПоРаботеСПрограммами(Раздел, НавигационнаяСсылка) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриОпределенииСсылкиНаИнструкциюПоРаботеСПрограммами(Раздел, НавигационнаяСсылка) 
```
</details>

## ПриОпределенииСсылкиНаПоискПоОшибкамПриРаботеСЭлектроннойПодписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении ссылки на поиск по ошибкам при работе с электронной подписью.
//
// Параметры:
//  НавигационнаяСсылка - Строка
//  СтрокаПоиска - Строка - строка поиска
//
Процедура ПриОпределенииСсылкиНаПоискПоОшибкамПриРаботеСЭлектроннойПодписью(НавигационнаяСсылка, СтрокаПоиска = "") Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриОпределенииСсылкиНаПоискПоОшибкамПриРаботеСЭлектроннойПодписью(НавигационнаяСсылка, СтрокаПоиска);
```
</details>

## ПреобразованныйАлгоритмШифрования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразование передаваемого названия алгоритма в зависимости от передаваемого представления.
//
// Параметры:
//  АлгоритмШифрования  - Строка
//
// Возвращаемое значение:
//  Строка
//
Функция ПреобразованныйАлгоритмШифрования(АлгоритмШифрования) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьКлиентСерверЛокализация.ПреобразованныйАлгоритмШифрования(АлгоритмШифрования) 
```
</details>

## ПриУстановкеПараметровМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Реализует альтернативную установку параметров менеджера криптографии.
// Например, если требуется учесть специфику программы электронной подписи и шифрования.
//
// Параметры:
//  ОписаниеПрограммы - см. ЭлектроннаяПодписьСлужебныйПовтИсп.ОписаниеПрограммы
//  Менеджер - МенеджерКриптографии
//  АлгоритмШифрования - Строка
//  Результат - Булево
//
Процедура ПриУстановкеПараметровМенеджераКриптографии(ОписаниеПрограммы, Менеджер, АлгоритмШифрования, Результат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриУстановкеПараметровМенеджераКриптографии(ОписаниеПрограммы, Менеджер, АлгоритмШифрования, Результат) 
```
</details>

## ПриУстановкеНаборовАлгоритмовДляСозданияПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет наборы алгоритмов для создания подписи с национальной спецификой.
//
// Параметры:
//  Наборы	 - Массив
//
Процедура ПриУстановкеНаборовАлгоритмовДляСозданияПодписи(Наборы) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриУстановкеНаборовАлгоритмовДляСозданияПодписи(Наборы) 
```
</details>

## ПриУстановкеНаборовАлгоритмовШифрования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет наборы алгоритмов шифрования с национальной спецификой.
//
// Параметры:
//  Наборы	 - Массив
//
Процедура ПриУстановкеНаборовАлгоритмовШифрования(Наборы) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриУстановкеНаборовАлгоритмовШифрования(Наборы) 
```
</details>

## АктуальныеАлгоритмыПрограмм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет национальные алгоритмы подписи в список актуальных алгоритмов.
//
// Возвращаемое значение:
//  Массив
//
Функция АктуальныеАлгоритмыПрограмм() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьКлиентСерверЛокализация.АктуальныеАлгоритмыПрограмм() 
```
</details>

## РезультатПроверкиУдостоверяющегоЦентраСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Только для внутреннего использования.
//
// Параметры:
//  Сертификат - СертификатКриптографии
//  КонтекстПроверки - см. КонтекстПроверкиУдостоверяющегоЦентраСертификата
//
// Возвращаемое значение:
//   См. ЭлектроннаяПодписьСлужебныйКлиентСервер.РезультатПроверкиУдостоверяющегоЦентраПоУмолчанию
//
Функция РезультатПроверкиУдостоверяющегоЦентраСертификата(Сертификат, КонтекстПроверки) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьКлиентСерверЛокализация.РезультатПроверкиУдостоверяющегоЦентраСертификата(Сертификат, КонтекстПроверки) 
```
</details>

## ПриПолученииИмениПрограммыЭлектроннойПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении имени программы электронной подписи.
//
// Параметры:
//  Криптопровайдер - Структура
//  Результат - Строка
//
Процедура ПриПолученииИмениПрограммыЭлектроннойПодписи(Криптопровайдер, Результат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриПолученииИмениПрограммыЭлектроннойПодписи(Криптопровайдер, Результат) 
```
</details>

## ПриОпределенииОшибкиЗагрузкиБиблиотекТокена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Это ошибка из-за не установленных библиотек токена.
//
// Параметры:
//  ТекстОшибки - Строка
//  Результат - Булево
//
Процедура ПриОпределенииОшибкиЗагрузкиБиблиотекТокена(ТекстОшибки, Результат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьКлиентСерверЛокализация.ПриОпределенииОшибкиЗагрузкиБиблиотекТокена(ТекстОшибки, Результат) 
```
</details>

## СсылкаНаСтатьюОбУдостоверяющихЦентрах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ссылка на статью об удостоверяющих центрах.
//
// Возвращаемое значение:
//  Строка - ссылка на статью об удостоверяющих центрах
//
Функция СсылкаНаСтатьюОбУдостоверяющихЦентрах() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектроннаяПодписьКлиентСерверЛокализация.СсылкаНаСтатьюОбУдостоверяющихЦентрах() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
