---
title: Электронная подпись локализация
slug: bsp/электронная-подпись-локализация
---


## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При создании на сервере.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения
//
Процедура ПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриСозданииНаСервере(Форма) 
```
</details>

## ПриЗаполненииПредставленияТипаПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет представление типа подписи в форме настроек панели администрирования и тест подсказки в форме подписания.
//
// Параметры:
//  ТипПодписи - ПеречислениеСсылка.ТипыПодписиКриптографии
//  ПредставлениеПодписи - Строка
//
Процедура ПриЗаполненииПредставленияТипаПодписи(ТипПодписи, ПредставлениеПодписи) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриЗаполненииПредставленияТипаПодписи(ТипПодписи, ПредставлениеПодписи) 
```
</details>

## ПриЗагрузкеМашиночитаемыхДоверенностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// При загрузке машиночитаемых доверенностей.
//
// Параметры:
//  Форма - см. ОбщаяФорма.ДобавлениеЭлектроннойПодписиИзФайла
//
Процедура ПриЗагрузкеМашиночитаемыхДоверенностей(Форма) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриЗагрузкеМашиночитаемыхДоверенностей(Форма) 
```
</details>

## ПриПолученииСостоянияЗаявленияНаВыпускСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении состояния заявления на выпуск сертификата.
//
// Параметры:
//  Сертификат - см. ЭлектроннаяПодпись.СостояниеЗаявленияНаВыпускСертификата.Сертификат
//  Результат - см. ЭлектроннаяПодпись.СостояниеЗаявленияНаВыпускСертификата
//
Процедура ПриПолученииСостоянияЗаявленияНаВыпускСертификата(Сертификат, Результат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриПолученииСостоянияЗаявленияНаВыпускСертификата(Сертификат, Результат) 
```
</details>

## ПриЗаполненииМашиночитаемыхДоверенностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При заполнении машиночитаемых доверенностей.
//
// Параметры:
//  Форма - см. ОбщаяФорма.ДобавлениеЭлектроннойПодписиИзФайла
//  ПодписанныйОбъект - ОпределяемыйТип.ПодписанныйОбъект
//
Процедура ПриЗаполненииМашиночитаемыхДоверенностей(Форма, ПодписанныйОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриЗаполненииМашиночитаемыхДоверенностей(Форма, ПодписанныйОбъект);
```
</details>

## ПриЗаполненииМашиночитаемойДоверенностиВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При заполнении машиночитаемой доверенности в строке.
//
// Параметры:
//  Форма - см. ОбщаяФорма.ДобавлениеЭлектроннойПодписиИзФайла
//  ПодписанныйОбъект - ОпределяемыйТип.ПодписанныйОбъект
//  ИдентификаторСтроки - Число
//
Процедура ПриЗаполненииМашиночитаемойДоверенностиВСтроке(Форма, ИдентификаторСтроки, ПодписанныйОбъект) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриЗаполненииМашиночитаемойДоверенностиВСтроке(Форма, ИдентификаторСтроки, ПодписанныйОбъект) 
```
</details>

## ПриДобавленииКлассификаторов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаСКлассификаторамиПереопределяемый.ПриДобавленииКлассификаторов.
Процедура ПриДобавленииКлассификаторов(Классификаторы) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриДобавленииКлассификаторов(Классификаторы) 
```
</details>

## ПриЗагрузкеКлассификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаСКлассификаторамиПереопределяемый.ПриЗагрузкеКлассификатора.
Процедура ПриЗагрузкеКлассификатора(Идентификатор, Версия, Адрес, Обработан, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриЗагрузкеКлассификатора(Идентификатор, Версия, Адрес, Обработан, ДополнительныеПараметры) 
```
</details>

## ПриДобавленииСтрокНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При добавлении строк на сервере.
//
// Параметры:
//  Форма - см. ОбщаяФорма.ДобавлениеЭлектроннойПодписиИзФайла
//  ПомещенныеФайлы - Массив
//  ДругиеФайлы - Соответствие
//  ОшибкиПриЗагрузкеДоверенностей - Строка
//  УникальныйИдентификатор - УникальныйИдентификатор
//
Процедура ПриДобавленииСтрокНаСервере(Форма, ПомещенныеФайлы, ДругиеФайлы, ОшибкиПриЗагрузкеДоверенностей, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриДобавленииСтрокНаСервере(Форма, ПомещенныеФайлы, ДругиеФайлы, ОшибкиПриЗагрузкеДоверенностей, УникальныйИдентификатор) 
```
</details>

## ПриПроверкеПодписейПоМЧД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При проверке подписей по МЧД.
//
// Параметры:
//  Подписи - Массив
//  ПодписанныйОбъект - ОпределяемыйТип.ПодписанныйОбъект
//  РезультатыПроверок - Массив
//
Процедура ПриПроверкеПодписейПоМЧД(Подписи, ПодписанныйОбъект, РезультатыПроверок) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриПроверкеПодписейПоМЧД(Подписи, ПодписанныйОбъект, РезультатыПроверок) 
```
</details>

## ПриОпределенииДоступностиСозданияЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении доступности создания заявления.
//
// Параметры:
//  ДоступностьСозданияЗаявления - см. ЭлектроннаяПодпись.ДоступностьСозданияЗаявления
//
Процедура ПриОпределенииДоступностиСозданияЗаявления(ДоступностьСозданияЗаявления) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриОпределенииДоступностиСозданияЗаявления(ДоступностьСозданияЗаявления) 
```
</details>

## ПриЗаполненииРезультатаПроверкиУдостоверяющегоЦентра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При заполнении результата проверки удостоверяющего центра.
//
// Параметры:
//  Результат - см. ЭлектроннаяПодписьСлужебныйКлиентСервер.РезультатПроверкиУдостоверяющегоЦентраПоУмолчанию
//  СертификатКриптографии - СертификатКриптографии
//  НаДату - Дата
//  ПараметрыПроверки - Структура
//  СвойстваСертификата - см. ЭлектроннаяПодпись.СвойстваСертификата
//
Процедура ПриЗаполненииРезультатаПроверкиУдостоверяющегоЦентра( Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриЗаполненииРезультатаПроверкиУдостоверяющегоЦентра();
```
</details>

## ПриПолученииАккредитованныхУдостоверяющихЦентров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении аккредитованных удостоверяющих центров.
//
// Параметры:
//  АккредитованныеУдостоверяющиеЦентры - Структура
//
Процедура ПриПолученииАккредитованныхУдостоверяющихЦентров(АккредитованныеУдостоверяющиеЦентры) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриПолученииАккредитованныхУдостоверяющихЦентров(АккредитованныеУдостоверяющиеЦентры) 
```
</details>

## ПриПолученииКлассификатораОшибокКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении классификатора ошибок криптографии.
//
// Параметры:
//  ДанныеКлассификатора - Неопределено, Структура
//
Процедура ПриПолученииКлассификатораОшибокКриптографии(ДанныеКлассификатора) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриПолученииКлассификатораОшибокКриптографии(ДанныеКлассификатора) 
```
</details>

## ПриОпределенииДоступностиПроверкиПоСпискуУЦ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении доступности проверки по списку УЦ.
//
// Параметры:
//  ПроверкаДоступна - Булево
//
Процедура ПриОпределенииДоступностиПроверкиПоСпискуУЦ(ПроверкаДоступна) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриОпределенииДоступностиПроверкиПоСпискуУЦ(ПроверкаДоступна) 
```
</details>

## ПриПолученииДистрибутива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении дистрибутива.
//
// Параметры:
//  Параметры - Структура
//  Идентификатор - Строка
//  Результат - см. ДлительныеОперации.ВыполнитьФункцию
//
Процедура ПриПолученииДистрибутива(Параметры, Идентификатор, Результат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриПолученииДистрибутива(Параметры, Идентификатор, Результат) 
```
</details>

## ПриОбработкеРезультатаПолученияДистрибутива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При обработке результата получения дистрибутива.
//
// Параметры:
//  ДлительнаяОперация - Структура:
//   * АдресРезультата - Строка - адрес во временном хранилище
//  ИдентификаторФормы - УникальныйИдентификатор
//  Результат - Структура
//
Процедура ПриОбработкеРезультатаПолученияДистрибутива(ДлительнаяОперация, ИдентификаторФормы, Результат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриОбработкеРезультатаПолученияДистрибутива(ДлительнаяОперация, ИдентификаторФормы, Результат) 
```
</details>

## ПриОпределенииИспользованияСервисаОблачнойПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении использования сервиса облачной подписи.
//
// Параметры:
//  Результат - Булево
//
Процедура ПриОпределенииИспользованияСервисаОблачнойПодписи(Результат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриОпределенииИспользованияСервисаОблачнойПодписи(Результат) 
```
</details>

## ПриОпределенииТипаПрограммыСервисаПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении типа программы сервиса подписи.
//
// Параметры:
//  Результат - Тип
//
Процедура ПриОпределенииТипаПрограммыСервисаПодписи(Результат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриОпределенииТипаПрограммыСервисаПодписи(Результат) 
```
</details>

## ПриПолученииАдресовСерверовМетокВремени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении адресов серверов меток времени.
//
// Параметры:
//  АдресаСерверовМетокВремени - Строка
//
Процедура ПриПолученииАдресовСерверовМетокВремени(АдресаСерверовМетокВремени) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриПолученииАдресовСерверовМетокВремени(АдресаСерверовМетокВремени) 
```
</details>

## ПриПолученииОтпечатковОблачногоСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При получении отпечатков облачного сервиса.
//
// Параметры:
//  МассивОтпечатков - Массив
//
Процедура ПриПолученииОтпечатковОблачногоСервиса(МассивОтпечатков) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриПолученииОтпечатковОблачногоСервиса(МассивОтпечатков) 
```
</details>

## ПриДобавленииСвойствСертификатовОблачногоСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При добавлении свойств сертификатов облачного сервиса.
//
// Параметры:
//  ТаблицаСвойствСертификатов - ТаблицаЗначений
//  БезОтбора - Булево
//
Процедура ПриДобавленииСвойствСертификатовОблачногоСервиса(ТаблицаСвойствСертификатов, БезОтбора) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриДобавленииСвойствСертификатовОблачногоСервиса(ТаблицаСвойствСертификатов, БезОтбора) 
```
</details>

## ПриОпределенииНастроенногоОблачногоСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При определении настроенного облачного сервиса.
//
// Параметры:
//  Результат - Булево
//
Процедура ПриОпределенииНастроенногоОблачногоСервиса(Результат) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриОпределенииНастроенногоОблачногоСервиса(Результат) 
```
</details>

## ПриЗаполненииСертификатовОблачногоСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При заполнении сертификатов облачного сервиса.
//
// Параметры:
//  ОтпечаткиСертификатовНаКлиенте - Массив
//
Процедура ПриЗаполненииСертификатовОблачногоСервиса(ОтпечаткиСертификатовНаКлиенте) Экспорт
```

Пример вызова
```bsl
ЭлектроннаяПодписьЛокализация.ПриЗаполненииСертификатовОблачногоСервиса(ОтпечаткиСертификатовНаКлиенте) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
