---
title: Блокировка изменения объектов
slug: zup/блокировка-изменения-объектов
---


## ПриСозданииНаСервереФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В форме нового документа выводит группу с информацией о причинах блокировки
// Вызывается из события ПриСозданииНаСервере формы объекта.
//
// Параметры:
//   УправляемаяФорма     - ФормаКлиентскогоПриложения - форма объекта.
//   Отказ                - Булево
//   СтандартнаяОбработка - Булево
//
Процедура ПриСозданииНаСервереФормыОбъекта(УправляемаяФорма, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
БлокировкаИзмененияОбъектов.ПриСозданииНаСервереФормыОбъекта(УправляемаяФорма, Отказ, СтандартнаяОбработка) 
```
</details>

## ПриЧтенииНаСервереФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В форме существующего документа выводит группу с информацией о причинах блокировки
// Вызывается из события ПриЧтенииНаСервере формы объекта.
//
// Параметры:
//   УправляемаяФорма     - ФормаКлиентскогоПриложения - форма объекта.
//   ТекущийОбъект        - ДокументОбъект - объект, который будет прочитан.
//
Процедура ПриЧтенииНаСервереФормыОбъекта(УправляемаяФорма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
БлокировкаИзмененияОбъектов.ПриЧтенииНаСервереФормыОбъекта(УправляемаяФорма, ТекущийОбъект) 
```
</details>

## ПослеЗаписиНаСервереФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В форме документа обновляет сведения о блокировках
// Вызывается из события ПослеЗаписиНаСервере формы объекта.
//
// Параметры:
//   УправляемаяФорма     - ФормаКлиентскогоПриложения - форма объекта.
//   ТекущийОбъект        - ДокументОбъект - объект.
//   ПараметрыЗаписи      - Структура
//
Процедура ПослеЗаписиНаСервереФормыОбъекта(УправляемаяФорма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
БлокировкаИзмененияОбъектов.ПослеЗаписиНаСервереФормыОбъекта(УправляемаяФорма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПриСозданииНаСервереФормыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В форме списка документа в меню Еще выводит команду отмены блокировки документов
// Вызывается из события ПриСозданииНаСервере формы списка.
//
// Параметры:
//   УправляемаяФорма     - ФормаКлиентскогоПриложения - форма объекта.
//   КоманднаяПанель      - ГруппаФормы - командная панель или группа команд, в которую выводится команда.
//
Процедура ПриСозданииНаСервереФормыСписка(УправляемаяФорма, КоманднаяПанель) Экспорт
```

Пример вызова
```bsl
БлокировкаИзмененияОбъектов.ПриСозданииНаСервереФормыСписка(УправляемаяФорма, КоманднаяПанель) 
```
</details>

## ПриСозданииНаСервереЗаблокированнойФормыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает для просмотра форму списка независимого регистра сведений. Для полноправного пользователя в меню Еще выводит команду разблокировки.
// Вызывается из события ПриСозданииНаСервере формы списка.
//
// Параметры:
//   УправляемаяФорма     - ФормаКлиентскогоПриложения - форма объекта.
//   КоманднаяПанель      - ГруппаФормы - командная панель или группа команд, в которую выводится команда.
//
Процедура ПриСозданииНаСервереЗаблокированнойФормыСписка(УправляемаяФорма, КоманднаяПанель) Экспорт
```

Пример вызова
```bsl
БлокировкаИзмененияОбъектов.ПриСозданииНаСервереЗаблокированнойФормыСписка(УправляемаяФорма, КоманднаяПанель) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
