---
title: Блокировка изменения объектов клиент
slug: zup/блокировка-изменения-объектов-клиент
---


## РазблокироватьФормуОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разблокирует форму документа для редактирования.
//
// Параметры:
//  УправляемаяФорма - ФормаКлиентскогоПриложения - форма объекта.
//  СсылкаНаОбъект   - ДокументСсылка
//
Процедура РазблокироватьФормуОбъекта(УправляемаяФорма, СсылкаНаОбъект) Экспорт
```

Пример вызова
```bsl
БлокировкаИзмененияОбъектовКлиент.РазблокироватьФормуОбъекта(УправляемаяФорма, СсылкаНаОбъект) 
```
</details>

## РазблокироватьОбъектыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разблокирует объекты выделенных строк списка документов для редактирования.
//
// Параметры:
//  УправляемаяФорма - ФормаКлиентскогоПриложения - форма объекта.
//  Список           - ДинамическийСписок
//  ВыделенныеСтроки - Массив
//
Процедура РазблокироватьОбъектыСписка(УправляемаяФорма, Список, ВыделенныеСтроки) Экспорт
```

Пример вызова
```bsl
БлокировкаИзмененияОбъектовКлиент.РазблокироватьОбъектыСписка(УправляемаяФорма, Список, ВыделенныеСтроки) 
```
</details>

## РазблокироватьФормуСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разблокирует форму списка, открытую в режиме просмотра.
//
// Параметры:
//  УправляемаяФорма - ФормаКлиентскогоПриложения - форма объекта.
//
Процедура РазблокироватьФормуСписка(УправляемаяФорма) Экспорт
```

Пример вызова
```bsl
БлокировкаИзмененияОбъектовКлиент.РазблокироватьФормуСписка(УправляемаяФорма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
