---
title: Бронирование командировок переопределяемый
slug: zup/бронирование-командировок-переопределяемый
---


## ЗаполнитьНастройкиСистемыБронирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру настроек подключения к сервису системы бронирования командировок
//
// Параметры:
//  Настройки            - Структура - см. БронированиеКомандировок.НовыеНастройкиСистемыБронирования,
//  СистемаБронирования  - Перечисления.СистемыБронированияКомандировок
//  СтандартнаяОбработка - Булево - флаг необходимости дальнейшего заполнения настроек подключения.
//
Процедура ЗаполнитьНастройкиСистемыБронирования(Настройки, СистемаБронирования, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
БронированиеКомандировокПереопределяемый.ЗаполнитьНастройкиСистемыБронирования(Настройки, СистемаБронирования, СтандартнаяОбработка) 
```
</details>

## СохранитьНастройкиСистемыБронирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет настройки подключения к системе бронирования командировок
//
// Параметры:
//  Настройки            - Структура - см. БронированиеКомандировок.НовыеНастройкиСистемыБронирования,
//  СистемаБронирования  - Перечисления.СистемыБронированияКомандировок.
//  СтандартнаяОбработка - Булево - флаг необходимости дальнейшего сохранения настроек подключения.
//
Процедура СохранитьНастройкиСистемыБронирования(Настройки, СистемаБронирования, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
БронированиеКомандировокПереопределяемый.СохранитьНастройкиСистемыБронирования(Настройки, СистемаБронирования, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
