---
title: Данные выбора БЗК
slug: zup/данные-выбора-бзк
---


## ЗаполнитьДляКлассификатораСПорядкомПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик получения данных выбора для справочников, упорядоченных по коду.
// Готовит данные выбора для справочников-классификаторов, упорядочивает по коду и наименованию.
//
// Вызывается из обработчика ОбработкаПолученияДанныхВыбора для формирования списка при вводе по строке,
// автоподборе текста и быстром выборе, а также при выполнении метода ПолучитьДанныеВыбора.
//
// Параметры:
//  Источник             - СправочникМенеджер - объект, для которого формируется список выбора.
//  ДанныеВыбора         - СписокЗначений     - данные для выбора.
//  Параметры            - Структура          - содержит параметры выбора.
//  СтандартнаяОбработка - Булево             - признак выполнения стандартной обработки события.
//
Процедура ЗаполнитьДляКлассификатораСПорядкомПоКоду( Экспорт
```

Пример вызова
```bsl
ДанныеВыбораБЗК.ЗаполнитьДляКлассификатораСПорядкомПоКоду();
```
</details>

## ЗаполнитьДляКлассификатораСПорядкомПоДопРеквизиту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик получения данных выбора для справочников, упорядоченных по реквизиту допупорядочивания.
//
Процедура ЗаполнитьДляКлассификатораСПорядкомПоДопРеквизиту( Экспорт
```

Пример вызова
```bsl
ДанныеВыбораБЗК.ЗаполнитьДляКлассификатораСПорядкомПоДопРеквизиту();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
