---
title: Дерево электронного документа БЭД служебный
slug: zup/дерево-электронного-документа-бэд-служебный
---


## ТипОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет тип объекта по текстовому представлению.
//
// Параметры:
//  ОписаниеТипаОбъекта - Строка - текстовое представление типа объекта.
//
// Возвращаемое значение:
//  Строка - тип справочника.
//
Функция ТипОбъекта(ОписаниеТипаОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ТипОбъекта(ОписаниеТипаОбъекта) 
```
</details>

## ЗаполнитьПараметрыОбработкиОшибокВСтрокеДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПараметрыОбработкиОшибокВСтрокеДерева(СтрокаДерева, ПараметрыОбработкиОшибок) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ЗаполнитьПараметрыОбработкиОшибокВСтрокеДерева(СтрокаДерева, ПараметрыОбработкиОшибок) 
```
</details>

## ДеревоЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует дерево данных для заполнения или чтения прикладным решением.
//
// Параметры:
//  Макет - Макет - Макет с описанием структуры дерева (см. Обработка.ОбменСКонтрагентами.Макеты).
//
// Возвращаемое значение:
//  ДеревоЗначений - Дерево документа.
//
Функция ДеревоЭлектронногоДокумента(Макет) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ДеревоЭлектронногоДокумента(Макет) 
```
</details>

## КолонкиДереваДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список колонок, добавляемых в дерево данных электронного документа помимо объявленных в макете.
//
// Возвращаемое значение:
//  ФиксированныйМассив - массив колонок.
//
Функция КолонкиДереваДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.КолонкиДереваДокумента());
```
</details>

## РекурсивноЗаполнитьСтрокиДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РекурсивноЗаполнитьСтрокиДерева(ДеревоЗначений, Знач НомерУровня, КолУровней, Знач ПолныйПутьВДереве, ТЗ, НомерСтрокиТЗ) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.РекурсивноЗаполнитьСтрокиДерева(ДеревоЗначений, НомерУровня, КолУровней, ПолныйПутьВДереве, ТЗ, НомерСтрокиТЗ));
```
</details>

## ОписаниеТипаПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует текстовое описание типа в объект ОписаниеТипов.
//
// Параметры:
//  Типы			 - Массив, Строка - см. ОписаниеТипов().
//  ОписаниеЧисла	 - Строка - см. КвалификаторыЧислаПоОписанию().
//  ОписаниеСтроки	 - Строка - см. КвалификаторыСтрокиПоОписанию().
//  ОписаниеДаты	 - Строка - см. КвалификаторыДатыПоОписанию().
//
// Возвращаемое значение:
//  ОписаниеТипов - сформированное описание типов.
//
Функция ОписаниеТипаПоПараметрам(Типы, ОписаниеЧисла, ОписаниеСтроки, ОписаниеДаты) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ОписаниеТипаПоПараметрам(Типы, ОписаниеЧисла, ОписаниеСтроки, ОписаниеДаты));
```
</details>

## КвалификаторыСтрокиПоОписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует квалификатор строки по текстовому описанию.
//
// Параметры:
//  ОписаниеСтроки	 - Строка - содержит значения параметров конструктора "КвалификаторыСтроки", перечисленные через
//                              запятую. В качестве допустимого знака указывается имя одного из значений системного
//                              перечисления "ДопустимаяДлина". Пример: "100, Переменная".
//
// Возвращаемое значение:
//  КвалификаторыСтроки - сформированный квалификатор.
//
Функция КвалификаторыСтрокиПоОписанию(ОписаниеСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.КвалификаторыСтрокиПоОписанию(ОписаниеСтроки));
```
</details>

## КвалификаторыДатыПоОписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует квалификатор даты по текстовому описанию.
//
// Параметры:
//  ОписаниеДаты	 - Строка - содержит значения параметров конструктора "КвалификаторыДаты", перечисленные через
//                              запятую. В качестве допустимого знака указывается имя одного из значений системного
//                              перечисления "ЧастиДаты". Пример: "ДатаВремя".
//
// Возвращаемое значение:
//  КвалификаторыДаты - сформированный квалификатор.
//
Функция КвалификаторыДатыПоОписанию(ОписаниеДаты) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.КвалификаторыДатыПоОписанию(ОписаниеДаты));
```
</details>

## КвалификаторыЧислаПоОписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует квалификатор числа по текстовому описанию.
//
// Параметры:
//  ОписаниеЧисла	 - Строка - содержит значения параметров конструктора "КвалификаторыЧисла", перечисленные через
//                              запятую. В качестве допустимого знака указывается имя одного из значений системного
//                              перечисления "ДопустимыйЗнак". Пример: "15, 3, Неотрицательный".
//
// Возвращаемое значение:
//  КвалификаторыЧисла - сформированный квалификатор.
//
Функция КвалификаторыЧислаПоОписанию(ОписаниеЧисла) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.КвалификаторыЧислаПоОписанию(ОписаниеЧисла));
```
</details>

## ДобавитьСлужебныеКолонкиВТаблицуДереваДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьСлужебныеКолонкиВТаблицуДереваДокумента(ТаблицаДерева) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ДобавитьСлужебныеКолонкиВТаблицуДереваДокумента(ТаблицаДерева));
```
</details>

## ДанныеЭлементаДереваЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.ДанныеЭлементаДереваЭлектронногоДокумента
Функция ДанныеЭлементаДереваЭлектронногоДокумента(Знач Дерево, Знач Путь) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ДанныеЭлементаДереваЭлектронногоДокумента(Дерево, Путь) 
```
</details>

## ЭтоНоменклатура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоНоменклатура(СсылкаНаОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ЭтоНоменклатура(СсылкаНаОбъект) 
```
</details>

## ДанныеГруппыДереваЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеГруппыДереваЭлектронногоДокумента(Знач ГруппаДерева) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ДанныеГруппыДереваЭлектронногоДокумента(ГруппаДерева));
```
</details>

## ДанныеВыбораДереваЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеВыбораДереваЭлектронногоДокумента(Знач ВыборДерева) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ДанныеВыбораДереваЭлектронногоДокумента(ВыборДерева));
```
</details>

## ДанныеТаблицыДереваЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеТаблицыДереваЭлектронногоДокумента(Знач ТаблицаДерева) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ДанныеТаблицыДереваЭлектронногоДокумента(ТаблицаДерева));
```
</details>

## ДанныеЗначенияДереваЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеЗначенияДереваЭлектронногоДокумента(Знач ЗначениеДерева) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ДанныеЗначенияДереваЭлектронногоДокумента(ЗначениеДерева));
```
</details>

## ДобавитьСтрокиТипаВТаблицуДереваДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьСтрокиТипаВТаблицуДереваДокумента(ТаблицаМакета, СтрокаТаблицы, Макет) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ДобавитьСтрокиТипаВТаблицуДереваДокумента(ТаблицаМакета, СтрокаТаблицы, Макет));
```
</details>

## ПроверитьЗаполнениеРеквизитовДереваДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение обязательных реквизитов дерева.
// Только для внутреннего использования.
// Параметры:
//  ДеревоДанных                            - деревоЗначений - дерево с данными.
//  Ошибки                                  - Массив - ошибки, накопленные за время обработки. Элементами массива являются структуры.
//                                                     Состав структур см. в ОбщегоНазначенияБЭДКлиентСервер.НовыеПараметрыОшибки().
//  ЭтоТаблица                              - Булево - если Истина, то проверяется табличная часть.
//  НомерСтроки                             - Число, Неопределено - номер проверяемой строки табличной части.
//  ПроверятьОбязательностьПараметровОшибки - Булево - определяет, нужно ли проверять, заданы ли параметры обработки ошибок
//                                                     в тех реквизитах, для которых это обязательно.
//  ДатаПоФорматуФНС                        - Булево - если установлена в Истину, значения типа "Дата" будут проверяться дополнительно
//                                                     на вхождение в диапазон лет 1900-2099 (требование схем ФНС).
//
Процедура ПроверитьЗаполнениеРеквизитовДереваДанных(ДеревоДанных, Ошибки, ЭтоТаблица, Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ПроверитьЗаполнениеРеквизитовДереваДанных(ДеревоДанных, Ошибки, ЭтоТаблица, );
```
</details>

## ТекстОшибкиНеЗаполненногоЗначенияДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает стандартный текст ошибки для незаполненного значения дерева.
//
// Возвращаемое значение:
//  Строка - текст ошибки.
//
Функция ТекстОшибкиНеЗаполненногоЗначенияДерева() Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ТекстОшибкиНеЗаполненногоЗначенияДерева() 
```
</details>

## ДобавитьОшибкуПроверкиДереваДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в ошибку в хранилище накопленных ошибок.
//
// Параметры:
//  Ошибки			 				 - Массив - ошибки, накопленные за время обработки. Элементами массива являются структуры.
//                                     Состав структур см. ОбщегоНазначенияБЭДКлиентСервер.НовыеПараметрыОшибки.
//  СтрокаДерева			 		 - СтрокаДереваЗначений - строка дерева электронного документа, по реквизиту которой
//                                     фиксируется ошибка.
//  ТекстОшибки				 		 - Строка - текст фиксируемой ошибки.
//  ПодставлятьИмяРеквизита	 		 - Булево - если Истина, в начало сообщения об ошибке будет подставлено
//                                     прикладное имя реквизита.
//  НомерСтрокиДанных		 		 - Число - если указана, будет подставлена в имя реквизита.
//  ПрикладноеПредставлениеРеквизита - Строка - если указано, представление реквизита не будет получаться по строке дерева -
//                                     будет использовано указанное представление.
//
Процедура ДобавитьОшибкуПроверкиДереваДанных(Ошибки, СтрокаДерева, ТекстОшибки, ПодставлятьИмяРеквизита = Истина, Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ДобавитьОшибкуПроверкиДереваДанных(Ошибки, СтрокаДерева, ТекстОшибки, ПодставлятьИмяРеквизита, );
```
</details>

## ПрикладноеПредставлениеПоСтрокеДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует прикладное представление реквизита дерева электронного документа.
//
// Параметры:
//  СтрокаДереваДанных	 - СтрокаДереваЗначений - строка реквизита дерева электронного документа.
//  НомерСтрокиДанных	 - Число - номер строки, который будет подставлен по возможности в представление.
//
// Возвращаемое значение:
//  Строка - прикладное представление реквизита дерева.
//
Функция ПрикладноеПредставлениеПоСтрокеДерева(СтрокаДереваДанных, НомерСтрокиДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ПрикладноеПредставлениеПоСтрокеДерева(СтрокаДереваДанных, НомерСтрокиДанных);
```
</details>

## ПрикладноеПредставлениеРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прикладное представление реквизита по коду.
//
// Параметры:
//  Код - Строка - код реквизита.
//
// Возвращаемое значение:
//  Строка - представления реквизита.
//
Функция ПрикладноеПредставлениеРеквизита(Код) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ПрикладноеПредставлениеРеквизита(Код));
```
</details>

## ПараметрыОбработкиОшибкиУказаны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыОбработкиОшибкиУказаны(СтрокаДерева) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ПараметрыОбработкиОшибкиУказаны(СтрокаДерева));
```
</details>

## ПолучитьПредставлениеТипаПоСтрокеДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредставлениеТипаПоСтрокеДерева(Строка, ДатаПоФорматуФНС = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ПолучитьПредставлениеТипаПоСтрокеДерева(Строка, ДатаПоФорматуФНС);
```
</details>

## ЗначениеВСтрокеДереваСоответствуетТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначениеВСтрокеДереваСоответствуетТипу(СтрокаДерева, ДатаПоФорматуФНС = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ЗначениеВСтрокеДереваСоответствуетТипу(СтрокаДерева, ДатаПоФорматуФНС);
```
</details>

## ПараметрыОшибкиПоСтрокеДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыОшибкиПоСтрокеДерева(СтрокаДерева) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ПараметрыОшибкиПоСтрокеДерева(СтрокаДерева));
```
</details>

## ПроверитьЗаполненностьПараметровОбработкиОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЗаполненностьПараметровОбработкиОшибок(СтрокаДерева) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ПроверитьЗаполненностьПараметровОбработкиОшибок(СтрокаДерева));
```
</details>

## ПроверитьЗаполнениеРеквизитаДереваДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЗаполнениеРеквизитаДереваДанных(СтрокаДерева, ПроверятьОбязательностьПараметровОшибки, ДатаПоФорматуФНС, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ПроверитьЗаполнениеРеквизитаДереваДанных(СтрокаДерева, ПроверятьОбязательностьПараметровОшибки, ДатаПоФорматуФНС, ТекстОшибки));
```
</details>

## ИзвлечьСопоставлениеНоменклатурыИзДереваДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Извлекает данные для сопоставления номенклатуры из строки товара дерева документа.
//
// Параметры:
//  СтрокаТовара - СтрокаДереваЗначений - строка товара дерева документа, из которой нужно извлечь данные.
//
// Возвращаемое значение:
//  Структура - информация для сопоставления товаров.
//
Функция ИзвлечьСопоставлениеНоменклатурыИзДереваДокумента(Знач СтрокаТовара) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ИзвлечьСопоставлениеНоменклатурыИзДереваДокумента(СтрокаТовара) 
```
</details>

## ДобавитьСсылкуНаОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьСсылкуНаОбъект(СсылкиНаОбъектыПоИндексам, СсылкаНаОбъект, ИндексСтроки) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ДобавитьСсылкуНаОбъект(СсылкиНаОбъектыПоИндексам, СсылкаНаОбъект, ИндексСтроки) 
```
</details>

## ЭтоСсылочныйОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСсылочныйОбъект(ТипОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ЭтоСсылочныйОбъект(ТипОбъекта) 
```
</details>

## СтруктураКолонокТаблицыДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураКолонокТаблицыДерева(Дерево, НазваниеТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.СтруктураКолонокТаблицыДерева(Дерево, НазваниеТаблицы) 
```
</details>

## НазваниеКолонки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает название реквизита из полного пути
//
// Параметры:
//  ПолныйПуть - Строка - Полный путь до реквизита в дереве.
//
// Возвращаемое значение:
//  Строка - Название реквизита
//
Функция НазваниеКолонки(ПолныйПуть) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.НазваниеКолонки(ПолныйПуть) 
```
</details>

## ДанныеШапкиДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеШапкиДерева(ДеревоДанных) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ДанныеШапкиДерева(ДеревоДанных) 
```
</details>

## ДанныеТаблицыДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеТаблицыДерева(ДеревоДанных, НазваниеТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ДанныеТаблицыДерева(ДеревоДанных, НазваниеТаблицы) 
```
</details>

## СкопироватьСтрокиДереваДляТаблицыРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СкопироватьСтрокиДереваДляТаблицыРекурсивно(СтрокаПолучатель, СтрокаИсточник) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.СкопироватьСтрокиДереваДляТаблицыРекурсивно(СтрокаПолучатель, СтрокаИсточник) 
```
</details>

## СтрокаДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку дерева значений для заполнения в прикладном решении
//
// Параметры:
//  ДеревоДанных - ДеревоЗначений - дерево с данными
//  НазваниеПоля - Строка - название поля в дереве, содержащее полный путь к реквизиту
//  НайтиРекурсивно - Булево, Истина - если требуется рекурсивный поиск.
//
// Возвращаемое значение:
//  Строка таблицы значений - содержит строку дерева.
//
Функция СтрокаДерева(ДеревоДанных, НазваниеПоля, НайтиРекурсивно = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.СтрокаДерева(ДеревоДанных, НазваниеПоля, НайтиРекурсивно);
```
</details>

## ДобавитьДопДанныеВДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В процедуре происходит добавление данных из СтруктурыДанных в ДеревоЗначений.
//
// Параметры:
//  СтрокаДерева - ДеревоЗначений, СтрокаДереваЗначений - содержит данные.
//  СтруктураДопДанных - Структура - данные, которые необходимо поместить в дерево.
//  ЮридическиЗначимый - Булево - если Истина - то текущие данные необходимо по возможности поместить в основной ЭД.
//  ДобавлятьНовыеСтроки - Булево - если Истина - разрешает добавление строк с одинаковым путем в дерево.
//
Процедура ДобавитьДопДанныеВДерево(СтрокаДерева, СтруктураДопДанных, ЮридическиЗначимый = Ложь, ДобавлятьНовыеСтроки = Ложь) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ДобавитьДопДанныеВДерево(СтрокаДерева, СтруктураДопДанных, ЮридическиЗначимый, ДобавлятьНовыеСтроки);
```
</details>

## ЗагрузитьТаблицуВДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает данные из таблицы значений в дерево значений.
//
// Параметры:
//  Дерево - ДеревоЗначений - дерево данных, в котором необходимо сохранить данные.
//  ТаблицаДанных - таблицаЗначений - записываемые в дерево данные. Таблица может предварительно дополняться данными
//                                    для обработки ошибок:
//                                    см. ЭлектронноеВзаимодействие.ДобавитьВТаблицуОбработкуОшибкиЧерезСообщениеПользователю,
//                                    ЭлектронноеВзаимодействие.ДобавитьВТаблицуОбработкуОшибкиЧерезНавигационнуюСсылку,
//                                    ЭлектронноеВзаимодействие.ДобавитьВТаблицуОбработкуОшибкиЧерезОткрытиеФормы.
//
//  НазваниеТаблицы - Строка - название таблицы в дереве.
//
Процедура ЗагрузитьТаблицуВДерево(Дерево, ТаблицаДанных, НазваниеТаблицы) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ЗагрузитьТаблицуВДерево(Дерево, ТаблицаДанных, НазваниеТаблицы) 
```
</details>

## ЗагрузитьСтруктуруВГруппуДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает данные из структуры в группу дерева значений
//
// Параметры:
//  Дерево - ДеревоЗначений - дерево данных, в котором необходимо сохранить данные
//  СтруктураДанных - Структура - данные, которые должны быть загружены в группу
//  Путь - Строка - название группы в дереве.
//
Процедура ЗагрузитьСтруктуруВГруппуДерева(Дерево, СтруктураДанных, Путь) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ЗагрузитьСтруктуруВГруппуДерева(Дерево, СтруктураДанных, Путь) 
```
</details>

## ОбработатьРеквизитДереваСУчетомПризнака
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьРеквизитДереваСУчетомПризнака(СтрокаДанных, ТекущаяСтрока, СтрокаРеквизита, Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ОбработатьРеквизитДереваСУчетомПризнака(СтрокаДанных, ТекущаяСтрока, СтрокаРеквизита, );
```
</details>

## ПодготовитьВходныеПараметрыДляДобавленияОбработкиОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьВходныеПараметрыДляДобавленияОбработкиОшибки(СтрокиТаблицы, НаборСтрок) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ПодготовитьВходныеПараметрыДляДобавленияОбработкиОшибки(СтрокиТаблицы, НаборСтрок) 
```
</details>

## ДобавитьПараметрыОбработкиОшибкиВНабор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПараметрыОбработкиОшибкиВНабор(СтрокаТаблицыДанных, ПолеТаблицы, ПараметрыОбработкиОшибки) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ДобавитьПараметрыОбработкиОшибкиВНабор(СтрокаТаблицыДанных, ПолеТаблицы, ПараметрыОбработкиОшибки) 
```
</details>

## ЭтоСсылочноеЗначениеДереваРазбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСсылочноеЗначениеДереваРазбора(ДеревоРазбора, Значение, СтрокаПоСсылке = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДеревоЭлектронногоДокументаБЭДСлужебный.ЭтоСсылочноеЗначениеДереваРазбора(ДеревоРазбора, Значение, СтрокаПоСсылке);
```
</details>

## ЗаполнитьТаблицуРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТаблицуРекурсивно(ТаблицаЗначений, СтрокиДерева, НазваниеТаблицы = Неопределено) Экспорт
```

Пример вызова
```bsl
ДеревоЭлектронногоДокументаБЭДСлужебный.ЗаполнитьТаблицуРекурсивно(ТаблицаЗначений, СтрокиДерева, НазваниеТаблицы);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
