---
title: Длительная отправка клиент
slug: zup/длительная-отправка-клиент
---


## ПоказатьФормуДлительнойОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоказатьФормуДлительнойОтправки(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ПоказатьФормуДлительнойОтправки(ДополнительныеПараметры) 
```
</details>

## ОповеститьОбУдачнойОтправке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Оповестить об удачной отправке
//
// Параметры:
//  Параметры	 - Неопределено, Структура - Параметры оповещения:
//     * ПараметрыАвтозапроса - Структура - Параметры для выполнения автозапроса.
//     * РезультатОтправки - Булево - Отчет отправлен или нет.
//     * ВыполняемоеОповещение - ОписаниеОповещения - описание оповещения действия,
//           которое должно быть выполнено после закрытия формы длительной операции.
//
Процедура ОповеститьОбУдачнойОтправке(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОбУдачнойОтправке(Параметры);
```
</details>

## ОповеститьОНеудачнойОтправке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Параметры	 - Неопределено, Структура - Параметры оповещения:
//     * НетДоступаВИнтернет  - Булево - Флаг, сообщающий об неудачной отправки в связи с отсуствием Интернета.
//     * ПараметрыАвтозапроса - Структура - Параметры для выполнения автозапроса.
//     * РезультатОтправки    - Булево - Отчет отправлен или нет.
//     * ВыполняемоеОповещение - ОписаниеОповещения - описание оповещения действия,
//           которое должно быть выполнено после закрытия формы длительной операции.
//
Процедура ОповеститьОНеудачнойОтправке(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОНеудачнойОтправке(Параметры);
```
</details>

## ОповеститьОНеудачномДействии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОНеудачномДействии(ТекстОшибки = "") Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОНеудачномДействии(ТекстОшибки);
```
</details>

## ОповеститьОРезультатеПроверкиВИнтернете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОРезультатеПроверкиВИнтернете(Успешно, Параметры) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОРезультатеПроверкиВИнтернете(Успешно, Параметры) 
```
</details>

## ЗакрытьФормуДлительнойОтправкиБезДальнейшихДействий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗакрытьФормуДлительнойОтправкиБезДальнейшихДействий() Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ЗакрытьФормуДлительнойОтправкиБезДальнейшихДействий() 
```
</details>

## ВывестиСообщенияССервераНаКлиенте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При отправке в ФСРАР и ФТС сообщения копятся на сервере, а затем выводятся на клиенте за один раз.
Процедура ВывестиСообщенияССервераНаКлиенте(СообщенияПользователю) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ВывестиСообщенияССервераНаКлиенте(СообщенияПользователю) 
```
</details>

## ПараметрыДлительнойОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыДлительнойОтправки() Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ПараметрыДлительнойОтправки() 
```
</details>

## ПоказатьПростуюФормуОжидания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоказатьПростуюФормуОжидания(Форма) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ПоказатьПростуюФормуОжидания(Форма) 
```
</details>

## ЗакрытьПростуюФормуОжидания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗакрытьПростуюФормуОжидания(Форма) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ЗакрытьПростуюФормуОжидания(Форма) 
```
</details>

## ФормаГрупповойОтправкиЕстьСредиОткрытых
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ФормаГрупповойОтправкиЕстьСредиОткрытых(УчитыватьВыполнениеОтправкиИлиПроверки = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ФормаГрупповойОтправкиЕстьСредиОткрытых(УчитыватьВыполнениеОтправкиИлиПроверки);
```
</details>

## ФормаГрупповойОтправкиИзОткрытых
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ФормаГрупповойОтправкиИзОткрытых(УчитыватьВыполнениеОтправкиИлиПроверки = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ФормаГрупповойОтправкиИзОткрытых(УчитыватьВыполнениеОтправкиИлиПроверки);
```
</details>

## ОповещениеОЗавершенииГрупповогоДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОповещениеОЗавершенииГрупповогоДействия(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ОповещениеОЗавершенииГрупповогоДействия(Значение) 
```
</details>

## ПоказатьФормуДлительногоОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоказатьФормуДлительногоОбмена(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ПоказатьФормуДлительногоОбмена(ДополнительныеПараметры) 
```
</details>

## ОповеститьОСменеЭтапаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещение формы бублика о начале нового этапа обмена.
// Используется для наращивания процента.
//
Процедура ОповеститьОСменеЭтапаОбмена( Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОСменеЭтапаОбмена();
```
</details>

## ОповеститьОСменеЭтапаРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Оповещение формы бублика о начале нового этапа обмена.
// Используется для наращивания процента.
//
Процедура ОповеститьОСменеЭтапаРасшифровки(Параметры) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОСменеЭтапаРасшифровки(Параметры) 
```
</details>

## ОповеститьОЗавершенииОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОЗавершенииОбмена() Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОЗавершенииОбмена() 
```
</details>

## ОповеститьОЗавершенииРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОЗавершенииРасшифровки(Параметры) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОЗавершенииРасшифровки(Параметры) 
```
</details>

## ПараметрыДлительногоОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыДлительногоОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ПараметрыДлительногоОбмена() 
```
</details>

## ОповеститьОНевозможностиОбновитьСтатусОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОНевозможностиОбновитьСтатусОтчета() Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОНевозможностиОбновитьСтатусОтчета() 
```
</details>

## ОткрытьФормуОжиданияЗагрузкиМодуля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОткрытьФормуОжиданияЗагрузкиМодуля(ДополнительныеПараметры, КонтекстЭДО = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ОткрытьФормуОжиданияЗагрузкиМодуля(ДополнительныеПараметры, КонтекстЭДО);
```
</details>

## ЗакрытьФормуОжиданияЗагрузкиМодуля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Закрыть форму ожидания загрузки модуля
//
// Параметры:
//  ОставитьОткрытой		 - Булево - Если обновление выполняется из мастера, то ОставитьОткрытой = Ложь.
//		И только в момент открытия мастера ОставитьОткрытой = Истина. Т.е. закрытие бублика выполняется из мастера.
//  УдалосьОбновитьМодуль	 - Булево, Неопределено. Неопределено - если форму бублика нужно закрыть молча без
//		отображения результата обновления.
//
Процедура ЗакрытьФормуОжиданияЗагрузкиМодуля(ОставитьОткрытой = Ложь, УдалосьОбновитьМодуль = Неопределено) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ЗакрытьФормуОжиданияЗагрузкиМодуля(ОставитьОткрытой, УдалосьОбновитьМодуль);
```
</details>

## ОбновитьНадписьИЗаголовок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьНадписьИЗаголовок( Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОбновитьНадписьИЗаголовок();
```
</details>

## СообщитьОНачалеОбновленияМодуля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СообщитьОНачалеОбновленияМодуля(ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.СообщитьОНачалеОбновленияМодуля(ВходящийКонтекст));
```
</details>

## ПоказатьФормуДлительнойОтправкиЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоказатьФормуДлительнойОтправкиЗаявления(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ПоказатьФормуДлительнойОтправкиЗаявления(ДополнительныеПараметры) 
```
</details>

## ПараметрыДлительнойОтправкиЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыДлительнойОтправкиЗаявления() Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ПараметрыДлительнойОтправкиЗаявления() 
```
</details>

## ОповеститьОбУдачнойОтправкеЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОбУдачнойОтправкеЗаявления(Организация, Заявление = Неопределено, ТекстПояснения = Неопределено) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОбУдачнойОтправкеЗаявления(Организация, Заявление, ТекстПояснения);
```
</details>

## ОповеститьОНеудачнойОтправкеЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОНеудачнойОтправкеЗаявления() Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОповеститьОНеудачнойОтправкеЗаявления() 
```
</details>

## ПоказатьУниверсальнуюФормуДлительногоДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоказатьУниверсальнуюФормуДлительногоДействия(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ПоказатьУниверсальнуюФормуДлительногоДействия(ДополнительныеПараметры) 
```
</details>

## ПараметрыЗапускаУниверсальногоДлительногоДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыЗапускаУниверсальногоДлительногоДействия() Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ПараметрыЗапускаУниверсальногоДлительногоДействия() 
```
</details>

## ПараметрыСостоянияУниверсальногоДлительногоДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для метода ВывестиСостояниеВФормуДлительногоДействия
Функция ПараметрыСостоянияУниверсальногоДлительногоДействия() Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ПараметрыСостоянияУниверсальногоДлительногоДействия() 
```
</details>

## ВывестиСостояниеВФормуДлительногоДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВывестиСостояниеВФормуДлительногоДействия(ПараметрыФормы) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ВывестиСостояниеВФормуДлительногоДействия(ПараметрыФормы) 
```
</details>

## ВывестиСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Отправляет в форму длительной операции оповещение о том,
// какое действие сейчас выполняется после нажатия на кнопку Отправить.
// Если форма закрыта, то текст выводится в всплывающее окно состояния.
//
// Эта процедура так же вызывается из модуля РегламентированнаяОтчетностьКлиент!
//
Процедура ВывестиСостояние(ТекстСообщения, Картинка = Неопределено) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ВывестиСостояние(ТекстСообщения, Картинка);
```
</details>

## ЗапомнитьКонтекстДлительнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапомнитьКонтекстДлительнойОперации( Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ЗапомнитьКонтекстДлительнойОперации();
```
</details>

## КонтекстДлительнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КонтекстДлительнойОперации(ИмяПараметраПриложения = "БРО.ПараметрыОбновленияОтправкиИзПанелиОтправки") Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.КонтекстДлительнойОперации(ИмяПараметраПриложения);
```
</details>

## ОшибкиКлиент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОшибкиКлиент() Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ОшибкиКлиент() 
```
</details>

## ОшибкиКлиентСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОшибкиКлиентСервер() Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ОшибкиКлиентСервер() 
```
</details>

## ИзменитьПараметрыДлительнойОтправкиКлиентСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьПараметрыДлительнойОтправкиКлиентСервер(КлючПараметра, НовоеЗначение) Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ИзменитьПараметрыДлительнойОтправкиКлиентСервер(КлючПараметра, НовоеЗначение) 
```
</details>

## ОчиститьПараметрыДлительнойОтправкиКлиентСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьПараметрыДлительнойОтправкиКлиентСервер() Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ОчиститьПараметрыДлительнойОтправкиКлиентСервер() 
```
</details>

## ЭтоФормаОтправкиОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоФормаОтправкиОтчетности(КраткоеИмяФормы, ИмяФормы) Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ЭтоФормаОтправкиОтчетности(КраткоеИмяФормы, ИмяФормы) 
```
</details>

## ЗапретитьВыводСостояния
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапретитьВыводСостояния() Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.ЗапретитьВыводСостояния() 
```
</details>

## СброситьЗапретВыводаСостояния
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СброситьЗапретВыводаСостояния() Экспорт
```

Пример вызова
```bsl
ДлительнаяОтправкаКлиент.СброситьЗапретВыводаСостояния() 
```
</details>

## ВыводСостоянияЗапрещен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыводСостоянияЗапрещен() Экспорт
```

Пример вызова
```bsl
Результат = ДлительнаяОтправкаКлиент.ВыводСостоянияЗапрещен() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
