---
title: Документооборот регистрация вфнс вызов сервера
slug: zup/документооборот-регистрация-вфнс-вызов-сервера
---


## ВыполнитьВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначен для запуска фонового задания для организации асинхронной обработки операций
//
// Параметры:
//	ИмяПроцедуры 		- Строка - полный путь запускаемой процедуры в общем модуле
//	ПараметрыПроцедуры 	- Структура - содержит именованные параметры для запуска процедур и функций
//
// Возвращаемое значение:
//	Структура - содержит описание созданного фононовое задание см. ДлительныеОперации.ВыполнитьВФоне()
//
Функция ВыполнитьВФоне(ИмяПроцедуры, ПараметрыПроцедуры) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСВызовСервера.ВыполнитьВФоне(ИмяПроцедуры, ПараметрыПроцедуры) 
```
</details>

## ПолучитьРезультатВыполненияВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение и подготовка результатов выполнения функции в фоне.
//
// Параметры:
//	ДлительнаяОперация - Структура
//	РеквизитыВХранилище - Строка
//
// Возвращаемое значение:
//	Структура
//
Функция ПолучитьРезультатВыполненияВФоне(ДлительнаяОперация, РеквизитыВХранилище = "") Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСВызовСервера.ПолучитьРезультатВыполненияВФоне(ДлительнаяОперация, РеквизитыВХранилище);
```
</details>

## СвойстваОтправкиРегистрацииЮЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка для получения данных о свойствах отправки
//
// Параметры:
//	ПредметОтправки - СправочникСсылка.ОтправкиРегистрацияЮЛ
//
// Возвращаемое значение:
//	см. ДокументооборотРегистрацияВФНС.СвойстваОтправкиРегистрацииЮЛ
//
Функция СвойстваОтправкиРегистрацииЮЛ(ПредметОтправки) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСВызовСервера.СвойстваОтправкиРегистрацииЮЛ(ПредметОтправки) 
```
</details>

## СвойстваЗаявленияРегистрацииЮЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка для получения данных о свойствах отправки.
//
// Параметры:
//	ПредметОтправки - ДокументСсылка.УведомлениеОСпецрежимахНалогообложения
//
// Возвращаемое значение:
//	см. ДокументооборотРегистрацияВФНС.СвойстваЗаявленияРегистрацииЮЛ
//
Функция СвойстваЗаявленияРегистрацииЮЛ(ПредметОтправки) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСВызовСервера.СвойстваЗаявленияРегистрацииЮЛ(ПредметОтправки) 
```
</details>

## ПолучитьДанныеПоНавигационнойСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает реальную ссылку на объект базы по ее навигационной ссылке
//
// Параметры:
//	НавигационнаяСсылка - Строка
//
// Возвращаемое значение:
//	СправочникСсылка.ОтправкиРегистрацияЮЛПрисоединенныеФайлы
//
Функция ПолучитьДанныеПоНавигационнойСсылке(НавигационнаяСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСВызовСервера.ПолучитьДанныеПоНавигационнойСсылке(НавигационнаяСсылка) 
```
</details>

## СформироватьЭтапыОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка для получения состояния этапов отправки.
//
// Параметры:
//	ОтправкаСсылка - СправочникСсылка.ОтправкиРегистрацияЮЛ
//
// Возвращаемое значение:
//	см. ДокументооборотРегистрацияВФНС.СформироватьЭтапыОтправки
//
Функция СформироватьЭтапыОтправки(ОтправкаСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСВызовСервера.СформироватьЭтапыОтправки(ОтправкаСсылка) 
```
</details>

## ПолучитьОтправкиПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает реестр не завершенных отправок заявления в сервис регистрации ЮЛ ФНС.
// В формируемый список добавляются только элементы, которые не требуют авторизации
// и отправленные в течении 2 месяцев
//
// Параметры:
//	Организация - СправочникСсылка.Организация
//
// Возвращаемое значение:
//	Массив из СправочникСсылка.ОтправкиРегистрацияЮЛ
//
Функция ПолучитьОтправкиПоОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСВызовСервера.ПолучитьОтправкиПоОрганизации(Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
