---
title: Документооборот регистрация вфнс клиент сервер
slug: zup/документооборот-регистрация-вфнс-клиент-сервер
---


## ПараметрыПрорисовкиКнопокОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описывает правила прорисовки интерфейсных элементов
//
// Параметры:
//	ОрганизацияСсылка - СправочникСсылка.Организации
//
// Возвращаемое значение:
//	Структура
//
Функция ПараметрыПрорисовкиКнопокОтправки(ОрганизацияСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСКлиентСервер.ПараметрыПрорисовкиКнопокОтправки(ОрганизацияСсылка) 
```
</details>

## ПриИнициализацииФормыРегламентированногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при открытии формы отчетности
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения
//	ПараметрыПрорисовкиПанели - Структура - возвращает параметры
//
Процедура ПриИнициализацииФормыРегламентированногоОтчета(Форма, ПараметрыПрорисовкиПанели = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотРегистрацияВФНСКлиентСервер.ПриИнициализацииФормыРегламентированногоОтчета(Форма, ПараметрыПрорисовкиПанели);
```
</details>

## ПолучитьСсылкуДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет по источнику данных ссылку на документ, используемый в обмене.
//
// Параметры:
//	ИсточникДанных - ДокументСсылка.УведомлениеОСпецрежимахНалогообложения, ФормаКлиентскогоПриложения
//
// Возвращаемое значение:
//	ДокументСсылка.УведомлениеОСпецрежимахНалогообложения, Неопределено
//
Функция ПолучитьСсылкуДанных(ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСКлиентСервер.ПолучитьСсылкуДанных(ИсточникДанных) 
```
</details>

## ПолучитьОрганизациюПоФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет организацию по источнику данных
//
// Параметры:
//	Форма - ДокументСсылка.УведомлениеОСпецрежимахНалогообложения, ФормаКлиентскогоПриложения
//
// Возвращаемое значение:
//	СправочникСсылка.Организации, Неопределено
//
Функция ПолучитьОрганизациюПоФорме(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСКлиентСервер.ПолучитьОрганизациюПоФорме(Форма) 
```
</details>

## ВерсияОбменаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет транспорт подключения к сервису приема заявлений
// Если 0 - прямое подключение к сервису ФНС, 1 - через промежуточный жлюз
//
// Возвращаемое значение:
//	Число
//
Функция ВерсияОбменаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотРегистрацияВФНСКлиентСервер.ВерсияОбменаПоУмолчанию() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
