---
title: Документооборот СКО
slug: zup/документооборот-ско
---


## ПолучитьСведенияОбОрганизацииЧерезПопытку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает сведения об организации с записью ошибок в журнал и попыткой получения сведений поштучно в попытке
// Не допускается передача пустого СписокПоказателей
//
Функция ПолучитьСведенияОбОрганизацииЧерезПопытку(Знач Организация, Знач ДатаЗначения = Неопределено, Знач СписокПоказателей) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.ПолучитьСведенияОбОрганизацииЧерезПопытку(Организация, ДатаЗначения, СписокПоказателей) 
```
</details>

## РеквизитОрганизацииЧерезПопытку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитОрганизацииЧерезПопытку(Знач Организация, Знач ДатаЗначения = Неопределено, Знач Показатель) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.РеквизитОрганизацииЧерезПопытку(Организация, ДатаЗначения, Показатель) 
```
</details>

## ПолучитьОбработкуЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОбработкуЭДО(ТекстСообщения = "") Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.ПолучитьОбработкуЭДО(ТекстСообщения);
```
</details>

## ОбработчикиИнициализацииПараметровСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для задания обработчиков параметров сеанса следует использовать шаблон:
// Обработчики.Вставить("<ИмяПараметраСеанса>|<НачалоИмениПараметраСеанса*>", "Обработчик");
//
// Примечание. Символ '*'используется в конце имени параметра сеанса и обозначает,
//             что один обработчик будет вызван для инициализации всех параметров сеанса
//             с именем, начинающимся на слово НачалоИмениПараметраСеанса
//
Процедура ОбработчикиИнициализацииПараметровСеанса(Обработчики) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.ОбработчикиИнициализацииПараметровСеанса(Обработчики) 
```
</details>

## ПараметрыИнформационнойПанелиБРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров, необходимых для создания информационной панели в объектах ЕНП/ЕНС
//
// Возвращаемое значение:
//  Структура - Параметры, необходимые для создания информационной панели в объектах ЕНП/ЕНС
//
Функция ПараметрыИнформационнойПанелиБРО() Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.ПараметрыИнформационнойПанелиБРО() 
```
</details>

## УстановитьПараметрСеансаТекущийСеансДокументооборотаСКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПараметрСеансаТекущийСеансДокументооборотаСКО(ИмяПараметра = Неопределено, УстановленныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.УстановитьПараметрСеансаТекущийСеансДокументооборотаСКО(ИмяПараметра, УстановленныеПараметры);
```
</details>

## НачатьСеансДокументооборотаСКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьСеансДокументооборотаСКО(ИнициаторСеанса, УчетнаяЗапись = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.НачатьСеансДокументооборотаСКО(ИнициаторСеанса, УчетнаяЗапись);
```
</details>

## ЗакончитьСеансДокументооборотаСКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗакончитьСеансДокументооборотаСКО(УчетнаяЗапись = Неопределено, Успешно = Истина) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.ЗакончитьСеансДокументооборотаСКО(УчетнаяЗапись, Успешно);
```
</details>

## ТекущийСеансДокументооборотаСКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекущийСеансДокументооборотаСКО() Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.ТекущийСеансДокументооборотаСКО() 
```
</details>

## УстановитьСоединениеССерверомИнтернета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьСоединениеССерверомИнтернета(URLСервера, ОписаниеОшибки = "", Таймаут = 60) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.УстановитьСоединениеССерверомИнтернета(URLСервера, ОписаниеОшибки, Таймаут);
```
</details>

## ВыполнитьОбмен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьОбмен(УчетнаяЗапись) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.ВыполнитьОбмен(УчетнаяЗапись) 
```
</details>

## ПолучитьСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСообщения(УчетнаяЗапись) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.ПолучитьСообщения(УчетнаяЗапись) 
```
</details>

## ОтправитьСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправитьСообщения(УчетнаяЗапись) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.ОтправитьСообщения(УчетнаяЗапись) 
```
</details>

## НастроитьОбменПоУчетнойЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастроитьОбменПоУчетнойЗаписи(УчетнаяЗапись) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.НастроитьОбменПоУчетнойЗаписи(УчетнаяЗапись) 
```
</details>

## ВключитьОбменПоУчетнойЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВключитьОбменПоУчетнойЗаписи(УчетнаяЗапись) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.ВключитьОбменПоУчетнойЗаписи(УчетнаяЗапись) 
```
</details>

## ОтключитьОбменПоУчетнойЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтключитьОбменПоУчетнойЗаписи(УчетнаяЗапись) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.ОтключитьОбменПоУчетнойЗаписи(УчетнаяЗапись) 
```
</details>

## ПолучитьПочтовоеСоединение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПочтовоеСоединение(ПочтовыйПрофиль) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.ПолучитьПочтовоеСоединение(ПочтовыйПрофиль) 
```
</details>

## ОткрытьСоединениеДляПолученияПочты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОткрытьСоединениеДляПолученияПочты(ПараметрыПодключения) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.ОткрытьСоединениеДляПолученияПочты(ПараметрыПодключения) 
```
</details>

## ОткрытьСоединениеДляОтправкиПочты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОткрытьСоединениеДляОтправкиПочты(ПараметрыПодключения) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.ОткрытьСоединениеДляОтправкиПочты(ПараметрыПодключения) 
```
</details>

## ЗакрытьПочтовоеСоединение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗакрытьПочтовоеСоединение(ПочтовоеСоединение) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.ЗакрытьПочтовоеСоединение(ПочтовоеСоединение) 
```
</details>

## ПеренестиТранспортныеСообщенияВПрисоединенныеФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПеренестиТранспортныеСообщенияВПрисоединенныеФайлы() Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.ПеренестиТранспортныеСообщенияВПрисоединенныеФайлы() 
```
</details>

## ПараметрыРаботыКлиентаПриЗапуске
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПараметрыРаботыКлиентаПриЗапуске(Параметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.ПараметрыРаботыКлиентаПриЗапуске(Параметры) 
```
</details>

## ПриДобавленииПараметровРаботыКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриДобавленииПараметровРаботыКлиента(Параметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКО.ПриДобавленииПараметровРаботыКлиента(Параметры) 
```
</details>

## ТекущиеУчетныеЗаписиНалогоплательщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекущиеУчетныеЗаписиНалогоплательщика() Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКО.ТекущиеУчетныеЗаписиНалогоплательщика() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
