---
title: Документооборот СКО клиент
slug: zup/документооборот-ско-клиент
---


## ПолучитьКонтекстЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура получает Контекст ЭДО и возвращает его в Обработку оповещения,
// переданную в параметрах к этой процедуре.
//
//
// Параметры:
//	ВыполняемоеОповещение                  - ОписаниеОповещения - Описание оповещения, которое будет вызвано после получения Контекста ЭДО.
//                                                       В качестве результата описания оповещения передается структура с ключами:
//                                                       * КонтекстЭДО    - Форма обработки, либо неопределено
//                                                       * ТекстОшибки - Текст сообщения об ошибке, из-за которой не удалось получить контекст
//	ВызовИзМастераПодключенияК1СОтчетности - Булево - .
//
Процедура ПолучитьКонтекстЭДО( Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПолучитьКонтекстЭДО();
```
</details>

## ОбновитьИПолучитьКонтекстЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьИПолучитьКонтекстЭДО(ВыполняемоеОповещение = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОбновитьИПолучитьКонтекстЭДО(ВыполняемоеОповещение);
```
</details>

## КлючВК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КлючВК() Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКОКлиент.КлючВК());
```
</details>

## ПолучитьПутьВК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПутьВК(Принудительно = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКОКлиент.ПолучитьПутьВК(Принудительно);
```
</details>

## ОбновитьПутьВК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПутьВК(ПослеЗапускаСистемы = Ложь) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОбновитьПутьВК(ПослеЗапускаСистемы);
```
</details>

## ОтправитьОтчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправитьОтчеты(ВыполняемоеОповещение, Ссылки) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОтправитьОтчеты(ВыполняемоеОповещение, Ссылки) 
```
</details>

## ОтправитьОтчеты_ПослеПолучениеКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправитьОтчеты_ПослеПолучениеКонтекста(Результат, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОтправитьОтчеты_ПослеПолучениеКонтекста(Результат, ВходящийКонтекст) 
```
</details>

## ПриНажатииНаКнопкуОтправкиВКонтролирующийОрган
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриНажатииНаКнопкуОтправкиВКонтролирующийОрган( Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПриНажатииНаКнопкуОтправкиВКонтролирующийОрган();
```
</details>

## ПродолжитьОтправкуПослеСохраненияРегОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПродолжитьОтправкуПослеСохраненияРегОтчета(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПродолжитьОтправкуПослеСохраненияРегОтчета(Результат, ДополнительныеПараметры) 
```
</details>

## ПроверитьЧтоЭДОПодключенИПродолжитьОтправку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЧтоЭДОПодключенИПродолжитьОтправку(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьЧтоЭДОПодключенИПродолжитьОтправку(ДополнительныеПараметры));
```
</details>

## ПроверитьЧтоЭДОПодключенПослеПолученияКонтекста_ПослеПроверкиЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЧтоЭДОПодключенПослеПолученияКонтекста_ПослеПроверкиЗаявления(Результат, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьЧтоЭДОПодключенПослеПолученияКонтекста_ПослеПроверкиЗаявления(Результат, ВходящийКонтекст) 
```
</details>

## ПроверитьЧтоЭДОПодключенПослеПолученияКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЧтоЭДОПодключенПослеПолученияКонтекста(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьЧтоЭДОПодключенПослеПолученияКонтекста(Результат, ДополнительныеПараметры) 
```
</details>

## ПроверитьЧтоЭДОПодключенПослеДобавленияКонтекстаВПараметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЧтоЭДОПодключенПослеДобавленияКонтекстаВПараметры(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьЧтоЭДОПодключенПослеДобавленияКонтекстаВПараметры(ДополнительныеПараметры) 
```
</details>

## ПроверитьЧтоЭДОПодключенПослеДобавленияКонтекстаВПараметры_ПослеНастройкиЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьЧтоЭДОПодключенПослеДобавленияКонтекстаВПараметры_ПослеНастройкиЗаявления(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьЧтоЭДОПодключенПослеДобавленияКонтекстаВПараметры_ПослеНастройкиЗаявления(Результат, ДополнительныеПараметры) 
```
</details>

## ОрганизацияПодключенаКНаправлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОрганизацияПодключенаКНаправлению(ОрганизацияОтчета, КонтролирующийОрган) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКОКлиент.ОрганизацияПодключенаКНаправлению(ОрганизацияОтчета, КонтролирующийОрган) 
```
</details>

## ОповеститьОЗавершенииОтправкиИПерерисоватьПанельОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОповеститьОЗавершенииОтправкиИПерерисоватьПанельОтправки(РезультатОтправки, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОповеститьОЗавершенииОтправкиИПерерисоватьПанельОтправки(РезультатОтправки, ДополнительныеПараметры) 
```
</details>

## ОтправкаВКонтролирующийОрганПослеПодтвержденияОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправкаВКонтролирующийОрганПослеПодтвержденияОтправки(Результат, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОтправкаВКонтролирующийОрганПослеПодтвержденияОтправки(Результат, ВходящийКонтекст) 
```
</details>

## ПроверитьВИнтернете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьВИнтернете(Форма, КонтролирующийОрган = "ФНС", АдресГотовыхДанных = Неопределено, ИмяФайлаГотовыхДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьВИнтернете(Форма, КонтролирующийОрган, АдресГотовыхДанных, ИмяФайлаГотовыхДанных);
```
</details>

## ПроверитьВИнтернетеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьВИнтернетеЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьВИнтернетеЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПроверитьВИнтернетеПослеСохранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьВИнтернетеПослеСохранения(Форма, КонтролирующийОрган, СсылкаНаОтчет, АдресГотовыхДанных = Неопределено, ИмяФайлаГотовыхДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьВИнтернетеПослеСохранения(Форма, КонтролирующийОрган, СсылкаНаОтчет, АдресГотовыхДанных, ИмяФайлаГотовыхДанных);
```
</details>

## ПроверитьВИнтернетеПослеПолученияКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьВИнтернетеПослеПолученияКонтекста(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьВИнтернетеПослеПолученияКонтекста(Результат, ДополнительныеПараметры) 
```
</details>

## ПроверитьВИнтернетеПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьВИнтернетеПоСсылке(Ссылка, КонтролирующийОрган = "ФНС", АдресГотовыхДанных = Неопределено, ИмяФайлаГотовыхДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьВИнтернетеПоСсылке(Ссылка, КонтролирующийОрган, АдресГотовыхДанных, ИмяФайлаГотовыхДанных);
```
</details>

## ПослеЗапускаСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗапускаСистемы() Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПослеЗапускаСистемы() 
```
</details>

## ПредупредитьОбАстралМЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПредупредитьОбАстралМЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПредупредитьОбАстралМЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПредупредитьОЗаявленияхЭДОПФРЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПредупредитьОЗаявленияхЭДОПФРЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПредупредитьОЗаявленияхЭДОПФРЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПодключениеОбработчикаОжиданияАвтообмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодключениеОбработчикаОжиданияАвтообмена(Подключать = Истина) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПодключениеОбработчикаОжиданияАвтообмена(Подключать);
```
</details>

## ОткрытьМастерПодключенияК1СОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьМастерПодключенияК1СОтчетности(СохраненныеНастройки) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОткрытьМастерПодключенияК1СОтчетности(СохраненныеНастройки));
```
</details>

## ОткрытьМастерПодключенияК1СОтчетностиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьМастерПодключенияК1СОтчетностиЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОткрытьМастерПодключенияК1СОтчетностиЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПолучитьИнформациюОВходящихСообщенияхЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьИнформациюОВходящихСообщенияхЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПолучитьИнформациюОВходящихСообщенияхЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПолучитьИнформациюОВходящихСообщенияхДляПользователяЭДОЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьИнформациюОВходящихСообщенияхДляПользователяЭДОЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПолучитьИнформациюОВходящихСообщенияхДляПользователяЭДОЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПредупредитьОПроблемах1СОтчетностиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПредупредитьОПроблемах1СОтчетностиЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПредупредитьОПроблемах1СОтчетностиЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПредупредитьОНекорректныхСтатусахОтправки2НДФЛПослеПолученияКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПредупредитьОНекорректныхСтатусахОтправки2НДФЛПослеПолученияКонтекста(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПредупредитьОНекорректныхСтатусахОтправки2НДФЛПослеПолученияКонтекста(Результат, ДополнительныеПараметры) 
```
</details>

## СоздатьЭлектронноеПредставлениеРегламентированныхОтчетовИзФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьЭлектронноеПредставлениеРегламентированныхОтчетовИзФайлов(Файлы, Адрес) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.СоздатьЭлектронноеПредставлениеРегламентированныхОтчетовИзФайлов(Файлы, Адрес) 
```
</details>

## СоздатьЭлектронноеПредставлениеРегламентированныхОтчетовИзФайловЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьЭлектронноеПредставлениеРегламентированныхОтчетовИзФайловЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.СоздатьЭлектронноеПредставлениеРегламентированныхОтчетовИзФайловЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ПроверитьСтатусПодключенияПередОтправкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, было ли отправлено и одобрено заявление на подключение к 1С-Отчетности.
// Если было, то предлагает завершить настройку 1С-Отчетности и повторяет отправку объекта,
// если указан параметр ВыполняемоеОповещение.
// Если заявления отправлено не было, то показывает предложение подключиться к 1С-Отчетности.
//
// Параметры:
//  СсылкаНаОбъект			 - ДокументСсылка, СправочникСсылка - Отправляемый объект
//  ВыполняемоеОповещение	 - ОписаниеОповещения, Неопределено - Описание действия, которое должно быть повторено после
//		успешной настройки заявления по 1С-Отчетности. Неопределено - если отправку повторять не нужно.

Процедура ПроверитьСтатусПодключенияПередОтправкой(СсылкаНаОбъект, ВыполняемоеОповещение = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьСтатусПодключенияПередОтправкой(СсылкаНаОбъект, ВыполняемоеОповещение);
```
</details>

## ПроверитьСтатусПодключенияПередОтправкойПослеПолученияКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСтатусПодключенияПередОтправкойПослеПолученияКонтекста(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьСтатусПодключенияПередОтправкойПослеПолученияКонтекста(Результат, ДополнительныеПараметры) 
```
</details>

## ЗавершитьНастройкуЗаявленияНаИзменение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, было ли отправлено и одобрено заявление на изменение подключения к 1С-Отчетности.
// Если было, то предлагает завершить его настройку и затем продолжает отправку.
//
// Параметры:
//  СсылкаНаОбъект			 - ДокументСсылка, СправочникСсылка - Отправляемый объект
//  ВыполняемоеОповещение	 - ОписаниеОповещения, Неопределено - Описание действия, которое должно быть выполнено
//		после настройки заявления на изменение 1С-Отчетности.
//
Процедура ЗавершитьНастройкуЗаявленияНаИзменение(СсылкаНаОбъект, ВыполняемоеОповещение) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ЗавершитьНастройкуЗаявленияНаИзменение(СсылкаНаОбъект, ВыполняемоеОповещение) 
```
</details>

## ЗавершитьНастройкуЗаявленияНаИзменениеПоСсылке_ПослеПолученияКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗавершитьНастройкуЗаявленияНаИзменениеПоСсылке_ПослеПолученияКонтекста(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ЗавершитьНастройкуЗаявленияНаИзменениеПоСсылке_ПослеПолученияКонтекста(Результат, ДополнительныеПараметры) 
```
</details>

## СообщитьОНеподключенномНаправлении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает предупреждение о том, что направление сдачи отчетности не подключено и предлагает
// отправить заявление для подключения этого направления.
// Если заявление было отправлено, то предлагает завершить настройку заявления, если оно одобрено
// или сообщает о том, что оно еще не одобрено.
// По завершению работы вызывается процедура, указанная в параметре ВыполняемоеОповещение
// с результатом, указанным в параметре РезультатОтправки.
//
// Параметры:
//  СсылкаНаОбъект			 - ДокументСсылка, СправочникСсылка - Отправляемый объект
//  ВыполняемоеОповещение	 - ОписаниеОповещения, Неопределено - Действие, которое должно быть выполенено в случае неуспешной отправки.
//  РезультатОтправки		 - Произвольный - Результат, который должен быть возвращен в случае неуспешной отправки отчета.
//
Процедура СообщитьОНеподключенномНаправлении(СсылкаНаОбъект, ВыполняемоеОповещение = Неопределено, РезультатОтправки = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.СообщитьОНеподключенномНаправлении(СсылкаНаОбъект, ВыполняемоеОповещение, РезультатОтправки);
```
</details>

## СообщитьОНеподключенномНаправленииПослеПолученияКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СообщитьОНеподключенномНаправленииПослеПолученияКонтекста(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.СообщитьОНеподключенномНаправленииПослеПолученияКонтекста(Результат, ДополнительныеПараметры) 
```
</details>

## СформироватьПакетПоЕГРЮЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьПакетПоЕГРЮЛ(Параметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.СформироватьПакетПоЕГРЮЛ(Параметры) 
```
</details>

## СформироватьПакетПоЕГРЮЛ_ПослеПолученияКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьПакетПоЕГРЮЛ_ПослеПолученияКонтекста(Результат, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.СформироватьПакетПоЕГРЮЛ_ПослеПолученияКонтекста(Результат, ВходящийКонтекст) 
```
</details>

## ПолучитьСвойстваПрограммыМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// УниверсальныйКриптопровайдер - Булево - если Истина, то возвращается провайдер Microsoft Base Cryptographic Provider v1.0
Процедура ПолучитьСвойстваПрограммыМенеджераКриптографии( Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПолучитьСвойстваПрограммыМенеджераКриптографии();
```
</details>

## ОтобразитьПредставленияСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьПредставленияСертификатов( Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОтобразитьПредставленияСертификатов();
```
</details>

## ОтобразитьПредставлениеСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьПредставлениеСертификата( Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОтобразитьПредставлениеСертификата();
```
</details>

## ПолучитьСертификаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСертификаты(ОписаниеОповещения, Параметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПолучитьСертификаты(ОписаниеОповещения, Параметры) 
```
</details>

## НаименованиеСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НаименованиеСертификата(СертификатКриптографии) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКОКлиент.НаименованиеСертификата(СертификатКриптографии) 
```
</details>

## СтуктураДанныхСертификатаВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтуктураДанныхСертификатаВСтроку(Структура) Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКОКлиент.СтуктураДанныхСертификатаВСтроку(Структура) 
```
</details>

## ОпределитьУстановленныеКрипторовайдеры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьУстановленныеКрипторовайдеры(ОповещениеОбратногоВызова) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ОпределитьУстановленныеКрипторовайдеры(ОповещениеОбратногоВызова) 
```
</details>

## СоздатьМенеджерКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает и возвращает менеджер криптографии (на клиенте) для указанной программы.
//
// Параметры:
//  Оповещение - ОписаниеОповещения - описание оповещения для возврата из процедуры
//  СвойстваПрограммы - ФиксированнаяСтруктура - структура со свойствами программы менеджера криптографии
//  Алгоритмы - Структура - структура со свойствами:
//      * АлгоритмПодписи - Строка - алгоритм подписи
//      * АлгоритмХеширования - Строка - алгоритм подписи
//      * АлгоритмШифрования - Строка - алгоритм подписи
Процедура СоздатьМенеджерКриптографии(Оповещение, СвойстваПрограммы, Алгоритмы = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.СоздатьМенеджерКриптографии(Оповещение, СвойстваПрограммы, Алгоритмы);
```
</details>

## НайтиСертификатПоОтпечатку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиСертификатПоОтпечатку( Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.НайтиСертификатПоОтпечатку();
```
</details>

## НайтиСертификатПоСерийномуНомеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиСертификатПоСерийномуНомеру( Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.НайтиСертификатПоСерийномуНомеру();
```
</details>

## НайтиСертификатПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиСертификатПоИдентификатору( Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.НайтиСертификатПоИдентификатору();
```
</details>

## ПроверитьСертификат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСертификат( Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПроверитьСертификат();
```
</details>

## ЭкспортироватьСертификатВФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ЭкспортироватьСертификатВФайл();
```
</details>

## ПодписатьCadesBes
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодписатьCadesBes(ОповещениеОбратногоВызова, ПараметрыПодписи) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПодписатьCadesBes(ОповещениеОбратногоВызова, ПараметрыПодписи) 
```
</details>

## ПодключениеОбработчикаОжиданияИнформацияПоТребованиям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключает/отключает обработчик ожидания для проверки состояния требований от ФНС.
//
// Параметры:
//	Подключать 			- Булево
//	ПериодОповещения 	- Число
//
Процедура ПодключениеОбработчикаОжиданияИнформацияПоТребованиям(Подключать = Истина, Интервал = 0) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПодключениеОбработчикаОжиданияИнформацияПоТребованиям(Подключать, Интервал);
```
</details>

## ПолучитьИнформациюОТребованияхЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьИнформациюОТребованияхЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПолучитьИнформациюОТребованияхЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## ИнформационнаяПанельБРОНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод отрабатывает нажатие на элементы в информационной панели БРО
//
// Параметры:
//  Форма	 - УправляемаяФорма - Форма, в которой располагается элемент.
//  Ссылка	 - Строка - Значение, которое пришло в метод формы Подключаемый_ИнформационнаяПанельБРООбработкаНавигационнойСсылки
//             в парамете НавигационнаяСсылкаФорматированнойСтроки.
//  СтандартнаяОбработка - Булево - Значение, которое пришло в метод формы
//             Подключаемый_ИнформационнаяПанельБРООбработкаНавигационнойСсылки в параметре ОбработкаНавигационнойСсылки.
//
Процедура ИнформационнаяПанельБРОНажатие(Форма, Ссылка, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ИнформационнаяПанельБРОНажатие(Форма, Ссылка, СтандартнаяОбработка) 
```
</details>

## ПредлагатьУстановкуРасширения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредлагатьУстановкуРасширения() Экспорт
```

Пример вызова
```bsl
Результат = ДокументооборотСКОКлиент.ПредлагатьУстановкуРасширения() 
```
</details>

## ПолучитьТабДокОтчетаСЭЦП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в табличный документ отчета, отправленного в ФНС, СФР (бывш. ПФР) или Росстат штамп эл. подписи.
//
// Параметры:
//  Источник				 - ФормаКлиентскогоПриложения, ДокументСсылка, ДокументСсылка -
// 		Форма или ссылка на печатаемый отчет
// 		Если передается форма, то в методе ЭлектронныйДокументооборотСКонтролирующимиОрганамиКлиентСервер.СсылкаНаОтчетПоФорме
// 		должно быть запрограммировано получение ссылки на этот отчет.
//  ТабличныйДокумент		 - ТабличныйДокумент, Неопределено - Табличный документ отчета, куда надо добавить штамп эл. подписи.
//		Если ТабличныйДокумент не указан, то результат будет содержать xml содержимое отчета (эл. представление) со штампом эл. подписи.
//  ВыполняемоеОповещение	 - ОписаниеОповещения - После завершения работы управление будет передано в этот метод со следующим результатом:
// 			Выполнено – Булево - Показывает, успешно ли выполнена процедура добавления штамп эл. подписи.
// 			ТабличныйДокумент - ТабличныйДокумент - Табличный документ отчета с добавленным штампом эл. подписи.
//			др. вспомогательные свойства.
//
Процедура ПолучитьТабДокОтчетаСЭЦП(Источник, ТабличныйДокумент = Неопределено, ВыполняемоеОповещение = Неопределено) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПолучитьТабДокОтчетаСЭЦП(Источник, ТабличныйДокумент, ВыполняемоеОповещение);
```
</details>

## ПолучитьОтчетСЭЦППродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОтчетСЭЦППродолжение(Результат, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПолучитьОтчетСЭЦППродолжение(Результат, ВходящийКонтекст) 
```
</details>

## ПолучитьОтчетСЭЦППроверкаРезультата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОтчетСЭЦППроверкаРезультата(Результат, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПолучитьОтчетСЭЦППроверкаРезультата(Результат, ВходящийКонтекст) 
```
</details>

## ПолучитьОтчетСЭЦПЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОтчетСЭЦПЗавершение(Результат, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ПолучитьОтчетСЭЦПЗавершение(Результат, ВходящийКонтекст) 
```
</details>

## ВыбратьНастройкиОбменаЕГАИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыбратьНастройкиОбменаЕГАИС(ОбработчикЗакрытияФормы, Организация, СписокЗначенийНастроекОбмена) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиент.ВыбратьНастройкиОбменаЕГАИС(ОбработчикЗакрытияФормы, Организация, СписокЗначенийНастроекОбмена) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
