---
title: Документооборот СКО клиент переопределяемый
slug: zup/документооборот-ско-клиент-переопределяемый
---


## ПерейтиКСверкеПоИмущественномуНалогу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды перехода к сверке имущественного налога из входящего сообщения ФНС
//
// Параметры:
//  Форма     - ФормаКлиентскогоПриложения - форма, из которой выполняется открытие сверки
//  Сообщение - СправочникСсылка.ДокументыРеализацииПолномочийНалоговыхОрганов - входящее сообщение из ФНС
//              с расчетом имущественных налогов
//
Процедура ПерейтиКСверкеПоИмущественномуНалогу(Форма, Сообщение) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиентПереопределяемый.ПерейтиКСверкеПоИмущественномуНалогу(Форма, Сообщение) 
```
</details>

## СформироватьВыгрузкуПлатежныхПоручений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переходит к форме выгрузки документов вида "Платежное поручение"
//
// Параметры:
//  Форма     - ФормаКлиентскогоПриложения - форма, из которой выполняется открытие сверки
//  МассивПлатежныхПоручений - Массив из Ссылка - ссылки на сформированные документы платежей в потребителе
//                           - Массив из Строка - навигационные ссылки на сформированные документы платежей в потребителе
//
Процедура СформироватьВыгрузкуПлатежныхПоручений(Форма, МассивПлатежныхПоручений) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиентПереопределяемый.СформироватьВыгрузкуПлатежныхПоручений(Форма, МассивПлатежныхПоручений) 
```
</details>

## ОткрытьПлатежноеПоручениеТребования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму платежного поручения в конфигурации потребителя
//
// Параметры:
//  ПараметрыФормы           - Структура - параметры для открытия формы
//  Открыта                  - Булево - статус открытия формы, если не ИСТИНА, то открывается стандартная форма объекта
//
Процедура ОткрытьПлатежноеПоручениеТребования(ПараметрыФормы, Открыта) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОКлиентПереопределяемый.ОткрытьПлатежноеПоручениеТребования(ПараметрыФормы, Открыта) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
