---
title: Документооборот СКО переопределяемый
slug: zup/документооборот-ско-переопределяемый
---


## ПослеЗаписиДокументаРеализацииПолномочийНалоговыхОрганов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Срабатывает после записи объекта ДокументРеализацииПолномочийНалоговыхОрганов, когда уже записаны его файлы.
//
// Параметры:
//  Ссылка	 - ДокументСсылка.ДокументРеализацииПолномочийНалоговыхОрганов - Входящее сообщение от ФНС
//  Файлы	 - Массив структур - Массив описания вложений документа - структура
//       * Адрес - Строка - Адрес во временном хранилище
//       * ИмяФайла - Строка - Имя файла с расширением
//
Процедура ПослеЗаписиДокументаРеализацииПолномочийНалоговыхОрганов(Ссылка, Файлы) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОПереопределяемый.ПослеЗаписиДокументаРеализацииПолномочийНалоговыхОрганов(Ссылка, Файлы) 
```
</details>

## ПроверитьРеализованаСверкаИмущественныхНалогов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет наличие в конфигурации-потребителе механизма сверки имущественных налогов.
//
// Параметры:
//  РеализованаСверка - Булево - параметр будет установлен в Истина, если в конфигурации предусмотрена сверка
//
Процедура ПроверитьРеализованаСверкаИмущественныхНалогов(РеализованаСверка) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОПереопределяемый.ПроверитьРеализованаСверкаИмущественныхНалогов(РеализованаСверка) 
```
</details>

## КонфигурацияПоддерживаетТарифПромоЕНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Указывает, поддерживает ли конфигурация тариф Промо ЕНС
//
// Параметры:
//  Поддерживает - Булево - Если конфигурация поддерживает тариф Промо ЕНС, то присваивать Поддерживает = Истина
//
Процедура КонфигурацияПоддерживаетТарифПромоЕНС(Поддерживает) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОПереопределяемый.КонфигурацияПоддерживаетТарифПромоЕНС(Поддерживает) 
```
</details>

## КонфигурацияПоддерживаетПлатежныеПоручения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Указывает, поддерживает ли конфигурация возможность оформления платежных поручений
//
// Параметры:
//  ПоддерживаетСоздание - Булево
//  ПоддерживаетВыгрузку - Булево
//
Процедура КонфигурацияПоддерживаетПлатежныеПоручения(ПоддерживаетСоздание, ПоддерживаетВыгрузку) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОПереопределяемый.КонфигурацияПоддерживаетПлатежныеПоручения(ПоддерживаетСоздание, ПоддерживаетВыгрузку) 
```
</details>

## СформироватьПлатежныеПоручения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует документы вида "Платежное поручение" на основе переданных реквизитов
//
// Параметры:
//  ДокументКонтролирующегоОргана - Ссылка - ссылка на объект основание (справочник)
//  РеквизитыПлатежныхПоручений - Массив из Структура
//      * Организация - СправочникСсылка.Организации - плательщик
//      * КодНО - Строка - код налогового органа
//      * ИНН - Строка - ИНН организации, полученный в результате обработки исходных данных
//      * КПП - Строка - КПП организации
//      * Сумма - Число - сумма платежного поручения
//      * КБК - Строка - код бюджетной классификации
//      * ОКТМО - Строка
//      * Статус - Строка - статус платежного поручения
//      * УИН - Строка - идентификатор платежа
//      * БИК - Строка - код банка получателя
//      * БанкНаименование - Строка - наименование банка получателя
//      * КоррСчет - Строка - корреспондентский счет банка получателя
//      * РасчетныйСчет - Строка - расчетный счет получателя
//      * ИННПолучателя - Строка - ИНН получателя платежа
//      * КПППолучателя - Строка - КПП получателя платежа
//      * НаименованиеПолучателя - Строка - наименование получателя
//  МассивПлатежныхПоручений - Массив из Ссылка - ссылки на сформированные документы платежей в потребителе
//  ТекстОшибки - Строка - описание ошибки, если не удалось сфомировать документы
//
Процедура СформироватьПлатежныеПоручения(ДокументКонтролирующегоОргана, РеквизитыПлатежныхПоручений, МассивПлатежныхПоручений, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОПереопределяемый.СформироватьПлатежныеПоручения(ДокументКонтролирующегоОргана, РеквизитыПлатежныхПоручений, МассивПлатежныхПоручений, ТекстОшибки) 
```
</details>

## СкрытьЗаявленияЕГРЮЛ_ЕГРИП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, нужно ли скрывать элементы создания заявлений ЕГРЮЛ и ЕГРИП в форме 1С-Отчетность
//
// Параметры:
//  Скрыть	 - Булево - По умолчанию = Ложь
//
Процедура СкрытьЗаявленияЕГРЮЛ_ЕГРИП(Скрыть) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОПереопределяемый.СкрытьЗаявленияЕГРЮЛ_ЕГРИП(Скрыть) 
```
</details>

## ОбновитьИЗаполнитьТребованияФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет уже созданные или создает новые задачи бухгалтера для требования ФНС.
//
// Параметры:
//  Организация	 - СправочникСсылка.Организации - организация
//  Дата		 - Дата - дата требования
//
Процедура ОбновитьИЗаполнитьТребованияФНС(Организация, Дата) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОПереопределяемый.ОбновитьИЗаполнитьТребованияФНС(Организация, Дата) 
```
</details>

## ЗарегистрироватьИзменениеСтатусаЗадачТребованиеФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет статус по задаче с требованием ФНС.
//
// Параметры:
//  Ссылка - СправочникСсылка.ДокументыРеализацииПолномочийНалоговыхОрганов
//
Процедура ЗарегистрироватьИзменениеСтатусаЗадачТребованиеФНС(Ссылка) Экспорт
```

Пример вызова
```bsl
ДокументооборотСКОПереопределяемый.ЗарегистрироватьИзменениеСтатусаЗадачТребованиеФНС(Ссылка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
