---
title: Зарплата кадры
slug: zup/зарплата-кадры
---


## ОрганизацииФормаЭлементаПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия в форме Организации, связанные с зарплатно-кадровой спецификой.
// Вызов процедуры необходимо выполнять в обработчике ПриСозданииНаСервере
// формы организации.
Процедура ОрганизацииФормаЭлементаПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ОрганизацииФормаЭлементаПриСозданииНаСервере(Форма) 
```
</details>

## ОрганизацииФормаЭлементаПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия в форме Организации, связанные с зарплатно-кадровой спецификой.
// Вызов процедуры необходимо выполнять в обработчике ПриЧтенииНаСервере
// формы организации.
Процедура ОрганизацииФормаЭлементаПриЧтенииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ОрганизацииФормаЭлементаПриЧтенииНаСервере(Форма) 
```
</details>

## ОрганизацииФормаЭлементаПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия в форме Организации, связанные с зарплатно-кадровой спецификой.
// Вызов процедуры необходимо выполнять в обработчике ПередЗаписьюНаСервере
// формы организации.
Процедура ОрганизацииФормаЭлементаПередЗаписьюНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ОрганизацииФормаЭлементаПередЗаписьюНаСервере(Форма) 
```
</details>

## ОрганизацииФормаЭлементаПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия в форме Организации, связанные с зарплатно-кадровой спецификой.
// Вызов процедуры необходимо выполнять в обработчике ПослеЗаписиНаСервере
// формы организации.
Процедура ОрганизацииФормаЭлементаПослеЗаписиНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ОрганизацииФормаЭлементаПослеЗаписиНаСервере(Форма) 
```
</details>

## ОрганизацииФормаЭлементаОбработкаПроверкиЗаполненияНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия в форме Организации, связанные с зарплатно-кадровой спецификой.
// Вызов процедуры необходимо выполнять в обработчике ОбработкаПроверкиЗаполненияНаСервере
// формы организации.
Процедура ОрганизацииФормаЭлементаОбработкаПроверкиЗаполненияНаСервере(Форма, Отказ) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ОрганизацииФормаЭлементаОбработкаПроверкиЗаполненияНаСервере(Форма, Отказ) 
```
</details>

## ЗарегистрироватьОплатуВедомостей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрация оплаты ведомостей.
//
// Параметры:
//		ПлатежныйДокумент - ДокументОбъект - платежный документ.
//		Организация       - СправочникСсылка.Организации - организация, выплачивающая зарплату.
//		Ведомости         - Массив - оплачиваемые ведомости (ОпределяемыйТип.ВедомостьЗарплатаКадры)
//		ФизическиеЛица    - Массив - физические лица (СправочникСсылка.ФизическиеЛица), получившие выплаты по ведомостям
//		ДатаОперации      - Дата   - дата фактического выполнения оплаты. Если не указана, используется дата платежного документа.
//		Отказ             - Булево - признак отказа от выполнения операции.
//
Процедура ЗарегистрироватьОплатуВедомостей(ПлатежныйДокумент, Организация, Ведомости, ФизическиеЛица = Неопределено, ДатаОперации = Неопределено, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЗарегистрироватьОплатуВедомостей(ПлатежныйДокумент, Организация, Ведомости, ФизическиеЛица, ДатаОперации, Отказ);
```
</details>

## ЗаполнитьНаборыПоОрганизацииИСотрудникам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет формирование таблицы с набором значений доступа объекта (документа),
// содержащего ссылки на организацию и сотрудника (сотрудников).
// Вызывается из процедуры ЗаполнитьНаборыЗначенийДоступа, реализованной в модуле таких
// документов, доступ к которым выполняется через наборы значений доступа.
// Параметры:
//		Объект
//		Таблица - переданная таблица значений.
//		ПутьОрганизация - строка с именем реквизита, содержащего организацию.
//		ПутьСотрудник - строка с именем реквизита, содержащего сотрудника.
//			Может быть идентификатором реквизита объекта (например, "Сотрудник") или
//			путем к реквизиту табличной части в
//			формате <ИмяТабличнойЧасти>.<ИмяРеквизита>
//			(например, "Начисления.Сотрудник").
//
Процедура ЗаполнитьНаборыПоОрганизацииИСотрудникам(Объект, Таблица, ПутьОрганизация, ПутьСотрудник) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЗаполнитьНаборыПоОрганизацииИСотрудникам(Объект, Таблица, ПутьОрганизация, ПутьСотрудник) 
```
</details>

## СписокЗастрахованныхЛицОрганизацииЗаОтчетныйПериодПФР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает сведения о сотрудниках (застрахованных в ПФР), работавших в организации в указанном отчетном
// периоде.
//
// Параметры:
//  Организация - СправочникСсылка.Организации, организация (головная,
//				либо обособленное подразделение с выделенным балансом)
//				по которой требуется получить сведения.
//  ОтчетныйПериод - дата, определяет отчетный период ПФР (квартал).
//
// Возвращаемое значение:
//  ТаблицаЗначений с колонками "Фамилия", "Имя", "Отчество" и "СтраховойНомерПФР", в которых
//  содержится информация о фамилии, имени, отчестве и страховом номере (СНИЛС) каждого
//  из сотрудников (застрахованных лиц) организации соответственно.
//
Функция СписокЗастрахованныхЛицОрганизацииЗаОтчетныйПериодПФР(Организация, ОтчетныйПериод) Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.СписокЗастрахованныхЛицОрганизацииЗаОтчетныйПериодПФР(Организация, ОтчетныйПериод) 
```
</details>

## РегистрацияВНалоговомОргане
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на "Регистрацию в налоговом органе" по состоянию на некоторую ДатаАктуальности.
//
// Параметры:
//		СтруктурнаяЕдиница	- организация или подразделение.
//		ДатаАктуальности	- дата, на которую берется регистрация в налоговом органе.
//
//	Возвращаемое значение:
//		СправочникСсылка.РегистрацииВНалоговомОргане
//
Функция РегистрацияВНалоговомОргане(СтруктурнаяЕдиница, Знач ДатаАктуальности = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.РегистрацияВНалоговомОргане(СтруктурнаяЕдиница, ДатаАктуальности);
```
</details>

## РегистрацияВНалоговомОрганеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для получения ссылки на регистрацию в налоговом органе организации.
//
// Параметры:
//  Организация             - СправочникСсылка.Организации  - организация, для которой нужно получить регистрацию.
//  ДатаАктуальности        - Дата                          - дата, на которую необходимо получить регистрацию в НО.
//
// Возвращаемое значение:
//  СправочникСсылка.РегистрацииВНалоговомОргане - ссылка на существующую регистрацию, либо ПустаяСсылка().
//
Функция РегистрацияВНалоговомОрганеОрганизации(Организация, Знач ДатаАктуальности = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.РегистрацияВНалоговомОрганеОрганизации(Организация, ДатаАктуальности);
```
</details>

## РегистрацияВНалоговомОрганеПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Используется для получения ссылки на регистрацию в налоговом органе подразделения.
//
// Параметры:
//  ПодразделениеОрганизации - СправочникСсылка.ПодразделенияОрганизаций  - подразделение, для которого нужно получить регистрацию.
//  ДатаАктуальности         - Дата                                       - дата, на которую необходимо получить
//                                                                          регистрацию в НО.
//
// Возвращаемое значение:
//  СправочникСсылка.РегистрацииВНалоговомОргане - ссылка на существующую регистрацию, либо ПустаяСсылка().
//
Функция РегистрацияВНалоговомОрганеПодразделения(ПодразделениеОрганизации, Знач ДатаАктуальности = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.РегистрацияВНалоговомОрганеПодразделения(ПодразделениеОрганизации, ДатаАктуальности);
```
</details>

## ИспользоватьСтатьиФинансированияЗарплата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает значение настройки использования учета по статьям финансирования.
//
//	Возвращаемое значение:
//		Булево
//
Функция ИспользоватьСтатьиФинансированияЗарплата() Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.ИспользоватьСтатьиФинансированияЗарплата() 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииПраваОбработкиЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// ЭлектронноеВзаимодействие

// Устарела в версии БЭД 1.3.10. См. ЭлектронноеВзаимодействиеПереопределяемый.ЕстьПравоОбработкиЭД.
Функция ЭлектронноеВзаимодействиеПриОпределенииПраваОбработкиЭД() Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииПраваОбработкиЭД() 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииПраваЧтенияЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела в версии БЭД 1.3.10. См. ЭлектронноеВзаимодействиеПереопределяемый.ЕстьПравоЧтенияЭД.
Функция ЭлектронноеВзаимодействиеПриОпределенииПраваЧтенияЭД() Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииПраваЧтенияЭД() 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииСоответствияСправочников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ЭлектронноеВзаимодействиеБЗК.ПолучитьСоответствиеСправочников
// См. ЭлектронноеВзаимодействиеПереопределяемый.ПолучитьСоответствиеСправочников.
Процедура ЭлектронноеВзаимодействиеПриОпределенииСоответствияСправочников(СоответствиеСправочников) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииСоответствияСправочников(СоответствиеСправочников) 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииСоответствияФункциональныхОпций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ЭлектронноеВзаимодействиеБЗК.ПолучитьСоответствиеФункциональныхОпций
// См. ЭлектронноеВзаимодействиеПереопределяемый.ПолучитьСоответствиеФункциональныхОпций.
Процедура ЭлектронноеВзаимодействиеПриОпределенииСоответствияФункциональныхОпций(СоответствиеФО) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииСоответствияФункциональныхОпций(СоответствиеФО) 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииТекстаСообщенияОНеобходимостиНастройкиСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела в версии БЭД 1.7.2. Следует отказаться от использования.
Процедура ЭлектронноеВзаимодействиеПриОпределенииТекстаСообщенияОНеобходимостиНастройкиСистемы(ВидОперации, ТекстСообщения) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииТекстаСообщенияОНеобходимостиНастройкиСистемы(ВидОперации, ТекстСообщения) 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииСообщенияОбОшибке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела в версии БЭД 1.7.2. Следует отказаться от использования.
Процедура ЭлектронноеВзаимодействиеПриОпределенииСообщенияОбОшибке(КодОшибки, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииСообщенияОбОшибке(КодОшибки, ТекстОшибки) 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииСсылкиНаОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ЭлектронноеВзаимодействиеБЗК.НайтиСсылкуНаОбъект
// См. ЭлектронноеВзаимодействиеПереопределяемый.НайтиСсылкуНаОбъект.
Процедура ЭлектронноеВзаимодействиеПриОпределенииСсылкиНаОбъект(ТипОбъекта, Результат, ИдОбъекта, ДополнительныеРеквизиты) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииСсылкиНаОбъект(ТипОбъекта, Результат, ИдОбъекта, ДополнительныеРеквизиты) 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииПечатногоНомераДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ЭлектронноеВзаимодействиеБЗК.ПолучитьПечатныйНомерДокумента
// См. ЭлектронноеВзаимодействиеПереопределяемый.ПолучитьПечатныйНомерДокумента.
Функция ЭлектронноеВзаимодействиеПриОпределенииПечатногоНомераДокумента(СсылкаНаОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииПечатногоНомераДокумента(СсылкаНаОбъект) 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииГотовностиИсточников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ЭлектронноеВзаимодействиеБЗК.ПроверитьГотовностьИсточников
// См. ЭлектронноеВзаимодействиеПереопределяемый.ПроверитьГотовностьИсточников.
Процедура ЭлектронноеВзаимодействиеПриОпределенииГотовностиИсточников(ДокументыМассив, ФормаИсточник = Неопределено) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииГотовностиИсточников(ДокументыМассив, ФормаИсточник);
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииДанныхЮрФизЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ЭлектронноеВзаимодействиеБЗК.ПолучитьДанныеЮрФизЛица
// См. ЭлектронноеВзаимодействиеПереопределяемый.ПолучитьДанныеЮрФизЛица.
Функция ЭлектронноеВзаимодействиеПриОпределенииДанныхЮрФизЛица(ЮрФизЛицо) Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииДанныхЮрФизЛица(ЮрФизЛицо) 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииПраваОткрытияЖурналаРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ЭлектронноеВзаимодействиеБЗК.ЕстьПравоОткрытияЖурналаРегистрации
// См. ЭлектронноеВзаимодействиеПереопределяемый.ЕстьПравоОткрытияЖурналаРегистрации.
Функция ЭлектронноеВзаимодействиеПриОпределенииПраваОткрытияЖурналаРегистрации() Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииПраваОткрытияЖурналаРегистрации() 
```
</details>

## ЭлектронноеВзаимодействиеПриОпределенииОписанияОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ЭлектронноеВзаимодействиеБЗК.ОписаниеОрганизации
// См. ЭлектронноеВзаимодействиеПереопределяемый.ОписаниеОрганизации.
Функция ЭлектронноеВзаимодействиеПриОпределенииОписанияОрганизации(СведенияОКонтрагенте, Список = "", СПрефиксом = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадры.ЭлектронноеВзаимодействиеПриОпределенииОписанияОрганизации(СведенияОКонтрагенте, Список, СПрефиксом);
```
</details>

## ЗаполнитьАктуальныеВидыЭД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конец ЭлектронноеВзаимодействие

// ЭлектронноеВзаимодействие.ОбменСБанками

// Устарела. Следует использовать ОбменСБанкамиБЗК.ПолучитьАктуальныеВидыЭД().
// См. ОбменСБанкамиПереопределяемый.ПолучитьАктуальныеВидыЭД.
Процедура ЗаполнитьАктуальныеВидыЭД(Массив) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЗаполнитьАктуальныеВидыЭД(Массив) 
```
</details>

## ЗаполнитьПараметрыЭДПоИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбменСБанкамиБЗК.ЗаполнитьПараметрыЭДПоИсточнику
// См. ОбменСБанкамиПереопределяемый.ЗаполнитьПараметрыЭДПоИсточнику.
Процедура ЗаполнитьПараметрыЭДПоИсточнику(Источник, ПараметрыЭД) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЗаполнитьПараметрыЭДПоИсточнику(Источник, ПараметрыЭД) 
```
</details>

## ПодготовитьСтруктуруОбъектовКомандЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела в версии БЭД 1.6.1. Следует отказаться от использования.
// Устарела. Следует использовать ОбменСБанкамиБЗК.ПодготовитьСтруктуруОбъектовКомандЭДО
// См. ОбменСБанкамиПереопределяемый.ПодготовитьСтруктуруОбъектовКомандЭДО.
Процедура ПодготовитьСтруктуруОбъектовКомандЭДО(СоставКомандЭДО) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ПодготовитьСтруктуруОбъектовКомандЭДО(СоставКомандЭДО) 
```
</details>

## ПриФормированииXMLФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбменСБанкамиБЗК.ПриФормированииXMLФайла
// См. ОбменСБанкамиПереопределяемый.ПриФормированииXMLФайла.
Процедура ПриФормированииXMLФайла(ОбъектДляВыгрузки, ИмяФайла, АдресФайла) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ПриФормированииXMLФайла(ОбъектДляВыгрузки, ИмяФайла, АдресФайла) 
```
</details>

## ЗаполнитьТабличныйДокументПоПрямомуОбменуСБанками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбменСБанкамиБЗК.ЗаполнитьТабличныйДокумент
// См. ОбменСБанкамиПереопределяемый.ЗаполнитьТабличныйДокумент.
Процедура ЗаполнитьТабличныйДокументПоПрямомуОбменуСБанками(ИмяФайла, ТабличныйДокумент) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ЗаполнитьТабличныйДокументПоПрямомуОбменуСБанками(ИмяФайла, ТабличныйДокумент) 
```
</details>

## ПриПолученииXMLФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ОбменСБанкамиБЗК.ПриПолученииXMLФайла
// См. ОбменСБанкамиПереопределяемый.ПриПолученииXMLФайла.
Процедура ПриПолученииXMLФайла(АдресДанныхФайла, ИмяФайла, ОбъектВладелец, ДанныеОповещения) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадры.ПриПолученииXMLФайла(АдресДанныхФайла, ИмяФайла, ОбъектВладелец, ДанныеОповещения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
