---
title: Зарплата кадры клиент
slug: zup/зарплата-кадры-клиент
---


## ФормаОрганизацииПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет необходимые проверки и запросы пользователю перед записью организации.
// При ответе пользователя о необходимости обработки вызывает сервер.
// Параметры:
//	ДанныеОрганизации - данные формы, соответствующие Организации.
//	Форма - форма справочника
//	Отказ - признак отказа от записи.
//	ОповещениеЗавершения - описание оповещения, выполняемого после завершения процедуры.
Процедура ФормаОрганизацииПередЗаписью(ДанныеОрганизации, Форма, Отказ, ОповещениеЗавершения = Неопределено, ЗакрытьПослеЗаписи = Истина) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыКлиент.ФормаОрганизацииПередЗаписью(ДанныеОрганизации, Форма, Отказ, ОповещениеЗавершения, ЗакрытьПослеЗаписи);
```
</details>

## ОрганизацииФормаЭлементаОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия в форме Организации, связанные с зарплатно-кадровой спецификой.
// Вызов процедуры необходимо выполнять в обработчике ОбработкаОповещения
// формы организации.
Процедура ОрганизацииФормаЭлементаОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыКлиент.ОрганизацииФормаЭлементаОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия в форме Организации, связанные с зарплатно-кадровой спецификой.
// Вызов процедуры необходимо выполнять в обработчике ИсторияРегистрацийВОрганеПФРПериодПриИзменении
// формы организации.
Процедура ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыКлиент.ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодПриИзменении(Форма) 
```
</details>

## ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия в форме Организации, связанные с зарплатно-кадровой спецификой.
// Вызов процедуры необходимо выполнять в обработчике ИсторияРегистрацийВОрганеПФРПериодНачалоВыбора
// формы организации.
Процедура ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодНачалоВыбора(Форма) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыКлиент.ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодНачалоВыбора(Форма) 
```
</details>

## ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодНачалоВыбораЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжение процедуры ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодНачалоВыбора.
//
Процедура ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодНачалоВыбораЗавершение(ВыбранноеЗначение, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыКлиент.ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодНачалоВыбораЗавершение(ВыбранноеЗначение, ДополнительныеПараметры) 
```
</details>

## ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодРегулирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия в форме Организации, связанные с зарплатно-кадровой спецификой.
// Вызов процедуры необходимо выполнять в обработчике ИсторияРегистрацийВОрганеПФРПериодРегулирование
// формы организации.
Процедура ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодРегулирование(Форма, Направление) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыКлиент.ОрганизацииФормаЭлементаИсторияРегистрацийВОрганеПФРПериодРегулирование(Форма, Направление) 
```
</details>

## ВосстановитьНачальныеЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает фоновое задание, восстанавливающее начальные значения законодательных классификаторов.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - Форма, в которой расположена команда вызывающая команда.
//       Обновление вызывающей формы может быть реализовано в процедуре ОбработкаОповещения
//       с условием ИмяСобытия = "ВосстановленыНачальныеЗначения".
//
Процедура ВосстановитьНачальныеЗначения(Форма) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыКлиент.ВосстановитьНачальныеЗначения(Форма) 
```
</details>

## РаботаСФайламиЗаписатьТекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела.
// Параметры:
//   ДанныеФайла       - Структура - см. РаботаСФайламиСлужебныйВызовСервера.ДанныеФайла
//   ТекстовыйДокумент - ТекстовыйДокумент
//   ИмяФайла          - Строка
//   Кодировка         - КодировкаТекста, Строка
//
Процедура РаботаСФайламиЗаписатьТекст(ДанныеФайла, ТекстовыйДокумент, ИмяФайла, Кодировка) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыКлиент.РаботаСФайламиЗаписатьТекст(ДанныеФайла, ТекстовыйДокумент, ИмяФайла, Кодировка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
