---
title: Зарплата кадры повт исп
slug: zup/зарплата-кадры-повт-исп
---


## РегистрацияВНалоговомОргане
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на "Регистрацию в налоговом органе" по состоянию на дату.
//
// Параметры:
//  СтруктурнаяЕдиница	 - СправочникСсылка.ПодразделенияОрганизаций,
//						   СправочникСсылка.Организации,
//						   ОпределяемыйТип.ТерриторияВыполненияРабот  - структурная единица для получения регистрации в НО.
//  ДатаАктуальности	 - Дата                                       - дата, на которую будет получена регистрация.
//
// Возвращаемое значение:
//  СправочникСсылка.РегистрацияВНалоговомОргане - ссылка на существующую регистрацию, либо ПустаяСсылка().
//
Функция РегистрацияВНалоговомОргане(СтруктурнаяЕдиница, Знач ДатаАктуальности = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадрыПовтИсп.РегистрацияВНалоговомОргане(СтруктурнаяЕдиница, ДатаАктуальности);
```
</details>

## ДатаВступленияВСилуНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаВступленияВСилуНА(ИмяНА) Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадрыПовтИсп.ДатаВступленияВСилуНА(ИмяНА) 
```
</details>

## ДействующийПользовательФизическогоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДействующийПользовательФизическогоЛица(ФизическоеЛицо) Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадрыПовтИсп.ДействующийПользовательФизическогоЛица(ФизическоеЛицо) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
