---
title: Зарплата кадры расширенный
slug: zup/зарплата-кадры-расширенный
---


## ЗаписатьНастройкиЗарплатаКадры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет запись настроек программы и формирование плана видов расчета по настройкам,
// переданным в параметре Параметры.
//
// Параметры:
//  Параметры - структура, описание см ОписаниеПараметровНастройкиЗарплатаКадры.
//
Процедура ЗаписатьНастройкиЗарплатаКадры(Параметры) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенный.ЗаписатьНастройкиЗарплатаКадры(Параметры) 
```
</details>

## ОписаниеПараметровНастройкиЗарплатаКадры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру с описанием параметров для настройки подсистемы ЗарплатаКадры.
//
// Возвращаемое значение:
//   Структура со свойствами, имеющими значение Неопределено:
// 	* НастройкиРасчетаЗарплаты
// 	* НастройкиКадровогоУчета
// 	* НастройкиШтатногоРасписания.
// 	* НастройкиВоинскогоУчета.
// 	* НастройкиУчетаВремени
// 	* НастройкиЗаймовСотрудникам.
// 	* НастройкиСтатистикиПерсонала.
// 	* ПараметрыПланВидовРасчета.
//
Функция ОписаниеПараметровНастройкиЗарплатаКадры() Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадрыРасширенный.ОписаниеПараметровНастройкиЗарплатаКадры() 
```
</details>

## ПараметрыНастройкиЗарплатаКадрыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру с параметрами настройки подсистемы ЗарплатаКадры,
// которые можно использовать по умолчанию для максимального использования функционала подсистемы.
//
// Возвращаемое значение:
//   Структура см описание ОписаниеПараметровНастройкиЗарплатаКадры, со свойствами:
// 	* НастройкиРасчетаЗарплаты - структура, состав свойств соответствует ресурсам регистра сведений
//	                             НастройкиРасчетаЗарплатыРасширенный, может содержать не все ресурсы регистра.
// 	* НастройкиКадровогоУчета  - структура, состав свойств соответствует ресурсам регистра сведений
//	                             НастройкиКадровогоУчета, может содержать не все ресурсы регистра.
// 	* НастройкиШтатногоРасписания - структура, состав свойств соответствует ресурсам регистра сведений
//	                                НастройкиШтатногоРасписания, может содержать не все ресурсы регистра.
// 	* НастройкиВоинскогоУчета - структура, состав свойств соответствует ресурсам регистра сведений
//	                            НастройкиВоинскогоУчета, может содержать не все ресурсы регистра.
// 	* НастройкиУчетаВремени - структура, состав свойств соответствует ресурсам регистра сведений НастройкиУчетаВремени,
//								 может содержать не все ресурсы регистра.
// 	* НастройкиЗаймовСотрудникам - структура, состав свойств соответствует ресурсам регистра сведений
//	                               НастройкиЗаймовСотрудникам, может содержать не все ресурсы регистра.
// 	* НастройкиСтатистикиПерсонала - структура, состав свойств соответствует ресурсам регистра сведений
//	                                 НастройкиСтатистикиПерсонала, может содержать не все ресурсы регистра.
// 	* ПараметрыПланВидовРасчет - структура, состав свойств см в описании
//	                             РасчетЗарплатыРасширенный.ОписаниеПараметровПланаВидовРасчета.
//
Функция ПараметрыНастройкиЗарплатаКадрыПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ЗарплатаКадрыРасширенный.ПараметрыНастройкиЗарплатаКадрыПоУмолчанию() 
```
</details>

## ОбновитьДанныеПроизводственныхКалендарейПомесячно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет формирование сводных (помесячно) сведений о производственном календаре.
//
// Параметры:
//	- УсловияОбновления - таблица значений с колонками.
//		- КодПроизводственногоКалендаря - код производственного календаря, данные которого изменились,
//		- Год - год, за который изменились данные.
//
Процедура ОбновитьДанныеПроизводственныхКалендарейПомесячно(УсловияОбновления) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенный.ОбновитьДанныеПроизводственныхКалендарейПомесячно(УсловияОбновления) 
```
</details>

## ПриСозданииФормыСпискаФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РаботаСФайламиПереопределяемый.ПриСозданииФормыСпискаФайлов.
Процедура ПриСозданииФормыСпискаФайлов(Форма) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенный.ПриСозданииФормыСпискаФайлов(Форма) 
```
</details>

## ЗаполнитьНастройкиПечатныхФормПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьНастройкиПечатныхФормПоУмолчанию(ОписанияНастроек) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенный.ЗаполнитьНастройкиПечатныхФормПоУмолчанию(ОписанияНастроек) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
