---
title: Зарплата кадры расширенный переопределяемый
slug: zup/зарплата-кадры-расширенный-переопределяемый
---


## ОпределитьДоступностьРегистрацииВыполненныхРаботДокументомВводаДанныхДляРасчетаЗарплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет отключить ввод данных о выполненных работах документом ввода данных для расчета зарплаты.
// Предназначен для случаев, когда регистрация выполненных сдельно работ осуществляется специализированными документами,
// и универсальный инструмент ввода не требуется.
//
// Параметры:
//  ДоступностьРегистрации - булево, по умолчанию Истина.
//
Процедура ОпределитьДоступностьРегистрацииВыполненныхРаботДокументомВводаДанныхДляРасчетаЗарплаты(ДоступностьРегистрации) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ОпределитьДоступностьРегистрацииВыполненныхРаботДокументомВводаДанныхДляРасчетаЗарплаты(ДоступностьРегистрации) 
```
</details>

## ОпределитьДоступностьУстановкиИспользованияЗарплатаКадры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для управления доступностью единого флажка включения/отключения библиотеки «Зарплата и кадры» в целом.
//
// Параметры:
//	ДоступностьУстановки - булево, по умолчанию Ложь.
//
Процедура ОпределитьДоступностьУстановкиИспользованияЗарплатаКадры(ДоступностьУстановки) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ОпределитьДоступностьУстановкиИспользованияЗарплатаКадры(ДоступностьУстановки) 
```
</details>

## ОпределитьОбязательностьИспользованияШтатногоРасписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для определения необходимости использования штатного расписания по умолчанию.
//
// Параметры:
//	ШтатноеРасписаниеВсегдаИспользуется - тип булево.
//
Процедура ОпределитьОбязательностьИспользованияШтатногоРасписания(ШтатноеРасписаниеВсегдаИспользуется) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ОпределитьОбязательностьИспользованияШтатногоРасписания(ШтатноеРасписаниеВсегдаИспользуется) 
```
</details>

## ПриУстановкеИспользованияЗарплатаКадры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события, возникающего при включении/отключении библиотеки «Зарплата и кадры» в целом.
//
// Параметры:
//	Использование - булево, устанавливаемое значение использования.
//
Процедура ПриУстановкеИспользованияЗарплатаКадры(Использование) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ПриУстановкеИспользованияЗарплатаКадры(Использование) 
```
</details>

## ЗаполнитьСведенияОбОтветственныхЛицах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет сведения об ответственных лицах
// Параметры:
//		СписокФизическихЛиц		- Массив, содержит ссылки на физические лица сведения по которым необходимо получить
//		СведенияОбОтветственных	- ТаблицаЗначений
//									* ФизическоеЛицо			- СправочникСсылка.ФизическиеЛица
//									* ПредставлениеДолжности	- Строка
//									* СтруктурнаяЕдиница		- Неопределено
//		СтандартнаяОбработка	- Булево
//
Процедура ЗаполнитьСведенияОбОтветственныхЛицах(СписокФизическихЛиц, СведенияОбОтветственных, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ЗаполнитьСведенияОбОтветственныхЛицах(СписокФизическихЛиц, СведенияОбОтветственных, СтандартнаяОбработка) 
```
</details>

## ПриУстановкеСоответствияСтруктурыПредприятияСтруктуреЮридическихЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает начальное значение константы СтруктураПредприятияНеСоответствуетСтруктуреЮридическихЛиц
// Параметры:
//		Соответствует - Булево, соответствие структуры предприятия и юридической структуры (если Истина, константа устанавливается в Ложь).
//
Процедура ПриУстановкеСоответствияСтруктурыПредприятияСтруктуреЮридическихЛиц(Соответствует) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ПриУстановкеСоответствияСтруктурыПредприятияСтруктуреЮридическихЛиц(Соответствует) 
```
</details>

## ОпределитьИспользованиеСтруктурыПредприятияДляОтраженияВРегламентированномУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для определения необходимости использования структуры предприятия для отражения в учете.
//
// Параметры:
//	Использование - тип булево.
//
Процедура ОпределитьИспользованиеСтруктурыПредприятияДляОтраженияВРегламентированномУчете(Использование) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ОпределитьИспользованиеСтруктурыПредприятияДляОтраженияВРегламентированномУчете(Использование) 
```
</details>

## ПриОпределенииИдентификацииПриложенияДляGoogle
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет данные клиентского приложения, используемые для авторизации в Google
// Подробнее см. ЗарплатаКадрыРасширенный.ИдентификацияПриложенияДляGoogle().
//
// Параметры:
//	ИдентификаторПриложения - Структура
//								*client_id		- Строка
//								*client_secret	- Строка
//
Процедура ПриОпределенииИдентификацииПриложенияДляGoogle(ИдентификаторПриложения) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ПриОпределенииИдентификацииПриложенияДляGoogle(ИдентификаторПриложения) 
```
</details>

## ПриОпределенииИдентификацииПриложенияДляHeadHunter
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет данные клиентского приложения, используемые для авторизации на сайте hh.ru
// Подробнее см. ЗарплатаКадрыРасширенный.ИдентификацияПриложенияДляHeadHunter
//
// Параметры:
//	ИдентификаторПриложения - Структура - содержит:
//		*client_id		- Строка
//		*client_secret	- Строка
//		*redirect_uri	- Строка
//
Процедура ПриОпределенииИдентификацииПриложенияДляHeadHunter(ИдентификаторПриложения) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ПриОпределенииИдентификацииПриложенияДляHeadHunter(ИдентификаторПриложения) 
```
</details>

## ПриОпределенииИдентификацииПриложенияДляЗарплатаРу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет данные клиентского приложения, используемые для авторизации на сайте zarplata.ru
// Подробнее см. ЗарплатаКадрыРасширенный.ИдентификацияПриложенияДляЗарплатаРу
//
// Параметры:
//	ИдентификаторПриложения - Структура - содержит:
//		*client_id		- Строка
//		*client_secret	- Строка
//		*redirect_uri	- Строка
//
Процедура ПриОпределенииИдентификацииПриложенияДляЗарплатаРу(ИдентификаторПриложения) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ПриОпределенииИдентификацииПриложенияДляЗарплатаРу(ИдентификаторПриложения) 
```
</details>

## ПриОпределенииИдентификацииПриложенияДляАвитоРабота
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет данные клиентского приложения, используемые для авторизации на сайте Avito
// Подробнее см. ЗарплатаКадрыРасширенный.ИдентификацияПриложенияДляАвитоРабота().
//
// Параметры:
//	ИдентификаторПриложения - Структура - содержит:
//		*client_id		- Строка
//		*client_secret	- Строка
//		*redirect_uri	- Строка
//
Процедура ПриОпределенииИдентификацииПриложенияДляАвитоРабота(ИдентификаторПриложения) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ПриОпределенииИдентификацииПриложенияДляАвитоРабота(ИдентификаторПриложения) 
```
</details>

## ПриОпределенииИдентификацииПриложенияДляХабрКарьера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет данные клиентского приложения, используемые для авторизации на сайте career.habr.com
// Подробнее см. ЗарплатаКадрыРасширенный.ИдентификацияПриложенияДляХабрКарьера
//
// Параметры:
//	ИдентификаторПриложения - Структура - содержит:
//		*client_id		- Строка
//		*client_secret	- Строка
//		*redirect_uri	- Строка
//
Процедура ПриОпределенииИдентификацииПриложенияДляХабрКарьера(ИдентификаторПриложения) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ПриОпределенииИдентификацииПриложенияДляХабрКарьера(ИдентификаторПриложения) 
```
</details>

## ПриОпределенииИдентификацииПриложенияДляZoom
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет данные клиентского приложения, используемые для авторизации на сайте zoom.us
// Подробнее см. ЗарплатаКадрыРасширенный.ИдентификацияПриложенияДляZoom
//
// Параметры:
//	ИдентификаторПриложения - Структура - содержит:
//		*client_id		- Строка
//		*client_secret	- Строка
//		*redirect_uri	- Строка
//
Процедура ПриОпределенииИдентификацииПриложенияДляZoom(ИдентификаторПриложения) Экспорт
```

Пример вызова
```bsl
ЗарплатаКадрыРасширенныйПереопределяемый.ПриОпределенииИдентификацииПриложенияДляZoom(ИдентификаторПриложения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
