---
title: Интеграция с 1С документооборот
slug: zup/интеграция-с-1с-документооборот
---


## ИспользоватьИнтеграцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию, включена ли интеграция с 1С:Документооборотом редакции 2.
//
// Возвращаемое значение:
//   Булево
//
Функция ИспользоватьИнтеграцию() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ИспользоватьИнтеграцию() 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команды Документооборота на форму объекта при создании на сервере.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, из которой вызвана процедура.
//   МестоРазмещенияКоманд - ГруппаФормы - место для размещения, по умолчанию - командная панель формы.
//   ПараметрыОповещения - Структура - параметры, где может быть установлен источник команды.
//   Ссылка - ЛюбаяСсылка - ссылка на объект ИС, являющийся основным объектом формы.
//
Процедура ПриСозданииНаСервере(Форма, МестоРазмещенияКоманд = Неопределено, ПараметрыОповещения = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ПриСозданииНаСервере(Форма, МестоРазмещенияКоманд, ПараметрыОповещения, );
```
</details>

## ПередЗаписьюНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает в дополнительные свойства идентификатор объекта-основания. Вызывается перед записью объекта.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма записываемого объекта.
//   Объект - ДокументОбъект, СправочникОбъект - записываемый объект.
//   ПараметрыЗаписи - Структура - структура, содержащая параметры записи.
//
Процедура ПередЗаписьюНаСервере(Форма, Объект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ПередЗаписьюНаСервере(Форма, Объект, ПараметрыЗаписи) 
```
</details>

## ПолучитьНовыйОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает заполненный по-умолчанию объект из Документооборота.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Тип - Строка - имя типа XDTO объекта.
//   Предмет - Структура - Используется для получения бизнес-процессов:
//     * ID - Строка - уникальный идентификатор объекта в Документооборот.
//     * type - Строка - имя типа XDTO.
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMGetNewObjectResponse.
//
Функция ПолучитьНовыйОбъект(Прокси, Тип, Предмет) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ПолучитьНовыйОбъект(Прокси, Тип, Предмет) 
```
</details>

## ПолучитьФайлыСвязанныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает получение файлов связанных документов.
//
// Параметры:
//   СвязанныеДокументы - Массив из Структура:
//     * ID - Строка - идентификатор связанного документа.
//     * Тип - Строка - тип связанного документа.
//
// Возвращаемое значение:
//   Строка - адрес во временном хранилище, куда будет помещен результат.
//
Функция ПолучитьФайлыСвязанныхДокументов(СвязанныеДокументы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ПолучитьФайлыСвязанныхДокументов(СвязанныеДокументы) 
```
</details>

## ПолучитьФайлыСвязанныхДокументовАсинхронно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Асинхронно, в фоновом задании, получает файлы связанных документов.
//
// Параметры:
//   Адрес - Строка - адрес для результата выполнения во временном хранилище.
//   СвязанныеДокументы - Массив из Структура:
//     * ID - Строка - идентификатор связанного документа.
//     * Тип - Строка - тип связанного документа.
//   ИмяПользователя - Строка - имя пользователя ДО, сохраненного в настройках пользователя,
//     из сеанса которого инициирован асинхронный вызов.
//   Пароль - Строка - пароль этого пользователя.
//
Процедура ПолучитьФайлыСвязанныхДокументовАсинхронно(Адрес, СвязанныеДокументы, ИмяПользователя, Пароль) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ПолучитьФайлыСвязанныхДокументовАсинхронно(Адрес, СвязанныеДокументы, ИмяПользователя, Пароль) 
```
</details>

## ПолучитьПодходящиеОбъектыДляДобавленияСвязей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает список объектов по ссылкам из указанного объекта ИС, подходящих для автоматического
// добавления связей (имеющих настроенные правила интеграции). Учитывает табличные части.
//
// Параметры:
//   СсылкаНаОбъектИС - ЛюбаяСсылка - объект ИС, связи к которому добавляются.
//
// Возвращаемое значение:
//   Массив из ЛюбаяСсылка - ссылки на подходящие объекты ИС.
//
Функция ПолучитьПодходящиеОбъектыДляДобавленияСвязей(СсылкаНаОбъектИС) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ПолучитьПодходящиеОбъектыДляДобавленияСвязей(СсылкаНаОбъектИС) 
```
</details>

## ПояснениеСостоянияСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает пояснение к состоянию согласования, предназначенное для чтения пользователем.
//
// Параметры:
//   Установил - Строка - представление пользователя, установившего новое состояние.
//   ДатаУстановки - Дата - дата и время установки нового состояния.
//
// Возвращаемое значение:
//   Строка - пояснение к состоянию согласования.
//
Функция ПояснениеСостоянияСогласования(Установил, ДатаУстановки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ПояснениеСостоянияСогласования(Установил, ДатаУстановки) 
```
</details>

## ПрисоединяемыеПечатныеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует универсальную таблицу присоединяемых печатных форм для последующего создания.
//
// Параметры:
//   ПечатныеФормы - ТаблицаЗначений - табличная часть справочника ПравилаИнтеграцииС1СДокументооборотом:
//     * ИмяКоманды - Строка
//     * МенеджерПечати - Строка
//     * Обновлять - Булево
//     * ПредставлениеКоманды - Строка
//     * ДополнительныеПараметры - Строка
//
// Возвращаемое значение:
//   ТаблицаЗначений - см. ИнтеграцияС1СДокументооборотБазоваяФункциональность.ПрисоединяемыеПечатныеФормы
//
Функция ПрисоединяемыеПечатныеФормы(ПечатныеФормы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ПрисоединяемыеПечатныеФормы(ПечатныеФормы) 
```
</details>

## УстановитьПравилаЗаполненияПриВыгрузкеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет правила заполнения при выгрузке по умолчанию.
//
// Параметры:
//   ПравилаЗаполнения - Соответствие из КлючИЗначение - соответствие имен реквизитов свойствам XDTO:
//     * Ключ - Строка - имя реквизита.
//     * Значение - Строка - наименование свойства XDTO.
//   Приемник - Строка - имя XDTO-типа приемника.
//   Источник - Строка - полное имя объекта метаданных-источника.
//
Процедура УстановитьПравилаЗаполненияПриВыгрузкеПоУмолчанию(ПравилаЗаполнения, Приемник, Источник) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.УстановитьПравилаЗаполненияПриВыгрузкеПоУмолчанию(ПравилаЗаполнения, Приемник, Источник) 
```
</details>

## УстановитьПравилаЗаполненияПриЗагрузкеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет правила заполнения при загрузке по умолчанию.
//
// Параметры:
//   ПравилаЗаполнения - Соответствие из КлючИЗначение - соответствие имен реквизитов свойствам XDTO:
//     * Ключ - Строка - имя реквизита.
//     * Значение - Строка - наименование свойства XDTO.
//   Приемник - Строка - полное имя объекта метаданных-приемника.
//   Источник - Строка - имя XDTO-типа источника.
//
Процедура УстановитьПравилаЗаполненияПриЗагрузкеПоУмолчанию(ПравилаЗаполнения, Приемник, Источник) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.УстановитьПравилаЗаполненияПриЗагрузкеПоУмолчанию(ПравилаЗаполнения, Приемник, Источник) 
```
</details>

## ОписаниеВебСервисов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание веб-сервиса 1С:Документооборота.
//
// Возвращаемое значение:
//   Строка
//
Функция ОписаниеВебСервисов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ОписаниеВебСервисов() 
```
</details>

## ПроверитьОбновитьДанныеСвязанныхОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие связанных объектов, если их не оказывается, получает сведения о них из Документооборота.
//
Процедура ПроверитьОбновитьДанныеСвязанныхОбъектов() Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ПроверитьОбновитьДанныеСвязанныхОбъектов() 
```
</details>

## НовыйБизнесПроцессПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает объект XDTO бизнес-процесса, заполненный по данным переданных предмета и шаблона.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Тип - Строка - тип бизнес-процесса.
//   Шаблон - Структура:
//     * ID - Строка - идентификатор шаблона.
//     * type - Строка - тип шаблона.
//   Предмет - Структура:
//     * ID - Строка - идентификатор предмета.
//     * type - Строка - тип предмета.
//
// Возвращаемое значение:
//   ОбъектXDTO - XDTO объект с типом бизнес-процесса.
//
Функция НовыйБизнесПроцессПоШаблону(Прокси, Тип, Шаблон, Предмет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.НовыйБизнесПроцессПоШаблону(Прокси, Тип, Шаблон, Предмет);
```
</details>

## ЗапуститьБизнесПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет сохранение и запуск бизнес-процесса.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Объект - ОбъектXDTO - XDTO объект, хранящий данные бизнес-процесса.
//
// Возвращаемое значение:
//   ОбъектXDTO - Объект типа DMLaunchBusinessProcessResponse.
//
Функция ЗапуститьБизнесПроцесс(Прокси, Объект) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ЗапуститьБизнесПроцесс(Прокси, Объект) 
```
</details>

## ИндексКартинкиПометкиЗавершения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает индекс картинки пометки завершения процесса или задачи по значению пометки.
//
// Параметры:
//   Значение - Строка - значение пометки.
//
// Возвращаемое значение:
//   Число - индекс картинки.
//
Функция ИндексКартинкиПометкиЗавершения(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ИндексКартинкиПометкиЗавершения(Значение) 
```
</details>

## ПолучитьОбъектXDTOПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект XDTO бизнес-процесса, заполненный в соответствие с параметрами.
//
// Параметры:
//   ТипПроцессаXDTO - Строка - тип бизнес-процесса.
//   Параметры - Структура:
//     * ID - Строка - идентификатор бизнес-процесса.
//     * type - Строка - тип бизнес-процесса.
//     * Шаблон - Структура:
//         ** ID - Строка - идентификатор шаблона.
//         ** type - Строка - тип шаблона.
//     * Предмет - Структура:
//         ** ID - Строка - идентификатор предмета.
//         ** type - Строка - тип предмета.
//
// Возвращаемое значение:
//   ОбъектXDTO
//
Функция ПолучитьОбъектXDTOПроцесса(ТипПроцессаXDTO, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ПолучитьОбъектXDTOПроцесса(ТипПроцессаXDTO, Параметры) 
```
</details>

## ПринятьЗадачуКИсполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет принятие задач к исполнению.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Задачи - Массив из Строка - массив идентификаторов задач Документооборота, которые нужно принять к исполнению.
//
// Возвращаемое значение:
//   Булево - признак успеха принятия задач к исполнению.
//
Функция ПринятьЗадачуКИсполнению(Прокси, Задачи) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ПринятьЗадачуКИсполнению(Прокси, Задачи) 
```
</details>

## ОтменитьПринятиеЗадачКИсполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отмену принятия задач к исполнению.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Задачи - Массив из Строка - массив идентификаторов задач Документооборота,
//     принятие к исполнению которых нужно отменить.
//
// Возвращаемое значение:
//   Булево - признак успеха отмены принятия задач к исполнению.
//
Функция ОтменитьПринятиеЗадачКИсполнению(Прокси, Задачи) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.ОтменитьПринятиеЗадачКИсполнению(Прокси, Задачи) 
```
</details>

## КраткоеИмяТочкиМаршрута
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает краткое имя точки маршрута.
//
// Параметры:
//   ПроцессТип - Строка - тип процесса.
//   ПолноеИмя - Строка - полное имя точки маршрута
//
// Возвращаемое значение:
//   Строка - краткое имя точки маршрута.
//
Функция КраткоеИмяТочкиМаршрута(ПроцессТип, ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.КраткоеИмяТочкиМаршрута(ПроцессТип, ПолноеИмя) 
```
</details>

## НовыйБизнесПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает объект XDTO бизнес-процесса.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Тип - Строка - тип бизнес-процесса.
//   Предмет - Структура:
//     * ID - Строка - идентификатор предмета.
//     * type - Строка - тип предмета.
//
// Возвращаемое значение:
//   ОбъектXDTO, Неопределено - XDTO объект с бизнес-процессом заданного типа.
//
Функция НовыйБизнесПроцесс(Прокси, Тип, Предмет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.НовыйБизнесПроцесс(Прокси, Тип, Предмет);
```
</details>

## УчастникЗадач
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует объект XDTO, описывающий участника задачи.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Исполнитель - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ОсновнойОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ДополнительныйОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMBusinessProcessTaskExecutor.
//
Функция УчастникЗадач(Прокси, Исполнитель, ОсновнойОбъектАдресации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.УчастникЗадач(Прокси, Исполнитель, ОсновнойОбъектАдресации, );
```
</details>

## УчастникПроцессаСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует объект XDTO, описывающий согласующего в бизнес-процессе "Согласование" в Документообороте.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Исполнитель - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ОсновнойОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ДополнительныйОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMBusinessProcessApprovalParticipant.
//
Функция УчастникПроцессаСогласование(Прокси, Исполнитель, ОсновнойОбъектАдресации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.УчастникПроцессаСогласование(Прокси, Исполнитель, ОсновнойОбъектАдресации, );
```
</details>

## УчастникПроцессаПриглашение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует объект XDTO, описывающий участника бизнес-процесса "Приглашение" в Документообороте.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Исполнитель - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ОсновнойОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ДополнительныйОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMBusinessProcessInvitationParticipant.
//
Функция УчастникПроцессаПриглашение(Прокси, Исполнитель, ОсновнойОбъектАдресации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.УчастникПроцессаПриглашение(Прокси, Исполнитель, ОсновнойОбъектАдресации, );
```
</details>

## УчастникПроцессаИсполнение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует объект XDTO, описывающий исполнителя в бизнес-процессе "Исполнение" в Документообороте.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Исполнитель - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ОсновнойОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ДополнительныйОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMBusinessProcessPerformanceParticipant.
//
Функция УчастникПроцессаИсполнение(Прокси, Исполнитель, ОсновнойОбъектАдресации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.УчастникПроцессаИсполнение(Прокси, Исполнитель, ОсновнойОбъектАдресации, );
```
</details>

## НастроитьФормуДокументаСогласноВидуДокументаXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Настраивает форму документа согласно его виду.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма документа 1С:Документооборота.
//   documentType - ОбъектXDTO - вид документа.
//   organization - ОбъектXDTO - организация.
//
Процедура НастроитьФормуДокументаСогласноВидуДокументаXDTO(Форма, documentType, organization = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.НастроитьФормуДокументаСогласноВидуДокументаXDTO(Форма, documentType, organization);
```
</details>

## ЗаполнитьСвойствоXDTOизСтруктурыРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет свойство объекта XDTO из структуры реквизитов исходного объекта ИС.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ОбъектXDTO - ОбъектXDTO - заполняемый объект ДО.
//   ИмяСвойства - Строка - имя заполняемого свойства объекта XDTO.
//   СтруктураРеквизитов - Структура, ДанныеФормыСтруктура - предварительно заполненная структура
//     с данными объекта.
//   ПутьДанных - Структура, Строка - имя исходного реквизита.
//
Процедура ЗаполнитьСвойствоXDTOизСтруктурыРеквизитов(Прокси, ОбъектXDTO, ИмяСвойства, СтруктураРеквизитов, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ЗаполнитьСвойствоXDTOизСтруктурыРеквизитов(Прокси, ОбъектXDTO, ИмяСвойства, СтруктураРеквизитов, );
```
</details>

## ЗаполнитьОбъектXDTOИзФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизиты формы из свойств объекта XDTO по соответствию свойств и реквизитов.
//
// Параметры:
//   ОбъектXDTO - ОбъектXDTO - заполняемый объект XDTO.
//   Форма - ФормаКлиентскогоПриложения - источник данных заполнения.
//   РеквизитыИСвойства - Соответствие - ключ - свойство XDTO, значение - реквизит.
//
Процедура ЗаполнитьОбъектXDTOИзФормы(ОбъектXDTO, Форма, РеквизитыИСвойства) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ЗаполнитьОбъектXDTOИзФормы(ОбъектXDTO, Форма, РеквизитыИСвойства) 
```
</details>

## ЗаполнитьФормуИзОбъектаXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизиты формы из свойств объекта XDTO по соответствию свойств и реквизитов.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - заполняемая форма.
//   ОбъектXDTO - ОбъектXDTO - источник данных заполнения.
//   РеквизитыИСвойства - Соответствие - ключ - свойство XDTO, значение - реквизит.
//
Процедура ЗаполнитьФормуИзОбъектаXDTO(Форма, ОбъектXDTO, РеквизитыИСвойства) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ЗаполнитьФормуИзОбъектаXDTO(Форма, ОбъектXDTO, РеквизитыИСвойства) 
```
</details>

## СоздатьОбъектДОПоПравилу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новый объект Документооборота по объекту ИС и указанному правилу.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ОбъектИС - ЛюбаяСсылка - объект ИС, источник данных заполнения.
//   Правило - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом - правило заполнения.
//
// Возвращаемое значение:
//   ОбъектXDTO - созданный объект:
//     * name - Строка
//     * objectID - ОбъектXDTO:
//       ** ID - Строка
//       ** type - Строка
//   Строка - сообщение об ошибке.
//
Функция СоздатьОбъектДОПоПравилу(Прокси, ОбъектИС, Правило) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.СоздатьОбъектДОПоПравилу(Прокси, ОбъектИС, Правило) 
```
</details>

## СтруктураРеквизитовЗаполняемогоВидаДокументовДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру Вида документа ДО для заполнения по переданному имени типа.
//
// Параметры:
//   ТипОбъектаДО - Строка - тип объекта: DMInternalDocumentType или DMIncomingDocumentType или DMOutgoingDocumentType.
//
// Возвращаемое значение:
//   Структура - реквизиты объекта указанного типа, подлежащие заполнению.
//
Функция СтруктураРеквизитовЗаполняемогоВидаДокументовДО(ТипОбъектаДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.СтруктураРеквизитовЗаполняемогоВидаДокументовДО(ТипОбъектаДО) 
```
</details>

## СоздатьВидДокументаВДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает вид документов с указанными свойствами.
//
// Параметры:
//   Свойства - См. ИнтеграцияС1СДокументооборот.СтруктураРеквизитовЗаполняемогоВидаДокументовДО.
//
// Возвращаемое значение:
//   ОбъектXDTO - Объект XDTO типа DM<...>DocumentType или DMError.
//
Функция СоздатьВидДокументаВДО(Свойства) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.СоздатьВидДокументаВДО(Свойства) 
```
</details>

## НайтиСоздатьВидДокументаВДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет виды документов в ДО по типу объекта и по точному совпадению наименования. Создает новый
// вид документов с указанными свойствами, если ничего не найдено.
//
// Параметры:
//   Свойства - См. ИнтеграцияС1СДокументооборот.СтруктураРеквизитовЗаполняемогоВидаДокументовДО.
//
// Возвращаемое значение:
//   ОбъектXDTO - Объект XDTO типа DM<...>DocumentType или DMError.
//
Функция НайтиСоздатьВидДокументаВДО(Свойства) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.НайтиСоздатьВидДокументаВДО(Свойства) 
```
</details>

## СтруктураРеквизитовЗаполняемойПапкиВнутреннихДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру Папки внутренних документов ДО для заполнения.
//
// Возвращаемое значение:
//   Структура - реквизиты объекта указанного типа, подлежащие заполнению.
//
Функция СтруктураРеквизитовЗаполняемойПапкиВнутреннихДокументов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.СтруктураРеквизитовЗаполняемойПапкиВнутреннихДокументов() 
```
</details>

## СоздатьПапкуВнутреннихДокументовВДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает папку внутренних документов с указанными свойствами.
//
// Параметры:
//   Свойства - См. ИнтеграцияС1СДокументооборот.СтруктураРеквизитовЗаполняемойПапкиВнутреннихДокументов.
//
// Возвращаемое значение:
//   ОбъектXDTO - Объект XDTO типа DMInternalDocumentFolder или DMError.
//
Функция СоздатьПапкуВнутреннихДокументовВДО(Свойства) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.СоздатьПапкуВнутреннихДокументовВДО(Свойства) 
```
</details>

## НайтиСоздатьПапкуВнутреннихДокументовВДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ищет папки внутренних документов в ДО по точному совпадению наименования. Создает новую
// папку с указанными свойствами, если ничего не найдено.
//
// Параметры:
//   Свойства - См. ИнтеграцияС1СДокументооборот.СтруктураРеквизитовЗаполняемойПапкиВнутреннихДокументов.
//
// Возвращаемое значение:
//   ОбъектXDTO - Объект XDTO типа DMInternalDocumentFolder или DMError.
//
Функция НайтиСоздатьПапкуВнутреннихДокументовВДО(Свойства) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот.НайтиСоздатьПапкуВнутреннихДокументовВДО(Свойства) 
```
</details>

## ПроверитьСоответствиеПравилИнтеграцииМетаданным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик, проверяющий соответствие правил интеграции метаданным конфигурации.
//
Процедура ПроверитьСоответствиеПравилИнтеграцииМетаданным() Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ПроверитьСоответствиеПравилИнтеграцииМетаданным() 
```
</details>

## ПерейтиНаВерсию_1_1_6_1
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик обновления БИД на версию 1.1.6.1. Обновление наименований правил интеграции
// и установка реквизита Ключевой у видов документов ДО.
//
Процедура ПерейтиНаВерсию_1_1_6_1() Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ПерейтиНаВерсию_1_1_6_1() 
```
</details>

## ПерейтиНаВерсию_1_1_8_4
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик обновления БИД на версию 1.1.8.4. Установка флага "Не создавать связи по ссылкам".
//
Процедура ПерейтиНаВерсию_1_1_8_4() Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ПерейтиНаВерсию_1_1_8_4() 
```
</details>

## ПерейтиНаВерсию_1_1_12_2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик обновления БИД на версию 1.1.12.2. Установка режима изменения данных проведенного документа.
//
Процедура ПерейтиНаВерсию_1_1_12_2() Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот.ПерейтиНаВерсию_1_1_12_2() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
