---
title: Интеграция с 1С документооборот3
slug: zup/интеграция-с-1с-документооборот3
---


## ПолучитьHTMLПредпросмотрОбъектаВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает HTML предпросмотр объекта из Документооборота в фоновом задании.
//
// Параметры:
//   Параметры - Структура:
//     * ИнтеграцияС1СДокументооборотWSОпределения - ХранилищеЗначения
//     * ИнтеграцияС1СДокументооборотВерсияСервиса - Строка
//     * ИнтеграцияС1СДокументооборотИмяПользователя - Строка
//     * ИнтеграцияС1СДокументооборотИспользуетсяАутентификацияJWT - Булево
//     * ИнтеграцияС1СДокументооборотИспользуетсяАутентификацияОС - Булево
//     * ИнтеграцияС1СДокументооборотМестоположениеПрокси - Строка
//     * ИнтеграцияС1СДокументооборотПароль - Строка
//     * ИнтеграцияС1СДокументооборотПарольИзвестен - Булево
//     * ID - Строка
//     * Тип - Строка
//     * ИгнорироватьМаксРазмер - Булево - позволяет игнорировать настройку Документооборота
//         "Предельный размер файла для предпросмотра".
//   АдресХранилища - Строка - адрес хранилища, куда будет помещен результат запроса.
//
Процедура ПолучитьHTMLПредпросмотрОбъектаВФоне(Параметры, АдресХранилища) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ПолучитьHTMLПредпросмотрОбъектаВФоне(Параметры, АдресХранилища) 
```
</details>

## ОбработатьУниверсальноеСообщение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат обработки универсальных сообщений.
//
// Параметры:
//   Сообщение - ОбъектXDTO - потомок DMILRequest.
//
// Возвращаемое значение:
//   ОбъектXDTO - потомок DMILResponse.
//
Функция ОбработатьУниверсальноеСообщение(Сообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ОбработатьУниверсальноеСообщение(Сообщение) 
```
</details>

## URIПространстваИменВебСервисаБИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает URI пространства имен веб-сервиса БИД.
//
// Возвращаемое значение:
//   Строка
//
Функция URIПространстваИменВебСервисаБИД() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.URIПространстваИменВебСервисаБИД() 
```
</details>

## ОписаниеОшибкиXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает объект DMILError.
//
// Параметры:
//   Предмет - Строка - тема сообщения об ошибке.
//   Описание - Строка - текстовое описание ошибки, а также отладочная информация.
//
// Возвращаемое значение:
//   ОбъектXDTO
//
Функция ОписаниеОшибкиXDTO(Предмет = "", Описание = "") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ОписаниеОшибкиXDTO(Предмет, Описание);
```
</details>

## ПодготовитьВычисляемоеВыражениеКПередачеНаСторонуДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет XDTO объект, описывающий выражение на встроенном языке,
// которое требуется передать и выполнить на стороне ДО.
//
// Параметры:
//   ВыражениеПравилаXDTO - ОбъектXDTO - объект XDTO, описывающий выражение на встроенном языке.
//   ВыражениеДляВыполненияНаСторонеДО - СтрокаТаблицыЗначений - строка табличной части правила интеграции.
//     см. Справочники.ПравилаИнтеграцииС1СДокументооборотом3.ВыраженияДляВыполненияНаСторонеДО
//
Процедура ПодготовитьВычисляемоеВыражениеКПередачеНаСторонуДО(ВыражениеПравилаXDTO, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ПодготовитьВычисляемоеВыражениеКПередачеНаСторонуДО(ВыражениеПравилаXDTO, );
```
</details>

## ПолучитьОписаниеОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание ошибки.
//
// Параметры:
//   Инфо - ИнформацияОбОшибке
//
// Возвращаемое значение:
//   Строка - текст детального описания ошибки.
//
Функция ПолучитьОписаниеОшибки(Инфо) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ПолучитьОписаниеОшибки(Инфо) 
```
</details>

## ПолучитьСсылкуПоObjectID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на объект ИС по ObjectID
//
// Параметры:
//   ObjectID - ОбъектXDTO - объект XDTO типа DMILObjectID.
//
// Возвращаемое значение:
//   ЛюбаяСсылка - ссылка на объект ИС.
//
Функция ПолучитьСсылкуПоObjectID(ObjectID) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ПолучитьСсылкуПоObjectID(ObjectID) 
```
</details>

## ПроверитьТипБИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет тип объекта XDTO.
//
// Параметры:
//   ОбъектXDTO - ОбъектXDTO - проверяемый объект.
//   Тип - Строка - имя типа XDTO.
//
// Возвращаемое значение:
//   Булево - Истина, если объект является объектом указанного типа.
//
Функция ПроверитьТипБИД(ОбъектXDTO, Тип) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ПроверитьТипБИД(ОбъектXDTO, Тип) 
```
</details>

## СоздатьОбъектБИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает XDTO объект указанного типа из пространства имен веб-сервиса БИД.
//
// Параметры:
//   ТипОбъекта - Строка - имя типа XDTO
//
// Возвращаемое значение:
//   ОбъектXDTO - созданный объект указанного типа
//
Функция СоздатьОбъектБИД(ТипОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.СоздатьОбъектБИД(ТипОбъекта) 
```
</details>

## HTMLПредпросмотрОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает HTML предпросмотр объекта.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ID - Строка - идентификатор объекта XDTO.
//   Тип - Строка - тип объекта XDTO.
//   ИгнорироватьМаксРазмер - Булево - позволяет игнорировать настройку Документооборота
//     "Предельный размер файла для предпросмотра".
//
// Возвращаемое значение:
//   Структура - структура предпросмотра объекта:
//     * ПредставлениеHTML - Строка - HTML предпросмотр объекта.
//     * ПредпросмотрУрезан - Булево - предпросмотр объекта урезан.
//
Функция HTMLПредпросмотрОбъекта(Прокси, ID, Тип, ИгнорироватьМаксРазмер = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.HTMLПредпросмотрОбъекта(Прокси, ID, Тип, ИгнорироватьМаксРазмер);
```
</details>

## HTMLПредпросмотрОбъектаЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос к 1С:Документообороту на получение HTML предпросмотра объекта.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ID - Строка - идентификатор объекта XDTO.
//   Тип - Строка - тип объекта XDTO.
//   ИгнорироватьМаксРазмер - Булево - позволяет игнорировать настройку Документооборота
//     "Предельный размер файла для предпросмотра".
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMGetObjectsHTMLPresentationsRequest.
//
Функция HTMLПредпросмотрОбъектаЗапрос(Прокси, ID, Тип, ИгнорироватьМаксРазмер = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.HTMLПредпросмотрОбъектаЗапрос(Прокси, ID, Тип, ИгнорироватьМаксРазмер);
```
</details>

## ВходящиеДанныеОбъектаИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует универсальную структуру входящих данных, предназначенную для загрузки объектов в 1С:Документооборот.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   СсылкаНаОбъектИС - ЛюбаяСсылка - объект ИС, источник данных заполнения.
//   СписокВыражений - Массив из Строка - список выражений на встроенном языке, которые требуется выполнить на
//     стороне ИС.
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMIncomingData.
//
Функция ВходящиеДанныеОбъектаИС(Прокси, СсылкаНаОбъектИС, СписокВыражений) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ВходящиеДанныеОбъектаИС(Прокси, СсылкаНаОбъектИС, СписокВыражений) 
```
</details>

## ДанныеФлага
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные флага.
//
// Параметры:
//   Флаг - Строка - имя флага, принимает значения перечисления DMObjectFlag (HTTP://www.1c.ru/dm).
//
// Возвращаемое значение:
//   Структура:
//     * ИндексКартинки - Число - индекс картинки в коллекции КоллекцияФлаговПисем.
//     * Картинка - Картинка - картинка флага.
//     * Представление - Строка - представление флага.
//
Функция ДанныеФлага(Флаг) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ДанныеФлага(Флаг) 
```
</details>

## ДоступенФункционалФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет поддерживает ли веб-сервис Документооборота работу с файлами.
//
// Возвращаемое значение:
//   Булево
//
Функция ДоступенФункционалФайлов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ДоступенФункционалФайлов() 
```
</details>

## ИспользоватьИнтеграцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию, включена ли интеграция с 1С:Документооборотом редакции 3.
//
// Возвращаемое значение:
//   Булево
//
Функция ИспользоватьИнтеграцию() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ИспользоватьИнтеграцию() 
```
</details>

## КопияОбъектаXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию объекта XDTO.
//
// Параметры:
//   Источник - ОбъектXDTO - от куда копировать.
//   ПроксиДО - WSПрокси - объект для подключения к web-сервисам Документооборота. Если указан - копируется объект
//     DMService, если не указан - копируется объект DMILService.
//
// Возвращаемое значение:
//   ОбъектXDTO - копия объекта-источника.
//
Функция КопияОбъектаXDTO(Источник, ПроксиДО = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.КопияОбъектаXDTO(Источник, ПроксиДО);
```
</details>

## ОбновитьПредставлениеБыстрогоПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет представление быстрого поиска. Возвращает представление фильтров.
//
// Параметры:
//   БыстрыйПоиск - ДанныеФормыКоллекция - таблица "Быстрый поиск" на форме списка задач.
//   КнопкаСброситьОтбор - КнопкаФормы - кнопка "Сбросить отбор".
//
// Возвращаемое значение:
//   Строка - представление фильтров
//
Функция ОбновитьПредставлениеБыстрогоПоиска(БыстрыйПоиск, КнопкаСброситьОтбор) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ОбновитьПредставлениеБыстрогоПоиска(БыстрыйПоиск, КнопкаСброситьОтбор) 
```
</details>

## ОписаниеВебСервисов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание веб-сервиса 1С:Документооборота.
//
// Возвращаемое значение:
//   Строка
//
Функция ОписаниеВебСервисов() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ОписаниеВебСервисов() 
```
</details>

## ПредварительныеДанныеДляВыгрузкиВДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список выражений на встроенном языке, которые требуется выполнить на стороне интегрированной системы, а
// также список печатных форм, которые требуется сформировать на стороне интегрированной системы, для последующей
// передачи результатов на сторону 1С:Документооборот.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   СписокОбъектовИС - Массив из ЛюбаяСсылка - объекты ИС, для которых требуется найти соответствующие правила.
//   СоответствиеПравилЗагрузкиВДООбъектамИС - Соответствие из КлючИЗначение - соответствующие правила загрузки в ДО:
//     * Ключ - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС.
//     * Значение - ОбъектXDTO - объект XDTO типа DMDataLoadingRule.
//                - Неопределено - если подходящее правило загрузки не было найдено.
//   ТребуетсяСписокВыражений - Булево - требуется получение списка выражений на встроенном языке.
//   ТребуютсяПечатныеФормы - Булево - требуется получение списка и типа файлов печатных форм.
//
// Возвращаемое значение:
//   Структура:
//     * СоответствиеСпискаВыраженийОбъектамИС - Соответствие из КлючИЗначение:
//       ** Ключ - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС.
//       ** Значение - Массив из Строка - список выражений на встроенном языке.
//     * СоответствиеПечатныхФормОбъектамИС - Соответствие из КлючИЗначение:
//       ** Ключ - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС.
//       ** Значение - СписокXDTO - таблица печатных форм к передаче в ДО.
//     * ТипыФайловПечатныхФорм - Соответствие из КлючИЗначение:
//       ** Ключ - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС.
//       ** Значение - Строка - тип файлов сохранения печатных форм.
//
Функция ПредварительныеДанныеДляВыгрузкиВДО(Прокси, СписокОбъектовИС, СоответствиеПравилЗагрузкиВДООбъектамИС, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ПредварительныеДанныеДляВыгрузкиВДО(Прокси, СписокОбъектовИС, СоответствиеПравилЗагрузкиВДООбъектамИС, );
```
</details>

## ПрисоединяемыеПечатныеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует универсальную таблицу присоединяемых печатных форм для последующего создания.
//
// Параметры:
//   ПечатныеФормы - Массив из ОбъектXDTO - список объектов XDTO типа DMPrintedForm.
//
// Возвращаемое значение:
//   см. ИнтеграцияС1СДокументооборотБазоваяФункциональность.ПрисоединяемыеПечатныеФормы
//
Функция ПрисоединяемыеПечатныеФормы(ПечатныеФормы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ПрисоединяемыеПечатныеФормы(ПечатныеФормы) 
```
</details>

## ПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет команды Документооборота на форму объекта при создании на сервере.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, из которой вызвана процедура.
//   МестоРазмещенияКоманд - ГруппаФормы - место для размещения, по умолчанию - командная панель формы.
//   ПараметрыОповещения - Структура - параметры, где может быть установлен источник команды.
//
Процедура ПриСозданииНаСервере(Форма, МестоРазмещенияКоманд = Неопределено, ПараметрыОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ПриСозданииНаСервере(Форма, МестоРазмещенияКоманд, ПараметрыОповещения);
```
</details>

## РезультатВыполненияКомандыПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает результат действия над задачей или с обработкой.
//
// Параметры:
//   РезультатДействияСтрока - Строка - результат действия, преобразованный в строку.
//   ДанныеДляОбновления - ОбъектXDTO - неявно возвращаемое значение, в которое будут переданы данные,
//     необходимые для обновления формы.
//
// Возвращаемое значение:
//   Структура:
//     * Успешно - Булево
//     * ТекстПредупреждения - Строка
//     * ТребуемоеИнтерактивноеДействие - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ТребуемоеИнтерактивноеДействие
//
Функция РезультатВыполненияКомандыПоОбъекту(РезультатДействияСтрока, ДанныеДляОбновления) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.РезультатВыполненияКомандыПоОбъекту(РезультатДействияСтрока, ДанныеДляОбновления) 
```
</details>

## РезультатВыраженияНаВстроенномЯзыке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат выполнения выражения на встроенном языке. Выражение может использоваться только для вычисления
// какого-либо значения, которое в итоге вернет функция. Никакие изменения в базу данных при этом вноситься не
// должны, поэтому выражение выполняется в транзакции, которая откатывается после завершения выполнения.
//
// Параметры:
//   ВычисляемоеВыражение - Строка - выражение на встроенном языке.
//   Источник - Произвольный - источник данных.
//   Приемник - Произвольный - приемник данных.
//   ТекущаяСтрока - Произвольный - передается в случае, если выражение используется для заполнения реквизита
//     строки табличной части.
//
// Возвращаемое значение:
//   Произвольный - результат выполнения выражения на встроенном языке.
//
Функция РезультатВыраженияНаВстроенномЯзыке(ВычисляемоеВыражение, Знач Источник, Приемник = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.РезультатВыраженияНаВстроенномЯзыке(ВычисляемоеВыражение, Источник, Приемник, );
```
</details>

## СброситьБыстрыйПоиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбрасывает быстрый поиск (отбор объектов).
//
// Параметры:
//   БыстрыйПоиск - ДанныеФормыКоллекция - таблица "Быстрый поиск" на форме списка задач.
//   КнопкаСброситьОтбор - КнопкаФормы - кнопка "Сбросить отбор".
//
Процедура СброситьБыстрыйПоиск(БыстрыйПоиск, КнопкаСброситьОтбор) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.СброситьБыстрыйПоиск(БыстрыйПоиск, КнопкаСброситьОтбор) 
```
</details>

## СкопироватьОбъектXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Копирует объект XDTO.
//
// Параметры:
//   Приемник - ОбъектXDTO - куда копировать.
//   Источник - ОбъектXDTO - от куда копировать.
//   ПроксиДО - WSПрокси - объект для подключения к web-сервисам Документооборота. Если указан - копируется объект
//     DMService, если не указан - копируется объект DMILService.
//
Процедура СкопироватьОбъектXDTO(Приемник, Источник, ПроксиДО = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.СкопироватьОбъектXDTO(Приемник, Источник, ПроксиДО);
```
</details>

## СоздатьОбъектДОПоПравилу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новый объект Документооборота по объекту ИС и указанному правилу.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ОбъектИС - ЛюбаяСсылка - объект ИС, источник данных заполнения.
//   Правило - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом3 - правило заполнения.
//
// Возвращаемое значение:
//   ОбъектXDTO - созданный объект:
//     * name - Строка
//     * objectID - ОбъектXDTO:
//       ** ID - Строка
//       ** type - Строка
//   Строка - сообщение об ошибке.
//
Функция СоздатьОбъектДОПоПравилу(Прокси, ОбъектИС, Правило) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.СоздатьОбъектДОПоПравилу(Прокси, ОбъектИС, Правило) 
```
</details>

## СоздатьОбъектыДОПоПравилам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает новые объекты Документооборота для списка объектов ИС по соответствующих им правилам.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   СписокОбъектовИС - Массив из ЛюбаяСсылка - объекты ИС, источник данных заполнения.
//   ПодходящиеПравилаИнтеграции - Соответствие из КлючИЗначение - соответствующие правила интеграции:
//     * Ключ - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС.
//     * Значение - Массив из СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом3 - список подходящих правил.
//
// Возвращаемое значение:
//   Соответствие из КлючИЗначение:
//     * Ключ - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС.
//     * Значение - Структура - результат по объекту ИС:
//       ** Успешно - Булево - Истина, если связанный объект в ДО был создан успешно, Ложь, если возникли ошибки.
//       ** ТекстОшибки - Строка - сообщение об ошибке.
//       ** ОбъектXDTO - ОбъектXDTO - созданный в ДО объект.
//
Функция СоздатьОбъектыДОПоПравилам(Прокси, СписокОбъектовИС, ПодходящиеПравилаИнтеграции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.СоздатьОбъектыДОПоПравилам(Прокси, СписокОбъектовИС, ПодходящиеПравилаИнтеграции) 
```
</details>

## СоответствиеПравилЗагрузкиВДООбъектамИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит на стороне 1С:Документооборот правила загрузки данных в 1С:Документооборот, соответствующие
// переданным объектам интегрированной системы.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   СписокОбъектовИС - Массив из ЛюбаяСсылка - объекты ИС, для которых требуется найти соответствующие правила.
//   ПодходящиеПравилаИнтеграции - Соответствие из КлючИЗначение - соответствующие правила интеграции:
//     * Ключ - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС.
//     * Значение - Массив из СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом3 - список подходящих правил.
//
// Возвращаемое значение:
//   Соответствие из КлючИЗначение:
//     * Ключ - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС.
//     * Значение - ОбъектXDTO - объект XDTO типа DMDataLoadingRule.
//                - Неопределено - если подходящее правило загрузки не было найдено.
//
Функция СоответствиеПравилЗагрузкиВДООбъектамИС(Прокси, СписокОбъектовИС, ПодходящиеПравилаИнтеграции) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.СоответствиеПравилЗагрузкиВДООбъектамИС(Прокси, СписокОбъектовИС, ПодходящиеПравилаИнтеграции) 
```
</details>

## УстановитьУсловноеОформлениеТаблицыБыстрыйПоиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает условное оформление таблицы "Быстрый поиск".
//
// Параметры:
//   УсловноеОформление - УсловноеОформлениеКомпоновкиДанных.
//   ТаблицаБыстрыйПоиск - ТаблицаФормы - таблица "Быстрый поиск".
//   ЯчейкаЗначение - ПолеФормы - ячейка "Значение" таблицы "Быстрый поиск".
//
Процедура УстановитьУсловноеОформлениеТаблицыБыстрыйПоиск(УсловноеОформление, ТаблицаБыстрыйПоиск, ЯчейкаЗначение) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.УстановитьУсловноеОформлениеТаблицыБыстрыйПоиск(УсловноеОформление, ТаблицаБыстрыйПоиск, ЯчейкаЗначение) 
```
</details>

## ЭтоДокументДО3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет описывает ли переданный тип документ ДО3.
//
// Параметры:
//   ТипОбъектаXDTO - Строка - тип объекта.
//
// Возвращаемое значение:
//   Булево
//
Функция ЭтоДокументДО3(ТипОбъектаXDTO) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ЭтоДокументДО3(ТипОбъектаXDTO) 
```
</details>

## ВзятьЗадачуВРаботуЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос на взятие задачи в работу.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеПоЗадаче - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеПоЗадаче
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMAcceptTasksRequest.
//
Функция ВзятьЗадачуВРаботуЗапрос(Прокси, ДанныеПоЗадаче) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ВзятьЗадачуВРаботуЗапрос(Прокси, ДанныеПоЗадаче) 
```
</details>

## ВыполнитьДействиеЗадачиЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос на выполнение действия задачи в Документообороте.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеПоЗадаче - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеПоЗадаче
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMExecuteTaskActionRequest.
//
Функция ВыполнитьДействиеЗадачиЗапрос(Прокси, ДанныеПоЗадаче) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ВыполнитьДействиеЗадачиЗапрос(Прокси, ДанныеПоЗадаче) 
```
</details>

## ДополнительныеДанныеПоЗадаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру дополнительных данных задачи.
//
// Параметры:
//   ЗадачаXDTO - ОбъектXDTO - объект XDTO типа DMTaskAction.
//   ТекущийПользовательИСотрудники - Массив из ОбъектXDTO - Объект XDTO типа DMUser, DMEmployee или Неопределено.
//
// Возвращаемое значение:
//   Структура:
//     * ОбластьДействия - см. ИнтеграцияС1СДокументооборот3.НоваяОбластьДействияЗадачи
//     * ДеревоПриложений - см. ИнтеграцияС1СДокументооборот3.НовоеДеревоПриложений
//
Функция ДополнительныеДанныеПоЗадаче(ЗадачаXDTO, ТекущийПользовательИСотрудники = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ДополнительныеДанныеПоЗадаче(ЗадачаXDTO, ТекущийПользовательИСотрудники);
```
</details>

## ДополнитьФильтрыОтбораЗадач
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует таблицу "Быстрый поиск" в набор фильтров для запроса к веб-сервису Документооборота
// на получение списка задач.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Фильтры - СписокЗначений из Произвольный - отборы, которые требуется наложить на список задач.
//   БыстрыйПоиск - ДанныеФормыКоллекция - таблица "Быстрый поиск" на форме списка задач.
//
Процедура ДополнитьФильтрыОтбораЗадач(Прокси, Фильтры, БыстрыйПоиск) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ДополнитьФильтрыОтбораЗадач(Прокси, Фильтры, БыстрыйПоиск) 
```
</details>

## НоваяСтраницаКомандСозданияНаОснованииЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает на форме задачи или списка задач новую группу команд создания на основании с подходящими правилами.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма задачи или списка задач.
//   ПодходящиеПравила - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеПравилаИнтеграции
//
// Возвращаемое значение:
//   Строка - ключ созданной страницы задач.
//
Функция НоваяСтраницаКомандСозданияНаОснованииЗадачи(Форма, ПодходящиеПравила) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.НоваяСтраницаКомандСозданияНаОснованииЗадачи(Форма, ПодходящиеПравила) 
```
</details>

## ОбновитьОбластьДействияЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет перерисовку области действия в форме задачи и в форме списка задач.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма с областью действия задачи.
//   ОбластьДействия - см. ИнтеграцияС1СДокументооборот3.НоваяОбластьДействияЗадачи
//   СохраненныйКомментарий - Строка - результат действия текстом.
//   ИзменятьШрифт - Булево - будет изменен шрифт элементов формы при необходимости.
//
Процедура ОбновитьОбластьДействияЗадачи(Форма, ОбластьДействия, СохраненныйКомментарий = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ОбновитьОбластьДействияЗадачи(Форма, ОбластьДействия, СохраненныйКомментарий, );
```
</details>

## ОсновнойПредметЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Читает основной предмет из объекта XDTO типа DMTaskAction.
//
// Параметры:
//   ЗадачаXDTO - ОбъектXDTO - объект XDTO типа DMTaskAction.
//
// Возвращаемое значение:
//   Структура:
//     * mainApplication - ОбъектXDTO
//                       - Неопределено
//     * ID - Строка
//     * Тип - Строка
//     * ТипОбъектаДО - Строка
//     * ВидДокументаДОID - Строка
//
Функция ОсновнойПредметЗадачи(ЗадачаXDTO) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ОсновнойПредметЗадачи(ЗадачаXDTO) 
```
</details>

## ОтменитьВзятиеЗадачиВРаботуЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос на отмену взятия задачи в работу.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеПоЗадаче - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеПоЗадаче
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMRevokeTaskAcceptanceRequest.
//
Функция ОтменитьВзятиеЗадачиВРаботуЗапрос(Прокси, ДанныеПоЗадаче) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ОтменитьВзятиеЗадачиВРаботуЗапрос(Прокси, ДанныеПоЗадаче) 
```
</details>

## СписокЗадачЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос к 1С:Документообороту на получение списка задач.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ТекущаяСтраница - Число - номер текущей страницы списка.
//   РазмерСтраницыДинамическогоСписка - Число - количество задач на одной странице.
//   ПолеДляСортировки - Строка - имя реквизита, по которому будет отсортирован список.
//   НаправлениеСортировкиПоля - Булево - если Ложь, то сортировка по возрастанию, если Истина, то по убыванию.
//   Фильтры - СписокЗначений из Произвольный - отборы, которые требуется наложить на список задач.
//   ОтображениеКарточкиЗадачи - ПеречислениеСсылка.ВариантыОтображенияОбластиЧтения - вариант отображения области
//     чтения задачи.
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMGetDynamicListRequest.
//
Функция СписокЗадачЗапрос(Прокси, ТекущаяСтраница, РазмерСтраницыДинамическогоСписка, ПолеДляСортировки, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.СписокЗадачЗапрос(Прокси, ТекущаяСтраница, РазмерСтраницыДинамическогоСписка, ПолеДляСортировки, );
```
</details>

## УстановитьФлагЗадачиЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос на установку флага задачи.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеПоЗадаче - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеПоЗадаче
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMSetFlagRequest.
//
Функция УстановитьФлагЗадачиЗапрос(Прокси, ДанныеПоЗадаче) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.УстановитьФлагЗадачиЗапрос(Прокси, ДанныеПоЗадаче) 
```
</details>

## УчастникЗадачXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует объект XDTO, описывающий участника задачи.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Исполнитель - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ОсновнойОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ДополнительныйОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMTaskParticipant.
//
Функция УчастникЗадачXDTO(Прокси, Исполнитель, ОсновнойОбъектАдресации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.УчастникЗадачXDTO(Прокси, Исполнитель, ОсновнойОбъектАдресации, );
```
</details>

## УчастникЗадачДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит, являющийся участником задач ДО, в приемнике по объекту УчастникЗадачXDTO.
//
// Параметры:
//   Приемник - Произвольный - объект, содержащий реквизиты или свойства,
//     которые должны быть заполнены по свойству объекта XDTO.
//   УчастникЗадачXDTO - ОбъектXDTO - объект XDTO типа DMTaskParticipant.
//   ИмяРеквизита - Строка - имя объектного реквизита.
//   ЗаполнятьПредставление - Булево - признак необходимости заполнения реквизита представления
//     по свойству objectID.presentation.
//
Процедура УчастникЗадачДО(Приемник, УчастникЗадачXDTO, ИмяРеквизита, ЗаполнятьПредставление = Истина) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.УчастникЗадачДО(Приемник, УчастникЗадачXDTO, ИмяРеквизита, ЗаполнятьПредставление);
```
</details>

## ЗаполнитьОбработкуВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет перерисовку обработки в форме.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма с деревом обработки.
//   ДанныеОбОбработкеXDTO - ОбъектXDTO - объект XDTO типа DMGetCurrentObjectProcessingResponse.
//
Процедура ЗаполнитьОбработкуВФорме(Форма, ДанныеОбОбработкеXDTO) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ЗаполнитьОбработкуВФорме(Форма, ДанныеОбОбработкеXDTO) 
```
</details>

## ЗаполнитьОбработкуЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос на заполнение обработки.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеОбработки - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеОбработки
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMFillProcessingRequest.
//
Функция ЗаполнитьОбработкуЗапрос(Прокси, ДанныеОбработки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ЗаполнитьОбработкуЗапрос(Прокси, ДанныеОбработки) 
```
</details>

## НачатьОбработкуЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос на запуск обработки.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеОбработки - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеОбработки
//   ВнешнийОбъект - ЛюбаяСсылка - ссылка на объект ИС.
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMStartProcessingRequest.
//
Функция НачатьОбработкуЗапрос(Прокси, ДанныеОбработки, ВнешнийОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.НачатьОбработкуЗапрос(Прокси, ДанныеОбработки, ВнешнийОбъект);
```
</details>

## ОбъектДОПоддерживаетОбработку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет возможно ли запустить обработку объекта указанного типа.
//
// Параметры:
//   ТипОбъектаXDTO - Строка - тип объекта.
//
// Возвращаемое значение:
//   Булево
//
Функция ОбъектДОПоддерживаетОбработку(ТипОбъектаXDTO) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ОбъектДОПоддерживаетОбработку(ТипОбъектаXDTO) 
```
</details>

## ОстановитьОбработкуЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос на остановку обработки.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеОбработки - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеОбработки
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMStopContinueProcessingRequest.
//
Функция ОстановитьОбработкуЗапрос(Прокси, ДанныеОбработки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ОстановитьОбработкуЗапрос(Прокси, ДанныеОбработки) 
```
</details>

## ПерезапуститьОбработкуЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос на перезапуск обработки.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеОбработки - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеОбработки
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMRestartProcessingRequest.
//
Функция ПерезапуститьОбработкуЗапрос(Прокси, ДанныеОбработки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ПерезапуститьОбработкуЗапрос(Прокси, ДанныеОбработки) 
```
</details>

## ПрерватьОбработкуЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос на прерывание обработки.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеОбработки - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеОбработки
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMTerminateProcessingRequest.
//
Функция ПрерватьОбработкуЗапрос(Прокси, ДанныеОбработки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ПрерватьОбработкуЗапрос(Прокси, ДанныеОбработки) 
```
</details>

## ПродолжитьОбработкуЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос на продолжение обработки.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеОбработки - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеОбработки
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMStopContinueProcessingRequest.
//
Функция ПродолжитьОбработкуЗапрос(Прокси, ДанныеОбработки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ПродолжитьОбработкуЗапрос(Прокси, ДанныеОбработки) 
```
</details>

## ТекущаяОбработкаОбъектаЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос к 1С:Документообороту на получение текущей обработки объекта.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ID - Строка - идентификатор объекта XDTO.
//   Тип - Строка - тип объекта XDTO.
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMGetCurrentObjectProcessingRequest.
//
Функция ТекущаяОбработкаОбъектаЗапрос(Прокси, ID, Тип) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ТекущаяОбработкаОбъектаЗапрос(Прокси, ID, Тип) 
```
</details>

## ДочерниеУчастникиДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дочерних участников действия.
//
// Параметры:
//   Участники - СписокXDTO - список участников действия.
//   ИдентификаторРодителя - Строка - идентификатор вышестоящего участника.
//
// Возвращаемое значение:
//   Массив Из ОбъектXDTO
//
Функция ДочерниеУчастникиДействия(Участники, ИдентификаторРодителя) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ДочерниеУчастникиДействия(Участники, ИдентификаторРодителя) 
```
</details>

## ЗаполнитьСостоянияИРезультатыВФормеДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет состояния действий конкретных участников в форме действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   ДействиеXDTO - ОбъектXDTO - объект XDTO типа, наследующего DMAction.
//
Процедура ЗаполнитьСостоянияИРезультатыВФормеДействия(Форма, ДействиеXDTO) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ЗаполнитьСостоянияИРезультатыВФормеДействия(Форма, ДействиеXDTO) 
```
</details>

## ЗаполнитьСтрокуXDTOИзУчастникаДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет строку участника действия XDTO из строки дерева значений Участники в форме действия.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   СтрокаXDTO - ОбъектXDTO - объект XDTO типа, наследующего DMActionParticipantRow.
//   СтрокаУчастника - ДанныеФормыЭлементДерева - строка дерева значений Участники в форме действия.
//
Процедура ЗаполнитьСтрокуXDTOИзУчастникаДействия(Прокси, СтрокаXDTO, СтрокаУчастника) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ЗаполнитьСтрокуXDTOИзУчастникаДействия(Прокси, СтрокаXDTO, СтрокаУчастника) 
```
</details>

## ЗаполнитьСтрокуУчастникаДействияИзXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет строку дерева значений Участники в форме действия.
//
// Параметры:
//   СтрокаУчастника - ДанныеФормыЭлементДерева - строка дерева значений Участники в форме действия.
//   СтрокаXDTO - ОбъектXDTO - объект XDTO типа, наследующего DMActionParticipantRow.
//
Процедура ЗаполнитьСтрокуУчастникаДействияИзXDTO(СтрокаУчастника, СтрокаXDTO) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ЗаполнитьСтрокуУчастникаДействияИзXDTO(СтрокаУчастника, СтрокаXDTO) 
```
</details>

## ЗаполнитьТаблицуУчастниковДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу участников действия из объекта XDTO.
//
// Параметры:
//   ТаблицаУчастников - ТаблицаЗначений:
//     * УчастникID - Строка
//     * УчастникТип - Строка
//     * ОсновнойОбъектАдресацииУчастникID - Строка
//     * ОсновнойОбъектАдресацииУчастникТип - Строка
//     * ДополнительныйОбъектАдресацииУчастникID - Строка
//     * ДополнительныйОбъектАдресацииУчастникТип - Строка
//     * Идентификатор - Строка
//   ДействиеXDTO - ОбъектXDTO - объект XDTO типа, наследующего DMAction.
//
Процедура ЗаполнитьТаблицуУчастниковДействия(ТаблицаУчастников, ДействиеXDTO) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ЗаполнитьТаблицуУчастниковДействия(ТаблицаУчастников, ДействиеXDTO) 
```
</details>

## ОбработатьОтветВебСервисаНаПолучениеДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик, который вызывается после получения данных ДО в форме действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   ДействиеXDTO - ОбъектXDTO - объект XDTO типа, наследующего DMAction.
//
Процедура ОбработатьОтветВебСервисаНаПолучениеДействия(Форма, ДействиеXDTO) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ОбработатьОтветВебСервисаНаПолучениеДействия(Форма, ДействиеXDTO) 
```
</details>

## ПодготовитьДействиеДляЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует объект XDTO для записи в Документообороте по данным из формы действия.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа, наследующего DMAction.
//
Функция ПодготовитьДействиеДляЗаписи(Прокси, Форма) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ПодготовитьДействиеДляЗаписи(Прокси, Форма) 
```
</details>

## ПодсказкаКнопкиРазныеСрокиДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подсказка кнопки "Разные сроки" в некоторых формах действий.
//
// Параметры:
//   ПоПунктам - Булево - действие выполняется по пунктам.
//   ПоЭтапам - Булево - действие выполняется по этапам.
//
// Возвращаемое значение:
//   Строка - подсказка.
//
Функция ПодсказкаКнопкиРазныеСрокиДействия(ПоПунктам, ПоЭтапам) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.ПодсказкаКнопкиРазныеСрокиДействия(ПоПунктам, ПоЭтапам) 
```
</details>

## ПриСозданииНаСервереФормыДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриСозданииНаСервере формы действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   Параметры - Структура - структура параметров формы действия:
//     * ID - Строка
//     * type - Строка
//
Процедура ПриСозданииНаСервереФормыДействия(Форма, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ПриСозданииНаСервереФормыДействия(Форма, Параметры) 
```
</details>

## УстановитьВидимостьНаправленияНовымУчастникамДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость команды направления действия с новыми участниками.
// В 1С:Документооборот см. ДействияСервер.УстановитьВидимостьНаправленияНовымУчастникам.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   СостояниеДействия - Строка - перечисление XDTO типа DMActionExecutionState.
//   Разрешения - СписокXDTO - список XDTO типа DMActionPermissionRows.
//
Процедура УстановитьВидимостьНаправленияНовымУчастникамДействия(Форма, СостояниеДействия, Разрешения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.УстановитьВидимостьНаправленияНовымУчастникамДействия(Форма, СостояниеДействия, Разрешения) 
```
</details>

## УстановитьВидимостьУсловийУчастниковДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость колонки "Условие", если в действии есть участники с условиями.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   ДействиеXDTO - ОбъектXDTO - объект XDTO типа, наследующего DMAction.
//
Процедура УстановитьВидимостьУсловийУчастниковДействия(Форма, ДействиеXDTO) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.УстановитьВидимостьУсловийУчастниковДействия(Форма, ДействиеXDTO) 
```
</details>

## УстановитьДоступностьИзмененияУчастниковДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает форме признак Только просмотр, если у по действию нет разрешения на изменение.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   Разрешения - ТаблицаЗначений - таблица разрешений:
//     * ИдентификаторЭтапа - Строка
//     * Разрешение - Строка
//
Процедура УстановитьДоступностьИзмененияУчастниковДействия(Форма, Разрешения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.УстановитьДоступностьИзмененияУчастниковДействия(Форма, Разрешения) 
```
</details>

## УчастникДействияXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует объект XDTO, описывающий участника действия.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   Исполнитель - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ОсновнойОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//   ДополнительныйОбъектАдресации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMActionParticipant.
//
Функция УчастникДействияXDTO(Прокси, Исполнитель, ОсновнойОбъектАдресации = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.УчастникДействияXDTO(Прокси, Исполнитель, ОсновнойОбъектАдресации, );
```
</details>

## УчастникДействияДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит, являющийся участником действия ДО, в приемнике по объекту УчастникДействияXDTO.
//
// Параметры:
//   Приемник - Произвольный - объект, содержащий реквизиты или свойства,
//     которые должны быть заполнены по свойству объекта XDTO.
//   УчастникДействияXDTO - ОбъектXDTO - объект XDTO типа DMActionParticipant.
//   ИмяРеквизита - Строка - имя объектного реквизита.
//   ЗаполнятьПредставление - Булево - признак необходимости заполнения реквизита представления
//     по свойству objectID.presentation.
//
Процедура УчастникДействияДО(Приемник, УчастникДействияXDTO, ИмяРеквизита, ЗаполнятьПредставление = Истина) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.УчастникДействияДО(Приемник, УчастникДействияXDTO, ИмяРеквизита, ЗаполнятьПредставление);
```
</details>

## УчастникиДействияСФункцией
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает участников с указанной функцией.
//
// Параметры:
//   ВсеУчастники - СписокXDTO - список всех участников действия.
//   ФункцияУчастника - Строка - функция участника.
//
// Возвращаемое значение:
//   Массив Из ОбъектXDTO
//
Функция УчастникиДействияСФункцией(ВсеУчастники, ФункцияУчастника) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3.УчастникиДействияСФункцией(ВсеУчастники, ФункцияУчастника) 
```
</details>

## ПерейтиНаВерсию_3_0_2_5
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик обновления БИД на версию 3.0.2.5. Замена идентификатора вида действия для заполнения состояния документа.
//
Процедура ПерейтиНаВерсию_3_0_2_5() Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3.ПерейтиНаВерсию_3_0_2_5() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
