---
title: Интеграция с 1С документооборот3 клиент
slug: zup/интеграция-с-1с-документооборот3-клиент
---


## ВыбратьСтраницуДинамическогоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события нажатия на кнопку динамического списка.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, на которой находится динамический список.
//   Команда - КомандаФормы - команда формы, имя которой соответствует нажатой кнопке.
//   ТекущаяСтраница - Число - номер текущей страницы.
//   ВсегоСтраниц - Число - максимальное количество страниц.
//   ОписаниеОповещения - ОписаниеОповещения - описание оповещения, куда будет передан номер выбранной страницы.
//
Процедура ВыбратьСтраницуДинамическогоСписка(Форма, Команда, ТекущаяСтраница, ВсегоСтраниц, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ВыбратьСтраницуДинамическогоСписка(Форма, Команда, ТекущаяСтраница, ВсегоСтраниц, ОписаниеОповещения) 
```
</details>

## ЗаголовокКомандыУпорядочивания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает заголовок кнопки упорядочивания в контекстном меню динамического списка.
//
// Параметры:
//   ЭлементСписок - ТаблицаФормы - элемент формы, где находится динамический список.
//   ПолеДляСортировки - Строка - имя реквизита динамического списка, по которому выполняется сортировка.
//   НаправлениеСортировкиПоля - Булево - если Ложь, то сортировка по возрастанию, если Истина, то по убыванию.
//   ВозможныеПоляДляСортировки - Соответствие:
//     * Ключ - Строка - имя реквизита динамического списка на форме, по которому может выполняться сортировка.
//     * Значение - Строка - имя реквизита XDTO объекта, по которому нужно выполнить сортировку.
//
// Возвращаемое значение:
//   Строка
//
Функция ЗаголовокКомандыУпорядочивания(ЭлементСписок, ПолеДляСортировки, НаправлениеСортировкиПоля, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Клиент.ЗаголовокКомандыУпорядочивания(ЭлементСписок, ПолеДляСортировки, НаправлениеСортировкиПоля, );
```
</details>

## КомандаУпорядочить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Меняет поле и направление сортировки, обновляет шапку динамического списка.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, на которой находится динамический список.
//   ЭлементСписок - ТаблицаФормы - элемент формы, где находится динамический список.
//   ЭлементКомандаУпорядочить - КнопкаФормы - кнопка упорядочивания в контекстном меню динамического списка.
//   ПолеДляСортировки - Строка - имя реквизита динамического списка, по которому выполняется сортировка.
//   НаправлениеСортировкиПоля - Булево - если Ложь, то сортировка по возрастанию, если Истина, то по убыванию.
//   ВозможныеПоляДляСортировки - Соответствие:
//     * Ключ - Строка - имя реквизита динамического списка на форме, по которому может выполняться сортировка.
//     * Значение - Строка - имя реквизита XDTO объекта, по которому нужно выполнить сортировку.
//   КлючФормы - Строка - идентификатор формы для сохранения настроек сортировки в хранилище.
//
Процедура КомандаУпорядочить(Форма, ЭлементСписок, ЭлементКомандаУпорядочить, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.КомандаУпорядочить(Форма, ЭлементСписок, ЭлементКомандаУпорядочить, );
```
</details>

## ОбновитьСортировкуВЗаголовкеЯчейки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в шапку динамического списка символ направления сортировки для соответствующего поля.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, на которой находится динамический список.
//   ЭлементСписок - ТаблицаФормы - элемент формы, где находится динамический список.
//   ЭлементКомандаУпорядочить - КнопкаФормы - кнопка упорядочивания в контекстном меню динамического списка.
//   ПолеДляСортировки - Строка - имя реквизита динамического списка, по которому выполняется сортировка.
//   НаправлениеСортировкиПоля - Булево - если Ложь, то сортировка по возрастанию, если Истина, то по убыванию.
//   ВозможныеПоляДляСортировки - Соответствие:
//     * Ключ - Строка - имя реквизита динамического списка на форме, по которому может выполняться сортировка.
//     * Значение - Строка - имя реквизита XDTO объекта, по которому нужно выполнить сортировку.
//
Процедура ОбновитьСортировкуВЗаголовкеЯчейки(Форма, ЭлементСписок, ЭлементКомандаУпорядочить, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ОбновитьСортировкуВЗаголовкеЯчейки(Форма, ЭлементСписок, ЭлементКомандаУпорядочить, );
```
</details>

## ВыбратьЗначениеИзСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора значения из списка объектов документооборота и помещает выбранное значение на форме.
//
// Параметры:
//   ТипОбъектаВыбора - Строка - имя класса XDTO, соответствующего типу выбираемого объекта.
//   Реквизит - Строка - имя реквизита формы, в который будет помещено значение, выбранное из документооборота.
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой вызывается форма выбора.
//   Отбор - Структура - условия, накладываемые на список.
//
Процедура ВыбратьЗначениеИзСписка(ТипОбъектаВыбора, Реквизит, ФормаВладелец, Отбор = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ВыбратьЗначениеИзСписка(ТипОбъектаВыбора, Реквизит, ФормаВладелец, Отбор);
```
</details>

## ВыбратьЗначениеИзСпискаВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора значения реквизита в таблице из списка объектов документооборота.
//
// Параметры:
//   ТипОбъектаВыбора - Строка - имя класса XDTO, соответствующего типу выбираемого объекта.
//   Реквизит - Строка - имя реквизита формы, в который будет помещено значение, выбранное из документооборота.
//   ТекущиеДанные - ДанныеФормыЭлементКоллекции
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой вызывается форма выбора.
//   Отбор - Структура - условия, накладываемые на список.
//
Процедура ВыбратьЗначениеИзСпискаВТаблице(ТипОбъектаВыбора, Реквизит, ТекущиеДанные, ФормаВладелец, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ВыбратьЗначениеИзСпискаВТаблице(ТипОбъектаВыбора, Реквизит, ТекущиеДанные, ФормаВладелец, );
```
</details>

## ВыбратьЗначениеПоТипуОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает процесс выбора объекта ДО указанного типа, возвращая результат вызовом оповещения.
//
// Параметры:
//   ОписаниеОповещения - ОписаниеОповещения - вызывается после завершения выбора с передачей структуры,
//      описывающей выбранный объект.
//   ТипОбъектаВыбора - Строка - тип выбираемого объекта (XDTO, например, "DMCorrespondent").
//   Отбор - Структура - накладываемый отбор.
//   ВыбранноеЗначение - Строка - идентификатор ранее выбранного значения.
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой вызван выбор.
//
Процедура ВыбратьЗначениеПоТипуОбъекта(ОписаниеОповещения, ТипОбъектаВыбора, Отбор = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ВыбратьЗначениеПоТипуОбъекта(ОписаниеОповещения, ТипОбъектаВыбора, Отбор, );
```
</details>

## ВыбратьСотрудникаИзДереваПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора сотрудника в разрезе подразделений, и помещает выбранного сотрудника в реквизит формы.
//
// Параметры:
//   Реквизит - Строка - имя реквизита формы, в который будет помещен выбранный сотрудник.
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой вызывается форма выбора сотрудника.
//   ЗаполнятьПредставление - Булево - признак необходимости заполнения представления сотрудника.
//
Процедура ВыбратьСотрудникаИзДереваПодразделений(Реквизит, ФормаВладелец, ЗаполнятьПредставление = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ВыбратьСотрудникаИзДереваПодразделений(Реквизит, ФормаВладелец, ЗаполнятьПредставление);
```
</details>

## ВызванаИнтерактивнаяОбработка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет требуемое интерактивное действие, и сообщает о том была ли вызвана интерактивная обработка или нет.
//
// Параметры:
//   РезультатДействия - см. ИнтеграцияС1СДокументооборот3.РезультатВыполненияКомандыПоОбъекту
//   ТипОперации - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ТипОперацииНадЗадачей
//   ПовторноеДействие - ОписаниеОповещения - метод, который будет вызван по завершении интерактивной обработки.
//
// Возвращаемое значение:
//   Булево
//
Функция ВызванаИнтерактивнаяОбработка(РезультатДействия, ТипОперации, ПовторноеДействие) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Клиент.ВызванаИнтерактивнаяОбработка(РезультатДействия, ТипОперации, ПовторноеДействие) 
```
</details>

## ВыполнитьПодключаемуюКомандуИнтеграцииЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает выполнение подключаемой команды интеграции после проверки подключения.
//
// Параметры:
//   Команда - КомандаФормы - вызванная команда.
//   Форма - ФормаКлиентскогоПриложения - форма, из которой вызывается команда.
//   Источник - ДанныеФормыСтруктура
//
Процедура ВыполнитьПодключаемуюКомандуИнтеграцииЗавершение(Команда, Форма, Источник) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ВыполнитьПодключаемуюКомандуИнтеграцииЗавершение(Команда, Форма, Источник) 
```
</details>

## ЗаполнитьСоответствиеФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие форм БИД объектам документооборота.
//
// Параметры:
//   СоответствиеФорм - Соответствие - неявно возвращаемое значение, соответствие форм.
//
Процедура ЗаполнитьСоответствиеФорм(СоответствиеФорм) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ЗаполнитьСоответствиеФорм(СоответствиеФорм) 
```
</details>

## ИзменитьОтносительныйСрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Меняет относительный срок (дни, часы, минуты), добавляя переданную длительность.
// Если заполнены минуты, то меняются только минуты.
// Если минут нет и заполнены часы, то меняются только часы.
// Если заполнены только дни, то меняются только они.
//
// Параметры:
//   Дни - Число - длительность, дней.
//   Часы - Число - длительность, часов.
//   Минуты - Число - длительность, минут.
//   Длительность - Число - добавляемая длительность. Для уменьшения срока используется "-1", для увеличения "1".
//
Процедура ИзменитьОтносительныйСрок(Дни, Часы, Минуты, Длительность) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ИзменитьОтносительныйСрок(Дни, Часы, Минуты, Длительность) 
```
</details>

## КлючСтрокиДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует ключ строки дерева формы.
//
// Параметры:
//   ТипДерева - см. ИнтеграцияС1СДокументооборот3Клиент.ТипДерева
//   СтрокаДерева - СтрокаДереваЗначений
//
// Возвращаемое значение:
//   Строка
//
Функция КлючСтрокиДерева(ТипДерева, СтрокаДерева) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Клиент.КлючСтрокиДерева(ТипДерева, СтрокаДерева) 
```
</details>

## НачатьСозданиеСвязанногоОбъектаДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет создание объекта ДО, его заполнение по объекту ИС и установку связи после записи. При
// необходимости предлагает пользователю выбор правила.
//
// Параметры:
//   ОбъектИС - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС,
//     на основании которого создается объект ДО.
//   ОписаниеОповещения - ОписаниеОповещения - обработчик, вызываемый после создания.
//   ИспользоватьПриоритетныеПравила - Булево - нужно ли задавать вопрос пользователю, в случае если
//     для объекта ИС настроено несколько различных правил интеграции, или нужно использовать наиболее
//     приоритетное по ключевым реквизитам правило.
//
Процедура НачатьСозданиеСвязанногоОбъектаДО(ОбъектИС, ОписаниеОповещения = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.НачатьСозданиеСвязанногоОбъектаДО(ОбъектИС, ОписаниеОповещения, );
```
</details>

## НачатьСозданиеСвязанногоОбъектаДОПослеВыбораПравила
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет создание объекта ДО, его заполнение по объекту ИС и установку связи после записи. При
// необходимости предлагает пользователю выбор правила.
//
// Параметры:
//   Результат - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом - правило заполнения.
//   Параметры - Структура:
//     * ОбъектИС - Произвольный - объект ИС, на основании которого создается объект ДО.
//     * ОписаниеОповещения - ОписаниеОповещения - обработчик, вызываемый после создания.
//
Процедура НачатьСозданиеСвязанногоОбъектаДОПослеВыбораПравила(Знач Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.НачатьСозданиеСвязанногоОбъектаДОПослеВыбораПравила(Результат, Параметры) 
```
</details>

## ОткрытьОбъектДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает интегрированную базу ДО и переходит по указанной ссылке.
//
// Параметры:
//   СсылкаНаОбъектДО - Строка - навигационная ссылка по которой требуется перейти в базе ДО.
//     Если параметр не задан, то ссылка будет браться из параметра сеанса ИнтеграцияС1СДокументооборотОбъектДО.
//
Процедура ОткрытьОбъектДО(Знач СсылкаНаОбъектДО = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ОткрытьОбъектДО(СсылкаНаОбъектДО);
```
</details>

## РазвернутьДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разворачивает дерево на форме.
//
// Параметры:
//   ТипДерева - см. ИнтеграцияС1СДокументооборот3Клиент.ТипДерева
//   СтрокиДерева - ДанныеФормыКоллекцияЭлементовДерева - данные дерева на форме.
//   ТаблицаФормы - ТаблицаФормы - элемент формы, куда выводится дерево.
//   ТекущееСостояниеДерева - см. ИнтеграцияС1СДокументооборот3Клиент.ТекущееСостояниеДерева
//
Процедура РазвернутьДерево(ТипДерева, СтрокиДерева, ТаблицаФормы, ТекущееСостояниеДерева = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.РазвернутьДерево(ТипДерева, СтрокиДерева, ТаблицаФормы, ТекущееСостояниеДерева);
```
</details>

## ТекущееСостояниеДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущее состояние дерева на форме.
//
// Параметры:
//   ТипДерева - см. ИнтеграцияС1СДокументооборот3Клиент.ТипДерева
//   СтрокиДерева - ДанныеФормыКоллекцияЭлементовДерева - данные дерева на форме.
//   ТаблицаФормы - ТаблицаФормы - элемент формы, куда выводится дерево.
//
// Возвращаемое значение:
//   Структура:
//     * СостояниеРазвернут - Соответствие:
//       ** Ключ - Строка
//       ** Значение - Булево
//     * КлючТекущейСтрокиДерева - Строка
//
Функция ТекущееСостояниеДерева(ТипДерева, СтрокиДерева, ТаблицаФормы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Клиент.ТекущееСостояниеДерева(ТипДерева, СтрокиДерева, ТаблицаФормы) 
```
</details>

## ТипДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, описывающей тип дерева.
//
// Возвращаемое значение:
//   Структура:
//     * ЭтоДеревоПриложений - Булево
//     * ЭтоДеревоОбработки - Булево
//
Функция ТипДерева() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Клиент.ТипДерева() 
```
</details>

## ОбработкаКомандыНачатьОбработку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик общей команды ИнтеграцияС1СДокументооборотНачатьОбработку
//
// Параметры:
//   МассивСсылок - Произвольный - в параметр передается значение от источника, в котором реализована команда.
//     Может содержать как единичное значение, так и массив значений.
//   ПараметрыВыполнения - ПараметрыВыполненияКоманды - в обработчике команды можно изменить значение свойств
//     параметра.
//
Процедура ОбработкаКомандыНачатьОбработку(МассивСсылок, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ОбработкаКомандыНачатьОбработку(МассивСсылок, ПараметрыВыполнения) 
```
</details>

## ЗаменитьРольФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет роли файлов.
//
// Параметры:
//   СписокФайлов - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеФайла
//   ВыбраннаяРольID - Строка - идентификатор новой роли файлов.
//   ВладелецФайлов - Строка - идентификатор владельца файлов.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ЗаменитьРольФайлов(СписокФайлов, ВыбраннаяРольID, ВладелецФайлов, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ЗаменитьРольФайлов(СписокФайлов, ВыбраннаяРольID, ВладелецФайлов, );
```
</details>

## ПеренестиФайлыИСвДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Копирует присоединенные файлы объекта, хранящиеся на стороне ИС в связанный объект на стороне ДО.
//
// Параметры:
//   ПрисоединенныеФайлыВИС - СписокЗначений из ЛюбаяСсылка - список присоединенных файлов в ИС.
//   ВладелецID - Строка - идентификатор владельца файла в Документообороте.
//   ВладелецТип - Строка - тип XDTO владельца файла в Документообороте.
//   ВладелецПредставление - Строка - представление владельца файла.
//   Владелец - ЛюбаяСсылка - владелец файла.
//   РольФайлаID - Строка - роль файла.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ПеренестиФайлыИСвДО(ПрисоединенныеФайлыВИС, ВладелецID, ВладелецТип, ВладелецПредставление, Владелец, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПеренестиФайлыИСвДО(ПрисоединенныеФайлыВИС, ВладелецID, ВладелецТип, ВладелецПредставление, Владелец, );
```
</details>

## ТекущаяРольФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает идентификатор текущей роли файлов.
//
// Параметры:
//   ДеревоФайлов - ДанныеФормыДерево - дерево файлов.
//   ТекущаяСтрока - Число - идентификатор текущей строки.
//
// Возвращаемое значение:
//   Строка - текущая роль файлов.
//   Неопределено - никакая роль не найдена.
//
Функция ТекущаяРольФайла(ДеревоФайлов, ТекущаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Клиент.ТекущаяРольФайла(ДеревоФайлов, ТекущаяСтрока) 
```
</details>

## ДанныеПоЗадаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные по задаче, заполненные из данных формы задачи или формы списка задач.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма задачи или списка задач.
//   ID - Строка - идентификатор задачи Документооборота.
//   Тип - Строка - XDTO-тип задачи Документооборота.
//   Заголовок - Строка - заголовок задачи.
//   ПараметрыОперации - Структура:
//     * РезультатВариантаНомер - Строка - имя реквизита формы, содержащего выбранный пользователем вариант
//         выполнения действия задачи.
//     * Флаг - Строка - имя флага, принимает значения перечисления DMObjectFlag (HTTP://www.1c.ru/dm).
//
// Возвращаемое значение:
//   см. ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеПоЗадаче
//
Функция ДанныеПоЗадаче(Форма, ID, Тип, Заголовок, ПараметрыОперации = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Клиент.ДанныеПоЗадаче(Форма, ID, Тип, Заголовок, ПараметрыОперации);
```
</details>

## ДеревоПриложенийЗадачиПередНачаломИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед началом интерактивного изменения строки дерева приложений.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//   Отказ - Булево - признак отказа от редактирования строки.
//
Процедура ДеревоПриложенийЗадачиПередНачаломИзменения(СтрокаДереваПриложений, Отказ) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ДеревоПриложенийЗадачиПередНачаломИзменения(СтрокаДереваПриложений, Отказ) 
```
</details>

## ОткрытьКарточкуПриложенияЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает карточку приложения.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//
Процедура ОткрытьКарточкуПриложенияЗадачи(СтрокаДереваПриложений) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ОткрытьКарточкуПриложенияЗадачи(СтрокаДереваПриложений) 
```
</details>

## ОткрытьПриложениеЗадачиНаПросмотр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает приложение на просмотр.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ОткрытьПриложениеЗадачиНаПросмотр(СтрокаДереваПриложений, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ОткрытьПриложениеЗадачиНаПросмотр(СтрокаДереваПриложений, УникальныйИдентификаторФормы) 
```
</details>

## Подключаемый_СоздатьСвязанныйОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Команды с этим обработчиком создаются программно согласно предметам активной задачи.
//
// Параметры:
//   Команда - КомандаФормы - команда создания на основании.
//   ОсновнойПредметID - Строка - идентификатор основного объекта задачи.
//   ОсновнойПредметТип - Строка - тип основного объекта задачи.
//
Процедура Подключаемый_СоздатьСвязанныйОбъект(Команда, ОсновнойПредметID, ОсновнойПредметТип) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.Подключаемый_СоздатьСвязанныйОбъект(Команда, ОсновнойПредметID, ОсновнойПредметТип) 
```
</details>

## ПриложенияЗадачиФайлыВставитьКартинкуИзБуфера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет к приложению картинку из буфера.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ПриложенияЗадачиФайлыВставитьКартинкуИзБуфера(СтрокаДереваПриложений, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПриложенияЗадачиФайлыВставитьКартинкуИзБуфера(СтрокаДереваПриложений, УникальныйИдентификаторФормы) 
```
</details>

## ПриложенияЗадачиФайлыДобавить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет к приложению файл с диска.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ПриложенияЗадачиФайлыДобавить(СтрокаДереваПриложений, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПриложенияЗадачиФайлыДобавить(СтрокаДереваПриложений, УникальныйИдентификаторФормы) 
```
</details>

## ПриложенияЗадачиФайлыУдалить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет приложение.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ПриложенияЗадачиФайлыУдалить(СтрокаДереваПриложений, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПриложенияЗадачиФайлыУдалить(СтрокаДереваПриложений, УникальныйИдентификаторФормы) 
```
</details>

## ПриложенияЗадачиФайлыРедактировать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает файл для редактирования.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ПриложенияЗадачиФайлыРедактировать(СтрокаДереваПриложений, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПриложенияЗадачиФайлыРедактировать(СтрокаДереваПриложений, УникальныйИдентификаторФормы) 
```
</details>

## ПриложенияЗадачиФайлыЗакончитьРедактирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заканчивает редактирование файла, помещая его в ДО и снимая захват, если необходимо.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ПриложенияЗадачиФайлыЗакончитьРедактирование(СтрокаДереваПриложений, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПриложенияЗадачиФайлыЗакончитьРедактирование(СтрокаДереваПриложений, УникальныйИдентификаторФормы) 
```
</details>

## ПриложенияЗадачиФайлыОсвободить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет редактирование ранее захваченного файла.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ПриложенияЗадачиФайлыОсвободить(СтрокаДереваПриложений, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПриложенияЗадачиФайлыОсвободить(СтрокаДереваПриложений, УникальныйИдентификаторФормы) 
```
</details>

## ПриложенияЗадачиФайлыОбновитьИзФайлаНаДиске
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет файл ДО из файла на диске.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ПриложенияЗадачиФайлыОбновитьИзФайлаНаДиске(СтрокаДереваПриложений, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПриложенияЗадачиФайлыОбновитьИзФайлаНаДиске(СтрокаДереваПриложений, УникальныйИдентификаторФормы) 
```
</details>

## ПриложенияЗадачиФайлыСохранитьКак
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет файлы из дерева приложений на диск, в указанный пользователем каталог.
//
// Параметры:
//   СтрокаДереваПриложений - ДанныеФормыЭлементДерева - текущая строка дерева приложений.
//   Форма - ФормаКлиентскогоПриложения - форма задачи или списка задач.
//
Процедура ПриложенияЗадачиФайлыСохранитьКак(СтрокаДереваПриложений, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПриложенияЗадачиФайлыСохранитьКак(СтрокаДереваПриложений, Форма) 
```
</details>

## УстановитьДоступностьКомандПриложенийЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость и доступность команд в дереве приложений.
//
// Параметры:
//   ТекущаяСтрока - Число - номер текущей строки дерева приложений.
//   КлючСтрокиДереваПриложений - Строка - ключ строки для предотвращения зацикливания.
//   ЗадачаID - Строка - идентификатор текущей задачи.
//   Форма - ФормаКлиентскогоПриложения - форма задачи или списка задач.
//   ЭтоТонкийWindowsКлиент - Булево - требуется для установки доступности команды вставки из буфера обмена.
//
Процедура УстановитьДоступностьКомандПриложенийЗадачи(ТекущаяСтрока, КлючСтрокиДереваПриложений, ЗадачаID, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.УстановитьДоступностьКомандПриложенийЗадачи(ТекущаяСтрока, КлючСтрокиДереваПриложений, ЗадачаID, );
```
</details>

## НачатьОбработку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стартует обработку связанного объекта ДО. При передаче в качестве предмета ссылки на объект ИС
// создает связанный объект ДО, если эта связь не была установлена ранее.
//
// Параметры:
//   Предмет - ЛюбаяСсылка
//           - Структура:
//     * ID - Строка
//     * type - Строка
//     * name - Строка
//     * ВнешнийОбъект - ЛюбаяСсылка
//   ОписаниеОповещения - ОписаниеОповещения - описание оповещения, вызываемого при завершении.
//   ИспользоватьПриоритетныеПравила - Булево - нужно ли задавать вопрос пользователю при создании нового объекта ДО
//     по правилам интеграции, в случае если для объекта ИС настроено несколько различных правил интеграции,
//     или нужно использовать наиболее приоритетное по ключевым реквизитам правило.
//
Процедура НачатьОбработку(Предмет = Неопределено, ОписаниеОповещения = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.НачатьОбработку(Предмет, ОписаниеОповещения, );
```
</details>

## НачатьОбработкуПослеПоискаСвязанногоОбъектаДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает создание бизнес-процесса после поиска связанного объекта ДО.
//
// Параметры:
//   Результат - Неопределено
//             - Структура:
//     * ID - Строка
//     * type - Строка
//     * name - Строка
//   Параметры - Структура:
//     * ГлавнаяЗадача- Структура:
//         ** ID - Строка
//         ** type - Строка
//         ** name - Строка
//     * ОписаниеОповещения - ОписаниеОповещения - описание оповещения, вызываемого при завершении.
//     * Предмет - ЛюбаяСсылка,
//               - Структура:
//         ** ID - Строка
//         ** type - Строка
//         ** name - Строка
//         ** ВнешнийОбъект - ЛюбаяСсылка
//
Процедура НачатьОбработкуПослеПоискаСвязанногоОбъектаДО(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.НачатьОбработкуПослеПоискаСвязанногоОбъектаДО(Результат, Параметры) 
```
</details>

## ДобавитьЭтапДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет новый этап действия в таблицу Участники.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   ФункцияЭтапа - Строка - функция участников этапа.
//
Процедура ДобавитьЭтапДействия(Форма, ФункцияЭтапа) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ДобавитьЭтапДействия(Форма, ФункцияЭтапа) 
```
</details>

## ЗаполнитьДоступностьПеремещенияЭтаповУчастниковДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет доступность перемещения этапов и учатников в карточке действия согласования или подписания.
//
// Параметры:
//   СтрокиДерева - ДанныеФормыДерево
//                - ДанныеФормыКоллекцияЭлементовДерева - дерево этапов или участников.
//   ЗаполнениеВсегоДерева - Булево - Истина, если заполнять все дерево.
//
Процедура ЗаполнитьДоступностьПеремещенияЭтаповУчастниковДействия(СтрокиДерева, ЗаполнениеВсегоДерева = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ЗаполнитьДоступностьПеремещенияЭтаповУчастниковДействия(СтрокиДерева, ЗаполнениеВсегоДерева);
```
</details>

## ИзменитьПризнакУчастникаДействияЗащищенный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды Защищенный в формах настроек действий и самих действий.
// Устанавливает/снимает отметку защищенности в форме для выделенного участника или этапа.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура ИзменитьПризнакУчастникаДействияЗащищенный(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ИзменитьПризнакУчастникаДействияЗащищенный(Форма) 
```
</details>

## ОписаниеОтложенногоНачалаВыполненияДействияНажатие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик нажатия на поле ОписаниеОтложенногоНачалаВыполнения.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//
Процедура ОписаниеОтложенногоНачалаВыполненияДействияНажатие(Форма, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ОписаниеОтложенногоНачалаВыполненияДействияНажатие(Форма, СтандартнаяОбработка) 
```
</details>

## ОписаниеОтложенногоНачалаВыполненияДействияНажатиеПродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжение процедуры ОписаниеОтложенногоНачалаВыполненияДействияНажатие.
//
// Параметры:
//   Результат - Структура:
//     * Дни - Число
//     * Часы - Число
//     * ОтложеннаяДата - Дата
//   Параметры - Структура:
//     * Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура ОписаниеОтложенногоНачалаВыполненияДействияНажатиеПродолжение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ОписаниеОтложенногоНачалаВыполненияДействияНажатиеПродолжение(Результат, Параметры) 
```
</details>

## ОчиститьЗадержкуДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды ПереместитьВверх в форме действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура ОчиститьЗадержкуДействия(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ОчиститьЗадержкуДействия(Форма) 
```
</details>

## ПараметрыДобавленияУчастниковДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, описывающей параметры добавления участников действия.
//
// Возвращаемое значение:
//   Структура:
//     * СЭтапами - Булево - у действия есть этапы.
//     * ВозможныДочерниеИсполнители - Булево - действие поддерживает дочерних исполнителей.
//     * ПоПунктам - Булево - действие исполняется по пунктам.
//     * МожноДобавлятьЭтапы - Булево - можно добавлять этапы действия.
//     * МожноТолькоДобавлятьУчастников - Булево - можно только добавлять участников действия.
//     * ФункцияУчастника - Строка - функция участника действия.
//
Функция ПараметрыДобавленияУчастниковДействия() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Клиент.ПараметрыДобавленияУчастниковДействия() 
```
</details>

## ПереместитьУчастникаДействияВверх
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды ПереместитьВверх в форме действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   МожноМенятьПорядокЭтапов - Булево - действие позволяет изменять порядок этапов.
//   ПоПунктам - Булево - действие исполняется по пунктам.
//
Процедура ПереместитьУчастникаДействияВверх(Форма, МожноМенятьПорядокЭтапов = Истина, ПоПунктам = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПереместитьУчастникаДействияВверх(Форма, МожноМенятьПорядокЭтапов, ПоПунктам);
```
</details>

## ПереместитьУчастникаДействияВниз
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик команды ПереместитьВниз в форме действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   МожноМенятьПорядокЭтапов - Булево - действие позволяет изменять порядок этапов.
//   ПоПунктам - Булево - действие исполняется по пунктам.
//
Процедура ПереместитьУчастникаДействияВниз(Форма, МожноМенятьПорядокЭтапов = Истина, ПоПунктам = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПереместитьУчастникаДействияВниз(Форма, МожноМенятьПорядокЭтапов, ПоПунктам);
```
</details>

## ПорядокВыполненияДейстияУчастникамиПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик ПриИзменении в поле Порядок в форме действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура ПорядокВыполненияДейстияУчастникамиПриИзменении(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПорядокВыполненияДейстияУчастникамиПриИзменении(Форма) 
```
</details>

## ПорядокВыполненияДейстияУчастникамиОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик ОбработкаВыбора в поле Порядок в форме действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   ВыбранноеЗначение - Произвольный - выбранное значение, которое будет установлено как значения поля ввода.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//
Процедура ПорядокВыполненияДейстияУчастникамиОбработкаВыбора(Форма, ВыбранноеЗначение, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПорядокВыполненияДейстияУчастникамиОбработкаВыбора(Форма, ВыбранноеЗначение, СтандартнаяОбработка) 
```
</details>

## ПослеПредупрежденияОЗащищенностиУчастникаДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет значение галки "Больше не показывать" после предупреждения о защищенности участников.
//
// Параметры:
//   Результат - Структура:
//     * БольшеНеЗадаватьЭтотВопрос - Булево
//     * Значение - КодВозвратаДиалога
//   ДополнительныеПараметры - Неопределено
//
Процедура ПослеПредупрежденияОЗащищенностиУчастникаДействия(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПослеПредупрежденияОЗащищенностиУчастникаДействия(Результат, ДополнительныеПараметры) 
```
</details>

## ПредставлениеУчастникаДействияНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события НачалоВыбора элемента ПредставлениеСтроки в таблице участников действия.
//
// Параметры:
//   Элемент - ПолеФормы - элемент ПредставлениеСтроки в таблице участников действия.
//   ДанныеВыбора - СписокЗначений из Структура - наполняемый список:
//     * ID - Строка
//     * type - Строка
//     * name - Строка
//     * presentation - Строка
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура ПредставлениеУчастникаДействияНачалоВыбора(Элемент, ДанныеВыбора, СтандартнаяОбработка, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПредставлениеУчастникаДействияНачалоВыбора(Элемент, ДанныеВыбора, СтандартнаяОбработка, Форма) 
```
</details>

## ПредставлениеУчастникаДействияНачалоВыбораЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПредставлениеУчастникаДействияНачалоВыбораЗавершение.
//
// Параметры:
//   Результат - Структура:
//     * Исполнитель - Строка
//     * ИсполнительID - Строка
//     * ИсполнительТип - Строка
//     * ОсновнойОбъектАдресации - Строка
//     * ОсновнойОбъектАдресацииID - Строка
//     * ОсновнойОбъектАдресацииТип - Строка
//     * ДополнительныйОбъектАдресации - Строка
//     * ДополнительныйОбъектАдресацииID - Строка
//     * ДополнительныйОбъектАдресацииТип - Строка
//   ПараметрыОповещения - Структура:
//     * Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//     * ТекущиеДанные - ДанныеФормыЭлементДерева
//
Процедура ПредставлениеУчастникаДействияНачалоВыбораЗавершение(Результат, ПараметрыОповещения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПредставлениеУчастникаДействияНачалоВыбораЗавершение(Результат, ПараметрыОповещения) 
```
</details>

## ПредставлениеУчастникаДействияАвтоПодбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события АвтоПодбор элемента ПредставлениеСтроки в таблице участников действия.
//
// Параметры:
//   Элемент - ПолеФормы - элемент ПредставлениеСтроки в таблице участников действия.
//   Текст - Строка - строка текста, введенная в поле ввода.
//   ДанныеВыбора - СписокЗначений из Структура - наполняемый список:
//     * ID - Строка
//     * type - Строка
//     * name - Строка
//     * presentation - Строка
//   ПараметрыПолученияДанных - Структура:
//     * ВыборГруппИЭлементов - ИспользованиеГруппИЭлементов
//     * Отбор - Неопределено
//     * ПолнотекстовыйПоиск - Неопределено
//     * РежимПолученияДанныхВыбора - РежимПолученияДанныхВыбораПриВводеПоСтроке
//     * СпособПоискаСтроки - Неопределено
//     * СтрокаПоиска - Строка
//   Ожидание - Число - интервал в секундах после ввода текста, через который произошло событие.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура ПредставлениеУчастникаДействияАвтоПодбор(Элемент, Текст, ДанныеВыбора, ПараметрыПолученияДанных, Ожидание, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПредставлениеУчастникаДействияАвтоПодбор(Элемент, Текст, ДанныеВыбора, ПараметрыПолученияДанных, Ожидание, );
```
</details>

## ПредставлениеУчастникаДействияОкончаниеВводаТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ОкончаниеВводаТекста элемента ПредставлениеСтроки в таблице участников действия.
//
// Параметры:
//   Элемент - ПолеФормы - элемент ПредставлениеСтроки в таблице участников действия.
//   Текст - Строка - строка текста, введенная в поле ввода.
//   ДанныеВыбора - СписокЗначений из Структура - наполняемый список:
//     * ID - Строка
//     * type - Строка
//     * name - Строка
//     * presentation - Строка
//   ПараметрыПолученияДанных - Структура:
//     * ВыборГруппИЭлементов - ИспользованиеГруппИЭлементов
//     * Отбор - Неопределено
//     * ПолнотекстовыйПоиск - Неопределено
//     * РежимПолученияДанныхВыбора - РежимПолученияДанныхВыбораПриВводеПоСтроке
//     * СпособПоискаСтроки - Неопределено
//     * СтрокаПоиска - Строка
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура ПредставлениеУчастникаДействияОкончаниеВводаТекста(Элемент, Текст, ДанныеВыбора, ПараметрыПолученияДанных, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПредставлениеУчастникаДействияОкончаниеВводаТекста(Элемент, Текст, ДанныеВыбора, ПараметрыПолученияДанных, );
```
</details>

## ПредставлениеУчастникаДействияОбработкаВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ОбработкаВыбора элемента ПредставлениеСтроки в таблице участников действия.
//
// Параметры:
//   Элемент - ПолеФормы - элемент ПредставлениеСтроки в таблице участников действия.
//   ВыбранноеЗначение - Произвольный - выбранное значение, которое будет установлено как значения поля ввода.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура ПредставлениеУчастникаДействияОбработкаВыбора(Элемент, ВыбранноеЗначение, СтандартнаяОбработка, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПредставлениеУчастникаДействияОбработкаВыбора(Элемент, ВыбранноеЗначение, СтандартнаяОбработка, Форма) 
```
</details>

## ПредставлениеУчастникаДействияОчистка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события Очистка элемента ПредставлениеСтроки в таблице участников действия.
//
// Параметры:
//   Элемент - ПолеФормы - элемент ПредставлениеСтроки в таблице участников действия.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура ПредставлениеУчастникаДействияОчистка(Элемент, СтандартнаяОбработка, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПредставлениеУчастникаДействияОчистка(Элемент, СтандартнаяОбработка, Форма) 
```
</details>

## ПриОткрытииФормыДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает код, который выполняется в обработчике события ПриОткрытии формы действия на стороне ДО.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура ПриОткрытииФормыДействия(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПриОткрытииФормыДействия(Форма) 
```
</details>

## ПроверитьУчастниковИЗаписатьДействие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет участников, и записывает действие в случае успешной проверки.
//
// Параметры:
//   ДействиеXDTOСтрока - Строка - строковое представление объекта XDTO типа, наследующего DMAction.
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   ОповещениеОЗавершении - ОписаниеОповещения - вызывает процедуру формы после записи объекта.
//
Процедура ПроверитьУчастниковИЗаписатьДействие(ДействиеXDTOСтрока, Форма, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПроверитьУчастниковИЗаписатьДействие(ДействиеXDTOСтрока, Форма, ОповещениеОЗавершении) 
```
</details>

## ПроверитьУчастниковИЗаписатьДействиеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после выполнения запроса к ДО на проверку участников действия в фоновом задании.
//
// Параметры:
//   Результат - см. ДлительныеОперации.ОперацияВыполнена
//   ПараметрыДляЗаписи - Структура:
//     * ДействиеXDTOСтрока - Строка - строковое представление объекта XDTO типа, наследующего DMAction.
//     * Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//     * ОповещениеОЗавершении - ОписаниеОповещения - вызывает процедуру формы после записи объекта.
//
Процедура ПроверитьУчастниковИЗаписатьДействиеЗавершение(Результат, ПараметрыДляЗаписи) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.ПроверитьУчастниковИЗаписатьДействиеЗавершение(Результат, ПараметрыДляЗаписи) 
```
</details>

## РазвернутьДеревоУчастниковДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разворачивает строки дерева участников действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура РазвернутьДеревоУчастниковДействия(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.РазвернутьДеревоУчастниковДействия(Форма) 
```
</details>

## СрокВыполненияДействияУчастникомПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПриИзменении в поле СрокПредставление в форме действия.
// В 1С:Документооборот см. ДействияКлиент.СрокПредставлениеПриИзменении.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   ЗаполнитьСоисполнителей - Булево - если Истина, то заполняем те же сроки у соисполнителей.
//
Процедура СрокВыполненияДействияУчастникомПриИзменении(Форма, ЗаполнитьСоисполнителей = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.СрокВыполненияДействияУчастникомПриИзменении(Форма, ЗаполнитьСоисполнителей);
```
</details>

## СрокВыполненияДействияУчастникомРегулирование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события Регулирование в поле СрокПредставление в форме действия.
// В 1С:Документооборот см. ДействияКлиент.СрокПредставлениеРегулирование.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   Направление - Число - при нажатии вверх параметр равен 1, при нажатии вниз параметр равен -1.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//   ЗаполнитьСоисполнителей - Булево - если Истина, то заполняем те же сроки у соисполнителей.
//
Процедура СрокВыполненияДействияУчастникомРегулирование(Форма, Направление, СтандартнаяОбработка, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.СрокВыполненияДействияУчастникомРегулирование(Форма, Направление, СтандартнаяОбработка, );
```
</details>

## УстановитьДоступностьКнопкиРазныеСроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет доступность кнопки "Разные сроки" - она есть не во всех видах действий, и доступна не при любых условиях.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура УстановитьДоступностьКнопкиРазныеСроки(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.УстановитьДоступностьКнопкиРазныеСроки(Форма));
```
</details>

## УстановитьОдинаковыйСрокДействияРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно устанавливает одинаковый срок всем участникам в пределах каждого этапа. При отключении опции "Разные
// сроки" в некоторых формах действий.
// В 1С:Документооборот см. ДействияКлиент.УстановитьОдинаковыйСрокРекурсивно.
//
// Параметры:
//   СтрокиДерева - ДанныеФормыКоллекцияЭлементовДерева - текущая ветка из дерева "Участники" на формах действий.
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура УстановитьОдинаковыйСрокДействияРекурсивно(СтрокиДерева, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.УстановитьОдинаковыйСрокДействияРекурсивно(СтрокиДерева, Форма) 
```
</details>

## УстановитьПометкуКнопкиРазныеСрокиДействияРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если хоть в одной ветке дерева есть разные сроки, то кнопка "Разные сроки" делается включенной.
// В 1С:Документооборот см. ДействияКлиент.УстановитьПометкуКнопкиРазныеСрокиРекурсивно.
//
// Параметры:
//   СтрокиДерева - ДанныеФормыКоллекцияЭлементовДерева - текущая ветка из дерева "Участники" на формах действий.
//   КнопкаРазныеСроки - КнопкаФормы - кнопка "Разные сроки" из формы действия.
//
Процедура УстановитьПометкуКнопкиРазныеСрокиДействияРекурсивно(СтрокиДерева, КнопкаРазныеСроки) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.УстановитьПометкуКнопкиРазныеСрокиДействияРекурсивно(СтрокиДерева, КнопкаРазныеСроки) 
```
</details>

## УчастникиДействияВыбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события Выбор таблицы Участники.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   ВыбраннаяСтрока - Число - значение выбранной строки.
//   Поле - ПолеФормы - активное поле (колонка).
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//   ОткрыватьОсобоеНаименованиеИОписание - Булево - доступно открытие отдельной формы для ввода описания.
//   ТолькоПросмотрОсобогоНаименованияИОписания - Булево - только просмотр особого наименования и описания задачи.
//   ИзменятьНаименованиеЗадачи - Булево - помимо описания требуется таже изменять наименование задачи.
//
Процедура УчастникиДействияВыбор(Форма, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.УчастникиДействияВыбор(Форма, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, );
```
</details>

## УчастникиДействияПередНачаломДобавления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПередНачаломДобавления таблицы Участники.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   Отказ - Булево - отказ из обработчика события формы.
//   Копирование - Булево - определяет режим копирования.
//   ПараметрыДобавленияУчастников - см. ИнтеграцияС1СДокументооборот3Клиент.ПараметрыДобавленияУчастниковДействия
//
Процедура УчастникиДействияПередНачаломДобавления(Форма, Отказ, Копирование, ПараметрыДобавленияУчастников) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.УчастникиДействияПередНачаломДобавления(Форма, Отказ, Копирование, ПараметрыДобавленияУчастников) 
```
</details>

## УчастникиДействияПередНачаломИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПередНачаломИзменения таблицы Участники.
// Проверяет защищенность строки, не дает изменять исполнителя, если он защищен.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   Отказ - Булево - отказ из обработчика события формы.
//   СЭтапами - Булево - у действия есть этапы.
//
Процедура УчастникиДействияПередНачаломИзменения(Форма, Отказ, СЭтапами = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.УчастникиДействияПередНачаломИзменения(Форма, Отказ, СЭтапами);
```
</details>

## УчастникиДействияПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик события ПередУдалением таблицы Участники.
// Проверяет защищенность строки, не дает удалить исполнителя, если он защищен или выполнил задачу.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   Отказ - Булево - отказ из обработчика события формы.
//   СЭтапами - Булево - у действия есть этапы.
//   МожноУдалятьЭтапы - Булево - этап можно удалить, если в действии есть больше одного этапа с одинаковой функцией.
//   ПоПунктам - Булево - действие исполняется по пунктам.
//
Процедура УчастникиДействияПередУдалением(Форма, Отказ, СЭтапами = Ложь, МожноУдалятьЭтапы = Ложь, ПоПунктам = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.УчастникиДействияПередУдалением(Форма, Отказ, СЭтапами, МожноУдалятьЭтапы, ПоПунктам);
```
</details>

## УчастникиДействияПриАктивизацииСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик активизации строки в таблице участников действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
Процедура УчастникиДействияПриАктивизацииСтроки(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3Клиент.УчастникиДействияПриАктивизацииСтроки(Форма) 
```
</details>

## ЭтапыДействияУникальны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет уникальность этапов действия.
//
// Параметры:
//   Участники - ДанныеФормыДерево - дерево с участниками действия.
//
// Возвращаемое значение:
//   Булево
//
Функция ЭтапыДействияУникальны(Участники) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Клиент.ЭтапыДействияУникальны(Участники) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
