---
title: Интеграция с 1С документооборот3 клиент сервер
slug: zup/интеграция-с-1с-документооборот3-клиент-сервер
---


## ВариантыУстановкиСрокаИсполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает варианты установки срока исполнения.
//
// Возвращаемое значение:
//   Структура:
//     * ТочныйСрок - Строка
//     * ОтносительныйСрок - Строка
//
Функция ВариантыУстановкиСрокаИсполнения() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ВариантыУстановкиСрокаИсполнения() 
```
</details>

## ДанныеОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, описывающей данные обработки.
//
// Параметры:
//   ПредметID - Строка - идентификатор предмета обработки.
//   ПредметТип - Строка - XDTO-тип предмета обработки.
//   ТекущееСостояние - Строка - текущее состояние обработки. Перечисление типа DMObjectProcessingState.
//   ПричинаПрерывания - Строка - причина прерывания обработки.
//
// Возвращаемое значение:
//   Структура:
//     * ПредметID - Строка
//     * ПредметТип - Строка
//     * ТекущееСостояние - Строка
//     * ПричинаПрерывания - Строка
//     * ТребуемоеИнтерактивноеДействие - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ТребуемоеИнтерактивноеДействие
//
Функция ДанныеОбработки(ПредметID, ПредметТип, ТекущееСостояние = "", ПричинаПрерывания = "") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеОбработки(ПредметID, ПредметТип, ТекущееСостояние, ПричинаПрерывания);
```
</details>

## ДанныеПоЗадаче
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, описывающей задачу.
//
// Параметры:
//   ID - Строка - идентификатор задачи Документооборота.
//   Тип - Строка - XDTO-тип задачи Документооборота.
//   Заголовок - Строка - заголовок задачи.
//   НавигационнаяСсылка - Строка - навигационная ссылка на объект ДО.
//
// Возвращаемое значение:
//   Структура:
//     * ДействиеЗадачи - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//     * Новое - Булево
//     * Просрочено - Булево
//     * ПредставлениеHTML - Строка
//     * АдресДополнительныхДанных - Строка
//     * Флаг - Строка
//     * РезультатДействия - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеСсылочногоОбъектаДО
//     * РезультатДействияТекстом - Строка
//     * ВерсияДанныхДействияЗадачи - Строка
//     * ТребуемоеИнтерактивноеДействие - см. ИнтеграцияС1СДокументооборот3КлиентСервер.ТребуемоеИнтерактивноеДействие
//
Функция ДанныеПоЗадаче(ID, Тип, Заголовок = "", НавигационнаяСсылка = "") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ДанныеПоЗадаче(ID, Тип, Заголовок, НавигационнаяСсылка);
```
</details>

## ИдентификаторЗаполнен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет является ли идентификатор пустым или заполненным.
//
// Параметры:
//   СтрокаИдентификатора - Строка - строковое представление идентификатора.
//
// Возвращаемое значение:
//   Булево
//
Функция ИдентификаторЗаполнен(СтрокаИдентификатора) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ИдентификаторЗаполнен(СтрокаИдентификатора) 
```
</details>

## КолонкиБыстрогоПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Список колонок таблицы "Быстрый поиск", подлежащие заполнению.
//
// Возвращаемое значение:
//   Строка
//
Функция КолонкиБыстрогоПоиска() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.КолонкиБыстрогоПоиска() 
```
</details>

## ОбновитьКнопкиДинамическогоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перерисовывает на форме список кнопок переключения страниц динамического списка.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, на которой находится динамический список.
//   ТекущаяСтраница - Число - номер текущей страницы.
//   ВсегоСтраниц - Число - максимальное количество страниц.
//
Процедура ОбновитьКнопкиДинамическогоСписка(Форма, ТекущаяСтраница, ВсегоСтраниц) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3КлиентСервер.ОбновитьКнопкиДинамическогоСписка(Форма, ТекущаяСтраница, ВсегоСтраниц) 
```
</details>

## ПараметрыИзмененияСрокаПоПредставлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, описывающей параметры изменения срока по представлению.
//
// Возвращаемое значение:
//   Структура:
//     * ТекстСообщенияПредупреждения - Строка - возвращаемый текст сообщения/предупреждения в случае ошибки.
//     * Исполнитель - Строка
//     * ИсполнительID - Строка
//     * ИсполнительТип - Строка
//     * ОсновнойОбъектАдресацииИсполнитель - Строка
//     * ОсновнойОбъектАдресацииИсполнительID - Строка
//     * ОсновнойОбъектАдресацииИсполнительТип - Строка
//     * ДополнительныйОбъектАдресацииИсполнитель - Строка
//     * ДополнительныйОбъектАдресацииИсполнительID - Строка
//     * ДополнительныйОбъектАдресацииИсполнительТип - Строка
//
Функция ПараметрыИзмененияСрокаПоПредставлению() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ПараметрыИзмененияСрокаПоПредставлению() 
```
</details>

## ПараметрыФормыСпискаЗадач
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, описывающей параметры формы списка задач.
//
// Возвращаемое значение:
//   Структура:
//     * ТекущаяСтраница - Число
//     * РазмерСтраницыДинамическогоСписка - Число
//     * ПолеДляСортировки - Строка
//     * НаправлениеСортировкиПоля - Строка
//     * Фильтры - СписокЗначений
//     * БыстрыйПоиск - ТаблицаЗначений
//     * ОтображениеКарточкиЗадачи - ПеречислениеСсылка.ВариантыОтображенияОбластиЧтения
//
Функция ПараметрыФормыСпискаЗадач() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ПараметрыФормыСпискаЗадач() 
```
</details>

## ПредставлениеСрокаИсполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление срока исполнения в виде дата (длительность) или длительность (дата).
//
// Параметры:
//   Дата - Дата - срок исполнения датой.
//   Дни - Число - длительность, дней.
//   Часы - Число - длительность, часов.
//   Минуты - Число - длительность, минут.
//   ИспользоватьДатуИВремяВСроках - Булево - признак использования даты и времени в сроках.
//   ВариантУстановкиСрока - Строка - вариант установки срока исполнения.
//
// Возвращаемое значение:
//   Строка
//
Функция ПредставлениеСрокаИсполнения(Дата, Дни, Часы, Минуты, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ПредставлениеСрокаИсполнения(Дата, Дни, Часы, Минуты, );
```
</details>

## ПредставлениеТипаОбъектаXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление типа объекта XDTO Документооборота по имени типа.
//
// Параметры:
//   ТипXDTO - Строка - имя типа объекта XDTO.
//   Режим - Строка - принимает значения: "ЕдинственноеЧисло", "МножественноеЧисло", "ЗаголовокФормыВыбора".
//
// Возвращаемое значение:
//   Строка - представление типа объекта XDTO Документооборота по имени типа.
//
Функция ПредставлениеТипаОбъектаXDTO(ТипXDTO, Режим = "МножественноеЧисло") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ПредставлениеТипаОбъектаXDTO(ТипXDTO, Режим);
```
</details>

## ПредставлениеПорядкаВыполненияЭтапаДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление порядка выполнения этапа действия.
//
// Параметры:
//   ПорядокXDTO - Строка - перечисление типа DMOrderOfExecutionActionStage.
//
// Возвращаемое значение:
//   Строка
//
Функция ПредставлениеПорядкаВыполненияЭтапаДействия(ПорядокXDTO) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ПредставлениеПорядкаВыполненияЭтапаДействия(ПорядокXDTO) 
```
</details>

## ПредставлениеУчастника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление участника действия.
//
// Параметры:
//   СтрокаУчастника - ДанныеФормыЭлементДерева - строка дерева значений Участники в форме действия.
//   ДополнительноеОписание - Строка - дополнительное описание участника.
//   ПрефиксСтроки - Строка - префикс строки участника.
//
// Возвращаемое значение:
//   Строка - представление участника действия.
//
Функция ПредставлениеУчастника(СтрокаУчастника, ДополнительноеОписание = "", ПрефиксСтроки = "") Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ПредставлениеУчастника(СтрокаУчастника, ДополнительноеОписание, ПрефиксСтроки);
```
</details>

## ТипОперацииСОбработкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, описывающей тип операции над задачей.
//
// Возвращаемое значение:
//   Структура:
//     * Начать - Булево
//     * Прервать - Булево
//     * Остановить - Булево
//     * Продолжить - Булево
//     * Заполнить - Булево
//     * Перезапустить - Булево
//
Функция ТипОперацииСОбработкой() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ТипОперацииСОбработкой() 
```
</details>

## ТребуемоеИнтерактивноеДействие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры, описывающей требуемое интерактивное действие.
//
// Возвращаемое значение:
//   Структура:
//     * ВыбратьИсполнителяЗадачи - Булево
//     * ИзменитьПараметрыПроцесса - Булево
//     * Контекст - Произвольный
//     * КешПредыдущихРезультатов - Строка
//
Функция ТребуемоеИнтерактивноеДействие() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ТребуемоеИнтерактивноеДействие() 
```
</details>

## ЕстьЗащищенныеУчастникиДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие хотя бы одного защищенного участника в переданном этапе действия.
//
// Параметры:
//   Этап - ДанныеФормыЭлементДерева - строка этапа из дерева участников обработки.
//
// Возвращаемое значение:
//   Булево - есть защищенные участники.
//
Функция ЕстьЗащищенныеУчастникиДействия(Этап) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ЕстьЗащищенныеУчастникиДействия(Этап) 
```
</details>

## ЕстьЭтапыДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие этапов действия.
//
// Параметры:
//   Участники - ДанныеФормыДерево - дерево с участниками.
//   ИдентификаторЭтапа - Строка - предопределенный идентификатор участника действия, который мы не учитываем.
//   ИдентификаторОбрабатывающегоРезультат - Строка - предопределенный идентификатор обрабатывающего результат действия,
//     который мы не учитываем.
//
// Возвращаемое значение:
//   Булево - есть защищенные участники.
//
Функция ЕстьЭтапыДействия(Участники, ИдентификаторЭтапа, ИдентификаторОбрабатывающегоРезультат) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ЕстьЭтапыДействия(Участники, ИдентификаторЭтапа, ИдентификаторОбрабатывающегоРезультат) 
```
</details>

## ИменаПолейТаблицыУчастниковДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имена полей таблицы участников действия на форме.
//
// Возвращаемое значение:
//   Строка
//
Функция ИменаПолейТаблицыУчастниковДействия() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ИменаПолейТаблицыУчастниковДействия() 
```
</details>

## НастроитьОтображениеОтложенногоНачалаВыполненияДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает описание, подсказку и отображение задержки начала выполнения действия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//   ПредставлениеЗапуска - Строка - описание задержки запуска.
//   ОчиститьЗадержкуПодсказка - Строка - неявно возвращаемое значение, подсказка команды формы ОчиститьЗадержку.
//   ОписаниеОтложенногоНачалаВыполненияПодсказка - Строка - неявно возвращаемое значение, подсказка элемента
//     формы ОписаниеОтложенногоНачалаВыполнения.
//
Процедура НастроитьОтображениеОтложенногоНачалаВыполненияДействия(Форма, ПредставлениеЗапуска = "", Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборот3КлиентСервер.НастроитьОтображениеОтложенногоНачалаВыполненияДействия(Форма, ПредставлениеЗапуска, );
```
</details>

## НомерКартинкиРезультатаВыполненияДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер картинки из КоллекцияРезультатыВыполненияДействий.
//
// Параметры:
//   Результат - Строка - результат действия.
//   Состояние - Строка - состояние действия.
//   ЕстьЗаявкаОтказа - Булево
//
// Возвращаемое значение:
//   Число
//
Функция НомерКартинкиРезультатаВыполненияДействия(Результат, Состояние = Неопределено, ЕстьЗаявкаОтказа = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.НомерКартинкиРезультатаВыполненияДействия(Результат, Состояние, ЕстьЗаявкаОтказа);
```
</details>

## ОбщийРезультатДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает общий результат двух результатов участников действия.
//
//
// Параметры:
//   Результат1 - Строка - результат действия.
//   Результат2 - Строка - результат действия.
//
// Возвращаемое значение:
//   Строка
//
Функция ОбщийРезультатДействия(Результат1, Результат2) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ОбщийРезультатДействия(Результат1, Результат2) 
```
</details>

## ОбщееСостояниеДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает общее состояние двух участников действия.
//
// Параметры:
//   Состояние1 - Строка - состояние действия.
//   Состояние2 - Строка - состояние действия.
//
// Возвращаемое значение:
//   Строка
//
Функция ОбщееСостояниеДействия(Состояние1, Состояние2) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ОбщееСостояниеДействия(Состояние1, Состояние2) 
```
</details>

## УчастникиДействияИзмененыВКарточке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет факт изменения участников в карточке действия.
// Работает в паре с процедурой ИнтеграцияС1СДокументооборот3.ЗаполнитьТаблицуУчастниковДействия.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма элемента одного из справочников действий, участвующих в обработке.
//
// Возвращаемое значение:
//   Булево
//
Функция УчастникиДействияИзмененыВКарточке(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.УчастникиДействияИзмененыВКарточке(Форма) 
```
</details>

## ЭтоДействиеИсполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если указанное действие является действием исполнения.
//
// Параметры:
//   ТипДействия - Строка - имя типа XDTO.
//
// Возвращаемое значение:
//   Булево
//
Функция ЭтоДействиеИсполнения(ТипДействия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ЭтоДействиеИсполнения(ТипДействия) 
```
</details>

## ЭтоДействиеСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если указанное действие является действием согласования.
//
// Параметры:
//   ТипДействия - Строка - имя типа XDTO.
//
// Возвращаемое значение:
//   Булево
//
Функция ЭтоДействиеСогласования(ТипДействия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ЭтоДействиеСогласования(ТипДействия) 
```
</details>

## ЭтоДействиеОзнакомления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если указанное действие является действием ознакомления.
//
// Параметры:
//   ТипДействия - Строка - имя типа XDTO.
//
// Возвращаемое значение:
//   Булево
//
Функция ЭтоДействиеОзнакомления(ТипДействия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ЭтоДействиеОзнакомления(ТипДействия) 
```
</details>

## ЭтоДействиеПодписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если указанное действие является действием подписания.
//
// Параметры:
//   ТипДействия - Строка - имя типа XDTO.
//
// Возвращаемое значение:
//   Булево
//
Функция ЭтоДействиеПодписания(ТипДействия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ЭтоДействиеПодписания(ТипДействия) 
```
</details>

## ЭтоДействиеРегистрации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если указанное действие является действием регистрации.
//
// Параметры:
//   ТипДействия - Строка - имя типа XDTO.
//
// Возвращаемое значение:
//   Булево
//
Функция ЭтоДействиеРегистрации(ТипДействия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ЭтоДействиеРегистрации(ТипДействия) 
```
</details>

## ЭтоДействиеУтверждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если указанное действие является действием утверждения.
//
// Параметры:
//   ТипДействия - Строка - имя типа XDTO.
//
// Возвращаемое значение:
//   Булево
//
Функция ЭтоДействиеУтверждения(ТипДействия) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ЭтоДействиеУтверждения(ТипДействия) 
```
</details>

## ЭтоФункцияОбработатьРезультат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если параметр является функцией участника, обрабатывающего результат.
//
// Параметры:
//   ФункцияУчастника - Строка - функция участника действия.
//
// Возвращаемое значение:
//   Булево
//
Функция ЭтоФункцияОбработатьРезультат(ФункцияУчастника) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3КлиентСервер.ЭтоФункцияОбработатьРезультат(ФункцияУчастника) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
