---
title: Интеграция с 1С документооборот3 обмен
slug: zup/интеграция-с-1с-документооборот3-обмен
---


## ЗаписатьИзмененияОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помещает изменения в базу и возвращает ответ на запрос DMILPutChangesRequest.
//
// Параметры:
//   Сообщение - ОбъектXDTO - объект XDTO типа DMILPutChangesRequest:
//     * messageData - ДвоичныеДанные
//
// Возвращаемое значение:
//   ОбъектXDTO - объект XDTO типа DMILPutChangesResponse или DMILError.
//
Функция ЗаписатьИзмененияОбъектов(Сообщение) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Обмен.ЗаписатьИзмененияОбъектов(Сообщение) 
```
</details>

## ЗарегистрированныеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает измененные объекты, интегрированные с 1С:Документооборотом, и готовые к выгрузке.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   УзелОбмена - ПланОбменаСсылка.ИнтеграцияС1СДокументооборотомПереопределяемый - узел, по которому нужно
//     получить изменения.
//   ОбъектыКУдалениюИзРегистрацииИзменений - Массив из ЛюбаяСсылка - неявно возвращаемое значение,
//     содержит ссылки на объекты, не требующие выгрузки, и на успешно отправленные объекты.
//
// Возвращаемое значение:
//   Массив из Структура:
//     * Объект - ЛюбаяСсылка
//     * ТипОбъектаДО - Строка
//     * ИдентификаторОбъектаДО - Строка
//     * СписокВыражений - СписокXDTO
//     * ПечатныеФормы - СписокXDTO
//     * ТипыФайловПечатныхФорм - СписокXDTO
//     * ПравилоЗагрузкиВДО - ОбъектXDTO
//
Функция ЗарегистрированныеДанные(Прокси, УзелОбмена, ОбъектыКУдалениюИзРегистрацииИзменений) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Обмен.ЗарегистрированныеДанные(Прокси, УзелОбмена, ОбъектыКУдалениюИзРегистрацииИзменений) 
```
</details>

## ПолучитьXDTOИзмененийИзОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект XDTO, содержащий обновляемые изменения объекта.
//
// Параметры:
//   Прокси - WSПрокси - объект для подключения к web-сервисам Документооборота.
//   ДанныеОбъекта - См. ИнтеграцияС1СДокументооборот3Обмен.ЗарегистрированныеДанные
//   КонтрольОтправкиФайлов - см. ИнтеграцияС1СДокументооборотБазоваяФункциональность.КонтрольОтправкиФайлов
//
// Возвращаемое значение:
//   ОбъектXDTO
//
Функция ПолучитьXDTOИзмененийИзОбъекта(Прокси, ДанныеОбъекта, КонтрольОтправкиФайлов) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборот3Обмен.ПолучитьXDTOИзмененийИзОбъекта(Прокси, ДанныеОбъекта, КонтрольОтправкиФайлов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
