---
title: Интеграция с 1С документооборот БЗК
slug: zup/интеграция-с-1с-документооборот-бзк
---


## ЗаполнитьИнформациюОПользователе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьИнформациюОПользователе(Прокси, ОбъектXDTO, СсылкаНаПотребитель) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБЗК.ЗаполнитьИнформациюОПользователе(Прокси, ОбъектXDTO, СсылкаНаПотребитель) 
```
</details>

## ЗаполнитьРуководителяПодразделения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРуководителяПодразделения(Прокси, ОбъектXDTO, Подразделение) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБЗК.ЗаполнитьРуководителяПодразделения(Прокси, ОбъектXDTO, Подразделение) 
```
</details>

## ЗаполнитьФизическоеЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьФизическоеЛицо(ФизическоеЛицо, Прокси, ОбъектXDTO) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБЗК.ЗаполнитьФизическоеЛицо(ФизическоеЛицо, Прокси, ОбъектXDTO) 
```
</details>

## ЗаполнитьПодразделение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПодразделение(Подразделение, Прокси, ОбъектXDTO, ЗаполнятьПодразделение, ЗаполнятьРуководителя) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБЗК.ЗаполнитьПодразделение(Подразделение, Прокси, ОбъектXDTO, ЗаполнятьПодразделение, ЗаполнятьРуководителя) 
```
</details>

## ЗаполнитьПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПользователя(Пользователь, Прокси, ОбъектXDTO) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБЗК.ЗаполнитьПользователя(Пользователь, Прокси, ОбъектXDTO) 
```
</details>

## ЗаполнитьДолжность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДолжность(Должность, Прокси, ОбъектXDTO) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБЗК.ЗаполнитьДолжность(Должность, Прокси, ОбъектXDTO) 
```
</details>

## ПриСозданииЮрЛицаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииЮрЛицаПоСсылке(ОбъектИС, ОбъектXDTO, ЗаполняемыйОбъектИС, ИсточникXDTO = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБЗК.ПриСозданииЮрЛицаПоСсылке(ОбъектИС, ОбъектXDTO, ЗаполняемыйОбъектИС, ИсточникXDTO);
```
</details>

## СостояниеСогласованияДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СостояниеСогласованияДО(ЗначениеЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБЗК.СостояниеСогласованияДО(ЗначениеЗаполнения) 
```
</details>

## СостояниеСогласованияБЗК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СостояниеСогласованияБЗК(ТипРеквизита, СостояниеДО) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБЗК.СостояниеСогласованияБЗК(ТипРеквизита, СостояниеДО) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
