---
title: Интеграция с 1С документооборот базовая функциональность вызов сервера переопределяемый
slug: zup/интеграция-с-1с-документооборот-базовая-функциональность-вызов-сервера-переопределяемый
---


## ПриСозданииПравилИнтеграцииАвтоматически
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает правила интеграции для указанного типа объекта ИС.
//
// Параметры:
//   ИмяТипаОбъекта - Строка, ЛюбаяСсылка - полное имя типа объекта ИС, как в метаданных, или ссылка на объект ИС.
//   ПравилаИнтеграции - Массив из Структура:
//     * Ссылка - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом
//     * ТипОбъектаИС - Строка
//     * ТипОбъектаДО - Строка
//     * ПредставлениеОбъектаИС - Строка
//     * ПредставлениеОбъектаДО - Строка
//     * ИдентификаторВидаДокумента - Строка
//     * ТипВидаДокумента - Строка
//
// Пример:
//   Если ИмяТипаОбъекта = "Документ.ПоступлениеТоваровУслуг" Тогда
//     // Создаем правила интеграции и добавляем в массив
//     ПравилаИнтеграции = НачатьАвтоматическуюНастройкуИнтеграцииПоступлениеТоваровУслуг();
//   ИначеЕсли ИмяТипаОбъекта = "Документ.ЗаявкаНаРасходованиеДенежныхСредств" Тогда
//     // Создаем правила интеграции и добавляем в массив
//     ПравилаИнтеграции = НачатьАвтоматическуюНастройкуИнтеграцииЗаявкаНаОперацию();
//   КонецЕсли;
//
Процедура ПриСозданииПравилИнтеграцииАвтоматически(Знач ИмяТипаОбъекта, ПравилаИнтеграции) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьВызовСервераПереопределяемый.ПриСозданииПравилИнтеграцииАвтоматически(ИмяТипаОбъекта, ПравилаИнтеграции) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
