---
title: Интеграция с 1С документооборот базовая функциональность клиент
slug: zup/интеграция-с-1с-документооборот-базовая-функциональность-клиент
---


## АвторизацияПредложена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сохраненный ранее признак состоявшегося показа окна авторизации.
//
// Возвращаемое значение:
//   Булево - Истина, если авторизация была предложена в этом сеансе, и Ложь в противном случае.
//
Функция АвторизацияПредложена() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.АвторизацияПредложена() 
```
</details>

## ВыбратьЗначениеДополнительногоРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для указания значения дополнительного реквизита.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, на которой осуществляется работа с дополнительным реквизитом
//     и из которой вызывается форма заполнения.
//   Элемент - ПолеФормы - элемент формы, в который будет помещено указанной значение.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//
Процедура ВыбратьЗначениеДополнительногоРеквизита(Форма, Элемент, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыбратьЗначениеДополнительногоРеквизита(Форма, Элемент, СтандартнаяОбработка) 
```
</details>

## ВыбратьЗначениеРеквизитаДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальный метод для выбора произвольного значения в поле ввода.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, из которой вызывается команда.
//   Элемент - ПолеФормы - поле, куда должно быть помещено выбранное значение.
//   Типы - СписокЗначений из Тип - тип значения, которое требуется выбрать.
//        - Массив из Тип
//   Представление - Строка - представление реквизита, для которого выбирается значение.
//   ЗначениеРеквизита - Строка - текущее значение в поле ввода.
//   ЗначениеРеквизитаID - Строка - текущее значение в поле ввода.
//   ЗначениеРеквизитаТип - Строка - текущее значение в поле ввода.
//   Оповещение - ОписаниеОповещения - вызывает процедуру формы, в которую передается выбранное значение.
//
Процедура ВыбратьЗначениеРеквизитаДО(Форма, Элемент, Типы, Представление, ЗначениеРеквизита, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыбратьЗначениеРеквизитаДО(Форма, Элемент, Типы, Представление, ЗначениеРеквизита, );
```
</details>

## ВыбратьЗначениеРеквизитаИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальный метод для выбора произвольного значения в поле ввода.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, из которой вызывается команда.
//   Элемент - ПолеФормы - поле, куда должно быть помещено выбранное значение.
//   Тип - ОписаниеТипов - тип значения, которое требуется выбрать.
//   Представление - Строка - представление реквизита, для которого выбирается значение.
//   ЗначениеРеквизита - Произвольный - текущее значение в поле ввода.
//   Оповещение - ОписаниеОповещения - вызывает процедуру формы, в которую передается выбранное значение.
//
Процедура ВыбратьЗначениеРеквизитаИС(Форма, Элемент, Тип, Представление, ЗначениеРеквизита, Оповещение) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыбратьЗначениеРеквизитаИС(Форма, Элемент, Тип, Представление, ЗначениеРеквизита, Оповещение) 
```
</details>

## ВыполнитьЗапросАсинхронно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает длительную операцию запроса к сервису 1С:Документооборот, а также отображает на форме признак выполнения
// длительной операции.
//
// Параметры:
//   Владелец - ФормаКлиентскогоПриложения - форма, из которой вызывается команда.
//            - ОбщийМодуль - клиентский модуль, из которого вызывается команда.
//   ДлительнаяОперация - см. ДлительныеОперации.ВыполнитьВФоне
//   ОповещениеОЗавершении - ОписаниеОповещения - вызывает процедуру формы, в которую передается результат запроса.
//   ВыводитьОкноОжидания - Булево - если Истина, то открыть окно ожидания с визуальной индикацией длительной операции.
//   ТекстСообщения - Строка - текст сообщения, выводимый на форме ожидания.
//   СкрыватьИнтерфейс - Булево - если окно ожидания не выводится, то данный параметр указывает нужно ли использовать
//     переключение страниц, который скроет весь интерфейс, либо же нужно не скрывать интерфейс, а сделать видимой
//     группу элементов длительной операции.
//
Процедура ВыполнитьЗапросАсинхронно(Владелец, ДлительнаяОперация, ОповещениеОЗавершении, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыполнитьЗапросАсинхронно(Владелец, ДлительнаяОперация, ОповещениеОЗавершении, );
```
</details>

## ВыполнитьКомандуПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и выводит на экран печатные формы.
//
// Параметры:
//   ИмяМенеджераПечати - Строка - менеджер печати для печатаемых объектов;
//   ИменаМакетов - Строка - идентификаторы печатных форм;
//   МассивОбъектов - ЛюбаяСсылка
//                  - Массив из ЛюбаяСсылка - объекты печати;
//   ВладелецФормы - ФормаКлиентскогоПриложения - форма, из которой выполняется печать;
//
Процедура ВыполнитьКомандуПечати(ИмяМенеджераПечати, ИменаМакетов, МассивОбъектов, ВладелецФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыполнитьКомандуПечати(ИмяМенеджераПечати, ИменаМакетов, МассивОбъектов, ВладелецФормы) 
```
</details>

## ВыполнитьПодключаемуюКомандуИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подключаемую команду интеграции с 1С:Документооборотом из формы объекта или списка.
//
// Параметры:
//   Команда - КомандаФормы - вызванная команда.
//   Форма - ФормаКлиентскогоПриложения - форма, из которой вызывается команда.
//   Источник - ДанныеФормыСтруктура, ДанныеФормыКоллекция - данные, уточняющие параметр команды.
//
Процедура ВыполнитьПодключаемуюКомандуИнтеграции(Команда, Форма, Источник) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыполнитьПодключаемуюКомандуИнтеграции(Команда, Форма, Источник) 
```
</details>

## ВыполнитьПодключаемуюКомандуИнтеграцииЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает выполнение подключаемой команды интеграции после проверки подключения.
//
// Параметры:
//   Результат - Булево - Истина, если подключение успешно.
//   Параметры - Структура:
//     * Команда - КомандаФормы - вызванная команда.
//     * Форма - ФормаКлиентскогоПриложения - форма, из которой вызывается команда.
//     * Источник - ДанныеФормыСтруктура:
//         ** Ссылка - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый
//                - ДанныеФормыКоллекция
//
Процедура ВыполнитьПодключаемуюКомандуИнтеграцииЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыполнитьПодключаемуюКомандуИнтеграцииЗавершение(Результат, Параметры) 
```
</details>

## ВыполнитьПроверкуЗаписиИПродолжить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет записан ли объект интегрированной системы. Если не записан - предлагает пользователю записать.
//
// Параметры:
//   СсылкаНаОбъектИС - ЛюбаяСсылка - проверяемый объект ИС.
//   ФормаОбъектаИС - ФормаКлиентскогоПриложения - форма, из которой вызвана команда.
//   ОповещениеПродолжения - ОписаниеОповещения - действие, вызываемое после проверки.
//   Действие - Строка - наименование действия.
//
Процедура ВыполнитьПроверкуЗаписиИПродолжить(СсылкаНаОбъектИС, ФормаОбъектаИС, ОповещениеПродолжения, Действие) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыполнитьПроверкуЗаписиИПродолжить(СсылкаНаОбъектИС, ФормаОбъектаИС, ОповещениеПродолжения, Действие) 
```
</details>

## ЕстьПодсистемаДО2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, встроены ли в конфигурации модули БИД, предназначенные для интеграции с 1С:Документооборотом редакции 2.
//
// Возвращаемое значение:
//   Булево
//
Функция ЕстьПодсистемаДО2() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ЕстьПодсистемаДО2() 
```
</details>

## ЕстьПодсистемаДО3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, встроены ли в конфигурации модули БИД, предназначенные для интеграции с 1С:Документооборотом редакции 3.
//
// Возвращаемое значение:
//   Булево
//
Функция ЕстьПодсистемаДО3() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ЕстьПодсистемаДО3() 
```
</details>

## ЗаписатьОбъектАсинхронно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает изменения объекта в Документообороте в фоновом задании.
//
// Параметры:
//   УникальныйИдентификатор - УникальныйИдентификатор - уникальный идентификатор формы, из которой выполняется запрос.
//   ОбъектСтрока - Строка - строковое предствление объекта XDTO с сохраняемыми данными.
//   ОповещениеОЗавершении - ОписаниеОповещения - вызывает процедуру формы после записи объекта.
//
Процедура ЗаписатьОбъектАсинхронно(УникальныйИдентификатор, ОбъектСтрока, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ЗаписатьОбъектАсинхронно(УникальныйИдентификатор, ОбъектСтрока, ОповещениеОЗавершении) 
```
</details>

## НачатьПоискСвязанногоОбъектаДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет поиск связанного объекта ДО, при необходимости создавая его на основании объекта ИС
// с заполнением по правилам интеграции, если подходящее правило существует.
//
// Параметры:
//   ОбъектИС - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС,
//     для которого разыскивается связанный объект ДО.
//   ОписаниеОповещения - ОписаниеОповещения - обработчик, вызываемый после создания с
//     передачей в качестве параметра Структуры (ID, type, name).
//   ПолучатьНДПС - Булево - требуется получить настройки доступности по состоянию на стороне Документооборота.
//   ИспользоватьПриоритетныеПравила - Булево - нужно ли задавать вопрос пользователю при создании нового объекта ДО
//     по правилам интеграции, в случае если для объекта ИС настроено несколько различных правил интеграции,
//     или нужно использовать наиболее приоритетное по ключевым реквизитам правило. Параметр используется только в
//     случае интеграции с ДО 3.
//
Процедура НачатьПоискСвязанногоОбъектаДО(ОбъектИС, ОписаниеОповещения, ПолучатьНДПС = Ложь, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.НачатьПоискСвязанногоОбъектаДО(ОбъектИС, ОписаниеОповещения, ПолучатьНДПС, );
```
</details>

## ОбработкаВыбораДанныхДляАвтоПодбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизиты формы по выбранному значению.
//
// Параметры:
//   Реквизит - Строка - строка с именем реквизита формы.
//   ВыбранноеЗначение - Строка, Структура - выбранное значение.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, содержащая заполняемый реквизит.
//   ЭтоТаблица - Булево - признак, указывающий на то что заполнить требуется реквизит строки табличной части.
//   Элемент - ПолеФормы - поле табличной части, в которое пользователь вводит значение.
//   УстанавливатьМодифицированность - Булево - устанавливать модифицированность формы-владельца.
//
Процедура ОбработкаВыбораДанныхДляАвтоПодбора(Реквизит, ВыбранноеЗначение, СтандартнаяОбработка, ФормаВладелец, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОбработкаВыбораДанныхДляАвтоПодбора(Реквизит, ВыбранноеЗначение, СтандартнаяОбработка, ФормаВладелец, );
```
</details>

## ОперацияВыполнена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет выполнена ли длительная операция.
//
// Параметры:
//   Результат - см. ДлительныеОперации.ОперацияВыполнена
//   НужноОбработатьФорму - Булево - неявно возвращаемое значение, Истина, в случае если требуется обработать форму.
//   ВыводитьПодробноеПредставлениеОшибки - Булево - в случае ошибки требуется вызвать
//     исключение с подробным представлением.
//
// Возвращаемое значение:
//   Булево - Истина, если длительная операция выполнена, Ложь, если операция еще выполняется или возникла ошибка.
//
Функция ОперацияВыполнена(Результат, НужноОбработатьФорму = Ложь, ВыводитьПодробноеПредставлениеОшибки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОперацияВыполнена(Результат, НужноОбработатьФорму, ВыводитьПодробноеПредставлениеОшибки);
```
</details>

## Оповестить_ДобавлениеСвязи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает оповещение при добавлении связи на клиенте.
//
// Параметры:
//   ID - Строка - идентификатор объекта Документооборота.
//   Тип - Строка - тип XDTO объекта Документооборота.
//   СсылкаНаОбъект - ЛюбаяСсылка - ссылка на объект системы.
//
Процедура Оповестить_ДобавлениеСвязи(ID, Тип, СсылкаНаОбъект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.Оповестить_ДобавлениеСвязи(ID, Тип, СсылкаНаОбъект) 
```
</details>

## Оповестить_УдалениеСвязи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает оповещение при удалении связи на клиенте.
//
// Параметры:
//   ID - Строка - идентификатор объекта Документооборота.
//   Тип - Строка - тип XDTO объекта Документооборота.
//   СсылкаНаОбъект - ЛюбаяСсылка - ссылка на объект системы.
//
Процедура Оповестить_УдалениеСвязи(ID, Тип, СсылкаНаОбъект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.Оповестить_УдалениеСвязи(ID, Тип, СсылкаНаОбъект) 
```
</details>

## ОтборПриВыбореСвязанногоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает отбор при выборе объекта ДО, связанного с объектом ИС.
//
// Параметры:
//   СвязываемыйОбъект - ЛюбаяСсылка - объект ИС, связываемый с объектом ДО.
//   ТипОбъектаДокументооборота - Строка - тип выбираемого объекта ДО.
//   ВидДокументаДО - Структура - заполняется для объектов ДО типа Документ:
//     * Значение - Строка - наименование вида документа.
//     * ЗначениеID - Строка - идентификатор вида документа.
//
// Возвращаемое значение:
//   Неопределено, Структура - структура отбора, накладываемого перед предъявлением пользователю:
//     * documentType - Неопределено
//                    - Структура - заполняется для объектов ДО типа Документ:
//       ** Значение - Строка - наименование вида документа.
//       ** ЗначениеID - Строка - идентификатор вида документа.
//
Функция ОтборПриВыбореСвязанногоОбъекта(СвязываемыйОбъект, ТипОбъектаДокументооборота, Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОтборПриВыбореСвязанногоОбъекта(СвязываемыйОбъект, ТипОбъектаДокументооборота, );
```
</details>

## ОткрытьЗадачиМне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает нужную версию формы "Задачи мне", в зависимости от того какая редакция 1С:Документооборот используется.
//
// Параметры:
//   Владелец - ОкноКлиентскогоПриложения , ФормаКлиентскогоПриложения - форма или элемент управления другой формы.
//   Уникальность - Произвольный - ключ, значение которого будет использоваться для поиска уже открытых форм.
//   Окно - ОкноКлиентскогоПриложения - окно приложения, в котором будет открыта форма.
//
Процедура ОткрытьЗадачиМне(Владелец, Уникальность, Окно) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОткрытьЗадачиМне(Владелец, Уникальность, Окно) 
```
</details>

## ОткрытьОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает объект Документооборота.
//
// Параметры:
//   ТипОбъекта - Строка - тип объекта XDTO Документооборота.
//   ID - Строка - идентификатор объекта Документооборота.
//   ВладелецФормы - Произвольный - произвольное значение, устанавливаемое в качестве владельца формы.
//   ДополнительныеПараметры - Структура - параметры, передаваемые в открываемый объект.
//   Оповещение - ОписаниеОповещения - оповещение при закрытии формы.
//
Процедура ОткрытьОбъект(ТипОбъекта, ID, ВладелецФормы = Неопределено, ДополнительныеПараметры = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОткрытьОбъект(ТипОбъекта, ID, ВладелецФормы, ДополнительныеПараметры, );
```
</details>

## ПередВыполнениемКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет необходимость добавить связь, в случае если объект ИС был создан на основании объекта ДО.
//
// Параметры:
//   Источник - ФормаКлиентскогоПриложения - форма нового объекта ИС.
//
Процедура ПередВыполнениемКоманды(Источник) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПередВыполнениемКоманды(Источник) 
```
</details>

## ПоказатьВопросДаНет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает вопрос "Да" / "Нет", принимая Esc и закрытие формы крестиком как ответ "Нет".
//
// Параметры:
//   ОписаниеОповещенияОЗавершении - ОписаниеОповещения - процедура, вызываемая после закрытия с
//     передачей параметра КодВозвратаДиалога.Да или КодВозвратаДиалога.Нет.
//   ТекстВопроса - Строка - текст задаваемого вопроса.
//   ТекстКнопкиДа - Строка - необязательный, текст кнопки "Да".
//   ТекстКнопкиНет - Строка - необязательный, текст кнопки "Нет".
//   КнопкаПоУмолчанию - РежимДиалогаВопрос - необязательный, кнопка по умолчанию.
//   Заголовок - Строка - необязательный, содержит заголовок окна вопроса.
//
Процедура ПоказатьВопросДаНет(ОписаниеОповещенияОЗавершении, ТекстВопроса, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПоказатьВопросДаНет(ОписаниеОповещенияОЗавершении, ТекстВопроса, );
```
</details>

## ПоказатьВопросДаНетЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после закрытия окна с вопросом "Да" / "Нет" и вызывает ранее переданный обработчик
// оповещения с передачей ответа пользователя.
//
// Параметры:
//   Результат - КодВозвратаДиалога - ответ пользователя,
//     КодВозвратаДиалога.ОК или КодВозвратаДиалога.Отмена.
//   ОписаниеОповещения - ОписаниеОповещения - описание вызываемого оповещения.
//
Процедура ПоказатьВопросДаНетЗавершение(Результат, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПоказатьВопросДаНетЗавершение(Результат, ОписаниеОповещения) 
```
</details>

## ПриАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет активностью обработчика обновления токена доступа в ДО.
//
// Параметры:
//   ИспользуетсяАутентификацияJWT - Булево - текущий пользователь использует авторизацию через JWT-токен.
//
Процедура ПриАвторизации(ИспользуетсяАутентификацияJWT) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПриАвторизации(ИспользуетсяАутентификацияJWT) 
```
</details>

## ПроверитьОшибкиПриОбновленииФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет результат выполнения длительной операции на наличие ошибок, и, при необходимости, переключает
// интерфейс формы на страницу ошибки при обновлении.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, в которой выполняется обновление.
//   Результат - см. ДлительныеОперации.ОперацияВыполнена
//   НужноОбработатьФорму - Булево - неявно возвращаемое значение, Истина, в случае если требуется обработать форму.
//
Процедура ПроверитьОшибкиПриОбновленииФормы(Форма, Результат, НужноОбработатьФорму = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПроверитьОшибкиПриОбновленииФормы(Форма, Результат, НужноОбработатьФорму);
```
</details>

## ПроверитьПодключение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет подключение к 1С:Документообороту, при необходимости запрашивая имя пользователя и пароль.
//
// Параметры:
//
//   ОписаниеОповещения - ОписаниеОповещения - описание оповещения, вызываемого после проверки подключения с параметром
//     типа Булево.
//   Владелец - ФормаКлиентскогоПриложения - форма, в которой следует вызвать повторную попытку подключения.
//            - ОбщийМодуль - клиентский модуль, из которого вызывается команда.
//   ПовторноПоказыватьОкноАвторизации - Булево - Истина, если при отсутствии подключения необходимо
//     повторно показать окно авторизации, даже если оно было показано ранее.
//   ВыводитьОкноОжидания - Булево - если Истина, то открыть окно ожидания с визуальной индикацией длительной операции.
//   СкрыватьИнтерфейс - Булево - если окно ожидания не выводится, то данный параметр указывает нужно ли использовать
//     переключение страниц, который скроет весь интерфейс, либо же нужно не скрывать интерфейс, а сделать видимой
//     группу элементов длительной операции.
//
Процедура ПроверитьПодключение(ОписаниеОповещения, Владелец, ПовторноПоказыватьОкноАвторизации = Ложь, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПроверитьПодключение(ОписаниеОповещения, Владелец, ПовторноПоказыватьОкноАвторизации, );
```
</details>

## ПроверитьПодключениеПослеОкнаАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после закрытия окна авторизации. Вызывает обработчик, переданный вызвавшей формой.
//
// Параметры:
//   Результат - Булево - Истина, если в окне авторизации нажата ОК и подключение успешно.
//   Параметры - Структура:
//     ОписаниеОповещения - ОписаниеОповещения - обработчик вызвавшей формы.
//
Процедура ПроверитьПодключениеПослеОкнаАвторизации(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПроверитьПодключениеПослеОкнаАвторизации(Результат, Параметры) 
```
</details>

## ПрочитатьНастройкиАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает имя пользователя и пароль для доступа к 1С:Документообороту.
// В веб-клиенте возвращается только имя пользователя. Только имя пользователя возвращается и
// тогда, когда в предыдущий раз настройки были сохранены в веб-клиенте или на другом компьютере.
//
// Параметры:
//   ИмяПользователя - Строка - имя пользователя ДО.
//   ПарольСохранен - Булево - Истина, если пароль сохранен пользователем.
//   Пароль - Строка - пароль пользователя ДО.
//   ИспользуетсяАутентификацияОС - Булево - Истина, если используется аутентификация ОС.
//   ИспользуетсяАутентификацияJWT - Булево - Истина, если используется аутентификация JWT.
//
Процедура ПрочитатьНастройкиАвторизации(ИмяПользователя, ПарольСохранен, Пароль, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПрочитатьНастройкиАвторизации(ИмяПользователя, ПарольСохранен, Пароль, );
```
</details>

## СоздатьИнтегрированныйОбъектИзДанныхЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает объект ИС, заполняет его по переданным данным и устанавливает связь.
//
// Параметры:
//   ДанныеЗаполнения - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьВызовСервера.ДанныеЗаполненияИнтегрируемогоОбъекта
//   Форма - ФормаКлиентскогоПриложения - форма объекта ДО или иная форма, требующая оповещения.
//
Процедура СоздатьИнтегрированныйОбъектИзДанныхЗаполнения(ДанныеЗаполнения, Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СоздатьИнтегрированныйОбъектИзДанныхЗаполнения(ДанныеЗаполнения, Форма);
```
</details>

## СохранитьАвторизацияПредложена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запоминает факт показа окна авторизации, чтобы больше не беспокоить пользователя в пределах сеанса.
//
Процедура СохранитьАвторизацияПредложена() Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СохранитьАвторизацияПредложена() 
```
</details>

## СохранитьНастройкиАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет имя пользователя и пароль для доступа к 1С:Документообороту.
// В веб-клиенте сохраняется только имя пользователя.
//
// Параметры:
//   ИмяПользователя - Строка - имя пользователя ДО.
//   Пароль - Строка - необязательный, пароль пользователя ДО.
//   ИспользуетсяАутентификацияОС - Булево - Истина, если используется аутентификация операционной системы.
//   ИспользуетсяАутентификацияJWT - Булево - Истина, если используется аутентификация через JWT-токены.
//
Процедура СохранитьНастройкиАвторизации(ИмяПользователя, Пароль = "", ИспользуетсяАутентификацияОС = Ложь, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СохранитьНастройкиАвторизации(ИмяПользователя, Пароль, ИспользуетсяАутентификацияОС, );
```
</details>

## ТипОбъектаИСНачалоВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора объекта метаданных интегрированной системы.
//
// Параметры:
//   ТипОбъектаИС - Строка - текущий тип объекта метаданных интегрированной системы.
//   ОписаниеОповещения - ОписаниеОповещения - описание вызываемого оповещения.
//
Процедура ТипОбъектаИСНачалоВыбора(ТипОбъектаИС, ОписаниеОповещения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ТипОбъектаИСНачалоВыбора(ТипОбъектаИС, ОписаниеОповещения) 
```
</details>

## УстановитьЗаголовокПриОткрытии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при открытии форм связанных данных ДО и устанавливает заголовок согласно владельцу.
//
// Параметры:
//   Форма - РасширениеФормыКлиентскогоПриложенияДляОбъектов - форма, заголовок которой следует уточнить из владельца:
//     * Заголовок - Строка
//     * ВладелецФормы - ФормаКлиентскогоПриложения:
//         ** Заголовок - Строка
//
Процедура УстановитьЗаголовокПриОткрытии(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.УстановитьЗаголовокПриОткрытии(Форма) 
```
</details>

## ХранилищеОбщихНастроекСохранитьМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет массив пользовательских настроек МассивСтруктур. Может применяться для случаев вызова с клиента.
//
// Параметры:
//   МассивСтруктур - Массив из Структура:
//     * Объект - Строка
//     * Настройка - Строка
//     * Автообновление - Булево
//   НужноОбновитьПовторноИспользуемыеЗначения - Булево - требуется обновить повторно используемые значения
//
Процедура ХранилищеОбщихНастроекСохранитьМассив(МассивСтруктур, НужноОбновитьПовторноИспользуемыеЗначения = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ХранилищеОбщихНастроекСохранитьМассив(МассивСтруктур, НужноОбновитьПовторноИспользуемыеЗначения);
```
</details>

## ВыделенныеФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает выделенные в таблице файлы, игнорируя роли файлов.
//
// Параметры:
//   КоллекцияФайлы - ДанныеФормыКоллекция - таблица или дерево файлов.
//   ВыделенныеСтроки - Массив из Число - идентификаторы выделенных строк коллекции.
//
// Возвращаемое значение:
//   Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеФайла
//
Функция ВыделенныеФайлы(КоллекцияФайлы, ВыделенныеСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыделенныеФайлы(КоллекцияФайлы, ВыделенныеСтроки) 
```
</details>

## ДобавитьФайлСДискаКОбъектуИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает добавление файла с диска к объекту ДО, связанному с указанным объектом ИС.
//
// Параметры:
//   ВладелецФайла - ЛюбаяСсылка - источник команды, объект ИС - владелец файлов.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ДобавитьФайлСДискаКОбъектуИС(ВладелецФайла, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ДобавитьФайлСДискаКОбъектуИС(ВладелецФайла, УникальныйИдентификаторФормы) 
```
</details>

## ЗакончитьРедактированиеФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заканчивает редактирование файла, помещая его в ДО и снимая захват, если необходимо.
//
// Параметры:
//   ID - Строка - идентификатор файла ДО.
//   Наименование - Строка - имя редактируемого файла.
//   Расширение - Строка - расширение редактируемого файла.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   ОписаниеОповещенияОЗавершении - ОписаниеОповещения - необязательный, вызывается при успешном завершении.
//   ВладелецID - Строка - идентификатор владельца файла.
//
Процедура ЗакончитьРедактированиеФайла(ID, Наименование, Расширение, УникальныйИдентификаторФормы, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ЗакончитьРедактированиеФайла(ID, Наименование, Расширение, УникальныйИдентификаторФормы, );
```
</details>

## ИзвлечьТекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Извлекает текст из файла и возвращает его в виде строки.
//
// Параметры:
//   ПолноеИмяФайла - Строка - полное имя файла.
//
// Возвращаемое значение:
//   Строка - извлеченный текст.
//
Функция ИзвлечьТекст(ПолноеИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ИзвлечьТекст(ПолноеИмяФайла) 
```
</details>

## ИндексПиктограммыФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получается индекс пиктограммы файла - индекс в картинке КоллекцияПиктограммФайлов.
//
// Параметры:
//   Расширение - Строка - расширение файла.
//   ПометкаУдаления - Булево - файл помечен на удаление.
//
// Возвращаемое значение:
//   Число
//
Функция ИндексПиктограммыФайла(Расширение, ПометкаУдаления = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ИндексПиктограммыФайла(Расширение, ПометкаУдаления);
```
</details>

## ИнформироватьОбИзмененииФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По окончании подписания создает оповещение о подписании файла.
//
// Параметры:
//   Событие - Строка - имя события, произошедшего с файлом.
//   ИмяФайла - Строка - имя файла для вывода в сообщение.
//   ИдентификаторФайла - Строка - идентификатор файла Документооборота.
//   ВладелецФайла - Строка - идентификатор владельца файла.
//   ТекстСообщения - Строка - текст состояния.
//   ОповещатьКарточкуДокумента - Булево - требуется ли вызывать обработку оповещения в карточке документа.
//     Например, если изменение произошло в карточке файла - вызвать оповещение в карточке документа нужно.
//     Если, например, из самой карточки документа идет групповое подписание 10 файлов - дополнительно 10 раз
//     вызывать оповещение в карточке документа не нужно.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ИнформироватьОбИзмененииФайла(Событие, ИмяФайла, ИдентификаторФайла, ВладелецФайла, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ИнформироватьОбИзмененииФайла(Событие, ИмяФайла, ИдентификаторФайла, ВладелецФайла, );
```
</details>

## ИспользоватьДОДляХраненияФайловОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет используется ли 1С:Документооборот для хранения файлов объекта.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма владельца файла.
//   Команда - КомандаФормы - выполняемая команда управления присоединенными файлами.
//   ВладелецПрисоединенныхФайлов - ЛюбаяСсылка - владелец присоединенных файлов.
//
// Возвращаемое значение:
//   Булево
//
Функция ИспользоватьДОДляХраненияФайловОбъекта(Форма, Команда, ВладелецПрисоединенныхФайлов) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ИспользоватьДОДляХраненияФайловОбъекта(Форма, Команда, ВладелецПрисоединенныхФайлов) 
```
</details>

## НапечататьФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет файлы на печать.
//
// Параметры:
//   КоллекцияФайлы - ДанныеФормыКоллекция - таблица или дерево файлов.
//   ВыделенныеСтроки - Массив из Число - идентификаторы выделенных строк коллекции.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура НапечататьФайлы(КоллекцияФайлы, ВыделенныеСтроки, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.НапечататьФайлы(КоллекцияФайлы, ВыделенныеСтроки, УникальныйИдентификаторФормы) 
```
</details>

## НачатьСохранениеВыделенныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает сохранение выделенных файлов.
//
// Параметры:
//   КоллекцияФайлы - ДанныеФормыКоллекция - таблица файлов с колонками ID, Наименование, Расширение.
//   ВыделенныеСтроки - Массив из Число - идентификаторы выделенных строк коллекции.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   ОписаниеОповещения - ОписаниеОповещения - необязательный, обработчик, вызываемый с передачей имени файла
//     после его сохранения.
//
Процедура НачатьСохранениеВыделенныхФайлов(КоллекцияФайлы, ВыделенныеСтроки, УникальныйИдентификаторФормы, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.НачатьСохранениеВыделенныхФайлов(КоллекцияФайлы, ВыделенныеСтроки, УникальныйИдентификаторФормы, );
```
</details>

## ОбновитьИзФайлаНаДиске
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет файл ДО из файла на диске.
//
// Параметры:
//   ID - Строка - Идентификатор файла ДО.
//   Наименование - Строка - имя редактируемого файла.
//   Расширение - Строка - расширение редактируемого файла.
//   ДатаМодификации - Дата - дата модификации редактируемого файла. Местное время.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   ОписаниеОповещенияОЗавершении - ОписаниеОповещения - необязательный, вызывается при успешном завершении.
//   ВладелецID - Строка - идентификатор владельца файла.
//
Процедура ОбновитьИзФайлаНаДиске(ID, Наименование, Расширение, ДатаМодификации, УникальныйИдентификаторФормы, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОбновитьИзФайлаНаДиске(ID, Наименование, Расширение, ДатаМодификации, УникальныйИдентификаторФормы, );
```
</details>

## ОткрытьВерсиюФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает версию файла для просмотра.
//
// Параметры:
//   ID - Строка - идентификатор версии в ДО.
//   Наименование - Строка - имя версии.
//   Расширение - Строка - расширение версии.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ОткрытьВерсиюФайла(ID, Наименование, Расширение, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОткрытьВерсиюФайла(ID, Наименование, Расширение, УникальныйИдентификаторФормы) 
```
</details>

## ОткрытьКаталогФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает каталог файла, в котором он сохранен на просмотр или редактирование.
//
// Параметры:
//   ID - Строка - идентификатор файла в ДО.
//
Процедура ОткрытьКаталогФайла(ID) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОткрытьКаталогФайла(ID) 
```
</details>

## ОткрытьПрисоединенныеФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает список файлов, присоединенных к объекту ИС.
//
// Параметры:
//   ВладелецФайла - ЛюбаяСсылка - источник команды, объект ИС - владелец файлов.
//   ТекущийФайл - Строка - идентификатор текущего файла, на котором нужно спозиционировать список.
//   ТолькоПросмотр - Булево - режим открытия формы.
//   ВладелецФормы - ФормаКлиентскогоПриложения - форма, из которой вызвана команда.
//   Уникальность - Произвольный - ключ уникальности, с которым должна быть открыта форма присоединенных файлов.
//   Окно - ОкноКлиентскогоПриложения - необязательный параметр, окно формы-владельца.
//   ПравилоИнтеграции - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом
//                     - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом3 - подходящее правило интеграции.
//   ВладелецФайлаID - Строка - идентификатор объекта ДО, являющегося владельцем файла.
//   ВладелецФайлаТип - Строка - тип объекта ДО, являющегося владельцем файла.
//   ПредставлениеВладельца - Строка - представление объекта ДО, являющегося владельцем файла.
//
Процедура ОткрытьПрисоединенныеФайлы(ВладелецФайла, ТекущийФайл = Неопределено, ТолькоПросмотр = Ложь, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОткрытьПрисоединенныеФайлы(ВладелецФайла, ТекущийФайл, ТолькоПросмотр, );
```
</details>

## ОткрытьФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает файл для просмотра или редактирования.
//
// Параметры:
//   ID - Строка - идентификатор файла в ДО.
//   Наименование - Строка - имя файла.
//   Расширение - Строка - расширение файла.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   НаЧтение - Булево - Истина, если файл открывается для чтения, и Ложь, если для редактирования.
//   ОписаниеОповещенияОЗавершении - ОписаниеОповещения - вызывается при успешном открытии файла.
//   ВладелецID - Строка - идентификатор владельца файла.
//
Процедура ОткрытьФайл(ID, Наименование, Расширение, УникальныйИдентификаторФормы, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОткрытьФайл(ID, Наименование, Расширение, УникальныйИдентификаторФормы, );
```
</details>

## ОтменитьРедактированиеФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет редактирование ранее захваченного файла.
//
// Параметры:
//   ID - Строка - идентификатор файла в ДО.
//   ОписаниеОповещенияОЗавершении - ОписаниеОповещения - необязательный параметр, описание оповещения,
//     вызываемого после отмены.
//   ВладелецID - Строка - идентификатор владельца файла.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ОтменитьРедактированиеФайла(ID, ОписаниеОповещенияОЗавершении = Неопределено, ВладелецID = "", Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОтменитьРедактированиеФайла(ID, ОписаниеОповещенияОЗавершении, ВладелецID, );
```
</details>

## ПометитьНаУдалениеСнятьПометкуФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет пометку удаления файлов.
//
// Параметры:
//   ВыделенныеФайлы - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеФайла
//   ТекущаяПометкаУдаления - Булево - текущее значение пометки удаления файлов, которую нужно
//     изменить на противоположную.
//   ОписаниеОповещенияОЗавершении - ОписаниеОповещения - необязательный параметр, описание оповещения,
//     вызываемого после отмены.
//   ВладелецID - Строка - идентификатор владельца файлов.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ПометитьНаУдалениеСнятьПометкуФайлов(ВыделенныеФайлы, ТекущаяПометкаУдаления, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПометитьНаУдалениеСнятьПометкуФайлов(ВыделенныеФайлы, ТекущаяПометкаУдаления, );
```
</details>

## ПроверитьНеобходимостьДобавленияСканКопииИПродолжить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет можно ли добавить только скан-копию и задает вопрос пользователю.
//
// Параметры:
//   СостояниеРазрешаетДобавлениеСканКопии - Булево - можно добавить скан-копию.
//   СостояниеРазрешаетДобавлениеФайла - Булево - можно добавить файл.
//   ОповещениеПродолжение - ОписаниеОповещения - описание оповещения, вызываемого далее.
//
Процедура ПроверитьНеобходимостьДобавленияСканКопииИПродолжить(СостояниеРазрешаетДобавлениеСканКопии, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПроверитьНеобходимостьДобавленияСканКопииИПродолжить(СостояниеРазрешаетДобавлениеСканКопии, );
```
</details>

## РазложитьПолноеИмяФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Раскладывает полное имя файла на составляющие.
//
// Параметры:
//   ПолноеИмяФайла - Строка - полный путь к файлу.
//   ЭтоПапка - Булево - признак того, что требуется разложить полное имя папки, а не файла.
//
// Возвращаемое значение:
//   см. ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла
//
Функция РазложитьПолноеИмяФайла(Знач ПолноеИмяФайла, ЭтоПапка = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.РазложитьПолноеИмяФайла(ПолноеИмяФайла, ЭтоПапка);
```
</details>

## СделатьВерсиюАктивной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Делает активной указанную версию файла.
//
// Параметры:
//   ИмяФайла - Строка - имя файла-владельца версии.
//   ИдентификаторФайла - Строка - идентификатор .
//   ВладелецФайла - Строка - идентификатор владельца файла-владельца версии.
//   ИдентификаторВерсии - Строка - идентификатор версии, которую следует сделать активной.
//   ОписаниеОповещения - ОписаниеОповещения - описание оповещения, вызываемого при успешном изменении.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура СделатьВерсиюАктивной(ИмяФайла, ИдентификаторФайла, ВладелецФайла, ИдентификаторВерсии, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СделатьВерсиюАктивной(ИмяФайла, ИдентификаторФайла, ВладелецФайла, ИдентификаторВерсии, );
```
</details>

## СоздатьФайлКопированием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает файл копированием.
//
// Параметры:
//   ОригиналID - Строка - идентификатор оригинала файла.
//   ОписаниеОповещения - ОписаниеОповещения - описание оповещения, вызываемого при успешном создании файла.
//
Процедура СоздатьФайлКопированием(ОригиналID, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СоздатьФайлКопированием(ОригиналID, ОписаниеОповещения);
```
</details>

## СоздатьФайлИзБуфера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начало создания файла из картинки из буфера.
//
// Параметры:
//   ВладелецID - Строка - идентификатор владельца файла в Документообороте.
//   ВладелецТип - Строка - тип XDTO владельца файла в Документообороте.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   ВладелецПредставление - Строка - представление владельца файла.
//   Владелец - ЛюбаяСсылка - владелец файла.
//   ЯвляетсяСканКопией - Булево - признак скан-копии.
//   РольФайлаID - Строка - роль файла.
//   ОписаниеОповещения - ОписаниеОповещения - вызывается при успешном завершении.
//                        - Неопределено - вызывать ничего не нужно.
//
Процедура СоздатьФайлИзБуфера(ВладелецID, ВладелецТип, УникальныйИдентификаторФормы, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СоздатьФайлИзБуфера(ВладелецID, ВладелецТип, УникальныйИдентификаторФормы, );
```
</details>

## СоздатьФайлСДиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начало создания файла из файла на диске.
//
// Параметры:
//   ВладелецID - Строка - идентификатор владельца файла в Документообороте.
//   ВладелецТип - Строка - тип XDTO владельца файла в Документообороте.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   ВладелецПредставление - Строка - представление владельца файла.
//   Владелец - ЛюбаяСсылка - владелец файла.
//   ЯвляетсяСканКопией - Булево - признак скан-копии.
//   РольФайлаID - Строка - роль файла.
//   ОписаниеОповещения - ОписаниеОповещения - вызывается при успешном завершении.
//                        - Неопределено - вызывать ничего не нужно.
//
Процедура СоздатьФайлСДиска(ВладелецID, ВладелецТип, УникальныйИдентификаторФормы, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СоздатьФайлСДиска(ВладелецID, ВладелецТип, УникальныйИдентификаторФормы, );
```
</details>

## СоздатьФайлСДискаПеретаскиванием
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начало создания файла из файла на диске.
//
// Параметры:
//   Файл - Файл - перетаскиваемый файл.
//   ВладелецID - Строка - идентификатор владельца файла в Документообороте.
//   ВладелецТип - Строка - тип XDTO владельца файла в Документообороте.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   ВладелецПредставление - Строка - представление владельца файла.
//   Владелец - ЛюбаяСсылка - владелец файла.
//   ЯвляетсяСканКопией - Булево - признак скан-копии.
//   РольФайлаID - Строка - роль файла.
//   ОписаниеОповещения - ОписаниеОповещения - вызывается при успешном завершении.
//                        - Неопределено - вызывать ничего не нужно.
//
Процедура СоздатьФайлСДискаПеретаскиванием(Файл, ВладелецID, ВладелецТип, УникальныйИдентификаторФормы, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СоздатьФайлСДискаПеретаскиванием(Файл, ВладелецID, ВладелецТип, УникальныйИдентификаторФормы, );
```
</details>

## СохранитьВерсиюКак
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет версию файла на диск в указанный пользователем каталог.
//
// Параметры:
//   ID - Строка - идентификатор версии Документооборота.
//   Наименование - Строка - имя версии файла.
//   Расширение - Строка - расширение версии файла.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   ОписаниеОповещения - ОписаниеОповещения - необязательный, обработчик, вызываемый с передачей имени файла
//     после его сохранения.
//
Процедура СохранитьВерсиюКак(ID, Наименование, Расширение, УникальныйИдентификаторФормы, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СохранитьВерсиюКак(ID, Наименование, Расширение, УникальныйИдентификаторФормы, );
```
</details>

## СохранитьИзмененияРедактируемогоФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет изменения файла в ДО, не снимая захвата.
//
// Параметры:
//   ID - Строка - Идентификатор файла ДО.
//   Наименование - Строка - имя редактируемого файла.
//   Расширение - Строка - расширение редактируемого файла.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   ОписаниеОповещенияОЗавершении - ОписаниеОповещения - необязательный, вызывается при успешном завершении.
//   ВладелецID - Строка - идентификатор владельца файла.
//
Процедура СохранитьИзмененияРедактируемогоФайла(ID, Наименование, Расширение, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СохранитьИзмененияРедактируемогоФайла(ID, Наименование, Расширение, );
```
</details>

## СохранитьФайлКак
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет файл на диск в указанный пользователем каталог.
//
// Параметры:
//   ID - Строка - идентификатор файла Документооборота.
//   Наименование - Строка - имя файла.
//   Расширение - Строка - расширение файла.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   ОписаниеОповещения - ОписаниеОповещения - необязательный, обработчик, вызываемый с передачей имени файла
//     после его сохранения.
//
Процедура СохранитьФайлКак(ID, Наименование, Расширение, УникальныйИдентификаторФормы, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СохранитьФайлКак(ID, Наименование, Расширение, УникальныйИдентификаторФормы, );
```
</details>

## СохранитьФайлыКакНачало
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет файл или версию на диск в указанный пользователем каталог. Общая точка входа для файла и версии.
//
// Параметры:
//   Параметры - Структура:
//     * ТекущийФайл - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеФайла
//     * ОставшиесяФайлы - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеФайла
//     * УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//     * ОписаниеОповещения - ОписаниеОповещения - вызывается при успешном завершении.
//                          - Неопределено - вызов не требуется.
//
Процедура СохранитьФайлыКакНачало(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СохранитьФайлыКакНачало(Параметры) 
```
</details>

## ВыделенныеПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает таблицу значений выделенных строк подписей по выделенным срокам.
//
// Параметры:
//   ВыделенныеСтроки - Массив из Число - массив индексов выделенных строк подписей.
//   ТаблицаПодписей - ДанныеФормыКоллекция - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.СтруктураСтрокиДереваПодписей
//   ОбъектID - Строка - идентификатор объекта-владельца подписей.
//
// Возвращаемое значение:
//   Массив из Структура:
//     * НомерСтроки - Число
//     * ОбъектID - Строка
//
Функция ВыделенныеПодписи(ВыделенныеСтроки, ТаблицаПодписей, ОбъектID = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыделенныеПодписи(ВыделенныеСтроки, ТаблицаПодписей, ОбъектID);
```
</details>

## ДанныеПодписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует таблицу подписей на форме в массив структурированных данных подписей.
//
// Параметры:
//   ТаблицаПодписей - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.СтруктураСтрокиДереваПодписей
//
// Возвращаемое значение:
//   Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеПодписи
//
Функция ДанныеПодписей(ТаблицаПодписей) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ДанныеПодписей(ТаблицаПодписей) 
```
</details>

## ДанныеПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные, из которых будет формироваться XDTO объект DMSignature, для передачи в ДО.
//
// Параметры:
//   Подпись - ДвоичныеДанные - двоичные данные подписи.
//   ДвоичныеДанныеСертификата - ДвоичныеДанные - двоичные данные сертификата.
//   СвойстваПодписи - Структура - тут может быть или структура СвойстваПодписи, которую возвращает БСП при
//     добавлении новой подписи, или строка таблицы подписей, если это уже существующая на стороне ДО подпись.
//
// Возвращаемое значение:
//   см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеПодписи
//
Функция ДанныеПодписи(Подпись, ДвоичныеДанныеСертификата, СвойстваПодписи) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ДанныеПодписи(Подпись, ДвоичныеДанныеСертификата, СвойстваПодписи) 
```
</details>

## ИнформироватьОПодписании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По окончании подписания отображает состояние установки подписи объекту.
//
// Параметры:
//   Представление - Строка - представление подписанного объекта для информирования пользователя о подписании.
//   ДобавленныеПодписиОбъектов - Соответствие из КлючИЗначение:
//     * Ключ - Строка - идентификатор объекта ДО, являющегося владельцем подписи.
//     * Значение - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеВладельцаПодписи
//   ДокументID - Строка - идентификатор подписанного документа.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ИнформироватьОПодписании(Представление, ДобавленныеПодписиОбъектов, ДокументID, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ИнформироватьОПодписании(Представление, ДобавленныеПодписиОбъектов, ДокументID, );
```
</details>

## МассивПодписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует 2-уровневое дерево в массив.
//
// Параметры:
//   ДеревоПодписей - ДанныеФормыДерево - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.СтруктураСтрокиДереваПодписей
//
// Возвращаемое значение:
//   Массив из Число - идентификаторы строк подписей.
//
Функция МассивПодписей(ДеревоПодписей) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.МассивПодписей(ДеревоПодписей) 
```
</details>

## НачатьДобавлениеЭПИзФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет подпись из файла.
//
// Параметры:
//   СвойстваФайла - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.СвойстваФайла
//
Процедура НачатьДобавлениеЭПИзФайла(СвойстваФайла) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.НачатьДобавлениеЭПИзФайла(СвойстваФайла) 
```
</details>

## НачатьСохранениеВместеСЭП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет файл и подпись на диск.
//
// Параметры:
//   ID - Строка - идентификатор файла Документооборота.
//   Расширение - Строка - расширение файла.
//   Наименование - Строка - имя файла.
//   Размер - Число - размер файла в байтах.
//   ДатаМодификацииУниверсальная - Дата - дата модификации файла универсальная.
//   УникальныйИдентификаторФормы - Строка - идентификатор вызвавшей формы.
//   Подписи - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.СтруктураПодписи
//
Процедура НачатьСохранениеВместеСЭП(ID, Расширение, Наименование, Размер, ДатаМодификацииУниверсальная, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.НачатьСохранениеВместеСЭП(ID, Расширение, Наименование, Размер, ДатаМодификацииУниверсальная, );
```
</details>

## НачатьФормированиеПодписиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует подпись для объекта Документооборот и всех его вложенных файлов.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения:
//     * Наименование - Строка
//     * Файлы - ДанныеФормыКоллекция
//   ОписаниеОповещенияОЗакрытии - ОписаниеОповещения:
//     * ДополнительныеПараметры - Структура:
//         ** МассивАдресов - Массив из Строка
//         ** МассивДанныхДляЗанесенияВБазу - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеВладельцаПодписи
//
Процедура НачатьФормированиеПодписиОбъекта(Форма, ОписаниеОповещенияОЗакрытии) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.НачатьФормированиеПодписиОбъекта(Форма, ОписаниеОповещенияОЗакрытии) 
```
</details>

## ОткрытьПодпись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму просмотра подписи ЭП.
//
// Параметры:
//   ТаблицаПодписейТекущиеДанные - ДанныеФормыЭлементКоллекции - строка текущей подписи.
//
Процедура ОткрытьПодпись(ТаблицаПодписейТекущиеДанные) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ОткрытьПодпись(ТаблицаПодписейТекущиеДанные) 
```
</details>

## ПодписатьФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подписывает файл в Документообороте.
//
// Параметры:
//   ИдентификаторФайла - Строка - идентификатор объекта Документооборота.
//   ИмяФайла - Строка - имя файла.
//   ВладелецФайла - Строка - идентификатор владельца файла.
//   Редактируется - Булево - признак редактирования файла.
//   Зашифрован - Булево - признак шифрования файла.
//   ОписаниеФайла - Строка - описание файла.
//   ДанныеПодписейФайла - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеПодписи
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура ПодписатьФайл(ИдентификаторФайла, ИмяФайла, ВладелецФайла, Редактируется, Зашифрован, ОписаниеФайла, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПодписатьФайл(ИдентификаторФайла, ИмяФайла, ВладелецФайла, Редактируется, Зашифрован, ОписаниеФайла, );
```
</details>

## ПроверитьПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет все выделенные подписи.
//
// Параметры:
//   ТаблицаПодписей - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.СтруктураСтрокиДереваПодписей
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//   ОписаниеОповещения - ОписаниеОповещения - необязательный, обработчик, вызываемый после проверки подписей.
//   ВыделенныеПодписи - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыделенныеПодписи
//   АдресСлепкаДокумента - Строка - адрес временного хранилища двоичных данных документа Документооборота.
//
Процедура ПроверитьПодписи(ТаблицаПодписей, УникальныйИдентификаторФормы, ОписаниеОповещения = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПроверитьПодписи(ТаблицаПодписей, УникальныйИдентификаторФормы, ОписаниеОповещения, );
```
</details>

## СохранитьПодпись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет подпись на диск.
//
// Параметры:
//   ТаблицаПодписейТекущиеДанные - ДанныеФормыЭлементКоллекции - строка текущей подписи.
//
Процедура СохранитьПодпись(ТаблицаПодписейТекущиеДанные) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.СохранитьПодпись(ТаблицаПодписейТекущиеДанные) 
```
</details>

## УдалитьПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет подписи документа и его файлов.
//
// Параметры:
//   УдаленныеСтроки - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВыделенныеПодписи
//   ТаблицаПодписей - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.СтруктураСтрокиДереваПодписей
//   ВладелецФайла - Строка - идентификатор общего владельца всех файлов, входящих в таблицу подписей.
//   ОписаниеОповещения - ОписаниеОповещения - необязательный, обработчик, вызываемый после удаления подписей.
//   УникальныйИдентификаторФормы - УникальныйИдентификатор - идентификатор вызвавшей формы.
//
Процедура УдалитьПодписи(УдаленныеСтроки, ТаблицаПодписей, ВладелецФайла, ОписаниеОповещения = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.УдалитьПодписи(УдаленныеСтроки, ТаблицаПодписей, ВладелецФайла, ОписаниеОповещения, );
```
</details>

## УстановитьКомпоненту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает компоненту сканирования.
//
// Параметры:
//   ОбработчикРезультата - ОписаниеОповещения
//
Процедура УстановитьКомпоненту(ОбработчикРезультата) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.УстановитьКомпоненту(ОбработчикРезультата) 
```
</details>

## НачатьУстановкуВнешнейКомпонентыПродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжение установки компоненты.
//
// Параметры:
//   ПараметрыВыполнения - Структура:
//     * ОбработчикРезультата - ОписаниеОповещения
//
Процедура НачатьУстановкуВнешнейКомпонентыПродолжение(ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.НачатьУстановкуВнешнейКомпонентыПродолжение(ПараметрыВыполнения) 
```
</details>

## НачатьПодключениеВнешнейКомпонентыПродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжение установки компоненты.
//
// Параметры:
//   Подключена - Булево - компонента подключена.
//   ПараметрыВыполнения - Структура:
//     * ОбработчикРезультата - ОписаниеОповещения
//
Процедура НачатьПодключениеВнешнейКомпонентыПродолжение(Подключена, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.НачатьПодключениеВнешнейКомпонентыПродолжение(Подключена, ПараметрыВыполнения) 
```
</details>

## ПроинициализироватьКомпоненту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проинициализировать компоненту сканирования.
//
// Возвращаемое значение:
//   Булево
//
Функция ПроинициализироватьКомпоненту() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПроинициализироватьКомпоненту() 
```
</details>

## ВерсияКомпоненты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вернет версию компоненты сканирования.
//
// Возвращаемое значение:
//   Строка
//
Функция ВерсияКомпоненты() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ВерсияКомпоненты() 
```
</details>

## ПоказатьПолучениеОбъектовАдресацииРоли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает формы получения объектов адресации роли.
//
// Параметры:
//   ОписаниеОповещенияОЗакрытии - ОписаниеОповещения - описание оповещения о закрытии.
//   ИмяРоли - Строка - имя роли для получения объектов адресации.
//   ТипРоли - Строка - тип роли для получения объектов адресации.
//   IDРоли - Строка - идентификатор роли в Документообороте.
//   ФормаВладелец - ФормаКлиентскогоПриложения - управляемая форма, на которой выбирается роль.
//
Процедура ПоказатьПолучениеОбъектовАдресацииРоли(ОписаниеОповещенияОЗакрытии, ИмяРоли, ТипРоли, IDРоли, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиент.ПоказатьПолучениеОбъектовАдресацииРоли(ОписаниеОповещенияОЗакрытии, ИмяРоли, ТипРоли, IDРоли, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
