---
title: Интеграция с 1С документооборот клиент
slug: zup/интеграция-с-1с-документооборот-клиент
---


## ВыбратьПользователяИзДереваПодразделений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора пользователей в разрезе подразделений и помещает выбранного пользователя в реквизит формы.
//
// Параметры:
//   Реквизит - Строка - имя реквизита формы, в который будет помещен выбранный пользователь.
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой вызывается форма выбора пользователя.
//
Процедура ВыбратьПользователяИзДереваПодразделений(Реквизит, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыбратьПользователяИзДереваПодразделений(Реквизит, ФормаВладелец) 
```
</details>

## ВыбратьЗначениеРеквизитаСоставногоТипаВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму для указания значения реквизита составного типа.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, на которой осуществляется работа с реквизитом
//     и из которой вызывается форма заполнения.
//   ТекущиеДанные - ДанныеФормыЭлементКоллекции
//   Реквизит - Строка - имя реквизита из ТекущиеДанные.
//   СтандартнаяОбработка - Булево- параметр обработки, используемый в обработчике на форме,
//     из которой вызывается заполнение значения доп. реквизита.
//
Процедура ВыбратьЗначениеРеквизитаСоставногоТипаВТаблице(Форма, ТекущиеДанные, Реквизит, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыбратьЗначениеРеквизитаСоставногоТипаВТаблице(Форма, ТекущиеДанные, Реквизит, СтандартнаяОбработка) 
```
</details>

## ВыполнитьПодключаемуюКомандуИнтеграцииЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает выполнение подключаемой команды интеграции после проверки подключения.
//
// Параметры:
//   Команда - КомандаФормы - вызванная команда.
//   Форма - ФормаКлиентскогоПриложения - форма, из которой вызывается команда.
//   Источник - ДанныеФормыСтруктура
//
Процедура ВыполнитьПодключаемуюКомандуИнтеграцииЗавершение(Команда, Форма, Источник) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыполнитьПодключаемуюКомандуИнтеграцииЗавершение(Команда, Форма, Источник) 
```
</details>

## ОчиститьСсылочныйРеквизит
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает ID и Тип при очистке реквизита объекта Документооборота на форме.
//
// Параметры:
//   Реквизит - Строка - имя реквизита формы.
//   ФормаВладелец - ФормаКлиентскогоПриложения - управляемая форма, содержащая очищаемые реквизиты.
//
Процедура ОчиститьСсылочныйРеквизит(Реквизит, ФормаВладелец) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОчиститьСсылочныйРеквизит(Реквизит, ФормаВладелец) 
```
</details>

## ПрименитьВыборЗначенияРеквизитаВСписке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает выбранное значение в элемент списка.
//
// Параметры:
//   ЭлементСписок - ТаблицаФормы - элемент управляемой формы.
//   ВыбранноеЗначение - Структура:
//     * ID - Строка - идентификатор объекта.
//     * type - Строка - тип объекта.
//     * name - Строка - представление объекта.
//   СтандартнаяОбработка - Булево - неявно возвращаемое значение, признак того, что стандартная обработка
//     производиться не будет.
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой вызывается метод.
//
Процедура ПрименитьВыборЗначенияРеквизитаВСписке(ЭлементСписок, ВыбранноеЗначение, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ПрименитьВыборЗначенияРеквизитаВСписке(ЭлементСписок, ВыбранноеЗначение, );
```
</details>

## Оповестить_ЗаписьДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает оповещение при записи документов Документооборота.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма документа Документооборота.
//
Процедура Оповестить_ЗаписьДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.Оповестить_ЗаписьДокумента(Форма) 
```
</details>

## Оповестить_ЗаписьБизнесПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает оповещение при записи бизнес-процессов Документооборота.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма бизнес-процесса Документооборота.
//   Стартован - Булево - признак, указывающий запущен ли бизнес-процесс.
//
Процедура Оповестить_ЗаписьБизнесПроцесса(Форма, Стартован) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.Оповестить_ЗаписьБизнесПроцесса(Форма, Стартован) 
```
</details>

## Оповестить_ЗаписьИсходящегоПисьма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает оповещение при записи исходящего письма Документооборота.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма исходящего письма Документооборота.
//
Процедура Оповестить_ЗаписьИсходящегоПисьма(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.Оповестить_ЗаписьИсходящегоПисьма(Форма) 
```
</details>

## Оповестить_ЗаписьОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает оповещение при записи объекта Документооборота.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма объекта Документооборота.
//   ВнешнийОбъект - ЛюбаяСсылка - ссылка на объект ИС.
//
Процедура Оповестить_ЗаписьОбъекта(Форма, ВнешнийОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.Оповестить_ЗаписьОбъекта(Форма, ВнешнийОбъект);
```
</details>

## ВыбратьЗначениеИзСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора значения из списка объектов Документооборота и помещает выбранное значение на форме.
//
// Параметры:
//   ТипОбъектаВыбора - Строка - имя класса XDTO, соответствующего типу выбираемого объекта.
//   Реквизит - Строка - имя реквизита формы, в который будет помещено значение, выбранное из документооборота.
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой вызывается форма выбора.
//   Отбор - Структура - условия, накладываемые на список.
//
Процедура ВыбратьЗначениеИзСписка(ТипОбъектаВыбора, Реквизит, ФормаВладелец, Отбор = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыбратьЗначениеИзСписка(ТипОбъектаВыбора, Реквизит, ФормаВладелец, Отбор);
```
</details>

## ВыбратьЗначениеИзСпискаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка выбора значения из списка.
//
// Параметры:
//   Результат - Структура:
//     * РеквизитID - Строка
//     * РеквизитПредставление - Строка
//     * РеквизитТип - Строка
//   Параметры - Структура:
//     * Реквизит - Строка
//     * ФормаВладелец - ФормаКлиентскогоПриложения
//
Процедура ВыбратьЗначениеИзСпискаЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыбратьЗначениеИзСпискаЗавершение(Результат, Параметры) 
```
</details>

## ВыбратьЗначениеИзСпискаВТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора значения реквизита в таблице из списка объектов Документооборота.
//
// Параметры:
//   ТипОбъектаВыбора - Строка - имя класса XDTO, соответствующего типу выбираемого объекта.
//   Реквизит - Строка - имя реквизита формы, в который будет помещено значение, выбранное из документооборота.
//   ТекущиеДанные - ДанныеФормыЭлементКоллекции
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой вызывается форма выбора.
//   Отбор - Структура - условия, накладываемые на список.
//
Процедура ВыбратьЗначениеИзСпискаВТаблице(ТипОбъектаВыбора, Реквизит, ТекущиеДанные, ФормаВладелец, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыбратьЗначениеИзСпискаВТаблице(ТипОбъектаВыбора, Реквизит, ТекущиеДанные, ФормаВладелец, );
```
</details>

## ВыбратьЗначениеИзСпискаВТаблицеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка выбора значения в таблице из списка.
//
// Параметры:
//   Результат - Структура:
//     * РеквизитID - Строка
//     * РеквизитПредставление - Строка
//     * РеквизитТип - Строка
//   Параметры - Структура:
//     * Реквизит - Строка
//     * ФормаВладелец - ФормаКлиентскогоПриложения
//     * ТекущиеДанные - ДанныеФормыЭлементКоллекции
//
Процедура ВыбратьЗначениеИзСпискаВТаблицеЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыбратьЗначениеИзСпискаВТаблицеЗавершение(Результат, Параметры) 
```
</details>

## ВыбратьЗначениеИзВыпадающегоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает список выбора значения из списка объектов документооборота и помещает выбранное значение на форме.
//
// Параметры:
//   ТипОбъектаВыбора - Строка - имя класса XDTO, соответствующего типу выбираемого объекта.
//   Реквизит - Строка - имя реквизита формы, в который будет помещено значение, выбранное из документооборота.
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой вызывается форма выбора.
//   Отбор - Структура - условия, накладываемые на список.
//   ЭтоТаблица - Булево - указывает что значение выбирается в табличной части.
//   Элемент - ПолеФормы - элемент формы, в котором выбирается значение.
//
Процедура ВыбратьЗначениеИзВыпадающегоСписка(ТипОбъектаВыбора, Реквизит, ФормаВладелец, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыбратьЗначениеИзВыпадающегоСписка(ТипОбъектаВыбора, Реквизит, ФормаВладелец, );
```
</details>

## ВыбратьЗначениеИзВыпадающегоСпискаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка выбора значения из выпадающего списка.
//
// Параметры:
//   Результат - Произвольный
//   Параметры - Структура:
//     * Форма - ФормаКлиентскогоПриложения
//     * Элемент - ТаблицаФормы
//
Процедура ВыбратьЗначениеИзВыпадающегоСпискаЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыбратьЗначениеИзВыпадающегоСпискаЗавершение(Результат, Параметры) 
```
</details>

## ВыбратьЗначениеПоТипуОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает процесс выбора объекта ДО указанного типа, возвращая результат вызовом оповещения.
//
// Параметры:
//   ОписаниеОповещения - ОписаниеОповещения - вызывается после завершения выбора с передачей структуры,
//      описывающей выбранный объект.
//   ТипОбъектаВыбора - Строка - тип выбираемого объекта (XDTO, например, "DMCorrespondent").
//   Отбор - Структура - накладываемый отбор.
//   ВыбранноеЗначение - Строка - идентификатор ранее выбранного значения.
//   ФормаВладелец - ФормаКлиентскогоПриложения - форма, из которой вызван выбор.
//
Процедура ВыбратьЗначениеПоТипуОбъекта(ОписаниеОповещения, ТипОбъектаВыбора, Отбор = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыбратьЗначениеПоТипуОбъекта(ОписаниеОповещения, ТипОбъектаВыбора, Отбор, );
```
</details>

## УстановитьПометкуКнопкиПереключитьХронометраж
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается после переключения хронометража в форме объекта ИС.
//
// Параметры:
//   Результат - Булево
//   ПараметрыОповещения - ЭлементыФормы
//
Процедура УстановитьПометкуКнопкиПереключитьХронометраж(Результат, ПараметрыОповещения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.УстановитьПометкуКнопкиПереключитьХронометраж(Результат, ПараметрыОповещения) 
```
</details>

## ПолучитьДлительностьРаботы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает длительность работы в секундах от начала события до текущей даты.
//
// Параметры:
//   ДатаНачалаХронометража - Дата - дата начала хронометраже.
//
// Возвращаемое значение:
//   Число - длительность работы в секундах.
//
Функция ПолучитьДлительностьРаботы(ДатаНачалаХронометража) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотКлиент.ПолучитьДлительностьРаботы(ДатаНачалаХронометража) 
```
</details>

## НачатьСозданиеСвязанногоОбъектаДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет создание объекта ДО, его заполнение по объекту ИС и установку связи после записи. При
// необходимости предлагает пользователю выбор правила.
//
// Параметры:
//   ОбъектИС - ОпределяемыйТип.ИнтеграцияС1СДокументооборотВсеСсылкиПереопределяемый - объект ИС,
//     на основании которого создается объект ДО.
//   ОписаниеОповещения - ОписаниеОповещения - обработчик, вызываемый после создания.
//   ОткрытьФорму - Булево - Истина, если нужно открыть форму созданного объекта, и Ложь, если
//     связанный объект следует создать молча. В случае ошибок записи форма все равно будет открыта.
//
Процедура НачатьСозданиеСвязанногоОбъектаДО(ОбъектИС, ОписаниеОповещения, ОткрытьФорму = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьСозданиеСвязанногоОбъектаДО(ОбъектИС, ОписаниеОповещения, ОткрытьФорму);
```
</details>

## НачатьСозданиеСвязанногоОбъектаДОПослеВыбораТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает создание объекта ДО после выбора типа.
//
// Параметры:
//   Тип - Строка - тип создаваемого объекта, например, "DMInternalDocument".
//   Параметры - Структура:
//     ОбъектИС - Произвольный - объект ИС, на основании которого создается объект ДО.
//     ОписаниеОповещения - ОписаниеОповещения - обработчик, вызываемый после создания.
//     ОткрытьФорму - Булево - Истина, если нужно открыть форму созданного объекта, и Ложь, если
//       связанный объект следует создать молча.
//
Процедура НачатьСозданиеСвязанногоОбъектаДОПослеВыбораТипа(Тип, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьСозданиеСвязанногоОбъектаДОПослеВыбораТипа(Тип, Параметры) 
```
</details>

## НачатьСозданиеСвязанногоОбъектаДОПослеВыбораПравила
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет создание объекта ДО, его заполнение по объекту ИС и установку связи после записи. При
// необходимости предлагает пользователю выбор правила.
//
// Параметры:
//   Правило - Структура - подходящее правило:
//     Ссылка - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом.
//     ТипОбъектаИС - Строка.
//     ТипОбъектаДО - Строка.
//     ПредставлениеОбъектаИС - Строка.
//     ПредставлениеОбъектаДО - Строка.
//   Параметры - Структура:
//     ОбъектИС - Произвольный - объект ИС, на основании которого создается объект ДО.
//     ОписаниеОповещения - ОписаниеОповещения - обработчик, вызываемый после создания.
//     ОткрытьФорму - Булево - Истина, если нужно открыть форму созданного объекта, и Ложь, если
//       связанный объект следует создать молча.
//
Процедура НачатьСозданиеСвязанногоОбъектаДОПослеВыбораПравила(Правило, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьСозданиеСвязанногоОбъектаДОПослеВыбораПравила(Правило, Параметры) 
```
</details>

## НачатьСозданиеСвязанногоОбъектаДОПослеПредупреждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает создание связанного объекта ДО после показа предупреждение о невозможности записи
// автоматически созданного объекта. Открывает его форму для интерактивного заполнения.
//
// Параметры:
//   Параметры - Структура:
//     ОбъектИС - Произвольный - объект ИС, на основании которого создается объект ДО.
//     ОписаниеОповещения - ОписаниеОповещения - обработчик, вызываемый после создания.
//     ОткрытьФорму - Булево - Истина, если нужно открыть форму созданного объекта, и Ложь, если
//       связанный объект следует создать молча.
//
Процедура НачатьСозданиеСвязанногоОбъектаДОПослеПредупреждения(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьСозданиеСвязанногоОбъектаДОПослеПредупреждения(Параметры) 
```
</details>

## СоздатьИнтегрированныйОбъектПоДаннымФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает объект ИС по данным формы объекта ДО.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма объекта Документооборота или иная форма, требующая оповещения.
//   Правило - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом - используемое правило.
//
Процедура СоздатьИнтегрированныйОбъектПоДаннымФормы(Форма, Правило) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СоздатьИнтегрированныйОбъектПоДаннымФормы(Форма, Правило) 
```
</details>

## СоздатьИнтегрированныйОбъектПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает объект ИС по указанному объекту ДО и известному типу.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма объекта ДО или иная форма, требующая оповещения.
//   ТипОбъектаИС - Строка - тип объекта ИС.
//   ТипОбъектаДО - Строка - тип объекта ДО.
//   ИдентификаторОбъектаДО - Строка - идентификатор объекта ДО.
//
Процедура СоздатьИнтегрированныйОбъектПоТипу(Форма, ТипОбъектаИС, ТипОбъектаДО, ИдентификаторОбъектаДО) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СоздатьИнтегрированныйОбъектПоТипу(Форма, ТипОбъектаИС, ТипОбъектаДО, ИдентификаторОбъектаДО) 
```
</details>

## СоздатьИнтегрированныйОбъектПоТипуПослеВыбораПравила
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает создание объекта ИС при неоднозначности правил после выбора правила.
//
// Параметры:
//   Результат - Структура:
//     * Ссылка - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом - выбранное правило.
//   Параметры - Структура:
//     * Форма - ФормаКлиентскогоПриложения - форма объекта ДО или иная форма, требующая оповещения.
//     * ТипОбъектаДО - Строка - тип объекта ДО.
//     * ИдентификаторОбъектаДО - Строка - идентификатор объекта ДО.
//
Процедура СоздатьИнтегрированныйОбъектПоТипуПослеВыбораПравила(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СоздатьИнтегрированныйОбъектПоТипуПослеВыбораПравила(Результат, Параметры) 
```
</details>

## СоздатьИнтегрированныйОбъектПоПравилу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает объект ИС по указанному объекту ДО, заполняет его и устанавливает связь.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма объекта ДО или иная форма, требующая оповещения.
//   Правило - СправочникСсылка.ПравилаИнтеграцииС1СДокументооборотом - используемое правило.
//   ТипОбъектаДО - Строка - тип объекта ДО.
//   ИдентификаторОбъектаДО - Строка - идентификатор объекта ДО.
//
Процедура СоздатьИнтегрированныйОбъектПоПравилу(Форма, Правило, ТипОбъектаДО, ИдентификаторОбъектаДО) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СоздатьИнтегрированныйОбъектПоПравилу(Форма, Правило, ТипОбъектаДО, ИдентификаторОбъектаДО) 
```
</details>

## СоздатьИнтегрированныйОбъектБезПравила
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает объект ИС по указанному объекту ДО, заполняет его и устанавливает связь.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма объекта ДО или иная форма, требующая оповещения.
//   ТипОбъектаИС - Строка - полное имя типа объекта ИС.
//   ТипОбъектаДО - Строка - тип объекта ДО.
//   ИдентификаторОбъектаДО - Строка - идентификатор объекта ДО.
//
Процедура СоздатьИнтегрированныйОбъектБезПравила(Форма, ТипОбъектаИС, ТипОбъектаДО, ИдентификаторОбъектаДО) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СоздатьИнтегрированныйОбъектБезПравила(Форма, ТипОбъектаИС, ТипОбъектаДО, ИдентификаторОбъектаДО) 
```
</details>

## НачатьАвтоматическуюНастройкуИнтеграции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выборе автоматической настройки интеграции.
//
// Параметры:
//   ИмяТипаОбъекта - Строка - полное имя типа объекта ИС, как в метаданных.
//
Процедура НачатьАвтоматическуюНастройкуИнтеграции(ИмяТипаОбъекта) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьАвтоматическуюНастройкуИнтеграции(ИмяТипаОбъекта) 
```
</details>

## ЗаполнитьСоответствиеФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие форм БИД объектам документооборота.
//
// Параметры:
//   СоответствиеФорм - Соответствие из КлючИЗначение - неявно возвращаемое значение, соответствие форм:
//     * Ключ - Строка - тип объекта XDTO.
//     * Значение - Строка - имя формы.
//
Процедура ЗаполнитьСоответствиеФорм(СоответствиеФорм) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ЗаполнитьСоответствиеФорм(СоответствиеФорм) 
```
</details>

## УстановитьПараметрыАвтообновленияСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает модальную форму настройки автообновления списка. При завершении диалога
// устанавливает выбранные параметры автообновления списка.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - уникальный идентификатор открытой формы.
//   ИмяСписка - Строка - имя реквизита списка на форме.
//
Процедура УстановитьПараметрыАвтообновленияСписка(Форма, ИмяСписка) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.УстановитьПараметрыАвтообновленияСписка(Форма, ИмяСписка) 
```
</details>

## УстановитьПараметрыАвтообновленияСпискаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает установку параметров автообновления списка после закрытия окна настроек.
//
// Параметры:
//   Результат - Структура:
//     * Автообновление - Булево.
//     * ПериодАвтообновления - Число - период в секундах.
//   ПараметрыОповещения - Структура:
//     * Форма - ФормаКлиентскогоПриложения
//     * ИмяСписка - Строка
//
Процедура УстановитьПараметрыАвтообновленияСпискаЗавершение(Результат, ПараметрыОповещения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.УстановитьПараметрыАвтообновленияСпискаЗавершение(Результат, ПараметрыОповещения) 
```
</details>

## ОткрытьСостоянияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает окно состояний документа на редактирование или просмотр.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма обработки, соответствующая документу.
//   ТолькоПросмотр - Булево - Истина, если форму следует открыть на просмотр.
//
Процедура ОткрытьСостоянияДокумента(Форма, ТолькоПросмотр = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьСостоянияДокумента(Форма, ТолькоПросмотр);
```
</details>

## ОткрытьСостоянияДокументаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После закрытия окна состояний документа переносит изменения в форму документа.
//
// Параметры:
//   Результат - Структура:
//     * СостояниеИсполнение - Строка
//     * СостояниеИсполнениеID - Строка
//     * СостояниеИсполнениеТип - Строка
//     * СостояниеПодписание - Строка
//     * СостояниеПодписаниеID - Строка
//     * СостояниеПодписаниеТип - Строка
//     * СостояниеРассмотрение - Строка
//     * СостояниеРассмотрениеID - Строка
//     * СостояниеРассмотрениеТип - Строка
//     * СостояниеРегистрация - Строка
//     * СостояниеРегистрацияID - Строка
//     * СостояниеРегистрацияТип - Строка
//     * СостояниеСогласование - Строка
//     * СостояниеСогласованиеID - Строка
//     * СостояниеСогласованиеТип - Строка
//     * СостояниеУтверждение - Строка
//     * СостояниеУтверждениеID - Строка
//     * СостояниеУтверждениеТип - Строка
//   Форма - ФормаКлиентскогоПриложения
//
Процедура ОткрытьСостоянияДокументаЗавершение(Результат, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьСостоянияДокументаЗавершение(Результат, Форма) 
```
</details>

## ОткрытьСрокДействияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает окно изменения срока действия документа на редактирование или просмотр.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения:
//     * Наименование - Строка
//   ТолькоПросмотр - Булево - Истина, если форму следует открыть на просмотр.
//
Процедура ОткрытьСрокДействияДокумента(Форма, ТолькоПросмотр = Ложь) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьСрокДействияДокумента(Форма, ТолькоПросмотр);
```
</details>

## ОткрытьСрокДействияДокументаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После закрытия окна срока действия документа переносит изменения в форму документа.
//
// Параметры:
//   Результат - Структура:
//     * Бессрочный - Булево
//     * ДатаНачалаДействия - Дата
//     * ДатаОкончанияДействия - Дата
//     * ПорядокПродления - Строка
//     * ПорядокПродленияID - Строка
//     * ПорядокПродленияТип - Строка
//   Форма - ФормаКлиентскогоПриложения
//
Процедура ОткрытьСрокДействияДокументаЗавершение(Результат, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьСрокДействияДокументаЗавершение(Результат, Форма) 
```
</details>

## ОткрытьВизуСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает визу согласования документа.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма документа-владельца.
//   ВизаСогласования - ДанныеФормыСтруктура:
//     * СогласующееЛицо - Строка
//     * СогласующееЛицоID - Строка
//     * СогласующееЛицоТип - Строка
//     * Дата - Дата
//     * Результат - Строка
//     * РезультатID - Строка
//     * РезультатТип - Строка
//     * Комментарий - Строка
//     * КартинкаСтатусаПодписи - Картинка
//     * Внес - Строка
//     * ВнесID - Строка
//     * ВнесТип - Строка
//     * ID - Строка
//     * Тип - Строка
//     * Наименование - Строка
//
Процедура ОткрытьВизуСогласования(Форма, ВизаСогласования) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьВизуСогласования(Форма, ВизаСогласования) 
```
</details>

## ОткрытьСоставДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает окно состава документа.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма обработки, соответствующая документу.
//
Процедура ОткрытьСоставДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьСоставДокумента(Форма) 
```
</details>

## ОткрытьСоставДокументаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После закрытия окна состава документа переносит изменения в форму документа.
//
// Параметры:
//   Результат - Структура:
//     * КоличествоЛистов - Число
//     * КоличествоПриложений - Число
//     * КоличествоЭкземпляров - Число
//     * ЛистовВПриложениях - Число
//   Форма - ФормаКлиентскогоПриложения
//
Процедура ОткрытьСоставДокументаЗавершение(Результат, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьСоставДокументаЗавершение(Результат, Форма) 
```
</details>

## ОткрытьНоменклатуруДел
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает окно выбора номенклатуры дел.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма обработки, соответствующая документу.
//
Процедура ОткрытьНоменклатуруДел(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьНоменклатуруДел(Форма) 
```
</details>

## ОткрытьНоменклатуруДелЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После закрытия окна состава документа переносит изменения в форму документа.
//
// Параметры:
//   Результат - Структура:
//     * НоменклатураДел - Строка
//     * НоменклатураДелID - Строка
//     * НоменклатураДелТип - Строка
//     * НоменклатураДелГод - Число
//   Форма - ФормаКлиентскогоПриложения
//
Процедура ОткрытьНоменклатуруДелЗавершение(Результат, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьНоменклатуруДелЗавершение(Результат, Форма) 
```
</details>

## ОткрытьДелоХраненияДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает окно выбора дела хранения документов.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма обработки, соответствующая документу.
//
Процедура ОткрытьДелоХраненияДокументов(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьДелоХраненияДокументов(Форма) 
```
</details>

## ОткрытьДелоХраненияДокументовЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После закрытия окна состава документа переносит изменения в форму документа.
//
// Параметры:
//   Результат - Структура:
//     * Дело - Строка
//     * ДелоID - Строка
//     * ДелоТип - Строка
//   Форма - ФормаКлиентскогоПриложения
//
Процедура ОткрытьДелоХраненияДокументовЗавершение(Результат, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОткрытьДелоХраненияДокументовЗавершение(Результат, Форма) 
```
</details>

## СоздатьБизнесПроцессПоОбъектуДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает бизнес-процесс на основании документа ДО.
//
// Параметры:
//   Идентификатор - Строка - идентификатор документа-основания.
//   Тип - Строка - тип документа-основания.
//   Наименование - Строка - наименование документа-основания.
//   ВнешнийОбъект - ЛюбаяСсылка - ссылка на связанный объект ИС.
//
Процедура СоздатьБизнесПроцессПоОбъектуДО(Идентификатор, Тип, Наименование, ВнешнийОбъект) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СоздатьБизнесПроцессПоОбъектуДО(Идентификатор, Тип, Наименование, ВнешнийОбъект) 
```
</details>

## СоздатьБизнесПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает бизнес-процесс. При передаче в качестве предмета ссылки на объект ИС создает связанный
// объект ДО, если эта связь не была установлена ранее.
//
// Параметры:
//   Предмет - ЛюбаяСсылка
//           - Структура:
//     * ID - Строка
//     * type - Строка
//     * name - Строка
//     * ВнешнийОбъект - ЛюбаяСсылка
//   ГлавнаяЗадача - Структура:
//     * ID - Строка
//     * type - Строка
//     * name - Строка
//   ОписаниеОповещения - ОписаниеОповещения - описание оповещения, вызываемого при завершении.
//
Процедура СоздатьБизнесПроцесс(Предмет = Неопределено, ГлавнаяЗадача = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СоздатьБизнесПроцесс(Предмет, ГлавнаяЗадача, );
```
</details>

## СоздатьБизнесПроцессПослеПоискаСвязанногоОбъектаДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает создание бизнес-процесса после поиска связанного объекта ДО.
//
// Параметры:
//   Результат - Неопределено
//             - Структура:
//     * ID - Строка
//     * type - Строка
//     * name - Строка
//   Параметры - Структура:
//     * ГлавнаяЗадача- Структура:
//         ** ID - Строка
//         ** type - Строка
//         ** name - Строка
//     * ОписаниеОповещения - ОписаниеОповещения - описание оповещения, вызываемого при завершении.
//     * Предмет - ЛюбаяСсылка,
//               - Структура:
//         ** ID - Строка
//         ** type - Строка
//         ** name - Строка
//         ** ВнешнийОбъект - ЛюбаяСсылка
//
Процедура СоздатьБизнесПроцессПослеПоискаСвязанногоОбъектаДО(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СоздатьБизнесПроцессПослеПоискаСвязанногоОбъектаДО(Результат, Параметры) 
```
</details>

## ПрименитьВыборУчастникаБизнесПроцессаВСписке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в строку таблицы участников бизнес-процесса результат выбора участника бизнес-процесса
// из списка, который формируется при автоподборе.
//
// Параметры:
//   Элемент - ТаблицаФормы - таблица участников бизнес-процесса.
//   ВыбранноеЗначение - ЛюбаяСсылка - структура выбранного значения.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//   Форма - ФормаКлиентскогоПриложения - форма с таблицей участников бизнес-процесса.
//
Процедура ПрименитьВыборУчастникаБизнесПроцессаВСписке(Элемент, ВыбранноеЗначение, СтандартнаяОбработка, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ПрименитьВыборУчастникаБизнесПроцессаВСписке(Элемент, ВыбранноеЗначение, СтандартнаяОбработка, Форма) 
```
</details>

## ПрименитьВыборУчастникаБизнесПроцессаВПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в поле на форме результат выбора участника бизнес-процесса из списка,
// который формируется при автоподборе.
//
// Параметры:
//   ИмяПоля - Строка - имя реквизита участника бизнес-процесса формы.
//   ИмяПоляОбъектаАдресации - Строка - имя реквизита объекта адресации.
//   ВыбранноеЗначение - Структура:
//     * name - Строка - наименование выбранного участника бизнес-процесса.
//     * ID - Строка - идентификатор выбранного участника бизнес-процесса.
//     * type - Строка - тип выбранного участника бизнес-процесса.
//   СтандартнаяОбработка - Булево - признак выполнения стандартной обработки события.
//   Форма - ФормаКлиентскогоПриложения - управляемая форма с полем выбора участника бизнес-процесса.
//
Процедура ПрименитьВыборУчастникаБизнесПроцессаВПоле(ИмяПоля, ИмяПоляОбъектаАдресации, ВыбранноеЗначение, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ПрименитьВыборУчастникаБизнесПроцессаВПоле(ИмяПоля, ИмяПоляОбъектаАдресации, ВыбранноеЗначение, );
```
</details>

## НачатьВыборТипаБизнесПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выбрать тип бизнес-процесса.
// Открывает диалог выбора типа бизнес-процесса для старта.
//
// Параметры:
//   ОписаниеОповещенияОЗакрытии - ОписаниеОповещения
//
Процедура НачатьВыборТипаБизнесПроцесса(ОписаниеОповещенияОЗакрытии) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьВыборТипаБизнесПроцесса(ОписаниеОповещенияОЗакрытии) 
```
</details>

## НачатьВыборШаблонаБизнесПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора шаблона бизнес-процесса из списка.
//
// Параметры:
//   ОписаниеОповещенияОЗакрытии - ОписаниеОповещения - описание оповещения о закрытии
//   Форма - ФормаКлиентскогоПриложения - форма бизнес-процесса Документооборота
//
Процедура НачатьВыборШаблонаБизнесПроцесса(ОписаниеОповещенияОЗакрытии, Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьВыборШаблонаБизнесПроцесса(ОписаниеОповещенияОЗакрытии, Форма) 
```
</details>

## НачатьСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает процесс согласования в ДО по указанному объекту.
//
// Параметры:
//   Параметры - Структура:
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успешного запуска.
//
Процедура НачатьСогласование(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьСогласование(Параметры) 
```
</details>

## НачатьСогласованиеПослеПоискаСвязанногоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает процесс согласования после нахождения или создания связанного объекта.
//
// Параметры:
//   Результат - Структура:
//     * name - Строка
//     * ID - Строка
//     * type - Строка
//   Параметры - Структура:
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успешного запуска.
//
Процедура НачатьСогласованиеПослеПоискаСвязанногоОбъекта(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьСогласованиеПослеПоискаСвязанногоОбъекта(Результат, Параметры) 
```
</details>

## НачатьСогласованиеПослеВопроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает запуск согласования в ДО после показа вопроса о перезапуске ранее запущенных процессов.
//
// Параметры:
//   Результат - КодВозвратаДиалога
//   Параметры - Структура:
//     * Предмет - Структура:
//       ** name - Строка
//       ** ID - Строка
//       ** type - Строка
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успешного запуска.
//
Процедура НачатьСогласованиеПослеВопроса(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьСогласованиеПослеВопроса(Результат, Параметры) 
```
</details>

## НачатьСогласованиеПослеВыбораШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает запуск согласования в ДО после выбора шаблона согласования.
//
// Параметры:
//   Результат - Структура:
//     * РеквизитПредставление - Строка
//     * РеквизитID - Строка
//     * РеквизитТип - Строка
//   Параметры - Структура:
//     * Предмет - Структура:
//       ** name - Строка
//       ** ID - Строка
//       ** type - Строка
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успешного запуска.
//
Процедура НачатьСогласованиеПослеВыбораШаблона(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьСогласованиеПослеВыбораШаблона(Результат, Параметры) 
```
</details>

## НачатьСогласованиеПослеИнтерактивногоЗапуска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает запуск согласования в ДО после открытия формы бизнес-процесса.
//
// Параметры:
//   Результат - Булево
//   Параметры - Структура:
//     * Предмет - Структура:
//       ** name - Строка
//       ** ID - Строка
//       ** type - Строка
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успешного запуска.
//     * Состояние - ПеречислениеСсылка.СостоянияСогласованияВДокументообороте
//
Процедура НачатьСогласованиеПослеИнтерактивногоЗапуска(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьСогласованиеПослеИнтерактивногоЗапуска(Результат, Параметры) 
```
</details>

## ПрерватьСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прерывает процессы согласования в ДО по указанному объекту.
//
// Параметры:
//   Параметры - Структура:
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успеха.
//
Процедура ПрерватьСогласование(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ПрерватьСогласование(Параметры) 
```
</details>

## ПрерватьСогласованиеПослеВопроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает процесс прерывания согласования после показа вопроса.
//
// Параметры:
//   Результат - КодВозвратаДиалога
//   Параметры - Структура:
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успеха.
//
Процедура ПрерватьСогласованиеПослеВопроса(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ПрерватьСогласованиеПослеВопроса(Результат, Параметры) 
```
</details>

## ВыполнитьСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет согласование по указанному объекту с указанным результатом.
//
// Параметры:
//   Параметры - Структура:
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * Результат - Строка - "Согласовано", "СогласованоСЗамечаниями", "НеСогласовано".
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успеха.
//
Процедура ВыполнитьСогласование(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыполнитьСогласование(Параметры) 
```
</details>

## ВыполнитьСогласованиеПослеВопроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает работу команд согласования после вывода вопроса.
//
// Параметры:
//   Результат - Строка
//   Параметры - Структура:
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * Результат - Строка - "Согласовано", "СогласованоСЗамечаниями", "НеСогласовано".
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успеха.
//
Процедура ВыполнитьСогласованиеПослеВопроса(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыполнитьСогласованиеПослеВопроса(Результат, Параметры) 
```
</details>

## ВыполнитьСогласованиеПослеВводаКомментария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает работу команд согласования после ввода комментария.
//
// Параметры:
//   Результат - Строка
//   Параметры - Структура:
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * Результат - Строка - "Согласовано", "СогласованоСЗамечаниями", "НеСогласовано".
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успеха.
//     * Предмет - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьВызовСервера.ДанныеОбъектаДОПоВнешнемуОбъекту
//     * ЗадачиСогласования - см. ИнтеграцияС1СДокументооборотВызовСервера.ПолучитьЗадачиСогласования
//
Процедура ВыполнитьСогласованиеПослеВводаКомментария(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ВыполнитьСогласованиеПослеВводаКомментария(Результат, Параметры) 
```
</details>

## КомандыСогласованияПослеПредупреждения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает работу команд согласования после вывода предупреждения о проблеме.
//
// Параметры:
//   Параметры - Структура:
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Источник - ФормаКлиентскогоПриложения - необязательный, источник команды.
//     * Результат - Строка - "Согласовано", "СогласованоСЗамечаниями", "НеСогласовано".
//     * ОписаниеОповещения - ОписаниеОповещения - необязательный, вызывается в случае успеха.
//     * Предмет - см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьВызовСервера.ДанныеОбъектаДОПоВнешнемуОбъекту
//     * ЗадачиСогласования - см. ИнтеграцияС1СДокументооборотВызовСервера.ПолучитьЗадачиСогласования
//
Процедура КомандыСогласованияПослеПредупреждения(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.КомандыСогласованияПослеПредупреждения(Параметры) 
```
</details>

## ПриИзмененииСостоянияСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при изменении состояния согласования в ДО. Меняет состояние на стороне ИС.
//
// Параметры:
//   Параметры - Структура:
//     * ПредметСогласования - ЛюбаяСсылка - согласуемый объект.
//     * Предмет - Структура - описание связанного объекта ДО.
//     * Состояние - ПеречислениеСсылка.СостоянияСогласованияВДокументообороте - новое состояние.
//                 - Неопределено - в случае прерывания согласования.
//     * Источник - ФормаКлиентскогоПриложения:
//         ** Объект - ОпределяемыйТип.ИнтеграцияС1СДокументооборотДокументыОбъектыПереопределяемый
//                   - ОпределяемыйТип.ИнтеграцияС1СДокументооборотСправочникиОбъектыПереопределяемый
//
Процедура ПриИзмененииСостоянияСогласования(Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ПриИзмененииСостоянияСогласования(Параметры) 
```
</details>

## ДобавитьПредмет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает процесс добавления предмета к процессу или задаче.
//
// Параметры:
//   ФормаВладельца - ФормаКлиентскогоПриложения - форма обработки, соответствующая процессу или задаче.
//   РольПредмета - Строка - роль добавляемого предмета, соответствует перечислению РолиПредметов.
//   ОписаниеОповещения - ОписаниеОповещения - необязательный, оповещение, вызываемое после успешного добавления
//     предмета с передачей структуры, содержащей его описание.
//
Процедура ДобавитьПредмет(ФормаВладельца, РольПредмета, ОписаниеОповещения = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ДобавитьПредмет(ФормаВладельца, РольПредмета, ОписаниеОповещения);
```
</details>

## ДобавитьПредметПослеВыбораТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает процесс добавления предмета после выбора его типа.
//
// Параметры:
//   Результат - Структура:
//     * Вариант - Строка
//     * Отбор - СписокЗначений из ЛюбаяСсылка
//   Параметры - Структура - см. ДобавитьПредмет.
//
Процедура ДобавитьПредметПослеВыбораТипа(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ДобавитьПредметПослеВыбораТипа(Результат, Параметры) 
```
</details>

## ДобавитьПредметПослеВыбораОбъектаДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает процесс добавления предмета после выбора объекта 1С:Документооборота.
//
// Параметры:
//   ОбъектДО - Структура - РеквизитID, РеквизитТип, РеквизитПредставление.
//   Параметры - Структура - см. ДобавитьПредмет.
//
Процедура ДобавитьПредметПослеВыбораОбъектаДО(ОбъектДО, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ДобавитьПредметПослеВыбораОбъектаДО(ОбъектДО, Параметры) 
```
</details>

## ДобавитьПредметПослеВыбораОбъектаИС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает процесс добавления предмета после выбора объекта интегрированной системы.
//
// Параметры:
//   ОбъектИС - ЛюбаяСсылка - выбранный объект ИС.
//   Параметры - Структура - см. ДобавитьПредмет.
//
Процедура ДобавитьПредметПослеВыбораОбъектаИС(ОбъектИС, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ДобавитьПредметПослеВыбораОбъектаИС(ОбъектИС, Параметры) 
```
</details>

## ДобавитьПредметПослеПоискаСвязанногоОбъектаДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает процесс добавления предмета после поиска связанного объекта ДО.
//
// Параметры:
//   Результат - Структура - найденный или созданный объект ДО (name, ID, type).
//   Параметры - Структура - см. ДобавитьПредмет.
//
Процедура ДобавитьПредметПослеПоискаСвязанногоОбъектаДО(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ДобавитьПредметПослеПоискаСвязанногоОбъектаДО(Результат, Параметры) 
```
</details>

## ДобавитьПредметПослеДобавленияФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает процесс добавления предмета после добавления файла с диска.
//
// Параметры:
//   ОписаниеФайла - Массив из см. ИнтеграцияС1СДокументооборотБазоваяФункциональностьКлиентСервер.ДанныеФайла
//   Параметры - Структура - см. ДобавитьПредмет.
//
Процедура ДобавитьПредметПослеДобавленияФайла(ОписаниеФайла, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ДобавитьПредметПослеДобавленияФайла(ОписаниеФайла, Параметры) 
```
</details>

## ОстановитьПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Останавливает процесс ДО.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма бизнес-процесса.
//
Процедура ОстановитьПроцесс(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОстановитьПроцесс(Форма) 
```
</details>

## ПрерватьПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Прерывает активный или остановленный процесс ДО.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма бизнес-процесса.
//
Процедура ПрерватьПроцесс(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ПрерватьПроцесс(Форма) 
```
</details>

## ПродолжитьПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает остановленный процесс ДО.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма бизнес-процесса.
//
Процедура ПродолжитьПроцесс(Форма) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ПродолжитьПроцесс(Форма) 
```
</details>

## ЕстьНеЗаполненныеПредметы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет есть ли среди предметов задачи не введенные заполняемые предметы.
//
// Параметры:
//   Предметы - ДанныеФормыКоллекцияЭлементовДерева - все предметы задачи.
//   ИмяКолонкиID - Строка - имя колонки, содержащей идентификатор предмета.
//   ИмяКолонкиПредмет - Строка - имя колонки, содержащей представление предмета.
//
// Возвращаемое значение:
//   Булево
//
Функция ЕстьНеЗаполненныеПредметы(Предметы, ИмяКолонкиID, ИмяКолонкиПредмет) Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияС1СДокументооборотКлиент.ЕстьНеЗаполненныеПредметы(Предметы, ИмяКолонкиID, ИмяКолонкиПредмет) 
```
</details>

## НачатьДобавлениеСвязи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает добавление связи с указанным документом ДО. Вызывает оповещение при успехе.
//
// Параметры:
//   ID - Строка - идентификатор исходного документа.
//   Тип - Строка - тип исходного документа.
//   Представление - Строка - представление исходного документа.
//   ТипДобавляемогоДокумента - Строка - тип документа, связь с которым добавляется, или
//                            - Неопределено - признак необходимости предоставить пользователю выбор.
//   ОписаниеОповещения - ОписаниеОповещения - оповещение, вызываемое при успехе, с передачей
//     структуры (ИсходныйДокумент, СвязанныйДокумент, ТипСвязи).
//   Отбор - Структура - описание предустановленного отбора в терминах пакета XDTO.
//
Процедура НачатьДобавлениеСвязи(ID, Тип, Представление, ТипДобавляемогоДокумента = Неопределено, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьДобавлениеСвязи(ID, Тип, Представление, ТипДобавляемогоДокумента, );
```
</details>

## НачатьДобавлениеСвязиПослеФормыСозданияСвязи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает добавление связи после показа формы "Создание связи".
//
// Параметры:
//   Результат - Структура - описание выбора со свойствами:
//     РеквизитТип - Строка - тип выбранного объекта.
//     РеквизитID - Строка - идентификатор выбранного объекта.
//   ПараметрыОповещения - Структура - дополнительные параметры, необходимые для продолжения:
//     * ID - Строка - идентификатор исходного документа.
//     * Тип - Строка - тип исходного документа.
//     * Представление - Строка - представление исходного документа.
//     * ОписаниеОповещения - ОписаниеОповещения - описание оповещения, вызываемого после добавления.
//     * Отбор - Структура - описание отбора, накладываемого при открытии карточки поиска.
//
Процедура НачатьДобавлениеСвязиПослеФормыСозданияСвязи(Результат, ПараметрыОповещения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьДобавлениеСвязиПослеФормыСозданияСвязи(Результат, ПараметрыОповещения) 
```
</details>

## НачатьДобавлениеСвязиПослеВыбораТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает добавление связи с документом ДО указанного типа. Вызывает оповещение при успехе.
//
// Параметры:
//   ID - Строка - идентификатор исходного документа.
//   Тип - Строка - тип исходного документа.
//   Представление - Строка - представление исходного документа.
//   ТипДобавляемогоДокумента - Строка - тип документа, связь с которым добавляется.
//   ОписаниеОповещения - ОписаниеОповещения - оповещение, вызываемое при успехе, с передачей
//     структуры (ИсходныйДокумент, СвязанныйДокумент, ТипСвязи).
//   Отбор - Структура - описание предустановленного отбора в терминах пакета XDTO.
//
Процедура НачатьДобавлениеСвязиПослеВыбораТипа(ID, Тип, Представление, ТипДобавляемогоДокумента, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьДобавлениеСвязиПослеВыбораТипа(ID, Тип, Представление, ТипДобавляемогоДокумента, );
```
</details>

## НачатьДобавлениеСвязиПослеВыбораДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает добавление связи после выбора связываемого документа ДО.
//
// Параметры:
//   Результат - Структура - результат выбора:
//     РеквизитID - Строка - идентификатор выбранного документа.
//     РеквизитТип - Строка - тип выбранного документа.
//     РеквизитПредставление - Строка - представление выбранного документа.
//   Параметры - Структура - см. НачатьДобавлениеСвязи.
//
Процедура НачатьДобавлениеСвязиПослеВыбораДокумента(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьДобавлениеСвязиПослеВыбораДокумента(Результат, Параметры) 
```
</details>

## НачатьДобавлениеСвязиПослеВыбораТипаСвязи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает добавление связи после выбора типа связи.
//
// Параметры:
//   Результат - Структура - результат выбора:
//     * РеквизитID - Строка - идентификатор выбранного типа связи.
//     * РеквизитТип - Строка - тип выбранного типа связи.
//     * РеквизитПредставление - Строка - представление выбранного типа связи.
//   Параметры - Структура:
//     * ИсходныйДокумент - Структура - описание исходного документа.
//     * СвязанныйДокумент - Структура - описание связываемого документа.
//     * ОписаниеОповещения - ОписаниеОповещения - оповещение, вызываемое при успехе.
//
Процедура НачатьДобавлениеСвязиПослеВыбораТипаСвязи(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьДобавлениеСвязиПослеВыбораТипаСвязи(Результат, Параметры) 
```
</details>

## НачатьУдалениеСвязи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает удаление связи указанного типа между двумя документами.
//
// Параметры:
//   ИсходныйДокумент - Структура - исходный документ.
//   СвязанныйДокумент - Структура - связанный документ.
//   ТипСвязи - Структура - тип связи. Свойства структур:
//     ID - Строка - идентификатор объекта ДО.
//     Тип - Строка - тип объекта ДО.
//     Представление - Строка - представление объекта ДО.
//   ОписаниеОповещения - ОписаниеОповещения - вызывается при успехе с передачей
//     структуры (ИсходныйДокумент, СвязанныйДокумент, ТипСвязи).
//
Процедура НачатьУдалениеСвязи(ИсходныйДокумент, СвязанныйДокумент, ТипСвязи, Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьУдалениеСвязи(ИсходныйДокумент, СвязанныйДокумент, ТипСвязи, );
```
</details>

## НачатьУдалениеСвязиПослеВопроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжает удаление связи после вопроса пользователю.
//
// Параметры:
//   Результат - КодВозвратаДиалога - результат выбора.
//   Параметры - Структура:
//     * ИсходныйДокумент - Структура:
//         ** ID - Строка - идентификатор объекта ДО.
//         ** Тип - Строка - тип объекта ДО.
//         ** Представление - Строка - представление объекта ДО.
//     * СвязанныйДокумент - Структура:
//         ** ID - Строка - идентификатор объекта ДО.
//         ** Тип - Строка - тип объекта ДО.
//         ** Представление - Строка - представление объекта ДО.
//     * ТипСвязи - Структура:
//         ** ID - Строка - идентификатор объекта ДО.
//         ** Тип - Строка - тип объекта ДО.
//         ** Представление - Строка - представление объекта ДО.
//     * ОписаниеОповещения - ОписаниеОповещения - вызывается при успехе.
//
Процедура НачатьУдалениеСвязиПослеВопроса(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.НачатьУдалениеСвязиПослеВопроса(Результат, Параметры) 
```
</details>

## СогласованиеВозможно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает асинхронный метод, который по окончании работы вызывает оповещение,
// в параметры которого передается информация о возможности согласования.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, откуда совершен вызов.
//   ПредметСогласования - ЛюбаяСсылка - предмет согласования.
//   ОповещениеОЗавершении - ОписаниеОповещения - оповещение с результатом выполнения.
//
Процедура СогласованиеВозможно(Форма, ПредметСогласования, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СогласованиеВозможно(Форма, ПредметСогласования, ОповещениеОЗавершении) 
```
</details>

## СогласоватьАсинхронно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает асинхронный метод, который отправляет предмет на согласование, и по окончании работы
// вызывает оповещение, в параметры которого передается информация о результатах запуска согласования.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения:
//     * Объект - ОпределяемыйТип.ИнтеграцияС1СДокументооборотДокументыОбъектыПереопределяемый
//              - ОпределяемыйТип.ИнтеграцияС1СДокументооборотСправочникиОбъектыПереопределяемый
//   ПредметСогласования - ЛюбаяСсылка - предмет согласования.
//   ОповещениеОЗавершении - ОписаниеОповещения - оповещение с результатом выполнения.
//
Процедура СогласоватьАсинхронно(Форма, ПредметСогласования, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СогласоватьАсинхронно(Форма, ПредметСогласования, ОповещениеОЗавершении) 
```
</details>

## ПрерываниеСогласованияВозможно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает асинхронный метод, который по окончании работы вызывает оповещение,
// в параметры которого передается информация о возможности прервать согласование.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, откуда совершен вызов.
//   ПредметСогласования - ЛюбаяСсылка - предмет согласования.
//   ОповещениеОЗавершении - ОписаниеОповещения - оповещение с результатом выполнения.
//
Процедура ПрерываниеСогласованияВозможно(Форма, ПредметСогласования, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ПрерываниеСогласованияВозможно(Форма, ПредметСогласования, ОповещениеОЗавершении) 
```
</details>

## ПрерватьСогласованиеАсинхронно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает асинхронный метод, который прерывает согласование предмета, и по окончании работы
// вызывает оповещение, в параметры которого передается информация о результатах прерывания согласования.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения:
//     * Объект - ОпределяемыйТип.ИнтеграцияС1СДокументооборотДокументыОбъектыПереопределяемый
//              - ОпределяемыйТип.ИнтеграцияС1СДокументооборотСправочникиОбъектыПереопределяемый
//   ПредметСогласования - ЛюбаяСсылка - предмет согласования.
//   ОповещениеОЗавершении - ОписаниеОповещения - оповещение с результатом выполнения.
//
Процедура ПрерватьСогласованиеАсинхронно(Форма, ПредметСогласования, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ПрерватьСогласованиеАсинхронно(Форма, ПредметСогласования, ОповещениеОЗавершении) 
```
</details>

## СостояниеСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает асинхронный метод, который по окончании работы вызывает оповещение,
// в параметры которого передается информация о состоянии согласования.
//
// Параметры:
//   Форма - ФормаКлиентскогоПриложения - форма, откуда совершен вызов.
//   ПредметСогласования - ЛюбаяСсылка - предмет согласования.
//   ОповещениеОЗавершении - ОписаниеОповещения - оповещение с результатом выполнения.
//
Процедура СостояниеСогласования(Форма, ПредметСогласования, ОповещениеОЗавершении) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.СостояниеСогласования(Форма, ПредметСогласования, ОповещениеОЗавершении) 
```
</details>

## ОбработкаКомандыСоздатьБизнесПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик общей команды ИнтеграцияС1СДокументооборотСоздатьБизнесПроцесс
//
// Параметры:
//   МассивСсылок - Произвольный - в параметр передается значение от источника, в котором реализована команда.
//     Может содержать как единичное значение, так и массив значений.
//   ПараметрыВыполнения - ПараметрыВыполненияКоманды - в обработчике команды можно изменить значение свойств
//     параметра.
//
Процедура ОбработкаКомандыСоздатьБизнесПроцесс(МассивСсылок, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОбработкаКомандыСоздатьБизнесПроцесс(МассивСсылок, ПараметрыВыполнения) 
```
</details>

## ОбработкаКомандыИсходящееПисьмо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик общей команды ИнтеграцияС1СДокументооборотСоздатьПисьмо
//
// Параметры:
//   МассивСсылок - Произвольный - в параметр передается значение от источника, в котором реализована команда.
//     Может содержать как единичное значение, так и массив значений.
//   ПараметрыВыполнения - ПараметрыВыполненияКоманды - в обработчике команды можно изменить значение свойств
//     параметра.
//
Процедура ОбработкаКомандыИсходящееПисьмо(МассивСсылок, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
ИнтеграцияС1СДокументооборотКлиент.ОбработкаКомандыИсходящееПисьмо(МассивСсылок, ПараметрыВыполнения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
