---
title: Интеграция с работа в россии
slug: zup/интеграция-с-работа-в-россии
---


## ДоступнаПередачаДокументовНаРаботаВРоссии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую настройку использования передачи на портале Работа в России.
//
// Возвращаемое значение:
//  Булево - если Истина, передача доступна.
//
Функция ДоступнаПередачаДокументовНаРаботаВРоссии() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСРаботаВРоссии.ДоступнаПередачаДокументовНаРаботаВРоссии() 
```
</details>

## ПередатьНаПортал
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит передачу на портал присоединенного файла
//
// Параметры:
//   ПрисоединенныйФайл - Справочник, ссылка на присоединенный файл.
//
Процедура ПередатьНаПортал(ПрисоединенныйФайл) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСРаботаВРоссии.ПередатьНаПортал(ПрисоединенныйФайл) 
```
</details>

## НастройкиАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки авторизации на портале, сохраненные в безопасном хранилище
//
// Возвращаемое значение:
//  Структура - с ключами:
//   * Пароль        - Строка
//   * Логин         - Строка
//   * Идентификатор - Строка
//
Функция НастройкиАвторизации() Экспорт
```

Пример вызова
```bsl
Результат = ИнтеграцияСРаботаВРоссии.НастройкиАвторизации() 
```
</details>

## ЗапомнитьНастройкиАвторизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет настройки авторизации на портале в безопасном хранилище.
//
// Параметры:
//  Пароль        - Строка
//  Логин         - Строка
//  Идентификатор - Строка
//
Процедура ЗапомнитьНастройкиАвторизации(Логин, Пароль, Идентификатор) Экспорт
```

Пример вызова
```bsl
ИнтеграцияСРаботаВРоссии.ЗапомнитьНастройкиАвторизации(Логин, Пароль, Идентификатор) 
```
</details>

## ВыполнитьПередачуПечатныхФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет в фоновом режиме передачу готовых для этого печатных форм.
//
Процедура ВыполнитьПередачуПечатныхФорм() Экспорт
```

Пример вызова
```bsl
ИнтеграцияСРаботаВРоссии.ВыполнитьПередачуПечатныхФорм() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
