---
title: Интерфейсы взаимодействия БРО клиент сервер
slug: zup/интерфейсы-взаимодействия-бро-клиент-сервер
---


## НачалоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает начало периода даты.
//
// Параметры:
//   Периодичность - Перечисление.Периодичность - периодичность.
//   Дата - Дата - дата.
//
// Возвращаемое значение:
//   Дата - начало периода даты.
//
Функция НачалоПериода(Периодичность, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.НачалоПериода(Периодичность, Дата) 
```
</details>

## КонецПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает конец периода.
//
Функция КонецПериода(Периодичность, Дата) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.КонецПериода(Периодичность, Дата) 
```
</details>

## ДобавитьПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет период.
//
Функция ДобавитьПериод(Знач Дата, Периодичность, Знач КоличествоПериодов = 1) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.ДобавитьПериод(Дата, Периодичность, КоличествоПериодов);
```
</details>

## ОперацииСРегламентированнымОтчетом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает операции регламентированного отчета с признаками их доступности.
//
// Параметры:
//   ИмяОтчета - Строка - имя регламентированного отчета, например, "РегламентированныйОтчет4ФСС".
//   ИмяФормы - Строка - имя формы регламентированного отчета, например, "ФормаОтчета2017Кв1".
//
// Возвращаемое значение:
//   ФиксированнаяСтруктура - операции с регламентированным отчетом.
//	   * АвтоФормированиеНаСервере - Булево - признак автоматического формирования отчета в тихом режиме на сервере.
//	   * ВыгрузкаНаСервере - Булево - признак выгрузки отчета в тихом режиме на сервере.
//	   * ПечатьСоШтрихкодомPDF417НаСервере - Булево - признак печати отчета со штрихкодом PDF417 в тихом режиме
//													  на сервере.
//	   * ПечатьБезШтрихкодаPDF417НаСервере - Булево - признак печати отчета без штрихкода PDF417 в тихом режиме
//													  на сервере.
//
Функция ОперацииСРегламентированнымОтчетом(ИмяОтчета, ИмяФормы) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.ОперацииСРегламентированнымОтчетом(ИмяОтчета, ИмяФормы) 
```
</details>

## ПоддерживаетсяФормированиеПакетаДляВнесенияИзмененийВЕГРЮЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, можно ли использовать функцинал формирования пакета для ФНС для внесения изменений в ЕГРЮЛ
//
// Возвращаемое значение:
//  Булево - Истина, если можно использовать.
//
Функция ПоддерживаетсяФормированиеПакетаДляВнесенияИзмененийВЕГРЮЛ() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.ПоддерживаетсяФормированиеПакетаДляВнесенияИзмененийВЕГРЮЛ() 
```
</details>

## КлассификаторОшибокПакетаПоЕГРЮЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Содержит реестр ошибок возникающие во время формирования пакет для для внесения изменений в ЕГРЮЛ.
// Используется в поле "ТипОшибки" в возвращаемом значении функции ПараметрыМетодаСформироватьПакетПоЕГРЮЛ.
//
// Возвращаемое значение:
//	ФиксированнаяСтруктура
//
Функция КлассификаторОшибокПакетаПоЕГРЮЛ() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.КлассификаторОшибокПакетаПоЕГРЮЛ() 
```
</details>

## СтатусСданоСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Процедуры и функции интерфейса взаимодействия с сервисом "Список задач
// бухгалтера".

// Определяет строковой статус объекта регламентированной отчетности,
// предназначенный для интерактивного изменения пользователем,
// соответствующий финальному статусу.
//
// Возвращаемое значение:
//  Строка - строковое представление статуса, предназначенное для программной обработки.
//
Функция СтатусСданоСтрокой() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.СтатусСданоСтрокой() 
```
</details>

## СтатусВРаботеСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет строковой статус объекта регламентированной отчетности,
// предназначенный для интерактивного изменения пользователем,
// соответствующий статусу отчета, находящегося в процессе подготовки.
//
// Возвращаемое значение:
//  Строка - строковое представление статуса, предназначенное для программной обработки.
//
Функция СтатусВРаботеСтрокой() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.СтатусВРаботеСтрокой() 
```
</details>

## СтатусПодготовленоСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет строковый статус объекта регламентированной отчетности,
// предназначенный для интерактивного изменения пользователем,
// соответствующий статусу подготовленной отчетности.
//
// Возвращаемое значение:
//  Строка - строковое представление статуса, предназначенное для программной обработки.
//
Функция СтатусПодготовленоСтрокой() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.СтатусПодготовленоСтрокой() 
```
</details>

## ПредставлениеСтатусаНеОтправлено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пользовательское представление статуса объекта регламентированной отчетности,
// соответствующего статусу по умолчанию.
//
// Возвращаемое значение:
//  Строка - строковое представление статуса пользователю.
//
Функция ПредставлениеСтатусаНеОтправлено() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.ПредставлениеСтатусаНеОтправлено() 
```
</details>

## ПредставлениеСтатусаСдано
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пользовательское представление строкового статуса объекта регламентированной отчетности,
// предназначенного для интерактивного изменения пользователем,
// соответствующего финальному статусу.
//
// Возвращаемое значение:
//  Строка - строковое представление статуса пользователю.
//
Функция ПредставлениеСтатусаСдано() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.ПредставлениеСтатусаСдано() 
```
</details>

## ПредставлениеСтатусаВРаботе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пользовательское представление строкового статуса объекта регламентированной отчетности,
// предназначенного для интерактивного изменения пользователем,
// соответствующего статусу отчета, находящегося в процессе подготовки.
//
// Возвращаемое значение:
//  Строка - строковое представление статуса пользователю.
//
Функция ПредставлениеСтатусаВРаботе() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.ПредставлениеСтатусаВРаботе() 
```
</details>

## ПредставлениеСтатусаПодготовлено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пользовательское представление строкового статуса объекта регламентированной отчетности,
// предназначенного для интерактивного изменения пользователем,
// соответствующего статусу подготовленной отчетности.
//
// Возвращаемое значение:
//  Строка - строковое представление статуса пользователю.
//
Функция ПредставлениеСтатусаПодготовлено() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.ПредставлениеСтатусаПодготовлено() 
```
</details>

## НовыйСостояниеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор коллекции со сведениями о состоянии передачи в учреждение отчета или иного документа
// - при передаче в электронном виде - состояние отправки;
// - при передаче иным способом - статус, установленный пользователем.
//
// Возвращаемое значение:
//  Структура
//    * Представление - Строка - представление состояния передачи в учреждение.
//    * Статус        - Строка - строковый статус объекта регламентированной отчетности.
//    * Сдано         - Булево - Истина, если отчет сдан любым способом.
//    * Отправлено    - Булево - Истина, если отчет отправлен в учреждение в электронном виде.
//    * ВРаботе       - Булево - Истина, если отчет редактируется и еще не отправлен в учреждение.
//
Функция НовыйСостояниеДокумента() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.НовыйСостояниеДокумента() 
```
</details>

## ВозможнаОтправкаЭлектронногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, возможна ли отправка отчета в учреждение в виде электронного документа.
//
// Параметры:
//  ИмяОтчета - Строка - Имя отчета (элемента метаданных).
//
// Возвращаемое значение:
//  Булево - Истина, если отчет может быть отправлен в электронном виде.
//
Функция ВозможнаОтправкаЭлектронногоДокумента(ИмяОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.ВозможнаОтправкаЭлектронногоДокумента(ИмяОтчета) 
```
</details>

## ОтчетыОтправкаОграничена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет перечень отчетов, отправка которых в учреждение невозможна в виде электронного документа.
//
// В список включены отчеты, из форм которых не вызывается
// ОнлайнСервисыРегламентированнойОтчетностиКлиент.ПередОтправкойРегламентированногоОтчета()
//
// Внимание!
// При изменении содержимого этого перечня регламентированных отчетов в конфигурации-потребителе
// БРО при обновлении но новую версию необходимо выполнить специальный обработчик обновления,
// который должен выполняться каждый раз при изменени содержимого этого перечня.
//
// Возвращаемое значение:
//  ФиксированныйМассив - имена отчетов (элементов метаданных).
//
Функция ОтчетыОтправкаОграничена() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.ОтчетыОтправкаОграничена() 
```
</details>

## ПредставлениеПолучателяБумажногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет краткое наименование государственного органа - получателя документа, который невозможно отправить ему в электронном виде.
// Следует использовать для отчетов, для которых ВозможнаОтправкаЭлектронногоДокумента() = Ложь.
//
// Параметры:
//  ИмяОтчета - Строка - Имя отчета (элемента метаданных).
//
// Возвращаемое значение:
//  Строка - представление гос. органа; пустая строка, если неизвестно.
//
Функция ПредставлениеПолучателяБумажногоДокумента(ИмяОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.ПредставлениеПолучателяБумажногоДокумента(ИмяОтчета) 
```
</details>

## КраткоеПредставлениеОграниченияОтправкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет текст для пользователя, кратко, в несколько слов описывающий суть ограничения отправки отчета.
// Такой текст выводится в дополнение к названию отчета и т.п.
//
// Возвращаемое значение:
//  Строка - краткое представление ограничения отправки отчета для пользователя.
//
Функция КраткоеПредставлениеОграниченияОтправкиОтчета() Экспорт
```

Пример вызова
```bsl
Результат = ИнтерфейсыВзаимодействияБРОКлиентСервер.КраткоеПредставлениеОграниченияОтправкиОтчета() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
