---
title: Информирование пользователя клиент
slug: zup/информирование-пользователя-клиент
---


## Предупредить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит предупреждение с кратким текстом и кнопкой для просмотра подробных сведений.
//
// Параметры:
//   КраткийТекст   - Строка - Текст предупреждения.
//   ПодробныйТекст - Строка - Подробный текст, который выводится по нажатию на кнопку "Подробнее".
//                             Если не указан, то кнопка для просмотра подробных сведений тоже не выводится.
//   Заголовок      - Строка - Заголовок предупреждения.
//                             Если не указан, то выводится стандартный заголовок предупреждений 1С:Предприятия.
//   Картинка     - Картинка - Картинка диалога.
//
Процедура Предупредить(КраткийТекст, ПодробныйТекст = "", Заголовок = "", Картинка = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнформированиеПользователяКлиент.Предупредить(КраткийТекст, ПодробныйТекст, Заголовок, Картинка);
```
</details>

## ПоказатьПодробности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит многострочный текст с возможностью копирования в буфер обмена.
//
// Параметры:
//   ПодробныйТекст - Строка   - Текст для отображения.
//   Заголовок      - Строка   - Заголовок диалога.
//   Картинка       - Картинка - Картинка диалога.
//
Процедура ПоказатьПодробности(ПодробныйТекст, Заголовок = "", Картинка = Неопределено) Экспорт
```

Пример вызова
```bsl
ИнформированиеПользователяКлиент.ПоказатьПодробности(ПодробныйТекст, Заголовок, Картинка);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
