---
title: Кадровый учет клиент
slug: zup/кадровый-учет-клиент
---


## ВыбратьФизическихЛицОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает формы выбора физических лиц, работающих в организации.
//
// Параметры:
//		ЭлементФормы						- ФормаКлиентскогоПриложения или элемент управляемой формы, являющийся владельцем формы подбора.
//		Организация							- СправочникСсылка.Организации
//		МножественныйВыбор					- Булево
//		ФиксированныеНастройки 				- НастройкаКомпоновкиДанных (параметр, расширения динамического списка).
//		АдресСпискаПодобранныхСотрудников 	- Строка
//		ОтбиратьПоГоловнойОрганизации		- Булево, если передать Истина в список войдут сотрудники головной организации.
//		ПараметрыОткрытияФормы				- Структура, в которой можно определить параметры открытия формы выбора.
//
Процедура ВыбратьФизическихЛицОрганизации(ЭлементФормы, Организация, МножественныйВыбор = Истина, ФиксированныеНастройки = Неопределено, АдресСпискаПодобранныхСотрудников = "", ОтбиратьПоГоловнойОрганизации = Ложь, ПараметрыОткрытияФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйУчетКлиент.ВыбратьФизическихЛицОрганизации(ЭлементФормы, Организация, МножественныйВыбор, ФиксированныеНастройки, АдресСпискаПодобранныхСотрудников, ОтбиратьПоГоловнойОрганизации, ПараметрыОткрытияФормы);
```
</details>

## ПодобратьФизическихЛицОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает формы выбора физических лиц, работающих в организации, позволяет выбрать несколько значений.
// В параметре АдресСпискаПодобранныхСотрудников передается адрес массива ссылок уже подобранных физических лиц.
// Подобранные физические лица выделяются жирным шрифтом.
//
// Параметры:
//		ЭлементФормы
//		Организация
//		АдресСпискаПодобранныхСотрудников.
//		ОтбиратьПоГоловнойОрганизации		- Булево, если передать Истина в список войдут сотрудники головной организации.
//		ПараметрыОткрытияФормы				- Структура, в которой можно определить параметры открытия формы выбора.
//
Процедура ПодобратьФизическихЛицОрганизации(ЭлементФормы, Организация, АдресСпискаПодобранныхСотрудников, ОтбиратьПоГоловнойОрганизации = Ложь, ПараметрыОткрытияФормы = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйУчетКлиент.ПодобратьФизическихЛицОрганизации(ЭлементФормы, Организация, АдресСпискаПодобранныхСотрудников, ОтбиратьПоГоловнойОрганизации, ПараметрыОткрытияФормы);
```
</details>

## ОткрытьФормуПодбораИзКлассификатора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму подбора значений из классификатора.
//
// Параметры:
//			ИмяСправочника 					- Строка, имя справочника как оно задано в конфигураторе.
//			ПолныйПутьКМакету 				- Строка - формат полного пути:
//												"Документ.<ИмяДокумента>.<ИмяМакета>"
//												"Обработка.<ИмяОбработки>.<ИмяМакета>"
//												"ОбщийМакет.<ИмяМакета>".
//			Заголовок						- Строка
//			Форма							- ФормаКлиентскогоПриложения, форма - владелец.
//			СоответствиеПолей				- Соответствие, задает соответствие имен реквизитов справочника\
//												именам полей классификатора.
//			ОповещениеЗавершения			- ОписаниеОповещения, которое необходимо выполнить по окончании
//												выбора элементов классификатора.
//			ЗаполнятьДополнительныеСведения	- Булево, если Истина собирает поля строки классификатора в структуру и вызывает
//												реализованный в модуле объекта метод ЗаполнитьДополнительныеСведенияКлассификатора,
//												заполняемого справочника.
//
Процедура ОткрытьФормуПодбораИзКлассификатора(ИмяСправочника, ПолныйПутьКМакету, Заголовок, Форма, СоответствиеПолей = Неопределено, ОповещениеЗавершения = Неопределено, ЗаполнятьДополнительныеСведения = Ложь) Экспорт
```

Пример вызова
```bsl
КадровыйУчетКлиент.ОткрытьФормуПодбораИзКлассификатора(ИмяСправочника, ПолныйПутьКМакету, Заголовок, Форма, СоответствиеПолей, ОповещениеЗавершения, ЗаполнятьДополнительныеСведения);
```
</details>

## ВыбратьСотрудниковРаботающихНаДатуПоПараметрамОткрытияФормыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора справочника Сотрудники с отбором только работающих
// сотрудников на указанную дату и в указанных, организации и подразделении.
//
// Параметры:
//		ВладелецФормыВыбора					- Форма или элемент формы, для которого открывается форма выбора.
//		Организация							- СправочникСсылка.Организации, если не указана, в отбор попадают все сотрудники компании.
//		Подразделение						- СправочникСсылка.ПодразделенияОрганизации, если не указано - в отбор попадают все сотрудники.
//		ДатаПримененияОтбора				- Дата, на которую необходимо выбрать работающих сотрудников.
//      МножественныйВыбор					- Булево, если ложь - форма откроется для выбора одного сотрудника.
//		АдресСпискаПодобранныхСотрудников	- Строка, адрес массива уже подобранных сотрудников во временном хранилище.
//		ПараметрыОткрытия					- Структура, аналогичная структуре параметров формы списка.
//
Процедура ВыбратьСотрудниковРаботающихНаДатуПоПараметрамОткрытияФормыСписка(ВладелецФормыВыбора, Организация = Неопределено, Подразделение = Неопределено, ДатаПримененияОтбора = '00010101', МножественныйВыбор = Истина, АдресСпискаПодобранныхСотрудников = "", ПараметрыОткрытия = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйУчетКлиент.ВыбратьСотрудниковРаботающихНаДатуПоПараметрамОткрытияФормыСписка(ВладелецФормыВыбора, Организация, Подразделение, ДатаПримененияОтбора, МножественныйВыбор, АдресСпискаПодобранныхСотрудников, ПараметрыОткрытия);
```
</details>

## ВыбратьСотрудниковРаботающихВПериодеПоПараметрамОткрытияФормыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму выбора справочника Сотрудники с отбором только работающих
// сотрудников в периоде.
//
// Параметры:
//		ВладелецФормыВыбора 				- Форма или элемент формы, для которого открывается форма выбора.
//		Организация 						- СправочникСсылка.Организации, если не указана, в отбор попадают все сотрудники компании.
//		Подразделение 						- СправочникСсылка.ПодразделенияОрганизации, если не указано - в отбор попадают все сотрудники.
//		НачалоПериодаПримененияОтбора 		- Дата, начало периода для отбора сотрудников.
//		ОкончаниеПериодаПримененияОтбора 	- Дата, окончание периода для отбора сотрудников.
//      МножественныйВыбор 					- Булево, если ложь - форма откроется для выбора одного сотрудника.
//		АдресСпискаПодобранныхСотрудников	- Строка, адрес массива уже подобранных сотрудников во временном хранилище.
//		ПараметрыОткрытия					- Структура, аналогичная структуре параметров формы списка.
//
Процедура ВыбратьСотрудниковРаботающихВПериодеПоПараметрамОткрытияФормыСписка(ВладелецФормыВыбора, Организация = Неопределено, Подразделение = Неопределено, НачалоПериодаПримененияОтбора = '00010101', ОкончаниеПериодаПримененияОтбора = '00010101', МножественныйВыбор = Истина, АдресСпискаПодобранныхСотрудников = "", ПараметрыОткрытия = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйУчетКлиент.ВыбратьСотрудниковРаботающихВПериодеПоПараметрамОткрытияФормыСписка(ВладелецФормыВыбора, Организация, Подразделение, НачалоПериодаПримененияОтбора, ОкончаниеПериодаПримененияОтбора, МножественныйВыбор, АдресСпискаПодобранныхСотрудников, ПараметрыОткрытия);
```
</details>

## ВыбратьСотрудниковРаботающихНаДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела см. ВыбратьСотрудниковРаботающихНаДатуПоПараметрамОткрытияФормыСписка
//
Процедура ВыбратьСотрудниковРаботающихНаДату(ВладелецФормыВыбора, Организация = Неопределено, Подразделение = Неопределено, ДатаПримененияОтбора = '00010101', МножественныйВыбор = Истина, АдресСпискаПодобранныхСотрудников = "", СтруктураОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйУчетКлиент.ВыбратьСотрудниковРаботающихНаДату(ВладелецФормыВыбора, Организация, Подразделение, ДатаПримененияОтбора, МножественныйВыбор, АдресСпискаПодобранныхСотрудников, СтруктураОтбора);
```
</details>

## ВыбратьСотрудниковРаботающихВПериоде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела см. ВыбратьСотрудниковРаботающихВПериодеПоПараметрамОткрытияФормыСписка
//
Процедура ВыбратьСотрудниковРаботающихВПериоде(ВладелецФормыВыбора, Организация = Неопределено, Подразделение = Неопределено, НачалоПериодаПримененияОтбора = '00010101', ОкончаниеПериодаПримененияОтбора = '00010101', МножественныйВыбор = Истина, АдресСпискаПодобранныхСотрудников = "", СтруктураОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйУчетКлиент.ВыбратьСотрудниковРаботающихВПериоде(ВладелецФормыВыбора, Организация, Подразделение, НачалоПериодаПримененияОтбора, ОкончаниеПериодаПримененияОтбора, МножественныйВыбор, АдресСпискаПодобранныхСотрудников, СтруктураОтбора);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
