---
title: Кадровый учет расширенный клиент
slug: zup/кадровый-учет-расширенный-клиент
---


## ОткрытьФормуРедактированияСтажей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму редактирования стажей сотрудника.
//
// Параметры:
//  ПараметрыФормы - Структура - См. функцию ПараметрыФормыРедактированияСтажей().
//  Обработчик - ОписаниеОповещения - Описание процедуры, вызываемой при окончании редактировании стажей с параметрами.
//     * РезультатРедактированияСтажей - Неопределено, КодВозвратаДиалога, Структура -
//           Результат редактирования стажей.
//           При успешном окончании редактирования процедура будет вызвана с параметром типа "Структура" с полями:
//               ** Сотрудник - СправочникСсылка.Сотрудники
//               ** ФизическоеЛицо - СправочникСсылка.ФизическиеЛица
//               ** ДанныеСтажей - ДанныеФормыКоллекция
//           При отказе от редактирования процедура будет вызвана с параметром типа "Неопределено" или "КодВозвратаДиалога".
//           Пример чтения результатов процедуры см. в форме документа БольничныйЛист.
//     * ДополнительныеПараметры - Произвольный - Значение, которое было указано при создании объекта ОписаниеОповещения.
//
Процедура ОткрытьФормуРедактированияСтажей(ПараметрыФормы, Обработчик) Экспорт
```

Пример вызова
```bsl
КадровыйУчетРасширенныйКлиент.ОткрытьФормуРедактированияСтажей(ПараметрыФормы, Обработчик) 
```
</details>

## ПараметрыФормыРедактированияСтажей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры, необходимые для процедуры ОткрытьФормуРедактированияСтажей.
//
// Возвращаемое значение:
//   Структура - Параметры, необходимые для вызова процедуры ОткрытьФормуРедактированияСтажей.
//       * ТолькоПросмотр - Булево - Признак возможности редактирования отображаемых данных.
//       * Сотрудник - СправочникСсылка.Сотрудники - Необязательный, если передан параметр "ФизическоеЛицо".
//       * ФизическоеЛицо - СправочникСсылка.ФизическиеЛица - Необязательный, если передан параметр "Сотрудник".
//       * ДатаСведений - Дата
//       * ВидыСтажа - Массив из СправочникСсылка.ВидыСтажа
//       * ДанныеСтажей - Соответствие - Данные стажей сотрудника.
//           * Ключ - СправочникСсылка.ВидыСтажа
//           * Значение - Структура - См. ЗарплатаКадрыРасширенныйКлиентСервер.СведенияОСтаже().
//       * Записывать - Булево - Если Истина, данные о стаже будут записаны при закрытии формы.
//       * НеобязательныеВидыСтажа - ФиксированноеСоответствие - стажи, заполнение которых необязательно.
//           Для этих стажей будет выведен флажок, разрешающий редактирование данных стажа.
//           Эти виды стажа должны также быть перечислены в параметре ВидыСтажа.
//       * ЗаголовокФормы - Строка - Заголовок формы ввода стажей.
//
Функция ПараметрыФормыРедактированияСтажей() Экспорт
```

Пример вызова
```bsl
Результат = КадровыйУчетРасширенныйКлиент.ПараметрыФормыРедактированияСтажей() 
```
</details>

## ОткрытьФормуРедактированияСтажейСотрудника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать КадровыйУчетРасширенныйКлиент.ОткрытьФормуРедактированияСтажей.
// Открывает форму редактирования стажей сотрудника.
//
// Параметры:
//		Форма			- ФормаКлиентскогоПриложения
//		Сотрудник		- СправочникСсылка.Сотрудники
//		ДатаСведений	- Дата
//		ВидыСтажа		- Массив ссылок на элементы справочника ВидыСтажа.
//		ФизическоеЛицо	- СправочникСсылка.ФизическиеЛица, передается если известно.
//		ДанныеСтажей	- Соответствие - Данные стажей сотрудника.
//   						* Ключ - Вид стажа;
//   						* Значение - Структура, сформированная методом ЗарплатаКадрыРасширенныйКлиентСервер.СведенияОСтаже().
//		Записывать 		- Булево - Если Истина, данные о стаже будут записаны при закрытии формы.
//		НеобязательныеВидыСтажа	- Фиксированное соответствие - стажи, заполнение которых необязательно. Для этих стажей будет
//                                                             выведен флажок, разрешающий редактирование данных стажа. Эти
//                                                             виды стажа должны также быть перечислены в параметре ВидыСтажа.
//   						* Ключ - Вид стажа;
//   						* Значение - Строка, заголовок флажка.
//
Процедура ОткрытьФормуРедактированияСтажейСотрудника(Форма, Сотрудник, ДатаСведений, ВидыСтажа, ФизическоеЛицо = Неопределено, ДанныеСтажей = Неопределено, Записывать = Истина, НеобязательныеВидыСтажа = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйУчетРасширенныйКлиент.ОткрытьФормуРедактированияСтажейСотрудника(Форма, Сотрудник, ДатаСведений, ВидыСтажа, ФизическоеЛицо, ДанныеСтажей, Записывать, НеобязательныеВидыСтажа);
```
</details>

## ВыбратьСотрудниковРаботающихНаДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела см. процедуру КадровыйУчетКлиент.ВыбратьСотрудниковРаботающихНаДатуПоПараметрамОткрытияФормыСписка.
//
Процедура ВыбратьСотрудниковРаботающихНаДату(ВладелецФормыВыбора, Организация = Неопределено, Подразделение = Неопределено, ДатаПримененияОтбора = '00010101', МножественныйВыбор = Истина, АдресСпискаПодобранныхСотрудников = "", СтруктураОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйУчетРасширенныйКлиент.ВыбратьСотрудниковРаботающихНаДату(ВладелецФормыВыбора, Организация, Подразделение, ДатаПримененияОтбора, МножественныйВыбор, АдресСпискаПодобранныхСотрудников, СтруктураОтбора);
```
</details>

## ВыбратьСотрудниковРаботающихВПериоде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела см. процедуру КадровыйУчетКлиент.ВыбратьСотрудниковРаботающихВПериодеПоПараметрамОткрытияФормыСписка.
//
Процедура ВыбратьСотрудниковРаботающихВПериоде(ВладелецФормыВыбора, Организация = Неопределено, Подразделение = Неопределено, НачалоПериодаПримененияОтбора = '00010101', ОкончаниеПериодаПримененияОтбора = '00010101', МножественныйВыбор = Истина, АдресСпискаПодобранныхСотрудников = "", СтруктураОтбора = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйУчетРасширенныйКлиент.ВыбратьСотрудниковРаботающихВПериоде(ВладелецФормыВыбора, Организация, Подразделение, НачалоПериодаПримененияОтбора, ОкончаниеПериодаПримененияОтбора, МножественныйВыбор, АдресСпискаПодобранныхСотрудников, СтруктураОтбора);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
