---
title: Кадровый ЭДО
slug: zup/кадровый-эдо
---


## ПриСозданииНаСервереФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дорабатывает форму нового документа, создает реквизиты наличия присоединенных файлов печатных форм.
// Вызывается из события ПриСозданииНаСервере формы объекта.
//
// Параметры:
//   УправляемаяФорма     - ФормаКлиентскогоПриложения - форма объекта.
//   Отказ                - Булево
//   СтандартнаяОбработка - Булево
//   ОбъектФормы          - ДанныеФормыСтруктура, основной объект формы
//
Процедура ПриСозданииНаСервереФормыОбъекта(УправляемаяФорма, Отказ, СтандартнаяОбработка, ОбъектФормы) Экспорт
```

Пример вызова
```bsl
КадровыйЭДО.ПриСозданииНаСервереФормыОбъекта(УправляемаяФорма, Отказ, СтандартнаяОбработка, ОбъектФормы) 
```
</details>

## ПриЧтенииНаСервереФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дорабатывает форму существующего документа, создает реквизиты наличия присоединенных файлов печатных форм.
// Вызывается из события ПриЧтенииНаСервере формы объекта.
//
// Параметры:
//   УправляемаяФорма     - ФормаКлиентскогоПриложения - форма объекта.
//   ТекущийОбъект        - ДокументОбъект - объект, который будет прочитан.
//   ОбъектФормы          - ДанныеФормыСтруктура, основной объект формы
//
Процедура ПриЧтенииНаСервереФормыОбъекта(УправляемаяФорма, ТекущийОбъект, ОбъектФормы) Экспорт
```

Пример вызова
```bsl
КадровыйЭДО.ПриЧтенииНаСервереФормыОбъекта(УправляемаяФорма, ТекущийОбъект, ОбъектФормы) 
```
</details>

## ПослеЗаписиНаСервереФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В форме документа обновляет сведения о наличии присоединенных файлов печатных форм.
// Вызывается из события ПослеЗаписиНаСервере формы объекта.
//
// Параметры:
//   УправляемаяФорма     - ФормаКлиентскогоПриложения - форма объекта.
//   ТекущийОбъект        - ДокументОбъект - объект.
//   ПараметрыЗаписи      - Структура
//   ОбъектФормы          - ДанныеФормыСтруктура, основной объект формы
//
Процедура ПослеЗаписиНаСервереФормыОбъекта(УправляемаяФорма, ТекущийОбъект, ПараметрыЗаписи, ОбъектФормы) Экспорт
```

Пример вызова
```bsl
КадровыйЭДО.ПослеЗаписиНаСервереФормыОбъекта(УправляемаяФорма, ТекущийОбъект, ПараметрыЗаписи, ОбъектФормы) 
```
</details>

## ПриСозданииНаСервереФормыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дорабатывает запрос динамического списка документов, расширяя состав полей признаками
// наличия присоединенного файла печатной формы.
//
// Параметры:
//  УправляемаяФорма - УправляемаяФорма
//  Список           - ДинамическийСписок
//
Процедура ПриСозданииНаСервереФормыСписка(УправляемаяФорма, Список) Экспорт
```

Пример вызова
```bsl
КадровыйЭДО.ПриСозданииНаСервереФормыСписка(УправляемаяФорма, Список) 
```
</details>

## СписокПриПолученииДанныхНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет флаги существования присоединенных файлов печатных форм.
//
// Параметры:
//  ИмяЭлемента - Строка
//  Настройки   - НастройкиКомпоновкиДанных
//  Строки      - СтрокиДинамическогоСписка
//
Процедура СписокПриПолученииДанныхНаСервере(ИмяЭлемента, Настройки, Строки) Экспорт
```

Пример вызова
```bsl
КадровыйЭДО.СписокПриПолученииДанныхНаСервере(ИмяЭлемента, Настройки, Строки) 
```
</details>

## ЗадатьДетальнуюОбластьПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Задает детальную область печати в табличном документе, позволяя более глубоко детализировать
// выводимые бланки по одной ссылке на объект.
//
// Параметры:
//  ПараметрыПечати            - см. УправлениеПечатьюПереопределяемый.ПриПечати
//  ДокументРезультат          - ТабличныйДокумент
//  ИдентификаторПечатнойФормы - Строка
//  НомерСтрокиНачалаОбласти   - Число
//  ДанныеПечати               - Структура, СтрокаТаблицаЗначений, содержащая детальную информацию
//  ОбъектДокумента            - Ссылка на печатаемый объект
//
Процедура ЗадатьДетальнуюОбластьПечати(ПараметрыПечати, ДокументРезультат, ИдентификаторПечатнойФормы, НомерСтрокиНачалаОбласти, ДанныеПечати, ОбъектДокумента) Экспорт
```

Пример вызова
```bsl
КадровыйЭДО.ЗадатьДетальнуюОбластьПечати(ПараметрыПечати, ДокументРезультат, ИдентификаторПечатнойФормы, НомерСтрокиНачалаОбласти, ДанныеПечати, ОбъектДокумента) 
```
</details>

## ОписанияФайловПечатныхФормПоОбъектам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание файлов печатных форм объектов.
//
// Параметры:
//  Владельцы                  - Массив, ссылок на объекты с присоединенными файлами
//  ИдентификаторыПечатныхФорм - Массив, идентификаторов печатных форм
//                             - Строка, идентификаторы печатных форм, разделенные запятыми
//
// Возвращаемое значение:
//  Структура - с ключами:
//   * ПечатныеФормыОбъектов - Соответствие
//     * Ключ     - Ссылка на владельца
//     * Значение - Структура
//        * Ключ     - Идентификатор печатной формы
//        * Значение - Массив, ссылок на присоединенные файлы
//   * ОригиналыПечатныхФорм - Структура
//      * Ключ     - Идентификатор печатной формы
//      * Значение - Структура, с Ключами
//         * Наименование - Наименование печатной формы
//         * Оригиналы    - Соответствие
//            * Ключ     - Ссылка, на присоединенный файл печатной формы
//            * Значение - Структура с ключами, описывающими печатную форму
//
Функция ОписанияФайловПечатныхФормПоОбъектам(Владельцы, ИдентификаторыПечатныхФорм) Экспорт
```

Пример вызова
```bsl
Результат = КадровыйЭДО.ОписанияФайловПечатныхФормПоОбъектам(Владельцы, ИдентификаторыПечатныхФорм) 
```
</details>

## РазблокироватьОбъектДляИзменений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Разблокирует объект с приложенными файлами печатных форм, помечая файлы печатных форм на удаление.
//
// Параметры:
//  ОбъектДляРазблокировки - ОпределяемыйТип.ОбъектСПечатнымиФормами
//
// Возвращаемое значение:
//  Строка - Пустая если все в порядке или полное описание возникшей ошибки.
//
Функция РазблокироватьОбъектДляИзменений(ОбъектДляРазблокировки) Экспорт
```

Пример вызова
```bsl
Результат = КадровыйЭДО.РазблокироватьОбъектДляИзменений(ОбъектДляРазблокировки) 
```
</details>

## ПечатьСтороннейПечатнойФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывает процедуры печати в менеджерах объектов после переопределения массива ссылок, выводимых на печать.
//
// Параметры:
//  МенеджерПечати        - модуль менеджера или общий модуль, содержащий процедуру Печать
//  МассивОбъектов        - Массив, см. УправлениеПечатьюПереопределяемый.ПриПечати
//  ПараметрыПечати       - Структура, см. УправлениеПечатьюПереопределяемый.ПриПечати
//  КоллекцияПечатныхФорм - ТаблицаЗначений, см. УправлениеПечатьюПереопределяемый.ПриПечати
//  ОбъектыПечати         - СписокЗначений, см. УправлениеПечатьюПереопределяемый.ПриПечати
//  ПараметрыВывода       - Структура, см. УправлениеПечатьюПереопределяемый.ПриПечати
//  СписокСотрудников     - Массив, ссылок на элементы справочника Сотрудники, когда производится
//                          печать по одному сотруднику списочного документа
//
Процедура ПечатьСтороннейПечатнойФормы(МенеджерПечати, МассивОбъектов, ПараметрыПечати, КоллекцияПечатныхФорм, ОбъектыПечати, ПараметрыВывода, СписокСотрудников = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйЭДО.ПечатьСтороннейПечатнойФормы(МенеджерПечати, МассивОбъектов, ПараметрыПечати, КоллекцияПечатныхФорм, ОбъектыПечати, ПараметрыВывода, СписокСотрудников);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
