---
title: Кадровый ЭДО вызов сервера
slug: zup/кадровый-эдо-вызов-сервера
---


## ВыводимыеФайлыПечатныхФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив описаний файлов для вывода на диск, отправке по почте, публикации ...
//
// Параметры:
//  ФайлыДляВывода         - Массив, ссылок на присоединенные файлы.
//  ИдентификаторХранилища - УникальныйИдентификатор, идентификатор формы из которой выполняется вывод.
//
// Возвращаемое значение:
//  Массив - описаний выводимых файлов, см. ОписаниеВыводимогоФайла
//
Функция ВыводимыеФайлыПечатныхФорм(ФайлыДляВывода, ИдентификаторХранилища = Неопределено, ПапкиЭлектронныхДокументов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = КадровыйЭДОВызовСервера.ВыводимыеФайлыПечатныхФорм(ФайлыДляВывода, ИдентификаторХранилища, ПапкиЭлектронныхДокументов);
```
</details>

## ПечатныеФормыОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив данных печатных форм объектов.
//
// Параметры:
//  ОписанияПечатныхФорм   - Массив, структур описывающих табличные документы общей формы ПечатьДокументов
//                            Ключи структуры:
//                             * ПечатнаяФорма              - ТабличныйДокумент
//                             * ИдентификаторПечатнойФормы - Строка
//                             * Название                   - Строка
//  ОбъектыПечати          - см. УправлениеПечатьюПереопределяемый.ПриПечати
//  ПараметрыПечати        - см. УправлениеПечатьюПереопределяемый.ПриПечати
//  ИдентификаторХранилища - УникальныйИдентификатор, идентификатор формы для которой собирается коллекция.
//
// Возвращаемое значение:
//  Массив - данных печатных форм, см. КадровыйЭДО.ДанныеПечатнойФормы
//
Функция ПечатныеФормыОбъектов(ОписанияПечатныхФорм, ОбъектыПечати, ПараметрыПечати, ИдентификаторХранилища) Экспорт
```

Пример вызова
```bsl
Результат = КадровыйЭДОВызовСервера.ПечатныеФормыОбъектов(ОписанияПечатныхФорм, ОбъектыПечати, ПараметрыПечати, ИдентификаторХранилища) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
