---
title: Кадровый ЭДО клиент
slug: zup/кадровый-эдо-клиент
---


## ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку оповещения о записи печатных форм объектов, обновляет
// информацию о блокировке.
//
// Параметры:
//  УправляемаяФорма - УправляемаяФорма
//  ИмяСобытия       - Строка
//   Параметр        - Произвольный - См. описание одноименного параметра в синтакс-помощнике
//                      "ФормаКлиентскогоПриложения.ОбработкаОповещения".
//   Источник        - Произвольный - См. описание одноименного параметра в синтакс-помощнике
//                      "ФормаКлиентскогоПриложения.ОбработкаОповещения".
//
Процедура ОбработкаОповещения(УправляемаяФорма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
КадровыйЭДОКлиент.ОбработкаОповещения(УправляемаяФорма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ОбработкаОповещенияВФормеСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет подключаемые команды в форме списка при обработке оповещения о записи печатных форм.
//
// Параметры:
//  УправляемаяФорма - УправляемаяФорма
//  ИмяСобытия       - Строка
//  Параметр         - Произвольный - См. описание одноименного параметра в синтакс-помощнике
//                      "ФормаКлиентскогоПриложения.ОбработкаОповещения".
//  Источник         - Произвольный - См. описание одноименного параметра в синтакс-помощнике
//                      "ФормаКлиентскогоПриложения.ОбработкаОповещения".
//
Процедура ОбработкаОповещенияВФормеСписка(УправляемаяФорма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
КадровыйЭДОКлиент.ОбработкаОповещенияВФормеСписка(УправляемаяФорма, ИмяСобытия, Параметр, Источник) 
```
</details>

## ПечатьДокументовВыполнитьКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// СтандартныеПодсистемы.УправлениеПечатью

// См. УправлениеПечатьюКлиентПереопределяемый.ПечатьДокументовВыполнитьКоманду
//
Процедура ПечатьДокументовВыполнитьКоманду(Форма, Команда, ПродолжитьВыполнениеНаСервере, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
КадровыйЭДОКлиент.ПечатьДокументовВыполнитьКоманду(Форма, Команда, ПродолжитьВыполнениеНаСервере, ДополнительныеПараметры) 
```
</details>

## ПечатьДокументовПослеОткрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеПечатьюКлиентПереопределяемый.ПечатьДокументовПослеОткрытия
Процедура ПечатьДокументовПослеОткрытия(Форма) Экспорт
```

Пример вызова
```bsl
КадровыйЭДОКлиент.ПечатьДокументовПослеОткрытия(Форма) 
```
</details>

## ПодписатьПечатныеФомыПриПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конец СтандартныеПодсистемы.УправлениеПечатью

// Выполняет подписание печатных форм, выведенных в общую форму ПечатьДокументов.
//
// Параметры:
//  УправляемаяФорма              - УправляемаяФорма, общая форма ПечатьДокументов
//  ЦельПодписания                - ПеречислениеСсылка.ДействияСФайламиДокументовКЭДО
//  ДанныеСертификатовОрганизаций - Соответсвие
//										* Ключ     - Организация
//										* Значение - Массив, ссылок на
//											- СправочникСсылка.СертификатыКлючейЭлектроннойПодписиИШифрования
//											- СправочникСсылка.Пользователи
//
Процедура ПодписатьПечатныеФомыПриПечати(УправляемаяФорма, ЦельПодписания, НастройкиПодписания = Неопределено) Экспорт
```

Пример вызова
```bsl
КадровыйЭДОКлиент.ПодписатьПечатныеФомыПриПечати(УправляемаяФорма, ЦельПодписания, НастройкиПодписания);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
