---
title: Контроль ведения учета БЗК
slug: zup/контроль-ведения-учета-бзк
---


## ПриСозданииНаСервереФормыСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Доопределяет КонтрольВеденияУчета.ПриСозданииНаСервереФормыСписка, меняя значение
// КартинкаЗначений на коллекцию пиктограмм
// Для выводимой слева колонки с проблемой устанавливает значение ФиксацияВТаблице такое же
// как и у следующей колонки.
//
Процедура ПриСозданииНаСервереФормыСписка(Форма, ИменаСписков, ДополнительныеСвойства = Неопределено) Экспорт
```

Пример вызова
```bsl
КонтрольВеденияУчетаБЗК.ПриСозданииНаСервереФормыСписка(Форма, ИменаСписков, ДополнительныеСвойства);
```
</details>

## ПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет работу КонтрольВеденияУчета.ПриЧтенииНаСервере, заменяя единственное сообщение
// о наличии проблем на несколько детальных.
//
Процедура ПриЧтенииНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
КонтрольВеденияУчетаБЗК.ПриЧтенииНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ПриПолученииДанныхНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переопределяет работу обработчика (КонтрольВеденияУчета.ПриПолученииДанныхНаСервере), устанавливая значениям
// колонок с проблемами порядок самой "страшной" проблемы, учитывает, что ключи динамического списка могут быть
// более разнообразными чем одно поле (но записи при этом остаются уникальными в пределах одного из реквизитов
// ключа).
//
Процедура ПриПолученииДанныхНаСервере(Настройки, Строки, ИмяКлючевогоПоля = "Ссылка", ДополнительныеСвойства = Неопределено) Экспорт
```

Пример вызова
```bsl
КонтрольВеденияУчетаБЗК.ПриПолученииДанныхНаСервере(Настройки, Строки, ИмяКлючевогоПоля, ДополнительныеСвойства);
```
</details>

## ПослеЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// После записи очищает список проблем у первой из проблем делает уточнение "Ожидает проверки"
//
Процедура ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
КонтрольВеденияУчетаБЗК.ПослеЗаписиНаСервере(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ЗаписатьПроблему
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. КонтрольВеденияУчета.ЗаписатьПроблему
Процедура ЗаписатьПроблему(Проблема, ПараметрыПроверки = Неопределено) Экспорт
```

Пример вызова
```bsl
КонтрольВеденияУчетаБЗК.ЗаписатьПроблему(Проблема, ПараметрыПроверки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
