---
title: Криптография БЭД служебный клиент
slug: zup/криптография-бэд-служебный-клиент
---


## НовыйКонтекстПроверкиПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
// * ВидОперации - Строка
// * Подпись - Неопределено,ДвоичныеДанные
// * ИсходныеДанные - Неопределено,ДвоичныеДанные
// * МенеджерКриптографии - Неопределено,МенеджерКриптографии
// * ОповещениеОЗавершении - ОписаниеОповещения
// * РезультатПроверки - см. КриптографияБЭДКлиентСервер.НовыйРезультатПроверкиПодписи
// * КонтекстДиагностики - см. ОбработкаНеисправностейБЭДКлиент.НовыйКонтекстДиагностики
Функция НовыйКонтекстПроверкиПодписи() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДСлужебныйКлиент.НовыйКонтекстПроверкиПодписи() 
```
</details>

## ПроверитьПодписьПослеПолученияСертификатовИзПодписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  РезультатПолучения - см. НовыйРезультатИнициализацииСертификатов
//  Контекст - Структура:
//  * ВидОперации - Строка
//  * Подпись - ДвоичныеДанные
//  * ИсходныеДанные - ДвоичныеДанные
//  * МенеджерКриптографии - МенеджерКриптографии
//  * ОповещениеОЗавершении - ОписаниеОповещения
//  * РезультатПроверки - см. КриптографияБЭДКлиентСервер.НовыйРезультатПроверкиПодписи
//  * КонтекстДиагностики - см. ОбработкаНеисправностейБЭДКлиент.НовыйКонтекстДиагностики
Процедура ПроверитьПодписьПослеПолученияСертификатовИзПодписиНаСервере(РезультатПолучения, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПроверитьПодписьПослеПолученияСертификатовИзПодписиНаСервере(РезультатПолучения, Контекст) 
```
</details>

## ОбработатьОшибкуПолученияМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьОшибкуПолученияМенеджераКриптографии(ИнформацияОбОшибке, СтандартнаяОбработка, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ОбработатьОшибкуПолученияМенеджераКриптографии(ИнформацияОбОшибке, СтандартнаяОбработка, Контекст) 
```
</details>

## ПроверитьПодписьПослеПолученияМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПодписьПослеПолученияМенеджераКриптографии(МенеджерКриптографии, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПроверитьПодписьПослеПолученияМенеджераКриптографии(МенеджерКриптографии, Контекст) 
```
</details>

## ОбработатьОшибкуПолученияСертификатовИзПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ИнформацияОбОшибке - ИнформацияОбОшибке
//  СтандартнаяОбработка - Булево
//  Контекст - см. НовыйКонтекстПроверкиПодписи
Процедура ОбработатьОшибкуПолученияСертификатовИзПодписи(ИнформацияОбОшибке, СтандартнаяОбработка, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ОбработатьОшибкуПолученияСертификатовИзПодписи(ИнформацияОбОшибке, СтандартнаяОбработка, Контекст) 
```
</details>

## ПроверитьПодписьПослеПолученияСертификатовИзПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПодписьПослеПолученияСертификатовИзПодписи(СертификатыПодписи, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПроверитьПодписьПослеПолученияСертификатовИзПодписи(СертификатыПодписи, Контекст) 
```
</details>

## ОбработатьОшибкуВыгрузкиСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьОшибкуВыгрузкиСертификата(ИнформацияОбОшибке, СтандартнаяОбработка, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ОбработатьОшибкуВыгрузкиСертификата(ИнформацияОбОшибке, СтандартнаяОбработка, Контекст) 
```
</details>

## ПроверитьПодписьПослеВыгрузкиСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПодписьПослеВыгрузкиСертификата(ДанныеСертификата, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПроверитьПодписьПослеВыгрузкиСертификата(ДанныеСертификата, Контекст) 
```
</details>

## ПроверитьПодписьЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Продолжение процедуры ПроверитьПодписьПослеВыгрузкиСертификата.
//
// Параметры:
//  Результат - Булево
//            - Строка
//            - Неопределено
//  Контекст - Структура:
//   * ВидОперации - Строка
//   * Оповещение - ОписаниеОповещения
//   * КонтекстДиагностики - См. ОбработкаНеисправностейБЭДКлиент.НовыйКонтекстДиагностики
//   * ПаролиСертификатов - См. КриптографияБЭДКлиент.Подписать.ПаролиСертификатов
Процедура ПроверитьПодписьЗавершение(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПроверитьПодписьЗавершение(Результат, Контекст) 
```
</details>

## ПроверитьПодписьЗавершениеПродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьПодписьЗавершениеПродолжение(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПроверитьПодписьЗавершениеПродолжение(Результат, Контекст) 
```
</details>

## ПослеВыполненияКриптографическойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеВыполненияКриптографическойОперации(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПослеВыполненияКриптографическойОперации(Результат, Контекст) 
```
</details>

## ОбработатьОшибкиКриптографическойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрабатывает ошибки криптографической операции.
//
// Параметры:
//  Результат - Структура - см. описание результата, возвращаемого при выполнении оповещения, переданного в параметре
//              ОбработкаРезультата метода ЭлектроннаяПодписьКлиент.Подписать
//  ВидОперации - Строка
//  КонтекстДиагностики - См. ОбработкаНеисправностейБЭДКлиент.НовыйКонтекстДиагностики
Процедура ОбработатьОшибкиКриптографическойОперации(Результат, ВидОперации, КонтекстДиагностики) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ОбработатьОшибкиКриптографическойОперации(Результат, ВидОперации, КонтекстДиагностики) 
```
</details>

## ДобавитьОшибкуКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет ошибку криптографии в контекст диагностики.
//
// Параметры:
//  КонтекстДиагностики - См. ОбработкаНеисправностейБЭДКлиент.НовыйКонтекстДиагностики
//  ВидОперации - Строка
//  ПодробноеПредставлениеОшибки - Строка
//  КраткоеПредставлениеОшибки - Строка
//  ДополнительныеПараметрыОшибки - Структура
Процедура ДобавитьОшибкуКриптографии(КонтекстДиагностики, ВидОперации, ПодробноеПредставлениеОшибки, Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ДобавитьОшибкуКриптографии(КонтекстДиагностики, ВидОперации, ПодробноеПредставлениеОшибки, );
```
</details>

## ПолучитьОтпечаткиСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОтпечаткиСертификатов(Оповещение, Личные, ПоказатьОшибку = Ложь) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПолучитьОтпечаткиСертификатов(Оповещение, Личные, ПоказатьОшибку);
```
</details>

## ПослеПолученияОтпечатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеПолученияОтпечатков(Отпечатки, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПослеПолученияОтпечатков(Отпечатки, Контекст) 
```
</details>

## НайтиСоздатьСертификатКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиСоздатьСертификатКриптографии(Отпечаток, Организация, Оповещение) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.НайтиСоздатьСертификатКриптографии(Отпечаток, Организация, Оповещение) 
```
</details>

## ПослеПолученияОтпечатковПолучитьМенеджерКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеПолученияОтпечатковПолучитьМенеджерКриптографии(Отпечатки, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПослеПолученияОтпечатковПолучитьМенеджерКриптографии(Отпечатки, Контекст) 
```
</details>

## ПолучитьМенеджерКриптографииПослеПолученияСертификатаКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьМенеджерКриптографииПослеПолученияСертификатаКриптографии(Сертификат, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПолучитьМенеджерКриптографииПослеПолученияСертификатаКриптографии(Сертификат, Контекст) 
```
</details>

## СертификатВыгрузитьПродолжить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СертификатВыгрузитьПродолжить(ДвоичныеДанныеСертификата, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.СертификатВыгрузитьПродолжить(ДвоичныеДанныеСертификата, Контекст) 
```
</details>

## ВыполнитьДействияПослеПолученияМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьДействияПослеПолученияМенеджераКриптографии(МенеджерКриптографии, Контекст = Неопределено) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ВыполнитьДействияПослеПолученияМенеджераКриптографии(МенеджерКриптографии, Контекст);
```
</details>

## СоздатьНайтиСертификатКриптографииПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьНайтиСертификатКриптографииПользователя(ИнформацияМодуля, Контекст = Неопределено) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.СоздатьНайтиСертификатКриптографииПользователя(ИнформацияМодуля, Контекст);
```
</details>

## ПроверитьНаличиеУстановленныхПрограммПослеПоискаУстановленныхПрограмм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьНаличиеУстановленныхПрограммПослеПоискаУстановленныхПрограмм(РезультатПроверки, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПроверитьНаличиеУстановленныхПрограммПослеПоискаУстановленныхПрограмм(РезультатПроверки, Контекст) 
```
</details>

## ОбработкаРезультатаТестаСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаРезультатаТестаСертификата(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ОбработкаРезультатаТестаСертификата(Результат, ДополнительныеПараметры) 
```
</details>

## ОбработкаЗавершенияТестаСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗавершенияТестаСертификата(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ОбработкаЗавершенияТестаСертификата(Результат, Контекст) 
```
</details>

## ПолучитьДоступныеСертификатыПослеПолученияОтпечатков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДоступныеСертификатыПослеПолученияОтпечатков(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПолучитьДоступныеСертификатыПослеПолученияОтпечатков(Результат, Контекст) 
```
</details>

## ОпределитьПрограммуСертификатаПослеИнициализацииСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьПрограммуСертификатаПослеИнициализацииСертификата(СертификатКриптографии, Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ОпределитьПрограммуСертификатаПослеИнициализацииСертификата(СертификатКриптографии, Контекст) 
```
</details>

## НачатьОпределениеПрограммыСертификатаКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОпределениеПрограммыСертификатаКриптографии(Знач Сертификат, Знач ОбработкаЗавершения, Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.НачатьОпределениеПрограммыСертификатаКриптографии(Сертификат, ОбработкаЗавершения, );
```
</details>

## ИспользоватьЭлектроннуюПодписьВМоделиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Булево
Функция ИспользоватьЭлектроннуюПодписьВМоделиСервиса() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДСлужебныйКлиент.ИспользоватьЭлектроннуюПодписьВМоделиСервиса());
```
</details>

## ЗавершитьОпределениеПрограммыСертификатаКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗавершитьОпределениеПрограммыСертификатаКриптографии(Знач ПроцессВыполнения) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ЗавершитьОпределениеПрограммыСертификатаКриптографии(ПроцессВыполнения));
```
</details>

## НовыйПроцессОпределенияПрограммыСертификатаКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйПроцессОпределенияПрограммыСертификатаКриптографии(Знач Сертификат, Знач ОбработкаЗавершения, Знач Пароль) Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДСлужебныйКлиент.НовыйПроцессОпределенияПрограммыСертификатаКриптографии(Сертификат, ОбработкаЗавершения, Пароль));
```
</details>

## ВыполнитьОпределениеПрограммыСертификатаКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьОпределениеПрограммыСертификатаКриптографии(Знач РезультатТекущегоЭтапа, Знач ПроцессВыполнения) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ВыполнитьОпределениеПрограммыСертификатаКриптографии(РезультатТекущегоЭтапа, ПроцессВыполнения) 
```
</details>

## ВыполнитьОпределениеПрограммыСертификатаКриптографии_НайтиУстановленныеПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьОпределениеПрограммыСертификатаКриптографии_НайтиУстановленныеПрограммы(ПроцессВыполнения) Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДСлужебныйКлиент.ВыполнитьОпределениеПрограммыСертификатаКриптографии_НайтиУстановленныеПрограммы(ПроцессВыполнения));
```
</details>

## ВыполнитьОпределениеПрограммыСертификатаКриптографии_ВводПароля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьОпределениеПрограммыСертификатаКриптографии_ВводПароля(ПроцессВыполнения) Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДСлужебныйКлиент.ВыполнитьОпределениеПрограммыСертификатаКриптографии_ВводПароля(ПроцессВыполнения));
```
</details>

## ВыполнитьОпределениеПрограммыСертификатаКриптографии_ПроверитьПрограммы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьОпределениеПрограммыСертификатаКриптографии_ПроверитьПрограммы(ПроцессВыполнения) Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДСлужебныйКлиент.ВыполнитьОпределениеПрограммыСертификатаКриптографии_ПроверитьПрограммы(ПроцессВыполнения));
```
</details>

## НачатьПроверкуСертификатаКриптографииПрограммой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПроверкуСертификатаКриптографииПрограммой(Знач Сертификат, Знач Программа, Знач Пароль, Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.НачатьПроверкуСертификатаКриптографииПрограммой(Сертификат, Программа, Пароль, );
```
</details>

## НачатьПроверкуСертификатаКриптографииПрограммой_ВыгрузкаСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПроверкуСертификатаКриптографииПрограммой_ВыгрузкаСертификата(Знач ДвоичныеДанныеСертификата, Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.НачатьПроверкуСертификатаКриптографииПрограммой_ВыгрузкаСертификата(ДвоичныеДанныеСертификата, );
```
</details>

## НачатьПроверкуСертификатаКриптографииПрограммой_СозданиеМенеджераКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПроверкуСертификатаКриптографииПрограммой_СозданиеМенеджераКриптографии(Знач Менеджер, Знач Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.НачатьПроверкуСертификатаКриптографииПрограммой_СозданиеМенеджераКриптографии(Менеджер, Контекст) 
```
</details>

## НачатьПроверкуСертификатаКриптографииПрограммой_ПроверкаПодписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПроверкуСертификатаКриптографииПрограммой_ПроверкаПодписания(Знач ДанныеПодписи, Знач Контекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.НачатьПроверкуСертификатаКриптографииПрограммой_ПроверкаПодписания(ДанныеПодписи, Контекст) 
```
</details>

## НачатьПроверкуСертификатаКриптографииПрограммой_ПроверкаПодписанияОшибка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПроверкуСертификатаКриптографииПрограммой_ПроверкаПодписанияОшибка(ИнформацияОбОшибке, Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.НачатьПроверкуСертификатаКриптографииПрограммой_ПроверкаПодписанияОшибка(ИнформацияОбОшибке, );
```
</details>

## УстановитьCryptoProCSPПослеВводаРегистрационныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьCryptoProCSPПослеВводаРегистрационныхДанных(Результат, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.УстановитьCryptoProCSPПослеВводаРегистрационныхДанных(Результат, ВходящийКонтекст) 
```
</details>

## НовыеПараметрыРегистрацииПрограммыКриптографии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыеПараметрыРегистрацииПрограммыКриптографии() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДСлужебныйКлиент.НовыеПараметрыРегистрацииПрограммыКриптографии() 
```
</details>

## УстановитьКриптопровайдерПослеПолученияДистрибутива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьКриптопровайдерПослеПолученияДистрибутива(ДлительнаяОперация, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.УстановитьКриптопровайдерПослеПолученияДистрибутива(ДлительнаяОперация, ВходящийКонтекст) 
```
</details>

## УстановитьКриптопровайдерПослеСозданияВременногоКаталога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьКриптопровайдерПослеСозданияВременногоКаталога(ИмяКаталогаВременныхФайлов, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.УстановитьКриптопровайдерПослеСозданияВременногоКаталога(ИмяКаталогаВременныхФайлов, ВходящийКонтекст) 
```
</details>

## ПослеСохраненияФайловДистрибутива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеСохраненияФайловДистрибутива(ПолученныеФайлы, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПослеСохраненияФайловДистрибутива(ПолученныеФайлы, ВходящийКонтекст) 
```
</details>

## УстановитьКриптопровайдерПослеВводаРегистрационныхДанныхПовторить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьКриптопровайдерПослеВводаРегистрационныхДанныхПовторить(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.УстановитьКриптопровайдерПослеВводаРегистрационныхДанныхПовторить(Результат, ДополнительныеПараметры) 
```
</details>

## ЗапуститьПриложениеНаКлиенте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапуститьПриложениеНаКлиенте(СтрокаКоманды, ТекущийКаталог, ДождатьсяЗавершения, ВыводитьСообщения, Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ЗапуститьПриложениеНаКлиенте(СтрокаКоманды, ТекущийКаталог, ДождатьсяЗавершения, ВыводитьСообщения, );
```
</details>

## ЗапуститьПриложениеНаКлиентеПослеЗапускаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапуститьПриложениеНаКлиентеПослеЗапускаПриложения(КодВозврата, ВходящийКонтекст) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ЗапуститьПриложениеНаКлиентеПослеЗапускаПриложения(КодВозврата, ВходящийКонтекст) 
```
</details>

## ЗапуститьПриложениеНаКлиентеПриОшибкеЗапускаПриложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапуститьПриложениеНаКлиентеПриОшибкеЗапускаПриложения(ИнформацияОбОшибке, СтандартнаяОбработка, Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ЗапуститьПриложениеНаКлиентеПриОшибкеЗапускаПриложения(ИнформацияОбОшибке, СтандартнаяОбработка, );
```
</details>

## ПолучитьСертификатыИзПодписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ОповещениеОЗавершении - ОписаниеОповещения
//  Подпись - ДвоичныеДанные
Процедура ПолучитьСертификатыИзПодписиНаСервере(ОповещениеОЗавершении, Подпись) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ПолучитьСертификатыИзПодписиНаСервере(ОповещениеОЗавершении, Подпись) 
```
</details>

## НовыйРезультатИнициализацииСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * СертификатыКриптографии - Массив из СертификатКриптографии
//  * ОписаниеОшибки - Строка
Функция НовыйРезультатИнициализацииСертификатов() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДСлужебныйКлиент.НовыйРезультатИнициализацииСертификатов());
```
</details>

## НовыйКонтекстИнициализацииСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//  * ИндексДанных - Число
//  * ДвоичныеДанныеСертификатов - Массив из ДвоичныеДанные
//  * СертификатыКриптографии - Массив из СертификатКриптографии
//  * ОповещениеОЗавершении - ОписаниеОповещения
Функция НовыйКонтекстИнициализацииСертификатов() Экспорт
```

Пример вызова
```bsl
Результат = КриптографияБЭДСлужебныйКлиент.НовыйКонтекстИнициализацииСертификатов());
```
</details>

## НачатьИнициализациюСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ОповещениеОЗавершении - ОписаниеОповещения
//  ДвоичныеДанныеСертификатов - Массив из ДвоичныеДанные
Процедура НачатьИнициализациюСертификатов(ОповещениеОЗавершении, ДвоичныеДанныеСертификатов) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.НачатьИнициализациюСертификатов(ОповещениеОЗавершении, ДвоичныеДанныеСертификатов));
```
</details>

## ИнициализироватьСертификатыПослеПодключенияРасширения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Подключено - Булево
//  КонтекстИнициализации - см. НовыйКонтекстИнициализацииСертификатов
Процедура ИнициализироватьСертификатыПослеПодключенияРасширения(Подключено, КонтекстИнициализации) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ИнициализироватьСертификатыПослеПодключенияРасширения(Подключено, КонтекстИнициализации) 
```
</details>

## ИнициализироватьСертификаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  КонтекстИнициализации - см. НовыйКонтекстИнициализацииСертификатов
Процедура ИнициализироватьСертификаты(КонтекстИнициализации) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ИнициализироватьСертификаты(КонтекстИнициализации));
```
</details>

## ОбработатьОшибкуИнициализацииСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ИнформацияОбОшибке - ИнформацияОбОшибке
//  СтандартнаяОбработка - Булево
//  КонтекстИнициализации - см. НовыйКонтекстИнициализацииСертификатов
Процедура ОбработатьОшибкуИнициализацииСертификата(ИнформацияОбОшибке, СтандартнаяОбработка, КонтекстИнициализации) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ОбработатьОшибкуИнициализацииСертификата(ИнформацияОбОшибке, СтандартнаяОбработка, КонтекстИнициализации) 
```
</details>

## ОбработатьРезультатИнициализацииСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  СертификатКриптографии - СертификатКриптографии
//  КонтекстИнициализации - см. НовыйКонтекстИнициализацииСертификатов
Процедура ОбработатьРезультатИнициализацииСертификата(СертификатКриптографии, КонтекстИнициализации) Экспорт
```

Пример вызова
```bsl
КриптографияБЭДСлужебныйКлиент.ОбработатьРезультатИнициализацииСертификата(СертификатКриптографии, КонтекстИнициализации) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
