---
title: Медицинские регистры ФРМР
slug: zup/медицинские-регистры-фрмр
---


## GetPerson
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для чтения сведений медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция GetPerson(PersonKey) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.GetPerson(PersonKey) 
```
</details>

## GetPersonFull
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для чтения всех сведений медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция GetPersonFull(PersonKey) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.GetPersonFull(PersonKey) 
```
</details>

## PostPutPerson
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода POST для создания (create)
// или PUT для изменения (update) сведений о медицинском работнике.
//
// Параметры:
//  PersonKey - Структура - Данные идентификации медработника для метода PUT (см. описание функции PersonKey).
//                          Для метода POST (create) PersonKey.oid оставлять в значении Неопределено.
//  PersonData - Структура - Данные медработника (см. описание функции PersonData).
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция PostPutPerson(PersonKey, PersonData) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PostPutPerson(PersonKey, PersonData) 
```
</details>

## PersonData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры основных данных медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//
//      ...
//
//  	documents - Массив – Документы, удостоверяющие личность (см. Функция PersonDocumentData).
//  	addresses - Массив – Адреса (см. Функция PersonAddressData).
//
Функция PersonData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonData() 
```
</details>

## PersonDocumentData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// *** Документ, удостоверяющий личность.
//serial	Строка	Нет	Серия документа, удостоверяющего личность		Числовое поле до 10 символов
//number	Строка	Да	Номер документа, удостоверяющего личность		Числовое поле до 20 символов
//passDate	Дата	Да	Дата выдачи документа, удостоверяющего личность		Дата в формате ГГГГ-ММ-ДД
//passOrg	Строка	Да	Организация выдачи документа, удостоверяющего личность		Текст до 200 символов
//codeOrg	Число	Нет	Код подразделения
//documentId	Положительное число (unsigned int)	Да	Код документа, удостоверяющего личность	Справочник ФНСИ «Документы, удостоверяющие личность», OID 1.2.643.5.1.13.13.99.2.48
Функция PersonDocumentData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonDocumentData() 
```
</details>

## PersonAddressData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция PersonAddressData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonAddressData() 
```
</details>

## GetPersonCard
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для чтения личного дела медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция GetPersonCard(PersonKey) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.GetPersonCard(PersonKey) 
```
</details>

## PostPutPersonCard
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для создания (create) или изменения данных личного дела медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//  PersonCardData - Структура - см. описание функции PersonCardData.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция PostPutPersonCard(PersonKey, PersonCardData) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PostPutPersonCard(PersonKey, PersonCardData) 
```
</details>

## PersonCardData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных личного дела медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	lastName - Строка – Фамилия медработника, необходимая для ключа запроса.
//  	oid - Строка – Идентификатор медицинской организации.
//  	id - Строка(36) – Идентификатор (GUID) записи блока данных, который возвращают методы GET (read) и POST (create).
//                        Для методов PUT (update) и DELETE этот идентификатор указывается как entityId в PersonKey.
//  	organization - Строка – Наименование организации по ФРМО.
//  	nrPmuDepartId - Строка – Идентификатор подразделения по ФРМО.
//  	nrPmuDepartHospitalSubdivisionId - Строка – Идентификатор отделения по ФРМО.
//  	roomOid - Строка – Идентификатор кабинета по ФРМО.
//  	contractNumber - Строка – Номер трудового договора.
//  	contractDate - Дата(ISO8601) – Дата заключения трудового договора.
//  	serviceNumber - Строка – Табельный номер.
//  	fedPositionId - Число – Должность по классификатору 1.2.643.5.1.13.13.99.2.885.
//  	seniority - Число – Трудовой стаж (дней). Необязательный параметр.
//  	services - Массив – Оказываемые медицинские услуги (см. функцию PersonCardServices).
//  	positionTypeId - Число – Тип занятия должности по классификатору 1.2.643.5.1.13.13.99.2.357.
//  	postId - Число – Должность по классификатору 1.2.643.5.1.13.13.99.2.181.
//  	rate - Число(5,4) – Ставка.
//  	beginDate - Дата(ISO8601) – Дата начала.
//  	endDate - Дата(ISO8601) – Дата окончания.
//  	endTypeId - Число – Основание окончания по классификатору 1.2.643.5.1.13.13.99.2.282.
//  	fireReasonId - Число – Причина увольнения по классификатору 1.2.643.5.1.13.13.99.2.196.
//  	targeted - Булево – Целевая подготовка.
//  	temporaryDerelictions - Массив – Список временных неисполнений функциональных обязанностей (см. функцию PersonCardTemporaryDerelictions).
//
Функция PersonCardData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonCardData() 
```
</details>

## PersonCardServices
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных об оказываемых медицинских услугах медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	code - Число – Код по классификатору 1.2.643.5.1.13.13.99.2.319.
//  	name - Строка – Наименование. Необязательный параметр.
Функция PersonCardServices() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonCardServices() 
```
</details>

## PersonCardTemporaryDerelictions
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных о временных неисполнениях функциональных обязанностей медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	reasonId - Число – Причина неисполнения по классификатору 1.2.643.5.1.13.13.99.2.192.
//  	beginDate - Дата(ISO8601) – Дата начала неисполнения.
//  	endDate - Дата(ISO8601) – Дата окончания неисполнения.
Функция PersonCardTemporaryDerelictions() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonCardTemporaryDerelictions() 
```
</details>

## GetPersonProf
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для чтения сведений о профессиональном образовании медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция GetPersonProf(PersonKey) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.GetPersonProf(PersonKey) 
```
</details>

## PostPutPersonProf
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для создания (create) или изменения сведений о профессиональном образовании медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//  PersonProfData - Структура - см. описание функции PersonProfData.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция PostPutPersonProf(PersonKey, PersonProfData) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PostPutPersonProf(PersonKey, PersonProfData) 
```
</details>

## PersonProfData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных о профессиональном образовании медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	profId - Строка(36) – Идентификатор (GUID) записи блока данных, который возвращают методы GET (read) и POST (create).
//                            Для методов PUT (update) и DELETE этот идентификатор указывается как entityId в PersonKey.
//  	institutionId - Строка – Образовательная организация (код классификатора 1.2.643.5.1.13.13.11.1519).
//  	docSerial - Строка(10) – Серия диплома.
//  	docNumber - Строка(20) – Номер диплома.
//  	docDate - Дата(ISO8601) – Дата выдачи диплома.
//
Функция PersonProfData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonProfData() 
```
</details>

## GetPersonPostgraduate
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для чтения сведений о послевузовском образовании медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция GetPersonPostgraduate(PersonKey) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.GetPersonPostgraduate(PersonKey) 
```
</details>

## PostPutPersonPostgraduate
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для создания (create) или изменения сведений о послевузовском образовании медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//  PersonPostgraduateData - Структура - см. описание функции PersonPostgraduateData.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция PostPutPersonPostgraduate(PersonKey, PersonPostgraduateData) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PostPutPersonPostgraduate(PersonKey, PersonPostgraduateData) 
```
</details>

## PersonPostgraduateData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных о послевузовском образовании медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	postgraduateId - Строка(36) – Идентификатор (GUID) записи блока данных, который возвращают методы GET (read) и POST (create).
//                            Для методов PUT (update) и DELETE этот идентификатор указывается как entityId в PersonKey.
//  	isDuplicate - Булево – Истина – если документ является дубликатом. Ложь – если документ не является дубликатом.
//  	educPlace - Число – Место получения образования (0 – Россия/РСФСР, 1 – Республики СССР, 2 – иностранное государство).
//  	educationStageId - Число – Тип образования (код из классификатора 1.2.643.5.1.13.13.99.2.104).
//                                 1 Интернатура
//                                 2 Ординатура
//                                 3 Аспирантура
//                                 4 Докторантура
//                                 5 Соискательство
//  	isStudying - Булево – Учится по настоящее время.
//  	beginYear - Число – Год поступления.
//  	docSerial - Строка(6) – Серия диплома.
//  	docNumber - Строка(7) – Номер диплома.
//  	docDate - Дата(ISO8601) – Дата выдачи диплома.
//  	institutionId - Число – Образовательная организация (код из классификатора 1.2.643.5.1.13.13.11.1519).
//  	academicDegreeId - Число – Ученая степень (код из классификатора 1.2.643.5.1.13.13.11.1067).
//  	scienceBranchId - Число – Отрасль науки (код из классификатора 1.2.643.5.1.13.13.11.1068).
//  	specId - Число – Специальность для типов послевузовского образования «Интернатура» или «Ординатура» (код из классификатора 1.2.643.5.1.13.13.11.1066).
//  	doctSpecId - Число – Специальность для типов послевузовского образования «Аспирантура»/«Докторантура» (код из классификатора 1.2.643.5.1.13.13.99.2.220).
//  	isTargeted - Булево – Целевое обучение.
//  	targetedRegionId - Число – Заказчик целевого обучения (код из классификатора 1.2.643.5.1.13.13.99.2.206).
//  	dutyMonthsPeriod - Число – Срок исполнения обязательств в месяцах.
//  	isTargetTerminated - Булево – Расторгнуты ли обязательства по целевому обучению.
//  	terminationReasonId - Число – Причина расторжения целевых обязательств (код из классификатора 1.2.643.5.1.13.13.99.2.353).
//  	oksmId - Число – Страна (код из классификатора 1.2.643.5.1.13.2.1.1.63).
//  	unionRepublicId - Число – Союзная республика (код из классификатора 1.2.643.5.1.13.2.1.1.779).
//  	foreignInstitution - Строка(512) – Образовательная организация.
//  	hasForeignCert - Число – Наличие свидетельства о признании иностранного образования (0 – «Да», 1 – «Нет, но требуется», 2 – «Не требуется»).
//  	foreignCertSerial - Строка(2) – Серия бланка свидетельства о признании иностранного образования.
//  	foreignCertNumber - Строка(12) – Номер бланка свидетельства о признании иностранного образования.
//  	foreignCertDate - Дата(ISO8601) – Дата выдачи свидетельства.
//
//
Функция PersonPostgraduateData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonPostgraduateData() 
```
</details>

## GetPersonExt
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для чтения сведений о дополнительном профессиональном образовании медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция GetPersonExt(PersonKey) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.GetPersonExt(PersonKey) 
```
</details>

## PostPutPersonExt
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для создания (create) или изменения сведений о
// дополнительном профессиональном образовании медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//  PersonPostgraduateData - Структура - см. описание функции PersonExtData.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция PostPutPersonExt(PersonKey, PersonExtData) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PostPutPersonExt(PersonKey, PersonExtData) 
```
</details>

## PersonExtData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных о дополнительном профессиональном образовании (ДПО) медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	extId - Строка(36) – Идентификатор (GUID) записи блока данных, который возвращают методы GET (read) и POST (create).
//                            Для методов PUT (update) и DELETE этот идентификатор указывается как entityId в PersonKey.
//  	profEducationKindId - Число – Вид ДПО (код из классификатора 1.2.643.5.1.13.13.99.2.297).
//                                    1 Повышение квалификации
//                                    2 Стажировка
//                                    3 Профессиональная переподготовка
//  	institutionId - Число – Образовательная организация (код из классификатора 1.2.643.5.1.13.13.11.1519).
//  	hoursCount - Число – Количество часов.
//  	theme - Строка(256) – Тематика.
//  	docSerial - Строка(6) – Серия диплома.
//  	docNumber - Строка(7) – Номер диплома.
//  	docDate - Дата(ISO8601) – Дата выдачи диплома.
//  	specId - Число – Специальность (код из классификатора 1.2.643.5.1.13.13.11.1066).
//
//
Функция PersonExtData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonExtData() 
```
</details>

## GetPersonCommon
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для чтения сведений о среднем (общем) образовании медицинского работника.
// Подразумевается, что такое образование у человека только одно, т.к. возвращается не список, а единственный объект.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция GetPersonCommon(PersonKey) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.GetPersonCommon(PersonKey) 
```
</details>

## PostPutPersonCommon
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для создания (create) или изменения сведений о среднем (общем) образовании медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//  PersonCommonData - Структура - см. описание функции PersonCommonData.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция PostPutPersonCommon(PersonKey, PersonCommonData) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PostPutPersonCommon(PersonKey, PersonCommonData) 
```
</details>

## PersonCommonData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных о среднем (общем) образовании медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	commonId - Строка(36) – Идентификатор (GUID) записи блока данных, который возвращают методы GET (read) и POST (create).
//                              Для методов PUT (update) и DELETE этот идентификатор указывается как entityId в PersonKey.
//  	institution - Строка(512) – Образовательная организация.
//  	docSerial - Строка(5) – Серия аттестата.
//  	docNumber - Строка(14) – Номер аттестата.
//  	docDate - Дата(ISO8601) – Дата выдачи аттестата.
//  	profCourseSet - Массив – Профессиональные курсы (см. Функция PersonCommonProfCourse).
//                               Так как запись сведений о курсе не имеет идентификатора,
//                               то при обновлении данных весь список переписывается целиком.
//
Функция PersonCommonData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonCommonData() 
```
</details>

## PersonCommonProfCourse
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных профессионального курса, пройденного медицинским работником.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	docDate - Дата(ISO8601) – Дата выдачи документа.
//  	profCourseId - Число – Профессия.
//  	                       Справочник НСИ «ФРМР. Профессиональные курсы», OID 1.2.643.5.1.13.13.99.2.177).
//  	profCourseName - Строка – Наименование профессии.
//  	                          Справочник НСИ «ФРМР. Профессиональные курсы», OID 1.2.643.5.1.13.13.99.2.177).
//
Функция PersonCommonProfCourse() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonCommonProfCourse() 
```
</details>

## PostPutPersonCert
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для создания (create) сведений о сертификате медицинского работника.
// Поскольку неизвестно, как сервис интерпретирует отсутствующие параметры данных, идентификатор параметра указывается всегда,
// даже если значение установлено в Неопределено - в этом случае в качестве значения используется пустая строка или пустой массив.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//  PersonCertData - Структура - см. описание функции PersonCertData.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция PostPutPersonCert(PersonKey, PersonCertData) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PostPutPersonCert(PersonKey, PersonCertData) 
```
</details>

## PersonCertData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных о сертификате медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	certId - Строка(36) – Идентификатор (GUID) записи блока данных, который возвращают методы GET (read) и POST (create).
//                              Для методов PUT (update) и DELETE этот идентификатор указывается как entityId в PersonKey.
//  	institutionId - Строка(6) – Код учебного заведения в классификаторе ФРМР.
//  	institutionName - Строка(150) – Наименование учебного заведения в классификаторе ФРМР.
//  	certSerial - Строка(6) – Серия сертификата.
//  	certNumber - Строка(13) – Номер сертификата.
//  	examDate - Дата(ISO8601) – Дата сдачи сертификационного экзамена.
//  	passDate - Дата(ISO8601) – Дата выдачи сертификата.
//  	endDate - Дата(ISO8601) – Дата окончания срока действия сертификата специалиста.
//  	specId - Число – Специальность (код из классификатора 1.2.643.5.1.13.13.11.1066).
//  	specName - Строка(150) – Наименование специальности в классификаторе ФРМР.
//
Функция PersonCertData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonCertData() 
```
</details>

## GetPersonNomination
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для чтения сведений о наградах медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция GetPersonNomination(PersonKey) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.GetPersonNomination(PersonKey) 
```
</details>

## PostPutPersonNomination
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для создания (create) сведений о награде медицинского работника.
// Поскольку неизвестно, как сервис интерпретирует отсутствующие параметры данных, идентификатор параметра указывается всегда,
// даже если значение установлено в Неопределено - в этом случае в качестве значения используется пустая строка или пустой массив.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//  PersonCertData - Структура - см. описание функции PersonCertData.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция PostPutPersonNomination(PersonKey, PersonNominationData) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PostPutPersonNomination(PersonKey, PersonNominationData) 
```
</details>

## PersonNominationData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных о награде медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	entityId - Число – Идентификатор записи блока данных, который возвращают методы GET (read) и POST (create).
//                              Для методов PUT (update) и DELETE этот идентификатор указывается как entityId в PersonKey.
//  	nominationId - Число – Награда (код из классификатора 1.2.643.5.1.13.13.99.2.44).
//  	nomNumber - Строка(20) – Номер.
//  	nomDate - Дата(ISO8601) – Дата.
//
Функция PersonNominationData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonNominationData() 
```
</details>

## GetPersonQualification
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для чтения сведений о квалификации медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция GetPersonQualification(PersonKey) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.GetPersonQualification(PersonKey) 
```
</details>

## PostPutPersonQualification
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры вызова rest-метода для создания (create) сведений о квалификации медицинского работника.
// Поскольку неизвестно, как сервис интерпретирует отсутствующие параметры данных, идентификатор параметра указывается всегда,
// даже если значение установлено в Неопределено - в этом случае в качестве значения используется пустая строка или пустой массив.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//  PersonCertData - Структура - см. описание функции PersonCertData.
//
// Возвращаемое значение:
//  Структура - см. описание функции МедицинскиеРегистры.ПараметрыВызоваМетода.
//
Функция PostPutPersonQualification(PersonKey, PersonQualificationData) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PostPutPersonQualification(PersonKey, PersonQualificationData) 
```
</details>

## PersonQualificationData
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры данных о квалификации медицинского работника.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	qualificationId - Число – Идентификатор записи блока данных, который возвращают методы GET (read) и POST (create).
//                              Для методов PUT (update) и DELETE этот идентификатор указывается как entityId в PersonKey.
//  	qualifyCategoryId - Число – Категория (код из классификатора 1.2.643.5.1.13.13.11.1494).
//  	beginDate - Дата(ISO8601) – Дата присвоения.
//  	endDate - Дата(ISO8601) – Дата окончания срока действия квалификационной категории.
//  	specId - Число – Специальность (код из классификатора 1.2.643.5.1.13.13.11.1066).
//  	fedPostId - Число – Должность по классификатору 1.2.643.5.1.13.13.99.2.885.
//  	postId - Число – Должность по классификатору 1.2.643.5.1.13.13.99.2.181.
//
Функция PersonQualificationData() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonQualificationData() 
```
</details>

## PersonKey
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор структуры ключа, однозначно идентифицирующего медицинского работника.
// *** Подразумевается, что такое образование у человека только одно, т.к. метод GET возвращает не список, а единственный объект.
//
// Возвращаемое значение:
//  Структура - параметры, необходимые для вызова метода сервиса REST.
//  	mo - Строка – Идентификатор организации.
//  	oid - Строка – OID Медицинского работника.
//  	snils - Строка(11) – СНИЛС.
//  	documentId - Число – Код документа, удостоверяющего личность.
//  	                     Справочник ФНСИ «Документы, удостоверяющие личность», OID 1.2.643.5.1.13.13.99.2.48.
//  	serial - Строка(10) – Серия документа, удостоверяющего личность.
//  	number - Строка(20) – Номер документа, удостоверяющего личность.
//  	passDate - Дата – Дата выдачи документа, удостоверяющего личность.
//  	entityId - Строка(36) – Идентификатор (GUID) записи блока специфических данных (об образовании, сертификате,
//                              аккредитации и т.п.), которые необходимо изменить или удалить методами PUT (update)
//                              или DELETE. Для остальных методов оставлять в значении Неопределено.
//
Функция PersonKey() Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonKey() 
```
</details>

## PersonKeyUrl
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует "командную" часть url запроса данных медицинского работника.
//
// Параметры:
//  PersonKey - Структура - см. описание функции PersonKey.
//
// Возвращаемое значение:
//  Строка - часть url, содержащая пары &параметр=значение.
//
Функция PersonKeyUrl(PersonKey, ПропуститьКлючMr = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.PersonKeyUrl(PersonKey, ПропуститьКлючMr);
```
</details>

## ТегСоЗначениемИзЧислаИлиСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТегСоЗначениемИзЧислаИлиСтроки(Тег, ЗначениеИдентификатора) Экспорт
```

Пример вызова
```bsl
Результат = МедицинскиеРегистрыФРМР.ТегСоЗначениемИзЧислаИлиСтроки(Тег, ЗначениеИдентификатора));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
