---
title: Менеджер обмена через универсальный формат13
slug: zup/менеджер-обмена-через-универсальный-формат13
---


## ПослеКонвертации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеКонвертации(КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПослеКонвертации(КомпонентыОбмена) 
```
</details>

## ПередОтложеннымЗаполнением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередОтложеннымЗаполнением(КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПередОтложеннымЗаполнением(КомпонентыОбмена) 
```
</details>

## ВерсияФорматаМенеджераОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает версию формата менеджера обмена.
// Возвращаемое значение:
//  Число - номер версии.
Функция ВерсияФорматаМенеджераОбмена() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОбменаЧерезУниверсальныйФормат13.ВерсияФорматаМенеджераОбмена() 
```
</details>

## ЗаполнитьПравилаОбработкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Заполняет таблицу правил обработки данных.
//
// Параметры:
//  НаправлениеОбмена - строка ("Отправка" либо "Получение").
//  ПравилаОбработкиДанных - таблица значений, в которую добавляются правила.
Процедура ЗаполнитьПравилаОбработкиДанных(НаправлениеОбмена, ПравилаОбработкиДанных) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ЗаполнитьПравилаОбработкиДанных(НаправлениеОбмена, ПравилаОбработкиДанных) 
```
</details>

## ПОД_Документ_ВедомостьНаВыплатуЗПВКассу_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Документ_ВедомостьНаВыплатуЗПВКассу_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Документ_ВедомостьНаВыплатуЗПВКассу_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Документ_ВедомостьНаВыплатуЗППеречислением_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Документ_ВедомостьНаВыплатуЗППеречислением_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Документ_ВедомостьНаВыплатуЗППеречислением_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Документ_ВедомостьНаВыплатуЗПРаздатчиком_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Документ_ВедомостьНаВыплатуЗПРаздатчиком_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Документ_ВедомостьНаВыплатуЗПРаздатчиком_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Документ_ДоговорЗаймаСотруднику_Отправка_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Документ_ДоговорЗаймаСотруднику_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Документ_ДоговорЗаймаСотруднику_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ДобавитьПОД_Документ_ПлатежноеПоручение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПОД_Документ_ПлатежноеПоручение(ПравилаОбработкиДанных) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ДобавитьПОД_Документ_ПлатежноеПоручение(ПравилаОбработкиДанных));
```
</details>

## ПОД_Документ_ПлатежноеПоручение_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ПОД_Документ_ПлатежноеПоручение_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Документ_ПлатежноеПоручение_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Справочник_Банки_Отправка_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Справочник_Банки_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Справочник_Банки_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Справочник_ВидыРаботСотрудников_Отправка_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Справочник_ВидыРаботСотрудников_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Справочник_ВидыРаботСотрудников_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Справочник_ДокументыФизическихЛиц_Отправка_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Справочник_ДокументыФизическихЛиц_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Справочник_ДокументыФизическихЛиц_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Справочник_РегистрацииВНалоговомОргане_Отправка_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Справочник_РегистрацииВНалоговомОргане_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Справочник_РегистрацииВНалоговомОргане_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Справочник_СпособыОтраженияЗарплатыВБухУчете_Отправка_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Справочник_СпособыОтраженияЗарплатыВБухУчете_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Справочник_СпособыОтраженияЗарплатыВБухУчете_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Справочник_ФизическиеЛица_Отправка_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Справочник_ФизическиеЛица_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Справочник_ФизическиеЛица_Отправка_ПриОбработке(ДанныеИБ, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Документ_ДанныеДляРасчетаЗарплаты_Получение_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Документ_ДанныеДляРасчетаЗарплаты_Получение_ПриОбработке(ДанныеXDTO, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Документ_ДанныеДляРасчетаЗарплаты_Получение_ПриОбработке(ДанныеXDTO, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Справочник_Банки_Получение_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Справочник_Банки_Получение_ПриОбработке(ДанныеXDTO, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Справочник_Банки_Получение_ПриОбработке(ДанныеXDTO, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Справочник_ДокументыФизическихЛиц_Получение_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Справочник_ДокументыФизическихЛиц_Получение_ПриОбработке(ДанныеXDTO, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Справочник_ДокументыФизическихЛиц_Получение_ПриОбработке(ДанныеXDTO, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ПОД_Справочник_СпособыОтраженияЗарплатыВБухУчетеГруппа_Получение_ПриОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПОД_Справочник_СпособыОтраженияЗарплатыВБухУчетеГруппа_Получение_ПриОбработке(ДанныеXDTO, ИспользованиеПКО, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПОД_Справочник_СпособыОтраженияЗарплатыВБухУчетеГруппа_Получение_ПриОбработке(ДанныеXDTO, ИспользованиеПКО, КомпонентыОбмена));
```
</details>

## ЗаполнитьПравилаКонвертацииОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Заполняет таблицу правил конвертации объектов.
//
// Параметры:
//  НаправлениеОбмена - строка ("Отправка" либо "Получение").
//  ПравилаКонвертации - таблица значений, в которую добавляются правила.
Процедура ЗаполнитьПравилаКонвертацииОбъектов(НаправлениеОбмена, ПравилаКонвертации) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ЗаполнитьПравилаКонвертацииОбъектов(НаправлениеОбмена, ПравилаКонвертации) 
```
</details>

## ДобавитьПКТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПКТЧ(ПравилоКонвертации, ИмяТЧКонфигурации, ИмяТЧФормата) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОбменаЧерезУниверсальныйФормат13.ДобавитьПКТЧ(ПравилоКонвертации, ИмяТЧКонфигурации, ИмяТЧФормата));
```
</details>

## ДобавитьПКС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПКС(РодительПКС, СвойствоКонфигурации, СвойствоФормата, ИспользуетсяАлгоритмКонвертации = 0, Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ДобавитьПКС(РодительПКС, СвойствоКонфигурации, СвойствоФормата, ИспользуетсяАлгоритмКонвертации, );
```
</details>

## ПКО_Документ_ВедомостьНаВыплатуЗПВКассу_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ВедомостьНаВыплатуЗПВКассу_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ВедомостьНаВыплатуЗПВКассу_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Документ_ВедомостьНаВыплатуЗПВКассу_НДФЛ_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ВедомостьНаВыплатуЗПВКассу_НДФЛ_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ВедомостьНаВыплатуЗПВКассу_НДФЛ_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Документ_ВедомостьНаВыплатуЗППеречислением_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ВедомостьНаВыплатуЗППеречислением_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ВедомостьНаВыплатуЗППеречислением_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Документ_ВедомостьНаВыплатуЗППеречислением_НДФЛ_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ВедомостьНаВыплатуЗППеречислением_НДФЛ_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ВедомостьНаВыплатуЗППеречислением_НДФЛ_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Документ_ВедомостьНаВыплатуЗПРаздатчиком_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ВедомостьНаВыплатуЗПРаздатчиком_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ВедомостьНаВыплатуЗПРаздатчиком_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Документ_ВедомостьНаВыплатуЗПРаздатчиком_НДФЛ_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ВедомостьНаВыплатуЗПРаздатчиком_НДФЛ_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ВедомостьНаВыплатуЗПРаздатчиком_НДФЛ_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Документ_ДоговорЗаймаСотруднику_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ДоговорЗаймаСотруднику_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ДоговорЗаймаСотруднику_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Документ_НачислениеОценочныхОбязательствПоОтпускам_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_НачислениеОценочныхОбязательствПоОтпускам_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_НачислениеОценочныхОбязательствПоОтпускам_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Документ_ОтражениеЗарплатыВБухучете_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ОтражениеЗарплатыВБухучете_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ОтражениеЗарплатыВБухучете_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ДобавитьПКО_Документ_ПлатежноеПоручение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПКО_Документ_ПлатежноеПоручение(ПравилаКонвертации) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ДобавитьПКО_Документ_ПлатежноеПоручение(ПравилаКонвертации));
```
</details>

## ПКО_Документ_ПлатежноеПоручение_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ПлатежноеПоручение_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ПлатежноеПоручение_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ДобавитьПКО_Документ_ПлатежноеПоручение_НДФЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПКО_Документ_ПлатежноеПоручение_НДФЛ(ПравилаКонвертации) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ДобавитьПКО_Документ_ПлатежноеПоручение_НДФЛ(ПравилаКонвертации));
```
</details>

## ПКО_Документ_ПлатежноеПоручение_НДФЛ_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ПлатежноеПоручение_НДФЛ_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ПлатежноеПоручение_НДФЛ_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_БанковскиеСчетаКонтрагентов_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_БанковскиеСчетаКонтрагентов_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_БанковскиеСчетаКонтрагентов_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_ДокументыФизическихЛиц_Отправка_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_ДокументыФизическихЛиц_Отправка_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_ДокументыФизическихЛиц_Отправка_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_ЗППроекты_КакБанковскиеСчета_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_ЗППроекты_КакБанковскиеСчета_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_ЗППроекты_КакБанковскиеСчета_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_ЗППроекты_КакКонтрагенты_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_ЗППроекты_КакКонтрагенты_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_ЗППроекты_КакКонтрагенты_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_Контрагенты_ИзСтруктуры_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Контрагенты_ИзСтруктуры_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Контрагенты_ИзСтруктуры_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_Организации_Отправка_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Организации_Отправка_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Организации_Отправка_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_Подразделения_Отправка_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Подразделения_Отправка_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Подразделения_Отправка_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_ФизическиеЛица_Отправка_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_ФизическиеЛица_Отправка_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_ФизическиеЛица_Отправка_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Документ_ДанныеДляРасчетаЗарплаты_Получение_ПриКонвертацииДанныхXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Документ_ДанныеДляРасчетаЗарплаты_Получение_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Документ_ДанныеДляРасчетаЗарплаты_Получение_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_Организации_Получение_ПриКонвертацииДанныхXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Организации_Получение_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Организации_Получение_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_Организации_Получение_ПередЗаписьюПолученныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Организации_Получение_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Организации_Получение_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_Подразделения_Получение_ПередЗаписьюПолученныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Подразделения_Получение_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Подразделения_Получение_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_ФизическиеЛица_Получение_ПриКонвертацииДанныхXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_ФизическиеЛица_Получение_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_ФизическиеЛица_Получение_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_ФизическиеЛица_Получение_ПередЗаписьюПолученныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_ФизическиеЛица_Получение_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_ФизическиеЛица_Получение_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_Валюты_ПриКонвертацииДанныхXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Валюты_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Валюты_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_Валюты_ПередЗаписьюПолученныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Валюты_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Валюты_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_ВидыДокументовФизическихЛиц_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_ВидыДокументовФизическихЛиц_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_ВидыДокументовФизическихЛиц_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_ДополнительныеРеквизиты_ПередЗаписьюПолученныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_ДополнительныеРеквизиты_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_ДополнительныеРеквизиты_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_Пользователи_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Пользователи_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Пользователи_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_Пользователи_ПриКонвертацииДанныхXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Пользователи_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Пользователи_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_Пользователи_ПередЗаписьюПолученныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_Пользователи_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_Пользователи_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_РегистрацииВНалоговомОргане_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_РегистрацииВНалоговомОргане_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_РегистрацииВНалоговомОргане_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_РегистрацииВНалоговомОргане_ПриКонвертацииДанныхXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_РегистрацииВНалоговомОргане_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_РегистрацииВНалоговомОргане_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_РегистрацииВНалоговомОргане_ПередЗаписьюПолученныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_РегистрацииВНалоговомОргане_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_РегистрацииВНалоговомОргане_ПередЗаписьюПолученныхДанных(ПолученныеДанные, ДанныеИБ, КонвертацияСвойств, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчете_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчете_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчете_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчете_ПриКонвертацииДанныхXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчете_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчете_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена));
```
</details>

## ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчетеГруппа_ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчетеГруппа_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчетеГруппа_ПриОтправкеДанных(ДанныеИБ, ДанныеXDTO, КомпонентыОбмена, СтекВыгрузки));
```
</details>

## ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчетеГруппа_ПриКонвертацииДанныхXDTO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчетеГруппа_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ПКО_Справочник_СпособыОтраженияЗарплатыВБухУчетеГруппа_ПриКонвертацииДанныхXDTO(ДанныеXDTO, ПолученныеДанные, КомпонентыОбмена));
```
</details>

## ЗаполнитьПравилаКонвертацииПредопределенныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Заполняет таблицу правил конвертации предопределенных данных.
//
// Параметры:
//  НаправлениеОбмена - строка ("Отправка" либо "Получение").
//  ПравилаКонвертации - таблица значений, в которую будут добавлены правила.
Процедура ЗаполнитьПравилаКонвертацииПредопределенныхДанных(НаправлениеОбмена, ПравилаКонвертации) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ЗаполнитьПравилаКонвертацииПредопределенныхДанных(НаправлениеОбмена, ПравилаКонвертации) 
```
</details>

## ВерсияФорматаЧислом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерсияФорматаЧислом(СтрокаВерсии) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОбменаЧерезУниверсальныйФормат13.ВерсияФорматаЧислом(СтрокаВерсии));
```
</details>

## ЗаполнитьПараметрыКонвертации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Заполняет параметры конвертации.
//
// Параметры:
//  ПараметрыКонвертации - структура, в которую добавляются параметры конвертации.
Процедура ЗаполнитьПараметрыКонвертации(ПараметрыКонвертации) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ЗаполнитьПараметрыКонвертации(ПараметрыКонвертации) 
```
</details>

## ВыполнитьПроцедуруМодуляМенеджера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Процедура-обертка, выполняет запуск указанной в параметрах процедуры модуля менеджера обмена через формат.
//
// Параметры:
//  ИмяПроцедуры - строка.
//  СтруктураПараметров - структура, содержащая передаваемые параметры.
Процедура ВыполнитьПроцедуруМодуляМенеджера(ИмяПроцедуры, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОбменаЧерезУниверсальныйФормат13.ВыполнитьПроцедуруМодуляМенеджера(ИмяПроцедуры, Параметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
