---
title: Менеджер оборудования вызов сервера
slug: zup/менеджер-оборудования-вызов-сервера
---


## ВерсияБиблиотеки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер версии библиотеки подключаемого оборудования.
//
Функция ВерсияБиблиотеки() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ВерсияБиблиотеки() 
```
</details>

## РевизияИнтерфейсаДрайверов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает ревизию требований для драйверов подключаемого оборудования.
//
Функция РевизияИнтерфейсаДрайверов() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.РевизияИнтерфейсаДрайверов() 
```
</details>

## ПолучитьДатаСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текущую дату сервера, приведенную к часовому поясу сеанса.
// Предназначена для использования вместо функции ТекущаяДатаСеанса.
//
// Возвращаемое значение:
//  Результат - текущая дата сеанса.
//
Функция ПолучитьДатаСеанса() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьДатаСеанса() 
```
</details>

## ОборудованиеПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает список подключенного в справочнике ПО
//
//  Параметры:
// 	ТипыПО - Неопределено - Описание
// 	Идентификатор - Неопределено - Описание
// 	РабочееМесто - Неопределено - Описание
// Возвращаемое значение:
// 	Массив из Структура - Описание:
// 	* Наименование - Строка - .
Функция ОборудованиеПоПараметрам(ТипыПО = Неопределено, Идентификатор = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ОборудованиеПоПараметрам(ТипыПО, Идентификатор, );
```
</details>

## ПолучитьПараметрыУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает по идентификатору устройства его параметры.
//
Функция ПолучитьПараметрыУстройства(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьПараметрыУстройства(Идентификатор) 
```
</details>

## ПолучитьПараметрыРегистрацииУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает по идентификатору устройства параметры регистрации.
//
Функция ПолучитьПараметрыРегистрацииУстройства(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьПараметрыРегистрацииУстройства(Идентификатор) 
```
</details>

## СохранитьПараметрыУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для сохранения параметров устройства
// в реквизит Параметры типа хранилище значения в элементе справочника.
//
Функция СохранитьПараметрыУстройства(Идентификатор, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СохранитьПараметрыУстройства(Идентификатор, Параметры) 
```
</details>

## СохранитьПараметрыРегистрацииУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для сохранения параметров регистрации устройства
//
Функция СохранитьПараметрыРегистрацииУстройства(Идентификатор, ПараметрыРегистрации) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СохранитьПараметрыРегистрацииУстройства(Идентификатор, ПараметрыРегистрации) 
```
</details>

## ПолучитьДанныеУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру с данными устройства.
//
// Параметры:
// 	Идентификатор - СправочникСсылка.ПодключаемоеОборудование - экземпляр подключаемого оборудования.
// Возвращаемое значение:
// 	Структура - Описание:
// *ОбработчикДрайвераИмя - Строка - имя драйвера.
// *ОбработчикДрайвера - Строка - обработчик драйвера.
// *ИмяКомпьютера - Строка - наименование компьютера.
// *РабочееМесто - СправочникСсылка.РабочиеМеста - рабочее место.
// *Параметры - Структура - структура с полями:
// **ДатаНачала - Дата - .
// **ДатаОкончания - Дата - .
// **ПериодВыгрузки - Структура - структура с полями:
// ***ДатаНачала - Дата - дата начала загрузки.
// ***ДатаОкончания - Дата - дата окончания загрузки.
// *ИмяФайлаДрайвера - Строка - имя файла драйвера.
// *ИмяМакетаДрайвера - Строка - имя макета драйвера.
// *ПоставляетсяДистрибутивом - Булево - признак поставки дистрибутивом.
// *ИдентификаторОбъекта - Строка - идентификатор объекта строкой.
// *ВСоставеКонфигурации - Булево - признак поставке в составе конфигурации.
// *ДрайверОборудованияИмя - Строка - драйвер оборудования строкой.
// *ДрайверОборудования - СправочникСсылка.ДрайверОборудования - драйвер оборудования.
// *ТипОборудованияИмя - Строка - тип опоборудования строкой.
// *ТипОборудования - ПеречислениеСсылка.ТипыПодключаемогоОборудования - тип оборудования.
// *Наименование - Строка - наименование оборудования.
// *ИдентификаторУстройства - Строка - идентификатор устройства.
// *Ссылка - СправочникСсылка.ПодключаемоеОборудование - экземпляр подключаемого оборудования.
//
Функция ПолучитьДанныеУстройства(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьДанныеУстройства(Идентификатор) 
```
</details>

## ПолучитьДанныеДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру с данными драйвера.
//
// Параметры:
// 	Идентификатор - СправочникСсылка.ПодключаемоеОборудование - экземпляр подключаемого оборудования.
// Возвращаемое значение:
// 	Структура - Описание:
// * ВерсияДрайвера
// * ИмяФайлаДрайвера
// * ИмяМакетаДрайвера
// * ПоставляетсяДистрибутивом
// * ОбработчикДрайвера
// * ИдентификаторОбъекта
// * ВСоставеКонфигурации
// * ТипОборудования
// * ДрайверОборудованияИмя
// * ДрайверОборудования
//
Функция ПолучитьДанныеДрайвера(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьДанныеДрайвера(Идентификатор) 
```
</details>

## ПараметрыДрайвераПоОбработчику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает параметры драйвера по наименованию обработчика.
//
Функция ПараметрыДрайвераПоОбработчику(НаименованиеОбработчикаДрайвера) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПараметрыДрайвераПоОбработчику(НаименованиеОбработчикаДрайвера) 
```
</details>

## ПолучитьРабочееМестоКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает из переменной сеанса имя компьютера клиента.
//
Функция ПолучитьРабочееМестоКлиента() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьРабочееМестоКлиента() 
```
</details>

## НайтиРабочиеМестаПоИД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает список рабочих мест, соответствующих указанному имени компьютера.
//
Функция НайтиРабочиеМестаПоИД(ИдентификаторКлиента) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.НайтиРабочиеМестаПоИД(ИдентификаторКлиента) 
```
</details>

## УстановитьРабочееМестоКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция устанавливает в переменную сеанса имя компьютера клиента.
//
Процедура УстановитьРабочееМестоКлиента(РабочееМестоКлиента) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.УстановитьРабочееМестоКлиента(РабочееМестоКлиента) 
```
</details>

## ПолучитьМакетССервера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает макет драйвера и сохраняет его во временное хранилище,
// возвращая ссылку на временное хранилище.
Функция ПолучитьМакетССервера(ИмяМакета) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьМакетССервера(ИмяМакета) 
```
</details>

## ПредопределенныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает ссылку предопределенного элемента по его полному имени.
//
// Параметры:
// 	ПолноеИмяПредопределенного - Строка - имя предопределенного элемента.
// Возвращаемое значение:
// 	СправочникСсылка.ПодключаемоеОборудование - Описание.
//
Функция ПредопределенныйЭлемент(Знач ПолноеИмяПредопределенного) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПредопределенныйЭлемент(ПолноеИмяПредопределенного) 
```
</details>

## ПравоДоступаСохранениеДанныхПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает доступность сохранение данных пользователя.
//
Функция ПравоДоступаСохранениеДанныхПользователя() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПравоДоступаСохранениеДанныхПользователя() 
```
</details>

## ПолучитьИмяТипаОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает имя перечисления из его метаданных.
//
Функция ПолучитьИмяТипаОборудования(ТипОборудования) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьИмяТипаОборудования(ТипОборудования) 
```
</details>

## ПолучитьТипОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает перечисление по имени.
//
Функция ПолучитьТипОборудования(ТипОборудованияИмя) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьТипОборудования(ТипОборудованияИмя) 
```
</details>

## ПолучитьТипПодключаемогоОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает Тип подключаемого оборудования по ссылке.
//
Функция ПолучитьТипПодключаемогоОборудования(ПодключаемоеОборудование) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьТипПодключаемогоОборудования(ПодключаемоеОборудование) 
```
</details>

## СоздатьРабочееМестоКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает созданное рабочее место клиента.
//
Функция СоздатьРабочееМестоКлиента(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СоздатьРабочееМестоКлиента(Параметры) 
```
</details>

## УстановитьПараметрыСеансаПодключаемогоОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает значения параметров сеанса, относящихся к подключаемому оборудованию.
//
Процедура УстановитьПараметрыСеансаПодключаемогоОборудования(ИмяПараметра, УстановленныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.УстановитьПараметрыСеансаПодключаемогоОборудования(ИмяПараметра, УстановленныеПараметры) 
```
</details>

## ДрайвераДляПереустановки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список оборудования для которого необходима переустановка компоненты.
//
// Параметр:
//  РабочееМесто - СправочникСсылка.РабочиеМеста
//
// Возвращаемое значение
//  Массив
//
Функция ДрайвераДляПереустановки(РабочееМесто) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ДрайвераДляПереустановки(РабочееМесто) 
```
</details>

## ДрайвераДляУстановки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список оборудования для которого необходима установка компоненты.
//
// Параметр:
//  РабочееМесто - СправочникСсылка.РабочиеМеста
//
// Возвращаемое значение
//  Массив
//
Функция ДрайвераДляУстановки(РабочееМесто) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ДрайвераДляУстановки(РабочееМесто) 
```
</details>

## ЗаписатьДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает изменения в переданном объекте.
// Для использования в обработчиках обновления.
//
// Параметры:
//   Данные                            - Произвольный - объект, набор записей или менеджер константы, который
//                                                      необходимо записать.
//   РегистрироватьНаУзлахПлановОбмена - Булево       - включает регистрацию на узлах планов обмена при записи объекта.
//   ВключитьБизнесЛогику              - Булево       - включает бизнес-логику при записи объекта.
//
Процедура ЗаписатьДанные(Знач Данные, Знач РегистрироватьНаУзлахПлановОбмена = Ложь, Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаписатьДанные(Данные, РегистрироватьНаУзлахПлановОбмена, );
```
</details>

## УстановитьПризнакПереустановкиДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак необходимости переустановки оборудования для подключаемого оборудования на рабочем месте.
//
Процедура УстановитьПризнакПереустановкиДрайвера(РабочееМесто, ДрайверОборудования, Признак) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.УстановитьПризнакПереустановкиДрайвера(РабочееМесто, ДрайверОборудования, Признак) 
```
</details>

## УстановитьПризнакПереустановкиДрайвераДляОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак необходимости переустановки оборудования для подключаемого оборудования.
//
Процедура УстановитьПризнакПереустановкиДрайвераДляОборудования(ПодключаемоеОборудование, Признак) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.УстановитьПризнакПереустановкиДрайвераДляОборудования(ПодключаемоеОборудование, Признак) 
```
</details>

## ОбновитьУстановленныеДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновить установленные драйвера по справочнику подключаемого оборудования.
//
Процедура ОбновитьУстановленныеДрайвера(ТипОборудования) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ОбновитьУстановленныеДрайвера(ТипОборудования) 
```
</details>

## УстановитьПризнакУстановкиДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак необходимости установки оборудования для подключаемого оборудования на рабочем месте.
//
Процедура УстановитьПризнакУстановкиДрайвера(РабочееМесто, ДрайверОборудования, Признак) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.УстановитьПризнакУстановкиДрайвера(РабочееМесто, ДрайверОборудования, Признак) 
```
</details>

## СохранитьПользовательскиеНастройкиПодключаемогоОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет пользовательские настройки подключаемого оборудования.
//
Процедура СохранитьПользовательскиеНастройкиПодключаемогоОборудования(СписокНастроек) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.СохранитьПользовательскиеНастройкиПодключаемогоОборудования(СписокНастроек) 
```
</details>

## ТипыИспользуемогоОборудованияТекущегоРабочегоМеста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает типы используемого оборудования для текущего рабочего места.
//
Функция ТипыИспользуемогоОборудованияТекущегоРабочегоМеста() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ТипыИспользуемогоОборудованияТекущегоРабочегоМеста()  
```
</details>

## РасшифроватьКодМагнитнойКарты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит разложение данных дорожек магнитной карты по шаблонам.
// На входе:
// ДанныеДорожек - массив строк. Значения полученные из дорожек.
// ПараметрыДорожек - массив структур содержащих параметры настройки устройства.
//  * Использовать, булево - признак использования дорожки.
//  * НомерДорожки, число - порядковый номер дорожки 1-3.
//
// На выходе:
// Массив структур содержащих расшифрованные данные по всем подходящим шаблонам со ссылкой на них.
// * Массив - шаблоны
//   * Структура - данные шаблона.
//     - Шаблон, СправочникСсылка.ШаблоныМагнитныхКарт
//     - ДанныеДорожек, массив полей всех дорожек.
//       * Структура - данные поля.
//         - Поле
//         - ЗначениеПоля
Функция РасшифроватьКодМагнитнойКарты(ДанныеДорожек, ПараметрыДорожек) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.РасшифроватьКодМагнитнойКарты(ДанныеДорожек, ПараметрыДорожек) 
```
</details>

## ПолучитьОписаниеДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить описание драйвера XML пакета.
//
Функция ПолучитьОписаниеДрайвера(Данные) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьОписаниеДрайвера(Данные) 
```
</details>

## ТоварыТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить таблицу товаров из XML структуры для ТСД.
//
// Возвращаемое значение
//  Массив
//
Функция ТоварыТСД(ДанныеЗагрузки, АлкогольнаяПродукция) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ТоварыТСД(ДанныеЗагрузки, АлкогольнаяПродукция) 
```
</details>

## СформироватьТаблицуТоваровТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать таблицу товаров в XML структуре для ТСД.
//
Функция СформироватьТаблицуТоваровТСД(ДанныеЗагрузки, ПолнаяВыгрузка, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СформироватьТаблицуТоваровТСД(ДанныеЗагрузки, ПолнаяВыгрузка, РевизияИнтерфейса);
```
</details>

## ПодготовитьПакетыДляЗагрузкиТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать XML пакеты товаров для загрузки ТСД.
//
Функция ПодготовитьПакетыДляЗагрузкиТСД(ТаблицаВыгрузки, РазмерПакета, ПолнаяВыгрузка) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПодготовитьПакетыДляЗагрузкиТСД(ТаблицаВыгрузки, РазмерПакета, ПолнаяВыгрузка) 
```
</details>

## СформироватьТаблицуТоваровВесыСПечатьюЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать таблицу товаров в XML структуре для весов с печатью этикеток.
//
Функция СформироватьТаблицуТоваровВесыСПечатьюЭтикеток(ДанныеЗагрузки) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СформироватьТаблицуТоваровВесыСПечатьюЭтикеток(ДанныеЗагрузки) 
```
</details>

## ПодготовитьПакетыДляЗагрузкиВВесыСПечатьюЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать XML пакеты товаров для загрузки ТСД.
//
Функция ПодготовитьПакетыДляЗагрузкиВВесыСПечатьюЭтикеток(ТаблицаВыгрузки, РазмерПакета) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПодготовитьПакетыДляЗагрузкиВВесыСПечатьюЭтикеток(ТаблицаВыгрузки, РазмерПакета) 
```
</details>

## МеткиRFID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить таблицу меток RFID.
//
// Возвращаемое значение
//  Массив
//
Функция МеткиRFID(ДанныеМеток) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.МеткиRFID(ДанныеМеток) 
```
</details>

## ПрочитатьАтрибут
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает значение атрибута текущего элемента.
//
Функция ПрочитатьАтрибут(ЧтениеXML, ИмяАтрибута, ЗначениеАтрибута) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПрочитатьАтрибут(ЧтениеXML, ИмяАтрибута, ЗначениеАтрибута));
```
</details>

## ПрочитатьЭлементXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПрочитатьЭлементXML(ЧтениеXML, ТекстСообщенияОбОшибке) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПрочитатьЭлементXML(ЧтениеXML, ТекстСообщенияОбОшибке));
```
</details>

## ЗаписатьАтрибутЭлемента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура записывает значение атрибута текущего элемента.
//
Процедура ЗаписатьАтрибутЭлемента(ЗаписьXML, ИмяАтрибута, ЗначениеАтрибута, ФорматнаяСтрока="ЧРД=.; ЧН=0; ЧГ=0; БЛ=false; БИ=true") Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаписатьАтрибутЭлемента(ЗаписьXML, ИмяАтрибута, ЗначениеАтрибута, ФорматнаяСтрока);
```
</details>

## ПолучитьОписаниеМакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует структуру с описанием макета.
//
// Параметры:
//  Источник - Строка - источник события.
//  СообщениеОбОшибке - Строка - сообщение пользователю об ошибке
//  Результат - см. СоздатьОписаниеМакета
// Возвращаемое значение:
// 	Булево - результат выполнения операции.
//
Функция ПолучитьОписаниеМакета(Источник, СообщениеОбОшибке, Результат) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьОписаниеМакета(Источник, СообщениеОбОшибке, Результат) 
```
</details>

## СоздатьОписаниеМакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает описание макета.
//
// Возвращаемое значение:
// Структура - структура с полями:
// 	* Поля - Массив - массив полей.
// 	* Ширина - Число - ширина макета.
// 	* Высота - Число - высота макета.
// 	* Ориентация - Число - ориентация макета.
// 	* Масштаб - Число - масштаб.
Функция СоздатьОписаниеМакета() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СоздатьОписаниеМакета() 
```
</details>

## СформироватьДанныеДляПринтераЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует текст XML для передачи его принтеру этикеток.
//
Функция СформироватьДанныеДляПринтераЭтикеток(МассивЭтикеток, МакетЭтикетки) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СформироватьДанныеДляПринтераЭтикеток(МассивЭтикеток, МакетЭтикетки) 
```
</details>

## ПодготовитьПакетыДляПринтераЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать XML пакеты товаров для загрузки ТСД.
//
Функция ПодготовитьПакетыДляПринтераЭтикеток(МассивЭтикеток, РазмерПакета, МакетЭтикетки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПодготовитьПакетыДляПринтераЭтикеток(МассивЭтикеток, РазмерПакета, МакетЭтикетки);
```
</details>

## СохранитьXMLФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует XML-описание макета.
//
Функция СохранитьXMLФайл(ШиринаЭтикетки, ВысотаЭтикетки, Ориентация, Поля) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СохранитьXMLФайл(ШиринаЭтикетки, ВысотаЭтикетки, Ориентация, Поля) 
```
</details>

## ОпределитьТипШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет тип штрихкода по значение кода.
//
Функция ОпределитьТипШтрихкода(Штрихкод) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ОпределитьТипШтрихкода(Штрихкод) 
```
</details>

## ПолучитьКодировкуФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получения кодировки файла.
// Параметры:
//  Кодировка - КодировкаТекста - кодировка при чтении текстового файла, по умолчанию КодировкаТекста.UTF8.
//
// Возвращаемое значение:
// Кодировка - КодировкаТекста.
Функция ПолучитьКодировкуФайла(Кодировка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьКодировкуФайла(Кодировка);
```
</details>

## ПолучитьСодержаниеТекстовыхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура получения содержания текстовых файлов.
// Параметры:
//  ПомещаемыеФайлы - Массив Из Файл- имя файла или массив с именами файлов.
//  Кодировка - КодировкаТекста - кодировка при чтении текстового файла, по умолчанию КодировкаТекста.UTF8.
//
Функция ПолучитьСодержаниеТекстовыхФайлов(ПомещаемыеФайлы, Кодировка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьСодержаниеТекстовыхФайлов(ПомещаемыеФайлы, Кодировка);
```
</details>

## ПолучитьСодержаниеТекстовыхФайловИзХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция получает содержание текстовых файлов из временного хранилища.
// Параметры:
//   ПомещенныеФайлы - массив содержащий элементы типа ОписаниеПередаваемогоФайла, из которых читается содержание.
// Возвращаемое значение:
//   РезультатЧтения - структура с ключами:
//    - Успешно - булево.
//    - СодержаниеФайлов - массив структур, с ключами ОписаниеПереданногоФайла и ТекстСодержания.
//      или Неопределено, в случае Успешно = Ложь.
//    - ТекстОшибки - строка.
//
Функция ПолучитьСодержаниеТекстовыхФайловИзХранилища(ПомещенныеФайлы, Кодировка) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьСодержаниеТекстовыхФайловИзХранилища(ПомещенныеФайлы, Кодировка) 
```
</details>

## ПроверитьДублированиеКодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет проверку дублирования кодов в массивах групп товаров и товаров подготавливаемых для ККМ-Offline.
// Параметры:
//   РасширеннаяВыгрузка  - булево, признак расширенной выгрузки.
//   ГруппыТоваров  - массив, список групп товаров.
//   Товары  - массив, список товаров.
//   Коды  - строка, строка в которую через ", " будут перечислены дублирующиеся коды.
// Возвращаемое значение:
//   Булево - если есть дублирование, возвращает Истина, иначе Ложь.
//
Функция ПроверитьДублированиеКодов(РасширеннаяВыгрузка, ГруппыТоваров, Товары, Коды) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПроверитьДублированиеКодов(РасширеннаяВыгрузка, ГруппыТоваров, Товары, Коды) 
```
</details>

## ЗаписатьФискальнуюОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать операцию в журнал фискальных операций.
//
Процедура ЗаписатьФискальнуюОперацию(ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаписатьФискальнуюОперацию(ПараметрыФискализации) 
```
</details>

## ДанныеФискальнойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить данные журнала фискальных операций.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ-основание.
//
// Возвращаемое значение:
//  Структура - Структура по свойствами:
//   * НомерСменыККМ - Число - Номер чека ККМ.
//   * Сумма - Число - Сумма.
//   * ДокументОснование - ДокументСсылка - Документ-основание.
//   * ДанныеXML - ХранилищеЗначений - Данные чека, переданные в ККТ (XML).
//
Функция ДанныеФискальнойОперации(ДокументСсылка, ИдентификаторЗаписи = Неопределено, ТипыДокументов = Неопределено, ТипРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ДанныеФискальнойОперации(ДокументСсылка, ИдентификаторЗаписи, ТипыДокументов, ТипРасчета);
```
</details>

## ФискальнаяОперацииПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить данные журнала фискальных операций.
//
// Параметры:
//  ИдентификаторЗаписи - Идентификатор записи.
//
Функция ФискальнаяОперацииПоИдентификатору(ИдентификаторЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ФискальнаяОперацииПоИдентификатору(ИдентификаторЗаписи) 
```
</details>

## СписокФискальныхОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить список журнала фискальных операций.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ-основание.
//
// Возвращаемое значение:
//  Структура - Структура по свойствами:
//   * НомерСменыККМ - Число - Номер чека ККМ.
//   * Сумма - Число - Сумма.
//   * ДокументОснование - ДокументСсылка - Документ-основание.
//   * ДанныеXML - ХранилищеЗначений - Данные чека, переданные в ККТ (XML).
//
Функция СписокФискальныхОпераций(ДокументСсылка, ТипыДокументов = Неопределено, ТипРасчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СписокФискальныхОпераций(ДокументСсылка, ТипыДокументов, ТипРасчета);
```
</details>

## ДобавитьЧекВОчередьЧековККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить чек в очередь чеков ККТ.
//
// Параметры:
//  ПараметрыЧекаККТ - Структура - Параметры чека ККТ:
//  * ПозицииЧека - Массив из См. МенеджерОборудованияКлиентСервер.ПараметрыФискальнойСтрокиЧека - .
//
Функция ДобавитьЧекВОчередьЧековККТ(ПараметрыЧекаККТ) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ДобавитьЧекВОчередьЧековККТ(ПараметрыЧекаККТ) 
```
</details>

## ДанныеЧекаВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные чека из очереди.
//
// Параметры:
//  ИдентификаторЗаписи - Идентификатор записи.
//
Функция ДанныеЧекаВОчереди(ИдентификаторЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ДанныеЧекаВОчереди(ИдентификаторЗаписи) 
```
</details>

## ЧекиВОчередиНаФискализацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Чеки в очереди на фискализацию.
//
Функция ЧекиВОчередиНаФискализацию() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ЧекиВОчередиНаФискализацию() 
```
</details>

## УдалитьЧекИзОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удалить чек из очереди.
//
// Параметры:
//  ДокументСсылка - ДокументСсылка - Документ-основание.
//
Процедура УдалитьЧекИзОчереди(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.УдалитьЧекИзОчереди(ДокументСсылка) 
```
</details>

## ОчиститьОчередьЧеков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очистить очередь чеков.
//
Процедура ОчиститьОчередьЧеков() Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ОчиститьОчередьЧеков() 
```
</details>

## ЗаписатьСтатусЧекаВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записать статус чека в очереди.
//
Процедура ЗаписатьСтатусЧекаВОчереди(ПараметрыФискализации, СтатусЧека, ОборудованиеККТ = Неопределено, ТекстОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаписатьСтатусЧекаВОчереди(ПараметрыФискализации, СтатусЧека, ОборудованиеККТ, ТекстОшибки);
```
</details>

## ПолучитьСтатусЧекаВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные чека из очереди.
//
// Параметры:
//  ИдентификаторЗаписи - Идентификатор записи.
//
Функция ПолучитьСтатусЧекаВОчереди(ИдентификаторЗаписи) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьСтатусЧекаВОчереди(ИдентификаторЗаписи) 
```
</details>

## ПолучитьФискальнуюОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данные чека из очереди по фискальный признаку и номеру чеку ККМ.
//
// Параметры:
//  ФискальныйПризнак - Фискальный признак
//  НомерЧекаККМ - Номер чека ККМ
//
Функция ПолучитьФискальнуюОперацию(ФискальныйПризнак, НомерЧекаККМ = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьФискальнуюОперацию(ФискальныйПризнак, НомерЧекаККМ);
```
</details>

## ОбсуждениеФискализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбсуждениеФискализации() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ОбсуждениеФискализации() 
```
</details>

## СоздатьСообщениеФискализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьСообщениеФискализации(ИдентификаторЧека, ОрганизацияИИН = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.СоздатьСообщениеФискализации(ИдентификаторЧека, ОрганизацияИИН);
```
</details>

## СформироватьТаблицуПараметровДляОперацииФН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать таблицу параметров в XML для операции с ФН.
//
Функция СформироватьТаблицуПараметровДляОперацииФН(СтруктураПараметров, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СформироватьТаблицуПараметровДляОперацииФН(СтруктураПараметров, РевизияИнтерфейса);
```
</details>

## ПараметрыИзXMLПакетаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить таблицу параметров из ККТ.
//
// Возвращаемое значение
//  Структура
//
Функция ПараметрыИзXMLПакетаККТ(Данные, ИдентификаторУстройства = Неопределено, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПараметрыИзXMLПакетаККТ(Данные, ИдентификаторУстройства, РевизияИнтерфейса);
```
</details>

## ЗаписатьДанныеКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьДанныеКоррекции(ЗаписьXML, ДанныеКоррекции) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаписатьДанныеКоррекции(ЗаписьXML, ДанныеКоррекции));
```
</details>

## ЗаписатьДанныеАгента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьДанныеАгента(ЗаписьXML, ДанныеАгента, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаписатьДанныеАгента(ЗаписьXML, ДанныеАгента, РевизияИнтерфейса);
```
</details>

## ЗаписатьДанныеПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьДанныеПоставщика(ЗаписьXML, ДанныеПоставщика, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаписатьДанныеПоставщика(ЗаписьXML, ДанныеПоставщика, РевизияИнтерфейса);
```
</details>

## ЗаписатьДанныеКодаТоварнойНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьДанныеКодаТоварнойНоменклатуры(ЗаписьXML, Позиция, ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаписатьДанныеКодаТоварнойНоменклатуры(ЗаписьXML, Позиция, ПараметрыФискализации));
```
</details>

## ЗаписатьДополнительныйРеквизитПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьДополнительныйРеквизитПользователя(ЗаписьXML, ДополнительныйРеквизитПользователя); Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаписатьДополнительныйРеквизитПользователя(ЗаписьXML, ДополнительныйРеквизитПользователя););
```
</details>

## СформироватьXMLПакетДляФискализацияЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирует XML пакет для Фискализация чека.
// Параметры:
//   РасширеннаяВыгрузка  - булево, признак расширенной выгрузки.
// Возвращаемое значение:
//   Строка - если есть дублирование, возвращает Истина, иначе Ложь.
//
Процедура СформироватьXMLПакетДляФискализацияЧека(ОбщиеПараметры, ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.СформироватьXMLПакетДляФискализацияЧека(ОбщиеПараметры, ПараметрыФискализации) 
```
</details>

## СформироватьXMLПакетДляЧекаКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьXMLПакетДляЧекаКоррекции(ОбщиеПараметры, ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.СформироватьXMLПакетДляЧекаКоррекции(ОбщиеПараметры, ПараметрыФискализации) 
```
</details>

## ПолучитьXMLПакетДляТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьXMLПакетДляТекста(СтрокаТекста, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьXMLПакетДляТекста(СтрокаТекста, РевизияИнтерфейса);
```
</details>

## ПолучитьXMLПакетДляТекстовогоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьXMLПакетДляТекстовогоДокумента(НефискальныеДокументы, ВыходныеПараметры, ШиринаСтроки = 32, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьXMLПакетДляТекстовогоДокумента(НефискальныеДокументы, ВыходныеПараметры, ШиринаСтроки, РевизияИнтерфейса);
```
</details>

## ПолучитьXMLПакетДляОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьXMLПакетДляОперации(ОбщиеПараметры, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьXMLПакетДляОперации(ОбщиеПараметры, РевизияИнтерфейса);
```
</details>

## ПолучитьПараметрыСостоянияИзXMLПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить параметры состояния из XML пакета.
//
Функция ПолучитьПараметрыСостоянияИзXMLПакета(Данные, НомерСмены = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьПараметрыСостоянияИзXMLПакета(Данные, НомерСмены);
```
</details>

## ПолучитьПараметрыСменыИзXMLПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить таблицу параметров смены из ККТ.
//
Функция ПолучитьПараметрыСменыИзXMLПакета(ДанныеXML, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьПараметрыСменыИзXMLПакета(ДанныеXML, РевизияИнтерфейса);
```
</details>

## ЗаполнитьРезультатыФискализацияЧекаИзXMLПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить результаты фискализация чека из XML пакета.
//
Процедура ЗаполнитьРезультатыФискализацияЧекаИзXMLПакета(ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаполнитьРезультатыФискализацияЧекаИзXMLПакета(ПараметрыФискализации) 
```
</details>

## СформироватьШаблонЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует шаблон чека.
//
Функция СформироватьШаблонЧека(ОбщиеПараметры, ДополнительныйТекст = Неопределено, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.СформироватьШаблонЧека(ОбщиеПараметры, ДополнительныйТекст, ИдентификаторУстройства);
```
</details>

## ШаблонАтрибутовЧекаДляОтсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить шаблон атрибутов чека для отсылки.
//
Функция ШаблонАтрибутовЧекаДляОтсылки(ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ШаблонАтрибутовЧекаДляОтсылки(ПараметрыФискализации) 
```
</details>

## ПодготовитьДанныеФискализацииЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьДанныеФискализацииЧека(ОбщиеПараметры, ПараметрыПодключения) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПодготовитьДанныеФискализацииЧека(ОбщиеПараметры, ПараметрыПодключения) 
```
</details>

## ПодготовитьЧекКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьЧекКоррекции(ОбщиеПараметры, ОбщиеПараметрыСторно, ФФДККТ11) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ПодготовитьЧекКоррекции(ОбщиеПараметры, ОбщиеПараметрыСторно, ФФДККТ11));
```
</details>

## ПодготовитьДанныеЧекаКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьДанныеЧекаКоррекции(ОбщиеПараметры, ПараметрыПодключения) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПодготовитьДанныеЧекаКоррекции(ОбщиеПараметры, ПараметрыПодключения) 
```
</details>

## ПодготовитьДанныеИнкасации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьДанныеИнкасации(ОбщиеПараметры, ПараметрыПодключения) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПодготовитьДанныеИнкасации(ОбщиеПараметры, ПараметрыПодключения) 
```
</details>

## ОбработатьДанныеФискализацииЧекаКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьДанныеФискализацииЧекаКоррекции(ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ОбработатьДанныеФискализацииЧекаКоррекции(ПараметрыФискализации) 
```
</details>

## ОбработатьДанныеФискализацииЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьДанныеФискализацииЧека(ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ОбработатьДанныеФискализацииЧека(ПараметрыФискализации) 
```
</details>

## ОбработатьДанныеИнкасации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьДанныеИнкасации(ПараметрыФискализации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ОбработатьДанныеИнкасации(ПараметрыФискализации) 
```
</details>

## ЗначениеXMLАтрибута
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначениеXMLАтрибута(ЧтениеXML, ИмяАтрибута, ДопИмяАтрибута = Неопределено, ЗначениеПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ЗначениеXMLАтрибута(ЧтениеXML, ИмяАтрибута, ДопИмяАтрибута, ЗначениеПоУмолчанию);
```
</details>

## ЗагрузитьДанныеФискализацииИзXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить структуру чека из XML.
//
Функция ЗагрузитьДанныеФискализацииИзXML(ДанныеXML) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ЗагрузитьДанныеФискализацииИзXML(ДанныеXML) 
```
</details>

## ПодсистемаСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если "функциональная" подсистема существует в конфигурации.
// Предназначена для реализации вызова необязательной подсистемы (условного вызова).
//
// У "функциональной" подсистемы снят флажок "Включать в командный интерфейс".
//
// Параметры:
//  ПолноеИмяПодсистемы - Строка - полное имя объекта метаданных подсистема
//                        без слов "Подсистема." ИС учетом регистра символов.
//                        Например: "СтандартныеПодсистемы.ВариантыОтчетов".
//
// Пример:
//
//  Если ОбщегоНазначения.ПодсистемаСуществует("СтандартныеПодсистемы.ВариантыОтчетов") Тогда
//  	МодульВариантыОтчетов = ОбщегоНазначения.ОбщийМодуль("ВариантыОтчетов");
//  	МодульВариантыОтчетов.<Имя метода>();
//  КонецЕсли;
//
// Возвращаемое значение:
//  Булево.
//
Функция ПодсистемаСуществует(ПолноеИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПодсистемаСуществует(ПолноеИмяПодсистемы) 
```
</details>

## ИспользуетсяПодсистемыФискальныхУстройств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если используется подсистемы фискальных устройств и эти подсистемы существует в конфигурации.
// Предназначена для реализации вызова необязательной подсистемы (условного вызова).
//
// У хотя бы одной "функциональной" подсистемы включен флажок "Включать в командный интерфейс".
//
// Возвращаемое значение:
//  Булево.
//
Функция ИспользуетсяПодсистемыФискальныхУстройств() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ИспользуетсяПодсистемыФискальныхУстройств() 
```
</details>

## ИспользуетсяПодсистемаОфлайнОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если используется подсистема Офлайн оборудование и эта подсистемы существует в конфигурации.
// Предназначена для реализации вызова необязательной подсистемы (условного вызова).
//
// Возвращаемое значение:
//  Булево.
//
Функция ИспользуетсяПодсистемаОфлайнОборудования() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ИспользуетсяПодсистемаОфлайнОборудования() 
```
</details>

## ВыполненаПроверкаОбязательностиИПравильностиЗаполненияТэгов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет проверку обязательности заполняет тэгов.
//
// Параметры:
//  Параметры - Параметры фискального чека.
//  ИдентификаторУстройства - Идентификатор устройства ККТ.
//  ОписаниеОшибки - Описание ошибки.
//
// Возвращаемое значение:
//   Результат операции
//
Функция ВыполненаПроверкаОбязательностиИПравильностиЗаполненияТэгов(Параметры, ИдентификаторУстройства, ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ВыполненаПроверкаОбязательностиИПравильностиЗаполненияТэгов(Параметры, ИдентификаторУстройства, ОписаниеОшибки) 
```
</details>

## ПривестиДанныеКТребуемомуФормату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура приводит к формату согласованному с ФНС.
//
// Параметры:
//  ОсновныеПараметры - Параметры фискального чека.
//  Отказ - Отказ при выполнении операции.
//  ОписаниеОшибки - Описание ошибки.
//  ИсправленыОсновныеПараметры - Были исправлены основные параметры
//
Процедура ПривестиДанныеКТребуемомуФормату(ОсновныеПараметры, Отказ, ОписаниеОшибки, ИсправленыОсновныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ПривестиДанныеКТребуемомуФормату(ОсновныеПараметры, Отказ, ОписаниеОшибки, ИсправленыОсновныеПараметры) 
```
</details>

## ЗаполнитьСведенияОПерсональныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗащитаПерсональныхДанныхПереопределяемый.ЗаполнитьСведенияОПерсональныхДанных.
Процедура ЗаполнитьСведенияОПерсональныхДанных(ТаблицаСведений) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаполнитьСведенияОПерсональныхДанных(ТаблицаСведений) 
```
</details>

## ЗаполнитьОбластиПерсональныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗащитаПерсональныхДанныхПереопределяемый.ЗаполнитьОбластиПерсональныхДанных.
Процедура ЗаполнитьОбластиПерсональныхДанных(ОбластиПерсональныхДанных) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ЗаполнитьОбластиПерсональныхДанных(ОбластиПерсональныхДанных) 
```
</details>

## ПодготовитьЭлементУправления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьЭлементУправления(ЭлементУправления) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияВызовСервера.ПодготовитьЭлементУправления(ЭлементУправления) 
```
</details>

## ПолучитьКартинкуШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать ГенерацияШтрихкодаВызовСервера.ИзображениеШтрихкода()
// Формирование изображения штрихкода.
//
// Параметры:
//   ПараметрыШтрихкода - Структура (Конструктор ГенерацияШтрихкодаКлиентСервер.ПараметрыГенерацииШтрихкода())
//
// Возвращаемое значение:
//   Картинка - Картинка со сформированным штрихкодом или НЕОПРЕДЕЛЕНО.
//
Функция ПолучитьКартинкуШтрихкода(ПараметрыШтрихкода) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.ПолучитьКартинкуШтрихкода(ПараметрыШтрихкода) 
```
</details>

## КодыВидаНоменклатурнойКлассификации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает класификатор кода вида номенклатурной классификации
//
// Возвращаемое значение:
//  ТаблицаЗначений.
//
Функция КодыВидаНоменклатурнойКлассификации() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияВызовСервера.КодыВидаНоменклатурнойКлассификации() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
