---
title: Менеджер оборудования клиент
slug: zup/менеджер-оборудования-клиент
---


## ПередНачаломРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция, вызываемая перед началом работы системы.
//
Функция ПередНачаломРаботыСистемы() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПередНачаломРаботыСистемы() 
```
</details>

## ПриНачалеРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция, вызываемая при начале работы системы.
//
Функция ПриНачалеРаботыСистемы() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПриНачалеРаботыСистемы() 
```
</details>

## ПередЗавершениемРаботыСистемы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция, вызываемая при начале работы системы.
// Выполняет подготовку данных механизма.
Функция ПередЗавершениемРаботыСистемы() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПередЗавершениемРаботыСистемы() 
```
</details>

## ПолучитьПодключенноеУстройство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск по идентификатору подключенного ранее устройства.
//
//  Параметры:
// 	СписокПодключений - Массив из Структура - содержит:
// 	*Ссылка - СправочникСсылка.ПодключаемоеОборудование - .
// 	Идентификатор - СправочникСсылка.ПодключаемоеОборудование - .
// Возвращаемое значение:
// 	СправочникСсылка.ПодключаемоеОборудование - Описание.
Функция ПолучитьПодключенноеУстройство(СписокПодключений, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПолучитьПодключенноеУстройство(СписокПодключений, Идентификатор) 
```
</details>

## ПолучитьПодключенныеУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск по типу подключенные ранее устройства.
//
// Параметры:
// 	СписокПодключений - Массив из Структура - где:
// 	*Ссылка - СправочникСсылка.ПодключаемоеОборудование - .
// 	ТипПО - ПеречислениеСсылка.ТипыПодключаемогоОборудования - Описание
// 	Идентификатор - Неопределено - Описание
// Возвращаемое значение:
// 	Массив Из Структура - где:
// 	*Ссылка - СправочникСсылка.ПодключаемоеОборудование - .
Функция ПолучитьПодключенныеУстройства(СписокПодключений, ТипПО, Идентификатор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПолучитьПодключенныеУстройства(СписокПодключений, ТипПО, Идентификатор);
```
</details>

## ВыполнитьНастройкуОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить настройку оборудования.
//
Процедура ВыполнитьНастройкуОборудования(Идентификатор, ОповещениеПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ВыполнитьНастройкуОборудования(Идентификатор, ОповещениеПриЗавершении);
```
</details>

## ВыполнитьНастройкуОборудования_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение настройки оборудования.
//
// Параметры:
// 	Результат - Структура - где:
//  * Идентификатор - СправочникСсылка.ПодключаемоеОборудование - экземпляр подключаемого оборудования.
// 	* ПараметрыОборудования - Структура - структура параметров.
// 	Параметры - Структура - структура параметров выполнения операции.
//
Процедура ВыполнитьНастройкуОборудования_Завершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ВыполнитьНастройкуОборудования_Завершение(Результат, Параметры) 
```
</details>

## СохранитьПользовательскиеНастройкиПодключаемогоОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет пользовательские настройки подключаемого оборудования.
//
Процедура СохранитьПользовательскиеНастройкиПодключаемогоОборудования(СписокНастроек) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.СохранитьПользовательскиеНастройкиПодключаемогоОборудования(СписокНастроек) 
```
</details>

## ПодключениеСистемыВзаимодействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодключениеСистемыВзаимодействия() Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПодключениеСистемыВзаимодействия() 
```
</details>

## ОбработкаОповещенияПодключенияСообщенийФискализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаОповещенияПодключенияСообщенийФискализации(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ОбработкаОповещенияПодключенияСообщенийФискализации(ДополнительныеПараметры) 
```
</details>

## ОбработкаОповещенияСообщенийФискализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаОповещенияСообщенийФискализации(Сообщение, ДополнительныеПараметры) ЭКспорт Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ОбработкаОповещенияСообщенийФискализации(Сообщение, ДополнительныеПараметры) ЭКспорт);
```
</details>

## ПолучитьДоступноеККТДляФискализации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДоступноеККТДляФискализации(РеквизитыЧека, СписокУстройств) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПолучитьДоступноеККТДляФискализации(РеквизитыЧека, СписокУстройств));
```
</details>

## ФискализацияЧековВОчереди_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФискализацияЧековВОчереди_Завершение(РезультатВыполнения, ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ФискализацияЧековВОчереди_Завершение(РезультатВыполнения, ПараметрыОперации) 
```
</details>

## ФискализацияЧековВОчереди_Начало
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФискализацияЧековВОчереди_Начало(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ФискализацияЧековВОчереди_Начало(ПараметрыОперации));
```
</details>

## ФискализацияЧековВОчереди
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФискализацияЧековВОчереди() Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ФискализацияЧековВОчереди() 
```
</details>

## ОткрытьРабочиеМеста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы списка рабочих мест.
//
Процедура ОткрытьРабочиеМеста(ПараметрКоманды, ПараметрыВыполненияКоманды) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ОткрытьРабочиеМеста(ПараметрКоманды, ПараметрыВыполненияКоманды) 
```
</details>

## ВыбратьРМТекущегоСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура для выбора рабочего места текущего сеанса.
//
Процедура ВыбратьРМТекущегоСеанса(ПараметрКоманды, ПараметрыВыполненияКоманды) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ВыбратьРМТекущегоСеанса(ПараметрКоманды, ПараметрыВыполненияКоманды) 
```
</details>

## ОткрытьПодключаемоеОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы подключаемого Оборудования.
//
Процедура ОткрытьПодключаемоеОборудование(ПараметрКоманды, ПараметрыВыполненияКоманды) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ОткрытьПодключаемоеОборудование(ПараметрКоманды, ПараметрыВыполненияКоманды) 
```
</details>

## ОткрытьДрайверыОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открытие формы драйверов оборудования.
//
Процедура ОткрытьДрайверыОборудования(ПараметрКоманды, ПараметрыВыполненияКоманды) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ОткрытьДрайверыОборудования(ПараметрКоманды, ПараметрыВыполненияКоманды) 
```
</details>

## ПредложитьВыборРабочегоМеста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция предоставляет диалог выбора рабочего места.
//
Процедура ПредложитьВыборРабочегоМеста(ОбработкаОповещения, ИдентификаторКлиента = "") Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПредложитьВыборРабочегоМеста(ОбработкаОповещения, ИдентификаторКлиента);
```
</details>

## ПредложитьВыборРабочегоМестаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение выбора рабочего места.
//
Процедура ПредложитьВыборРабочегоМестаЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПредложитьВыборРабочегоМестаЗавершение(Результат, Параметры) 
```
</details>

## УстановитьРабочееМесто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция устанавливает рабочее место.
//
Процедура УстановитьРабочееМесто(РабочееМесто) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.УстановитьРабочееМесто(РабочееМесто) 
```
</details>

## ОбновитьРабочееМестоКлиента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обновление имени компьютера в параметре сеанса "РабочееМестоКлиента".
//
Функция ОбновитьРабочееМестоКлиента() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ОбновитьРабочееМестоКлиента() 
```
</details>

## ПараметрыВыполненияОперацииНаОборудовании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру выполнения операции на Оборудовании.
//
Функция ПараметрыВыполненияОперацииНаОборудовании(Результат = Ложь, ОписаниеОшибки = Неопределено, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПараметрыВыполненияОперацииНаОборудовании(Результат, ОписаниеОшибки, ИдентификаторУстройства);
```
</details>

## ПредложитьВыбратьУстройство
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выбора устройства из доступных, привязанных к текущему рабочему месту.
//
Процедура ПредложитьВыбратьУстройство(ОповещениеВыбора, ТипОборудования, ТекстЗаголовкаВыбора, Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПредложитьВыбратьУстройство(ОповещениеВыбора, ТипОборудования, ТекстЗаголовкаВыбора, );
```
</details>

## ПредложитьВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПредложитьВыбратьУстройствоЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПредложитьВыбратьУстройствоЗавершение(Результат, Параметры) 
```
</details>

## НачатьВыборФайлаДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция начинает выбор файла драйвера для последующей загрузки.
//
Процедура НачатьВыборФайлаДрайвера(ОповещениеПриВыборе) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыборФайлаДрайвера(ОповещениеПриВыборе) 
```
</details>

## ВыборФайлаДрайвераЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение выбора файла драйвера.
//
Процедура ВыборФайлаДрайвераЗавершение(ВыбранныеФайлы, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ВыборФайлаДрайвераЗавершение(ВыбранныеФайлы, Параметры) 
```
</details>

## НачатьВыборФайлаРасширенияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение выбора файла
//
Процедура НачатьВыборФайлаРасширенияЗавершение(Установлено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыборФайлаРасширенияЗавершение(Установлено, ДополнительныеПараметры) 
```
</details>

## НачатьВыборФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция начинает выбор файла.
//
Процедура НачатьВыборФайла(ОповещениеПриВыборе, Знач ИмяФайла, РежимДиалогаВыбораФайла = "Открытие") Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыборФайла(ОповещениеПриВыборе, ИмяФайла, РежимДиалогаВыбораФайла);
```
</details>

## Пауза
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура формирует задержку указанной длительности.
//
// Параметры:
//  Время - <Число>
//        - Длительность задержки в секундах.
//
Процедура Пауза(Время) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.Пауза(Время) 
```
</details>

## ПреобразоватьСписокСтрокойВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовать список строкой в массив.
//
Функция ПреобразоватьСписокСтрокойВМассив(Источник) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПреобразоватьСписокСтрокойВМассив(Источник) 
```
</details>

## СостояниеПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит текст в панель состояния.
//
Процедура СостояниеПроцесса(ТекстСообщения, Прогресс = Неопределено, Пояснение = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.СостояниеПроцесса(ТекстСообщения, Прогресс, Пояснение);
```
</details>

## НачатьПодключениеОборудованиеПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит подключение доступного оборудования по списку типов ПО
//
Процедура НачатьПодключениеОборудованиеПоТипу(ОповещениеПриПодключении, ИдентификаторКлиента, ТипыПО) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключениеОборудованиеПоТипу(ОповещениеПриПодключении, ИдентификаторКлиента, ТипыПО) 
```
</details>

## НачатьПодключениеОборудованиеПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать подключать одиночный экземпляр устройства определяемый идентификатором.
//
Процедура НачатьПодключениеОборудованиеПоИдентификатору(ОповещениеПриПодключении, ИдентификаторКлиента, ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключениеОборудованиеПоИдентификатору(ОповещениеПриПодключении, ИдентификаторКлиента, ИдентификаторУстройства) 
```
</details>

## НачатьПодключениеОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать подключения устройства.
//
Процедура НачатьПодключениеОборудования(ОповещениеПриПодключении, ИдентификаторКлиента, ТипыПО = Неопределено, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключениеОборудования(ОповещениеПриПодключении, ИдентификаторКлиента, ТипыПО, ИдентификаторУстройства);
```
</details>

## НачатьПодключениеОборудования_ПолучениеОбъектаДрайвераЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПодключениеОборудования_ПолучениеОбъектаДрайвераЗавершение(ОбъектДрайвера, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключениеОборудования_ПолучениеОбъектаДрайвераЗавершение(ОбъектДрайвера, Параметры) 
```
</details>

## НачатьПодключениеОборудования_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// НачинаетПодключениеОборудования.
//
// Параметры:
// 	РезультатВыполнения - Структура - результат выполнения операции.
// 	Параметры - Структура - где:
// 	*НовоеПодключение - Структура - где:
// 	**Наименование - Строка - .
//
Процедура НачатьПодключениеОборудования_Завершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключениеОборудования_Завершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьОтключениеОборудованиеПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать отключение устройств по типу оборудования.
//
Процедура НачатьОтключениеОборудованиеПоТипу(ОповещениеПриОтключении, ИдентификаторКлиента, ТипыПО) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОтключениеОборудованиеПоТипу(ОповещениеПриОтключении, ИдентификаторКлиента, ТипыПО) 
```
</details>

## НачатьОтключениеОборудованиеПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать отключать устройства определенное идентификатором.
//
Процедура НачатьОтключениеОборудованиеПоИдентификатору(ОповещениеПриОтключении, ИдентификаторКлиента, ИдентификаторУстройства) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОтключениеОборудованиеПоИдентификатору(ОповещениеПриОтключении, ИдентификаторКлиента, ИдентификаторУстройства) 
```
</details>

## НачатьОтключениеОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция подключает устройства по типу оборудования.
//
Процедура НачатьОтключениеОборудование(ОповещениеПриОтключении, ИдентификаторКлиента, ТипыПО = Неопределено, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОтключениеОборудование(ОповещениеПриОтключении, ИдентификаторКлиента, ТипыПО, ИдентификаторУстройства);
```
</details>

## НачатьОтключениеОборудование_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает оборудование.
//
// Параметры:
// 	РезультатВыполнения - Структура - структура результата выполнения операции.
// 	Параметры - Структура - где:
// 	*ПодключенноеУстройство - СправочникСсылка.ПодключаемоеОборудование - .
Процедура НачатьОтключениеОборудование_Завершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОтключениеОборудование_Завершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьОтключениеВсегоОборудования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит принудительное отключение всего подключенного оборудования,
// независимо от числа ссылок на подключение.
Процедура НачатьОтключениеВсегоОборудования(ОповещениеПриОтключении = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОтключениеВсегоОборудования(ОповещениеПриОтключении);
```
</details>

## НачатьОтключениеВсегоОборудованияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОтключениеВсегоОборудованияЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОтключениеВсегоОборудованияЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## ПодключитьОборудованиеПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Подключает одиночный экземпляр устройства определяемый идентификатором.
//
Функция ПодключитьОборудованиеПоИдентификатору(ИдентификаторКлиента, ИдентификаторУстройства, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПодключитьОборудованиеПоИдентификатору(ИдентификаторКлиента, ИдентификаторУстройства, ОписаниеОшибки);
```
</details>

## ПодключитьОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция подключает устройства по типу оборудования.
// Возвращает результат выполнения функции.
//
Функция ПодключитьОборудование(ИдентификаторКлиента, ТипыПО = Неопределено, ИдентификаторУстройства = Неопределено, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПодключитьОборудование(ИдентификаторКлиента, ТипыПО, ИдентификаторУстройства, ОписаниеОшибки);
```
</details>

## ОтключитьОборудованиеПоИдентификатору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает устройство, определенное идентификатором.
//
Функция ОтключитьОборудованиеПоИдентификатору(ИдентификаторКлиента, ИдентификаторУстройства, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ОтключитьОборудованиеПоИдентификатору(ИдентификаторКлиента, ИдентификаторУстройства, ОписаниеОшибки);
```
</details>

## ОтключитьОборудование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция подключает устройства по типу оборудования.
//
Функция ОтключитьОборудование(ИдентификаторКлиента, ТипыПО = Неопределено, ИдентификаторУстройства = Неопределено, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ОтключитьОборудование(ИдентификаторКлиента, ТипыПО, ИдентификаторУстройства, ОписаниеОшибки);
```
</details>

## ВыполнитьКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьКоманду(Идентификатор, Команда, ВходныеПараметры, ВыходныеПараметры, Таймаут = -1) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ВыполнитьКоманду(Идентификатор, Команда, ВходныеПараметры, ВыходныеПараметры, Таймаут);
```
</details>

## ВыполнитьДополнительнуюКоманду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет дополнительную команду к драйверу, не требующую предварительного подключения устройства в системе.
//
//  Параметры:
// 	Команда - Строка - наименование команды.
// 	ВходныеПараметры - Массив - массив входных параметров.
// 	ВыходныеПараметры - Массив - массив выходных параметров.
// 	Идентификатор - СправочникСсылка.ПодключаемоеОборудование - .
// 	Параметры - Структура - параметры выполнения операции.
// Возвращаемое значение:
// 	Булево - Описание
Функция ВыполнитьДополнительнуюКоманду(Команда, ВходныеПараметры, ВыходныеПараметры, Идентификатор, Параметры) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ВыполнитьДополнительнуюКоманду(Команда, ВходныеПараметры, ВыходныеПараметры, Идентификатор, Параметры) 
```
</details>

## ВыполнитьКомандуОбработчикаДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет команду обработчика драйвера, не требующую предварительного подключения устройства в системе.
//
Функция ВыполнитьКомандуОбработчикаДрайвера(Команда, ВходныеПараметры, ВыходныеПараметры, Идентификатор, Параметры, ПоддержкаАсинхронногоРежима) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ВыполнитьКомандуОбработчикаДрайвера(Команда, ВходныеПараметры, ВыходныеПараметры, Идентификатор, Параметры, ПоддержкаАсинхронногоРежима) 
```
</details>

## НачатьПодключениеОборудованиеПриОткрытииФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать подключение необходимых типов оборудования при открытии формы.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения
//	ПоддерживаемыеТипыПодключаемогоОборудования - Строка
//		Содержит перечень типов подключаемого оборудования, разделенных запятыми.
//
Процедура НачатьПодключениеОборудованиеПриОткрытииФормы(ОповещениеПриПодключении, Форма, ПоддерживаемыеТипыПодключаемогоОборудования) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключениеОборудованиеПриОткрытииФормы(ОповещениеПриПодключении, Форма, ПоддерживаемыеТипыПодключаемогоОборудования) 
```
</details>

## ПодключитьОборудованиеЗавершениеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик оповещения по умолчанию
//
Процедура ПодключитьОборудованиеЗавершениеПоУмолчанию(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПодключитьОборудованиеЗавершениеПоУмолчанию(РезультатВыполнения, Параметры) 
```
</details>

## НачатьОтключениеОборудованиеПриЗакрытииФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать отключать оборудование по типу при закрытии формы.
//
Процедура НачатьОтключениеОборудованиеПриЗакрытииФормы(ОповещениеПриОтключении, Форма) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОтключениеОборудованиеПриЗакрытииФормы(ОповещениеПриОтключении, Форма) 
```
</details>

## ОтключитьОборудованиеЗавершениеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтключитьОборудованиеЗавершениеПоУмолчанию(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ОтключитьОборудованиеЗавершениеПоУмолчанию(РезультатВыполнения, Параметры) 
```
</details>

## ДрайверУстановлен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет установлен ли драйвер.
//
Функция ДрайверУстановлен(Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ДрайверУстановлен(Идентификатор) 
```
</details>

## ПереустановитьПомеченныеДрайверы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить или переустановить драйверы помеченные флагами.
//
Процедура ПереустановитьПомеченныеДрайверы() Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПереустановитьПомеченныеДрайверы() 
```
</details>

## НачатьУстановкуРасширенияРаботыСФайламиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьУстановкуРасширенияРаботыСФайламиЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьУстановкуРасширенияРаботыСФайламиЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## НачатьПодключениеРасширенияРаботыСФайламиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПодключениеРасширенияРаботыСФайламиЗавершение(Подключено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключениеРасширенияРаботыСФайламиЗавершение(Подключено, ДополнительныеПараметры) 
```
</details>

## ПроверитьДоступностьРасширенияРаботыСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить доступность расширения работы с Файлами.
//
Процедура ПроверитьДоступностьРасширенияРаботыСФайлами(ОповещениеПриЗавершении, ПредлагатьУстановку = Истина) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПроверитьДоступностьРасширенияРаботыСФайлами(ОповещениеПриЗавершении, ПредлагатьУстановку);
```
</details>

## ОтключитьОбъектДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключение объекта драйвера.
//
Процедура ОтключитьОбъектДрайвера(ДанныеДрайвера) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ОтключитьОбъектДрайвера(ДанныеДрайвера) 
```
</details>

## ПолучитьОбъектДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение объекта драйвера
//
Функция ПолучитьОбъектДрайвера(ДанныеДрайвера, ТекстОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПолучитьОбъектДрайвера(ДанныеДрайвера, ТекстОшибки);
```
</details>

## НачатьПолучениеОбъектаДрайвераЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПолучениеОбъектаДрайвераЗавершение(Подключено, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПолучениеОбъектаДрайвераЗавершение(Подключено, ДополнительныеПараметры) 
```
</details>

## НачатьПолучениеОбъектаДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать получение объекта драйвера.
//
Процедура НачатьПолучениеОбъектаДрайвера(ОповещениеПриЗавершении, ДанныеДрайвера) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПолучениеОбъектаДрайвера(ОповещениеПриЗавершении, ДанныеДрайвера) 
```
</details>

## УстановитьДрайвер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установить драйвер оборудования.
//
Процедура УстановитьДрайвер(Идентификатор, ОповещениеИзДистрибутиваПриЗавершении = Неопределено, ОповещениеИзАрхиваПриЗавершении = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.УстановитьДрайвер(Идентификатор, ОповещениеИзДистрибутиваПриЗавершении, ОповещениеИзАрхиваПриЗавершении);
```
</details>

## НачатьВыполнениеКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать выполнение команды ответственному обработчику драйвера
//
Процедура НачатьВыполнениеКоманды(ОповещениеПриЗавершении, Идентификатор, Команда, ВходныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКоманды(ОповещениеПриЗавершении, Идентификатор, Команда, ВходныеПараметры) 
```
</details>

## НачатьВыполнениеДополнительнойКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать выполнение дополнительной команды к драйверу, не требующую предварительного подключения устройства в системе.
//
Процедура НачатьВыполнениеДополнительнойКоманды(ОповещениеПриЗавершении, Команда, ВходныеПараметры, Идентификатор, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеДополнительнойКоманды(ОповещениеПриЗавершении, Команда, ВходныеПараметры, Идентификатор, Параметры) 
```
</details>

## НачатьВыполнениеДополнительнойКоманды_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение выполнение дополнительной команды к драйверу.
// Не требует предварительного подключения устройства в системе.
//
// Параметры:
// 	ОбъектДрайвера - СправочникСсылка.ДрайверыОборудования - .
// 	ПараметрыКоманды - Структура - где:
// 	*Параметры - Структура - .
Процедура НачатьВыполнениеДополнительнойКоманды_Завершение(ОбъектДрайвера, ПараметрыКоманды) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеДополнительнойКоманды_Завершение(ОбъектДрайвера, ПараметрыКоманды) 
```
</details>

## ПолучитьСобытиеОтУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит получение события от устройства.
//
// Параметры:
// 	ОписаниеСобытия - Структура - содержит параметры:
// 	*Источник - Строка - источник события.
// 	ОписаниеОшибки - Строка - Описание
// Возвращаемое значение:
// 	Неопределено, Структура - Описание:
// * Источник - Строка -
// * Параметр
// * ИмяСобытия
Функция ПолучитьСобытиеОтУстройства(ОписаниеСобытия, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПолучитьСобытиеОтУстройства(ОписаниеСобытия, ОписаниеОшибки);
```
</details>

## ОбработатьСобытиеОтУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит обработку данных события, полученных от клиента.
//
// Параметры:
// 	ОписаниеСобытия - Структура - содержит поля:
// 	*Источник - Строка - источник события.
// 	ОписаниеОшибки - Строка - Описание
// Возвращаемое значение:
// 	Булево - Описание
Функция ОбработатьСобытиеОтУстройства(ОписаниеСобытия, ОписаниеОшибки = "") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ОбработатьСобытиеОтУстройства(ОписаниеСобытия, ОписаниеОшибки);
```
</details>

## НачатьВыполнениеКоманды_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеКоманды_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКоманды_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьВыполнениеКоманды_ПослеПроверкиСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеКоманды_ПослеПроверкиСтатуса(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКоманды_ПослеПроверкиСтатуса(Результат, Параметры) 
```
</details>

## НачатьВыполнениеКоманды_ПослеПодтвержденияЗакрытияСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеКоманды_ПослеПодтвержденияЗакрытияСмены(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКоманды_ПослеПодтвержденияЗакрытияСмены(Результат, Параметры) 
```
</details>

## НачатьВыполнениеКоманды_ПослеЗакрытияСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеКоманды_ПослеЗакрытияСмены(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКоманды_ПослеЗакрытияСмены(Результат, Параметры) 
```
</details>

## НачатьВыполнениеКоманды_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеКоманды_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКоманды_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьВыполнениеКоманды_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание процедуры выполнения команды.
//
// Параметры:
// 	РезультатВыполнения - Структура - содержит параметры:
// 	*ПодключенноеУстройство - СправочникСсылка.ПодключаемоеОборудование - .
// 	*ДополнительныеПараметры - Структура - структура дополнительных параметров.
// 	Параметры - Структура - содержит параметры:
// 	*ДополнительныеПараметры - Структура - структура дополнительных параметров.
//
Процедура НачатьВыполнениеКоманды_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКоманды_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьФормированиеОтчетаОТекущемСостоянииРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать формирование отчета о текущем состоянии расчетов на фискальном устройстве.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьФормированиеОтчетаОТекущемСостоянииРасчетов(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьФормированиеОтчетаОТекущемСостоянииРасчетов(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьФормированиеОтчетаБезГашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать формирование отчета отчет без гашения  на фискальном устройстве.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьФормированиеОтчетаБезГашения(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьФормированиеОтчетаБезГашения(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьОткрытиеСменыНаФискальномУстройстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать открытие смены на фискальном устройстве.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьОткрытиеСменыНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОткрытиеСменыНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства, ТипОборудования, ДополнительныеПараметры);
```
</details>

## НачатьЗакрытиеСменыНаФискальномУстройстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать закрытие смены на фискальном устройстве.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьЗакрытиеСменыНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено, КассоваяСмена = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьЗакрытиеСменыНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства, ТипОборудования, КассоваяСмена);
```
</details>

## НачатьИнкассациюНаФискальномУстройстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производить инкассацию на фискальном устройстве.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьИнкассациюНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьИнкассациюНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьПолучениеШириныСтрокиПечатающегоУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура получает ширину строки в символах.
//
Процедура НачатьПолучениеШириныСтрокиПечатающегоУстройства(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПолучениеШириныСтрокиПечатающегоУстройства(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьФискализациюЧекаНаФискальномУстройстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производить печать чека на фискальном устройстве.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьФискализациюЧекаНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства = Неопределено, Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьФискализациюЧекаНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства, );
```
</details>

## НачатьФискализациюЧекаНаФискальномУстройствеПакетом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производить печать чека на фискальном устройстве пакетом.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьФискализациюЧекаНаФискальномУстройствеПакетом(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьФискализациюЧекаНаФискальномУстройствеПакетом(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьПечатьТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производить печать текста на фискальном устройстве.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьПечатьТекста(ОповещениеПриЗавершении, УникальныйИдентификатор, Текст, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПечатьТекста(ОповещениеПриЗавершении, УникальныйИдентификатор, Текст, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьПечатьТекстовыхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит печать текстового документа на фискальном устройстве.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьПечатьТекстовыхДокументов(ОповещениеПриЗавершении, УникальныйИдентификатор, НефискальныеДокументы, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПечатьТекстовыхДокументов(ОповещениеПриЗавершении, УникальныйИдентификатор, НефискальныеДокументы, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьФормированиеЧекаКоррекцииНаФискальномУстройстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производить формирование чека коррекции на фискальном устройстве.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьФормированиеЧекаКоррекцииНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьФормированиеЧекаКоррекцииНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьОткрытиеДенежногоЯщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет открытие денежного ящика.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ТипОборудования         - тип оборудования.
//
Процедура НачатьОткрытиеДенежногоЯщика(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОткрытиеДенежногоЯщика(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьАннулированиеЧекаНаФискальномУстройстве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производить аннулирование чека на фискальном устройстве.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
//
Процедура НачатьАннулированиеЧекаНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьАннулированиеЧекаНаФискальномУстройстве(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьПолучениеПараметровФискальногоУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производить получение параметров фискального устройства.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
//
Процедура НачатьПолучениеПараметровФискальногоУстройства(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено, ИспользоватьСохраненныеЗначения = Истина) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПолучениеПараметровФискальногоУстройства(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства, ИспользоватьСохраненныеЗначения);
```
</details>

## НачатьПолучениеТекущегоСостоянияФискальногоУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение текущего состояния фискального устройства.
// ОповещениеПриЗавершении - оповещение при завершении завершении.
// УникальныйИдентификатор - идентификатор формы.
// ИдентификаторУстройства - идентификатор устройства, если неопределенно - будет предложен выбор.
//
Процедура НачатьПолучениеТекущегоСостоянияФискальногоУстройства(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПолучениеТекущегоСостоянияФискальногоУстройства(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства, ТипОборудования);
```
</details>

## НачатьОперациюФНДляФискальногоУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОперациюФНДляФискальногоУстройства(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства = Неопределено, ТипОборудования = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОперациюФНДляФискальногоУстройства(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации, ИдентификаторУстройства, ТипОборудования);
```
</details>

## СформироватьТекстНефискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует текст нефискального чека по шаблону.
//
Функция СформироватьТекстНефискальногоЧека(ШиринаСтроки, ТипДокумента, ВходныеПараметры, ДополнительныйТекст = Неопределено, ФорматФФД = "1.1") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.СформироватьТекстНефискальногоЧека(ШиринаСтроки, ТипДокумента, ВходныеПараметры, ДополнительныйТекст, ФорматФФД);
```
</details>

## НачатьВыполнениеКомандыПечатиЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать выполнение команды печати чека ответственному обработчику драйвера
//
Процедура НачатьВыполнениеКомандыПечатиЧека(ОповещениеПриЗавершении, Идентификатор, Команда, Параметры, ВходныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКомандыПечатиЧека(ОповещениеПриЗавершении, Идентификатор, Команда, Параметры, ВходныеПараметры) 
```
</details>

## НачатьВыполнениеКомандыПечатиЧека_ЗавершениеОтмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеКомандыПечатиЧека_ЗавершениеОтмены(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКомандыПечатиЧека_ЗавершениеОтмены(РезультатВыполнения, Параметры) 
```
</details>

## НачатьВыполнениеКомандыПечатиЧека_ЗавершениеПроцессаПечатиСлипЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеКомандыПечатиЧека_ЗавершениеПроцессаПечатиСлипЧека(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКомандыПечатиЧека_ЗавершениеПроцессаПечатиСлипЧека(РезультатВыполнения, Параметры) 
```
</details>

## НачатьВыполнениеКомандыПечатиЧека_ЗавершениеПроцессаПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает выполнение печати чека.
//
// Параметры:
// 	РезультатВыполнения - Структура - структура результата выполнения операции.
// 	Параметры - Структура - где:
// 	*ПодключенноеУстройство - Структура - где:
// 	**Параметры - Структура - .
Процедура НачатьВыполнениеКомандыПечатиЧека_ЗавершениеПроцессаПечати(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКомандыПечатиЧека_ЗавершениеПроцессаПечати(РезультатВыполнения, Параметры) 
```
</details>

## НачатьВыполнениеКомандыПечатиЧека_ЗавершениеПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершение печати.
//
// Параметры:
// 	ПараметрыВыполнения - Структура - где:
// 	*ПодключенноеУстройство - Структура - где:
// 	**Параметры - Структура - .
// 	Параметры - Структура - .
Процедура НачатьВыполнениеКомандыПечатиЧека_ЗавершениеПечати(ПараметрыВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКомандыПечатиЧека_ЗавершениеПечати(ПараметрыВыполнения, Параметры) 
```
</details>

## НачатьВыполнениеКомандыПечатиЧека_ЗавершениеОткрытиеЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеКомандыПечатиЧека_ЗавершениеОткрытиеЧека(РезультатОперации, ПараметрыВыполнения) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКомандыПечатиЧека_ЗавершениеОткрытиеЧека(РезультатОперации, ПараметрыВыполнения) 
```
</details>

## ПечатьЧекаПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вспомогательная функция - осуществляет печать чека по шаблону.
//
//  Параметры:
// 	ОбщийМодульОборудования - Строка - .
// 	ОбъектДрайвера - СправочникСсылка.ДрайверыОборудования - .
// 	Параметры - Структура - .
// 	ПараметрыПодключения - Структура - .
// 	ВходныеПараметры - Структура - где:
// 	*ПозицииЧека - Массив из Структура - где:
// 	**Наименование - Строка - .
// 	ВыходныеПараметры - Структура - .
// Возвращаемое значение:
// 	Булево - Описание
//
Функция ПечатьЧекаПоШаблону(ОбщийМодульОборудования, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПечатьЧекаПоШаблону(ОбщийМодульОборудования, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) 
```
</details>

## ЗаполнитьПараметрыОперацииПодписиЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить параметры операции подписи чека.
//
Процедура ЗаполнитьПараметрыОперацииПодписиЧека(ПараметрыОперации, НомерСмены = Неопределено, Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ЗаполнитьПараметрыОперацииПодписиЧека(ПараметрыОперации, НомерСмены, );
```
</details>

## СформироватьШаблонИнфоКвитанции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьШаблонИнфоКвитанции(Параметры, ШиринаСтроки, ПечатьШтрихкода = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.СформироватьШаблонИнфоКвитанции(Параметры, ШиринаСтроки, ПечатьШтрихкода);
```
</details>

## ПараметрыРезультатаПодключенияЭквайринговогоТерминала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру результата подключения эквайрингового терминала.
//
Функция ПараметрыРезультатаПодключенияЭквайринговогоТерминала(Результат = Ложь, ОписаниеОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПараметрыРезультатаПодключенияЭквайринговогоТерминала(Результат, ОписаниеОшибки);
```
</details>

## НачатьПодключенияЭквайринговогоТерминала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать подключение эквайрингово терминала.
// Возвращает структуру:
//   Результат - Результат операции.
//   ОписаниеОшибки - Описание ошибки (Для Результат = Ложь).
//   ИдентификаторПодключенногоЭТ - Идентификатор эквайринговогой терминала.
//   ИдентификаторПодключенногоПУ - Идентификатор фискального регистратора.
//   ПечатьКвитанцийНаТерминале   - Печать квитанций на терминале, если Истина то ИдентификаторПодключенногоПУ = Неопределено.
//
Процедура НачатьПодключенияЭквайринговогоТерминала(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройстваЭТ = Неопределено, ИдентификаторУстройстваПУ = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключенияЭквайринговогоТерминала(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройстваЭТ, ИдентификаторУстройстваПУ);
```
</details>

## НачатьПодключенияЭквайринговогоТерминала_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПодключенияЭквайринговогоТерминала_ВыбратьУстройствоЗавершение(ИдентификаторУстройстваЭТ, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключенияЭквайринговогоТерминала_ВыбратьУстройствоЗавершение(ИдентификаторУстройстваЭТ, Параметры) 
```
</details>

## НачатьПодключенияЭквайринговогоТерминала_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПодключенияЭквайринговогоТерминала_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключенияЭквайринговогоТерминала_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьПодключенияЭквайринговогоТерминала_ПечатьНаТерминалеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПодключенияЭквайринговогоТерминала_ПечатьНаТерминалеЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключенияЭквайринговогоТерминала_ПечатьНаТерминалеЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьПодключенияЭквайринговогоТерминала_ВыбратьПечатающегоУстройстваЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПодключенияЭквайринговогоТерминала_ВыбратьПечатающегоУстройстваЗавершение(ИдентификаторУстройстваПУ, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключенияЭквайринговогоТерминала_ВыбратьПечатающегоУстройстваЗавершение(ИдентификаторУстройстваПУ, Параметры) 
```
</details>

## НачатьПодключенияЭквайринговогоТерминала_ПечатающееУстройствоПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПодключенияЭквайринговогоТерминала_ПечатающееУстройствоПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПодключенияЭквайринговогоТерминала_ПечатающееУстройствоПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьОтключениеЭквайринговогоТерминала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключение подключенного эквайрингово терминала.
// Если эквайринговый терминал не поддерживает печать квитанций на терминале, для печати подключается печатающее устройство.
// Данной процедурой оно тоже будет отключено.
// Входящие параметры:
//  ПараметрыОперации - Структура со следующими атрибутами.
//    ИдентификаторУстройстваЭТ - Идентификатор подключенного эквайринговогой терминала.
//    ИдентификаторУстройстваПУ - Идентификатор подключенного фискального регистратора.
//    ПечатьКвитанцийНаТерминале   - Печать квитанций на терминале, если True то ИдентификаторПодключенногоПУ = Неопределено.
//  УникальныйИдентификатор - идентификатор формы.
//
Процедура НачатьОтключениеЭквайринговогоТерминала(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОтключениеЭквайринговогоТерминала(ОповещениеПриЗавершении, УникальныйИдентификатор, ПараметрыОперации) 
```
</details>

## НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить сверку итогов на эквайринговом терминале.
// Если эквайринговый терминал не поддерживает печать квитанций на терминале, для печати подключается печатающее устройство.
//
Процедура НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройстваЭТ = Неопределено, ИдентификаторУстройстваПУ = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройстваЭТ, ИдентификаторУстройстваПУ);
```
</details>

## НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале_ВыполнениеКомандыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале_ВыполнениеКомандыЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале_ВыполнениеКомандыЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале_ПечатьЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале_ПечатьЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеСверкиИтоговНаЭквайринговомТерминале_ПечатьЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## ПараметрыВыполненияЭквайринговойОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров выполнения эквайринговой операции.
//
Функция ПараметрыВыполненияЭквайринговойОперации() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПараметрыВыполненияЭквайринговойОперации() Экспорт;);
```
</details>

## НачатьВыполнениеОперацииНаЭквайринговомТерминале
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить операции на эквайринговом терминале.
// Если эквайринговый терминал не поддерживает печать квитанций на терминале, для печати подключается печатающее устройство.
//
Процедура НачатьВыполнениеОперацииНаЭквайринговомТерминале(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройстваЭТ = Неопределено, ИдентификаторУстройстваПУ = Неопределено, ПараметрыОперации = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеОперацииНаЭквайринговомТерминале(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройстваЭТ, ИдентификаторУстройстваПУ, ПараметрыОперации);
```
</details>

## НачатьВыполнениеОперацииНаЭквайринговомТерминале_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеОперацииНаЭквайринговомТерминале_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеОперацииНаЭквайринговомТерминале_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьВыполнениеОперацииНаЭквайринговомТерминале_ВыполнениеКомандыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеОперацииНаЭквайринговомТерминале_ВыполнениеКомандыЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеОперацииНаЭквайринговомТерминале_ВыполнениеКомандыЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьВыполнениеОперацииНаЭквайринговомТерминале_ПослеЗакрытияВопроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает выполнение операции на эквайринговом терминале.
//
// Параметры:
// 	Результат
// 	РезультатВыполнения - Структура - где:
// 	*Параметры - Структура - .
Процедура НачатьВыполнениеОперацииНаЭквайринговомТерминале_ПослеЗакрытияВопроса(Результат, РезультатВыполнения) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеОперацииНаЭквайринговомТерминале_ПослеЗакрытияВопроса(Результат, РезультатВыполнения) 
```
</details>

## НачатьВыполнениеОперацииНаЭквайринговомТерминале_ПечатьЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеОперацииНаЭквайринговомТерминале_ПечатьЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеОперацииНаЭквайринговомТерминале_ПечатьЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьВыполнениеОперацииНаЭквайринговомТерминале_ОшибкаПечатиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеОперацииНаЭквайринговомТерминале_ОшибкаПечатиЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеОперацииНаЭквайринговомТерминале_ОшибкаПечатиЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьВыводИнформацииНаДисплейПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать вывод тестовых строк на подключенные дисплеи покупателя.
//
Процедура НачатьВыводИнформацииНаДисплейПокупателя(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено, СтрокиТекста = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыводИнформацииНаДисплейПокупателя(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства, СтрокиТекста);
```
</details>

## НачатьОчисткуДисплеяПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать очистку подключенных дисплеев покупателя.
//
Процедура НачатьОчисткуДисплеяПокупателя(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОчисткуДисплеяПокупателя(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства);
```
</details>

## НачатьОперациюНаДисплейПокупателя_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОперациюНаДисплейПокупателя_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОперациюНаДисплейПокупателя_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьЗагрузкуДанныеИзТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать загрузку данных из терминала сбора данных.
//
Процедура НачатьЗагрузкуДанныеИзТСД(ОповещениеПриЗавершении, УникальныйИдентификатор, СворачиватьДанные = Ложь) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьЗагрузкуДанныеИзТСД(ОповещениеПриЗавершении, УникальныйИдентификатор, СворачиватьДанные);
```
</details>

## НачатьЗагрузкуДанныеИзТСД_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьЗагрузкуДанныеИзТСД_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьЗагрузкуДанныеИзТСД_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьЗагрузкуДанныеИзТСД_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьЗагрузкуДанныеИзТСД_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьЗагрузкуДанныеИзТСД_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьЗагрузкуДанныеИзТСД_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьЗагрузкуДанныеИзТСД_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьЗагрузкуДанныеИзТСД_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьВыгрузкуДанныеВТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать выгрузку данных в терминал сбора данных.
//
Процедура НачатьВыгрузкуДанныеВТСД(ОповещениеПриЗавершении, УникальныйИдентификатор, ТаблицаВыгрузкиТоваров, ПолнаяВыгрузка = Истина) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыгрузкуДанныеВТСД(ОповещениеПриЗавершении, УникальныйИдентификатор, ТаблицаВыгрузкиТоваров, ПолнаяВыгрузка);
```
</details>

## НачатьВыгрузкуДанныеВТСД_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыгрузкуДанныеВТСД_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыгрузкуДанныеВТСД_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьВыгрузкуДанныеВТСД_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает выгрузку данных в ТСД.
//
// Параметры:
// 	РезультатПодключения - Структура - структура результата подключения.
// 	Параметры - Структура - где:
// 	*ТаблицаВыгрузкиТоваров - ТаблицаЗначений - где:
// 	**Наименование - Строка - .
Процедура НачатьВыгрузкуДанныеВТСД_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыгрузкуДанныеВТСД_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьВыгрузкуДанныеВТСД_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыгрузкуДанныеВТСД_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыгрузкуДанныеВТСД_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьОчисткуДанныеВТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать очистку данных в терминале сбора данных.
//
Процедура НачатьОчисткуДанныеВТСД(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОчисткуДанныеВТСД(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства);
```
</details>

## НачатьОчисткуДанныеВТСД_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОчисткуДанныеВТСД_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОчисткуДанныеВТСД_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьОчисткуДанныеВТСД_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОчисткуДанныеВТСД_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОчисткуДанныеВТСД_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьОчисткуДанныеВТСД_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОчисткуДанныеВТСД_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОчисткуДанныеВТСД_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьПолученияВесаСЭлектронныхВесов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает вес с электронных весов.
// УникальныйИдентификатор - идентификатор формы.
// ОповещениеПриЗавершении - оповещение при завершении взвешивании и передачи веса.
//
Процедура НачатьПолученияВесаСЭлектронныхВесов(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено, ОтображатьСообщения = Ложь) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПолученияВесаСЭлектронныхВесов(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства, ОтображатьСообщения);
```
</details>

## НачатьПолученияВесаСЭлектронныхВесов_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПолученияВесаСЭлектронныхВесов_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПолученияВесаСЭлектронныхВесов_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьПолученияВесаСЭлектронныхВесов_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПолученияВесаСЭлектронныхВесов_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПолученияВесаСЭлектронныхВесов_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьПолученияВесаСЭлектронныхВесов_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПолученияВесаСЭлектронныхВесов_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПолученияВесаСЭлектронныхВесов_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьУстановкуВесаТары
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать установку веса тары на электронных весах.
// УникальныйИдентификатор - идентификатор формы.
// ОповещениеПриЗавершении - оповещение при завершении взвешивании и передачи веса.
//
Процедура НачатьУстановкуВесаТары(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено, Вес = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьУстановкуВесаТары(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства, Вес);
```
</details>

## НачатьУстановкуВесаТары_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьУстановкуВесаТары_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьУстановкуВесаТары_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьУстановкуВесаТары_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьУстановкуВесаТары_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьУстановкуВесаТары_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьУстановкуВесаТары_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьУстановкуВесаТары_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьУстановкуВесаТары_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьПечатьЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать печать этикеток.
//
Процедура НачатьПечатьЭтикеток(ОповещениеПриЗавершенииПечати, УникальныйИдентификатор, ОписаниеЭтикеткиВXML, ДанныеДляПечати, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПечатьЭтикеток(ОповещениеПриЗавершенииПечати, УникальныйИдентификатор, ОписаниеЭтикеткиВXML, ДанныеДляПечати, ИдентификаторУстройства);
```
</details>

## НачатьПечатьЭтикеток_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечатьЭтикеток_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПечатьЭтикеток_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьПечатьЭтикеток_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечатьЭтикеток_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПечатьЭтикеток_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьПечатьЭтикеток_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечатьЭтикеток_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьПечатьЭтикеток_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьИнициализацияПринтераЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать инициализацию принтера этикеток.
//
Процедура НачатьИнициализацияПринтераЭтикеток(ОповещениеПриЗавершенииПечати, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьИнициализацияПринтераЭтикеток(ОповещениеПриЗавершенииПечати, УникальныйИдентификатор, ИдентификаторУстройства);
```
</details>

## НачатьИнициализацияПринтераЭтикеток_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьИнициализацияПринтераЭтикеток_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьИнициализацияПринтераЭтикеток_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьИнициализацияПринтераЭтикеток_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьИнициализацияПринтераЭтикеток_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьИнициализацияПринтераЭтикеток_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьИнициализацияПринтераЭтикеток_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьИнициализацияПринтераЭтикеток_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьИнициализацияПринтераЭтикеток_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьРедактированиеМакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать редактирование макета.
//
Процедура НачатьРедактированиеМакета(ОповещениеПриЗавершенииРедактирования, ОписаниеЭтикеткиВXML, АдресХранилищаСКД) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьРедактированиеМакета(ОповещениеПриЗавершенииРедактирования, ОписаниеЭтикеткиВXML, АдресХранилищаСКД) 
```
</details>

## НачатьРедактированиеМакета_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьРедактированиеМакета_Завершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьРедактированиеМакета_Завершение(Результат, ДополнительныеПараметры) 
```
</details>

## НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать выгрузку данных в терминал сбора данных.
//
Процедура НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток(ОповещениеПриЗавершении, УникальныйИдентификатор, ТаблицаВыгрузкиТоваров, ИдентификаторУстройства = Неопределено, ЧастичнаяВыгрузка = Ложь, ОтображатьСообщения = Ложь) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток(ОповещениеПриЗавершении, УникальныйИдентификатор, ТаблицаВыгрузкиТоваров, ИдентификаторУстройства, ЧастичнаяВыгрузка, ОтображатьСообщения);
```
</details>

## НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ФайловоеРасширениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ФайловоеРасширениеЗавершение(Подключено, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ФайловоеРасширениеЗавершение(Подключено, Параметры) 
```
</details>

## НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыгрузкуДанныеВВесыСПечатьюЭтикеток_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьОчисткуТоваровВВесахСПечатьюЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать очистку товаров в весах с печатью этикеток.
//
Процедура НачатьОчисткуТоваровВВесахСПечатьюЭтикеток(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено, ОтображатьСообщения = Ложь) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОчисткуТоваровВВесахСПечатьюЭтикеток(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства, ОтображатьСообщения);
```
</details>

## НачатьОчисткуТоваровВВесахСПечатьюЭтикеток_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОчисткуТоваровВВесахСПечатьюЭтикеток_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОчисткуТоваровВВесахСПечатьюЭтикеток_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьОчисткуТоваровВВесахСПечатьюЭтикеток_ПодключениеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОчисткуТоваровВВесахСПечатьюЭтикеток_ПодключениеЗавершение(РезультатПодключения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОчисткуТоваровВВесахСПечатьюЭтикеток_ПодключениеЗавершение(РезультатПодключения, Параметры) 
```
</details>

## НачатьОчисткуТоваровВВесахСПечатьюЭтикеток_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОчисткуТоваровВВесахСПечатьюЭтикеток_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОчисткуТоваровВВесахСПечатьюЭтикеток_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## ПараметрыЗаписиМеткиRFID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров записи метки RFID.
//
Функция ПараметрыЗаписиМеткиRFID() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПараметрыЗаписиМеткиRFID() Экспорт;);
```
</details>

## НачатьОткрытиеСессииСчитывателяRFID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать открытие сессии считывателя RFID.
//
Процедура НачатьОткрытиеСессииСчитывателяRFID(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОткрытиеСессииСчитывателяRFID(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства);
```
</details>

## НачатьОткрытиеСессииСчитывателяRFID_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОткрытиеСессииСчитывателяRFID_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьОткрытиеСессииСчитывателяRFID_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьЗакрытиеСессииСчитывателяRFID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начать закрытие сессии считывателя RFID.
//
Процедура НачатьЗакрытиеСессииСчитывателяRFID(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьЗакрытиеСессииСчитывателяRFID(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства);
```
</details>

## НачатьЗакрытиеСессииСчитывателяRFID_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьЗакрытиеСессииСчитывателяRFID_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьЗакрытиеСессииСчитывателяRFID_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## НачатьЗаписьДанныхВМеткуRFID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьЗаписьДанныхВМеткуRFID(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства, ПараметрыЗаписи, Таймаут = 0) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьЗаписьДанныхВМеткуRFID(ОповещениеПриЗавершении, УникальныйИдентификатор, ИдентификаторУстройства, ПараметрыЗаписи, Таймаут);
```
</details>

## НачатьЗаписьДанныхВМеткуRFID_ВыбратьУстройствоЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьЗаписьДанныхВМеткуRFID_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьЗаписьДанныхВМеткуRFID_ВыбратьУстройствоЗавершение(ИдентификаторУстройства, Параметры) 
```
</details>

## НачатьЗаписьДанныхВМеткуRFID_ВыполнитьКомандуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьЗаписьДанныхВМеткуRFID_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьЗаписьДанныхВМеткуRFID_ВыполнитьКомандуЗавершение(РезультатВыполнения, Параметры) 
```
</details>

## ПолучитьСодержаниеТекстовыхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура получения содержания текстовых файлов.
// Параметры:
//  ИменаФайлов  - Строка, Массив - имя файла или массив с именами файлов.
//  ОписаниеОповещенияПриЗавершении  - ОписаниеОповещения - вызывается после завершения чтения файлов.
//  Кодировка - КодировкаТекста - кодировка при чтении текстового файла, по умолчанию КодировкаТекста.UTF8.
//
Процедура ПолучитьСодержаниеТекстовыхФайлов(ИменаФайлов, ОписаниеОповещенияПриЗавершении, Кодировка = Неопределено) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПолучитьСодержаниеТекстовыхФайлов(ИменаФайлов, ОписаниеОповещенияПриЗавершении, Кодировка);
```
</details>

## ПолучитьСодержаниеТекстовыхФайловЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура оповещения получения содержания текстовых файлов.
// Вызывается из процедуры ПолучитьСодержаниеТекстовыхФайлов.
//
Процедура ПолучитьСодержаниеТекстовыхФайловЗавершение(ПомещенныеФайлы, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПолучитьСодержаниеТекстовыхФайловЗавершение(ПомещенныеФайлы, ДополнительныеПараметры) 
```
</details>

## ПредложитьВыбратьСмену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПредложитьВыбратьСмену(ОповещениеВыбора, ТекстЗаголовкаВыбора, Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПредложитьВыбратьСмену(ОповещениеВыбора, ТекстЗаголовкаВыбора, );
```
</details>

## ПредложитьВыбратьСменуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПредложитьВыбратьСменуЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.ПредложитьВыбратьСменуЗавершение(Результат, Параметры) 
```
</details>

## НачатьВыполнениеКоманды_ВыбратьСменуЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнениеКоманды_ВыбратьСменуЗавершение(СтруктураПараметровСмены, Параметры) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиент.НачатьВыполнениеКоманды_ВыбратьСменуЗавершение(СтруктураПараметровСмены, Параметры) 
```
</details>

## ПреобразоватьДанныеСоСканераВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПреобразоватьДанныеСоСканераВМассив(Параметр) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПреобразоватьДанныеСоСканераВМассив(Параметр) 
```
</details>

## ПреобразоватьДанныеСоСканераВСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПреобразоватьДанныеСоСканераВСтруктуру(Параметр) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиент.ПреобразоватьДанныеСоСканераВСтруктуру(Параметр) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
