---
title: Менеджер оборудования клиент сервер
slug: zup/менеджер-оборудования-клиент-сервер
---


## ЗаполнитьНаименованиеРабочегоМеста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция заполняет наименование рабочего места клиента по имени пользователя.
//
// Параметры:
// Объект - СправочникОбъект.РабочиеМеста - рабочее место текущего сеанса.
//
Процедура ЗаполнитьНаименованиеРабочегоМеста(Объект, ИмяПользователя) Экспорт
```

Пример вызова
```bsl
МенеджерОборудованияКлиентСервер.ЗаполнитьНаименованиеРабочегоМеста(Объект, ИмяПользователя) 
```
</details>

## ОпределитьТипШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет тип штрихкода по значение кода.
//
Функция ОпределитьТипШтрихкода(Знач Штрихкод) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ОпределитьТипШтрихкода(Штрихкод) 
```
</details>

## ПолучитьСтруктуруЗаписиEPC
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает пустую структуру записи EPC.
//
// Возвращаемое значение:
//  - Структура
//       Результат       - Результат декодирования (успешно или нет)
//       EPC             - Значение EPC в виде HEX строки
//       EPC_BIN         - Значение EPC в виде бинарной строки
//       Формат          - Распознанный формат данных SGTIN-96 или SGTIN-198
//       GTIN            - GTIN
//       СерийныйНомер   - Серийный номер SGTIN
//       ПрефиксКомпании - Префикс компании
//       URI             - EPC Tag URI
//
Функция ПолучитьСтруктуруЗаписиEPC() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПолучитьСтруктуруЗаписиEPC() 
```
</details>

## РассчитатьКонтрольныйСимволGTIN8
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчет контрольной цифры для GTIN-8.
//
// Параметры:
//  GTIN - Текстовая строка с GTIN-8. Может содержать числа от 0 до 9.
//
// Возвращаемое значение:
//   - Контрольный символ (число) рассчитанный по алгоритму для GTIN.
//
Функция РассчитатьКонтрольныйСимволGTIN8(Знач GTIN) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.РассчитатьКонтрольныйСимволGTIN8(GTIN) 
```
</details>

## РассчитатьКонтрольныйСимволGTIN12
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчет контрольной цифры для GTIN-12.
//
// Параметры:
//  GTIN - Текстовая строка с GTIN-12. Может содержать числа от 0 до 9.
//
// Возвращаемое значение:
//   - Контрольный символ (число) рассчитанный по алгоритму для GTIN.
//
Функция РассчитатьКонтрольныйСимволGTIN12(Знач GTIN) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.РассчитатьКонтрольныйСимволGTIN12(GTIN) 
```
</details>

## РассчитатьКонтрольныйСимволGTIN13
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчет контрольной цифры для GTIN-13.
//
// Параметры:
//  GTIN - Текстовая строка с GTIN-13. Может содержать числа от 0 до 9.
//
// Возвращаемое значение:
//   - Контрольный символ (число) рассчитанный по алгоритму для GTIN.
//
Функция РассчитатьКонтрольныйСимволGTIN13(Знач GTIN) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.РассчитатьКонтрольныйСимволGTIN13(GTIN) 
```
</details>

## РассчитатьКонтрольныйСимволGTIN14
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Расчет контрольной цифры для GTIN-14.
//
// Параметры:
//  GTIN - Текстовая строка с GTIN-14. Может содержать числа от 0 до 9.
//
// Возвращаемое значение:
//   - Контрольный символ (число) рассчитанный по алгоритму для GTIN.
//
Функция РассчитатьКонтрольныйСимволGTIN14(Знач GTIN) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.РассчитатьКонтрольныйСимволGTIN14(GTIN) 
```
</details>

## РассчитатьКонтрольныйСимволGTIN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная функция расчета контрольной цифры GTIN.
// GTIN допускает в формате GTIN-8, GTIN-12, GTIN-13, GTIN-14 c контрольным символом.
//
// Параметры:
//  GTIN - Текстовая строка с GTIN(c контрольным символом). Может содержать числа от 0 до 9.
//
// Возвращаемое значение:
//   - Контрольный символ (число) рассчитанный по алгоритму для GTIN.
//
Функция РассчитатьКонтрольныйСимволGTIN(Знач GTIN) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.РассчитатьКонтрольныйСимволGTIN(GTIN) 
```
</details>

## ПроверитьКорректностьGTIN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет корректность GTIN.
// GTIN допускает в формате GTIN-8, GTIN-12, GTIN-13, GTIN-14 c контрольным символом.
//
// Параметры:
//  GTIN - Текстовая строка с GTIN(c контрольным символом). Может содержать числа от 0 до 9.
//
// Возвращаемое значение:
//   - Булево
//
Функция ПроверитьКорректностьGTIN(Знач GTIN) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПроверитьКорректностьGTIN(GTIN) 
```
</details>

## ДекодированиеДанныхSGTIN
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Декодирование данных по значение EPC(HEX строка). Поддерживается формат SGTIN-96 и SGTIN-198.
//
// Параметры:
//   EPC - Строка содержащая значение банка EPC в HEX виде.
//
// Возвращаемое значение:
//  - Структура
//       Результат       - Результат декодирования (успешно или нет)
//       EPC             - Значение EPC в виде HEX строки
//       EPC_BIN         - Значение EPC в виде бинарной строки
//       Формат          - Распознанный формат данных SGTIN-96 или SGTIN-198
//       GTIN            - GTIN
//       СерийныйНомер   - Серийный номер SGTIN
//       ПрефиксКомпании - Префикс компании
//       URI             - EPC Tag URI
//
Функция ДекодированиеДанныхSGTIN(EPC) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ДекодированиеДанныхSGTIN(EPC) 
```
</details>

## ПустойEPC
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет, содержит ли EPC значащую информацию (GTIN или СерийныйНомер) по формату SGTIN.
//
// Параметры:
//  EPC - Строка содержащая значение банка EPC в HEX виде.
//
// Возвращаемое значение:
//   - Булево
//
Функция ПустойEPC(EPC) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПустойEPC(EPC) 
```
</details>

## СформироватьДанныеSGTIN96
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать значение EPC в формате SGTIN-96 для GTIN и серийного номера.
//  GTIN допускает в формате GTIN-8, GTIN-12, GTIN-13, GTIN-14.
//
// Параметры:
//  GTIN          - GTIN товарной номенклатуры. Текстовая строка с GTIN(c контрольным символом).
//  СерийныйНомер - Серийный номер номенклатуры.
//  Фильтр        -
//
// Возвращаемое значение:
//   - Строка HEX с сформированным EPC для записи на метку RFID.
//
Функция СформироватьДанныеSGTIN96(Знач GTIN, Знач СерийныйНомер, Знач Фильтр = 3) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.СформироватьДанныеSGTIN96(GTIN, СерийныйНомер, Фильтр);
```
</details>

## ПолучитьСерийныйНомерПоTID
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сформировать серийный номер по правилам производителей чипов.
//
Функция ПолучитьСерийныйНомерПоTID(Знач TID, Знач EPC = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПолучитьСерийныйНомерПоTID(TID, EPC);
```
</details>

## ПреобразоватьHEXВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает HEX строку в строку символов.
//
// Параметры:
//  СтрокаHEX - Строка HEX содержащая символы.
//
// Возвращаемое значение:
//   - Тестовая строка
//
Функция ПреобразоватьHEXВСтроку(Знач СтрокаHEX) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПреобразоватьHEXВСтроку(СтрокаHEX) 
```
</details>

## ПреобразоватьСтрокуВHEX
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразовывает строку символов в HEX строку.
//
// Параметры:
//   Строка - Тестовая строка
//
// Возвращаемое значение:
//   - СтрокаHEX - Строка HEX содержащая символы.
//
Функция ПреобразоватьСтрокуВHEX(Знач Строка) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПреобразоватьСтрокуВHEX(Строка) 
```
</details>

## ПреобразоватьHEXВБинарнуюСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Преобразовать HEX в бинарную строку
//
// Параметры:
//  СтрокаHEX - Строка HEX содержащая символы.
//
// Возвращаемое значение:
//   - Текстовая строка в бинарном представлении (Пример "000010101").
//
Функция ПреобразоватьHEXВБинарнуюСтроку(Знач СтрокаHEX) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПреобразоватьHEXВБинарнуюСтроку(СтрокаHEX) 
```
</details>

## ПреобразоватьБинарнуюСтрокуВHEX
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Преобразовать бинарную строку ВHEX
//
// Параметры:
//  БинарнаяСтрока- Текстовая строка в бинарном представлении (Пример "000010101").
//
// Возвращаемое значение:
//   - Строка HEX содержащая символы.
//
Функция ПреобразоватьБинарнуюСтрокуВHEX(Знач БинарнаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПреобразоватьБинарнуюСтрокуВHEX(БинарнаяСтрока) 
```
</details>

## ПреобразоватьБинарнуюСтрокуВЧисло
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Преобразовать бинарную строку в десятичное число
//
// Параметры:
//  БинарнаяСтрока - Текстовая строка в бинарном представлении (Пример "000010101").
//
// Возвращаемое значение:
//   - Десятичное число.
//
Функция ПреобразоватьБинарнуюСтрокуВЧисло(Знач БинарнаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПреобразоватьБинарнуюСтрокуВЧисло(БинарнаяСтрока) 
```
</details>

## ПреобразоватьЧислоВБинарнуюСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Преобразовать десятичное число в бинарную строку
//
// Параметры:
//  Число - Десятичное число которое будет преобразовано в бинарный вид.
//
// Возвращаемое значение:
//   - Текстовая строка в бинарном представлении (Пример "000010101").
//
Функция ПреобразоватьЧислоВБинарнуюСтроку(Знач Число) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПреобразоватьЧислоВБинарнуюСтроку(Число) 
```
</details>

## ИННСоответствуетТребованиям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет соответствие ИНН требованиям.
//
// Параметры:
//  ИНН                - Строка - проверяемый индивидуальный номер налогоплательщика.
//  ЭтоЮридическоеЛицо - Булево - признак, является ли владелец ИНН юридическим лицом.
//  ТекстСообщения     - Строка - текст сообщения о найденных ошибках.
//
// Возвращаемое значение:
//  Булево - Истина, если соответствует.
//
Функция ИННСоответствуетТребованиям(Знач ИНН, ЭтоЮридическоеЛицо, ТекстСообщения) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ИННСоответствуетТребованиям(ИНН, ЭтоЮридическоеЛицо, ТекстСообщения) 
```
</details>

## СформироватьТекстНефискальногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует текст нефискального документа по шаблону.
//
// Параметры:
// ОбщиеПараметры - Структура - где:
// *ПозицииЧека - Массив из Структура - где:
// **Наименование - Строка - .
// **ДанныеПоставщика - Структура - где:
// ***Наименование - Строка - .
// **ДанныеАгента - Структура - где:
// ***ОператорПеревода - Структура -
// ****Наименование - Строка - .
// *ДанныеПоставщика - Структура - где:
// **Наименование - Строка - .
// *ДанныеАгента - Структура - где:
// ** ОператорПеревода - Структура -
// ***Наименование - Строка - .
//
// Возвращаемое значение:
// Массив - .
Функция СформироватьТекстНефискальногоДокумента(ТипДокумента, ОбщиеПараметры, ШиринаСтроки = 32, ДополнительныйТекст = Неопределено, ФорматФФД = "1.1") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.СформироватьТекстНефискальногоДокумента(ТипДокумента, ОбщиеПараметры, ШиринаСтроки, ДополнительныйТекст, ФорматФФД);
```
</details>

## СформироватьТекстНефискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует текст нефискального чека по шаблону.
//
Функция СформироватьТекстНефискальногоЧека(ОбщиеПараметры, ШиринаСтроки = 32, ФорматФФД = "1.1") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.СформироватьТекстНефискальногоЧека(ОбщиеПараметры, ШиринаСтроки, ФорматФФД);
```
</details>

## ПараметрыQRКодаЧекаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру параметров QR кода чека ККТ.
//
Функция ПараметрыQRКодаЧекаККТ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыQRКодаЧекаККТ() 
```
</details>

## РасшифроватьQRКодЧекаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция расшифровывает QR код для чека ККТ. Структура описана в документе ФФД в разделе 61.
//
Функция РасшифроватьQRКодЧекаККТ(ЗначениеQRКода) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.РасшифроватьQRКодЧекаККТ(ЗначениеQRКода) 
```
</details>

## СформироватьQRКодЧекаККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует QR код для чека ККТ. Структура описана в документе ФФД в разделе 61.
//
Функция СформироватьQRКодЧекаККТ(ПараметрыQRКода) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.СформироватьQRКодЧекаККТ(ПараметрыQRКода) 
```
</details>

## КодСистемыНалогообложенияККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код системы налогообложения ККТ.
//
Функция КодСистемыНалогообложенияККТ(СистемаНалогообложенияККТ) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.КодСистемыНалогообложенияККТ(СистемаНалогообложенияККТ) 
```
</details>

## СистемаНалогообложенияККТПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить систему налогообложения ККТ по коду
//
Функция СистемаНалогообложенияККТПоКоду(КодСистемыНалогообложенияККТ) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.СистемаНалогообложенияККТПоКоду(КодСистемыНалогообложенияККТ) 
```
</details>

## НаименованиеСистемыНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить наименование системы налогообложения по коду.
//
Функция НаименованиеСистемыНалогообложения(СистемаНалогообложения, Кратко = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.НаименованиеСистемыНалогообложения(СистемаНалогообложения, Кратко);
```
</details>

## КодРасчетаДенежнымиСредствами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код расчета денежными средствами.
//
Функция КодРасчетаДенежнымиСредствами(ТипРасчета) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.КодРасчетаДенежнымиСредствами(ТипРасчета) 
```
</details>

## РасчетДенежнымиСредствамиПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить типа расчета денежными средствами по коду.
//
Функция РасчетДенежнымиСредствамиПоКоду(КодПризнакаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.РасчетДенежнымиСредствамиПоКоду(КодПризнакаРасчета) 
```
</details>

## КодПризнакаСпособаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код признака способа расчета.
//
Функция КодПризнакаСпособаРасчета(ПризнакСпособаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.КодПризнакаСпособаРасчета(ПризнакСпособаРасчета) 
```
</details>

## ПризнакСпособаРасчетаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить признак способа расчета по коду.
//
Функция ПризнакСпособаРасчетаПоКоду(КодПризнакаСпособаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПризнакСпособаРасчетаПоКоду(КодПризнакаСпособаРасчета) 
```
</details>

## НаименованиеПризнакаСпособаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить наименование признака способа расчета по коду.
//
Функция НаименованиеПризнакаСпособаРасчета(ПризнакСпособаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.НаименованиеПризнакаСпособаРасчета(ПризнакСпособаРасчета) Экспорт;);
```
</details>

## КодПризнакаПредметаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код признака способа расчета.
//
Функция КодПризнакаПредметаРасчета(ПризнакПредметаРасчета, РевизияИнтерфейса = 0) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.КодПризнакаПредметаРасчета(ПризнакПредметаРасчета, РевизияИнтерфейса);
```
</details>

## ПризнакПредметаРасчетаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить признак способа расчета по коду.
//
Функция ПризнакПредметаРасчетаПоКоду(КодПризнакаПредметаРасчета) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПризнакПредметаРасчетаПоКоду(КодПризнакаПредметаРасчета) 
```
</details>

## КодПризнакаАгента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить признак агента по коду.
//
Функция КодПризнакаАгента(КодПризнакаАгента) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.КодПризнакаАгента(КодПризнакаАгента) 
```
</details>

## ПризнакАгентаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код типа признака агента.
//
Функция ПризнакАгентаПоКоду(ПризнакАгента) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПризнакАгентаПоКоду(ПризнакАгента) 
```
</details>

## КодПричиныИзмененияСведенийККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код причины изменения сведений о ККТ.
//
Функция КодПричиныИзмененияСведенийККТ(ПричинаИзмененияСведенийККТ) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.КодПричиныИзмененияСведенийККТ(ПричинаИзмененияСведенийККТ) 
```
</details>

## КодТипаМаркировкиККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код типа маркировки ККТ по коду.
//
Функция КодТипаМаркировкиККТ(ТипМаркировкиККТ) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.КодТипаМаркировкиККТ(ТипМаркировкиККТ) 
```
</details>

## ТипМаркировкиККТПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить код типа маркировки ККТ.
//
Функция ТипМаркировкиККТПоКоду(КодТипМаркировкиККТ) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ТипМаркировкиККТПоКоду(КодТипМаркировкиККТ) 
```
</details>

## ПараметрыФискальногоНакопителяОбщие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру общих параметров фискального накопителя.
//
Функция ПараметрыФискальногоНакопителяОбщие() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыФискальногоНакопителяОбщие() 
```
</details>

## ПараметрыРегистрацииККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров регистрации ККТ.
//
Функция ПараметрыРегистрацииККТ() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыРегистрацииККТ() 
```
</details>

## ПараметрыОперацииФискализацииНакопителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров Фискализации ФН.
//
Функция ПараметрыОперацииФискализацииНакопителя() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыОперацииФискализацииНакопителя() 
```
</details>

## ПараметрыВыполненияОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров выполнения операции.
//
Функция ПараметрыВыполненияОперации() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыВыполненияОперации() Экспорт;);
```
</details>

## ПараметрыДанныеАгента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру данных агента.
//
// Описание
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ОператорПоПриемуПлатежей - Структура -:
// ** Телефон - Неопределено -
// * ОператорПеревода - Структура - структура данных с полями:
// ** Телефон - Строка -
// ** Наименование - Строка -
// ** Адрес - Строка -
// ** ИНН - Строка -
// * ПлатежныйАгент - Структура - структура данных с полями:
// ** Операция - Строка -
// ** Телефон - Строка -
//
Функция ПараметрыДанныеАгента() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыДанныеАгента() 
```
</details>

## ПараметрыДанныеПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру данных поставщика.
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ИНН
// * Наименование
// * Телефон
Функция ПараметрыДанныеПоставщика() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыДанныеПоставщика() 
```
</details>

## ПараметрыДанныеКодаТоварнойНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру данных кода товарной номенклатуры.
//
Функция ПараметрыДанныеКодаТоварнойНоменклатуры() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыДанныеКодаТоварнойНоменклатуры() 
```
</details>

## ПараметрыДополнительногоРеквизитаПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру дополнительного реквизита пользователя.
//
Функция ПараметрыДополнительногоРеквизитаПользователя() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыДополнительногоРеквизитаПользователя() 
```
</details>

## ПараметрыОперацииФискализацииЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров операции фискализации чека.
//
// Возвращаемое значение:
// 	Структура - Описание:
// * ДанныеКоррекции - Структура -:
// ** НомерПредписания
// ** ДатаКоррекции
// ** ОписаниеКоррекции
// ** ТипКоррекции - Число -
// * НеприменениеККТ - Булево -
// * КорректируемыйДокумент
// * ЕстьПерсональныеДанные - Булево -
// * ИндивидуальныйРежимПодготовкиДанныхКПередачеВОФД - Булево -
// * ДопустимоеРасхождениеФорматноЛогическогоКонтроля - Число -
// * СпособФорматноЛогическогоКонтроля - Неопределено -
// * СформироватьЧекКоррекции - Булево -
// * ДополнительныйРеквизитПользователя - Структура -:
// ** Значение
// ** Наименование
// * ДополнительныйРеквизит - Неопределено -
// * НефискальныеДокументы - Массив -
// * КассаККМ
// * ШаблонЧека
// * ТаблицаОплат - Массив -
// * ПозицииЧека - Массив -
// * КопийЧека - Число -
// * ТекстПодвала - Строка -
// * ТекстШапки - Строка -
// * ДатаВремя - Дата -
// * НомерСмены
// * НомерЧека
// * НомерКассы
// * НаименованиеМагазина
// * АдресМагазина
// * ОрганизацияКПП
// * ОрганизацияИНН
// * ОрганизацияНазвание
// * СерийныйНомер
// * ПолучательИНН
// * Получатель
// * ДанныеПоставщика - Структура -:
// ** ИНН
// ** Наименование
// ** Телефон
// * ДанныеАгента - Структура -:
// ** ОператорПоПриемуПлатежей - Структура -:
// *** Телефон - Неопределено -
// ** ОператорПеревода - Структура -:
// *** Телефон - Строка -
// *** Наименование - Строка -
// *** Адрес - Строка -
// *** ИНН - Строка -
// ** ПлатежныйАгент - Структура -:
// *** Операция - Строка -
// *** Телефон - Строка -
// * ПризнакАгента - Неопределено -
// * ПокупательНомер
// * ПокупательEmail
// * ОтправительEmail
// * МестоРасчетов
// * АдресРасчетов
// * СистемаНалогообложения - ПеречислениеСсылка.ТипыСистемНалогообложенияККТ -
// * Отправляет1СEmail - Булево -
// * Отправляет1СSMS - Булево -
// * ТипРасчета - ПеречислениеСсылка.ТипыРасчетаДенежнымиСредствами -
// * Электронно - Булево -
// * ТорговыйОбъект - Неопределено -
// * Организация - Неопределено -
// * ИдентификаторФискальнойЗаписи - Неопределено -
// * ДокументОснование - Неопределено -
// * КассирИНН - Неопределено -
// * Кассир - Строка -
Функция ПараметрыОперацииФискализацииЧека() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыОперацииФискализацииЧека() Экспорт;);
```
</details>

## ПараметрыФискальнойСтрокиЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров фискальной строки для фискализации чека.
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Штрихкод
// * НомерСекции - Число -
// * ДополнительныйРеквизит
// * СуммаАкциза
// * НомерТаможеннойДекларации
// * КодСтраныПроисхожденияТовара
// * ДанныеКодаТоварнойНоменклатуры - Структура -:
// ** КодКонтрольнойМарки
// ** СерийныйНомер
// ** ГлобальныйИдентификаторТорговойЕдиницы
// ** КонтрольныйИдентификационныйЗнак
// ** ТипМаркировки
// * ЕдиницаИзмерения
// * ДанныеПоставщика - Структура -:
// ** ИНН
// ** Наименование
// ** Телефон
// * ДанныеАгента - Структура -:
// ** ОператорПоПриемуПлатежей - Структура -:
// *** Телефон - Неопределено -
// ** ОператорПеревода
// ** ПлатежныйАгент
// * ПризнакАгентаПоПредметуРасчета
// * ПризнакПредметаРасчета - Неопределено -
// * ПризнакСпособаРасчета - Неопределено -
// * СуммаНДС - Неопределено -
// * СтавкаНДС - Неопределено -
// * СуммаСкидок
// * Сумма - Число -
// * ЦенаСоСкидками - Число -
// * Цена - Число -
// * Количество - Число -
// * Наименование
// * НомерСтрокиТовара
// * ФискальнаяСтрока.
//
Функция ПараметрыФискальнойСтрокиЧека() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыФискальнойСтрокиЧека() Экспорт;);
```
</details>

## ПараметрыТекстовойСтрокиЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров текстовой строки для фискализации чека.
//
Функция ПараметрыТекстовойСтрокиЧека(Текст = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыТекстовойСтрокиЧека(Текст);
```
</details>

## ПараметрыШтрихкодВСтрокеЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров штрихкода в строке для фискализации чека.
//
Функция ПараметрыШтрихкодВСтрокеЧека(ТипШтрихкодаЗнач = Неопределено, ШтрихКодЗнач = Неопределено, ШтрихКодBase64 = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыШтрихкодВСтрокеЧека(ТипШтрихкодаЗнач, ШтрихКодЗнач, ШтрихКодBase64);
```
</details>

## ПараметрыСтрокиОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров строки оплаты.
//
Функция ПараметрыСтрокиОплаты() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыСтрокиОплаты() 
```
</details>

## ПараметрыДанныеКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров строки оплаты.
//
Функция ПараметрыДанныеКоррекции() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыДанныеКоррекции()  
```
</details>

## ПараметрыОперацииЧекаКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров выполнения операции чека коррекции.
//
Функция ПараметрыОперацииЧекаКоррекции() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыОперацииЧекаКоррекции() Экспорт;);
```
</details>

## ПараметрыОткрытияЗакрытияСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров открытия и закрытия смены.
//
Функция ПараметрыОткрытияЗакрытияСмены() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыОткрытияЗакрытияСмены() Экспорт;);
```
</details>

## ПараметрыИнкассации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров инкассацию на фискальном устройстве.
//
Функция ПараметрыИнкассации() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыИнкассации() Экспорт;);
```
</details>

## ПараметрыОперацииАннулированияЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров выполнения эквайринговой операции.
//
Функция ПараметрыОперацииАннулированияЧека() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыОперацииАннулированияЧека() Экспорт;);
```
</details>

## ПараметрыФискализацииЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить структуру фискализации чека
//
Функция ПараметрыФискализацииЧека() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыФискализацииЧека() 
```
</details>

## ПараметрыСтрокиВыгрузкиВТСД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров строки выгрузки в ТСД.
//
Функция ПараметрыСтрокиВыгрузкиВТСД() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыСтрокиВыгрузкиВТСД() 
```
</details>

## ПостроитьПолеПереносом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выстраивает строку по длине поля, если поле длинное - переносит на следующую строку.
//
Функция ПостроитьПолеПереносом(Знач Текст, Знач ДлинаПоля, ДобСимвол = "", ПоЦентру = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПостроитьПолеПереносом(Текст, ДлинаПоля, ДобСимвол, ПоЦентру);
```
</details>

## ПостроитьПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обрезает передаваемую строку по длине поля, если поле слишком короткое - дополняет символами.
//
Функция ПостроитьПоле(Знач Текст, Знач ДлинаПоля, ДобСимвол = "", ДобавлятьСправа = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПостроитьПоле(Текст, ДлинаПоля, ДобСимвол, ДобавлятьСправа);
```
</details>

## ВыстроитьПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку из двух полей, если передается одно поле дополняет символами до нужного размера.
//
Функция ВыстроитьПоля(Знач Текст1, Знач Текст2 = "", Знач ДлинаПоля) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ВыстроитьПоля(Текст1, Текст2, ДлинаПоля) 
```
</details>

## ВыравнитьПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//  Выравнить передаваемую строку по длине поля, если поле слишком короткое - дополняет символами.
//
Функция ВыравнитьПоле(Знач Текст, Знач ДлинаПоля = 32, Знач Выравнивание = "Лево", ДобСимвол = "") Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ВыравнитьПоле(Текст, ДлинаПоля, Выравнивание, ДобСимвол);
```
</details>

## ДобавитьЛидирующиеНули
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьЛидирующиеНули(Знач Строка, Знач ДлиннаСтроки) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ДобавитьЛидирующиеНули(Строка, ДлиннаСтроки));
```
</details>

## ТребуетсяВызовСобытияПослеВыполненияКомандыФискальнымУстройством
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет необходимость выполнения серверного события ПослеВыполненияКомандыФискальнымУстройством.
//
Функция ТребуетсяВызовСобытияПослеВыполненияКомандыФискальнымУстройством(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ТребуетсяВызовСобытияПослеВыполненияКомандыФискальнымУстройством(Контекст) 
```
</details>

## КомандыРаботыСоСменами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив команд работы с кассовой сменой.
//
Функция КомандыРаботыСоСменами() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.КомандыРаботыСоСменами());
```
</details>

## ПараметрыСчетчиковОпераций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры счетчиков операций.
//
Функция ПараметрыСчетчиковОпераций() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыСчетчиковОпераций() 
```
</details>

## ПараметрыНормализуемыхФискальныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет структуру параметров нормализуемых фискальных данных.
//
Функция ПараметрыНормализуемыхФискальныхДанных() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ПараметрыНормализуемыхФискальныхДанных() 
```
</details>

## ТребуетсяЗакрытиеСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТребуетсяЗакрытиеСмены(СтатусСмены) Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ТребуетсяЗакрытиеСмены(СтатусСмены) 
```
</details>

## ТекстОшибки_Подсистема_ЧекопечатающиеУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстОшибки_Подсистема_ЧекопечатающиеУстройства() Экспорт
```

Пример вызова
```bsl
Результат = МенеджерОборудованияКлиентСервер.ТекстОшибки_Подсистема_ЧекопечатающиеУстройства());
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
