---
title: Многофункциональные документы БЗК клиент сервер
slug: zup/многофункциональные-документы-бзк-клиент-сервер
---


## РазделыДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, ключами которой являются имена разделов данные которых представлены в
// 				в многофункциональных документах, по сути представляет собой перечисление.
//
// Возвращаемое значение:
// 	Структура - Описание:
// * КадровыеДанные - Строка - соответствует разделу данных КадровыеДанные
// * ПлановыеНачисления - Строка - соответствует разделу данных ПлановыеНачисления
// * НачисленнаяЗарплата - Строка - соответствует  разделу данных НачисленнаяЗарплата
// * РабочееВремя - Строка - соответствует  разделу данных РабочееВремя
//
Функция РазделыДанных() Экспорт
```

Пример вызова
```bsl
Результат = МногофункциональныеДокументыБЗККлиентСервер.РазделыДанных() 
```
</details>

## ВидыПравНаРазделыДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, ключами которой являются виды прав на данные отдельных учетов
// 				в многофункциональных документах, по сути представляет собой перечисление.
//
// Возвращаемое значение:
// 	Структура - Описание:
// * Просмотр - Строка - соответствует праву Просмотр
// * Редактирование - Строка - соответствует праву Редактирование
//
Функция ВидыПравНаРазделыДанных() Экспорт
```

Пример вызова
```bsl
Результат = МногофункциональныеДокументыБЗККлиентСервер.ВидыПравНаРазделыДанных() 
```
</details>

## НовыйОписаниеРазделаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую структуру - описание раздела данных многофункционального документа
//
// Возвращаемое значение:
// 	Структура - Описание:
// * РеквизитОтветсвенный - Строка, Неопределено - имя реквизита в котором хранится ответственный утвердивший раздел,
// 		если значение Неопределено, значит в документе нет соответствующего поля
// * РеквизитСостояние - Строка, Неопределено - имя реквизита, в котором хранится состояние раздела (булево,
// 		либо раздел утвержден, либо нет). Если значение Неопределено, значит в документе нет соответствующего поля
// * ТребуетсяУтверждениеПриПроведении - Булево - признак того что необходимо выполнять проверку
// 		на то что раздел утвержден при проведении документа.
// * СообщениеДокументНеУтвержден - Строка - сообщение которое будет выдано при проверке документа при проведении,
//		если раздел не утвержден
//
Функция НовыйОписаниеРазделаДанных() Экспорт
```

Пример вызова
```bsl
Результат = МногофункциональныеДокументыБЗККлиентСервер.НовыйОписаниеРазделаДанных() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
