---
title: Монитор портала 1С ИТС клиент переопределяемый
slug: zup/монитор-портала-1с-итс-клиент-переопределяемый
---


## ПередПолучениемДанныхМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается перед началом получения данных в форме Монитора в контексте клиента.
// Описание формы Монитора см. в методе ПриСозданииФормыМонитора общего
// модуля МониторПортала1СИТСПереопределяемый, параметр Форма.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма Монитора.
//
//@skip-warning
Процедура ПередПолучениемДанныхМонитора(Форма) Экспорт
```

Пример вызова
```bsl
МониторПортала1СИТСКлиентПереопределяемый.ПередПолучениемДанныхМонитора(Форма) 
```
</details>

## ОбработатьКомандуВФормеМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при обработке команды в форме Монитора Портала 1С:ИТС
// из обработчика "Подключаемый_ОбработатьКоманду".
// Описание формы Монитора см. в методе ПриСозданииФормыМонитора общего
// модуля МониторПортала1СИТСПереопределяемый, параметр Форма.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма Монитора;
//	Команда - КомандаФормы - команда, для которой вызывается обработчик;
//
//@skip-warning
Процедура ОбработатьКомандуВФормеМонитора(Форма, Команда) Экспорт
```

Пример вызова
```bsl
МониторПортала1СИТСКлиентПереопределяемый.ОбработатьКомандуВФормеМонитора(Форма, Команда) 
```
</details>

## ПриНажатииДекорацииВФормеМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при обработке события Нажатие элемента декорации в
// форме Монитора Интернет-поддержки из обработчика "Подключаемый_ДекорацияНажатие".
// Описание формы Монитора см. в методе ПриСозданииФормыМонитора общего
// модуля МониторПортала1СИТСПереопределяемый, параметр Форма.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма Монитора;
//	Элемент - ДекорацияФормы - декорация, для которой вызвано событие;
//
//@skip-warning
Процедура ПриНажатииДекорацииВФормеМонитора(Форма, Элемент) Экспорт
```

Пример вызова
```bsl
МониторПортала1СИТСКлиентПереопределяемый.ПриНажатииДекорацииВФормеМонитора(Форма, Элемент) 
```
</details>

## ОбработатьНавигационнуюСсылкуВФормеМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при обработке события ОбработкаНавигационнойСсылки элемента
// декорации в форме Монитора Портала 1С:ИТС из обработчика
// "Подключаемый_ОбработатьНавигационнуюСсылку";
// Описание формы Монитора см. в методе ПриСозданииФормыМонитора общего
// модуля МониторПортала1СИТСПереопределяемый, параметр Форма.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма Монитора;
//	Элемент - ДекорацияФормы - декорация, для которой вызвано событие;
//	НавигационнаяСсылкаФорматированнойСтроки - Строка - ссылка;
//	СтандартнаяОбработка - Булево - признак стандартной обработки;
//
//@skip-warning
Процедура ОбработатьНавигационнуюСсылкуВФормеМонитора( Экспорт
```

Пример вызова
```bsl
МониторПортала1СИТСКлиентПереопределяемый.ОбработатьНавигационнуюСсылкуВФормеМонитора();
```
</details>

## ПриВыполненииОбработчикаОжиданияВФормеМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при выполнении обработчика ожидания в форме Монитора Портала 1С:ИТС.
// Описание формы Монитора см. в методе ПриСозданииФормыМонитора общего
// модуля МониторПортала1СИТСПереопределяемый, параметр Форма.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма Монитора.
//
//@skip-warning
Процедура ПриВыполненииОбработчикаОжиданияВФормеМонитора(Форма) Экспорт
```

Пример вызова
```bsl
МониторПортала1СИТСКлиентПереопределяемый.ПриВыполненииОбработчикаОжиданияВФормеМонитора(Форма) 
```
</details>

## ПриЗакрытииФормыМонитора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается при обработке события ПриЗакрытии в форме Монитора Портала 1С:ИТС.
// Описание формы Монитора см. в методе ПриСозданииФормыМонитора общего
// модуля МониторПортала1СИТСПереопределяемый, параметр Форма.
//
// Параметры:
//	Форма - ФормаКлиентскогоПриложения - форма Монитора;
//	ЗавершениеРаботы - Булево - одноименный параметр обработчика формы.
//
//@skip-warning
Процедура ПриЗакрытииФормыМонитора(Форма, ЗавершениеРаботы) Экспорт
```

Пример вызова
```bsl
МониторПортала1СИТСКлиентПереопределяемый.ПриЗакрытииФормыМонитора(Форма, ЗавершениеРаботы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
