---
title: Облачный архив20 клиент
slug: zup/облачный-архив20-клиент
---


## Обслуживание_ОбработкаОповещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из обработчика ОбработкаОповещения формы Обслуживание панели администрирования БСП. Управляет отображением
// элементов управления связанных состоянием работы облачного архива.
//
// Параметры:
//  Форма - см. Обработка.ПанельАдминистрированияБСП.Форма.Обслуживание
//  ИмяСобытия - Строка
//  Параметр - Произвольный
//  Источник - Произвольный
//
Процедура Обслуживание_ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) Экспорт
```

Пример вызова
```bsl
ОблачныйАрхив20Клиент.Обслуживание_ОбработкаОповещения(Форма, ИмяСобытия, Параметр, Источник) 
```
</details>

## Обслуживание_ХранениеРезервныхКопийПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Управляет видимостью элементов в соответствии с выбранным вариантом хранения резервных копий.
//
// Параметры:
//  Форма - см. Обработка.ПанельАдминистрированияБСП.Форма.Обслуживание
//  ХранениеРезервныхКопий - Строка - способ хранения резервных копий:
//    • "СтандартныеПодсистемы.РезервноеКопированиеИБ" - если используется подсистема резервного копирования БСП.
//    • "ИнтернетПоддержкаПользователей.ОблачныйАрхив20" - если используется подсистема резервного копирования БИП.
//
Процедура Обслуживание_ХранениеРезервныхКопийПриИзменении(Форма, ХранениеРезервныхКопий) Экспорт
```

Пример вызова
```bsl
ОблачныйАрхив20Клиент.Обслуживание_ХранениеРезервныхКопийПриИзменении(Форма, ХранениеРезервныхКопий) 
```
</details>

## ОткрытьФормуНастройкиОблачногоАрхива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из панели администрирования БСП. Открывает форму подключения, обновления или настройки Облачного архива в
// зависимости от текущего статуса работы подсистемы.
//
Процедура ОткрытьФормуНастройкиОблачногоАрхива() Экспорт
```

Пример вызова
```bsl
ОблачныйАрхив20Клиент.ОткрытьФормуНастройкиОблачногоАрхива() 
```
</details>

## ОткрытьФормуРезервногоКопирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из панели администрирования БСП. Открывает форму создания ручной резервной копии.
//
Процедура ОткрытьФормуРезервногоКопирования() Экспорт
```

Пример вызова
```bsl
ОблачныйАрхив20Клиент.ОткрытьФормуРезервногоКопирования() 
```
</details>

## ОткрытьСписокРезервныхКопий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из панели администрирования БСП. Открывает веб-страницу списка ранее выполненных резервных копий на
// портале облачного архива.
//
Процедура ОткрытьСписокРезервныхКопий() Экспорт
```

Пример вызова
```bsl
ОблачныйАрхив20Клиент.ОткрытьСписокРезервныхКопий() 
```
</details>

## ПараметрыСозданияРезервнойКопии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры создания резервной копии в Облачный архив.
//
// Возвращаемое значение:
//  Структура:
//    * Комментарий - Строка - дополнительная информация, которая будет отображаться в интерфейсе личного кабинета
//        пользователя на портале Облачного архива.
//        Значение по умолчанию: см. СтандартныеПодсистемыКлиент.ПараметрыРаботыКлиента свойство ЗаголовокПриложения.
//    * ЗапуститьПриОткрытии - Булево - Истина, если необходимо незамедлительно запустить процесс резервного
//        копирования.
//        Значение по умолчанию: Ложь.
//
Функция ПараметрыСозданияРезервнойКопии() Экспорт
```

Пример вызова
```bsl
Результат = ОблачныйАрхив20Клиент.ПараметрыСозданияРезервнойКопии() 
```
</details>

## СоздатьРезервнуюКопию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает процесс создания резервной копии в Облачный архив.
//
// Параметры:
//  Параметры - Неопределено - запускает процесс создания резервной копии с параметрами по умолчанию.
//    см. ОблачныйАрхив20Клиент.ПараметрыСозданияРезервнойКопии
//            - см. ОблачныйАрхив20Клиент.ПараметрыСозданияРезервнойКопии
//
Процедура СоздатьРезервнуюКопию(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ОблачныйАрхив20Клиент.СоздатьРезервнуюКопию(Параметры);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
