---
title: Обмен данными зарплата3 бухгалтерия3
slug: zup/обмен-данными-зарплата3-бухгалтерия3
---


## ОбменИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет использование обмена данными с БП3.
// Если в параметрах указана организация, то вычисляется использование обмена по этой организации, иначе по всем или любой.
//
// Параметры:
//	Организация - СправочникСсылка.Организации, Неопределено - организация, для которой определяется использование обмена.
//	НастройкиОбмена - Структура, Неопределено - описание см НастройкиОбмена().
//
// Возвращаемое значение:
// 		Булево - Истина если обмен используется, Ложь - в противном случае.
//
Функция ОбменИспользуется(Организация = Неопределено, НастройкиОбмена = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиЗарплата3Бухгалтерия3.ОбменИспользуется(Организация, НастройкиОбмена);
```
</details>

## ОбработкаРегистрацииНачальнойВыгрузкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбменДаннымиПереопределяемый.РегистрацияИзмененийНачальнойВыгрузкиДанных
Процедура ОбработкаРегистрацииНачальнойВыгрузкиДанных(Знач Получатель, СтандартнаяОбработка, Отбор) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиЗарплата3Бухгалтерия3.ОбработкаРегистрацииНачальнойВыгрузкиДанных(Получатель, СтандартнаяОбработка, Отбор) 
```
</details>

## НастройкиОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки обмена с БП3.
//
// Возвращаемое значение:
//		Структура - настройки обмена, структура с ключами
// 			* ИспользуетсяОбменПоВсемОрганизациям - Булево
// 			* ИспользуетсяОбменПоОрганизациям - Булево
// 			* ИспользованиеОбменаПоОрганизациям - Соответствие
// 			* ПерсональныеДанныеНеВыгружаются - Булево
//
Функция НастройкиОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиЗарплата3Бухгалтерия3.НастройкиОбмена() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
