---
title: Обмен данными универсальный формат
slug: zup/обмен-данными-универсальный-формат
---


## ИспользуетсяОбменУправлениеПредприятием2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак существования настроенной синхронизации с конфигурацией "1С:ERP Управление предприятием 2".
// Параметры:
//   УдаляемыйУзел - ПланОбменаСсылка - Ссылка на удаляемый узел обмена.
// Возвращаемое значение:
//   Булево - Истина, если есть хотя бы одна настроенная синхронизация с "1С:ERP Управление предприятием 2".
//
Функция ИспользуетсяОбменУправлениеПредприятием2(УдаляемыйУзел = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиУниверсальныйФормат.ИспользуетсяОбменУправлениеПредприятием2(УдаляемыйУзел);
```
</details>

## ВедомостиВыгружаютсяКакЗаявки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак выгрузки ведомостей как заявок.
//
// Возвращаемое значение:
//   Булево - Истина, если есть хотя бы одна настроенная синхронизация с с выгрузкой ведомостей как заявок.
//
Функция ВедомостиВыгружаютсяКакЗаявки() Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиУниверсальныйФормат.ВедомостиВыгружаютсяКакЗаявки() 
```
</details>

## РегистрацияИзмененияДляНачальнойВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик регистрации изменений для начальной выгрузки данных.
//
// см. ОбменДаннымиПереопределяемый.РегистрацияИзмененийНачальнойВыгрузкиДанных()
//
Процедура РегистрацияИзмененияДляНачальнойВыгрузки(Знач Получатель, СтандартнаяОбработка, Отбор) Экспорт
```

Пример вызова
```bsl
ОбменДаннымиУниверсальныйФормат.РегистрацияИзмененияДляНачальнойВыгрузки(Получатель, СтандартнаяОбработка, Отбор) 
```
</details>

## ИспользуетсяОбменБП3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет использование обмена данными с БП3.
// Если в параметрах указана организация, то вычисляется использование обмена по этой организации, иначе по всем или любой.
//
// Параметры:
//	Организация - СправочникСсылка.Организации, Неопределено - организация, для которой определяется использование обмена.
//
// Возвращаемое значение:
// 		Булево - Истина если обмен используется, Ложь - в противном случае.
//
Функция ИспользуетсяОбменБП3(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиУниверсальныйФормат.ИспользуетсяОбменБП3(Организация);
```
</details>

## НастройкиОбменаБП3
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройки обмена с БП3.
//
// Возвращаемое значение:
//		Структура - настройки обмена, структура с ключами
// 			* ИспользуетсяОбменПоВсемОрганизациям - Булево
// 			* ИспользуетсяОбменПоОрганизациям - Булево
// 			* ИспользованиеОбменаПоОрганизациям - Соответствие
//
Функция НастройкиОбменаБП3() Экспорт
```

Пример вызова
```bsl
Результат = ОбменДаннымиУниверсальныйФормат.НастройкиОбменаБП3() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
