---
title: Обмен с банками выплаты самозанятым переопределяемый
slug: zup/обмен-с-банками-выплаты-самозанятым-переопределяемый
---


## ДанныеПлатежногоПорученияРеестраВыплатСамозанятым
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные в виде структуры по связанному документу ПлатежноеПоручение
//
// Параметры:
//		РеестрВыплатыСамозанятым - ДокументСсылка
//		ДанныеПлатежногоПоручения - Структура - структура задается функцией-конструктором ОбменСБанкамиВыплатыСамозанятымСлужебный.ДанныеПлатежногоПоручения()
//
Процедура ДанныеПлатежногоПорученияРеестраВыплатСамозанятым(РеестрВыплатыСамозанятым, ДанныеПлатежногоПоручения) Экспорт
```

Пример вызова
```bsl
ОбменСБанкамиВыплатыСамозанятымПереопределяемый.ДанныеПлатежногоПорученияРеестраВыплатСамозанятым(РеестрВыплатыСамозанятым, ДанныеПлатежногоПоручения) 
```
</details>

## ДанныеРеестраВыплатСамозанятым
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает данные документов из документа РеестрВыплатыСамозанятым и заполняет данные в структуре ДанныеДокументов
//
// Параметры:
//		РеестрВыплатыСамозанятым - ДокументСсылка - ссылка на документ,
//										по которому требуется получить данные.
//		ДанныеДокумента - Структура - структура задается функцией-конструктором
//										ОбменСБанкамиВыплатыСамозанятымСлужебный.ДанныеЗаполненияРеестрВыплатСамозанятым()
//
Процедура ДанныеРеестраВыплатСамозанятым(РеестрВыплатыСамозанятым, ДанныеДокумента) Экспорт
```

Пример вызова
```bsl
ОбменСБанкамиВыплатыСамозанятымПереопределяемый.ДанныеРеестраВыплатСамозанятым(РеестрВыплатыСамозанятым, ДанныеДокумента) 
```
</details>

## ПриЗагрузкеРеестраЧековВыплатСамозанятым
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет загрузку информации по чекам самозанятых в документ Выплаты самозанятым
//
// Параметры:
//		ДанныеЗаполнения - Структура - данные для заполнения информации по чекам
//			- ОбщиеДанные - Структура - данные для заполнения обшей информации по чекам,
//								определяется функцией-конструктором ОбменСБанкамиВыплатыСамозанятымСлужебный.ДанныеЗаполнения()
//			- МассивЧеков - Массив - массив из структур ДанныеЗаполненияЧекСамозанятого
//				* ДанныеЗаполненияЧекСамозанятого - Структура - данные для заполнения информации по чекам по каждому самозанятому,
//						определяется функцией-конструктором ОбменСБанкамиВыплатыСамозанятымСлужебный.ДанныеЗаполнения()
//			- КонтрольныеСуммы - Структура - данные для контроля заполнения
//				* КоличествоЗаписей - Число - количество записей про выплаты самозанятым
//				* СуммаИтого - Число - итоговая сумма, выплаченная самозанятым банком
//		СсылкаНаДокумент - ДокументСсылка - документ, в котором происходит заполнение данных
//
Процедура ПриЗагрузкеРеестраЧековВыплатСамозанятым(ДанныеЗаполнения, СсылкаНаДокумент) Экспорт
```

Пример вызова
```bsl
ОбменСБанкамиВыплатыСамозанятымПереопределяемый.ПриЗагрузкеРеестраЧековВыплатСамозанятым(ДанныеЗаполнения, СсылкаНаДокумент) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
