---
title: Обновление БЗК
slug: zup/обновление-бзк
---


## ОсновнойРежимВыполненияОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает основной режим выполнения обработчиков обновления Зарплатно-кадровой библиотеки.
//
// Возвращаемое значение:
//   Строка - "Монопольно" или "Отложенно".
//
Функция ОсновнойРежимВыполненияОбновления() Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеБЗК.ОсновнойРежимВыполненияОбновления() 
```
</details>

## ДобавитьОбработчикПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет обработчик обновления который будет выполняться при переходе с конфигурации с другим именем.
//
// Параметры:
//   Обработчики - ТаблицаЗначений - Передается "как есть" из одноименного параметра вызывающей процедуры.
//   ИмяПроцедуры    - Строка - Имя вызываемой процедуры. Процедура будет вызвана без параметров.
//   ОбщиеДанные     - Булево - Истина, если изменяемые процедурой данные неразделенные. Ложь - если разделенные.
//   ПереходСБазовых - Булево - Истина, если требуется выполнять при переходе с базовых конфигураций.
//   ПереходСПроф    - Булево - Истина, если требуется выполнять при переходе с обычных конфигураций.
//
Процедура ДобавитьОбработчикПерехода(Обработчики, ИмяПроцедуры, ОбщиеДанные, ПереходСБазовых = Истина, ПереходСПроф = Истина) Экспорт
```

Пример вызова
```bsl
ОбновлениеБЗК.ДобавитьОбработчикПерехода(Обработчики, ИмяПроцедуры, ОбщиеДанные, ПереходСБазовых, ПереходСПроф);
```
</details>

## ИменаБазовыхКонфигураций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив строк - имена базовых конфигураций для зарплатных обработчиков обновления.
Функция ИменаБазовыхКонфигураций() Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеБЗК.ИменаБазовыхКонфигураций() 
```
</details>

## ИменаКонфигурацийПроф
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив строк - имена Проф конфигураций для зарплатных обработчиков обновления.
Функция ИменаКонфигурацийПроф() Экспорт
```

Пример вызова
```bsl
Результат = ОбновлениеБЗК.ИменаКонфигурацийПроф() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
