---
title: Обработка заявлений абонента клиент сервер
slug: zup/обработка-заявлений-абонента-клиент-сервер
---


## УстановитьПараметрПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает значение параметра облачной подписи в заявление по его виду
//
// Параметры:
//	ОбъектДокумента	- ДокументОбъект.ЗаявлениеАбонентаСпецоператораСвязи
//	ВидПараметра 	- ПеречислениеСсылка.ПараметрыПодключенияКОблачнойПодписи, Строка
//	ТекущееЗначение	- Строка, Булево, СправочникСсылка.УчетныеЗаписиDSS
//
// Возвращаемое значение:
//	Строка, Булево, СправочникСсылка.УчетныеЗаписиDSS
//
Процедура УстановитьПараметрПодключения(ОбъектДокумента, ВидПараметра, ТекущееЗначение) Экспорт
```

Пример вызова
```bsl
ОбработкаЗаявленийАбонентаКлиентСервер.УстановитьПараметрПодключения(ОбъектДокумента, ВидПараметра, ТекущееЗначение) 
```
</details>

## ПолучитьПараметрПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает установленое значение параметра облачной подписи в заявление по его виду
//
// Параметры:
//	ОбъектДокумента - ДокументОбъект.ЗаявлениеАбонентаСпецоператораСвязи, ДокументСсылка.ЗаявлениеАбонентаСпецоператораСвязи
//	ВидПараметра 	- ПеречислениеСсылка.ПараметрыПодключенияКОблачнойПодписи, Строка
//
// Возвращаемое значение:
//	Строка, Булево, СправочникСсылка.УчетныеЗаписиDSS
//
Функция ПолучитьПараметрПодключения(ОбъектДокумента, ВидПараметра) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаЗаявленийАбонентаКлиентСервер.ПолучитьПараметрПодключения(ОбъектДокумента, ВидПараметра) 
```
</details>

## СведенияОблачнойПодписиЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру для хранения информации об используемой облачной подписи в заявлениях.
//
// Параметры:
//	ОбъектДокумента - ДокументСсылка.ЗаявлениеАбонентаСпецоператораСвязи, Структура, ДанныеФормыСтруктура
//
// Возвращаемое значение:
//	Структура
//
Функция СведенияОблачнойПодписиЗаявления(ОбъектДокумента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаЗаявленийАбонентаКлиентСервер.СведенияОблачнойПодписиЗаявления(ОбъектДокумента);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
