---
title: Обработка новостей клиент сервер
slug: zup/обработка-новостей-клиент-сервер
---


## ПолучитьФорматированнуюСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст, обрамленный тегами HTML.
//
// Параметры:
//  Текст        - Строка - сам текст, который надо вывести;
//  Жирный       - Булево - Истина, если текст надо обрамить жирностью;
//  Курсив       - Булево - Истина, если текст надо обрамить курсивом;
//  Подчеркнутый - Булево - Истина, если текст надо обрамить подчеркиванием;
//  ЦветТекста   - Строка - FFFFFF, (длина 6);
//  Гиперссылка  - Строка - гиперссылка текста.
//
// Возвращаемое значение:
//  Строка - текст в формате HTML.
//
Функция ПолучитьФорматированнуюСтроку( Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаНовостейКлиентСервер.ПолучитьФорматированнуюСтроку();
```
</details>

## ПолучитьФорматированныйТекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст, обрамленный тегами HTML.
//
// Параметры:
//  МассивТекстов - Массив из Строка - Массив простых и форматированных текстов.
//
// Возвращаемое значение:
//  Строка - текст в формате HTML.
//
Функция ПолучитьФорматированныйТекст(МассивТекстов) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаНовостейКлиентСервер.ПолучитьФорматированныйТекст(МассивТекстов) 
```
</details>

## ЗаменитьСпециальныеСимволыВHTML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция заменяет специальные символы в коде HTML для правильного отображения новости.
//
// Параметры:
//  Текст - Строка - Код HTML, который необходимо подкорректировать.
//
// Возвращаемое значение:
//   Строка - откорректированный код HTML.
//
Функция ЗаменитьСпециальныеСимволыВHTML(Текст) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаНовостейКлиентСервер.ЗаменитьСпециальныеСимволыВHTML(Текст) 
```
</details>

## ПолучитьСодержимоеИменованногоКомментария
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ищет в тексте новости комментарий вида <!-- {Идентификатор} {Содержимое} --> и возвращает {Содержимое}.
// Разработчикам необходимо учесть факт, что при наличии комментариев "Идентификатор", "Идентификатор1", ... при попытке
//  поиска по "Идентификатор" будут найдены и "Идентификатор" и "Идентификатор1",
//  т.к. не обрабатывается анализ следующего символа после идентификатора - это символ или пробел или перевод строки.
// Эту возможность можно использовать для передачи в тексте новости произвольных параметров, например текст для отображения
//  в другой произвольной обработке (когда не подходят Заголовок, Подзаголовок и ТекстНовости).
//
// Параметры:
//  ДанныеНовости            - Строка, СправочникСсылка.Новости - где искать необходимый комментарий;
//  ИдентификаторКомментария - Строка - идентификатор, по которому необходимо найти данные;
//  ВозвращатьЕслиНеНайдено  - Произвольный - что возвращать, если комментарий не найден.
//
// Возвращаемое значение:
//   Произвольный - Строка или значение параметра функции ВозвращатьЕслиНеНайдено - содержимое комментария.
//
Функция ПолучитьСодержимоеИменованногоКомментария(ДанныеНовости, ИдентификаторКомментария, ВозвращатьЕслиНеНайдено = "") Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаНовостейКлиентСервер.ПолучитьСодержимоеИменованногоКомментария(ДанныеНовости, ИдентификаторКомментария, ВозвращатьЕслиНеНайдено);
```
</details>

## ДобавитьПодменюПросмотраСпискаНовостей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция создает подменю "Новости" для отображения контекстных новостей.
//
// Параметры:
//  Форма                  - ФормаКлиентскогоПриложения - форма, в которой необходимо разместить подменю;
//  ЭлементКоманднаяПанель - ЭлементФормы - командная панель, в конце которой будет размещено подменю "Новости";
//  ТаблицаНовостей        - Массив из Структура - массив структур с ключами:
//    * Новость              - СправочникСсылка.Новости - ссылка на новость;
//    * НовостьНаименование  - Строка - заголовок новости;
//    * ДатаПубликации       - Дата - Дата публикации новости;
//    * Важность             - Число - важность новости (длина (1));
//    * ЭтоПостояннаяНовость - Булево - ИСТИНА, если новость постоянная (находится вверху списка).
//
// Возвращаемое значение:
//   ГруппаФормы - Созданный элемент управления.
//
Функция ДобавитьПодменюПросмотраСпискаНовостей( Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаНовостейКлиентСервер.ДобавитьПодменюПросмотраСпискаНовостей();
```
</details>

## ДобавитьКнопкуПросмотраСпискаНовостей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция создает кнопку "Новости" для отображения списка контекстных новостей.
//
// Параметры:
//  Форма                  - ФормаКлиентскогоПриложения - форма, в которой необходимо разместить кнопку;
//  ЭлементКоманднаяПанель - ЭлементФормы - командная панель, в конце которой будет размещена кнопка "Новости";
//  ТаблицаНовостей        - ТаблицаЗначений - таблица, в которой должны быть колонки:
//    * Новость              - СправочникСсылка.Новости - ссылка на новость;
//    * НовостьНаименование  - Строка - заголовок новости;
//    * ДатаПубликации       - Дата - Дата публикации новости;
//    * Важность             - Число - важность новости (длина (1));
//    * ЭтоПостояннаяНовость - Булево - ИСТИНА, если новость постоянная (находится вверху списка).
//
// Возвращаемое значение:
//   КнопкаФормы - Созданный элемент управления.
//
Функция ДобавитьКнопкуПросмотраСпискаНовостей( Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаНовостейКлиентСервер.ДобавитьКнопкуПросмотраСпискаНовостей();
```
</details>

## КоличествоНовостейПрописью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает количество новостей прописью.
//
// Параметры:
//  КоличествоНовостей - Число - количество новостей;
//
// Возвращаемое значение:
//  Строка - количество новостей прописью.
//
Функция КоличествоНовостейПрописью(КоличествоНовостей) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаНовостейКлиентСервер.КоличествоНовостейПрописью(КоличествоНовостей) 
```
</details>

## РазрешенныеДляИдентификацииСимволы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает строку доступных для задания кода символов - английские буквы, цифры, минус, подчеркивание и т.п.
//
// Возвращаемое значение:
//  Строка - список символов, разрешенных для использования в идентификаторах.
//
Функция РазрешенныеДляИдентификацииСимволы() Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаНовостейКлиентСервер.РазрешенныеДляИдентификацииСимволы() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
