---
title: Обработка файлов PDF
slug: zup/обработка-файлов-pdf
---


## ПодготовитьСводкуДокументаPDF
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Базовая функция для обработки файла формата PDF.
//
// Основые операции:
//	- получение потока данных файла
// 	- получение версия PDF
//	- переход в конец файла, получение позиции описательной части
//	- чтение таблицы ссылок на объекты, в т.ч. в потоковом формате
//	- получение начального объекта или прицепа
//	- получение дополнительной информации о файле: кем и когда создан
//	- составление реестра страниц
//	- получение текста страниц
//
// Параметры:
//	СодержаниеДокумента 	- ДвоичныеДанные
//							- Поток
//							- Строка - имя файла
//	ПараметрыОбъекта 		- Структура - проверяются следующие ключи:
//		* РежимПарсинга		- Строка - по умолчанию Текст
//		* ТекстПоБлокам		- Булево - по умолчанию Ложь, если Истина, то добавляются исскуственные переводы строк
//		* СообщатьОшибки 	- Булево
//		* ДетальныйАнализПроизводительности - Булево
//
// Возвращаемое значение:
//	Структура
//
Функция ПодготовитьСводкуДокументаPDF(СодержаниеДокумента, ПараметрыОбъекта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловPDF.ПодготовитьСводкуДокументаPDF(СодержаниеДокумента, ПараметрыОбъекта);
```
</details>

## ПолучитьДанныеТребованияИзФайлаPDF
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//	СодержаниеДокумента 	- ДвоичныеДанные
//							- Поток
//							- Строка - имя файла
//	ПараметрыОбъекта 		- Структура - проверяются следующие ключи:
//		* РежимПарсинга		- Строка - по умолчанию Текст
//		* СообщатьОшибки 	- Булево
//		* ДетальныйАнализПроизводительности - Булево
//
// Возвращаемое значение:
//	Структура
//
Функция ПолучитьДанныеТребованияИзФайлаPDF(ДвДанные, ВидКНД, ПараметрыОбъекта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловPDF.ПолучитьДанныеТребованияИзФайлаPDF(ДвДанные, ВидКНД, ПараметрыОбъекта);
```
</details>

## ПлатформаПоддерживаетДокументPDF
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПлатформаПоддерживаетДокументPDF() Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловPDF.ПлатформаПоддерживаетДокументPDF() 
```
</details>

## ЭтоPDFa3Файл_Платформой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоPDFa3Файл_Платформой(ДвДанные) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловPDF.ЭтоPDFa3Файл_Платформой(ДвДанные) 
```
</details>

## ЭтоPDFa3Файл_ПоМетаинформации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоPDFa3Файл_ПоМетаинформации(Метаинформация) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловPDF.ЭтоPDFa3Файл_ПоМетаинформации(Метаинформация) 
```
</details>

## СвойстваPDFФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ОписаниеФайлов	 - Адрес, Имя
//
Функция СвойстваPDFФайла(ОписаниеФайла) Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловPDF.СвойстваPDFФайла(ОписаниеФайла) 
```
</details>

## ДанныеОплатыТребования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Общая структура для разбора содержимиого требования на уплату.
//
// Возвращаемое значение:
//	Структура
//
Функция ДанныеОплатыТребования() Экспорт
```

Пример вызова
```bsl
Результат = ОбработкаФайловPDF.ДанныеОплатыТребования() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
