---
title: Общего назначения БЭД повт исп
slug: zup/общего-назначения-бэд-повт-исп
---


## НайтиСсылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронноеВзаимодействие.НайтиСсылку
Функция НайтиСсылку(ТипОбъекта, Идентификатор = "", ДополнительныеРеквизиты = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБЭДПовтИсп.НайтиСсылку(ТипОбъекта, Идентификатор, ДополнительныеРеквизиты);
```
</details>

## ИмяПрикладногоСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя прикладного справочника по имени библиотечного справочника.
//
// Параметры:
//  ИмяСправочника - строка - название справочника из библиотеки.
//
// Возвращаемое значение:
//  ИмяПрикладногоСправочника - строковое имя прикладного справочника.
//
Функция ИмяПрикладногоСправочника(ИмяСправочника) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБЭДПовтИсп.ИмяПрикладногоСправочника(ИмяСправочника) 
```
</details>

## ЗначениеФункциональнойОпции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияБЭД.ЗначениеФункциональнойОпции
Функция ЗначениеФункциональнойОпции(НаименованиеФО) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБЭДПовтИсп.ЗначениеФункциональнойОпции(НаименованиеФО) 
```
</details>

## ИмяНаличиеОбъектаРеквизитаВПрикладномРешении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получение имени объекта или реквизита в прикладном решении.
//
// Параметры:
//  ИмяПараметра - Строка - наименование в библиотеке электронных документов.
//
// Возвращаемое значение:
//  Строка - наименование в прикладном решении.
//
Функция ИмяНаличиеОбъектаРеквизитаВПрикладномРешении(ИмяПараметра) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБЭДПовтИсп.ИмяНаличиеОбъектаРеквизитаВПрикладномРешении(ИмяПараметра) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
