---
title: Общего назначения БЭД служебный
slug: zup/общего-назначения-бэд-служебный
---


## ТекстПолейДляЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстПолейДляЗапроса(Поля, Знач ИмяТаблицы, ЭтоПоляУсловия) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБЭДСлужебный.ТекстПолейДляЗапроса(Поля, ИмяТаблицы, ЭтоПоляУсловия) 
```
</details>

## КоллекцияПриведенныхЗначенийОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоллекцияПриведенныхЗначенийОперандов(ЗначенияОперандов, ВерсияМеханикиРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБЭДСлужебный.КоллекцияПриведенныхЗначенийОперандов(ЗначенияОперандов, ВерсияМеханикиРасчета) 
```
</details>

## ПозицииСимволаВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПозицииСимволаВСтроке(Символ, Строка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБЭДСлужебный.ПозицииСимволаВСтроке(Символ, Строка) 
```
</details>

## ПрисвоитьИменаЯчейкамТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Присваивает имена параметризованным ячейкам переданной области
//
// Параметры:
//  ОбластьМакета		 - ТабличныйДокумент - табличный документ.
//  ПрефиксДляИмен		 - Строка - префикс для имен ячеек (рекомендуется передавать имя области).
//  ИндексПрефикса		 - Число - индекс или номер строки, который будет прибавлен к префиксу.
//
Процедура ПрисвоитьИменаЯчейкамТабличногоДокумента(ОбластьМакета, Знач ПрефиксДляИмен, Знач ИндексПрефикса) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебный.ПрисвоитьИменаЯчейкамТабличногоДокумента(ОбластьМакета, ПрефиксДляИмен, ИндексПрефикса) 
```
</details>

## ОбъединитьПакетЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Объединить пакет запросов.
//
// Параметры:
//  Запрос1 - ПакетЗапросовСхемыЗапроса - пакет запроса являющимся приемником.
//  Запрос2 - ПакетЗапросовСхемыЗапроса - пакет запроса являющимся источником.
//
Процедура ОбъединитьПакетЗапросов(Запрос1, Запрос2) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебный.ОбъединитьПакетЗапросов(Запрос1, Запрос2) 
```
</details>

## ДобавитьЗапросВПакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавить запрос в пакет запросов.
//
// Параметры:
//  Схема1 - СхемаЗапроса - пакет запроса являющимся приемником.
//  Запрос2 - ПакетЗапросовСхемыЗапроса - пакет запроса являющимся источником.
//
Процедура ДобавитьЗапросВПакет(Схема1, ЗапросСхемы2) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебный.ДобавитьЗапросВПакет(Схема1, ЗапросСхемы2) 
```
</details>

## ПоляСхемыЗапросовИдентичны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция - определение идентичности полей схемы запросов.
//
// Параметры:
//  Коллекция1	 - ПоляСхемыЗапроса - поля схемы приемника.
//  Коллекция2	 - ПоляСхемыЗапроса - поля схемы источника.
//
// Возвращаемое значение:
//  Булево - результат сравнения.
//
Функция ПоляСхемыЗапросовИдентичны(Коллекция1, Коллекция2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБЭДСлужебный.ПоляСхемыЗапросовИдентичны(Коллекция1, Коллекция2));
```
</details>

## ОчиститьПсевдонимыВыраженийОтбораКомпоновкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает псевдонимы для выражений, использующих параметры.
// При загрузке текста запроса в СхемаЗапроса, для выражений отбора компоновки данных,
// например, {ГДЕ Поле1 = &Параметр}. добавляется псевдоним: {ГДЕ (Поле1 = &Параметр) КАК Псевдоним1},
// после чего использование отбора становится невозможным, т.е. параметр пропадает из таблицы параметров
// и установка значений и использования параметра не меняет поведение списка
//
// Параметры:
//  СхемаЗапроса - СхемаЗапроса - Схема запроса
//
Процедура ОчиститьПсевдонимыВыраженийОтбораКомпоновкиДанных(СхемаЗапроса) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебный.ОчиститьПсевдонимыВыраженийОтбораКомпоновкиДанных(СхемаЗапроса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
