---
title: Общего назначения БЭД служебный клиент
slug: zup/общего-назначения-бэд-служебный-клиент
---


## ПоказатьДанныеВСписке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для использования в форме ВводСтроки
Процедура ПоказатьДанныеВСписке(Данные, ОбработчикПолученияПредставлений, Заголовок = "") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебныйКлиент.ПоказатьДанныеВСписке(Данные, ОбработчикПолученияПредставлений, Заголовок);
```
</details>

## ИмяОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяОбъектаМетаданных(Тип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБЭДСлужебныйКлиент.ИмяОбъектаМетаданных(Тип) 
```
</details>

## НастроитьРасписаниеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастроитьРасписаниеЗавершение(РасписаниеЗадания, Контекст) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебныйКлиент.НастроитьРасписаниеЗавершение(РасписаниеЗадания, Контекст) 
```
</details>

## АсинхронныйЦиклНачало
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура АсинхронныйЦиклНачало(Контекст, РезультатВыполненияОбработчика = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебныйКлиент.АсинхронныйЦиклНачало(Контекст, РезультатВыполненияОбработчика);
```
</details>

## АсинхронныйЦиклНачалоПродолжение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура АсинхронныйЦиклНачалоПродолжение(Результат, ВременныйКонтекст) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебныйКлиент.АсинхронныйЦиклНачалоПродолжение(Результат, ВременныйКонтекст) 
```
</details>

## АсинхронныйЦиклТекущийЦикл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АсинхронныйЦиклТекущийЦикл(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияБЭДСлужебныйКлиент.АсинхронныйЦиклТекущийЦикл(Контекст) 
```
</details>

## АсинхронныйЦиклЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура АсинхронныйЦиклЗавершение(Контекст) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебныйКлиент.АсинхронныйЦиклЗавершение(Контекст));
```
</details>

## ВыполнитьПроверкуПроведенияДокументовПродолжить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьПроверкуПроведенияДокументовПродолжить(Знач Результат, Знач ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебныйКлиент.ВыполнитьПроверкуПроведенияДокументовПродолжить(Результат, ДополнительныеПараметры) 
```
</details>

## ВыполнитьПроверкуПроведенияДокументовЗавершить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьПроверкуПроведенияДокументовЗавершить(Знач Результат, Знач ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияБЭДСлужебныйКлиент.ВыполнитьПроверкуПроведенияДокументовЗавершить(Результат, ДополнительныеПараметры) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
