---
title: Общего назначения ЭДКО
slug: zup/общего-назначения-эдко
---


## СоединениеССерверомИнтернета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает соединение с сервером Интернета по протоколу HTTP(s).
//
// Параметры:
//  URL                 - Строка - url сервера в формате [Протокол://]<Сервер>/.
//  ПараметрыСоединения - Структуруа - дополнительные параметры для "тонкой" настройки.
//    * Таймаут - Число - определяет время ожидания осуществляемого соединения и операций, в секундах.
//
Функция СоединениеССерверомИнтернета(URL, ПараметрыСоединения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияЭДКО.СоединениеССерверомИнтернета(URL, ПараметрыСоединения);
```
</details>

## ПрикрепленныеФайлыКОбъектуИзСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает записи присоединенных файлов объекта.
//
// Параметры:
//  Объект                       - Ссылка - ссылка на объект, который может содержать присоединенные файлы,
//                               - Массив - массив ссылок на объекты.
//  ИменаСправочников            - Строка - имена справочников присоединенных файлов через запятую, при пустом значении
//                                 используется имя справочника по умолчанию,
//                               - Неопределено - использовать имя справочника по умолчанию,
//                                 при равенстве Неопределено параметров ИменаСправочников, ИсходноеИмяФайла,
//                                 ПоляПрисоединенногоФайла и если в параметре Объект передан не массив, в параметре
//                                 ВключатьПомеченныеНаУдаление передана Истина, используется стандартная процедура,
//                                 возвращающая массив ссылок на присоединенные файлы из всех справочников присоединенных
//                                 файлов объекта.
//  ИсходноеИмяФайла             - Строка - исходное имя присоединенного файла, хранимое в ресурсе ИсходноеИмяФайла,
//                                 не ограничено 150 символами, как имя файла без расширения в стандартном реквизите Наименование,
//                                 при пустом значении возвращаются все файлы,
//                               - Неопределено - вернуть все файлы, см. также ИменаСправочников.
//  ПоляПрисоединенногоФайла     - Строка - возвращаемые поля справочника присоединенных файлов через запятую,
//                                 при непустом значении возвращается таблица значений, первая колонка содержит ссылку
//                                 на присоединенный файл, следующие колонки соответствуют перечисленным полям
//                                 справочника, при пустом значении возвращается массив ссылок на присоединенные файлы.
//                                 Неопределено - вернуть только ссылки на присоединенные файлы,
//                                 см. также ИменаСправочников.
//  ВключатьПомеченныеНаУдаление - Булево - при значении Истина возвращать также помеченные на удаление.
//
// Возвращаемое значение:
//  Массив                       - массив ссылок на присоединенные файлы, возвращается при пустом значении
//                                 ПоляПрисоединенногоФайла,
//  ТаблицаЗначений              - таблица со ссылками на присоединенные файлы в первой колонке, значениями
//                                 перечисленных в ПоляПрисоединенногоФайла полей справочника присоединенных файлов
//                                 в следующих колонках.
//
Функция ПрикрепленныеФайлыКОбъектуИзСправочника( Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияЭДКО.ПрикрепленныеФайлыКОбъектуИзСправочника();
```
</details>

## МассивОписанийИДанныхZipФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с описаниями и данными файлов внутри архива zip.
//
// Параметры:
//  ИмяФайлаПотокИлиДвоичныеДанные - Строка, Поток, ДвоичныеДанные - zip-архив.
//  ВозвращатьМассивПриОшибке      - Булево - возвращать массив прочитанной информации о файлах, если формат
//                                   последнего файла некорректный и количество корректных файлов больше нуля.
//
// Возвращаемое значение:
//  Массив       - информация о файлах в архиве.
//    * ФорматНеПоддерживается   - Булево - формат файла некорректный, обработка на этом файле прекращается.
//    * Версия                   - Число.
//    * МетодСжатия              - Число - 0 - без сжатия, 8 - Deflate.
//    * Дата                     - Дата.
//    * КонтрольнаяСумма         - Число.
//    * ДлинаРаспакованныхДанных - Число.
//    * ИмяФайла                 - Строка.
//    * УпакованныеДанные        - БуферДвоичныхДанных.
//  Неопределено - формат последнего файла некорректный и значение параметра ВозвращатьМассивПриОшибке равно Ложь
//                 либо архив не содержит корректных файлов.
//
Функция МассивОписанийИДанныхZipФайла(ИмяФайлаПотокИлиДвоичныеДанные, ВозвращатьМассивПриОшибке = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияЭДКО.МассивОписанийИДанныхZipФайла(ИмяФайлаПотокИлиДвоичныеДанные, ВозвращатьМассивПриОшибке);
```
</details>

## СформироватьGzip
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По описаниям и данным файлов записывает архив gzip (формат обычно используется для сжатия одного файла).
//
//  МассивОписанийИДанных - Массив - информация о файлах в архиве.
//    * МетодСжатия              - Число - 8 - Deflate.
//    * Дата                     - Дата.
//    * КонтрольнаяСумма         - Число.
//    * ДлинаРаспакованныхДанных - Число.
//    * ИмяФайла                 - Строка - может быть пустым.
//    * УпакованныеДанные        - БуферДвоичныхДанных.
//  ИмяФайлаИлиПоток      - Строка, Поток - файл для сохранения gzip-архива.
//
Процедура СформироватьGzip(МассивОписанийИДанных, ИмяФайлаИлиПоток) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЭДКО.СформироватьGzip(МассивОписанийИДанных, ИмяФайлаИлиПоток) 
```
</details>

## МассивОписанийИДанныхGzipФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с описаниями и данными файлов внутри архива gzip (формат обычно используется для сжатия одного
// файла).
//
// Параметры:
//  ИмяФайлаПотокИлиДвоичныеДанные - Строка, Поток, ДвоичныеДанные - gzip-архив.
//  ВозвращатьМассивПриОшибке      - Булево - возвращать массив прочитанной информации о файлах, если формат
//                                   последнего файла некорректный и количество корректных файлов больше нуля.
//  ИмяФайлаПоУмолчанию            - Строка - имя файла, возвращаемое, если имя файла в gzip-архиве не задано.
//
// Возвращаемое значение:
//  Массив       - информация о файлах в архиве.
//    * ФорматНеПоддерживается   - Булево - формат файла некорректный, обработка на этом файле прекращается.
//    * Версия                   - Число.
//    * МетодСжатия              - Число - 8 - Deflate.
//    * Дата                     - Дата.
//    * КонтрольнаяСумма         - Число.
//    * ДлинаРаспакованныхДанных - Число.
//    * ИмяФайла                 - Строка - может быть не задано, тогда заполняется из ИмяФайлаПоУмолчанию.
//    * УпакованныеДанные        - БуферДвоичныхДанных.
//    * Комментарий              - Строка.
//  Неопределено - формат последнего файла некорректный и значение параметра ВозвращатьМассивПриОшибке равно Ложь
//                 либо архив не содержит корректных файлов.
//
Функция МассивОписанийИДанныхGzipФайла(ИмяФайлаПотокИлиДвоичныеДанные, ВозвращатьМассивПриОшибке = Ложь, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияЭДКО.МассивОписанийИДанныхGzipФайла(ИмяФайлаПотокИлиДвоичныеДанные, ВозвращатьМассивПриОшибке, );
```
</details>

## СформироватьZip
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По описаниям и данным файлов записывает архив zip.
//
//  МассивОписанийИДанных - Массив - информация о файлах в архиве.
//    * МетодСжатия              - Число - 8 - Deflate.
//    * Дата                     - Дата.
//    * КонтрольнаяСумма         - Число.
//    * ДлинаРаспакованныхДанных - Число.
//    * ИмяФайла                 - Строка.
//    * УпакованныеДанные        - БуферДвоичныхДанных.
//  ИмяФайлаИлиПоток      - Строка, Поток - файл для сохранения gzip-архива.
//  КодировкаИменФайлов   - Строка - "cp866", свойственная более ранним версиям zip, или "utf-8", используемая
//                          по умолчанию объектами платформы "ЧтениеZipФайла" и "ЗаписьZipФайла".
//
Процедура СформироватьZip(МассивОписанийИДанных, ИмяФайлаИлиПоток, КодировкаИменФайлов = "utf-8") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияЭДКО.СформироватьZip(МассивОписанийИДанных, ИмяФайлаИлиПоток, КодировкаИменФайлов);
```
</details>

## НайтиВБуфереДвоичныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Поиск строки в буфере двоичных данных.
//
// Параметры:
//  Буфер      - БуферДвоичныхДанных - буфер для поиска.
//  СтрокаВHex - Строка - строка шестнадцатеричных символов.
//
// Возвращаемое значение:
//  Число        - индекс первой строки.
//  Неопределено - если строка не найдена в буфере.
Функция НайтиВБуфереДвоичныхДанных(Буфер, СтрокаВHex) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияЭДКО.НайтиВБуфереДвоичныхДанных(Буфер, СтрокаВHex) 
```
</details>

## ЭтоКриптопровайдерLinux
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, что следует использовать криптопровайдер с параметрами, применяемыми в Linux.
//
//  Возвращаемое значение - Булево - Истина для Linux и MacOS.
//
Функция ЭтоКриптопровайдерLinux() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияЭДКО.ЭтоКриптопровайдерLinux() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
