---
title: Ограничение использования документов
slug: zup/ограничение-использования-документов
---


## ЕстьОграниченныеДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие хотя бы одного ограниченного документа.
//
// Параметры:
//  МассивДокументов  - Массив - массив ссылок на документы.
//  ПроверкаПриЗаписи - Булево - влияет на текст сообщения пользователю.
//  ВыводитьСообщения - Булево - определяет, выводить ли пользователю сообщения.
//
// Возвращаемое значение:
//  Булево
//
Функция ЕстьОграниченныеДокументы(Знач МассивДокументов, ПроверкаПриЗаписи = Ложь, ВыводитьСообщения = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОграничениеИспользованияДокументов.ЕстьОграниченныеДокументы(МассивДокументов, ПроверкаПриЗаписи, ВыводитьСообщения);
```
</details>

## ОграничитьДокументыПослеВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Ограничивает для редактирования и выполнения прочих команд документы, для которых
// формирование файла выгрузки является операцией ограничения.
//
// Параметры:
//  МассивДокументов - Массив - массив ссылок на ограничиваемые документы.
//
// Возвращаемое значение:
//  Массив - массив ограниченных документов.
//
Функция ОграничитьДокументыПослеВыгрузки(МассивДокументов) Экспорт
```

Пример вызова
```bsl
Результат = ОграничениеИспользованияДокументов.ОграничитьДокументыПослеВыгрузки(МассивДокументов) 
```
</details>

## ПроверитьОграничениеИспользованияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Обработчики подписок на события.

// Обработчик подписки на событие ПередЗаписью для проверки ограничения использования документа.
//
// Параметры:
//  Источник        - ДокументОбъект - объект данных, передаваемый в подписку на событие ПередЗаписью.
//  Отказ           - Булево - параметр, передаваемый в подписку на событие ПередЗаписью.
//  РежимЗаписи     - Булево - параметр, передаваемый в подписку на событие ПередЗаписью.
//  РежимПроведения - Булево - параметр, передаваемый в подписку на событие ПередЗаписью.
//
Процедура ПроверитьОграничениеИспользованияДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
ОграничениеИспользованияДокументов.ПроверитьОграничениеИспользованияДокумента(Источник, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
