---
title: Ограничение использования документов формы
slug: zup/ограничение-использования-документов-формы
---


## ПриПолученииДанныхНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доступность документа для редактирования и располагает команду ограничения/освобождения документа.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
//  ИмяДействия - Строка - имя действия команды ограничения/освобождения.
//
Процедура ПриПолученииДанныхНаСервере(Форма, ИмяДействия = "ОграничитьДокумент") Экспорт
```

Пример вызова
```bsl
ОграничениеИспользованияДокументовФормы.ПриПолученииДанныхНаСервере(Форма, ИмяДействия);
```
</details>

## ОграничитьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Из формы ограничивает/освобождает документ для редактирования и выполнения прочих команд.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма документа.
//
Процедура ОграничитьДокумент(Форма) Экспорт
```

Пример вызова
```bsl
ОграничениеИспользованияДокументовФормы.ОграничитьДокумент(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
