---
title: Операции с файлами ЭДКО вызов сервера
slug: zup/операции-с-файлами-эдко-вызов-сервера
---


## ТекстВФайл
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет текст в файл на сервере и помещает его во временное хранилище.
//
// Параметры:
//  Текст                 - Строка - текст, которую необходимо записать в файл.
//
//  ИмяФайлаИлиРасширение - Строка - адрес во временном хранилище,
//                                   по которому необходимо сохранить файл с текстом.
//
// Возвращаемое значение:
// 	Адрес - адрес во временном хранилище, по которому сохранен файл с текстом.
//
Функция ТекстВФайл(Текст, Адрес = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОперацииСФайламиЭДКОВызовСервера.ТекстВФайл(Текст, Адрес);
```
</details>

## УпаковатьФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Упаковывает файлы на сервере и помещает архив во временное хранилище.
//
// Параметры:
//  Файлы - Массив - информация о файлах, которые необходимо упаковать.
//    * Адрес - Строка - адрес файла во временном хранилище.
//    * Имя   - Строка - имя файла.
//
//  АдресПакета - Строка - адрес во временном хранилище,
//                         в который необходимо поместить созданный архив.
//
// Возвращаемое значение:
// 	Адрес - адрес во временном хранилище, по которому сохранен файл архива.
//
Функция УпаковатьФайлы(Файлы, АдресПакета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОперацииСФайламиЭДКОВызовСервера.УпаковатьФайлы(Файлы, АдресПакета);
```
</details>

## РасширенияПоФорматам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасширенияПоФорматам(Форматы) Экспорт
```

Пример вызова
```bsl
Результат = ОперацииСФайламиЭДКОВызовСервера.РасширенияПоФорматам(Форматы) 
```
</details>

## ДобавитьРасширение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьРасширение(Расширения, НовоеРасширение) Экспорт
```

Пример вызова
```bsl
ОперацииСФайламиЭДКОВызовСервера.ДобавитьРасширение(Расширения, НовоеРасширение));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
