---
title: Организационная структура
slug: zup/организационная-структура
---


## ПодразделениеВСтруктуреПредприятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подразделение в структуре предприятия соответствующее организации или подразделению организации.
//
// Параметры:
//	СтруктурнаяЕдиница - СправочникСсылка.Организации, СправочникСсылка.ПодразделенияОрганизаций - элемент структуры юридических лиц.
//
// Возвращаемое значение:
//	СправочникСсылка.СтруктураПредприятия - ссылка на найденное подразделение.
//
Функция ПодразделениеВСтруктуреПредприятия(СтруктурнаяЕдиница) Экспорт
```

Пример вызова
```bsl
Результат = ОрганизационнаяСтруктура.ПодразделениеВСтруктуреПредприятия(СтруктурнаяЕдиница) 
```
</details>

## ЗапросВТМестаПозицийВСтруктуреПредприятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает запрос с полями Период, ПозицияШтатногоРасписания, СтруктурноеПодразделение.
//
// Параметры:
//  ТолькоРазрешенные                    - Булево
//  ИмяВТПериодПозицияШтатногоРасписания - Строка
//  ИмяПоляПериод                        - Строка
//  ИмяПоляПозицияШтатногоРасписания     - Строка
//
// Возвращаемое значение:
//  Запрос
//
Функция ЗапросВТМестаПозицийВСтруктуреПредприятия(ТолькоРазрешенные, Экспорт
```

Пример вызова
```bsl
Результат = ОрганизационнаяСтруктура.ЗапросВТМестаПозицийВСтруктуреПредприятия(ТолькоРазрешенные, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
