---
title: Остатки отпусков
slug: zup/остатки-отпусков
---


## ОписаниеТаблицыДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует описание таблицы данных для функции расчета остатка отпуска.
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица значений с колонками, описанными в тексте метода.
//
Функция ОписаниеТаблицыДанных() Экспорт
```

Пример вызова
```bsl
Результат = ОстаткиОтпусков.ОписаниеТаблицыДанных() 
```
</details>

## ОписательВременныхТаблицДляСоздатьВТФактическиеОтпускаСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с параметрами для метода СоздатьВТФактическиеОтпускаСотрудников.
//
// Параметры:
//		МенеджерВременныхТаблиц
//		ИмяВременнойТаблицыОтборовСотрудников - имя временной таблицы - "фильтра".
//		ИменаПолейВременнойТаблицыОтборовСотрудников - перечисленные через запятую имена полей
//				таблицы фильтра (Сотрудник, НачалоПериода, ОкончаниеПериода).
//		ИмяВТФактическиеОтпускаСотрудников - имя создаваемой временной таблицы.
//
// Возвращаемое значение:
//		Структура с полями:
//			МенеджерВременныхТаблиц
//			ИмяВременнойТаблицыОтборовСотрудников.
//			ПоляОтбораСотрудников - Структура
//			ИмяВТФактическиеОтпускаСотрудников
//
Функция ОписательВременныхТаблицДляСоздатьВТФактическиеОтпускаСотрудников(МенеджерВременныхТаблиц, ИмяВременнойТаблицыОтборовСотрудников, ИменаПолейВременнойТаблицыОтборовСотрудников = "Сотрудник,НачалоПериода,ОкончаниеПериода", ИмяВТФактическиеОтпускаСотрудников = "ВТФактическиеОтпускаСотрудников") Экспорт
```

Пример вызова
```bsl
Результат = ОстаткиОтпусков.ОписательВременныхТаблицДляСоздатьВТФактическиеОтпускаСотрудников(МенеджерВременныхТаблиц, ИмяВременнойТаблицыОтборовСотрудников, ИменаПолейВременнойТаблицыОтборовСотрудников, НачалоПериода, ОкончаниеПериода", ИмяВТФактическиеОтпускаСотрудников);
```
</details>

## СоздатьВТФактическиеОтпускаСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает и помещает в менеджер временных таблиц
//	таблицу ВТФактическиеОтпускаСотрудников с данными фактических отпусков
//	сотрудников за период. Список сотрудников и периодов,
//	по которым необходимо получить данные, берутся из временной таблицы в менеджере временных
//	таблиц, переданном в качестве параметра. Временная таблица обязательно должна содержать
//	колонки имена которых переданы в метод ОписательВременныхТаблицДляСоздатьВТФактическиеОтпускаСотрудников.
//
// Параметры:
//		ОписательВременныхТаблиц - структура, сформированная
//				методом ОписательВременныхТаблицДляСоздатьВТФактическиеОтпускаСотрудников.
//		ТолькоРазрешенные - Булево
//
// Помещает в менеджер таблицу ВТФактическиеОтпускаСотрудников,
//	содержащую данные о времени сотрудников по производственным календарям с полями:
//		Сотрудник,
//		ВидЕжегодногоОтпуска,
//		ДатаНачала,
//		ДатаОкончания,
//		КоличествоДней,
//		ЭтоКомпенсация,
//		Регистратор,
//		РабочийПериодС,
//		РабочийПериодПо,
//		Основание
//
Процедура СоздатьВТФактическиеОтпускаСотрудников(ОписательВременныхТаблиц, ТолькоРазрешенные) Экспорт
```

Пример вызова
```bsl
ОстаткиОтпусков.СоздатьВТФактическиеОтпускаСотрудников(ОписательВременныхТаблиц, ТолькоРазрешенные) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
