---
title: Отпуска по уходу за ребенком
slug: zup/отпуска-по-уходу-за-ребенком
---


## ПроверитьЗаполнениеПериодовВыплатыПособий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет значения периодов выплат пособий по уходу за ребенком
//
// Параметры:
//  Объект				 - ДокументОбъект - Проверяемый документ
//  Отказ				 - Булево - устанавливает в истина, если реквизиты заполнены не правильно.
//  ПроверяемыеРеквизиты - Массив - массив проверяемых реквизитов.
//  ДатаНачалаОтпуска	 - Дата - дата начала отпуска по уходу за ребенком.
//  ДатаОкончанияОтпуска - Дата - дата окончания отпуска по уходу за ребенком.
//
Процедура ПроверитьЗаполнениеПериодовВыплатыПособий(Объект, Отказ, ПроверяемыеРеквизиты, Знач ДатаНачалаОтпуска = Неопределено, Экспорт
```

Пример вызова
```bsl
ОтпускаПоУходуЗаРебенком.ПроверитьЗаполнениеПериодовВыплатыПособий(Объект, Отказ, ПроверяемыеРеквизиты, ДатаНачалаОтпуска, );
```
</details>

## ЗаполнитьВидПособияДоПолутораЛет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет на форме вид расчета оплаты пособия отпуска по уходу за ребенком до полутора лет
//
// Параметры:
//  Форма	 - Управляемая форма.
//
Процедура ЗаполнитьВидПособияДоПолутораЛет(Форма) Экспорт
```

Пример вызова
```bsl
ОтпускаПоУходуЗаРебенком.ЗаполнитьВидПособияДоПолутораЛет(Форма) 
```
</details>

## ЗаполнитьВидПособияДоТрехЛет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет на форме вид расчета оплаты пособия отпуска по уходу за ребенком до трех лет
//
// Параметры:
//  Форма	 - Управляемая форма.
//
Процедура ЗаполнитьВидПособияДоТрехЛет(Форма) Экспорт
```

Пример вызова
```bsl
ОтпускаПоУходуЗаРебенком.ЗаполнитьВидПособияДоТрехЛет(Форма) 
```
</details>

## УстановитьВидимостьГруппыПособиеДоТрехЛет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает на форме видимость группы пособие до трех лет
//
// Параметры:
//  Форма					 - Управляемая форма.
//  ГруппаПособиеДоТрехЛет	 - Строка - имя группы, хранящей реквизиты оплаты пособий по уходу за ребенком до трех лет
//
Процедура УстановитьВидимостьГруппыПособиеДоТрехЛет(Форма, ГруппаПособиеДоТрехЛет= "ГруппаПособиеДоТрехЛет") Экспорт
```

Пример вызова
```bsl
ОтпускаПоУходуЗаРебенком.УстановитьВидимостьГруппыПособиеДоТрехЛет(Форма, ГруппаПособиеДоТрехЛет);
```
</details>

## ОбновитьПоляВводаПоказателейПособияДоТрехЛет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПоляВводаПоказателейПособияДоТрехЛет(Форма, ДобавлятьЭлементыФормы = Истина, ДобавлятьРеквизитыФормы = Истина, ОтложенноеИзменение = Ложь) Экспорт
```

Пример вызова
```bsl
ОтпускаПоУходуЗаРебенком.ОбновитьПоляВводаПоказателейПособияДоТрехЛет(Форма, ДобавлятьЭлементыФормы, ДобавлятьРеквизитыФормы, ОтложенноеИзменение);
```
</details>

## ЗаписатьЗначенияПоказателейПособияДоТрехЛет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьЗначенияПоказателейПособияДоТрехЛет(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ОтпускаПоУходуЗаРебенком.ЗаписатьЗначенияПоказателейПособияДоТрехЛет(Форма, ТекущийОбъект) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
