---
title: Отражение зарплаты в бухучете расширенный вызов сервера
slug: zup/отражение-зарплаты-в-бухучете-расширенный-вызов-сервера
---


## РезультатРаспределенияСуммыПоБазе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пропорционально распределяет сумму, изменяя значения в колонках базы
// так, чтобы итог совпадал с переданным значением.
//
// Параметры:
//  Сумма - Число - сумма, которую надо разнести;
//  База - фиксированный массив структур или фиксированный массив фиксированных структур, по которым разносится сумма;
//  ИмяКлючаСуммы- Строка - Имя ключа структуры с суммой в базе;
//  Точность - Число - точность округления при расчетах. Необязателен.
// Возвращаемое значение
//	Фиксированный массив фиксированных структур.
//
Функция РезультатРаспределенияСуммыПоБазе(Сумма, База, ИмяКлючаСуммы, Точность = 2) Экспорт
```

Пример вызова
```bsl
Результат = ОтражениеЗарплатыВБухучетеРасширенныйВызовСервера.РезультатРаспределенияСуммыПоБазе(Сумма, База, ИмяКлючаСуммы, Точность);
```
</details>

## ОкруглятьРезультатРаспределенияУдержания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значение свойства удержания - ОкруглятьРезультатРаспределения
//
Функция ОкруглятьРезультатРаспределенияУдержания(Удержание) Экспорт
```

Пример вызова
```bsl
Результат = ОтражениеЗарплатыВБухучетеРасширенныйВызовСервера.ОкруглятьРезультатРаспределенияУдержания(Удержание) 
```
</details>

## БухучетНачисленийИзменился
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция БухучетНачисленийИзменился(Знач Коллекция1, Знач Коллекция2) Экспорт
```

Пример вызова
```bsl
Результат = ОтражениеЗарплатыВБухучетеРасширенныйВызовСервера.БухучетНачисленийИзменился(Коллекция1, Коллекция2) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
