---
title: Отражение расчетов зарплаты в бухучете
slug: zup/отражение-расчетов-зарплаты-в-бухучете
---


## СформироватьДвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для формирования движений регистрам подсистемы.
//
// Параметры:
//	Движения - Коллекция движений документа.
//	Отказ - Булево - признак отказа от проведения документа.
//	Организация - СправочникСсылка.Организация - организация.
//	МесяцНачисления - Дата - месяц, зарплата которого отражается в бухучете.
//	ДанныеДляОтражения - Структура - Таблицы значений с данными, которые
//						использоваться для формирования движений.
//
Процедура СформироватьДвижения(Движения, Отказ, Организация, МесяцНачисления, ДанныеДляОтражения) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.СформироватьДвижения(Движения, Отказ, Организация, МесяцНачисления, ДанныеДляОтражения) 
```
</details>

## ОтобратьРезультатыЗаполненияТаблицДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из результатов заполнения строки, которые не относятся к выбранным параметрам заполнения,
// и данные, которые уже отражены в бухучете.
//
//	Параметры
//		РезультатЗаполнения - Структура - описание см. ОтражениеЗарплатыВБухучете.НоваяСтруктураДанныеДляОтраженияЗарплатыВБухучете.
//		ПараметрыДляЗаполнения - Структура - описание см. ОтражениеЗарплатыВБухучетеРасширенный.ПараметрыДляЗаполненияТаблицДокумента.
//
Процедура ОтобратьРезультатыЗаполненияТаблицДокумента(РезультатЗаполнения, ПараметрыДляЗаполнения) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.ОтобратьРезультатыЗаполненияТаблицДокумента(РезультатЗаполнения, ПараметрыДляЗаполнения) 
```
</details>

## НастроитьВариантыОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Содержит настройки размещения вариантов отчетов в панели отчетов.
// Описание см. ЗарплатаКадрыВариантыОтчетов.НастроитьВариантыОтчетов.
//
Процедура НастроитьВариантыОтчетов(Настройки) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.НастроитьВариантыОтчетов(Настройки) 
```
</details>

## ПоследнийПериодОтраженияЗарплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию о последнем периоде отражения зарплаты.
//
// Возвращаемое значение:
//  - Период - Дата - дата последнего периода отражения зарплаты.
//
Функция ПоследнийПериодОтраженияЗарплаты() Экспорт
```

Пример вызова
```bsl
Результат = ОтражениеРасчетовЗарплатыВБухучете.ПоследнийПериодОтраженияЗарплаты() 
```
</details>

## ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ДатыЗапретаИзмененияПереопределяемый.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения.
Процедура ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступомПереопределяемый.ПриЗаполненииСписковСОграничениемДоступа.
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступомПереопределяемый.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных.
Процедура ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) 
```
</details>

## ПриПолученииПредопределенныхНаборовСвойств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеСвойствамиПереопределяемый.ПриПолученииПредопределенныхНаборовСвойств.
Процедура ПриПолученииПредопределенныхНаборовСвойств(Наборы) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.ПриПолученииПредопределенныхНаборовСвойств(Наборы) 
```
</details>

## ПриОпределенииОбъектовСКомандамиПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты, в которых есть процедура ДобавитьКомандыПечати().
// Подробнее см. УправлениеПечатьюПереопределяемый.
//
// Параметры:
//  СписокОбъектов - Массив - список менеджеров объектов.
//
Процедура ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) 
```
</details>

## ЗарегистрироватьОбработчикиОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в список Обработчики процедуры-обработчики обновления,
// необходимые данной подсистеме.
//
// Параметры:
//   Обработчики - ТаблицаЗначений - см. описание функции НоваяТаблицаОбработчиковОбновления
//                                   общего модуля ОбновлениеИнформационнойБазы.
//
Процедура ЗарегистрироватьОбработчикиОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.ЗарегистрироватьОбработчикиОбновления(Обработчики) 
```
</details>

## ЗаполнитьДвиженияОтражениеВБухучете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДвиженияОтражениеВБухучете(ПараметрыОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.ЗаполнитьДвиженияОтражениеВБухучете(ПараметрыОбновления);
```
</details>

## ОчиститьПоляРезервовПоОплатеТруда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьПоляРезервовПоОплатеТруда(ПараметрыОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
ОтражениеРасчетовЗарплатыВБухучете.ОчиститьПоляРезервовПоОплатеТруда(ПараметрыОбновления);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
