---
title: Персонифицированный учет внутренний
slug: zup/персонифицированный-учет-внутренний
---


## СоздатьВТЗаписиСтажаПоДаннымУчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
//
//  Переопределение поведения подсистемы персонифицированного учета внутри библиотеки.
//
//////////////////////////////////////////////////////////////////////////////////////

Процедура СоздатьВТЗаписиСтажаПоДаннымУчета(МенеджерВременныхТаблиц, Организация, ОтчетныйПериод, ОкончаниеОтчетногоПериода, ПараметрыПолученияДанных, ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.СоздатьВТЗаписиСтажаПоДаннымУчета(МенеджерВременныхТаблиц, Организация, ОтчетныйПериод, ОкончаниеОтчетногоПериода, ПараметрыПолученияДанных, ПараметрыОтбора) 
```
</details>

## СоздатьВТЗарегистрированныеКорректировкиСтажа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьВТЗарегистрированныеКорректировкиСтажа(МенеджерВременныхТаблиц, Организация, ОтчетныйПериод) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.СоздатьВТЗарегистрированныеКорректировкиСтажа(МенеджерВременныхТаблиц, Организация, ОтчетныйПериод) 
```
</details>

## КвартальнаяОтчетностьПерераспределятьВзносыАвтоматически
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КвартальнаяОтчетностьПерераспределятьВзносыАвтоматически() Экспорт
```

Пример вызова
```bsl
Результат = ПерсонифицированныйУчетВнутренний.КвартальнаяОтчетностьПерераспределятьВзносыАвтоматически() 
```
</details>

## КвартальнаяОтчетностьПФРДополнитьКомандыФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура КвартальнаяОтчетностьПФРДополнитьКомандыФормы(Форма) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.КвартальнаяОтчетностьПФРДополнитьКомандыФормы(Форма) 
```
</details>

## КвартальнаяОтчетностьПФРОбновитьДанныеФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура КвартальнаяОтчетностьПФРОбновитьДанныеФормы(Форма) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.КвартальнаяОтчетностьПФРОбновитьДанныеФормы(Форма) 
```
</details>

## ПараметрыДляСоздатьВТСотрудникиОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыДляСоздатьВТСотрудникиОрганизации(МенеджерВременныхТаблиц, Организация, ОтчетныйПериод, СписокФизическихЛиц) Экспорт
```

Пример вызова
```bsl
Результат = ПерсонифицированныйУчетВнутренний.ПараметрыДляСоздатьВТСотрудникиОрганизации(МенеджерВременныхТаблиц, Организация, ОтчетныйПериод, СписокФизическихЛиц) 
```
</details>

## СоздатьВТДосрочноеНазначениеПенсииДляСЗВ_СТАЖ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьВТДосрочноеНазначениеПенсииДляСЗВ_СТАЖ(МенеджерВременныхТаблиц, Организация, Год, ЗаписиОСтаже) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.СоздатьВТДосрочноеНазначениеПенсииДляСЗВ_СТАЖ(МенеджерВременныхТаблиц, Организация, Год, ЗаписиОСтаже) 
```
</details>

## СоздатьВТЗамещениеГосударственныхДолжностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьВТЗамещениеГосударственныхДолжностей(МенеджерВременныхТаблиц) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.СоздатьВТЗамещениеГосударственныхДолжностей(МенеджерВременныхТаблиц) 
```
</details>

## ЗаполнитьДанныеДосрочногоНазначенияПенсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДанныеДосрочногоНазначенияПенсии(Объект, Организация, ОтчетныйПериод, ОкончаниеОтчетногоПериода) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.ЗаполнитьДанныеДосрочногоНазначенияПенсии(Объект, Организация, ОтчетныйПериод, ОкончаниеОтчетногоПериода) 
```
</details>

## УстановитьСвязиПараметровВыбораСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьСвязиПараметровВыбораСотрудников(ЭлементФормы) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.УстановитьСвязиПараметровВыбораСотрудников(ЭлементФормы) 
```
</details>

## СоздатьВТКадровыеДанныеФизическихЛицДоНачалаЭксплуатации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьВТКадровыеДанныеФизическихЛицДоНачалаЭксплуатации(МенеджерВременныхТаблиц, Организация, НачалоПериода, ОкончаниеПериода) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.СоздатьВТКадровыеДанныеФизическихЛицДоНачалаЭксплуатации(МенеджерВременныхТаблиц, Организация, НачалоПериода, ОкончаниеПериода) 
```
</details>

## ЗаполнитьДанныеРуководителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДанныеРуководителя(Объект) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.ЗаполнитьДанныеРуководителя(Объект) 
```
</details>

## ЗаполнитьРазрядыКатегорииДокументовТрудовыхКнижек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРазрядыКатегорииДокументовТрудовыхКнижек(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.ЗаполнитьРазрядыКатегорииДокументовТрудовыхКнижек(ПараметрыОбновления) 
```
</details>

## ЗаполнитьЗаписиОСтажеСЗВК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗаписиОСтажеСЗВК(Объект, ФизическиеЛица) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетВнутренний.ЗаполнитьЗаписиОСтажеСЗВК(Объект, ФизическиеЛица) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
