---
title: Персонифицированный учет клиент
slug: zup/персонифицированный-учет-клиент
---


## ПриСозданииРСВ_1ИзСпискаРеглОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура переопределяет создание формы РСВ-1 из списка регламентированных отчетов.
//
// Параметры:
//  ОписаниеРСВ_1 - структура с полями:
//    * Организация             - СправочникСсылка.Организации;
//    * ДатаНачалаПериодаОтчета - дата;
//    * ДатаКонцаПериодаОтчета  - дата;
//    * КорректирующаяФорма     - булево;
//  СтандартнаяОбработка - булево.
//
Процедура ПриСозданииРСВ_1ИзСпискаРеглОтчетов(ОписаниеРСВ_1, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетКлиент.ПриСозданииРСВ_1ИзСпискаРеглОтчетов(ОписаниеРСВ_1, СтандартнаяОбработка) 
```
</details>

## ПриОткрытииРСВ_1ИзСпискаРеглОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура переопределяет открытие формы РСВ-1 из объектов БРО.
//
// Параметры:
//  Ссылка               - ДокументСсылка.РегламентированныйОтчет;
//  ОписаниеРСВ_1 - структура с полями:
//    * Организация             - СправочникСсылка.Организации;
//    * ДатаНачалаПериодаОтчета - дата;
//    * ДатаКонцаПериодаОтчета  - дата;
//    * КорректирующаяФорма     - булево;
//  СтандартнаяОбработка - булево.
//
Процедура ПриОткрытииРСВ_1ИзСпискаРеглОтчетов(Ссылка, ОписаниеРСВ_1, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетКлиент.ПриОткрытииРСВ_1ИзСпискаРеглОтчетов(Ссылка, ОписаниеРСВ_1, СтандартнаяОбработка) 
```
</details>

## ПриПечатиРСВ_1ИзЖурналаРеглОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура переопределяет поведение при печати формы РСВ-1
// из объектов БРО.
//
// Параметры:
//  Ссылка               - ДокументСсылка.РегламентированныйОтчет;
//    ОписаниеРСВ_1 - структура с полями:
//    * Организация             - СправочникСсылка.Организации;
//    * ДатаНачалаПериодаОтчета - дата;
//    * ДатаКонцаПериодаОтчета  - дата;
//    * КорректирующаяФорма     - булево;
//  СтандартнаяОбработка - булево.
//
Процедура ПриПечатиРСВ_1ИзЖурналаРеглОтчетов(Ссылка, ОписаниеРСВ_1, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетКлиент.ПриПечатиРСВ_1ИзЖурналаРеглОтчетов(Ссылка, ОписаниеРСВ_1, СтандартнаяОбработка) 
```
</details>

## ПриВыгрузкеРСВ_1ИзЖурналаРеглОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура переопределяет поведение при выгрузке формы РСВ-1
// из объектов БРО.
//
// Параметры:
//  Ссылка               - ДокументСсылка.РегламентированныйОтчет;
//  ОписаниеРСВ_1 - структура с полями:
//    * Организация             - СправочникСсылка.Организации;
//    * ДатаНачалаПериодаОтчета - дата;
//    * ДатаКонцаПериодаОтчета  - дата;
//    * КорректирующаяФорма     - булево;
//  СтандартнаяОбработка - булево.
//
Процедура ПриВыгрузкеРСВ_1ИзЖурналаРеглОтчетов(Ссылка, ОписаниеРСВ_1, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетКлиент.ПриВыгрузкеРСВ_1ИзЖурналаРеглОтчетов(Ссылка, ОписаниеРСВ_1, СтандартнаяОбработка) 
```
</details>

## ПриПроверкеВыгрузкиРСВ_1ИзЖурналаРеглОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура переопределяет поведение при проверке выгрузки формы РСВ-1
// из объектов БРО.
//
// Параметры:
//  Ссылка               - ДокументСсылка.РегламентированныйОтчет;
//  ОписаниеРСВ_1 - структура с полями:
//    * Организация             - СправочникСсылка.Организации;
//    * ДатаНачалаПериодаОтчета - дата;
//    * ДатаКонцаПериодаОтчета  - дата;
//    * КорректирующаяФорма     - булево;
//  СтандартнаяОбработка - булево.
//
Процедура ПриПроверкеВыгрузкиРСВ_1ИзЖурналаРеглОтчетов(Ссылка, ОписаниеРСВ_1, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетКлиент.ПриПроверкеВыгрузкиРСВ_1ИзЖурналаРеглОтчетов(Ссылка, ОписаниеРСВ_1, СтандартнаяОбработка) 
```
</details>

## ПечатьДокументаОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура реализует печать объектов, отображаемых на закладке Отчеты и Уведомления формы Отчетность.
// Параметры - (см. РегламентированнаяОтчетностьКлиентПереопределяемый.Печать).
//
Процедура ПечатьДокументаОтчетности(Ссылка, ИмяМакетаДляПечати, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетКлиент.ПечатьДокументаОтчетности(Ссылка, ИмяМакетаДляПечати, СтандартнаяОбработка) 
```
</details>

## ВыгрузитьДокументОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура реализует печать объектов, отображаемых на закладке Отчеты и Уведомления формы Отчетность.
// Параметры - (см. РегламентированнаяОтчетностьКлиентПереопределяемый.Выгрузить).
//
Процедура ВыгрузитьДокументОтчетности(Ссылка, УникальныйИдентификаторФормы) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетКлиент.ВыгрузитьДокументОтчетности(Ссылка, УникальныйИдентификаторФормы) 
```
</details>

## СоздатьНовыйДокументОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура реализует печать объектов, отображаемых на закладке Отчеты и Уведомления формы Отчетность.
// Параметры - (см. РегламентированнаяОтчетностьКлиентПереопределяемый.СоздатьНовыйОбъект).
//
Процедура СоздатьНовыйДокументОтчетности(Организация, Тип, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПерсонифицированныйУчетКлиент.СоздатьНовыйДокументОтчетности(Организация, Тип, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
