---
title: Подключаемое оборудование универсальный драйвер асинхронно клиент
slug: zup/подключаемое-оборудование-универсальный-драйвер-асинхронно-клиент
---


## ПоддержкаАсинхронногоРежима
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает возможность работы модуля в асинхронном режиме.
// Стандартные команды модуля:
// - ПодключитьУстройство
// - ОтключитьУстройство
// - ВыполнитьКоманду
// Команды модуля для работы асинхронном режиме (должны быть определены):
// - НачатьПодключениеУстройства
// - НачатьОтключениеУстройства
// - НачатьВыполнениеКоманды.
//
Функция ПоддержкаАсинхронногоРежима() Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.ПоддержкаАсинхронногоРежима() 
```
</details>

## НачатьПодключениеУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция начинает подключение устройства.
//
Процедура НачатьПодключениеУстройства(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПодключениеУстройства(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ДополнительныеПараметры) 
```
</details>

## НачатьПодключениеУстройства_УстановкаПараметровЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция начинает подключение устройства - завершение установки параметров.
//
Процедура НачатьПодключениеУстройства_УстановкаПараметровЗавершение(Результат, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПодключениеУстройства_УстановкаПараметровЗавершение(Результат, ДополнительныеПараметры) 
```
</details>

## НачатьПодключениеУстройства_ПолучитьОписаниеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция начинает подключение устройства - завершение получения описание.
//
Процедура НачатьПодключениеУстройства_ПолучитьОписаниеЗавершение(РезультатВыполнения, ПараметрыВызова, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПодключениеУстройства_ПолучитьОписаниеЗавершение(РезультатВыполнения, ПараметрыВызова, ДополнительныеПараметры) 
```
</details>

## НачатьПодключениеУстройства_ПодключитьЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция начинает подключение устройства - завершение подключения.
//
// Параметры:
// 	РезультатВыполнения - Структура - результат выполнения операции.
// 	ПараметрыВызова - Массив - массив параметров вызова.
// 	ДополнительныеПараметры - Структура - структура с полями:
// 		* Параметры - Структура - структура параметров.
//
Процедура НачатьПодключениеУстройства_ПодключитьЗавершение(РезультатВыполнения, ПараметрыВызова, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПодключениеУстройства_ПодключитьЗавершение(РезультатВыполнения, ПараметрыВызова, ДополнительныеПараметры) 
```
</details>

## НачатьПодключениеУстройства_ПолучениеШириныСтрокиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция начинает подключение устройства - завершение получение ширины строки.
//
Процедура НачатьПодключениеУстройства_ПолучениеШириныСтрокиЗавершение(РезультатВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПодключениеУстройства_ПолучениеШириныСтрокиЗавершение(РезультатВыполнения, ДополнительныеПараметры) 
```
</details>

## НачатьОтключениеУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция начинает отключение устройства.
//
Процедура НачатьОтключениеУстройства(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОтключениеУстройства(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) 
```
</details>

## НачатьОтключениеУстройства_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция начинает отключение устройства - завершение.
//
Процедура НачатьОтключениеУстройства_Завершение(РезультатВыполнения, ПараметрыВызова, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОтключениеУстройства_Завершение(РезультатВыполнения, ПараметрыВызова, ДополнительныеПараметры) 
```
</details>

## НачатьВыполнениеКоманды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура начинает выполнение команды, обрабатывает и перенаправляет на исполнение команду к драйверу.
//
Процедура НачатьВыполнениеКоманды(ОповещениеПриЗавершении, Команда, ВходныеПараметры = Неопределено, ОбъектДрайвера, Параметры, ПараметрыПодключения) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьВыполнениеКоманды(ОповещениеПриЗавершении, Команда, ВходныеПараметры, ОбъектДрайвера, Параметры, ПараметрыПодключения) 
```
</details>

## ВыполнениеМетодаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет завершение выполнения метода.
//
Процедура ВыполнениеМетодаЗавершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.ВыполнениеМетодаЗавершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## ПолучениеОшибкиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет обработку получение ошибки.
//
Процедура ПолучениеОшибкиЗавершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.ПолучениеОшибкиЗавершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## ОбработатьСобытие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция осуществляет обработку внешних событий подключаемого оборудования.
//
Функция ОбработатьСобытие(ОбъектДрайвера, Параметры, ПараметрыПодключения, Событие, Данные, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.ОбработатьСобытие(ОбъектДрайвера, Параметры, ПараметрыПодключения, Событие, Данные, ВыходныеПараметры) 
```
</details>

## ЗавершитьОбработкуСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается, когда система готова принять следующее событие от устройства.
//
Функция ЗавершитьОбработкуСобытия(ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.ЗавершитьОбработкуСобытия(ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) 
```
</details>

## НачатьПолучениеШириныСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура получает ширину строки в символах.
//
Процедура НачатьПолучениеШириныСтроки(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеШириныСтроки(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) 
```
</details>

## НачатьОткрытиеДенежногоЯщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начало открытие денежного ящика.
//
Процедура НачатьОткрытиеДенежногоЯщика(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОткрытиеДенежногоЯщика(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) 
```
</details>

## НачатьАннулированиеЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет аннулирование чека.
//
Процедура НачатьАннулированиеЧека(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТипЧека, ФискальныйЧек, ВходныеПараметры, ВыходныеПараметры); Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьАннулированиеЧека(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТипЧека, ФискальныйЧек, ВходныеПараметры, ВыходныеПараметры););
```
</details>

## НачатьАннулированиеЧека_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура завершения начала аннулирования чека.
//
// Параметры:
// 	РезультатВыполнения - Структура - результат выполнения операции.
// 	ДополнительныеПараметры - Структура - структура с полями:
// 		* Параметры - Структура - структура параметров.
//
Процедура НачатьАннулированиеЧека_Завершение(РезультатВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьАннулированиеЧека_Завершение(РезультатВыполнения, ДополнительныеПараметры) 
```
</details>

## НачатьИнкассацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция осуществляет внесение или выемку суммы.
//
Процедура НачатьИнкассацию(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьИнкассацию(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры));
```
</details>

## НачатьПечатьТекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура начала печати текста.
//
Процедура НачатьПечатьТекста(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, СтрокаТекста, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьТекста(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, СтрокаТекста, ВыходныеПараметры) 
```
</details>

## НачатьПечатьТекстаПакетом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечатьТекстаПакетом(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, СтрокаТекста, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьТекстаПакетом(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, СтрокаТекста, ВыходныеПараметры) 
```
</details>

## НачатьПечатьТестовыхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечатьТестовыхДокументов(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьТестовыхДокументов(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) 
```
</details>

## НачатьПечатьЧекаКоррекции_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет завершение выполнения метода.
//
Процедура НачатьПечатьЧекаКоррекции_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьЧекаКоррекции_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьПечатьЧекаКоррекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет печать чека коррекции.
//
Процедура НачатьПечатьЧекаКоррекции(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьЧекаКоррекции(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) 
```
</details>

## НачатьОперациюСоСменой_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет завершение выполнения метода.
//
Процедура НачатьОперациюСоСменой_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОперациюСоСменой_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьОперациюСоСменой_ПослеПолучениеПараметровККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура НачатьОперациюСоСменой_ПослеПолучениеПараметровККТ(РезультатВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОперациюСоСменой_ПослеПолучениеПараметровККТ(РезультатВыполнения, ДополнительныеПараметры) 
```
</details>

## НачатьОткрытиеСмены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура осуществляет открытие смены.
//
Процедура НачатьОткрытиеСмены(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОткрытиеСмены(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры));
```
</details>

## НачатьОткрытиеСмены_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОткрытиеСмены_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОткрытиеСмены_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьФормироватьОтчетОТекущемСостоянииРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет формирование отчет о текущем состоянии расчетов.
//
Процедура НачатьФормироватьОтчетОТекущемСостоянииРасчетов(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьФормироватьОтчетОТекущемСостоянииРасчетов(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры));
```
</details>

## НачатьФормироватьОтчетБезГашения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет формирование отчет без гашения.
//
Процедура НачатьФормироватьОтчетБезГашения(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьФормироватьОтчетБезГашения(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры));
```
</details>

## НачатьЗакрытьСмену
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет снятие отчета с гашением.
//
Процедура НачатьЗакрытьСмену(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьЗакрытьСмену(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры));
```
</details>

## НачатьПолучениеТекущееСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура получение текущее состояние.
//
Процедура НачатьПолучениеТекущееСостояние(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеТекущееСостояние(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьПолучениеТекущееСостояние_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПолучениеТекущееСостояние_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеТекущееСостояние_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьПолучениеПараметровККТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура получение параметров ККТ.
//
Процедура НачатьПолучениеПараметровККТ(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры); Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеПараметровККТ(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры););
```
</details>

## НачатьПолучениеПараметровККТ_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает получение параметров ККТ.
//
// Параметры:
// 	РезультатВыполнения - Структура - структура выполнения операции.
// 	Параметры - Массив - массив параметров.
// 	ДополнительныеПараметры - Структура - где:
// 	*Параметры - Структура - где:
// 	**Идентификатор - СправочникСсылка.ПодключаемоеОборудование - .
Процедура НачатьПолучениеПараметровККТ_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеПараметровККТ_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьФискализациюЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура начать Фискализацию чека.
//
Процедура НачатьФискализациюЧека(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьФискализациюЧека(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВходныеПараметры, ВыходныеПараметры) 
```
</details>

## НачатьФискализациюЧека_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает фискализацию чека.
//
// Параметры:
// 	РезультатВыполнения - Структура - структура результата выполнения.
// 	Параметры - Массив - массив параметров.
// 	ДополнительныеПараметры - Структура - где:
// 	*Параметры - Структура - .
Процедура НачатьФискализациюЧека_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьФискализациюЧека_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьПечатьЧекаПоШаблону_ОткрытиеЧекаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечатьЧекаПоШаблону_ОткрытиеЧекаЗавершение(РезультатВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьЧекаПоШаблону_ОткрытиеЧекаЗавершение(РезультатВыполнения, ДополнительныеПараметры) 
```
</details>

## НачатьПечатьЧекаПоШаблону_ПечатьСтрокиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание
//
// Параметры:
// 	РезультатВыполнения - Структура - .
// 	ДополнительныеПараметры - Структура - Описание:
// * ПозицииЧека - Структура - где:
// **Наименование - Строка - .
Процедура НачатьПечатьЧекаПоШаблону_ПечатьСтрокиЗавершение(РезультатВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьЧекаПоШаблону_ПечатьСтрокиЗавершение(РезультатВыполнения, ДополнительныеПараметры) 
```
</details>

## НачатьПечатьТекста_ОткрытиеЧекаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечатьТекста_ОткрытиеЧекаЗавершение(РезультатВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьТекста_ОткрытиеЧекаЗавершение(РезультатВыполнения, ДополнительныеПараметры) 
```
</details>

## НачатьПечатьТекста_ПечатьСтрокиЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает печать текста.
//
// Параметры:
// 	РезультатВыполнения - Структура - структура результат выполнения.
// 	ДополнительныеПараметры - Структура - где:
// 	*ТекущаяСтрока - Строка - строка для печати.
// 	*Параметры - Массив - массив параметров.
Процедура НачатьПечатьТекста_ПечатьСтрокиЗавершение(РезультатВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьТекста_ПечатьСтрокиЗавершение(РезультатВыполнения, ДополнительныеПараметры) 
```
</details>

## НачатьПечатьТекста_ЗакрытьЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начинает печать текста.
//
// Параметры:
// 	РезультатВыполнения - Структура - структура результат выполнения.
// 	ДополнительныеПараметры - Структура - где:
// 	*Параметры - Массив - массив параметров.
Процедура НачатьПечатьТекста_ЗакрытьЗавершение(РезультатВыполнения, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьТекста_ЗакрытьЗавершение(РезультатВыполнения, ДополнительныеПараметры) 
```
</details>

## НачатьПечатьШтрихкода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Начало печати штрихкода.
//
Процедура НачатьПечатьШтрихкода(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТипШтрихКодаЗнач, ШтрихКод, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьШтрихкода(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТипШтрихКодаЗнач, ШтрихКод, ВыходныеПараметры) 
```
</details>

## НачатьОткрытиеЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет открытие нового чека.
//
Процедура НачатьОткрытиеЧека(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТипЧека, ФискальныйЧек, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОткрытиеЧека(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТипЧека, ФискальныйЧек, ВыходныеПараметры) 
```
</details>

## НачатьОткрытиеЧека_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОткрытиеЧека_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОткрытиеЧека_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьЗакрытиеЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция осуществляет закрытие ранее открытого чека.
//
Процедура НачатьЗакрытиеЧека(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТаблицаОплат, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьЗакрытиеЧека(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТаблицаОплат, ВыходныеПараметры) 
```
</details>

## НачатьПечать_ПечатьЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечать_ПечатьЗавершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечать_ПечатьЗавершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьПечать_ОшибкаЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечать_ОшибкаЗавершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечать_ОшибкаЗавершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьПечать_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечать_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечать_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьОтменуЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет отмену ранее открытого чека.
//
Процедура НачатьОтменуЧека(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОтменуЧека(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) 
```
</details>

## НачатьПечатьФискальнойСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет печать фискальной строки.
//
Процедура НачатьПечатьФискальнойСтроки(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьФискальнойСтроки(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, );
```
</details>

## НачатьПечатьНефискальнойСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет печать нефискальной строки.
//
Процедура НачатьПечатьНефискальнойСтроки(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, СтрокаТекста, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьНефискальнойСтроки(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, СтрокаТекста, ВыходныеПараметры) 
```
</details>

## НачатьПечатьКвитанцийНаТерминале
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет будет ли печать слип чеков на терминале.
//
Процедура НачатьПечатьКвитанцийНаТерминале(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьКвитанцийНаТерминале(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьПечатьКвитанцийНаТерминале_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПечатьКвитанцийНаТерминале_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьКвитанцийНаТерминале_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьФормированиеИтоговДняПоКартам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьФормированиеИтоговДняПоКартам(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры); Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьФормированиеИтоговДняПоКартам(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры););
```
</details>

## НачатьФормированиеИтоговДняПоКартам_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьФормированиеИтоговДняПоКартам_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьФормированиеИтоговДняПоКартам_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьАварийнуюОтменуОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьАварийнуюОтменуОперации(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры); Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьАварийнуюОтменуОперации(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры););
```
</details>

## НачатьОперациюПоКарте_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОперациюПоКарте_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОперациюПоКарте_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьОперациюПоКарте_ЗавершениеБезПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОперациюПоКарте_ЗавершениеБезПараметров(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОперациюПоКарте_ЗавершениеБезПараметров(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьОплатуПлатежнойКартой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОплатуПлатежнойКартой(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОплатуПлатежнойКартой(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, );
```
</details>

## НачатьВозвратПлатежаПоПлатежнойКарте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВозвратПлатежаПоПлатежнойКарте(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьВозвратПлатежаПоПлатежнойКарте(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, );
```
</details>

## НачатьОтменуПлатежаПоПлатежнойКарте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОтменуПлатежаПоПлатежнойКарте(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОтменуПлатежаПоПлатежнойКарте(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, );
```
</details>

## НачатьПреавторизоватьПоПлатежнойКарте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПреавторизоватьПоПлатежнойКарте(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПреавторизоватьПоПлатежнойКарте(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, );
```
</details>

## НачатьОтменуПреавторизацииПоПлатежнойКарте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет отмену преавторизации по карте.
//
Процедура НачатьОтменуПреавторизацииПоПлатежнойКарте(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОтменуПреавторизацииПоПлатежнойКарте(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, );
```
</details>

## НачатьЗавершениеПреавторизацииПоПлатежнойКарте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет завершение преавторизации по карте.
//
Процедура НачатьЗавершениеПреавторизацииПоПлатежнойКарте(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьЗавершениеПреавторизацииПоПлатежнойКарте(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, );
```
</details>

## НачатьОчисткуДисплейПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет осуществляет очистку дисплея покупателя.
//
Процедура НачатьОчисткуДисплейПокупателя(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОчисткуДисплейПокупателя(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьВыводСтрокНаДисплейПокупателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет вывод строк на дисплей покупателя.
//
Процедура НачатьВыводСтрокНаДисплейПокупателя(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры, СтрокаТекста) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьВыводСтрокНаДисплейПокупателя(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры, СтрокаТекста));
```
</details>

## НачатьПолучениеПараметровВывода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет получение параметров вывода на дисплей покупателя.
//
Процедура НачатьПолучениеПараметровВывода(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеПараметровВывода(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьВыгрузкуТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет выгрузку данных в терминал сбора данных.
//
Процедура НачатьВыгрузкуТаблицы(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТаблицаВыгрузки, ПолнаяВыгрузка, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьВыгрузкуТаблицы(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТаблицаВыгрузки, ПолнаяВыгрузка, ВыходныеПараметры));
```
</details>

## НачатьВыгрузкуТаблицы_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет выгрузку данных в терминал сбора данных - завершение.
//
Процедура НачатьВыгрузкуТаблицы_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьВыгрузкуТаблицы_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьЗагрузкуТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет загрузку таблицы из терминала сбора данных.
//
Процедура НачатьЗагрузкуТаблицы(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьЗагрузкуТаблицы(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьЗагрузкуТаблицы_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет загрузку таблицы из терминала сбора данных - завершение.
//
Процедура НачатьЗагрузкуТаблицы_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьЗагрузкуТаблицы_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьОчисткуТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает загруженную ранее таблицу товаров в ТСД.
//
Процедура НачатьОчисткуТаблицу(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОчисткуТаблицу(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьПолучениеВеса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет получение веса, расположенного на весах.
//
Процедура НачатьПолучениеВеса(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеВеса(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьТарировать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет тарирование весов.
//
Процедура НачатьТарировать(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры, ВесТары) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьТарировать(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры, ВесТары));
```
</details>

## НачатьОчисткуТоварыВВесах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает товары в весах с печатью этикеток.
//
Процедура НачатьОчисткуТоварыВВесах(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьОчисткуТоварыВВесах(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьВыгрузкуТоваровВВесы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет выгрузку данных в весы с печатью этикеток.
//
Процедура НачатьВыгрузкуТоваровВВесы(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТаблицаВыгрузки, ЧастичнаяВыгрузка, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьВыгрузкуТоваровВВесы(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ТаблицаВыгрузки, ЧастичнаяВыгрузка, ВыходныеПараметры));
```
</details>

## НачатьВыгрузкуТоваровВВесы_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет выгрузку данных в весы с печатью этикеток - завершение.
//
Процедура НачатьВыгрузкуТоваровВВесы_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьВыгрузкуТоваровВВесы_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьИнициализациюПринтера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет инициализация принтера этикеток.
//
Процедура НачатьИнициализациюПринтера(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьИнициализациюПринтера(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьПечатьЭтикеток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет печать этикеток на принтере этикеток.
//
Процедура НачатьПечатьЭтикеток(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ШаблонЭтикетки, МассивЭтикеток, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьЭтикеток(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ШаблонЭтикетки, МассивЭтикеток, ВыходныеПараметры));
```
</details>

## НачатьПечатьЭтикеток_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет печать этикеток на принтере этикеток - завершение.
//
Процедура НачатьПечатьЭтикеток_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПечатьЭтикеток_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьПолучениеВерсииДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура возвращает версию установленного драйвера.
//
Процедура НачатьПолучениеВерсииДрайвера(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеВерсииДрайвера(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) 
```
</details>

## НачатьПолучениеВерсииДрайвера_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура возвращает версию установленного драйвера - Завершение.
//
Процедура НачатьПолучениеВерсииДрайвера_Завершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеВерсииДрайвера_Завершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) 
```
</details>

## НачатьУстановкуПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает параметры драйвера.
//
Процедура НачатьУстановкуПараметров(ОповещениеПриУстановкеПараметров, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьУстановкуПараметров(ОповещениеПриУстановкеПараметров, ДополнительныеПараметры) 
```
</details>

## НачатьУстановкуПараметров_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура завершения установки параметров драйвера.
//
Процедура НачатьУстановкуПараметров_Завершение(РезультатВыполнения, ПараметрыВызова, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьУстановкуПараметров_Завершение(РезультатВыполнения, ПараметрыВызова, ДополнительныеПараметры) 
```
</details>

## НачатьТестУстройства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет тестирование устройства.
//
Процедура НачатьТестУстройства(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьТестУстройства(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьТестУстройства_УстановкаПараметровЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет тестирование устройства - Установка параметров.
//
Процедура НачатьТестУстройства_УстановкаПараметровЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьТестУстройства_УстановкаПараметровЗавершение(Результат, Параметры) 
```
</details>

## НачатьТестУстройства_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура осуществляет тестирование устройства - Завершение.
//
Процедура НачатьТестУстройства_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьТестУстройства_Завершение(РезультатВыполнения, Параметры, ДополнительныеПараметры) 
```
</details>

## НачатьВыполнитьДополнительноеДействие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция осуществляет выполнение дополнительного действия для устройства.
//
Процедура НачатьВыполнитьДополнительноеДействие(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ИмяДействия, ВыходныеПараметры); Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьВыполнитьДополнительноеДействие(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ИмяДействия, ВыходныеПараметры););
```
</details>

## НачатьВыполнитьДополнительноеДействие_УстановкаПараметровЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнитьДополнительноеДействие_УстановкаПараметровЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьВыполнитьДополнительноеДействие_УстановкаПараметровЗавершение(Результат, Параметры) 
```
</details>

## НачатьВыполнитьДополнительноеДействие_Завершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьВыполнитьДополнительноеДействие_Завершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьВыполнитьДополнительноеДействие_Завершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) 
```
</details>

## НачатьПолучениеОписаниеДрайвера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура возвращает описание установленного драйвера.
//
Процедура НачатьПолучениеОписаниеДрайвера(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеОписаниеДрайвера(ОповещениеПриЗавершении, ОбъектДрайвера, Параметры, ПараметрыПодключения, ВыходныеПараметры));
```
</details>

## НачатьПолучениеОписаниеДрайвера_ПолучитьНомерВерсииЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПолучениеОписаниеДрайвера_ПолучитьНомерВерсииЗавершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеОписаниеДрайвера_ПолучитьНомерВерсииЗавершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) 
```
</details>

## НачатьПолучениеОписаниеДрайвера_ПолучитьОписаниеЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПолучениеОписаниеДрайвера_ПолучитьОписаниеЗавершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеОписаниеДрайвера_ПолучитьОписаниеЗавершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) 
```
</details>

## НачатьПолучениеОписаниеДрайвера_ПолучитьПараметрыЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПолучениеОписаниеДрайвера_ПолучитьПараметрыЗавершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеОписаниеДрайвера_ПолучитьПараметрыЗавершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) 
```
</details>

## НачатьПолучениеОписаниеДрайвера_ПолучитьДополнительныеДействияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьПолучениеОписаниеДрайвера_ПолучитьДополнительныеДействияЗавершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.НачатьПолучениеОписаниеДрайвера_ПолучитьДополнительныеДействияЗавершение(РезультатВызова, ПараметрыВызова, ДополнительныеПараметры) 
```
</details>

## РазмерПакетаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Размер пакета в элементах передаваемой информации в драйвер.
//
Функция РазмерПакетаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ПодключаемоеОборудованиеУниверсальныйДрайверАсинхронноКлиент.РазмерПакетаПоУмолчанию());
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
