---
title: Подписи документов переопределяемый
slug: zup/подписи-документов-переопределяемый
---


## ПриОпределенииРолейПодписантов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В данной процедуре необходимо добавить описания ролей подписантов конфигурации.
//
// Параметры:
//   РолиПодписантов - Массив - Элементы создаются функцией ПодписиДокументов.ИменаРеквизитовРолиПодписанта().
//
Процедура ПриОпределенииРолейПодписантов(РолиПодписантов) Экспорт
```

Пример вызова
```bsl
ПодписиДокументовПереопределяемый.ПриОпределенииРолейПодписантов(РолиПодписантов) 
```
</details>

## ЗаполнитьСведенияОПодписяхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру значений подписей документов по переданному описанию имен реквизитов.
//
// Параметры:
//   ОписаниеПодписей - Соответствие - коллекция, описывающая состав ответственных и их размещение в реквизитах
//       * Ключ - имена ролей подписантов
//       * Значение - Структура - содержит 3 поля - "ФизическоеЛицо", "ОписаниеПолномочий", "Должность",
//                    в которых содержатся имена переменных для возвращаемых значений реквизитов подписантов.
//   Организация - СправочникСсылка.Организации - организация, по которой будут получаться значения.
//   ЗначенияПодписей - Структура - содержит имена (ключи) и значения затребованных реквизитов.
//   СтандартнаяОбработка - Булево - флаг необходимости дальнейшего заполнения значений подписей документов.
//
// Пример:
//
//	Процедура ЗаполнитьСведенияОПодписяхДокументов(ОписаниеПодписей, Организация, ЗначенияПодписей, СтандартнаяОбработка) Экспорт
//
//		ОтветственныеОрганизации = ОтветственныеЛица.ОтветственныеЛицаОрганизации(Организация, ТекущаяДатаСеанса());
//
//		ОписаниеРуководителя = ОписаниеПодписей["Руководитель"];
//		Если ОписаниеРуководителя <> Неопределено Тогда
//			ЗначенияПодписей.Вставить(ОписаниеРуководителя["ФизическоеЛицо"], ОтветственныеОрганизации.Руководитель);
//			ЗначенияПодписей.Вставить(ОписаниеРуководителя["Должность"], ОтветственныеОрганизации.ДолжностьРуководителя);
//		КонецЕсли;
//
//		СтандартнаяОбработка = Ложь;
//
//	КонецПроцедуры
//
Процедура ЗаполнитьСведенияОПодписяхДокументов(ОписаниеПодписей, Организация, ЗначенияПодписей, СтандартнаяОбработка, ДатаСведений = Неопределено) Экспорт
```

Пример вызова
```bsl
ПодписиДокументовПереопределяемый.ЗаполнитьСведенияОПодписяхДокументов(ОписаниеПодписей, Организация, ЗначенияПодписей, СтандартнаяОбработка, ДатаСведений);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
