---
title: Подразделения организаций БЗК
slug: zup/подразделения-организаций-бзк
---


## ТекстЗапросаСравненияНаборовСтруктурныхЕдиниц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из модуля менеджера справочника "Подразделения организаций".
// Возвращает текст запроса, используемого для обновления подчиненных структурных единиц по указанному регистру.
//
// Параметры:
//  ИмяРегистра  - Строка - имя регистра, в котором будет произведен выбор записей для обновления.
//  ИмяРеквизита - Строка - имя ресурса регистра.
//
// Возвращаемое значение:
//  Строка - текст запроса.
//
Функция ТекстЗапросаСравненияНаборовСтруктурныхЕдиниц(ИмяРегистра, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ПодразделенияОрганизацийБЗК.ТекстЗапросаСравненияНаборовСтруктурныхЕдиниц(ИмяРегистра, ИмяРеквизита) 
```
</details>

## ПодчиненныеСтруктурныеЕдиницы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из модуля менеджера справочника "Подразделения организаций".
// Возвращает головную структурную единицу и массив подчиненных подразделений, для которых требуется тиражирование
// значения из головной структурной единицы.
//
// Параметры:
//  СтруктурнаяЕдиница - СправочникСсылка.Организации, СправочникСсылка.ПодразделенияОрганизаций - организация или подразделение
//                       для которых требуется получить подчиненные подразделения до первого обособленного.
//
// Возвращаемое значение:
//  Соответствие:
//   * Ключ     - ГоловнаяСтруктурнаяЕдиница    - СправочникСсылка.Организации,
//                                                СправочникСсылка.ПодразделенияОрганизаций - Вышестоящая структурная
//                                                    единица, из которой будет тиражироваться значение.
//   * Значение - ПодчиненныеСтруктурныеЕдиницы - Массив из СправочникСсылка.ПодразделенияОрганизаций - Подчиненные подразделения,
//                                                для которых требуется установка значения из вышестоящей структурной единицы.
//
Функция ПодчиненныеСтруктурныеЕдиницы(СтруктурнаяЕдиница) Экспорт
```

Пример вызова
```bsl
Результат = ПодразделенияОрганизацийБЗК.ПодчиненныеСтруктурныеЕдиницы(СтруктурнаяЕдиница) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из модуля объекта справочника "Подразделения организаций".
// Вызывается перед записью объекта.
//
// Параметры:
//  ПодразделениеОрганизации - СправочникОбъект.ПодразделенияОрганизаций - объект, для которого вызывается метод.
//  Отказ                    - Булево                                    - признак отказа от записи.
//
Процедура ПередЗаписью(ПодразделениеОрганизации, Отказ) Экспорт
```

Пример вызова
```bsl
ПодразделенияОрганизацийБЗК.ПередЗаписью(ПодразделениеОрганизации, Отказ) 
```
</details>

## ПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из модуля объекта справочника "Подразделения организаций".
// Вызывается при записи объекта.
//
// Параметры:
//  ПодразделениеОрганизации - СправочникОбъект.ПодразделенияОрганизаций - объект, для которого вызывается метод.
//  Отказ                    - Булево                                    - признак отказа от записи.
//
Процедура ПриЗаписи(ПодразделениеОрганизации, Отказ) Экспорт
```

Пример вызова
```bsl
ПодразделенияОрганизацийБЗК.ПриЗаписи(ПодразделениеОрганизации, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
