---
title: Представления общих данных
slug: zup/представления-общих-данных
---


## ОбработкаПолученияДанныхВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаПолученияДанныхВыбора(Источник, ДанныеВыбора, Параметры, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
ПредставленияОбщихДанных.ОбработкаПолученияДанныхВыбора(Источник, ДанныеВыбора, Параметры, СтандартнаяОбработка) 
```
</details>

## ПриСозданииНаСервереФормыСДинамическимСписком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает текст запроса в динамическом списке объекта с настраиваемым представлением.
//
// Параметры:
//  Список - ТаблицаФормы - элемент формы динамического списка, для которого устанавливаются свойства.
//
Процедура ПриСозданииНаСервереФормыСДинамическимСписком(Список) Экспорт
```

Пример вызова
```bsl
ПредставленияОбщихДанных.ПриСозданииНаСервереФормыСДинамическимСписком(Список) 
```
</details>

## ПриСозданииНаСервереФормыОснованийУвольненияСДинамическимСписком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает текст запроса в динамическом списке объекта оснований увольнения с настраиваемым
// представлением.
//
// Параметры:
//  Список - ТаблицаФормы - элемент формы динамического списка, для которого устанавливаются свойства.
//
Процедура ПриСозданииНаСервереФормыОснованийУвольненияСДинамическимСписком(Список) Экспорт
```

Пример вызова
```bsl
ПредставленияОбщихДанных.ПриСозданииНаСервереФормыОснованийУвольненияСДинамическимСписком(Список) 
```
</details>

## ПриПолученииДанныхНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриПолученииДанныхНаСервере(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ПредставленияОбщихДанных.ПриПолученииДанныхНаСервере(Форма, ТекущийОбъект) 
```
</details>

## ЗаписатьНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
ПредставленияОбщихДанных.ЗаписатьНаСервере(Форма) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
