---
title: Работа с файлами БЭД клиент сервер
slug: zup/работа-с-файлами-бэд-клиент-сервер
---


## ВидОшибкиРаботаСФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает вид ошибки, возникающей при работе с файлами.
//
// Возвращаемое значение:
// 	См. ОбработкаНеисправностейБЭДКлиентСервер.НовоеОписаниеВидаОшибки
Функция ВидОшибкиРаботаСФайлами() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСФайламиБЭДКлиентСервер.ВидОшибкиРаботаСФайлами() 
```
</details>

## НовоеОписаниеФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую структуру описания файла.
//
// Возвращаемое значение:
// 	Структура - Описание:
//  * ИмяФайла - Строка - имя файла.
//  * ДвоичныеДанные - ДвоичныеДанные - двоичные данные файла.
//                   - Неопределено
//
Функция НовоеОписаниеФайла() Экспорт
```

Пример вызова
```bsl
Результат = РаботаСФайламиБЭДКлиентСервер.НовоеОписаниеФайла() 
```
</details>

## ОпределитьУникальноеИмяФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает уникальное имя файла, полученное от исходного добавлением порядкового номера.
//
// Параметры:
//  ИсходноеИмяФайла - Строка - Имя файла.
//  ЭтоКаталог - Булево - Истина, если это каталог.
//
//  Возвращаемое значение:
//   Строка - Уникальное имя файла.
//
Функция ОпределитьУникальноеИмяФайла(Знач ИсходноеИмяФайла, Знач ЭтоКаталог = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСФайламиБЭДКлиентСервер.ОпределитьУникальноеИмяФайла(ИсходноеИмяФайла, ЭтоКаталог);
```
</details>

## ДопустимоеИмяФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет имя файла на наличие недопустимых символов.
//
// Параметры:
//  ИмяФайла - Строка - проверяемое имя файла
//  УдалятьНекорректные - Булево - Если установлено значение Истина, то будет произведено удаление некорректных
//  							   символов из переданной строки, если установлено значение Ложь,
//  							   тогда вызываем исключение с оповещением пользователя.
// Возвращаемое значение:
//  Строка
Функция ДопустимоеИмяФайла(Знач ИмяФайла, УдалятьНекорректные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РаботаСФайламиБЭДКлиентСервер.ДопустимоеИмяФайла(ИмяФайла, УдалятьНекорректные);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
