---
title: Рассылка документов
slug: zup/рассылка-документов
---


## ДанныеПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Извлекает данные печати из параметров печати.
// Отобранные данные печати помещаются в параметры печати при рассылке документов,
// если при подключении команды рассылки для печатной формы был указан обработчик получения данных.
//
// Параметры:
// 	ПараметрыПечати - Структура - одноименный параметр процедуры Печать.
// Возвращаемое значение:
// 	Массив - отобранные строки данных печати таблицы значений, формируемой обработчиком получения данных.
//
Функция ДанныеПечати(ПараметрыПечати) Экспорт
```

Пример вызова
```bsl
Результат = РассылкаДокументов.ДанныеПечати(ПараметрыПечати) 
```
</details>

## ВажностиКомандыРассылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор перечисления значений для поля Важность,
// см. ПодключаемыеКомандыПереопределяемый.ПриОпределенииКомандПодключенныхКОбъекту.
//
// Возвращаемое значение:
// 	Структура - Описание:
//   * Важное - Строка -
//   * Обычное - Строка -
//   * СмТакже - Строка -
//
Функция ВажностиКомандыРассылки() Экспорт
```

Пример вызова
```bsl
Результат = РассылкаДокументов.ВажностиКомандыРассылки() 
```
</details>

## ВидыНазначенияКомандыРассылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор перечисления значений для поля Назначение,
// см. ПодключаемыеКомандыПереопределяемый.ПриОпределенииКомандПодключенныхКОбъекту.
//
// Возвращаемое значение:
// 	Структура - Описание:
//   * ДляСписка - Строка -
//   * ДляОбъекта - Строка -
//
Функция ВидыНазначенияКомандыРассылки() Экспорт
```

Пример вызова
```bsl
Результат = РассылкаДокументов.ВидыНазначенияКомандыРассылки() 
```
</details>

## РежимыЗаписиОбъектаПередВыполнениемКомандыРассылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор перечисления значений для поля РежимЗаписи,
// см. ПодключаемыеКомандыПереопределяемый.ПриОпределенииКомандПодключенныхКОбъекту.
//
// Возвращаемое значение:
// 	Структура - Описание:
//   * НеЗаписывать - Строка -
//   * ЗаписыватьТолькоНовые - Строка -
//   * Записывать - Строка -
//   * Проводить - Строка -
//
Функция РежимыЗаписиОбъектаПередВыполнениемКомандыРассылки() Экспорт
```

Пример вызова
```bsl
Результат = РассылкаДокументов.РежимыЗаписиОбъектаПередВыполнениемКомандыРассылки() 
```
</details>

## ТаблицаРезультатовОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Результаты отправки сообщений.
//
// Возвращаемое значение:
// 	ТаблицаЗначений - Описание:
// 	* ФизическоеЛицо - СправочникСсылка.ФизическиеЛица - физическое лицо рассылаемого документа.
// 	* Получатель - СправочникСсылка.ФизическиеЛица - получатель сообщения.
// 	* РассылаемыйДокумент - ОпределяемыйТип.РассылаемыйДокумент - отправляемый документ.
// 	* Результат - Булево, Структура - см. РезультатыРассылкиДокументов.НовыйРезультатОтправки.
//
Функция ТаблицаРезультатовОтправки() Экспорт
```

Пример вызова
```bsl
Результат = РассылкаДокументов.ТаблицаРезультатовОтправки() 
```
</details>

## НоваяПечатнаяФорма
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РассылкаДокументовКлиентСервер.НоваяПечатнаяФорма.
//
Функция НоваяПечатнаяФорма() Экспорт
```

Пример вызова
```bsl
Результат = РассылкаДокументов.НоваяПечатнаяФорма() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
