---
title: Рассылка документов клиент
slug: zup/рассылка-документов-клиент
---


## ПараметрыРассылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру параметров для вызова НачатьРассылку.
//
// Возвращаемое значение:
//  Структура - Параметры рассылки:
// * ЗаголовокФормы - Строка - с помощью параметра можно переопределить заголовок формы рассылки.
// * ПечатныеФормы - Структура, Массив - рассылаемые печатные формы, см. РассылкаДокументовКлиентСервер.НоваяПечатнаяФорма().
// * ТемаПисьма - Строка - тема сопроводительного письма по умолчанию.
// * ТекстПисьма - Строка - текст сопроводительного письма по умолчанию.
//
Функция ПараметрыРассылки() Экспорт
```

Пример вызова
```bsl
Результат = РассылкаДокументовКлиент.ПараметрыРассылки() 
```
</details>

## НачатьРассылку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Метод предназначен для запуска рассылки документов в случае, если документ не подключен к механизму состава документов,
// или по другой причине требуется сделать рассылку по заданному набору получателей.
//
// Параметры:
//  РассылаемыеДокументы - ОпределяемыйТип.РассылаемыйДокумент.
//  Получатели - Массив Из Структура - обязательные поля РассылаемыйДокумент и Получатель.
//  ПараметрыРассылки - Неопределено, Структура - см. ПараметрыРассылки().
//
Процедура НачатьРассылку(РассылаемыеДокументы, Получатели, ПараметрыРассылки = Неопределено) Экспорт
```

Пример вызова
```bsl
РассылкаДокументовКлиент.НачатьРассылку(РассылаемыеДокументы, Получатели, ПараметрыРассылки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
