---
title: Расчет зарплаты
slug: zup/расчет-зарплаты
---


## ДокументНачисленияЗарплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на заполненный документ начисления зарплаты.
// Если для заданного месяца, организации и подразделения существует несколько
// документов, возвращается хронологически первый.
// Если необходимого документа нет, он создается и записывается.
// В любом случае выполняется заполнение документа.
//
// Параметры:
//	МесяцНачисления		 Дата
//	Организация			- СправочникСсылка.Организации
//	Подразделение 		- СправочникСсылка.ПодразделенияОрганизаций (необязательный)
// ПерваяПоловинаМесяца	- Булево
//
// Возвращаемое значение:
//	ДокументСсылка.НачислениеЗарплаты
//
Функция ДокументНачисленияЗарплаты(МесяцНачисления, Организация, Подразделение = Неопределено, ПерваяПоловинаМесяца = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплаты.ДокументНачисленияЗарплаты(МесяцНачисления, Организация, Подразделение, ПерваяПоловинаМесяца);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
