---
title: Расчет зарплаты расширенный клиент переопределяемый
slug: zup/расчет-зарплаты-расширенный-клиент-переопределяемый
---


## ВыполнитьКомандуРасшифровкиЗначенияПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для описания действий,
// выполняемых по команде расшифровки значения показателя.
//
// Команда расшифровки может использоваться для показателей,
// значения которых рассчитываются нетривиальным образом,
// и для пользователя может быть полезным продемонстрировать промежуточные этапы расчета,
// отобразить дополнительную информацию и т.д.
//
// Параметры:
//	- Форма - управляемая форма документа, выполняющего начисление.
//	- ОписаниеТаблицы - описание таблицы документа с данными показателей.
//	- Элемент - таблица формы
//	- ВыбраннаяСтрока - идентификатор строки таблицы.
//	- Поле - поле формы, в котором размещена команда расшифровки.
//	- СтандартнаяОбработка - признак необходимости выполнения стандартной обработки,
//							используется для отметки о выполнении команды расшифровки.
//	- ПересчитыватьСотрудника - признак необходимости выполнить расчет строк сотрудника в документе.
//
Процедура ВыполнитьКомандуРасшифровкиЗначенияПоказателя(Форма, ОписаниеТаблицы, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, ПересчитыватьСотрудника) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйКлиентПереопределяемый.ВыполнитьКомандуРасшифровкиЗначенияПоказателя(Форма, ОписаниеТаблицы, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, ПересчитыватьСотрудника) 
```
</details>

## СоздатьДокументОтраженияВБухучете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для создания документа отражения в бухучете из обработки РасчетЗарплаты.
//
// Параметры:
//	Организация - выбранная в обработке организация.
//	МесяцНачисления - выбранный месяц.
//	СтандартнаяОбработка - признак необходимости выполнения стандартной обработки.
//
Процедура СоздатьДокументОтраженияВБухучете(Организация, МесяцНачисления, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйКлиентПереопределяемый.СоздатьДокументОтраженияВБухучете(Организация, МесяцНачисления, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
