---
title: Расчет зарплаты расширенный клиент сервер
slug: zup/расчет-зарплаты-расширенный-клиент-сервер
---


## ОписаниеРасчетногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает описание расчетного документа.
// Структура с полями, которые содержат имена таблиц данных формы документа
//		НачисленияИмя
//		НачисленияПерерасчетИмя
//		НачисленияПоДоговорамИмя
//		УдержанияИмя
//		НДФЛИмя
//		ВзносыИмя
//		ПогашениеЗаймовИмя.
//
Функция ОписаниеРасчетногоДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ОписаниеРасчетногоДокумента() 
```
</details>

## ОписаниеТаблицыРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание таблицы, участвующей в расчете зарплаты.
//
// Содержит поля
//		ИмяТаблицы - имя табличной части объекта.
//		ИмяПоляДляВставкиПоказателей - имя поля после которого вставляются поля значений показателей
//			при дополнении форм документов, редактирующих начисления.
//		ИмяРеквизитаВидРасчета - имя реквизита с видом расчета.
//		ИмяРеквизитаСотрудник - имя реквизита с сотрудником.
//		НомерТаблицы - номер таблицы в объекте. По умолчанию - 0.
//			Используется в том случае, если у объекта несколько таблиц с начислениями.
//		ОтображатьПоляОписанияВремени - Булево, истина - отображать поля описаний отработанного/оплаченного времени.
//		УправлятьОтображениемПолейОписанияВремени - Булево, позволяет переключать режимы видимости полей отображения
//		                                            времени.
//
Функция ОписаниеТаблицыРасчета() Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ОписаниеТаблицыРасчета() 
```
</details>

## ОписаниеТаблицыПлановыхНачисленийДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеТаблицыПлановыхНачисленийДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ОписаниеТаблицыПлановыхНачисленийДокумента() 
```
</details>

## ОписаниеТаблицыПлановыхНачислений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет в описание таблицы, полученной с помощью метода ОписаниеТаблицыРасчета.
//
// Параметры:
//		РедактироватьНачисленияВОтдельныхПолях	- Булево, обслуживание плановых начислений,
//													редактируемых в отдельных полях формы (РК,
//													СН, Надбавка за вредность)
//		СодержитПолеДействие					- Булево
//
Функция ОписаниеТаблицыПлановыхНачислений(РедактироватьНачисленияВОтдельныхПолях = Ложь, СодержитПолеДействие = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ОписаниеТаблицыПлановыхНачислений(РедактироватьНачисленияВОтдельныхПолях, СодержитПолеДействие);
```
</details>

## ОписаниеТабличнойЧастиКорректировкиВыплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеТабличнойЧастиКорректировкиВыплаты() Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ОписаниеТабличнойЧастиКорректировкиВыплаты() 
```
</details>

## ОписаниеТаблицыКорректировкиВыплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеТаблицыКорректировкиВыплаты() Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ОписаниеТаблицыКорректировкиВыплаты() 
```
</details>

## ФормаПодробнееОРасчетеНДФЛОписаниеТаблицыКорректировкиВыплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ФормаПодробнееОРасчетеНДФЛОписаниеТаблицыКорректировкиВыплаты() Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ФормаПодробнееОРасчетеНДФЛОписаниеТаблицыКорректировкиВыплаты() 
```
</details>

## ПараметрыПолученияДанныхЗаполненияДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыПолученияДанныхЗаполненияДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ПараметрыПолученияДанныхЗаполненияДокумента() 
```
</details>

## УстановитьПланируемуюДатуВыплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает планируемую дату выплаты зарплаты в зависимости от выбранного пользователем порядка выплаты.
//
// Параметры:
//  Форма - Форма документа, в котором устанавливается ПланируемаяДатаВыплаты.
//  ОписаниеДокумента - результат функции ОписаниеДокумента().
//
Процедура УстановитьПланируемуюДатуВыплаты(Форма, ОписаниеДокумента) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйКлиентСервер.УстановитьПланируемуюДатуВыплаты(Форма, ОписаниеДокумента) 
```
</details>

## ПланируемаяДатаВыплатыЗарплатыПоНастройкамПоПорядкуВыплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПланируемаяДатаВыплатыЗарплатыПоНастройкамПоПорядкуВыплаты(МесяцНачисления, Настройки, ПорядокВыплаты, ХарактерыВыплаты, ДатаДокумента) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ПланируемаяДатаВыплатыЗарплатыПоНастройкамПоПорядкуВыплаты(МесяцНачисления, Настройки, ПорядокВыплаты, ХарактерыВыплаты, ДатаДокумента) 
```
</details>

## ПланируемаяДатаВыплатыЗарплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает планируемую дату выплаты зарплаты.
//
// Параметры:
//	Организация		- СправочникСсылка.Организация
//  МесяцНачисления - Дата - месяц начисления зарплаты.
//
// Возвращаемое значение:
//  ПланируемаяДатаВыплатыЗарплаты - Дата.
//
Функция ПланируемаяДатаВыплатыЗарплаты(Организация, МесяцНачисления) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ПланируемаяДатаВыплатыЗарплаты(Организация, МесяцНачисления) 
```
</details>

## ПланируемаяДатаВыплатыАванса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает планируемую дату выплаты аванса.
//
// Параметры:
//	Организация     - СправочникСсылка.Организация
//  МесяцНачисления - Дата - Месяц начисления зарплаты.
//
// Возвращаемое значение:
//  ПланируемаяДатаВыплатыАванса - Дата.
//
Функция ПланируемаяДатаВыплатыАванса(Организация, МесяцНачисления) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ПланируемаяДатаВыплатыАванса(Организация, МесяцНачисления) 
```
</details>

## ПланируемаяДатаВыплатыЗарплатыПоНастройкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает планируемую дату выплаты зарплаты.
//
// Параметры:
//	Организация	- СправочникСсылка.Организация
//  Настройки	- Структура
//					* ВыплачиватьЗарплатуВПоследнийДеньМесяца	- Булево
//					* ДатаВыплатыЗарплатыНеПозжеЧем				- Число
//
// Возвращаемое значение:
//  ПланируемаяДатаВыплатыЗарплаты - Дата.
//
Функция ПланируемаяДатаВыплатыЗарплатыПоНастройкам(МесяцНачисления, Настройки) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ПланируемаяДатаВыплатыЗарплатыПоНастройкам(МесяцНачисления, Настройки) 
```
</details>

## БазовыйПериодНачисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет базовый период начисления в зависимости от настройки периода
// базовых начислений и текущего месяца.
//
// Параметры:
//	МесяцНачисления - дата, день в течение месяца, за который выполняются начисления,
//	ПериодРасчетаБазовыхНачислений - ПеречислениеСсылка.ПериодыРасчетаБазовыхНачислений,
//	КоличествоМесяцевБазовогоПериода - число, необязательный, количество месяцев - длительность базового периода.
//
// Возвращаемое значение - СтандартныйПериод.
//
Функция БазовыйПериодНачисления(МесяцНачисления, ПериодРасчетаБазовыхНачислений, КоличествоМесяцевБазовогоПериода = Неопределено, СдвигБазовогоПериода = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.БазовыйПериодНачисления(МесяцНачисления, ПериодРасчетаБазовыхНачислений, КоличествоМесяцевБазовогоПериода, СдвигБазовогоПериода);
```
</details>

## ВедущаяТаблицаРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выбирает из двух таблиц, ту, которая должна стать причиной последовательного пересчета документа.
// Сравнивает таблицы между собой и возвращает более "влиятельную" с точки зрения последовательности расчета.
// Например, между "Удержания" и "Начисления" будут выбраны начисления, т.к. результат их расчета влияет на удержания.
//
// Параметры:
//	Таблица1, Таблица2 - имена таблиц, из которых нужно выбрать ведущую.
//
Функция ВедущаяТаблицаРасчета(Таблица1, Таблица2) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ВедущаяТаблицаРасчета(Таблица1, Таблица2) 
```
</details>

## ВедущиеТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВедущиеТаблицы() Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ВедущиеТаблицы() 
```
</details>

## ДокументыВыполненияНачисленийУстановитьРежимОтображенияПодробно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДокументыВыполненияНачисленийУстановитьРежимОтображенияПодробно(Форма, ВидимостьПолейПодробно, ОписаниеТаблицыВидовРасчета, ИзменятьВидимостьПоказателей = Истина) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйКлиентСервер.ДокументыВыполненияНачисленийУстановитьРежимОтображенияПодробно(Форма, ВидимостьПолейПодробно, ОписаниеТаблицыВидовРасчета, ИзменятьВидимостьПоказателей);
```
</details>

## ДокументыВыполненияНачисленийУстановитьВидимостьПолейОтображенияВремени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДокументыВыполненияНачисленийУстановитьВидимостьПолейОтображенияВремени(Форма, ОписаниеТаблицы, Видимость = Неопределено) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйКлиентСервер.ДокументыВыполненияНачисленийУстановитьВидимостьПолейОтображенияВремени(Форма, ОписаниеТаблицы, Видимость);
```
</details>

## ДокументыВыполненияНачисленийУстановитьВидимостьПолейНормыВремени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДокументыВыполненияНачисленийУстановитьВидимостьПолейНормыВремени(Форма, ОписаниеТаблицы, Видимость = Неопределено) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйКлиентСервер.ДокументыВыполненияНачисленийУстановитьВидимостьПолейНормыВремени(Форма, ОписаниеТаблицы, Видимость);
```
</details>

## УточнитьВидимостьОплаченногоВремениПоВидуРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УточнитьВидимостьОплаченногоВремениПоВидуРасчета(ВидимостьПолей, Форма, ОписаниеТаблицы) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйКлиентСервер.УточнитьВидимостьОплаченногоВремениПоВидуРасчета(ВидимостьПолей, Форма, ОписаниеТаблицы) 
```
</details>

## УточнитьВидимостьНормыВремениПоВидуРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УточнитьВидимостьНормыВремениПоВидуРасчета(ВидимостьПолей, Форма, ОписаниеТаблицы) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйКлиентСервер.УточнитьВидимостьНормыВремениПоВидуРасчета(ВидимостьПолей, Форма, ОписаниеТаблицы) 
```
</details>

## ВидыРасчетаКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив видов расчета из коллекции.
//
Функция ВидыРасчетаКоллекции(КоллекцияСтрок, ИмяКолонки = "ВидРасчета") Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ВидыРасчетаКоллекции(КоллекцияСтрок, ИмяКолонки);
```
</details>

## РазмерностьАванса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазмерностьАванса(СпособРасчетаАванса) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.РазмерностьАванса(СпособРасчетаАванса) 
```
</details>

## ПредставлениеСпособаРасчетаАванса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеСпособаРасчетаАванса(СпособРасчетаАванса, СжатыйФормат) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ПредставлениеСпособаРасчетаАванса(СпособРасчетаАванса, СжатыйФормат) 
```
</details>

## ИменаСпособовРасчетаАванса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИменаСпособовРасчетаАванса() Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыРасширенныйКлиентСервер.ИменаСпособовРасчетаАванса() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
