---
title: Расчет зарплаты расширенный переопределяемый
slug: zup/расчет-зарплаты-расширенный-переопределяемый
---


## ЗаполнитьЗначенияДополнительныхПоказателейПоВТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для заполнения значений показателей,
// которые не удалось выявить по источникам данных подсистемы «Расчет зарплаты».
// Заполнение значений осуществляется добавлением строк в таблицу ДополнительныеПоказатели.
//
// Параметры
// - МенеджерВременныхТаблиц, содержащий ВТДополнительныеПоказатели.
// 		Список см. метод СоздатьВТДополнительныеПоказатели менеджера расчета зарплаты.
// - ДополнительныеПоказатели - таблица значений для заполнения значений с полями
//	* ИдентификаторСтроки - число, ключ из ВТДополнительныеПоказатели
//	* Показатель
//	* Значение
//
Процедура ЗаполнитьЗначенияДополнительныхПоказателейПоВТ(МенеджерВременныхТаблиц, ДополнительныеПоказатели) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.ЗаполнитьЗначенияДополнительныхПоказателейПоВТ(МенеджерВременныхТаблиц, ДополнительныеПоказатели) 
```
</details>

## ЗаполнитьЗначенияДополнительныхПоказателейПоТаблицеЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для заполнения значений показателей,
// которые были добавлены в массив дополнительных показателей методом ПриОпределенииДополнительныхПоказателей.
// Заполнение значений осуществляется добавлением строк в таблицу ЗначенияПоказателей.
//
// Параметры
// 	ДополнительныеПоказатели- ТаблицаЗначений - таблица дополнительных показателей с полями:
//  	* Сотрудник
//  	* Начисление
//  	* Организация
//  	* Подразделение
//  	* Показатель
//  	* УчитыватьДокументОснование
//  	* ДатаНачала
//  	* ИдентификаторСтроки
//  	* Значение
//  	* ВремяВЧасах
// 	ЗначенияПоказателей - ТаблицаЗначений - таблица значений показателей с полями:
//		* ИдентификаторСтроки
//		* Показатель
//		* Значение
// 	МенеджерРасчета - ОбработкаОбъект.МенеджерРасчетаЗарплаты - менеджер расчета зарплаты
//
Процедура ЗаполнитьЗначенияДополнительныхПоказателейПоТаблицеЗначений(ДополнительныеПоказатели, ЗначенияПоказателей, МенеджерРасчета) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.ЗаполнитьЗначенияДополнительныхПоказателейПоТаблицеЗначений(ДополнительныеПоказатели, ЗначенияПоказателей, МенеджерРасчета) 
```
</details>

## ЗаполнитьДополнительныеНачисленияЗарплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для добавления строк начислений зарплаты сотрудникам.
// Выполняется при выявлении начислений, составляющих оплату труда (при начислении зарплаты за месяц).
//
// Параметры
//	- МенеджерВременныхТаблиц, содержащий ВТСотрудникиПериоды с полями Сотрудник, Организация, ДатаНачала, ДатаОкончания.
//	- ДополнительныеНачисления - таблица значений с полями
//	* Сотрудник
//	* Организация
//	* Начисление
//	* ДатаНачала
//	* ДатаОкончания
//
Процедура ЗаполнитьДополнительныеНачисленияЗарплаты(МенеджерВременныхТаблиц, ДополнительныеНачисления) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.ЗаполнитьДополнительныеНачисленияЗарплаты(МенеджерВременныхТаблиц, ДополнительныеНачисления) 
```
</details>

## ЗаполнитьДополнительныеУдержанияЗарплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для добавления строк удержаний зарплаты сотрудникам.
// Выполняется при выявлении удержаний.
//
// Параметры
//	- МенеджерВременныхТаблиц, содержащий ВТСотрудникиПериоды с полями Сотрудник, Организация, ДатаНачала, ДатаОкончания.
//	- ДополнительныеУдержания - таблица значений с полями
//	* ФизическоеЛицо
//	* Организация
//	* Удержание
//	* ДатаНачала
//	* ДатаОкончания
//
Процедура ЗаполнитьДополнительныеУдержанияЗарплаты(МенеджерВременныхТаблиц, ДополнительныеУдержания) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.ЗаполнитьДополнительныеУдержанияЗарплаты(МенеджерВременныхТаблиц, ДополнительныеУдержания) 
```
</details>

## ПоместитьДанныеДополнительныхПоказателейВСтрокуТаблицыВидовРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для заполнения значений показателей в строке данных формы.
//
// Параметры:
//		ВидРасчетаИнфо - Информация о виде расчета, полученная с помощью метода
//		                 ЗарплатаКадрыРасширенныйПовтИсп.ПолучитьИнформациюОВидеРасчета.
//		СтрокаНачислений - строка таблицы "Начисления".
//		ДанныеПоказателей - Таблица показателей.
//		РежимРаботы - режим работы таблицы с видами расчетов
//			0 - режим ввода штатного расписания - вводятся максимальные
//				и минимальные значения ("вилка") условно-постоянных показателей
//			1 - режим ввода плановых начислений - вводятся значения
//				условно-постоянных показателей
//			2 - режим ввода начислений в документе-начислятеле - вводятся значения всех
//				показателей, отображаемых при виде расчета.
//		ОтображатьТекущиеЗначения - признак того, что в форме отображаются действующие на настоящий
//			момент показатели начислений. Применяется, например, в документах кадровых переводов.
//			По умолчанию - Ложь.
//
Процедура ПоместитьДанныеДополнительныхПоказателейВСтрокуТаблицыВидовРасчета(ВидРасчетаИнфо, СтрокаНачислений, ДанныеПоказателей, РежимРаботы, ОтображатьТекущиеЗначения = Ложь) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.ПоместитьДанныеДополнительныхПоказателейВСтрокуТаблицыВидовРасчета(ВидРасчетаИнфо, СтрокаНачислений, ДанныеПоказателей, РежимРаботы, ОтображатьТекущиеЗначения);
```
</details>

## СоздатьВТДатыИзмененияОтдельныхНачислений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначен для сбора дат, которые подсистема «Расчет зарплаты» использует
// для разделения строк начислений на отдельные периоды.
// Необходимо выполнить запрос, создающий временную таблицу с полями:
//	- ИдентификаторСтроки - число, идентификатор строки из ВТНачисления,
//	- Дата - дата изменения условий начисления,
//		в результате строка с указанным начислением будет разделена на две по указанной дате.
// Имя созданной временной таблицы следует добавить в массив ИменаВТ.
//
// Параметры:
//	- МенеджерВременныхТаблиц - менеджер таблиц,
//		содержит таблицу ВТНачисления с полями.
//			ИдентификаторСтроки,
//			Сотрудник,
//			Организация,
//			Начисление,
//			ДокументОснование,
//			ДатаНачала,
//			ДатаОкончания
//	- ИменаВТ - массив строк с именами добавляемых в менеджер временных таблиц.
//
Процедура СоздатьВТДатыИзмененияОтдельныхНачислений(МенеджерВременныхТаблиц, ИменаВТ) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.СоздатьВТДатыИзмененияОтдельныхНачислений(МенеджерВременныхТаблиц, ИменаВТ) 
```
</details>

## ЗаполнитьПоказателиРасчетаПредопределеннымСпособом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение сведений о показателях, используемых при расчете результата предопределенным способом.
//
// Параметры:
//  ТаблицаПоказателей - ТаблицаЗначений:
//     * СпособРасчета - ПеречислениеСсылка.СпособыРасчетаНачислений, ПеречислениеСсылка.СпособыРасчетаУдержаний
//     * Показатель    - СправочникСсылка.ПоказателиРасчетаЗарплаты
//
Процедура ЗаполнитьПоказателиРасчетаПредопределеннымСпособом(ТаблицаПоказателей) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.ЗаполнитьПоказателиРасчетаПредопределеннымСпособом(ТаблицаПоказателей) 
```
</details>

## ПриОпределенииДополнительныхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнение массива показателей, используемых при расчете результата предопределенным способом.
//
// Параметры:
//	- ДополнительныеПоказатели - массив переопределяемых показателей
//
Процедура ПриОпределенииДополнительныхПоказателей(ДополнительныеПоказатели) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.ПриОпределенииДополнительныхПоказателей(ДополнительныеПоказатели) 
```
</details>

## РассчитатьСтрокуПредопределеннымСпособом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет начислений и удержаний
// В методе можно реализовать новые алгоритмы расчета.
//
// Параметры:
//	- СпособРасчета - таблица значений с колонками
//		СпособРасчета - ПеречислениеСсылка.СпособыРасчетаНачислений - определяет алгоритм расчета
//		СтрокиРасчета - Массив - коллекция строк наборов записей регистров расчета Начисления и Удержания.
//
Процедура РассчитатьСтрокуПредопределеннымСпособом(СпособРасчета, СтрокиРасчета) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.РассчитатьСтрокуПредопределеннымСпособом(СпособРасчета, СтрокиРасчета) 
```
</details>

## ЗаполнитьЗначенияДополнительныхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Процедура предназначена для заполнения значений показателей,
// которые не удалось выявить по источникам данных подсистемы «Расчет зарплаты».
//
// Параметры:
//	ДополнительныеПоказатели - таблица значений с колонками:
//		Сотрудник
//		Подразделение
//		ДатаНачала
//		ДатаОкончания
//		Начисление
//		ВремяВЧасах
//		Показатель
//		Значение
//		КомандаРасшифровки - строка, если заполнена отображается в табличной части
//								под значением показателя.
//		ЗначениеОпределено - булево, признак того, что значение выявлено.
//
Процедура ЗаполнитьЗначенияДополнительныхПоказателей(ДополнительныеПоказатели) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.ЗаполнитьЗначенияДополнительныхПоказателей(ДополнительныеПоказатели) 
```
</details>

## РассчитатьПредопределеннымСпособом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Процедура предназначена для определения алгоритмов расчета результата предопределенным способом.
//
// Параметры:
//	- СпособРасчета - ПеречислениеСсылка.СпособыРасчетаНачислений, ПеречислениеСсылка.СпособыРасчетаУдержаний,
//	- СтрокиРасчета - массив строк таблицы значений данных для расчета с колонками:
//			- ЗаписьРасчета - строка набора записей регистра расчета.
//			- ИсходныеДанные - структура с значениями показателями, используемыми в контексте расчета.
//	- НаборыЗаписей - структура наборов записей, моделирующая коллекцию движений документа
//			с установленным отбором по временному регистратору.
//	- ДокументСсылка - ссылка на документ, выполняющий расчет.
//
Процедура РассчитатьПредопределеннымСпособом(СпособРасчета, СтрокиРасчета, НаборыЗаписей, ДокументСсылка) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.РассчитатьПредопределеннымСпособом(СпособРасчета, СтрокиРасчета, НаборыЗаписей, ДокументСсылка) 
```
</details>

## СоздатьВТПериодыИзмененияОтдельныхНачислений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела.
// Предназначен для сбора дат, которые подсистема «Расчет зарплаты» использует
// для разделения строк начислений на отдельные периоды.
// Необходимо выполнить запрос, создающий временную таблицу с полями:
//	- Сотрудник,
//	- Организация,
//	- Начисление,
//	- ДокументОснование,
//	- Период - дата изменения условий начисления,
//		в результате строка с указанным начислением будет разделена на две по указанной дате.
// Имя созданной временной таблицы следует добавить в массив ИменаВТ.
//
// Параметры:
//	- МенеджерВременныхТаблиц - менеджер таблиц,
//		содержит таблицу ВТНачисленияСотрудников с полями.
//			Сотрудник,
//			Начисление
//	- Начало - дата начала периода, за который получаются данные для начисления.
//	- Окончание - дата окончания периода.
//	- ИменаВТ - массив строк с именами добавляемых в менеджер временных таблиц.
//
Процедура СоздатьВТПериодыИзмененияОтдельныхНачислений(МенеджерВременныхТаблиц, Начало, Окончание, ИменаВТ) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыРасширенныйПереопределяемый.СоздатьВТПериодыИзмененияОтдельныхНачислений(МенеджерВременныхТаблиц, Начало, Окончание, ИменаВТ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
