---
title: Расчет зарплаты формы
slug: zup/расчет-зарплаты-формы
---


## УстановитьСпособРасчетаАвансаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет ранее сохраненный способ расчета аванса
//
// Параметры:
//		СпособРасчетаАванса	- реквизит объекта или управляемой формы, который заполняется
//								ранее сохраненным способом расчета аванса.
//
Процедура УстановитьСпособРасчетаАвансаПоУмолчанию(СпособРасчетаАванса) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыФормы.УстановитьСпособРасчетаАвансаПоУмолчанию(СпособРасчетаАванса) 
```
</details>

## РазмерАвансаВПроцентахПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает размер аванса в процентах по умолчанию, сохраненный в настройках пользователя.
//
// Параметры:
//		Организация			- СправочникСсылка.Организации
//
// Возвращаемое значение:
//		Число
//
Функция РазмерАвансаВПроцентахПоУмолчанию(Организация) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыФормы.РазмерАвансаВПроцентахПоУмолчанию(Организация) 
```
</details>

## РазмерАвансаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает размер аванса по умолчанию, сохраненный в настройках пользователя.
//
// Параметры:
//		Организация			- СправочникСсылка.Организации
//		СпособРасчетаАванса	- ПеречислениеСсылка.СпособыРасчетаАванса
//
// Возвращаемое значение:
//		Число
//
Функция РазмерАвансаПоУмолчанию(Организация, СпособРасчетаАванса) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыФормы.РазмерАвансаПоУмолчанию(Организация, СпособРасчетаАванса) 
```
</details>

## ЗапомнитьРазмерАвансаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет в настройках пользователя размер аванса в процентах.
//
// Параметры:
//		РазмерАванса		- Число
//		Организация			- СправочникСсылка.Организации
//		СпособРасчетаАванса	- ПеречислениеСсылка.СпособыРасчетаАванса
//
Процедура ЗапомнитьРазмерАвансаПоУмолчанию(РазмерАванса, Организация, СпособРасчетаАванса) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыФормы.ЗапомнитьРазмерАвансаПоУмолчанию(РазмерАванса, Организация, СпособРасчетаАванса) 
```
</details>

## ФормаПодробнееОРасчетеНДФЛПриЗаполнении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФормаПодробнееОРасчетеНДФЛПриЗаполнении(Форма) Экспорт
```

Пример вызова
```bsl
РасчетЗарплатыФормы.ФормаПодробнееОРасчетеНДФЛПриЗаполнении(Форма) 
```
</details>

## РезультатРаспределенияКорректировкиВыплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РезультатРаспределенияКорректировкиВыплаты(РаспределениеРезультатовУдержаний, ИдентификаторСтроки) Экспорт
```

Пример вызова
```bsl
Результат = РасчетЗарплатыФормы.РезультатРаспределенияКорректировкиВыплаты(РаспределениеРезультатовУдержаний, ИдентификаторСтроки) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
