---
title: Регламентированная отчетность вызов сервера
slug: zup/регламентированная-отчетность-вызов-сервера
---


## ОтчетСформированОбработкойКонсолидацияОтчетностиПоНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак формирования отчета обработкой консолидации отчетности по НДС.
// Параметры:
//   Док - ДокументСсылка.РегламентированныйОтчет - данные сохраненного регламентированного отчета.
//
// Возвращаемое значение:
//   Булево - признак формирования отчета обработкой консолидации отчетности по НДС.
//
Функция ОтчетСформированОбработкойКонсолидацияОтчетностиПоНДС(Док) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ОтчетСформированОбработкойКонсолидацияОтчетностиПоНДС(Док) 
```
</details>

## ОтчетЗагруженныйОтчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтчетЗагруженныйОтчет(Док) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ОтчетЗагруженныйОтчет(Док) 
```
</details>

## АктуальнаяБухгалтерскаяОтчетность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с выгрузкой бухгалтерской отчетности
//
// Параметры:
//   Организация - СправочникСсылка.Организации - организация, по которой требуется получить сведения.
//   ОтчетныйПериод - Дата - дата в пределах года, за который требуется получить сведения отчета;
//                  - Число - год, за который требуется получить сведения отчета.
//
// Возвращаемое значение:
//   Структура - выгрузка бухгалтерской отчетности.
//
Функция АктуальнаяБухгалтерскаяОтчетность(Организация, ОтчетныйПериод) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.АктуальнаяБухгалтерскаяОтчетность(Организация, ОтчетныйПериод) 
```
</details>

## РеквизитыСохраненнойБухгалтерскойОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыСохраненнойБухгалтерскойОтчетности(СохраненныйОтчет) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.РеквизитыСохраненнойБухгалтерскойОтчетности(СохраненныйОтчет) 
```
</details>

## ПравоДоступаКРегламентированномуОтчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПравоДоступаКРегламентированномуОтчету(ИдентификаторОтчета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПравоДоступаКРегламентированномуОтчету(ИдентификаторОтчета) 
```
</details>

## ЗаполнитьСведенияОбОрганизацииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьСведенияОбОрганизацииНаСервере(Форма, Знач СписокСведений, Дополнения = "", РазделДляВывода = "Титульный") Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ЗаполнитьСведенияОбОрганизацииНаСервере(Форма, СписокСведений, Дополнения, РазделДляВывода);
```
</details>

## ПолучитьСведенияОбОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСведенияОбОрганизации(Знач Организация, Знач ДатаЗначения = Неопределено, Знач СписокПоказателей = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьСведенияОбОрганизации(Организация, ДатаЗначения, СписокПоказателей);
```
</details>

## ПолучитьСведенияОПредставителе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСведенияОПредставителе(ФормаОрганизация, ФормаДатаПодписи, Знач МожетБытьТолькоЮРЛицо = Неопределено, Знач ИФНС = Неопределено, КПП = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьСведенияОПредставителе(ФормаОрганизация, ФормаДатаПодписи, МожетБытьТолькоЮРЛицо, ИФНС, КПП);
```
</details>

## ОпределитьСтраницуПанелиПоКодуПоказателяНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьСтраницуПанелиПоКодуПоказателяНаСервере(Форма, Знач КодПоказателя) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ОпределитьСтраницуПанелиПоКодуПоказателяНаСервере(Форма, КодПоказателя) 
```
</details>

## ПолучитьТаблицуВариантовЗаполненияНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуВариантовЗаполненияНаСервере(Форма, ИмяСтраницыПанели, ПолучитьЭталонную = Ложь, ТипЗнчСуммы = Неопределено, Знач ИмяСекции = "") Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьТаблицуВариантовЗаполненияНаСервере(Форма, ИмяСтраницыПанели, ПолучитьЭталонную, ТипЗнчСуммы, ИмяСекции);
```
</details>

## ПолучитьНазваниеРегионаПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНазваниеРегионаПоКоду(КодРегиона) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьНазваниеРегионаПоКоду(КодРегиона) 
```
</details>

## ВставитьОбластьВТабличныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВставитьОбластьВТабличныйДокумент(ТекТабличноеПоле, НомерВерхЯчейкиОбласти, НомерНижнЯчейкиОбласти) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ВставитьОбластьВТабличныйДокумент(ТекТабличноеПоле, НомерВерхЯчейкиОбласти, НомерНижнЯчейкиОбласти) 
```
</details>

## УдалитьОбластьИзТабличногоДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьОбластьИзТабличногоДокумента(ТекТабличноеПоле, НомерВерхЯчейкиОбласти, НомерНижнЯчейкиОбласти) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.УдалитьОбластьИзТабличногоДокумента(ТекТабличноеПоле, НомерВерхЯчейкиОбласти, НомерНижнЯчейкиОбласти) 
```
</details>

## ВывестиРазделВТабличныйДокументНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВывестиРазделВТабличныйДокументНаСервере(Знач НастройкиМнгЧ, ИмяГруппы, Раздел, СтруктураГруппы, мСтруктураКолвоКолонокРазделов) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ВывестиРазделВТабличныйДокументНаСервере(НастройкиМнгЧ, ИмяГруппы, Раздел, СтруктураГруппы, мСтруктураКолвоКолонокРазделов) 
```
</details>

## ПолучитьСведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСведения(ОргСведения, ПБОЮЛ, Организация, ДатаПодписи, СписокСведений, ДанныеПредставителя, КодФНС, КПП) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ПолучитьСведения(ОргСведения, ПБОЮЛ, Организация, ДатаПодписи, СписокСведений, ДанныеПредставителя, КодФНС, КПП) 
```
</details>

## КПППоКомбинацииОрганизацииИКодаИФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КПППоКомбинацииОрганизацииИКодаИФНС(Организация, КодИФНС) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.КПППоКомбинацииОрганизацииИКодаИФНС(Организация, КодИФНС) 
```
</details>

## ВывестиСведенияСлужебнойЧастиИОбОтправителе30
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВывестиСведенияСлужебнойЧастиИОбОтправителе30(Текст, Организация, КПП = Неопределено, КодНалоговогоОргана, ВерсияФормата = "3.00") Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ВывестиСведенияСлужебнойЧастиИОбОтправителе30(Текст, Организация, КПП, КодНалоговогоОргана, ВерсияФормата);
```
</details>

## ЭтоЮридическоеЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоЮридическоеЛицо(Организация) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ЭтоЮридическоеЛицо(Организация) 
```
</details>

## ИННСоответствуетТребованиямНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИННСоответствуетТребованиямНаСервере(Знач ИНН, Знач ТипЛица) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ИННСоответствуетТребованиямНаСервере(ИНН, ТипЛица) 
```
</details>

## УстановитьСчетчикВыгруженныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьСчетчикВыгруженныхФайлов(Организация, СчФайлов, ТипСчетчика = Неопределено, ПериодУстановки = Неопределено, ИФНС = "") Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.УстановитьСчетчикВыгруженныхФайлов(Организация, СчФайлов, ТипСчетчика, ПериодУстановки, ИФНС);
```
</details>

## КодРегионаПоНазванию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КодРегионаПоНазванию(Название) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.КодРегионаПоНазванию(Название) 
```
</details>

## ПолучитьШаблонПоИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьШаблонПоИмени(Выгрузка) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ПолучитьШаблонПоИмени(Выгрузка) 
```
</details>

## ПолучитьШаблоныМашиночитаемыхФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьШаблоныМашиночитаемыхФорм(Знач ИмяОтчета, ПрефиксИмениМакетаШаблона, КоличествоВыгруженныхШаблонов, ТочныеПараметрыШаблонаЗаданы, ПрефиксИмениШаблона, ДистрибутивКомпонентыПечатиМашиночитаемыхФорм) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьШаблоныМашиночитаемыхФорм(ИмяОтчета, ПрефиксИмениМакетаШаблона, КоличествоВыгруженныхШаблонов, ТочныеПараметрыШаблонаЗаданы, ПрефиксИмениШаблона, ДистрибутивКомпонентыПечатиМашиночитаемыхФорм) 
```
</details>

## ПолучитьШаблоныМашиночитаемыхФормУведомленияОСпецрежимах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьШаблоныМашиночитаемыхФормУведомленияОСпецрежимах(ИмяФайлаВыгрузки, ПрефиксИмениМакетаШаблона, КоличествоВыгруженныхШаблонов, ТочныеПараметрыШаблонаЗаданы, ПрефиксИмениШаблона, ДистрибутивКомпонентыПечатиМашиночитаемыхФорм, ДанныеМакета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьШаблоныМашиночитаемыхФормУведомленияОСпецрежимах(ИмяФайлаВыгрузки, ПрефиксИмениМакетаШаблона, КоличествоВыгруженныхШаблонов, ТочныеПараметрыШаблонаЗаданы, ПрефиксИмениШаблона, ДистрибутивКомпонентыПечатиМашиночитаемыхФорм, ДанныеМакета) 
```
</details>

## ПолучитьДистрибутивКомпонентыПечатиМашиночитаемыхФорм
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДистрибутивКомпонентыПечатиМашиночитаемыхФорм(ДистрибутивКомпонентыПечатиМашиночитаемыхФорм) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ПолучитьДистрибутивКомпонентыПечатиМашиночитаемыхФорм(ДистрибутивКомпонентыПечатиМашиночитаемыхФорм) 
```
</details>

## ПолучитьСсылкуНаФормуРеглОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСсылкуНаФормуРеглОтчета(ТекДок, ПараметрыФормы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьСсылкуНаФормуРеглОтчета(ТекДок, ПараметрыФормы) 
```
</details>

## ВерсияФормыСовпадаетСВерсиейСохраненногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерсияФормыСовпадаетСВерсиейСохраненногоОтчета(Док, ВерсияФормы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ВерсияФормыСовпадаетСВерсиейСохраненногоОтчета(Док, ВерсияФормы) 
```
</details>

## ПолучитьПараметрыФормыИзСохраненногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыФормыИзСохраненногоОтчета(Док, ПредставлениеДокументаРеглОтч) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьПараметрыФормыИзСохраненногоОтчета(Док, ПредставлениеДокументаРеглОтч) 
```
</details>

## ПроверитьВозможностьВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьВыгрузки(Доки) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПроверитьВозможностьВыгрузки(Доки) 
```
</details>

## СформироватьСтруктуруПараметровФайлаВыгрузкиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьСтруктуруПараметровФайлаВыгрузкиНаСервере(Адрес, ВерФормВыгрузки) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.СформироватьСтруктуруПараметровФайлаВыгрузкиНаСервере(Адрес, ВерФормВыгрузки) 
```
</details>

## РазделТекущейОбластиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазделТекущейОбластиНаСервере(Форма, ТекущаяОбласть, ДлИмениОбласти = 13) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.РазделТекущейОбластиНаСервере(Форма, ТекущаяОбласть, ДлИмениОбласти);
```
</details>

## ПолучитьСведенияОПредставителеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСведенияОПредставителеОрганизации(Организация, КодИФНС, КПП, ДатаПодписиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьСведенияОПредставителеОрганизации(Организация, КодИФНС, КПП, ДатаПодписиОтчета)	
```
</details>

## ПолучитьПоКодамСведенияОПредставителе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПоКодамСведенияОПредставителе(Организация, КодНО, КПП = Неопределено, ОКТМО = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьПоКодамСведенияОПредставителе(Организация, КодНО, КПП, ОКТМО);
```
</details>

## ЗаменитьТекстРегионаНаКодРегиона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьТекстРегионаНаКодРегиона(Знач АдресВФормате9зпт) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ЗаменитьТекстРегионаНаКодРегиона(АдресВФормате9зпт) 
```
</details>

## ДокументыСУчетомКритериевОтбораКалендарь
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДокументыСУчетомКритериевОтбораКалендарь(ИсточникОтчета, ДатаНачалаПериодаОтчета, ДатаКонцаПериодаОтчета, ОрганизацияОтбор, КодИФНС, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ДокументыСУчетомКритериевОтбораКалендарь(ИсточникОтчета, ДатаНачалаПериодаОтчета, ДатаКонцаПериодаОтчета, ОрганизацияОтбор, КодИФНС, Периодичность) 
```
</details>

## ПроверитьДоступностьОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьДоступностьОтчета(ИсточникОтчета, ДатаНач, ДатаКон, Периодичность, ОрганизацияОтбор) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ПроверитьДоступностьОтчета(ИсточникОтчета, ДатаНач, ДатаКон, Периодичность, ОрганизацияОтбор) 
```
</details>

## СформироватьНапоминанияПользователяКалендарьБухгалтера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьНапоминанияПользователяКалендарьБухгалтера() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.СформироватьНапоминанияПользователяКалендарьБухгалтера() 
```
</details>

## ВерсияФорматаВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерсияФорматаВыгрузки(ВыбраннаяФорма, ИсточникОтчета, НаДату = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ВерсияФорматаВыгрузки(ВыбраннаяФорма, ИсточникОтчета, НаДату);
```
</details>

## ИмяФормыРеглОтчетаДействующейВОтчетномПериоде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяФормыРеглОтчетаДействующейВОтчетномПериоде(ИсточникОтчета, ДатаОкончания, СсылкаНаСохрРеглОтчет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ИмяФормыРеглОтчетаДействующейВОтчетномПериоде(ИсточникОтчета, ДатаОкончания, СсылкаНаСохрРеглОтчет);
```
</details>

## ФормаРеглОтчетаДействуетВОтчетномПериоде
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ФормаРеглОтчетаДействуетВОтчетномПериоде(ИсточникОтчета, ДатаОкончания, ИмяФормыОтчета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ФормаРеглОтчетаДействуетВОтчетномПериоде(ИсточникОтчета, ДатаОкончания, ИмяФормыОтчета) 
```
</details>

## ФормаРеглОтчетаСоответствуетФормату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ФормаРеглОтчетаСоответствуетФормату(ИсточникОтчета, ДатаОкончания, ВерсияФормата, ИмяФормыОтчета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ФормаРеглОтчетаСоответствуетФормату(ИсточникОтчета, ДатаОкончания, ВерсияФормата, ИмяФормыОтчета) 
```
</details>

## СформироватьАдрес
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьАдрес(КонтактнаяИнформация, РоссийскийАдрес) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.СформироватьАдрес(КонтактнаяИнформация, РоссийскийАдрес) 
```
</details>

## ПредставлениеАдресаJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеАдресаJSON(Адрес_JSON) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПредставлениеАдресаJSON(Адрес_JSON) 
```
</details>

## ПолучитьЭталонФорматаОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭталонФорматаОбласти(ИмяФормы, ИмяМакета, ИмяОбласти) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьЭталонФорматаОбласти(ИмяФормы, ИмяМакета, ИмяОбласти) 
```
</details>

## ПроверитьВозможностьВыводаМашиночитаемойФормыЧерезВебСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьВыводаМашиночитаемойФормыЧерезВебСервис(АдресПараметровПроксиВоВременномХранилище, ПолучитьОпределенияВебСервиса = Истина, ЭтоВызовИзВебКлиента = Ложь, ВебБраузер = "") Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПроверитьВозможностьВыводаМашиночитаемойФормыЧерезВебСервис(АдресПараметровПроксиВоВременномХранилище, ПолучитьОпределенияВебСервиса, ЭтоВызовИзВебКлиента, ВебБраузер);
```
</details>

## ВывестиМашиночитаемуюФормуЧерезВебСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВывестиМашиночитаемуюФормуЧерезВебСервис(ИмяФормыОтчета, НаименованиеИФНС, ФайлВыгрузкиВоВременномХранилище, ПараметрыСформированногоОтчета, АдресПараметровПроксиВоВременномХранилище) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ВывестиМашиночитаемуюФормуЧерезВебСервис(ИмяФормыОтчета, НаименованиеИФНС, ФайлВыгрузкиВоВременномХранилище, ПараметрыСформированногоОтчета, АдресПараметровПроксиВоВременномХранилище) 
```
</details>

## ВывестиМашиночитаемуюФормуУведомленияОСпецрежимахЧерезВебСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВывестиМашиночитаемуюФормуУведомленияОСпецрежимахЧерезВебСервис(ФайлВыгрузкиВоВременномХранилище, ПараметрыСформированногоОтчета, АдресПараметровПроксиВоВременномХранилище, ДанныеМакета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ВывестиМашиночитаемуюФормуУведомленияОСпецрежимахЧерезВебСервис(ФайлВыгрузкиВоВременномХранилище, ПараметрыСформированногоОтчета, АдресПараметровПроксиВоВременномХранилище, ДанныеМакета) 
```
</details>

## ПолучитьМашиночитаемуюФормуСВебСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМашиночитаемуюФормуСВебСервиса(ПараметрыСформированногоОтчета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьМашиночитаемуюФормуСВебСервиса(ПараметрыСформированногоОтчета) 
```
</details>

## ОтправитьМашиночитаемуюФормуНаEmail
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отправляет ранее подготовленную сервисом подготовки машиночитаемых бланков форму на E-mail.
//
// Параметры:
//  ПараметрыОтправки - Структура - содержит всю необходимую информацию о письме:
//
//   * Кому - Массив, Строка - интернет адреса получателей письма.
//          - Массив - коллекция структур адресов:
//              * Адрес         - Строка - почтовый адрес (должно быть обязательно заполнено).
//              * Представление - Строка - имя адресата.
//          - Строка - интернет-адреса получателей письма, разделитель - ";".
//
//   * ПолучателиСообщения - Массив - массив структур, описывающий получателей:
//      ** Адрес - Строка - почтовый адрес получателя сообщения.
//      ** Представление - Строка - представление адресата.
//
//   * Копии        - Массив, Строка - адреса получателей копий письма. См. описание поля Кому.
//
//   * СкрытыеКопии - Массив, Строка - адреса получателей скрытых копий письма. См. описание поля Кому.
//
//   * Тема       - Строка - (обязательный) тема почтового сообщения.
//   * Тело       - Строка - (обязательный) текст почтового сообщения (простой текст в кодировке win-1251).
//   * Важность   - ВажностьИнтернетПочтовогоСообщения.
//
//   * Вложения - Массив - файлы, которые необходимо приложить к письму (описания в виде структур):
//     ** Представление - Строка - имя файла вложения;
//     ** АдресВоВременномХранилище - Строка - адрес двоичных данных вложения во временном хранилище.
//     ** Кодировка - Строка - кодировка вложения (используется, если отличается от кодировки письма).
//     ** Идентификатор - Строка - (необязательный) используется для отметки картинок, отображаемых в теле письма.
//
//   * АдресОтвета - Соответствие - см. описание поля Кому.
//   * ИдентификаторыОснований - Строка - идентификаторы оснований данного письма.
//   * ОбрабатыватьТексты  - Булево - необходимость обрабатывать тексты письма при отправке.
//   * УведомитьОДоставке  - Булево - необходимость запроса уведомления о доставке.
//   * УведомитьОПрочтении - Булево - необходимость запроса уведомления о прочтении.
//   * ТипТекста   - Строка, Перечисление.ТипыТекстовЭлектронныхПисем, ТипТекстаПочтовогоСообщения - определяет тип
//                  переданного теста допустимые значения:
//                  HTML/ТипыТекстовЭлектронныхПисем.HTML - текст почтового сообщения в формате HTML.
//                  ПростойТекст/ТипыТекстовЭлектронныхПисем.ПростойТекст - простой текст почтового сообщения.
//                                                                          Отображается "как есть" (значение по
//                                                                          умолчанию).
//                  РазмеченныйТекст/ТипыТекстовЭлектронныхПисем.РазмеченныйТекст - текст почтового сообщения в формате
//                                                                                  Rich Text.
//   * Соединение - ИнтернетПочта - существующее соединение с почтовым сервером. Если не указано, то создается новое.
//   * ПротоколПочты - Строка - если указано значение "IMAP", то письмо будет передано по протоколу IMAP, если по
//                              указано значение "Все", то по протоколу SMTP и по протоколу IMAP, если ничего не указано
//                              то по протоколу SMTP. Параметр имеет смысл, только наличии действующего соединения,
//                              указанного в параметр Соединение. В противном случае протокол будет определен
//                              автоматически при установке соединения.
//   * ИдентификаторСообщения - Строка - (возвращаемый параметр) идентификатор отправленного почтового сообщения на SMTP-сервере;
//   * ИдентификаторСообщенияОтправкаIMAP - Строка - (возвращаемый параметр) идентификатор отправленного почтового
//                                         сообщения на IMAP сервере;
//   * ОшибочныеПолучатели - Соответствие - (возвращаемый параметр) список адресов, по которым отправка не выполнена.
//                                          См. возвращаемое значение метода ИнтернетПочта.Послать() в синтакс-помощнике.
//
//  ПараметрыСформированногоОтчета - Структура - Содержит данные для формирования машиночитаемого бланка
//                                               (см. описание процедуры ВывестиМашиночитаемуюФормуЧерезВебСервис).
//  СообщениеОбОшибке - Строка - переменная, в которую после вызова функции возвращается сообщение об ошибке вызова сервера.
//
// Возвращаемое значение:
//  Булево - признак выполнения операции.
//
Функция ОтправитьМашиночитаемуюФормуНаEmail(ПараметрыОтправки, ПараметрыСформированногоОтчета, СообщениеОбОшибке) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ОтправитьМашиночитаемуюФормуНаEmail(ПараметрыОтправки, ПараметрыСформированногоОтчета, СообщениеОбОшибке) 
```
</details>

## ДокументыВыгрузкиДекларацииНДС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДокументыВыгрузкиДекларацииНДС(ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ДокументыВыгрузкиДекларацииНДС(ПараметрыОтбора) 
```
</details>

## ДокументыВыгрузкиДекларацииПоАкцизам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДокументыВыгрузкиДекларацииПоАкцизам(ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ДокументыВыгрузкиДекларацииПоАкцизам(ПараметрыОтбора) 
```
</details>

## ДокументыВыгрузкиДекларацииПоНалогуНаПрибыль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДокументыВыгрузкиДекларацииПоНалогуНаПрибыль(ПараметрыОтбора) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ДокументыВыгрузкиДекларацииПоНалогуНаПрибыль(ПараметрыОтбора) 
```
</details>

## ПравилаСравненияДляФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает в параметре функции "НастройкиСравнения" структуру данных, полученную из текстового макета,
// соответствующего форме сравниваемого отчета. Структура содержит имена макетов схем выгрузки,
// имена дополнительных обработчиков. Ключ "РазрешитьСравнение" определяет значение переменной,
// которая регулирует доступность кнопки "Сравнить" в отчете.
// Сама функция возвращает текстовый документ из найденного текстового макета.
// Используется функционалом сравнения отчетов.
//
// Параметры:
//  ПутьКФорме         - Строка     - Полное имя формы отчета, для которой возвращаются параметры настроек.
//
//  НастройкиСравнения - Структура  - Структура данных, содержащих параметры настроек для сравнения отчетов.
//
// Возвращаемое значение:
//   ТекстовыйДокумент - Текстовый документ из найденного шаблона настроек сравнения для формы отчета.
//
Функция ПравилаСравненияДляФормы(ПутьКФорме, НастройкиСравнения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПравилаСравненияДляФормы(ПутьКФорме, НастройкиСравнения);
```
</details>

## ПравилаЗагрузкиДляФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает в параметре функции "НастройкиЗагрузки" структуру данных, полученную из текстового макета,
// соответствующего форме загружаемого отчета. Структура содержит имена макетов схем выгрузки и версии загружаемых
// форматов, имена дополнительных обработчиков. Ключ "ЗагрузкаРазрешена" определяет значение переменной, которая регулирует
// доступность кнопки "Загрузить" в отчете. Сама функция возвращает текстовый документ из найденного текстового макета.
// Используется функционалом загрузки отчета из файла.
//
// Параметры:
//  ПутьКФорме         - Строка     - Полное имя формы отчета, для которой возвращаются параметры настроек.
//
//  НастройкиЗагрузки  - Структура  - Структура данных, содержащих параметры настроек для загрузки отчета из файла.
//
// Возвращаемое значение:
//   ТекстовыйДокумент - Текстовый документ из найденного шаблона настроек загрузки для формы отчета.
//
Функция ПравилаЗагрузкиДляФормы(ПутьКФорме, НастройкиЗагрузки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПравилаЗагрузкиДляФормы(ПутьКФорме, НастройкиЗагрузки);
```
</details>

## ПолучитьПараметрыОтчетаИзРезультатаАнализаФайловВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для передачи в форму регламентированного отчета при ее открытии.
// Используется функционалом загрузки отчета из файла.
//
// Параметры:
//  РезультатАнализаФайловВыгрузки - Структура - Структура данных, сформированная
//                                               по результатам анализа файла выгрузки.
//  ПолноеИмяФормыОтчета - Строка  - Возвращается сгенерированное полное имя формы отчета, действующее
//                                   в отчетном периоде, полученном из данных результата анализа.
// Возвращаемое значение:
//   Структура - Параметры формы отчета.
//
Функция ПолучитьПараметрыОтчетаИзРезультатаАнализаФайловВыгрузки(РезультатАнализаФайловВыгрузки, ПолноеИмяФормыОтчета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьПараметрыОтчетаИзРезультатаАнализаФайловВыгрузки(РезультатАнализаФайловВыгрузки, ПолноеИмяФормыОтчета) 
```
</details>

## РазмерФайлаВоВременномХранилище
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает размер файла помещенного во временное хранилище.
// Используется функционалом загрузки отчета из файла.
//
// Параметры:
//  АдресДанных - Строка - Адрес временного хранилища данных файла.
//
// Возвращаемое значение:
//   Число - Размер файла в байтах.
//
Функция РазмерФайлаВоВременномХранилище(АдресДанных) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.РазмерФайлаВоВременномХранилище(АдресДанных) 
```
</details>

## УдалитьСохраненныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет документ. Используется функционалом загрузки отчета из файла.
//
// Параметры:
//  ДокументСсылка  - ДокументСсылка.<ИмяДокумента> - Ссылка на удаляемый документ.
//
Процедура УдалитьСохраненныйДокумент(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.УдалитьСохраненныйДокумент(ДокументСсылка) 
```
</details>

## ПрочитатьСохраненныйДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перечитывает документ после заполнения в фоновом задании и обновляет версию данных ссылки.
// Используется функционалом загрузки отчета из файла.
//
// Параметры:
//  ДокументСсылка  - ДокументСсылка.<ИмяДокумента> - Ссылка на перечитываемый документ.
//
Процедура ПрочитатьСохраненныйДокумент(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ПрочитатьСохраненныйДокумент(ДокументСсылка) 
```
</details>

## ПодключенДокументооборотСКонтролирующимОрганом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, подключен ли документооборот с контролирующим органом для организация.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация, для которой определяется
//                наличие подключенного документооборота с контролирующим органом.
//  КонтролирующийОрган - ПеречислениеСсылка.ТипыКонтролирующихОрганов - контролирующий
//                орган, для которого определяется наличие подключения.
//
// Возвращаемое значение:
//  Булево - Истина, если документооборот с контролирующим органом подключен.
//
Функция ПодключенДокументооборотСКонтролирующимОрганом(Организация = Неопределено, КонтролирующийОрган = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПодключенДокументооборотСКонтролирующимОрганом(Организация, КонтролирующийОрган);
```
</details>

## ИсточникРегламентированногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение реквизита "ИсточникОтчета" документа "Регламентированный отчет".
//
// Параметр:
//  Ссылка - ДокументСсылка.РегламентированныйОтчет - ссылка на документ "Регламентированный отчет".
//
// Возвращаемое значение: Строка.
//
Функция ИсточникРегламентированногоОтчета(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ИсточникРегламентированногоОтчета(Ссылка) 
```
</details>

## СвойстваВнешнегоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Процедуры и функции механизма поддержки внешних регламентированных отчетов.

Функция СвойстваВнешнегоОтчета(ОбъектЭлемент, Отчет) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.СвойстваВнешнегоОтчета(ОбъектЭлемент, Отчет) 
```
</details>

## ЗарегистрироватьВнешнийОтчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗарегистрироватьВнешнийОтчет(ОбъектСсылка, Отчет) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ЗарегистрироватьВнешнийОтчет(ОбъектСсылка, Отчет) 
```
</details>

## ПолучитьВерсиюРегламентированногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВерсиюРегламентированногоОтчета(ОбъектОтчет) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолучитьВерсиюРегламентированногоОтчета(ОбъектОтчет) 
```
</details>

## РазложитьПолнуюВерсиюРегламентированногоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазложитьПолнуюВерсиюРегламентированногоОтчета(ПолнаяВерсия) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.РазложитьПолнуюВерсиюРегламентированногоОтчета(ПолнаяВерсия) 
```
</details>

## УстановитьПараметрыВнешнихРегламентированныхОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПараметрыВнешнихРегламентированныхОтчетов(ИмяПараметра = Неопределено, УстановленныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.УстановитьПараметрыВнешнихРегламентированныхОтчетов(ИмяПараметра, УстановленныеПараметры);
```
</details>

## ИсточникОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИсточникОтчета(ИмяФормыСтр) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ИсточникОтчета(ИмяФормыСтр) 
```
</details>

## ОтчетОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтчетОбъект(ИсточникОтчета) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ОтчетОбъект(ИсточникОтчета) 
```
</details>

## ОбъектОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбъектОтчета(ЭтаФормаИмя) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ОбъектОтчета(ЭтаФормаИмя) 
```
</details>

## ВнешнийОтчетВФоновомЗадании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВнешнийОтчетВФоновомЗадании(НаимРеглОтч) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ВнешнийОтчетВФоновомЗадании(НаимРеглОтч));
```
</details>

## ПолныйПутьКФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолныйПутьКФорме(ИсточникОтчета, ВыбраннаяФорма) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПолныйПутьКФорме(ИсточникОтчета, ВыбраннаяФорма) 
```
</details>

## ИспользуетсяОднаОрганизация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуетсяОднаОрганизация() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ИспользуетсяОднаОрганизация() 
```
</details>

## СпециальногоДобавленияСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СпециальногоДобавленияСтроки(ТекТабличноеПоле, ТекТабличноеПолеИмя, ИмяГруппы, НомерВерхЯчейкиОбласти, НомерНижнЯчейкиОбласти) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.СпециальногоДобавленияСтроки(ТекТабличноеПоле, ТекТабличноеПолеИмя, ИмяГруппы, НомерВерхЯчейкиОбласти, НомерНижнЯчейкиОбласти) 
```
</details>

## СпециальногоУдаленияСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СпециальногоУдаленияСтроки(ТекТабличноеПоле, ТекТабличноеПолеИмя, ИмяГруппы, НомерВерхЯчейкиОбласти, НомерНижнЯчейкиОбласти, Постфикс = "ХХ_1") Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.СпециальногоУдаленияСтроки(ТекТабличноеПоле, ТекТабличноеПолеИмя, ИмяГруппы, НомерВерхЯчейкиОбласти, НомерНижнЯчейкиОбласти, Постфикс);
```
</details>

## ОтразитьВЖурналеОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Журнал отчетности.

Процедура ОтразитьВЖурналеОтчетов(ПараметрыОтчета) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ОтразитьВЖурналеОтчетов(ПараметрыОтчета) 
```
</details>

## ПредставлениеФинансовогоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеФинансовогоПериода(ДатаНачалаОтчетногоПериода, ДатаОкончанияОтчетногоПериода, ФП = "Истина") Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПредставлениеФинансовогоПериода(ДатаНачалаОтчетногоПериода, ДатаОкончанияОтчетногоПериода, ФП);
```
</details>

## ПредставлениеКонтролирующегоОргана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКонтролирующегоОргана(ЗначенияЗаполнения, ДобавлятьБывш = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ПредставлениеКонтролирующегоОргана(ЗначенияЗаполнения, ДобавлятьБывш);
```
</details>

## СведенияПоОбъектуНеВходящемуВБРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СведенияПоОбъектуНеВходящемуВБРО(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.СведенияПоОбъектуНеВходящемуВБРО(Ссылка) 
```
</details>

## ЗаполнитьРегистрЖурналОчетовСтатусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРегистрЖурналОчетовСтатусы(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ЗаполнитьРегистрЖурналОчетовСтатусы(Параметры);
```
</details>

## КоличествоОбъектовНеЗаписанныхВРегистрЖурналОтчетовСтатусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоОбъектовНеЗаписанныхВРегистрЖурналОтчетовСтатусы() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.КоличествоОбъектовНеЗаписанныхВРегистрЖурналОтчетовСтатусы() 
```
</details>

## УдалитьНекорректныеЗаписиИзРегистраЖурналОчетовСтатусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьНекорректныеЗаписиИзРегистраЖурналОчетовСтатусы() Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.УдалитьНекорректныеЗаписиИзРегистраЖурналОчетовСтатусы() 
```
</details>

## КоличествоНекорректныхЗаписейРегистраЖурналОчетовСтатусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоНекорректныхЗаписейРегистраЖурналОчетовСтатусы() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.КоличествоНекорректныхЗаписейРегистраЖурналОчетовСтатусы() 
```
</details>

## ВозможноПрисоединениеФайловКОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак возможности присоединения файлов к объекту
// (наличие права доступа на добавление файлов не проверяется).
//
// Параметры:
//   ВладелецФайлов - ДокументСсылка, СправочникСсылка - ссылка на объект
//                    в регистре сведений "Журнал отчетов статусы".
//
Функция ВозможноПрисоединениеФайловКОбъекту(ВладелецФайлов) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ВозможноПрисоединениеФайловКОбъекту(ВладелецФайлов) 
```
</details>

## СохранитьСтатусОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьСтатусОтправки(ПараметрыИзменения, УникальныйИдентификатор) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.СохранитьСтатусОтправки(ПараметрыИзменения, УникальныйИдентификатор) 
```
</details>

## УведомлениеОСпецрежимахНалогообложения_ОбработкаПолученияФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УведомлениеОСпецрежимахНалогообложения_ОбработкаПолученияФормы(ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.УведомлениеОСпецрежимахНалогообложения_ОбработкаПолученияФормы(ВидФормы, Параметры, ВыбраннаяФорма, ДополнительнаяИнформация, СтандартнаяОбработка) 
```
</details>

## УведомлениеОСпецрежимахНалогообложения_ОбработкаПолученияПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УведомлениеОСпецрежимахНалогообложения_ОбработкаПолученияПредставления(Данные, Представление, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.УведомлениеОСпецрежимахНалогообложения_ОбработкаПолученияПредставления(Данные, Представление, СтандартнаяОбработка) 
```
</details>

## УведомлениеОСпецрежимахНалогообложения_ОбработкаПолученияПолейПредставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УведомлениеОСпецрежимахНалогообложения_ОбработкаПолученияПолейПредставления(Поля, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.УведомлениеОСпецрежимахНалогообложения_ОбработкаПолученияПолейПредставления(Поля, СтандартнаяОбработка) 
```
</details>

## ДвоичныеДанныеФайлаВТекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДвоичныеДанныеФайлаВТекст(ДвоичныеДанные) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьВызовСервера.ДвоичныеДанныеФайлаВТекст(ДвоичныеДанные));
```
</details>

## ДополнитьСвойстваОсновногоФайлаТекстомВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьСвойстваОсновногоФайлаТекстомВыгрузки(СвойстваОсновногоФайла, ТекстФайлаВыгрузки, ВерсияДо, ВерсияПосле) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ДополнитьСвойстваОсновногоФайлаТекстомВыгрузки(СвойстваОсновногоФайла, ТекстФайлаВыгрузки, ВерсияДо, ВерсияПосле));
```
</details>

## ДополнитьСерверныеПараметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьСерверныеПараметры(ДанныеДляЗагрузки, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьВызовСервера.ДополнитьСерверныеПараметры(ДанныеДляЗагрузки, СтруктураПараметров) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
