---
title: Регламентированная отчетность загрузка
slug: zup/регламентированная-отчетность-загрузка
---


## ЗагрузкаОтчетаИзФайла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет данными из файлов электронных представлений сохраненный документ
// переданной формы регламентированного отчета, записывает его в информационную базу.
//
// Параметры:
//  ФормаОтчета        - Форма клиентского приложения - Форма регламентированного отчета.
//  ПараметрыОтчета    - Структура                    - Параметры отчета из формы для подстановки в дерево загрузки.
//  ДанныеДляЗагрузки  - Структура                    - Данные, полученные в результате анализа загружаемых файлов
//                                                      электронных представлений регламентированных отчетов.
//  ДеревоДляЗагрузки  - Дерево значений              - Текущая схема выгрузки формы отчета в виде дерева значений.
//
// Возвращаемое значение:
//   Булево  - Истина, если загрузка данных в документ регламентированного отчета прошла успешно.
//
Функция ЗагрузкаОтчетаИзФайла(ФормаОтчета, ПараметрыОтчета, ДанныеДляЗагрузки, ДеревоДляЗагрузки) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьЗагрузка.ЗагрузкаОтчетаИзФайла(ФормаОтчета, ПараметрыОтчета, ДанныеДляЗагрузки, ДеревоДляЗагрузки) 
```
</details>

## ЗагрузкаОтчетаИзФайлаДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется в фоновом задании.
Процедура ЗагрузкаОтчетаИзФайлаДлительнаяОперация(ПараметрыПроцедуры, АдресРезультата) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьЗагрузка.ЗагрузкаОтчетаИзФайлаДлительнаяОперация(ПараметрыПроцедуры, АдресРезультата) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
