---
title: Регламентированная отчетность сравнение
slug: zup/регламентированная-отчетность-сравнение
---


## СравнениеОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет сравнение показателей переданной формы регламентированного отчета с показателями выбранного отчета,
// результат передается в форму для представления результата сравнения.
//
// Параметры:
//  ФормаОтчета        - Форма клиентского приложения - Форма регламентированного отчета.
//  ПараметрыОтчета    - Структура                    - Параметры отчета из формы, соответствующие схеме выгрузки.
//  ДанныеДляСравнения - Структура                    - Данные, необходимые для процедуры сравнения в фоновом задании.
//  ДеревоДляСравнения - Дерево значений              - Текущая схема выгрузки формы отчета в виде дерева значений.
//
// Возвращаемое значение:
//   Булево  - Истина, если сравнение показателей отчетов прошло успешно.
//
Функция СравнениеОтчетов(ФормаОтчета, ПараметрыОтчета, ДанныеДляСравнения, ДеревоДляСравнения) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьСравнение.СравнениеОтчетов(ФормаОтчета, ПараметрыОтчета, ДанныеДляСравнения, ДеревоДляСравнения) 
```
</details>

## СравнениеОтчетовДлительнаяОперация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняется в фоновом задании.
Процедура СравнениеОтчетовДлительнаяОперация(ПараметрыПроцедуры, АдресРезультата, АдресДополнительногоРезультата) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьСравнение.СравнениеОтчетовДлительнаяОперация(ПараметрыПроцедуры, АдресРезультата, АдресДополнительногоРезультата) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
