---
title: Резерв отпусков
slug: zup/резерв-отпусков
---


## НастройкиРезервовОтпусков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру настроек резервов отпусков
//
// Параметры:
//   Организация - Спр.Организации.СправочникСсылка - Организация.
//   Период - Дата - Период дат.
//
// Возвращаемое значение:
//  Структура - описанная в методе
//
Функция НастройкиРезервовОтпусков(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = РезервОтпусков.НастройкиРезервовОтпусков(Организация, Период) 
```
</details>

## ДокументНачислениеОценочныхОбязательствПоОтпускам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на заполненный Док.НачислениеОценочныхОбязательствПоОтпускам.
// Если для заданного месяца и организации существует несколько
// документов, возвращается хронологически первый.
// Если необходимого документа нет, он создается и записывается.
// В любом случае выполняется заполнение документа.
//
// Параметры:
//	ПериодРегистрации - Дата - Период регистрации.
//	Организация - СправочникСсылка.Организации - Ссылка на организацию.
//	ДополнительныеСвойства - Структура - дополнительные свойства записи документа
//
// Возвращаемое значение:
//  Ссылка - ссылка на документ.
//
Функция ДокументНачислениеОценочныхОбязательствПоОтпускам(ПериодРегистрации, Организация, ДополнительныеСвойства = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РезервОтпусков.ДокументНачислениеОценочныхОбязательствПоОтпускам(ПериодРегистрации, Организация, ДополнительныеСвойства);
```
</details>

## ДоступенВводДокументаРезервОтпусков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того, можно вводить документ в заданном периоде или нет.
//
// Параметры:
//   Организация - Спр.Организации.СправочникСсылка - Организация.
//   Период - Дата - Период дат.
//
// Возвращаемое значение:
//  Булево - Истина, если документ вводить можно, Ложь - если надо использовать механизм резервов
//
Функция ДоступенВводДокументаРезервОтпусков(Организация, ПериодРегистрации) Экспорт
```

Пример вызова
```bsl
Результат = РезервОтпусков.ДоступенВводДокументаРезервОтпусков(Организация, ПериодРегистрации) 
```
</details>

## ЕстьНастройкиРезерваОтпусков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того, что ест настройка резервов отпусков на заданную дату
//
// Параметры:
//   Организация - Спр.Организации.СправочникСсылка - Организация.
//   Период      - Дата - Период дат.
//
// Возвращаемое значение:
//  Булево - Истина - есть настройки резервов отпусков, Ложь - настройка отсутствует
//
Функция ЕстьНастройкиРезерваОтпусков(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = РезервОтпусков.ЕстьНастройкиРезерваОтпусков(Организация, Период) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
