---
title: Резерв отпусков переопределяемый
slug: zup/резерв-отпусков-переопределяемый
---


## ЗаполнитьНастройкиРезервовОтпусков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дозаполнение параметров структуры с настройками.
//
// Параметры:
//   Настройки - Структура - Описание в ОМ.РезервОтпусков.НастройкиРезервовОтпусков().
//   Организация - Спр.Организации.СправочникСсылка - Организация.
//   Период - Дата - Период дат.
//
Процедура ЗаполнитьНастройкиРезервовОтпусков(Настройки, Организация, Период) Экспорт
```

Пример вызова
```bsl
РезервОтпусковПереопределяемый.ЗаполнитьНастройкиРезервовОтпусков(Настройки, Организация, Период) 
```
</details>

## ПолучитьЗначениеРезервыРассчитываются
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Уточняет необходимость выполнять расчет резервов, устанавливается в Ложь,
// когда резервы рассчитываются в другой программе.
//
// Параметры:
//	РезервыРассчитываются - тип булево.
//
Процедура ПолучитьЗначениеРезервыРассчитываются(РезервыРассчитываются) Экспорт
```

Пример вызова
```bsl
РезервОтпусковПереопределяемый.ПолучитьЗначениеРезервыРассчитываются(РезервыРассчитываются) 
```
</details>

## РезервыРассчитываютсяАвтоматически
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Уточняет возможность использования автоматического расчета резервов,
// устанавливается в Ложь, когда авторасчет резервов отключен.
//
// Возвращаемое значение:
//  Булево - Истина, если используется авторасчет.
//
Функция РезервыРассчитываютсяАвтоматически() Экспорт
```

Пример вызова
```bsl
Результат = РезервОтпусковПереопределяемый.РезервыРассчитываютсяАвтоматически() 
```
</details>

## СформироватьДвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для формирования движений по месту внедрения.
//
// Параметры:
//	Объект - конкретный экземпляр документа Начисление оценочных обязательств по отпускам (ДокументОбъект.НачислениеОценочныхОбязательствПоОтпускам)
//	Отказ  - булево, признак отказа от проведения документа.
//	РежимПроведения - режим проведения документа.
//
Процедура СформироватьДвижения(Объект, Отказ, РежимПроведения) Экспорт
```

Пример вызова
```bsl
РезервОтпусковПереопределяемый.СформироватьДвижения(Объект, Отказ, РежимПроведения) 
```
</details>

## ДополнитьТаблицуОстатковОтпусков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для дополнения таблицы параметров данными об остатках отпусков
// и ФОТ с учетом специфики места внедрения.
//
// Параметры:
//   Организация - Спр.Организации.СправочникСсылка - Организация.
//   Период - Дата - Период дат.
//   ОстаткиОтпусков - таблица значений.
//		Структура таблицы ОстаткиОтпусков.
//			Организация
//			Подразделение
//			МестоВСтруктуреПредприятия
//			Сотрудник
//			СпособОтраженияЗарплатыВБухучете
//			СтатьяФинансирования
//			ОблагаетсяЕНВД
//			ОстатокОтпусков
//			СреднийЗаработок
//
Процедура ДополнитьТаблицуОстатковОтпусков(Организация, Период, ОстаткиОтпусков) Экспорт
```

Пример вызова
```bsl
РезервОтпусковПереопределяемый.ДополнитьТаблицуОстатковОтпусков(Организация, Период, ОстаткиОтпусков) 
```
</details>

## ПолучитьЗначениеНастройкиПоддержкаПБУ18
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для получения настройки учетной политики ПоддержкаПБУ18
// с учетом специфики места внедрения.
//
// Параметры:
// 	Организация - СправочникСсылка.Организации - организация (филиал), по которой получается настройка.
// 	ДатаАктуальности - Дата - дата, на которую получается настройка.
// 	ПоддержкаПБУ18 - Булево - в параметр помещается вычисленное значение настройки.
//
Процедура ПолучитьЗначениеНастройкиПоддержкаПБУ18(Организация, ДатаАктуальности, ПоддержкаПБУ18) Экспорт
```

Пример вызова
```bsl
РезервОтпусковПереопределяемый.ПолучитьЗначениеНастройкиПоддержкаПБУ18(Организация, ДатаАктуальности, ПоддержкаПБУ18) 
```
</details>

## ИспользуетсяОбменЗУПБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для получения настройки использования обмена с БП3
// с учетом специфики места внедрения.
//
// Параметры:
// 	ОбменИспользуется - Булево - в параметр помещается вычисленное значение настройки.
// 	Организация - СправочникСсылка.Организации - организация (филиал), по которой получается настройка.
//
Процедура ИспользуетсяОбменЗУПБП(ОбменИспользуется, Организация) Экспорт
```

Пример вызова
```bsl
РезервОтпусковПереопределяемый.ИспользуетсяОбменЗУПБП(ОбменИспользуется, Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
