---
title: Резервы по оплате труда
slug: zup/резервы-по-оплате-труда
---


## ИспользоватьРезервыПоОплатеТруда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того, что используется новая подсистема учета резервов
//
// Возвращаемое значение:
//  Булево - признак использования подсистемы
//
Функция ИспользоватьРезервыПоОплатеТруда() Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТруда.ИспользоватьРезервыПоОплатеТруда() 
```
</details>

## СтруктураНастроекРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру настроек резервов
//
// Возвращаемое значение:
//  Структура - описанная в методе
//
Функция СтруктураНастроекРезервов() Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТруда.СтруктураНастроекРезервов() 
```
</details>

## ФормируютсяРезервыВОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию о том, начисляются ли резервы в организации в заданном периоде
//
// Параметры:
//   Организация - Спр.Организации.СправочникСсылка - Организация.
//   Период      - Дата - Период дат.
//
// Возвращаемое значение:
//  Булево - Истина- начисляются хоть какие-то резервы, Ложь - никаких резервов не начисляется
//
Функция ФормируютсяРезервыВОрганизации(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТруда.ФормируютсяРезервыВОрганизации(Организация, Период) 
```
</details>

## ФормируетсяРезервВОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает информацию о том, начисляется ли конкретный резерв в организации в заданном периоде
//
// Параметры:
//   Организация - Спр.Организации.СправочникСсылка - Организация.
//   Резерв      - Спр.Резервы.СправочникСсылка - Резерв.
//   Период      - Дата - Период дат.
//
// Возвращаемое значение:
//  Булево - Истина- начисляются хоть какие-то резервы, Ложь - никаких резервов не начисляется
//
Функция ФормируетсяРезервВОрганизации(Организация, Резерв, Период) Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТруда.ФормируетсяРезервВОрганизации(Организация, Резерв, Период) 
```
</details>

## СтруктураПараметровРасчетаРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для расчета резервов
//
// Возвращаемое значение:
//  Структура - описанная в методе
//
Функция СтруктураПараметровРасчетаРезервов() Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТруда.СтруктураПараметровРасчетаРезервов() 
```
</details>

## ЕстьНастройкиРезерваОтпусков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того, что в настройках расчета резервов по оплате труда
// есть настройки резерва по отпускам
//
// Параметры:
//   Организация - Спр.Организации.СправочникСсылка - Организация.
//   Период      - Дата - Период дат.
//
// Возвращаемое значение:
//  Булево - Истина - есть настройки резервов отпусков, Ложь - настройка отсутствует
//
Функция ЕстьНастройкиРезерваОтпусков(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТруда.ЕстьНастройкиРезерваОтпусков(Организация, Период) 
```
</details>

## ОбработкаПроверкиЗаполненияОтраженияВУчете
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет реквизиты документа отражения в учете.
// Формирует массив непроверяемых реквизитов.
// Параметры:
//   ЭтотОбъект                         - ДокументОбъект - документ отражения в учете
//   Отказ                              - Булево, призанк отказа от записи
//   ПроверяемыеРеквизиты               - массив имен проверяемых реквизитов
//   МассивНепроверяемыхРеквизитов      - массив имен непроверяемых реквизитов
//
Процедура ОбработкаПроверкиЗаполненияОтраженияВУчете(ЭтотОбъект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТруда.ОбработкаПроверкиЗаполненияОтраженияВУчете(ЭтотОбъект, Отказ, ПроверяемыеРеквизиты, МассивНепроверяемыхРеквизитов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
