---
title: Резервы по оплате труда внутренний
slug: zup/резервы-по-оплате-труда-внутренний
---


## ЗарегистрироватьОбработчикиОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в список Обработчики процедуры-обработчики обновления,
// необходимые данной подсистеме.
//
// Параметры:
//   Обработчики - ТаблицаЗначений - см. описание функции НоваяТаблицаОбработчиковОбновления
//                                   общего модуля ОбновлениеИнформационнойБазы.
//
Процедура ЗарегистрироватьОбработчикиОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаВнутренний.ЗарегистрироватьОбработчикиОбновления(Обработчики) 
```
</details>

## СоздатьНовуюНастройкуУчетаРезервовОтпусков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьНовуюНастройкуУчетаРезервовОтпусков() Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаВнутренний.СоздатьНовуюНастройкуУчетаРезервовОтпусков() 
```
</details>

## НовыйСодержимоеДокументаРасчетаРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйСодержимоеДокументаРасчетаРезервов() Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.НовыйСодержимоеДокументаРасчетаРезервов() 
```
</details>

## ТаблицаНачисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТаблицаНачисления() Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.ТаблицаНачисления() 
```
</details>

## ДополнительныеПараметрыЗаполненияТаблицДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДополнительныеПараметрыЗаполненияТаблицДокумента() Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.ДополнительныеПараметрыЗаполненияТаблицДокумента() 
```
</details>

## СортироватьДанныеДляЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СортироватьДанныеДляЗаполнения(ДанныеЗаполнения, Организация, МесяцНачисления, ИспользоватьСортировкуПоУмолчанию = Истина) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаВнутренний.СортироватьДанныеДляЗаполнения(ДанныеЗаполнения, Организация, МесяцНачисления, ИспользоватьСортировкуПоУмолчанию);
```
</details>

## ДополнитьТаблицуСведениямиОбОсобенностяхОтпусков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьТаблицуСведениямиОбОсобенностяхОтпусков(НачисленнаяЗарплатаИВзносы) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаВнутренний.ДополнитьТаблицуСведениямиОбОсобенностяхОтпусков(НачисленнаяЗарплатаИВзносы) 
```
</details>

## СостоянияСотрудниковДляРасчетаОценочныхОбязательств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СостоянияСотрудниковДляРасчетаОценочныхОбязательств(Организация, Сотрудники, Период) Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.СостоянияСотрудниковДляРасчетаОценочныхОбязательств(Организация, Сотрудники, Период) 
```
</details>

## ПодготовитьДанныеДляЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьДанныеДляЗаполнения(СтруктураПараметров, АдресХранилища) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаВнутренний.ПодготовитьДанныеДляЗаполнения(СтруктураПараметров, АдресХранилища) 
```
</details>

## ЗапросДанныеПечатиДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗапросДанныеПечатиДокументов(Запрос) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаВнутренний.ЗапросДанныеПечатиДокументов(Запрос) 
```
</details>

## ВидыРасчетовРезервовПоОплатеТрудаЭлементПоОписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидыРасчетовРезервовПоОплатеТрудаЭлементПоОписанию(ОписаниеЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.ВидыРасчетовРезервовПоОплатеТрудаЭлементПоОписанию(ОписаниеЭлемента) 
```
</details>

## ВидыРасчетовРезервовПоОплатеТрудаОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВидыРасчетовРезервовПоОплатеТрудаОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаВнутренний.ВидыРасчетовРезервовПоОплатеТрудаОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ВидыРасчетовРезервовПоОплатеТрудаПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВидыРасчетовРезервовПоОплатеТрудаПередЗаписью(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаВнутренний.ВидыРасчетовРезервовПоОплатеТрудаПередЗаписью(Объект, Отказ) 
```
</details>

## НастройкиРасчетаРезервовПоОплатеТрудаОбработкаПроверкиЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастройкиРасчетаРезервовПоОплатеТрудаОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаВнутренний.НастройкиРасчетаРезервовПоОплатеТрудаОбработкаПроверкиЗаполнения(Объект, Отказ, ПроверяемыеРеквизиты) 
```
</details>

## ПлановыеНачисленияРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПлановыеНачисленияРезервов(Организация, Резерв, Период) Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.ПлановыеНачисленияРезервов(Организация, Резерв, Период) 
```
</details>

## ТекстЗапросаНастройкаРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаНастройкаРезервов() Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.ТекстЗапросаНастройкаРезервов() 
```
</details>

## ОписаниеНастройкиДействующихРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеНастройкиДействующихРезервов() Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.ОписаниеНастройкиДействующихРезервов() 
```
</details>

## НастройкиДействующихРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НастройкиДействующихРезервов(Организация, Период) Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.НастройкиДействующихРезервов(Организация, Период) 
```
</details>

## БазовыеНачисленияРезерваПоОплатеТруда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция БазовыеНачисленияРезерваПоОплатеТруда(Организация, Резерв, Период) Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.БазовыеНачисленияРезерваПоОплатеТруда(Организация, Резерв, Период) 
```
</details>

## ИсключенияИзРасчетнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИсключенияИзРасчетнойБазы() Экспорт
```

Пример вызова
```bsl
Результат = РезервыПоОплатеТрудаВнутренний.ИсключенияИзРасчетнойБазы() 
```
</details>

## ПроверитьИспользованиеОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьИспользованиеОбмена(ОбменИспользуется, Организация) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаВнутренний.ПроверитьИспользованиеОбмена(ОбменИспользуется, Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
