---
title: Резервы по оплате труда переопределяемый
slug: zup/резервы-по-оплате-труда-переопределяемый
---


## ЗаполнитьНастройкиРезервов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дозаполнение параметров структуры с настройками.
//
// Параметры:
//   Настройки   - Структура - Описание в ОМ.РасчетРезервов.СтруктураНастроекРезервов().
//   Организация - Спр.Организации.СправочникСсылка - Организация.
//   Резерв      - Спр.Резервы.СправочникСсылка - Резерв.
//   Период      - Дата - Период дат.
//
Процедура ЗаполнитьНастройкиРезервов(Настройки, Организация, Резерв, Период) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.ЗаполнитьНастройкиРезервов(Настройки, Организация, Резерв, Период) 
```
</details>

## ПолучитьЗначениеРезервыРассчитываются
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Уточняет необходимость выполнять расчет резервов, устанавливается в Ложь,
// когда резервы рассчитываются в другой программе.
//
// Параметры:
//	РезервыРассчитываются - тип булево.
//
Процедура ПолучитьЗначениеРезервыРассчитываются(РезервыРассчитываются) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.ПолучитьЗначениеРезервыРассчитываются(РезервыРассчитываются) 
```
</details>

## РезервыРассчитываютсяАвтоматически
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Уточняет возможность использования автоматического расчета резервов,
// устанавливается в Ложь, когда авторасчет резервов отключен.
//
// Параметры:
//	Автоматически - тип булево.
//
Процедура РезервыРассчитываютсяАвтоматически(Автоматически) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.РезервыРассчитываютсяАвтоматически(Автоматически) 
```
</details>

## СформироватьДвижения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для формирования движений по месту внедрения.
//
// Параметры:
//	Объект - конкретный экземпляр документа Начисление оценочных обязательств по отпускам (ДокументОбъект.РезервыПоОплатеТруда)
//	Отказ  - булево, признак отказа от проведения документа.
//	РежимПроведения - режим проведения документа.
//
Процедура СформироватьДвижения(Объект, Отказ, РежимПроведения) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.СформироватьДвижения(Объект, Отказ, РежимПроведения) 
```
</details>

## ДополнитьТаблицуОстатковОтпусков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для дополнения таблицы параметров данными об остатках отпусков
// и ФОТ с учетом специфики места внедрения.
//
// Параметры:
//   Организация - Спр.Организации.СправочникСсылка - Организация.
//   Период - Дата - Период дат.
//   ДанныеПоказателей - таблица значений.
//		Структура таблицы ДанныеПоказателей.
//			Сотрудник
//			СреднийЗаработок
//
Процедура ДополнитьТаблицуОстатковОтпусков(Организация, Период, ДанныеПоказателей) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.ДополнитьТаблицуОстатковОтпусков(Организация, Период, ДанныеПоказателей) 
```
</details>

## ПроверитьИспользованиеОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура предназначена для получения настройки использования обмена
// с учетом специфики места внедрения.
//
// Параметры:
// 	ОбменИспользуется - Булево - в параметр помещается вычисленное значение настройки.
// 	Организация - СправочникСсылка.Организации - организация (филиал), по которой получается настройка.
//
Процедура ПроверитьИспользованиеОбмена(ОбменИспользуется, Организация) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.ПроверитьИспользованиеОбмена(ОбменИспользуется, Организация) 
```
</details>

## ДополнитьТаблицуСведениямиОбОсобенностяхОтпусков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура предназначена для уточнения сведений о видах отпусков по месту внедрения
// Параметры:
//   НачисленнаяЗарплатаИВзносы - таблица значений, см ОтражениеЗарплатыВБухучете.НоваяТаблицаБухучетНачисленнаяЗарплатаИВзносы().
//
Процедура ДополнитьТаблицуСведениямиОбОсобенностяхОтпусков(НачисленнаяЗарплатаИВзносы) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.ДополнитьТаблицуСведениямиОбОсобенностяхОтпусков(НачисленнаяЗарплатаИВзносы) 
```
</details>

## ЗаполнитьПодробноеОписаниеВидовОперациий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура предназначена для уточнения сведений о видах операций по месту внедрения
// Параметры:
//   СписокВидовОпераций - Список значений, где
//               Значение - ПеречислениеСсылка.ВидыОперацийРезервовПоОплатеТруда,
//               Представление - подробное описание операции
//
Процедура ЗаполнитьПодробноеОписаниеВидовОперациий(СписокВидовОпераций) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.ЗаполнитьПодробноеОписаниеВидовОперациий(СписокВидовОпераций) 
```
</details>

## ПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура расширение обработчика ПередЗаписью документа по месту внедрения
// Параметры:
//	Объект - конкретный экземпляр документа Начисление оценочных обязательств по отпускам (ДокументОбъект.РезервыПоОплатеТруда)
//	Отказ  - булево, признак отказа от записи документа.
//	РежимЗаписи  - режим записи документа.
//	РежимПроведения - режим проведения документа.
//
Процедура ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.ПередЗаписью(Объект, Отказ, РежимЗаписи, РежимПроведения) 
```
</details>

## ПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура расширение обработчика ПриЗаписи документа по месту внедрения
// Параметры:
//	Объект - конкретный экземпляр документа Начисление оценочных обязательств по отпускам (ДокументОбъект.РезервыПоОплатеТруда)
//	Отказ  - булево, признак отказа от записи документа.
//
Процедура ПриЗаписи(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.ПриЗаписи(Объект, Отказ) 
```
</details>

## ОбработкаУдаленияПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура расширение обработчика ОбработкаУдаленияПроведения документа по месту внедрения
// Параметры:
//	Объект - конкретный экземпляр документа Начисление оценочных обязательств по отпускам (ДокументОбъект.РезервыПоОплатеТруда)
//	Отказ  - булево, признак отказа от удаления проведения документа.
//
Процедура ОбработкаУдаленияПроведения(Объект, Отказ) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.ОбработкаУдаленияПроведения(Объект, Отказ) 
```
</details>

## ИспользуетсяОбменЗУПБП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать РезервыПоОплатеТрудаПереопределяемый.ПроверитьИспользованиеОбмена
// Процедура предназначена для получения настройки использования обмена с БП3
// с учетом специфики места внедрения.
//
// Параметры:
// 	ОбменИспользуется - Булево - в параметр помещается вычисленное значение настройки.
// 	Организация - СправочникСсылка.Организации - организация (филиал), по которой получается настройка.
//
Процедура ИспользуетсяОбменЗУПБП(ОбменИспользуется, Организация) Экспорт
```

Пример вызова
```bsl
РезервыПоОплатеТрудаПереопределяемый.ИспользуетсяОбменЗУПБП(ОбменИспользуется, Организация) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
