---
title: Руководители подразделений
slug: zup/руководители-подразделений
---


## ДанныеРуководителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает руководителей подразделения
// Параметры:
//	Подразделения - Массив Из СправочникСсылка.СтруктураПредприятия
//	НаследованиеРуководителей - Булево - если признак = Истина, руководителем подразделения будет считаться руководитель ближайшего родителя.
//
// Возвращаемое значение:
//	Соответствие Из КлючИЗначение:
//		* Ключ		- СправочникСсылка.СтруктураПредприятия - подразделение.
//		* Значение 	- Структура:
//			* Руководитель - СправочникСсылка.Сотрудники - руководитель
//			* ПозицияРуководителя - СправочникСсылка.ШтатноеРасписание - позиция руководителя
//			* ФизическоеЛицо - СправочникСсылка.ФизическиеЛица - физическое лицо руководителя
Функция ДанныеРуководителей(Подразделения, НаследованиеРуководителей = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделений.ДанныеРуководителей(Подразделения, НаследованиеРуководителей);
```
</details>

## ПараметрыДляСоздатьВТРуководителиСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание параметров для СоздатьВТРуководителиСотрудников()
// Возвращаемое значение:
// 	Структура - параметры для СоздатьВТРуководителиСотрудников() со значениями по умолчанию.
//
Функция ПараметрыДляСоздатьВТРуководителиСотрудников() Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделений.ПараметрыДляСоздатьВТРуководителиСотрудников() 
```
</details>

## СоздатьВТРуководителиСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает временную таблицу с руководителями сотрудников
// Параметры:
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц
//	ИмяВТСотрудники			- Строка - имя временной таблицы, в которой содержатся сотрудники, для которых необходимо получить руководителей.
//	ПараметрыСоздания		- Структура - см. ПараметрыДляСоздатьВТРуководителиСотрудников()
//
Процедура СоздатьВТРуководителиСотрудников(МенеджерВременныхТаблиц, ИмяВТСотрудники, ПараметрыСоздания) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.СоздатьВТРуководителиСотрудников(МенеджерВременныхТаблиц, ИмяВТСотрудники, ПараметрыСоздания) 
```
</details>

## ПараметрыДляСоздатьВТПодчиненныеСотрудники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание параметров для СоздатьВТПодчиненныеСотрудники()
// Возвращаемое значение:
// 	Структура - параметры для СоздатьВТПодчиненныеСотрудники() со значениями по умолчанию.
//
Функция ПараметрыДляСоздатьВТПодчиненныеСотрудники() Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделений.ПараметрыДляСоздатьВТПодчиненныеСотрудники() 
```
</details>

## СоздатьВТПодчиненныеСотрудники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает временную таблицу с подчиненными сотрудниками
// Параметры:
//	МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - менеджер временных таблиц
//	ИмяВТРуководители		- Строка - имя временной таблицы, в которой содержатся сотрудники, для которых необходимо получить руководителей.
//	ПараметрыСоздания		- Структура - см. ПараметрыДляСоздатьВТПодчиненныеСотрудники()
//
Процедура СоздатьВТПодчиненныеСотрудники(МенеджерВременныхТаблиц, ИмяВТРуководители, ПараметрыСоздания) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.СоздатьВТПодчиненныеСотрудники(МенеджерВременныхТаблиц, ИмяВТРуководители, ПараметрыСоздания) 
```
</details>

## ЗаписатьПозициюРуководителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПозициюРуководителя(Подразделение, ПозицияРуководителя) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.ЗаписатьПозициюРуководителя(Подразделение, ПозицияРуководителя) 
```
</details>

## ПозицияРуководителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПозицияРуководителя(Подразделение) Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделений.ПозицияРуководителя(Подразделение) 
```
</details>

## СотрудникНаПозицииРуководителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СотрудникНаПозицииРуководителя(ПозицияРуководителя) Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделений.СотрудникНаПозицииРуководителя(ПозицияРуководителя) 
```
</details>

## ПриЗаполненииРуководителяТ13
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаполненииРуководителяТ13(Подразделение, ФИО, Должность, ДатаАктуальности, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.ПриЗаполненииРуководителяТ13(Подразделение, ФИО, Должность, ДатаАктуальности, СтандартнаяОбработка) 
```
</details>

## РуководителиПодразделенийИспользуются
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РуководителиПодразделенийИспользуются() Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделений.РуководителиПодразделенийИспользуются() 
```
</details>

## ПодразделенияПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодразделенияПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.ПодразделенияПриСозданииНаСервере(Форма) 
```
</details>

## ПодразделенияПриЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодразделенияПриЗаписиНаСервере(Форма, ТекущийОбъект, Отказ, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.ПодразделенияПриЗаписиНаСервере(Форма, ТекущийОбъект, Отказ, ПараметрыЗаписи) 
```
</details>

## СтруктураПредприятияПриСозданииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СтруктураПредприятияПриСозданииНаСервере(Форма) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.СтруктураПредприятияПриСозданииНаСервере(Форма) 
```
</details>

## СтруктураПредприятияПриЗаписиНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СтруктураПредприятияПриЗаписиНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.СтруктураПредприятияПриЗаписиНаСервере(Форма, Отказ, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ПозицииРуководителейПодразделенийПослеЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПозицииРуководителейПодразделенийПослеЗагрузки(Объект, ОбъектНайден, ПараметрыОбъекта, Параметры, Отказ) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.ПозицииРуководителейПодразделенийПослеЗагрузки(Объект, ОбъектНайден, ПараметрыОбъекта, Параметры, Отказ) 
```
</details>

## ПодразделенияПозицийРуководителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодразделенияПозицийРуководителей(Позиции) Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделений.ПодразделенияПозицийРуководителей(Позиции) 
```
</details>

## ПодразделенияПозицииРуководителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодразделенияПозицииРуководителя(ПозицияРуководителя) Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделений.ПодразделенияПозицииРуководителя(ПозицияРуководителя) 
```
</details>

## ДобавитьПолеСведенийОРуководителяхСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьПолеСведенийОРуководителяхСотрудников(ИмяПоля, ТекстыОписанияПолей, ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделений.ДобавитьПолеСведенийОРуководителяхСотрудников(ИмяПоля, ТекстыОписанияПолей, ИсточникиДанных) 
```
</details>

## ДобавитьТекстЗапросаВТСведенияОРуководителяхСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаВТСведенияОРуководителяхСотрудников(Запрос, ТолькоРазрешенные, ОписательВременнойТаблицыОтборов, ПоляОтбораПериодическихДанных, ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.ДобавитьТекстЗапросаВТСведенияОРуководителяхСотрудников(Запрос, ТолькоРазрешенные, ОписательВременнойТаблицыОтборов, ПоляОтбораПериодическихДанных, ИсточникиДанных) 
```
</details>

## ЗаполнитьПоляПредставленийКадровыхДанныхСотрудников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПоляПредставленийКадровыхДанныхСотрудников(ДополнительныеПоляПредставлений, ПутьКПолямСотрудника) Экспорт
```

Пример вызова
```bsl
РуководителиПодразделений.ЗаполнитьПоляПредставленийКадровыхДанныхСотрудников(ДополнительныеПоляПредставлений, ПутьКПолямСотрудника) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
