---
title: Руководители подразделений организации
slug: zup/руководители-подразделений-организации
---


## РуководителиПодразделенийИспользуются
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает настройку использования руководителей подразделений организации.
//
// Возвращаемое значение:
// 		Булево
//
Функция РуководителиПодразделенийИспользуются() Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделенийОрганизации.РуководителиПодразделенийИспользуются() 
```
</details>

## ДанныеРуководителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает руководителей подразделений
// Параметры:
//	МассивПодразделений				- Массив - массив подразделений (СправочникСсылка.ПодразделенияОрганизаций), для которых необходимо получить руководителей
//	НаследованиеРуководителей		- Булево - если признак = Истина, руководителем подразделения будет считаться руководитель ближайшего родителя.
//
// Возвращаемое значение:
//	Соответствие - соответствие управленческих и регламентных подразделений.
//		* Ключ		- СправочникСсылка.ПодразделенияОрганизаций - подразделение.
//		* Значение 	- СправочникСсылка.ФизическиеЛица - физическое лицо руководителя.
//
Функция ДанныеРуководителей(МассивПодразделений, НаследованиеРуководителей = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = РуководителиПодразделенийОрганизации.ДанныеРуководителей(МассивПодразделений, НаследованиеРуководителей);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
