---
title: СЭДО ФСС
slug: zup/сэдо-фсс
---


## ПриДобавленииПараметровРаботыКлиентаПриЗапуске
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбщегоНазначенияПереопределяемый.ПриДобавленииПараметровРаботыКлиентаПриЗапуске.
Процедура ПриДобавленииПараметровРаботыКлиентаПриЗапуске(Параметры) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриДобавленииПараметровРаботыКлиентаПриЗапуске(Параметры) 
```
</details>

## ПриДобавленииОбработчиковОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОбновлениеИнформационнойБазыБСП.ПриДобавленииОбработчиковОбновления.
Процедура ПриДобавленииОбработчиковОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриДобавленииОбработчиковОбновления(Обработчики) 
```
</details>

## ДобавитьРолиИзвещенийВПользовательскиеПрофили
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет роли извещений ФСС в непоставляемые (пользовательские) профили групп доступа.
//
// Параметры:
//   ПараметрыОбновления - Структура - Параметры отложенного обновления.
//
Процедура ДобавитьРолиИзвещенийВПользовательскиеПрофили(ПараметрыОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ДобавитьРолиИзвещенийВПользовательскиеПрофили(ПараметрыОбновления);
```
</details>

## ПовторноОбработатьВходящиеСообщенияСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Повторно загружает входящие сообщения ФСС СЭДО.
//
// Параметры:
//   ПараметрыОбновления - Структура - Параметры отложенного обновления.
//
Процедура ПовторноОбработатьВходящиеСообщенияСЭДО(ПараметрыОбновления = Неопределено, ТипыЧислом = Неопределено, Идентификаторы = Неопределено, Страхователи = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПовторноОбработатьВходящиеСообщенияСЭДО(ПараметрыОбновления, ТипыЧислом, Идентификаторы, Страхователи);
```
</details>

## ПовторноОбработатьВходящееСообщениеСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПовторноОбработатьВходящееСообщениеСЭДО(Выборка, ТекстСообщения) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ПовторноОбработатьВходящееСообщениеСЭДО(Выборка, ТекстСообщения) 
```
</details>

## ИсправитьВидПособияВДокументах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Исправляет вид пособия в документах СЭДО ФСС.
//
// Параметры:
//   ПараметрыОбновления - Структура - Параметры отложенного обновления.
//
Процедура ИсправитьВидПособияВДокументах(ПараметрыОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ИсправитьВидПособияВДокументах(ПараметрыОбновления);
```
</details>

## ПовторноОбработатьРегистрацииОтветовНаЗапросыФССДляРасчетаПособий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Повторно рассчитывает статус в регистрациях ответов на запросы ФСС для расчета пособий.
//
// Параметры:
//   ПараметрыОбновления - Структура - Параметры отложенного обновления.
//
Процедура ПовторноОбработатьРегистрацииОтветовНаЗапросыФССДляРасчетаПособий(ПараметрыОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПовторноОбработатьРегистрацииОтветовНаЗапросыФССДляРасчетаПособий(ПараметрыОбновления);
```
</details>

## ПовторноОбработатьНесоответствияСведенийОЗастрахованномЛице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Индексация несоответствий сведений о застрахованных лицах.
//
// Параметры:
//   ПараметрыОбновления - Структура - Параметры отложенного обновления.
//
Процедура ПовторноОбработатьНесоответствияСведенийОЗастрахованномЛице(ПараметрыОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПовторноОбработатьНесоответствияСведенийОЗастрахованномЛице(ПараметрыОбновления);
```
</details>

## ПриОпределенииОбъектовСКомандамиПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты, в которых есть процедура ДобавитьКомандыПечати().
// Подробнее см. УправлениеПечатьюПереопределяемый.
//
// Параметры:
//  СписокОбъектов - Массив - список менеджеров объектов.
//
Процедура ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) 
```
</details>

## ПриПолученииПредопределенныхНаборовСвойств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеСвойствамиПереопределяемый.ПриПолученииПредопределенныхНаборовСвойств.
Процедура ПриПолученииПредопределенныхНаборовСвойств(Наборы) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриПолученииПредопределенныхНаборовСвойств(Наборы) 
```
</details>

## ПриОпределенииОбработчиковТекущихДел
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ТекущиеДелаПереопределяемый.ПриОпределенииОбработчиковТекущихДел.
Процедура ПриОпределенииОбработчиковТекущихДел(Обработчики) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриОпределенииОбработчиковТекущихДел(Обработчики) 
```
</details>

## ПослеЗагрузкиУведомленийОНовыхСообщенияхСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронныйДокументооборотСФССПереопределяемый.ПослеЗагрузкиУведомленийОНовыхСообщенияхСЭДО.
Процедура ПослеЗагрузкиУведомленийОНовыхСообщенияхСЭДО(Страхователь, Уведомления, ОбработанныеУведомления) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПослеЗагрузкиУведомленийОНовыхСообщенияхСЭДО(Страхователь, Уведомления, ОбработанныеУведомления) 
```
</details>

## ПослеРасшифровкиСообщенияСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронныйДокументооборотСФССПереопределяемый.ПослеРасшифровкиСообщенияСЭДО.
Процедура ПослеРасшифровкиСообщенияСЭДО(Страхователь, Сообщение, Результат) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПослеРасшифровкиСообщенияСЭДО(Страхователь, Сообщение, Результат) 
```
</details>

## ПослеПолученияОшибокЛогическогоКонтроляСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронныйДокументооборотСФССПереопределяемый.ПослеПолученияОшибокЛогическогоКонтроляСЭДО.
Процедура ПослеПолученияОшибокЛогическогоКонтроляСЭДО(Страхователь, ИсходноеСообщение, ТекстОшибки, Результат) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПослеПолученияОшибокЛогическогоКонтроляСЭДО(Страхователь, ИсходноеСообщение, ТекстОшибки, Результат) 
```
</details>

## ПослеПолученияОтветаНаПодтверждениеОПрочтении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронныйДокументооборотСФССПереопределяемый.ПослеПолученияОтветаНаПодтверждениеОПрочтении.
Процедура ПослеПолученияОтветаНаПодтверждениеОПрочтении(Страхователь, РезультатыПодтверждений, Результат) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПослеПолученияОтветаНаПодтверждениеОПрочтении(Страхователь, РезультатыПодтверждений, Результат) 
```
</details>

## ПослеПолученияПодтвержденияДоставкиОператоромСообщенияСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронныйДокументооборотСФССПереопределяемый.ПослеПолученияПодтвержденияДоставкиОператоромСообщенияСЭДО.
Процедура ПослеПолученияПодтвержденияДоставкиОператоромСообщенияСЭДО(Страхователь, ИсходноеСообщение, СтатусПодтверждения, Результат) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПослеПолученияПодтвержденияДоставкиОператоромСообщенияСЭДО(Страхователь, ИсходноеСообщение, СтатусПодтверждения, Результат) 
```
</details>

## ПослеПолученияОшибкиДоставкиОператоромСообщенияСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЭлектронныйДокументооборотСФССПереопределяемый.ПослеПолученияОшибкиДоставкиОператоромСообщенияСЭДО.
Процедура ПослеПолученияОшибкиДоставкиОператоромСообщенияСЭДО(Страхователь, ИсходноеСообщение, ТекстОшибки, Результат) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПослеПолученияОшибкиДоставкиОператоромСообщенияСЭДО(Страхователь, ИсходноеСообщение, ТекстОшибки, Результат) 
```
</details>

## ЗагрузитьРезультатДоставкиСообщенияСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает после получения результата доставки сообщения СЭДО от оператора.
//
// Параметры:
//   Страхователь - СправочникСсылка.Организации
//   Сообщение - Структура - данные исходного сообщения:
//     * Идентификатор          - Строка - идентификатор исходного сообщения в форме текстового представления UUID.
//     * Тип                    - Строка - тип исходного сообщения строкой.
//     * ТипЧислом              - Число  - тип исходного сообщения числом.
//     * Дата                   - Дата   - дата отправки исходного сообщения.
//     * ДоставленоФонду        - Булево
//     * ДатаОтправкиФонду      - Дата
//     * ТекстОшибки            - Строка
//     * ТипВзаимодействия      - Число  - 0 до начала хранения реквизита, 2 для страхователя, 3 для МЧД
//                                         для исходного сообщения.
//   Результат - Структура - результат обработки сообщения:
//     * Обработано      - Булево - признак того, что сообщение было успешно обработано.
//     * ОшибкаОбработки - Булево - признак того, что при обработке сообщения возникла ошибка.
//     * ОписаниеОшибки  - Строка - описание ошибки обработки.
//
Процедура ЗагрузитьРезультатДоставкиСообщенияСЭДО(Страхователь, Сообщение, Результат) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ЗагрузитьРезультатДоставкиСообщенияСЭДО(Страхователь, Сообщение, Результат));
```
</details>

## ЗарегистрироватьНепосредственныйРезультатОтправкиДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возникает сразу после отправки документа в Фонд (синхронный вызов).
//
// Параметры:
//   РезультатОтправки - Структура
//     Поля для изменения:
//       * ЗначениеРасшифровки    - Произвольный
//       * Измененные             - Массив
//     Поля для чтения:
//       * Ссылка                 - ДокументСсылка
//       * Страхователь           - СправочникСсылка.Организации
//       * ГоловнаяОрганизация    - СправочникСсылка.Организации
//       * ТекстОшибки            - Строка
//       * ИдентификаторСообщения - Строка
//       * ИдентификаторПакета    - Строка
//       * ОбменЧерезОператора    - Булево
//       * ОтправленоОператору    - Булево
//       * Успех                  - Булево
//       * ДоставленоФонду        - Булево
//       * ДатаОтправки           - Дата
//       * ДатаОтправкиОператору  - Дата
//       * ДатаОтправкиФонду      - Дата
//     Служебные поля:
//       * ПолноеИмяДокумента     - Строка
//
Процедура ЗарегистрироватьНепосредственныйРезультатОтправкиДокумента(РезультатОтправки) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ЗарегистрироватьНепосредственныйРезультатОтправкиДокумента(РезультатОтправки) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступомПереопределяемый.ПриЗаполненииСписковСОграничениемДоступа.
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПриЗаполненииВидовОграниченийПравОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступомПереопределяемый.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных.
Процедура ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриЗаполненииВидовОграниченийПравОбъектовМетаданных(Описание) 
```
</details>

## ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ДатыЗапретаИзмененияПереопределяемый.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения.
Процедура ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) 
```
</details>

## ПолучитьПрефиксообразующиеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ПрефиксацияОбъектовПереопределяемый.ПолучитьПрефиксообразующиеРеквизиты.
Процедура ПолучитьПрефиксообразующиеРеквизиты(Объекты) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПолучитьПрефиксообразующиеРеквизиты(Объекты) 
```
</details>

## ПриЗаписиДокументаБольничныйЛист
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиДокументаБольничныйЛист(БольничныйОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриЗаписиДокументаБольничныйЛист(БольничныйОбъект, Отказ) 
```
</details>

## ПриЗаписиЗаявленияНаВыплатуПособия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиЗаявленияНаВыплатуПособия(ЗаявлениеОбъект, Отказ) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриЗаписиЗаявленияНаВыплатуПособия(ЗаявлениеОбъект, Отказ) 
```
</details>

## ЕстьПравоОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// АПК:581-выкл Экспортные методы используются в расширенной подсистеме.

// Возвращает признак наличия прав на обмен с ФСС.
Функция ЕстьПравоОбмена() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ЕстьПравоОбмена() 
```
</details>

## ЕстьПравоОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак наличия прав на отправку электронных документов в ФСС.
Функция ЕстьПравоОтправки() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ЕстьПравоОтправки() 
```
</details>

## ЕстьПравоПолучения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак наличия прав на отправку электронных документов в ФСС.
Функция ЕстьПравоПолучения() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ЕстьПравоПолучения() 
```
</details>

## ПроверитьНаличиеПраваОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Кидает исключение если функция ЕстьПравоОбмена вернула Ложь.
Процедура ПроверитьНаличиеПраваОбмена() Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПроверитьНаличиеПраваОбмена() 
```
</details>

## ДоступенОбменЧерезСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие права обмена электронными документами с ФСС.
Функция ДоступенОбменЧерезСЭДО() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ДоступенОбменЧерезСЭДО() 
```
</details>

## ОшибкаОбработки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует ошибку обработки сообщения.
//
// Параметры:
//   Результат - Структура - Результат обработки сообщения. Передается из параметров переопределяемого метода.
//   ТекстОшибки - Строка - Текст ошибки обработки сообщения.
//   ФрагментXML - Строка - Фрагмент xml при обработке которого возникла ошибка.
//
Процедура ОшибкаОбработки(Результат, ТекстОшибки, ФрагментXML = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ОшибкаОбработки(Результат, ТекстОшибки, ФрагментXML);
```
</details>

## ЗаписатьОшибкуПоискаУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует ошибку обработки сообщения по причине отсутствия узла с указанным именем.
Процедура ЗаписатьОшибкуПоискаУзла(Результат, ИмяУзла, ФрагментXML = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ЗаписатьОшибкуПоискаУзла(Результат, ИмяУзла, ФрагментXML);
```
</details>

## ЗаписатьОшибкуЗаполненностиУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует ошибку обработки сообщения по причине незаполненности узла с указанным именем.
Процедура ЗаписатьОшибкуЗаполненностиУзла(Результат, ИмяАтрибута, ФрагментXML = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ЗаписатьОшибкуЗаполненностиУзла(Результат, ИмяАтрибута, ФрагментXML);
```
</details>

## ЗаписатьОшибкуПоискаАтрибута
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует ошибку обработки сообщения по причине отсутствия атрибута с указанным именем.
Процедура ЗаписатьОшибкуПоискаАтрибута(Результат, ИмяАтрибута, ФрагментXML = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ЗаписатьОшибкуПоискаАтрибута(Результат, ИмяАтрибута, ФрагментXML);
```
</details>

## ЗаписатьОшибкуЗаполненностиАтрибута
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Регистрирует ошибку обработки сообщения по причине незаполненности атрибута с указанным именем.
Процедура ЗаписатьОшибкуЗаполненностиАтрибута(Результат, ИмяАтрибута, ФрагментXML = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ЗаписатьОшибкуЗаполненностиАтрибута(Результат, ИмяАтрибута, ФрагментXML);
```
</details>

## ДатаСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату формирования сообщения СЭДО.
Функция ДатаСообщения(ИдентификаторСообщения, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ДатаСообщения(ИдентификаторСообщения, Кэш);
```
</details>

## ОбновитьДатуСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьДатуСообщения(НайденнаяДата, НайденноеНачалоДня, Дата) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ОбновитьДатуСообщения(НайденнаяДата, НайденноеНачалоДня, Дата) 
```
</details>

## ИспользуетсяУчетСтрахователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуетсяУчетСтрахователей() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ИспользуетсяУчетСтрахователей() 
```
</details>

## СведенияОСтрахователе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сведения об страхователе организации с учетом проектных решений прикладной конфигурации.
//
// Параметры:
//   Организация   - СправочникСсылка.Организации
//   ИменаПолей    - Строка             - Требуемые сведения.
//   ДатаПолучения - Дата, Неопределено - Дата получения сведений.
//
// Возвращаемое значение:
//   Структура
//
Функция СведенияОСтрахователе(Знач Организация, Знач ИменаПолей, Знач ДатаПолучения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.СведенияОСтрахователе(Организация, ИменаПолей, ДатаПолучения);
```
</details>

## СтраховательОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает страхователя организации.
//
// Параметры:
//   Организация - СправочникСсылка.Организации
//   ДатаПолучения - Дата - Дата получения сведений.
//
// Возвращаемое значение:
//   СправочникСсылка.Организации - Страхователь ФСС, отчитывающийся за филиал.
//
Функция СтраховательОрганизации(Организация, Знач ДатаПолучения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.СтраховательОрганизации(Организация, ДатаПолучения);
```
</details>

## СтрахователиОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для массива организаций возвращает массив страхователей.
//
// Параметры:
//   Организации - СправочникСсылка.Организации, Массив из СправочникСсылка.Организации
//   ДатаПолучения - Дата - Дата получения сведений.
//
// Возвращаемое значение:
//   Массив из СправочникСсылка.Организации
//
Функция СтрахователиОрганизаций(Организации, ДатаПолучения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.СтрахователиОрганизаций(Организации, ДатаПолучения);
```
</details>

## ЗаполнитьСтрахователяВТаблицеЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// В таблице значений с колонкой "Организация" заполняет колонку "Страхователь".
//   В случае отсутствия - добавляет колонку "Страхователь".
//
// Параметры:
//   ТаблицаЗначений - ТаблицаЗначений - Заполняемая таблица.
//       * Организация - СправочникСсылка.Организации
//   ДатаПолучения - Дата - Дата получения сведений.
//
Процедура ЗаполнитьСтрахователяВТаблицеЗначений(ТаблицаЗначений, ДатаПолучения = Неопределено) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ЗаполнитьСтрахователяВТаблицеЗначений(ТаблицаЗначений, ДатаПолучения);
```
</details>

## ОрганизацииСтрахователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив организаций страхователя.
//
// Параметры:
//   Страхователь - СправочникСсылка.Организации
//   ДатаПолучения - Дата - Дата получения сведений.
//
// Возвращаемое значение:
//   Массив из СправочникСсылка.Организации
//
Функция ОрганизацииСтрахователя(Страхователь, ДатаПолучения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ОрганизацииСтрахователя(Страхователь, ДатаПолучения);
```
</details>

## УСтрахователяЕстьФилиалыВзаимодействующиеОтЕгоИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина если у страхователя есть филиалы без самостоятельной регистрации в ФСС.
//
// Параметры:
//   Страхователь - СправочникСсылка.Организации
//   ДатаПолучения - Дата - Дата получения сведений.
//
// Возвращаемое значение:
//   Булево
//
Функция УСтрахователяЕстьФилиалыВзаимодействующиеОтЕгоИмени(Страхователь, ДатаПолучения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.УСтрахователяЕстьФилиалыВзаимодействующиеОтЕгоИмени(Страхователь, ДатаПолучения);
```
</details>

## ВидимостьПоляСтрахователь
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина если для данной организации поле "Страхователь" следует показывать пользователю.
//
// Параметры:
//   Организация - СправочникСсылка.Организации
//   Страхователь - СправочникСсылка.Организации
//   ДатаПолучения - Дата - Дата получения сведений.
//
// Возвращаемое значение:
//   Булево
//
Функция ВидимостьПоляСтрахователь(Организация, Страхователь, ДатаПолучения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ВидимостьПоляСтрахователь(Организация, Страхователь, ДатаПолучения);
```
</details>

## СтрахователиИзОтборовПоОрганизациямФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтрахователиИзОтборовПоОрганизациямФормы(Знач ОтборыПоОрганизациям) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.СтрахователиИзОтборовПоОрганизациямФормы(ОтборыПоОрганизациям) 
```
</details>

## СтрахователиГоловнойОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив страхователей головной организации.
//
// Параметры:
//   ГоловнаяОрганизация - СправочникСсылка.Организации
//
// Возвращаемое значение:
//   Массив из СправочникСсылка.Организации
//
Функция СтрахователиГоловнойОрганизации(ГоловнаяОрганизация) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.СтрахователиГоловнойОрганизации(ГоловнаяОрганизация) 
```
</details>

## ВсеСтрахователи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВсеСтрахователи(ГоловнаяОрганизация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ВсеСтрахователи(ГоловнаяОрганизация);
```
</details>

## ЕстьПравоПросмотраЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьПравоПросмотраЖурнала() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ЕстьПравоПросмотраЖурнала() 
```
</details>

## ИмяСобытияЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяСобытияЖурнала() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ИмяСобытияЖурнала() 
```
</details>

## ПоследнийДокументЦепочкиИсправлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ИсправлениеДокументовЗарплатаКадры.ПоследнийДокументЦепочкиИсправлений.
Функция ПоследнийДокументЦепочкиИсправлений(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ПоследнийДокументЦепочкиИсправлений(Ссылка) 
```
</details>

## ОчередьОбработкиКадровыхДанныхФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчередьОбработкиКадровыхДанныхФСС() Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ОчередьОбработкиКадровыхДанныхФСС() 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РегламентныеЗаданияПереопределяемый.ПриОпределенииНастроекРегламентныхЗаданий
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ПриПолученииСпискаШаблоновОчередиЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийПереопределяемый.ПриПолученииСпискаШаблонов.
Процедура ПриПолученииСпискаШаблоновОчередиЗаданий(Шаблоны) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриПолученииСпискаШаблоновОчередиЗаданий(Шаблоны) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков.
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
СЭДОФСС.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## ДатаНачалаПроактивныхВыплат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату вступления в силу Федерального закона от 30.04.2021 № 126-ФЗ.
Функция ДатаНачалаПроактивныхВыплат() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ДатаНачалаПроактивныхВыплат() 
```
</details>

## ДатаНачалаПредоставленияДанныхСФРДляРасчетаПособий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаНачалаПредоставленияДанныхСФРДляРасчетаПособий() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ДатаНачалаПредоставленияДанныхСФРДляРасчетаПособий() 
```
</details>

## ГодНачалаСведенийОСреднемЗаработкеСФР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГодНачалаСведенийОСреднемЗаработкеСФР() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ГодНачалаСведенийОСреднемЗаработкеСФР() 
```
</details>

## ДатаОтменыРеестровПВСО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаОтменыРеестровПВСО() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ДатаОтменыРеестровПВСО() 
```
</details>

## ДатаПереходаНаВерсиюПроактива_2_34
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаПереходаНаВерсиюПроактива_2_34() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ДатаПереходаНаВерсиюПроактива_2_34() 
```
</details>

## ДатаПереходаНаВерсиюПроактива_2_36
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаПереходаНаВерсиюПроактива_2_36() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ДатаПереходаНаВерсиюПроактива_2_36() 
```
</details>

## ДатаПереходаНаВерсиюПроактива_2_41
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаПереходаНаВерсиюПроактива_2_41() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ДатаПереходаНаВерсиюПроактива_2_41() 
```
</details>

## НачатПереходНаВерсиюПроактива_2_41
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НачатПереходНаВерсиюПроактива_2_41() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.НачатПереходНаВерсиюПроактива_2_41() 
```
</details>

## ТекущаяДатаФонда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текущую дату приведенную к часовому поясу СФР.
Функция ТекущаяДатаФонда() Экспорт
```

Пример вызова
```bsl
Результат = СЭДОФСС.ТекущаяДатаФонда() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
