---
title: Сведения по отправкам
slug: zup/сведения-по-отправкам
---


## СведенияПоВсемОтправкам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заказчик функции - БП 3.0
// Возвращает сведения по всем отправкам отчета или уведомления,
// отсортированные по убыванию даты отправки.
// Сведения по прочим объектам не возвращает.
//
// Параметры:
//  Ссылка	 - ДокументСсылка, СправочникСсылка - отправляемый отчет или уведомление.
//
// Возвращаемое значение:
//  Массив структур - сведения по отправкам.
// 		Набор данных в структуре - см в функции ШаблонОбщихСведенийОтправке.
//
Функция СведенияПоВсемОтправкам(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = СведенияПоОтправкам.СведенияПоВсемОтправкам(Ссылка) 
```
</details>

## СведенияПоОтправке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заказчик функции - БП 3.0
// Возвращает подробные сведения по идентификатору отправки и ссылке.
// Только для отчетов и уведомлений.
// Сведения по прочим объектам не возвращает.
//
// Параметры:
//  Ссылка					 - ДокументСсылка, СправочникСсылка - отправляемый отчет или уведомление.
//  ИдентификаторОтправки	 - Идентификатор цикла обмена, если есть цикл обмена,
// 			или ИдентификаторОтправкиНаСервере соответствующей отправки, если нет цикла обмена
//			или Транспортное сообщение.
//  ДополнительныеПараметры	 - Структура - Структура с полями из ШаблонОбщихСведенийОтправке()
//
// Возвращаемое значение:
//  Структура - описание см в ШаблонПодробныхСведенийПоОтправкам.
//		Если заполнен параметр ДополнительныеПараметры, то структура так же дополняется
//		значениями, указанными в дополнительных параметрах.
//
Функция СведенияПоОтправке( Экспорт
```

Пример вызова
```bsl
Результат = СведенияПоОтправкам.СведенияПоОтправке();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
