---
title: Синхронизация данных БЗК настройки обработчиков
slug: zup/синхронизация-данных-бзк-настройки-обработчиков
---


## ДляОтбораПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляОтбораПоОрганизации
Процедура ДляОтбораПоОрганизации(Настройки, СвойстваОбъекта = "Организация", Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляОтбораПоОрганизации(Настройки, СвойстваОбъекта, );
```
</details>

## ДляОтбораПоПодразделению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляОтбораПоПодразделению
Процедура ДляОтбораПоПодразделению(Настройки, СвойстваОбъекта = "Подразделение", Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляОтбораПоПодразделению(Настройки, СвойстваОбъекта, );
```
</details>

## ДляОтбораПоСвойствамПланаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляОтбораПоСвойствамПланаОбмена
Процедура ДляОтбораПоСвойствамПланаОбмена(Настройки, ВидОтбора, СвойстваОбъекта) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляОтбораПоСвойствамПланаОбмена(Настройки, ВидОтбора, СвойстваОбъекта) 
```
</details>

## ДляРегламентированныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляРегламентированныхДанных
Процедура ДляРегламентированныхДанных(Настройки) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляРегламентированныхДанных(Настройки) 
```
</details>

## ДляУправленческихДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляУправленческихДанных
Процедура ДляУправленческихДанных(Настройки) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляУправленческихДанных(Настройки) 
```
</details>

## ДляОтбораПоРазделамДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляОтбораПоРазделамДанных
Процедура ДляОтбораПоРазделамДанных(Настройки, РазделыДанных) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляОтбораПоРазделамДанных(Настройки, РазделыДанных) 
```
</details>

## ДляСправочникаПрисоединенныхФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляСправочникаПрисоединенныхФайлов
Процедура ДляСправочникаПрисоединенныхФайлов(Настройки) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляСправочникаПрисоединенныхФайлов(Настройки) 
```
</details>

## ДляОбъектаСПрисоединеннымиФайлами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляОбъектаСПрисоединеннымиФайлами
Процедура ДляОбъектаСПрисоединеннымиФайлами(Настройки) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляОбъектаСПрисоединеннымиФайлами(Настройки) 
```
</details>

## ДляПодчиненногоСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляПодчиненногоСправочника
Процедура ДляПодчиненногоСправочника(Настройки, РазделыДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляПодчиненногоСправочника(Настройки, РазделыДанных);
```
</details>

## ДляРегистраПодчиненногоРегистратору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляРегистраПодчиненногоРегистратору
Процедура ДляРегистраПодчиненногоРегистратору(Настройки) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляРегистраПодчиненногоРегистратору(Настройки) 
```
</details>

## ДляНезависимогоРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляНезависимогоРегистра
Процедура ДляНезависимогоРегистра(Настройки, Измерение, РазделыДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляНезависимогоРегистра(Настройки, Измерение, РазделыДанных);
```
</details>

## ДляОграниченияПоРеквизиту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляОграниченияПоРеквизиту
Процедура ДляОграниченияПоРеквизиту(Настройки, Реквизит, РазделыДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляОграниченияПоРеквизиту(Настройки, Реквизит, РазделыДанных);
```
</details>

## ДляРегистрацииДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляРегистрацииДвижений
Процедура ДляРегистрацииДвижений(Настройки) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляРегистрацииДвижений(Настройки) 
```
</details>

## ДляСовместноРегистрируемыхОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляСовместноРегистрируемыхОбъектов
Процедура ДляСовместноРегистрируемыхОбъектов(Настройки) Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляСовместноРегистрируемыхОбъектов(Настройки) 
```
</details>

## ДляОбъектаСГоловнойОрганизациейИФизическимЛицом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыРасширенныйСинхронизацияДанных.ДляОбъектаСГоловнойОрганизациейИФизическимЛицом
Процедура ДляОбъектаСГоловнойОрганизациейИФизическимЛицом(Настройки, РазделыДанных = "РегламентированныеДанные", Экспорт
```

Пример вызова
```bsl
СинхронизацияДанныхБЗКНастройкиОбработчиков.ДляОбъектаСГоловнойОрганизациейИФизическимЛицом(Настройки, РазделыДанных, );
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
