---
title: Синхронизация данных зарплата кадры вызов повт исп
slug: zup/синхронизация-данных-зарплата-кадры-вызов-повт-исп
---


## ОпределитьПолучателейПоВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет массив узлов-получателей для объекта при заданном плане обмена.
//
// Параметры:
//  ВладелецСсылка - Произвольный - СправочникСсылка, ДокументСсылка, по которому необходимо выполнить
//    правила регистрации, и определить список узлов-получателей.
//  ИмяПланаОбмена - Строка - имя плана обмена как оно задано в конфигураторе.
//  Отказ - Булево - Если Истина, то будет отменено выполнение обработчика, по умолчанию Ложь
//  Загрузка - Булево
//  Выгрузка - Булево - Если Истина, то производится выгрузка в другой узел, иначе производится запись объекта
//  Отправитель -
//
// Возвращаемое значение:
//  Массив - массив узлов-получателей для Объекта.
Функция ОпределитьПолучателейПоВладельцу(ВладелецСсылка, ИмяПланаОбмена, Отказ, Загрузка, Выгрузка, Отправитель) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыВызовПовтИсп.ОпределитьПолучателейПоВладельцу(ВладелецСсылка, ИмяПланаОбмена, Отказ, Загрузка, Выгрузка, Отправитель) 
```
</details>

## ПрисоединенныеФайлыКОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив с присоединенными файлами
//
// Параметры:
//		СсылкаНаОбъект - Произвольный - СправочникСсылка, ДокументСсылка и т.п.
//										Ссылка на объект, для которого требуется получить присоединенные файлы.
//
// Возвращаемое значение:
//		МассивФайлов - Массив - массив с присоединенными файлами
//
Функция ПрисоединенныеФайлыКОбъекту(СсылкаНаОбъект) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыВызовПовтИсп.ПрисоединенныеФайлыКОбъекту(СсылкаНаОбъект) 
```
</details>

## УзлыФизическихЛицПоГоловнойОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УзлыФизическихЛицПоГоловнойОрганизации() Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыВызовПовтИсп.УзлыФизическихЛицПоГоловнойОрганизации() 
```
</details>

## УзлыБезОтбораПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УзлыБезОтбораПоОрганизации(ИмяПланаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыВызовПовтИсп.УзлыБезОтбораПоОрганизации(ИмяПланаОбмена) 
```
</details>

## УзлыБезОтбораПоПодразделениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УзлыБезОтбораПоПодразделениям(ИмяПланаОбмена) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыВызовПовтИсп.УзлыБезОтбораПоПодразделениям(ИмяПланаОбмена) 
```
</details>

## ИспользуютсяУзлыРИБСОтборомПоРазделамДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуютсяУзлыРИБСОтборомПоРазделамДанных(ИсключаемыйУзел = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыВызовПовтИсп.ИспользуютсяУзлыРИБСОтборомПоРазделамДанных(ИсключаемыйУзел);
```
</details>

## ИспользуютсяУзлыРИБСОтбором
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуютсяУзлыРИБСОтбором() Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыВызовПовтИсп.ИспользуютсяУзлыРИБСОтбором() 
```
</details>

## ИспользуютсяУзлыРИБСОтборомПоОрганизациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуютсяУзлыРИБСОтборомПоОрганизациям(ИсключаемыйУзел = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыВызовПовтИсп.ИспользуютсяУзлыРИБСОтборомПоОрганизациям(ИсключаемыйУзел);
```
</details>

## ИспользуютсяУзлыРИБСОтборомПоПодразделениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуютсяУзлыРИБСОтборомПоПодразделениям(ИсключаемыйУзел = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыВызовПовтИсп.ИспользуютсяУзлыРИБСОтборомПоПодразделениям(ИсключаемыйУзел);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
