---
title: Синхронизация данных зарплата кадры сервер
slug: zup/синхронизация-данных-зарплата-кадры-сервер
---


## СинхронизацияРазрешена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет разрешена или нет синхронизация по узлу РИБ
//щ
// Параметры:
//		УзелИнформационнойБазы - ПланОбмена - узел, для которого определяется возможность синхронизации данных
//
// Возвращаемое значение:
//		Булево - Истина, если синхронизация по указанному узлу разрешена, иначе Ложь.
//
Функция СинхронизацияРазрешена(УзелИнформационнойБазы) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыСервер.СинхронизацияРазрешена(УзелИнформационнойБазы) 
```
</details>

## ИспользуютсяУзлыРИБСОтбором
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет используются или нет в узлах РИБ отборы по организациям или структурным подразделениям
//
// Возвращаемое значение:
//		Булево - Истина, если в узлах РИБ отборы используются, иначе Ложь.
//
Функция ИспользуютсяУзлыРИБСОтбором() Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыСервер.ИспользуютсяУзлыРИБСОтбором() 
```
</details>

## ИспользуютсяУзлыРИБСОтборомПоПодразделениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет используются или нет в узлах РИБ отборы структурным подразделениям
//
// Параметры:
//		ИсключаемыйУзел - ПланОбменаСсылка - узел, который будет исключен из проверки
//
// Возвращаемое значение:
//		Булево - Истина, если в узлах РИБ отборы используются, иначе Ложь.
//
Функция ИспользуютсяУзлыРИБСОтборомПоПодразделениям(ИсключаемыйУзел = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыСервер.ИспользуютсяУзлыРИБСОтборомПоПодразделениям(ИсключаемыйУзел);
```
</details>

## ИспользуютсяУзлыРИБСОтборомПоОрганизациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет используются или нет в узлах РИБ отборы по организациям
//
// Параметры:
//		ИсключаемыйУзел - ПланОбменаСсылка - узел, который будет исключен из проверки
//
// Возвращаемое значение:
//		Булево - Истина, если в узлах РИБ отборы используются, иначе Ложь.
//
Функция ИспользуютсяУзлыРИБСОтборомПоОрганизациям(ИсключаемыйУзел = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыСервер.ИспользуютсяУзлыРИБСОтборомПоОрганизациям(ИсключаемыйУзел);
```
</details>

## ИспользуютсяУзлыРИБСОтборомПоРазделамДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет используются или нет в узлах РИБ отборы по разделам данных
//
// Параметры:
//		ИсключаемыйУзел - ПланОбменаСсылка - узел, который будет исключен из проверки
//
// Возвращаемое значение:
//		Булево - Истина, если в узлах РИБ отборы используются, иначе Ложь.
//
Функция ИспользуютсяУзлыРИБСОтборомПоРазделамДанных(ИсключаемыйУзел = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = СинхронизацияДанныхЗарплатаКадрыСервер.ИспользуютсяУзлыРИБСОтборомПоРазделамДанных(ИсключаемыйУзел);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
