---
title: Сообщения БЗК клиент сервер
slug: zup/сообщения-бзк-клиент-сервер
---


## СообщитьОбОшибкеВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит сообщение об ошибке заполнения реквизита формы.
//
// Параметры:
//   Отказ        - Булево - Флажок отказа, который включается в процедуре.
//   Текст        - Строка - Текст сообщения.
//   ИмяРеквизита - Строка - Имя реквизита формы, к которому необходимо привязать сообщение.
//   ПутьКДанным  - Строка - Имя реквизита формы типа "ДанныеФормыСтруктура", в котором расположен указанный реквизит.
//       Например, в форме элемента справочника: ИмяРеквизита = "Наименование", ПутьКДанным = "Объект".
//   Форма - ФормаКлиентскогоПриложения, УникальныйИдентификатор, Структура - Форма,
//       значение свойства "УникальныйИдентификатор" формы, или структура со свойством "УникальныйИдентификатор".
//       Позволяет точно указать форму, к которой должно быть привязано сообщение.
//       Если не указано то сообщение привязывается к форме в активном окне (вкладке).
//
Процедура СообщитьОбОшибкеВФорме(Отказ, Текст, ИмяРеквизита = "", ПутьКДанным = Неопределено, Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
СообщенияБЗККлиентСервер.СообщитьОбОшибкеВФорме(Отказ, Текст, ИмяРеквизита, ПутьКДанным, Форма);
```
</details>

## СообщитьВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит сообщение предупреждающее о проблеме связанной с указанным реквизитом формы.
//
// Параметры:
//   Текст        - Строка - Текст сообщения.
//   ИмяРеквизита - Строка - Полное имя реквизита формы. См. также ОбщегоНазначенияКлиентСервер.ПутьКТабличнойЧасти.
//   ПутьКДанным  - Строка - Имя реквизита формы типа "ДанныеФормыСтруктура", в котором расположен указанный реквизит.
//       Например, в форме элемента справочника: Поле = "Наименование", ПутьКДанным = "Объект".
//   Форма - ФормаКлиентскогоПриложения, УникальныйИдентификатор, Структура - Форма,
//       значение свойства "УникальныйИдентификатор" формы, или структура со свойством "УникальныйИдентификатор".
//       Позволяет точно указать форму, к которой должно быть привязано сообщение.
//       Если не указано то сообщение привязывается к форме в активном окне (вкладке).
//
Процедура СообщитьВФорме(Текст, ИмяРеквизита = "", ПутьКДанным = Неопределено, Форма = Неопределено) Экспорт
```

Пример вызова
```bsl
СообщенияБЗККлиентСервер.СообщитьВФорме(Текст, ИмяРеквизита, ПутьКДанным, Форма);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
