---
title: Сообщения пользователю БЗК
slug: zup/сообщения-пользователю-бзк
---


## СообщитьОбОшибкеВОбъекте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать одноименный метод в модуле СообщенияБЗК.
// Сообщает об ошибке заполнения в реквизите объекта и включает флажок Отказ.
//
// Параметры:
//   Отказ        - Булево        - Флажок отказа, который включается в данной процедуре.
//   Объект       - ЛюбаяСсылка,
//                  ЛюбойОбъект   - Объект, в котором обнаружена ошибка.
//   ИмяРеквизита - Строка        - Имя реквизита, в котором обнаружена ошибка.
//   Текст        - Строка        - Текст ошибки.
//
Процедура СообщитьОбОшибкеВОбъекте(Отказ, Объект, ИмяРеквизита, Текст) Экспорт
```

Пример вызова
```bsl
СообщенияПользователюБЗК.СообщитьОбОшибкеВОбъекте(Отказ, Объект, ИмяРеквизита, Текст) 
```
</details>

## СообщитьОбОшибкеВСтрокеТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать одноименный метод в модуле СообщенияБЗК.
// Сообщает об ошибке заполнения в реквизите объекта и включает флажок Отказ.
//
// Параметры:
//   Отказ        - Булево                 - Флажок отказа, который включается в данной процедуре.
//   Объект       - ЛюбаяСсылка,
//                  ЛюбойОбъект            - Объект, в котором обнаружена ошибка.
//   ИмяТаблицы   - Строка                 - Имя табличной части.
//   Строка       - Строка табличной части - Строка табличной части.
//   ИмяРеквизита - Строка                 - Имя реквизита строки табличной части.
//   Текст        - Строка                 - Текст ошибки. Если не указан, то будет сформирован стандартный текст ошибки.
//
Процедура СообщитьОбОшибкеВСтрокеТаблицы(Отказ, Объект, ИмяТаблицы, Строка, ИмяРеквизита, Текст) Экспорт
```

Пример вызова
```bsl
СообщенияПользователюБЗК.СообщитьОбОшибкеВСтрокеТаблицы(Отказ, Объект, ИмяТаблицы, Строка, ИмяРеквизита, Текст) 
```
</details>

## ПроверитьЗаполнениеРеквизитаОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать одноименный метод в модуле ПроверкиБЗК.
// Проверяет заполнение реквизита, в случае незаполненности включает флажок Отказ и сообщает об ошибке пользователю.
//
// Параметры:
//   Отказ        - Булево      - Флажок отказа, который включается в случае незаполненности реквизита.
//   Объект       - ЛюбойОбъект - Проверяемый объект.
//   ИмяРеквизита - Строка      - Проверяемый реквизит.
//   Текст        - Строка      - Текст ошибки. Если не указан, то будет сформирован стандартный текст ошибки.
//
Процедура ПроверитьЗаполнениеРеквизитаОбъекта(Отказ, Объект, ИмяРеквизита, Знач Текст = "") Экспорт
```

Пример вызова
```bsl
СообщенияПользователюБЗК.ПроверитьЗаполнениеРеквизитаОбъекта(Отказ, Объект, ИмяРеквизита, Текст);
```
</details>

## ПроверитьЗаполнениеЭлектроннойПочтыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать одноименный метод в модуле ПроверкиБЗК.
// Проверяет заполнение реквизита, в случае незаполненности включает флажок Отказ и сообщает об ошибке пользователю.
//
// Параметры:
//   Отказ        - Булево      - Флажок отказа, который включается в случае незаполненности реквизита.
//   Объект       - ЛюбойОбъект - Проверяемый объект.
//   ИмяРеквизита - Строка      - Проверяемый реквизит типа "Адрес электронной почты".
//
Процедура ПроверитьЗаполнениеЭлектроннойПочтыОбъекта(Отказ, Объект, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
СообщенияПользователюБЗК.ПроверитьЗаполнениеЭлектроннойПочтыОбъекта(Отказ, Объект, ИмяРеквизита) 
```
</details>

## ПроверитьЗаполнениеРеквизитаСтрокиТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать одноименный метод в модуле ПроверкиБЗК.
// Проверяет заполнение реквизита, в случае незаполненности включает флажок Отказ и сообщает об ошибке пользователю.
//
// Параметры:
//   Отказ        - Булево      - Флажок отказа, который включается в случае незаполненности реквизита.
//   Объект       - ЛюбойОбъект            - Проверяемый объект.
//   Строка       - Строка табличной части - Проверяемая строка табличной части.
//   ИмяТаблицы   - Строка                 - Имя табличной части.
//   Строка       - Строка табличной части - Строка табличной части.
//   ИмяРеквизита - Строка                 - Имя реквизита строки табличной части.
//   Текст        - Строка                 - Текст ошибки. Если не указан, то будет сформирован стандартный текст ошибки.
//
Процедура ПроверитьЗаполнениеРеквизитаСтрокиТаблицы(Отказ, Объект, ИмяТаблицы, Строка, ИмяРеквизита, Знач Текст = "") Экспорт
```

Пример вызова
```bsl
СообщенияПользователюБЗК.ПроверитьЗаполнениеРеквизитаСтрокиТаблицы(Отказ, Объект, ИмяТаблицы, Строка, ИмяРеквизита, Текст);
```
</details>

## СообщениеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СообщенияБЗК.СообщитьОПроблеме.
// Возвращает сообщение об ошибке заполнения в реквизите объекта.
//
// Параметры:
//   Текст  - Строка      - Текст сообщения.
//   Объект - ЛюбаяСсылка,
//            ЛюбойОбъект - Объект, в котором обнаружена ошибка.
//   Поле   - Строка      - Полное имя реквизита, в котором обнаружена ошибка.
//
// Возвращаемое значение:
//   СообщениеПользователю - Сообщение об ошибке.
//
Функция СообщениеОбъекта(Текст, Объект, Поле = "") Экспорт
```

Пример вызова
```bsl
Результат = СообщенияПользователюБЗК.СообщениеОбъекта(Текст, Объект, Поле);
```
</details>

## ПроверитьПериодВСтрокеТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать одноименный метод в модуле ПроверкиБЗК.
// Проверяет корректность заполнения начала и окончание периода в строке таблицы.
//
// Параметры:
//   Отказ - Булево - Флажок отказа, который будет включен в случае ошибки.
//   Объект - ЛюбаяСсылка, ЛюбойОбъект - Проверяемый объект.
//   ИмяТаблицы - Строка - Имя табличной части.
//   Строка - Строка табличной части - Строка таблицы.
//   ИмяПоляДатыНачала - Строка - Имя реквизита строки табличной части, в котором хранится дата начала периода.
//   ИмяПоляДатыОкончания - Строка - Имя реквизита строки табличной части, в котором хранится дата окончания.
//   ПредставлениеВРодительномПадеже - Строка - Представление (заголовок) периода в родительном падеже.
//
// Возвращаемое значение:
//   Булево - Признак того, что поля успешно прошли проверку.
//       Возвращает Ложь если была выявлена ошибка.
//
Функция ПроверитьПериодВСтрокеТаблицы(Отказ, Объект, ИмяТаблицы, Строка, ИмяПоляДатыНачала, ИмяПоляДатыОкончания, ПредставлениеВРодительномПадеже) Экспорт
```

Пример вызова
```bsl
Результат = СообщенияПользователюБЗК.ПроверитьПериодВСтрокеТаблицы(Отказ, Объект, ИмяТаблицы, Строка, ИмяПоляДатыНачала, ИмяПоляДатыОкончания, ПредставлениеВРодительномПадеже) 
```
</details>

## СообщитьПользователю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать СообщенияБЗК.СообщитьОПроблеме.
// Выводит сообщение пользователю.
//
// Параметры:
//   Текст - Строка - Текст сообщения.
//
Процедура СообщитьПользователю(Текст) Экспорт
```

Пример вызова
```bsl
СообщенияПользователюБЗК.СообщитьПользователю(Текст) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
