---
title: Справки НДФЛ формы клиент
slug: zup/справки-ндфл-формы-клиент
---


## ПриИзмененииФиксируемогоЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет свойства элемента, устанавливаемые после редактирования фиксированных данных
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения
//  ДанныеСправки    - ДанныеФормыСтруктура
//  ПутьКДанным      - Строка - путь к данным редактируемого элемента
//
Процедура ПриИзмененииФиксируемогоЗначения(Форма, ДанныеСправки, ПутьКДанным) Экспорт
```

Пример вызова
```bsl
СправкиНДФЛФормыКлиент.ПриИзмененииФиксируемогоЗначения(Форма, ДанныеСправки, ПутьКДанным) 
```
</details>

## ПриИзмененииУдостоверенияЛичности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет свойства элементов удостоверения личности, устанавливаемые после редактирования фиксированных данных
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения
//  ДанныеСправки    - ДанныеФормыСтруктура
//
Процедура ПриИзмененииУдостоверенияЛичности(Форма, ДанныеСправки) Экспорт
```

Пример вызова
```bsl
СправкиНДФЛФормыКлиент.ПриИзмененииУдостоверенияЛичности(Форма, ДанныеСправки) 
```
</details>

## ГражданствоПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет свойства элемента гражданство, устанавливаемые после редактирования фиксированных данных
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения
//  ДанныеСправки    - ДанныеФормыСтруктура
//
Процедура ГражданствоПриИзменении(Форма, ДанныеСправки) Экспорт
```

Пример вызова
```bsl
СправкиНДФЛФормыКлиент.ГражданствоПриИзменении(Форма, ДанныеСправки) 
```
</details>

## ЛицБезГражданстваПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет свойства элементов лиц без гражданства, устанавливаемые после редактирования фиксированных данных
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения
//  ДанныеСправки    - ДанныеФормыСтруктура
//
Процедура ЛицБезГражданстваПриИзменении(Форма, ДанныеСправки) Экспорт
```

Пример вызова
```bsl
СправкиНДФЛФормыКлиент.ЛицБезГражданстваПриИзменении(Форма, ДанныеСправки) 
```
</details>

## УстановитьСтарыеЗначенияКонтролируемыхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Меняет измененные значения контролируемых полей на значения, полученные из учетных данных
//
// Параметры:
//  РедактируемыеДанные                  - ДанныеФормыСтруктура - структура аналогична реквизитам документа СправкиНДФЛ
//  СтарыеЗначенияКонтролируемыхПолей    - Соответствие содержит:
//    * ИТОГИ                       - Соответствие содержит:
//      ** Итоги                    - Соответствие см. УчетНДФЛ.ПоляИтоговСправки2НДФЛ
//    * СведенияОВычетах            - Соответствие содержит:
//      ** СведенияОВычетах          - Соответствие содержит:
//         *** КодВычета             - СправочникСсылка.ВидыВычетовНДФЛ
//         *** СуммаВычета           - Число
//    * СведенияОДоходах            - Соответствие содержит:
//      ** СведенияОДоходах         - Соответствие содержит:
//         *** СуммаДохода            - Число
//         *** МесяцНалоговогоПериода - Число
//         *** КодДохода              - СправочникСсылка.ВидыДоходовНДФЛ
//         *** КодВычета              - СправочникСсылка.ВидыВычетовНДФЛ
//         *** СуммаВычета            - Число
//    * Уведомление                 - Соответствие содержит:
//      ** Уведомление              - Соответствие содержит:
//         *** ДатаУведомленияАвансовыеПлатежи                - Дата
//         *** НомерУведомленияАвансовыеПлатежи               - Строка
//         *** КодНалоговогоОрганаУведомленияАвансовыеПлатежи - Строка
//    * УведомленияНОоПравеНаВычеты - Соответствие содержит:
//      ** УведомленияНОоПравеНаВычеты - Соответствие содержит:
//         *** ДатаУведомления                - Дата
//         *** НомерУведомления               - Строка
//         *** КодНалоговогоОрганаУведомления - Строка
//         *** ГруппаВычета                   - ПеречислениеСсылка.ГруппыВычетовПоНДФЛ
//  КонтролируемыеПоля                   - ФиксированнаяСтруктура с ключами:
//    * ИТОГИ                       - ФиксированныйМассив из Строк
//    * СведенияОВычетах            - ФиксированныйМассив из Строк
//    * СведенияОДоходах            - ФиксированныйМассив из Строк
//    * Уведомление                 - ФиксированныйМассив из Строк
//    * УведомленияНОоПравеНаВычеты - ФиксированныйМассив из Строк
//  Раздел                          - Строка
//
Процедура УстановитьСтарыеЗначенияКонтролируемыхПолей(РедактируемыеДанные, СтарыеЗначенияКонтролируемыхПолей, КонтролируемыеПоля, Раздел) Экспорт
```

Пример вызова
```bsl
СправкиНДФЛФормыКлиент.УстановитьСтарыеЗначенияКонтролируемыхПолей(РедактируемыеДанные, СтарыеЗначенияКонтролируемыхПолей, КонтролируемыеПоля, Раздел) 
```
</details>

## ПриОкончанииРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запоминает старые значения редактируемых полей
// Параметры:
//  Форма                                - ФормаКлиентскогоПриложения
//  ДанныеСправки    - ДанныеФормыСтруктура, структура, аналогичная реквизитам документа СправкаНДФЛ
//  РедактируемыеДанные                  - ДанныеФормыСтруктура - структура аналогична реквизитам документа СправкиНДФЛ
//  СтарыеЗначенияКонтролируемыхПолей    - Соответствие содержит:
//    * ИТОГИ                       - Соответствие содержит:
//      ** Итоги                    - Соответствие см. УчетНДФЛ.ПоляИтоговСправки2НДФЛ
//    * СведенияОВычетах            - Соответствие содержит:
//      ** СведенияОВычетах          - Соответствие содержит:
//         *** КодВычета   - СправочникСсылка.ВидыВычетовНДФЛ
//         *** СуммаВычета - Число
//    * СведенияОДоходах            - Соответствие содержит:
//      ** СведенияОДоходах         - Соответствие содержит:
//         *** СуммаДохода            - Число
//         *** МесяцНалоговогоПериода - Число
//         *** КодДохода              - СправочникСсылка.ВидыДоходовНДФЛ
//         *** КодВычета              - СправочникСсылка.ВидыВычетовНДФЛ
//         *** СуммаВычета            - Число
//    * Уведомление                 - Соответствие содержит:
//      ** Уведомление              - Соответствие содержит:
//         *** ДатаУведомленияАвансовыеПлатежи                - Дата
//         *** НомерУведомленияАвансовыеПлатежи               - Строка
//         *** КодНалоговогоОрганаУведомленияАвансовыеПлатежи - Строка
//    * УведомленияНОоПравеНаВычеты - Соответствие содержит:
//      ** УведомленияНОоПравеНаВычеты - Соответствие содержит:
//         *** ДатаУведомления                - Дата
//         *** НомерУведомления               - Строка
//         *** КодНалоговогоОрганаУведомления - Строка
//         *** ГруппаВычета                   - ПеречислениеСсылка.ГруппыВычетовПоНДФЛ
//  КонтролируемыеПоля                   - ФиксированнаяСтруктура с ключами:
//    * ИТОГИ                       - ФиксированныйМассив из Строк
//    * СведенияОВычетах            - ФиксированныйМассив из Строк
//    * СведенияОДоходах            - ФиксированныйМассив из Строк
//    * Уведомление                 - ФиксированныйМассив из Строк
//    * УведомленияНОоПравеНаВычеты - ФиксированныйМассив из Строк
//  Раздел                          - Строка
//
Процедура ПриОкончанииРедактирования(Форма, ДанныеСправки, РедактируемыеДанные, СтарыеЗначенияКонтролируемыхПолей, КонтролируемыеПоля, Раздел) Экспорт
```

Пример вызова
```bsl
СправкиНДФЛФормыКлиент.ПриОкончанииРедактирования(Форма, ДанныеСправки, РедактируемыеДанные, СтарыеЗначенияКонтролируемыхПолей, КонтролируемыеПоля, Раздел) 
```
</details>

## РегистрацияВНалоговомОрганеОткрытие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму справочника "Регистрации в налоговом органе"
//
// Параметры:
//  Форма                - ФормаКлиентскогоПриложения
//  СтандартнаяОбработка - Булево
//
Процедура РегистрацияВНалоговомОрганеОткрытие(Форма, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
СправкиНДФЛФормыКлиент.РегистрацияВНалоговомОрганеОткрытие(Форма, СтандартнаяОбработка) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
