---
title: Справки НДФЛ формы клиент сервер
slug: zup/справки-ндфл-формы-клиент-сервер
---


## УстановитьПризнакНаличияГражданства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает признак наличия гражданства на форме
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения
//  ДанныеСправки    - ДанныеФормыСтруктура
//
Процедура УстановитьПризнакНаличияГражданства(Форма, ДанныеСправки) Экспорт
```

Пример вызова
```bsl
СправкиНДФЛФормыКлиентСервер.УстановитьПризнакНаличияГражданства(Форма, ДанныеСправки) 
```
</details>

## УстановитьСвойстваЭлементовСФиксациейДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает свойств для фиксированных элементов
//
// Параметры:
//  Форма            - ФормаКлиентскогоПриложения
//  ДанныеСправки    - ДанныеФормыСтруктура
//  ДокументПроведен - Булево
//
Процедура УстановитьСвойстваЭлементовСФиксациейДанных(Форма, ДанныеСправки, ДокументПроведен = Ложь) Экспорт
```

Пример вызова
```bsl
СправкиНДФЛФормыКлиентСервер.УстановитьСвойстваЭлементовСФиксациейДанных(Форма, ДанныеСправки, ДокументПроведен);
```
</details>

## УстановитьИнфонадписьИсправления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает соответствующую надпись в зависимости от документа вызова,
// наличия фиксированных данных и проведенности документа.
//
// Параметры:
//  Инфонадпись          - Строка	 - текущая надпись
//  ДанныеСправки		 - ДанныеФормыСтруктура
//  ДокументПроведен	 - Булево
//  ДляНалогаНаПрибыль	 - Булево
//
Процедура УстановитьИнфонадписьИсправления(Инфонадпись, ДанныеСправки, ДокументПроведен = Ложь, ДляНалогаНаПрибыль = Ложь) Экспорт
```

Пример вызова
```bsl
СправкиНДФЛФормыКлиентСервер.УстановитьИнфонадписьИсправления(Инфонадпись, ДанныеСправки, ДокументПроведен, ДляНалогаНаПрибыль);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
