---
title: Статистика персонала
slug: zup/статистика-персонала
---


## ЗаполнитьСведенияОЧисленности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет переданную таблицу значений сведениями о численности сотрудников
//
// Параметры:
//  СведенияОЧисленности                - см. СведенияОЧисленности()
//  ПараметрыДляСведенийОЧисленности    - см. ПараметрыДляСведенийОЧисленности()
//
Процедура ЗаполнитьСведенияОЧисленности(СведенияОЧисленности, Знач ПараметрыДляСведенийОЧисленности) Экспорт
```

Пример вызова
```bsl
СтатистикаПерсонала.ЗаполнитьСведенияОЧисленности(СведенияОЧисленности, ПараметрыДляСведенийОЧисленности) 
```
</details>

## ПараметрыДляСведенийОЧисленности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СтатистикаПерсоналаВнутренний.ПараметрыДляСведенийОЧисленности.
Функция ПараметрыДляСведенийОЧисленности() Экспорт
```

Пример вызова
```bsl
Результат = СтатистикаПерсонала.ПараметрыДляСведенийОЧисленности() 
```
</details>

## СведенияОЧисленности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. СтатистикаПерсоналаВнутренний.СведенияОЧисленности.
Функция СведенияОЧисленности(РазрядностьПоказателей = 2) Экспорт
```

Пример вызова
```bsl
Результат = СтатистикаПерсонала.СведенияОЧисленности(РазрядностьПоказателей);
```
</details>

## ДанныеОЧисленности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект для хранения данных о численности
// Возвращаемое значение:
//   Структура:
//   * СреднесписочнаяЧисленностьРаботников - Число
//   * СреднесписочнаяЧисленностьЖенщин - Число
//   * СреднесписочнаяЧисленностьИнвалидов - Число
//   * ЧисленностьРаботников - Число
//   * ЧисленностьЖенщин - Число
//   * ЧисленностьИнвалидов - Число
//
Функция ДанныеОЧисленности() Экспорт
```

Пример вызова
```bsl
Результат = СтатистикаПерсонала.ДанныеОЧисленности() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
