---
title: Строковые функции БЗК клиент сервер
slug: zup/строковые-функции-бзк-клиент-сервер
---


## ПустойУникальныйИдентификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку пустого глобального уникального идентификатора GUID.
//
// Возвращаемое значение:
//  Строка - строка, содержащая пустой уникальный идентификатор.
//
Функция ПустойУникальныйИдентификатор() Экспорт
```

Пример вызова
```bsl
Результат = СтроковыеФункцииБЗККлиентСервер.ПустойУникальныйИдентификатор() 
```
</details>

## СкопироватьЦифры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Из переданной строки создает новую, содержащую только цифры.
// Иные символы отбрасываются.
//
// Параметры:
//  Значение - Строка - исходная строка.
//
// Возвращаемое значение:
//   Строка - строка, содержащая только цифры.
//
Функция СкопироватьЦифры(Знач Значение) Экспорт
```

Пример вызова
```bsl
Результат = СтроковыеФункцииБЗККлиентСервер.СкопироватьЦифры(Значение) 
```
</details>

## СкопироватьСимволы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Из переданной строки создает новую, содержащую только указанные символы.
// Иные символы отбрасываются.
//
// Параметры:
//  Значение - Строка - исходная строка.
//  Символы  - Строка - допустимые символы.
//
// Возвращаемое значение:
//   Строка - строка, содержащая только указанные символы.
//
Функция СкопироватьСимволы(Знач Значение, Знач Символы) Экспорт
```

Пример вызова
```bsl
Результат = СтроковыеФункцииБЗККлиентСервер.СкопироватьСимволы(Значение, Символы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
