---
title: Уведомление о спецрежимах налогообложения
slug: zup/уведомление-о-спецрежимах-налогообложения
---


## НайтиУведомления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает таблицу уведомлений в соответствии с установленным отбором
// в хронологическом порядке по убыванию
//
// Параметры:
//  Отбор - Структура - задает условия поиска:
//    * Организация    - СправочникСсылка.Организации
//    * ВидУведомления  - ПеречислениеСсылка.ВидыУведомленийОСпецрежимахНалогообложения
//    * ИмяФормы        - Строка
//
// Возвращаемое значение:
//  ТаблицаЗначений
//    * Ссылка - ДокументСсылка.УведомлениеОСпецрежимахНалогообложения
//    * Дата - Дата
//    * ИмяФормы - Строка - имя формы
//
Функция НайтиУведомления(Отбор) Экспорт
```

Пример вызова
```bsl
Результат = УведомлениеОСпецрежимахНалогообложения.НайтиУведомления(Отбор) 
```
</details>

## ПолучитьСведенияОбУставномКапиталеФормыР11001
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает таблицу уведомлений в соответствии с установленным отбором
// в хронологическом порядке по убыванию
//
// Параметры:
//  Организация - СправочникСсылка.Организации
//
// Возвращаемое значение:
//  Неопределено, если данных нет (нет формы Р11001)
//  Структура с ключами
//      - УставныйКапитал - Число, размер уставного капитала в рублях (1)
//      - Учредители - Таблица значений с колонками
//          - ИНН - Строка, ИНН учредителя (2.1)
//          - Учредитель - Строка, наименование учредителя (2.2)
//          - СуммаКапитала - Число - стоимость доли в уставном капитале (2.3)
//
Функция ПолучитьСведенияОбУставномКапиталеФормыР11001(Организация) Экспорт
```

Пример вызова
```bsl
Результат = УведомлениеОСпецрежимахНалогообложения.ПолучитьСведенияОбУставномКапиталеФормыР11001(Организация) 
```
</details>

## АдресВФорматеФИАС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает поэлементное разложение адреса ФИАС в JSON-представлении для заполнения заявлений на регистрацию ИП и ЮЛ.
//
// Параметры:
//   Адрес - JSON-представление ареса в формате ФИАС;
//   ДополнительныеПараметры - дополнительные параметры для разбора адреса.
//
/// Возвращаемое значение:
//   Структура - значения элементов адреса для заполнения заявлений.
//
Функция АдресВФорматеФИАС(Адрес, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УведомлениеОСпецрежимахНалогообложения.АдресВФорматеФИАС(Адрес, ДополнительныеПараметры);
```
</details>

## ПроверитьДокументСВыводомВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу с ошибками по схеме выгрузки для уведомления.
//
// Параметры:
//   Объект - JSON-представление ареса в формате ФИАС;
//   ДополнительныеПараметры - дополнительные параметры (могут понадобится в журналах, задел на будущее).
//
/// Возвращаемое значение:
//   Структура - СписокЗначений с ошибками.
//   Неопределено - при возникновении ошибки
//
Функция ПроверитьДокументСВыводомВТаблицу(Объект, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УведомлениеОСпецрежимахНалогообложения.ПроверитьДокументСВыводомВТаблицу(Объект, ДополнительныеПараметры);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
