---
title: Управление доступом БЗК
slug: zup/управление-доступом-бзк
---


## КонтекстДобавляемыхРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Конструктор 1го параметра для процедур ЗарегистрироватьДобавляемуюРоль и ДобавитьРолиВНепоставляемыеПрофили.
//
// Параметры:
//   ИмяОбработчикаОбновления - Строка - Имя обработчика обновления, в котором добавляются роли.
//
// Возвращаемое значение:
//   Структура - Содержит таблицу для использования в параметрах процедуры ДобавитьРолиВНепоставляемыеПрофили.
//
Функция КонтекстДобавляемыхРолей(ИмяОбработчикаОбновления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомБЗК.КонтекстДобавляемыхРолей(ИмяОбработчикаОбновления) 
```
</details>

## ЗарегистрироватьДобавляемуюРоль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запись о добавляемой роли в структуру, используемую в первом параметре процедуры ДобавитьРолиВНепоставляемыеПрофили.
//
// Параметры:
//   КонтекстДобавляемыхРолей - Структура - Контекст добавляемых ролей. Создается при помощи функции КонтекстДобавляемыхРолей.
//   ИмяРолиДляПоискаПрофиля - Строка - Имя роли для поиска профилей групп доступа, в которые требуется добавить
//                                      указанную роль.
//   ИмяРолиДобавляемойВПрофиль - Строка - Имя роли, которую требуется добавить в найденный профиль.
//
Процедура ЗарегистрироватьДобавляемуюРоль(КонтекстДобавляемыхРолей, ИмяРолиДляПоискаПрофиля, ИмяРолиДобавляемойВПрофиль) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомБЗК.ЗарегистрироватьДобавляемуюРоль(КонтекстДобавляемыхРолей, ИмяРолиДляПоискаПрофиля, ИмяРолиДобавляемойВПрофиль) 
```
</details>

## ДобавитьРолиВНепоставляемыеПрофили
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит пользовательские профили, в которых используется роль из колонки РольДляПоискаПрофиля
// и добавляет в них роль из колонки РольДобавляемаяВПрофиль. Предназначена для вызова из обработчика обновления.
//
// Параметры:
//   КонтекстДобавляемыхРолей - Структура - Контекст добавляемых ролей.
//       Создается при помощи функции КонтекстДобавляемыхРолей,
//       Наполняется при помощи процедуры ЗарегистрироватьДобавляемуюРоль.
//
Процедура ДобавитьРолиВНепоставляемыеПрофили(КонтекстДобавляемыхРолей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомБЗК.ДобавитьРолиВНепоставляемыеПрофили(КонтекстДобавляемыхРолей) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
