---
title: Управление контактной информацией зарплата кадры
slug: zup/управление-контактной-информацией-зарплата-кадры
---


## АдресаОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает юридический и фактический адреса указанной организации.
//
// Параметры:
//  Организации      - Массив из СправочникСсылка.Организации
//                   - СправочникСсылка.Организации
//  ДатаАктуальности - Дата
//
// Возвращаемое значение:
//  Соответствие:
//     * Ключ 		- СправочникСсылка.Организации
//     * Значение 	- Соответствие:
//        ** Ключ - СправочникСсылка.ВидыКонтактнойИнформации
//        ** Значение - Структура:
//            *** Представление - Строка - Представление адреса
//            *** Город         - Строка - представление города (населенного пункта) в виде <сокращение>.<наименование>
//            *** ЗначенияПолей - Строка - XML, соответствующий XDTO пакету  Адрес.
//
Функция АдресаОрганизаций(Организации, Знач ДатаАктуальности = '00010101') Экспорт
```

Пример вызова
```bsl
Результат = УправлениеКонтактнойИнформациейЗарплатаКадры.АдресаОрганизаций(Организации, ДатаАктуальности);
```
</details>

## АдресОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структура адреса, поставляемую методом АдресаОрганизаций, по
// переданным параметрам Организации и виду адреса.
//
// Параметры:
//		АдресаОрганизаций - Соответствие - см. АдресаОрганизаций.
//		Организация       - СправочникСсылка.Организации
//		ВидАдреса         - СправочникСсылка.ВидыКонтактнойИнформации
//
// Возвращаемое значение:
//  Структура:
//     * Представление - Строка - Представление адреса
//     * Город         - Строка - представление города (населенного пункта) в виде <сокращение>.<наименование>
//     * ЗначенияПолей - Строка - XML, соответствующий XDTO пакету  Адрес.
//
Функция АдресОрганизации(АдресаОрганизаций, Организация, ВидАдреса) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеКонтактнойИнформациейЗарплатаКадры.АдресОрганизации(АдресаОрганизаций, Организация, ВидАдреса) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
