---
title: Управление штатным расписанием
slug: zup/управление-штатным-расписанием
---


## СформироватьДвиженияИсторииПозицийШтатногоРасписания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет наборы записей регистров ИсторииИспользованияШтатногоРасписания,
// ИсторияНачисленийПоШтатномуРасписанию, ИсторияПоказателейПоШтатномуРасписанию
// по регистратору.
//
// Параметры:
//			Регистратор - ДокументОбъект
//			ДанныеПозиций - Структура, содержащая ключи с именами регистров и
//					выборками из запросов содержащих движения.
//
Процедура СформироватьДвиженияИсторииПозицийШтатногоРасписания(Регистратор, ДанныеПозиций) Экспорт
```

Пример вызова
```bsl
УправлениеШтатнымРасписанием.СформироватьДвиженияИсторииПозицийШтатногоРасписания(Регистратор, ДанныеПозиций) 
```
</details>

## СформироватьДвиженияСпециальностейПоШтатномуРасписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет движения видами специальностей по штатному расписанию
//		ИсторияСпециальностейПоШтатномуРасписанию.
//
// Параметры:
//	Движения - коллекция движений, в которой необходимо заполнить движения.
//	ДатаСобытия			- дата, на которые будут сделаны движения.
//	Специальности - таблица значений с полями:
//		ДатаСобытия
//		ПозицияШтатногоРасписания
//		Специальность
//
Процедура СформироватьДвиженияСпециальностейПоШтатномуРасписанию(Движения, ДатаСобытия, Специальности) Экспорт
```

Пример вызова
```bsl
УправлениеШтатнымРасписанием.СформироватьДвиженияСпециальностейПоШтатномуРасписанию(Движения, ДатаСобытия, Специальности) 
```
</details>

## СформироватьДвиженияКлассовУсловийТрудаПоШтатномуРасписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет набор записей регистра КлассыУсловийТрудаПоДолжностям по регистратору.
//
// Параметры:
//			Организация
//			ДатаВступленияВСилу - дата, на которую будут сделаны движения.
//			Регистратор - ДокументОбъект
//			Позиции - таблица значений
//
Процедура СформироватьДвиженияКлассовУсловийТрудаПоШтатномуРасписанию(Организация, ДатаВступленияВСилу, Регистратор, Позиции) Экспорт
```

Пример вызова
```bsl
УправлениеШтатнымРасписанием.СформироватьДвиженияКлассовУсловийТрудаПоШтатномуРасписанию(Организация, ДатаВступленияВСилу, Регистратор, Позиции) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
