---
title: Управление штатным расписанием переопределяемый
slug: zup/управление-штатным-расписанием-переопределяемый
---


## ПроверитьШтатноеРасписание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для реализации проверки штатного расписания
// на соответствие требованиям.
// Проверка может выполнятся на соответствие бюджетам, лимитам
// численности и т.п.
//
// Параметры:
//		Дата
//		Организация
//		ШтатноеРасписание - Таблица значений с колонками.
//			Подразделение - СправочникСсылка.ПодразделенияОрганизаций
//			Должность
//			Количество 		- 	количество сотрудников по заданной
//								позиции штатного расписания.
//			ФондОплатыТруда -	сумма в валюте регламентированного учета
//								общий фонд оплаты труда по позиции (на все
//								штатные единицы позиции).
//			Результат		-	тип булево. Заполняется при выполнении
//								процедуры результатом проверки.
//			Комментарий		-	должна содержать формулировку результата
//								проверки, которую можно представить пользователю.
// 								Например:
//								"Превышен лимит числа сотрудников по должности",
//								"Превышен лимит бюджета по позиции штатного расписания".
//
Процедура ПроверитьШтатноеРасписание(Дата, Организация, ШтатноеРасписание) Экспорт
```

Пример вызова
```bsl
УправлениеШтатнымРасписаниемПереопределяемый.ПроверитьШтатноеРасписание(Дата, Организация, ШтатноеРасписание) 
```
</details>

## ПроверкаШтатногоРасписанияДоступна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак доступности проверки штатного расписания.
// Считается, что контроль за штатным расписанием устанавливается для всех организаций
// информационной системы.
Функция ПроверкаШтатногоРасписанияДоступна() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеШтатнымРасписаниемПереопределяемый.ПроверкаШтатногоРасписанияДоступна() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
