---
title: Учет НДФЛ
slug: zup/учет-ндфл
---


## ОпределитьСвойстваОбъектовДляОтображенииВФормеОтчетность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура переопределяет свойства объекта, с которыми он будет отображен в форме Отчетность.
// Параметры:
//  СвойстваОбъектов - ТаблицаЗначений - (см. РегламентированнаяОтчетностьПереопределяемый.ОпределитьСвойстваОбъектовДляОтображенииВФормеОтчетность)
Процедура ОпределитьСвойстваОбъектовДляОтображенииВФормеОтчетность(СвойстваОбъектов) Экспорт
```

Пример вызова
```bsl
УчетНДФЛ.ОпределитьСвойстваОбъектовДляОтображенииВФормеОтчетность(СвойстваОбъектов) 
```
</details>

## ОпределитьТаблицуОписанияОбъектовРегламентированнойОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет свойства, касающиеся общих свойств объектов конфигураций-потребителей для отображения в форме Отчетность
// и возможности создания новый объектов из формы Отчетность.
//
// Параметры:
//  ТаблицаОписания  - ТаблицаЗначений -  (см. РегламентированнаяОтчетностьПереопределяемый.ОпределитьТаблицуОписанияОбъектовРегламентированнойОтчетности)
//
Процедура ОпределитьТаблицуОписанияОбъектовРегламентированнойОтчетности(ТаблицаОписания) Экспорт
```

Пример вызова
```bsl
УчетНДФЛ.ОпределитьТаблицуОписанияОбъектовРегламентированнойОтчетности(ТаблицаОписания) 
```
</details>

## РассчитатьИЗарегистрироватьУдержанныеНалоги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для расчета и регистрации НДФЛ удержанного
// по записанным в учете данным и по переданным данным о выплатах.
//
// Параметры:
//      Ссылка - ДокументСсылка - ссылка на документ-регистратор.
//		Движения - коллекция движений регистратора.
//		Отказ - булево - признак отказа от заполнения движений.
//		Организация - СправочникСсылка.Организации - должно быть непустым значением.
//		ДатаОперации - дата - дата, которой будет зарегистрировано движение, должно быть непустым значением.
//      МенеджерТаблиц - МенеджерВременныхТаблиц - должен содержать временную таблицу с данными о выплатах
//                                                 ВТСписокСотрудников с колонками:
//				ФизическоеЛицо: должно быть непустым
//          	СуммаВыплаты.
//          	ДокументОснование, необязательная
//          	СуммаНачисленная, необязательная
//          	СуммаВыплаченная, необязательная
//		Записывать - булево - признак того, надо ли записывать движения сразу, или они будут записаны позже.
//		ПериодРегистрации - дата -
//		ОкончательныйРасчет - булево - признак того, является ли выплата, для которой рассчитывается удержанный налог, выплатой "под расчет".
//		РегистрироватьПеречислениеНДФЛ - булево - признак того, надо ли помимо удержанного вписывать еще и перечисленный налог.
//		ДатаПолученияДохода - дата -
//
//  Формирует движения по регистрам подсистемы.
//
Процедура РассчитатьИЗарегистрироватьУдержанныеНалоги(Ссылка, Движения, Отказ, Организация, ДатаОперации, МенеджерТаблиц, Записывать = Ложь, ПериодРегистрации = Неопределено, ОкончательныйРасчет = Истина, РегистрироватьПеречислениеНДФЛ = Истина, ДатаПолученияДохода = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДФЛ.РассчитатьИЗарегистрироватьУдержанныеНалоги(Ссылка, Движения, Отказ, Организация, ДатаОперации, МенеджерТаблиц, Записывать, ПериодРегистрации, ОкончательныйРасчет, РегистрироватьПеречислениеНДФЛ, ДатаПолученияДохода);
```
</details>

## СформироватьПеречисленныйНалог
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по регистрам подсистемы.
// Параметры:
//      Ссылка - ДокументСсылка - ссылка на документ-регистратор.
//		Движения - коллекция движений регистратора.
//		Отказ - булево - признак отказа от заполнения движений.
//		Организация - СправочникСсылка.Организации - должно быть непустым значением.
//		ДатаОперации - дата - дата, которой будет зарегистрировано движение.
//		ПеречисленныйНалог - ТаблицаЗначений - таблица значений с колонками.
//				МесяцНалоговогоПериода - тип Дата (необязательно).
//				Сумма
//				ПлатежноеПоручениеНомер - тип Строка (необязательно).
//				ПлатежноеПоручениеДата - тип Дата (необязательно).
//      ФизическиеЛица - Массив - массив физических лиц (необязательно), если не задан, перечисленная
//						сумма будет распределена по всем физлицам организации.
//		РегистрацияВНалоговомОргане - необязательный, если не задан, то будет использоваться регистрация для организации.
//		Записывать - булево - признак того, надо ли записывать движения сразу, или они будут записаны позже.
//		Ставка - ПеречислениеСсылка.НДФЛСтавки - ставка по которой уплачен налог, необязательная.
//
Процедура СформироватьПеречисленныйНалог(Ссылка, Движения, Отказ, Организация, ДатаОперации, ПеречисленныйНалог, ФизическиеЛица = Неопределено, РегистрацияВНалоговомОргане = Неопределено, Записывать = Ложь, Ставка = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДФЛ.СформироватьПеречисленныйНалог(Ссылка, Движения, Отказ, Организация, ДатаОперации, ПеречисленныйНалог, ФизическиеЛица, РегистрацияВНалоговомОргане, Записывать, Ставка);
```
</details>

## СформироватьПеречисленныйНалогПоВременнойТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по регистрам подсистемы.
// Параметры:
//		Движения - коллекция движений регистратора.
//		Отказ - признак отказа от заполнения движений.
//		Организация - СправочникСсылка.Организации - должно быть непустым значением.
//		ДатаОперации - дата - дата, которой будет зарегистрировано движение.
//		ПеречисленныйНалог - МенеджерВременныхТаблиц, который содержит вр. таблицу ВТНалогПеречисленный с полями
//				ФизическоеЛицо: должно быть непустым
//  	       	Ставка: должно быть непустым
//				МесяцНалоговогоПериода: должно быть непустым.
//				Сумма
//				РеквизитыПлатежногоПоручения: тип Строка.
//				РегистрацияВНалоговомОргане: тип СправочникСсылка.РегистрацииВНалоговомОргане
//				ВключатьВДекларациюПоНалогуНаПрибыль: тип Булево
//				ИсчисленоПоДивидендам: тип Булево
//		Записывать - булево - признак того, надо ли записывать движения сразу, или они будут записаны позже.
//
Процедура СформироватьПеречисленныйНалогПоВременнойТаблице(Движения, Отказ, Организация, ДатаОперации, ПеречисленныйНалог, Записывать = Ложь) Экспорт
```

Пример вызова
```bsl
УчетНДФЛ.СформироватьПеречисленныйНалогПоВременнойТаблице(Движения, Отказ, Организация, ДатаОперации, ПеречисленныйНалог, Записывать);
```
</details>

## ЗарегистрироватьНалогПеречисленныйПоПлатежнымДокументам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по перечисленному НДФЛ по данным об удержанных платежными документами налогах.
// Параметры:
//		Движения - коллекция движений регистратора.
//		Отказ - булево - признак отказа от заполнения движений.
//		Организация - СправочникСсылка.Организации - должно быть непустым значением.
//		ДатаОперации - дата - дата, которой будет зарегистрировано движение, должно быть непустым значением.
//		ДанныеПлатежа - структура с полями:
//				ПлатежноеПоручениеНомер - тип Строка;
//				ПлатежноеПоручениеДата - тип Дата;
//				ПлатежныеДокументы - массив ссылок на документы выплаты зарплаты.
//      ФизическиеЛица - Массив - массив физических лиц (необязательно),
//			если задан - движения будут сформированы только по переданным физическим лицам.
//		РегистрацияВНалоговомОргане - Массив - массив элементов справочника РегистрацииВНалоговомОргане, необязательный,
//			если задан - движения будут сформированы только по переданным регистрациям.
//		Записывать - булево - признак того, надо ли записывать движения сразу, или они будут записаны позже.
//
Процедура ЗарегистрироватьНалогПеречисленныйПоПлатежнымДокументам(Движения, Отказ, Организация, ДатаОперации, ДанныеПлатежа, ФизическиеЛица = Неопределено, РегистрацияВНалоговомОргане = Неопределено, Записывать = Ложь) Экспорт
```

Пример вызова
```bsl
УчетНДФЛ.ЗарегистрироватьНалогПеречисленныйПоПлатежнымДокументам(Движения, Отказ, Организация, ДатаОперации, ДанныеПлатежа, ФизическиеЛица, РегистрацияВНалоговомОргане, Записывать);
```
</details>

## ЗарегистрироватьНДФЛПеречисленныйПоПлатежномуДокументу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует движения по перечисленному НДФЛ с учетом зарегистрированных ранее авансов по налогу.
// Параметры:
//		Движения - коллекция движений регистратора.
//		Отказ - булево - признак отказа от заполнения движений.
//		Организация - СправочникСсылка.Организации - должно быть непустым значением.
//		ДатаОперации - дата.
//		РеквизитыПлатежногоПоручения - строка.
//		Записывать - булево - признак того, надо ли записывать движения сразу, или они будут записаны позже.
//
Процедура ЗарегистрироватьНДФЛПеречисленныйПоПлатежномуДокументу(Движения, Отказ, Организация, ДатаОперации, РеквизитыПлатежногоПоручения, Записывать = Ложь) Экспорт
```

Пример вызова
```bsl
УчетНДФЛ.ЗарегистрироватьНДФЛПеречисленныйПоПлатежномуДокументу(Движения, Отказ, Организация, ДатаОперации, РеквизитыПлатежногоПоручения, Записывать);
```
</details>

## ПеречисленныйНалогРегистратораПоФизическимЛицам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для получения сумм перечисленного налога, зарегистрированных документом, в разрезе физических лиц.
// Параметры:
//      Регистратор - ДокументСсылка - регистратор, для которого выполняется чтение движений.
//
//  Возвращаемое значение:
//  	таблица значений с колонками
//			ФизическоеЛицо - СправочникСсылка.ФизическиеЛица -
//			Сумма - число -
//
Функция ПеречисленныйНалогРегистратораПоФизическимЛицам(Регистратор) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛ.ПеречисленныйНалогРегистратораПоФизическимЛицам(Регистратор) 
```
</details>

## РеестрПеречисленныхСуммНалога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Готовит печатную форму.
// Параметры:
//		РеквизитыПлатежа - таблица значений с колонками.
//				Организация - СправочникСсылка.Организации - должно быть непустым значением.
//				МесяцНалоговогоПериода - дата - должно быть непустым значением.
//				ДатаПлатежа - дата - должно быть непустым значением.
//				ПлатежноеПоручениеНомер - строка (необязательно).
//				ПлатежноеПоручениеДата - дата (необязательно).
//              РегистрацияВНалоговомОргане - СправочникСсылка.РегистрацииВНалоговомОргане  (необязательно)
//              ГлавныйБухгалтер - СправочникСсылка.ФизическиеЛица (необязательно)
//              Бухгалтер - СправочникСсылка.ФизическиеЛица (необязательно)
//
//  Возвращаемое значение:
//		табличный документ.
//
Функция РеестрПеречисленныхСуммНалога(РеквизитыПлатежа) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛ.РеестрПеречисленныхСуммНалога(РеквизитыПлатежа) 
```
</details>

## НалогСДивидендовАкционера
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет расчет налога с дивидендов для одного акционера.
//
// Параметры:
//		ДатаПолученияДохода - дата.
//		Организация - СправочникСсылка.Организации - должно быть непустым значением.
//		Акционер - СправочникСсылка.ФизическиеЛица - должно быть непустым.
//		Начислено - число - сумма дивидендов.
//		ВычетПоНДФЛ - число - сумма вычета.
//		КатегорияДивидендов - ПеречислениеСсылка.КатегорииДоходовНДФЛ - категория, определяющая порядок исчисления и ставку налога.
//		ИсключаемыйРегистратор - ДокументСсылка - документ, для которого производится расчет
//
//  Возвращаемое значение:
//		структура, содержит два значения: НДФЛ и НДФЛСПревышения.
//
Функция НалогСДивидендовАкционера(ДатаПолученияДохода, Организация, Акционер, Начислено, ВычетПоНДФЛ, КатегорияДивидендов = Неопределено, ИсключаемыйРегистратор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛ.НалогСДивидендовАкционера(ДатаПолученияДохода, Организация, Акционер, Начислено, ВычетПоНДФЛ, КатегорияДивидендов, ИсключаемыйРегистратор);
```
</details>

## СформироватьДоходыИНДФЛСДивидендов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию доходов по дивидендам и налога с этих доходов.
//
// Параметры:
//		Регистратор - ДокументСсылка -
//		Движения - коллекция движений либо структура с наборами записей регистратора.
//		Отказ - булево - признак отказа от заполнения движений.
//		Организация - СправочникСсылка.Организации - должно быть непустым значением.
//		ДатаВыплаты - дата - дата, которой будет зарегистрировано движение.
//		Дивиденды - ТаблицаЗначений - содержит, как минимум, колонки:
//			Акционер
//			Начислено
//			ВычетПоНДФЛ
//			НДФЛ
//			НДФЛСПревышения
//			НалогНаПрибыльКЗачету
//			НалогСДивидендовУплаченныйЗаРубежом
//		ВключатьВДекларациюПоНалогуНаПрибыль - булево -
//		РегистрироватьУдержаниеПеречислениеНДФЛ - булево - признак того, что необходимо зарегистрировать удержание и перечисление НДФЛ
//		ДатаПлатежа - дата -
//		РеквизитыПлатежа - строка - реквизиты платежного поручения на перечисление налога.
//		Записывать - булево - признак того, надо ли записывать движения сразу, или они будут записаны позже.
//
Процедура СформироватьДоходыИНДФЛСДивидендов(Регистратор, Движения, Отказ, Организация, ДатаВыплаты, Дивиденды, ВключатьВДекларациюПоНалогуНаПрибыль, РегистрироватьУдержаниеПеречислениеНДФЛ = Ложь, ДатаПлатежа = Неопределено, РеквизитыПлатежа = "", Записывать = Ложь) Экспорт
```

Пример вызова
```bsl
УчетНДФЛ.СформироватьДоходыИНДФЛСДивидендов(Регистратор, Движения, Отказ, Организация, ДатаВыплаты, Дивиденды, ВключатьВДекларациюПоНалогуНаПрибыль, РегистрироватьУдержаниеПеречислениеНДФЛ, ДатаПлатежа, РеквизитыПлатежа, Записывать);
```
</details>

## РеквизитыПлатежногоПорученияПоДатеНомеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку-описание для идентификации платежа.
//
// Параметры:
//		ДатаПП - дата.
//		НомерПП - строка.
//
//  Возвращаемое значение:
//		строка для записи в движения.
//
Функция РеквизитыПлатежногоПорученияПоДатеНомеру(ДатаПП, НомерПП) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛ.РеквизитыПлатежногоПорученияПоДатеНомеру(ДатаПП, НомерПП) 
```
</details>

## ЗарегистрироватьНовуюДатуПолученияДохода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переносит ранее зарегистрированный доход на новую дату получения дохода
// Параметры:
//		Регистратор - ДокументСсылка - документ выплаты
//		МенеджерВременныхТаблиц - МенеджерВременныхТаблиц - должен содержать временные таблицы
//      	ВТСписокСотрудников, с данными о выплатах вида:
//				ФизическоеЛицо: должно быть непустым
//          	СуммаВыплаты.
//          	ДокументОснование, необязательная
//          	СтатьяФинансирования, необязательная
//          	СтатьяРасходов, необязательная
//          	СуммаНачисленная, необязательная
//          	СуммаВыплаченная, необязательная,
//			Если колонки СуммаНачисленная, СуммаВыплаченная отсутствуют, возможная частичная выплата не будет учтена.
//		Движения - коллекция движений регистратора.
//		ДатаВыплаты - дата - новая дата получения дохода.
//		ДатаОперации - дата - дата, которой будет зарегистрировано движение.
//		Отказ - признак отказа от заполнения движений.
//
Процедура ЗарегистрироватьНовуюДатуПолученияДохода(Регистратор, Движения, МенеджерВременныхТаблиц, ДатаВыплаты, ДатаОперации, Отказ , Записывать = Ложь) Экспорт
```

Пример вызова
```bsl
УчетНДФЛ.ЗарегистрироватьНовуюДатуПолученияДохода(Регистратор, Движения, МенеджерВременныхТаблиц, ДатаВыплаты, ДатаОперации, Отказ, Записывать);
```
</details>

## ДоходыНДФЛПоВидуОсобыхНачислений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует перечень кодов дохода, соответствующих переданному виду договора ГПХ: авторскому или на оказание услуг.
//
// Параметры:
//		ВидНачисления - ПеречислениеСсылка.ВидыОсобыхНачисленийИУдержаний - описание вида договора ГПХ.
//
//  Возвращаемое значение:
//		массив значений типа СправочникСсылка.ВидыДоходовНДФЛ.
//
Функция ДоходыНДФЛПоВидуОсобыхНачислений(ВидНачисления) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛ.ДоходыНДФЛПоВидуОсобыхНачислений(ВидНачисления) 
```
</details>

## НачисленоНалогаЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует таблицу сумм начисленного налога в разрезе регистраторов и регистраций в ИФНС.
//
// Параметры:
//		Организация - СправочникСсылка.Организации - должно быть непустым значением.
//		НачалоПериода - дата -
//		ОкончаниеПериода - дата -
//		МесяцНалоговогоПериода - дата - дата, определяющая месяц (необязательный).
//
//  Возвращаемое значение:
//		таблица значений с колонками
//			Регистратор - ДокументСсылка
//			РегистрацияВНалоговомОргане - СправочникСсылка.РегистрацииВНалоговомОргане
//			КодНалоговогоОргана - строка
//			КПП - строка
//			КодПоОКТМО - строка
//			Сумма
//			СуммаСПревышения
//
Функция НачисленоНалогаЗаПериод(Организация, НачалоПериода, ОкончаниеПериода, МесяцНалоговогоПериода = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛ.НачисленоНалогаЗаПериод(Организация, НачалоПериода, ОкончаниеПериода, МесяцНалоговогоПериода);
```
</details>

## КБКпоНДФЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Собирает все КБК в одном месте.
//
// Параметры:
//		ОтчетныйПериод - дата -
//
//  Возвращаемое значение:
//		структура, содержащая строки КБК, с именами
//			Основной
//			СПревышения
//			Дивиденды
//			ДивидендыСПревышения
//			ПоОблигациям
//
Функция КБКпоНДФЛ(ОтчетныйПериод) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛ.КБКпоНДФЛ(ОтчетныйПериод) 
```
</details>

## КБККатегорийДохода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сопоставляет категориям доходов КБК.
//
// Параметры:
//		ОтчетныйПериод - дата -
//
//  Возвращаемое значение:
//		ТаблицаЗначений с колонками
//			КатегорияДохода
//			КБК
//
Функция КБККатегорийДохода(ОтчетныйПериод) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛ.КБККатегорийДохода(ОтчетныйПериод) 
```
</details>

## УдержаноНалогаЗаПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует таблицу сумм удержанного налога в разрезе КБК, сроков перечисления и регистраций в ИФНС.
//
// Параметры:
//		Организация - СправочникСсылка.Организации - должно быть непустым значением.
//		НачалоПериода - дата -
//		ОкончаниеПериода - дата -
//		ПолучатьДанныеПоВсемуЮрлицу - булево -
//		ДляЕНП - булево - если равно Истина, используются особый отбор данных и расчет срока перечисления налога;
//                        если равно Ложь, данные об удержанном налоге без затей читаются из данных учета.
//
//  Возвращаемое значение:
//		таблица значений с колонками
//			Организация - СправочникСсылка.Организации - может быть как головной, так и ОП
//			РегистрацияВНалоговомОргане - СправочникСсылка.РегистрацииВНалоговомОргане
//			СрокПеречисленияНалога - дата
//			КБК - строка
//			Сумма
//
Функция УдержаноНалогаЗаПериод(Организация, НачалоПериода, ОкончаниеПериода, ПолучатьДанныеПоВсемуЮрлицу = Ложь, ДляЕНП = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛ.УдержаноНалогаЗаПериод(Организация, НачалоПериода, ОкончаниеПериода, ПолучатьДанныеПоВсемуЮрлицу, ДляЕНП);
```
</details>

## НачалоПередачиЧастичныхУведомлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату вступления в силу положений Федерального закона от 31.07.2023 № 389-ФЗ в части представления налоговых уведомлений дважды в месяц.
//
// Возвращаемое значение:
//   дата
//
Функция НачалоПередачиЧастичныхУведомлений() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛ.НачалоПередачиЧастичныхУведомлений() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
