---
title: Учет НДФЛ ВХО
slug: zup/учет-ндфл-вхо
---


## ЗарегистрироватьОбработчикиОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в список Обработчики процедуры-обработчики обновления,
// необходимые данной подсистеме.
//
// Параметры:
//   Обработчики - ТаблицаЗначений - см. описание функции НоваяТаблицаОбработчиковОбновления
//                                   общего модуля ОбновлениеИнформационнойБазы.
//
Процедура ЗарегистрироватьОбработчикиОбновления(Обработчики) Экспорт
```

Пример вызова
```bsl
УчетНДФЛВХО.ЗарегистрироватьОбработчикиОбновления(Обработчики) 
```
</details>

## ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
УчетНДФЛВХО.ЗаполнитьИсточникиДанныхДляПроверкиЗапретаИзменения(ИсточникиДанных) 
```
</details>

## ПриПолученииПредопределенныхНаборовСвойств
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеСвойствамиПереопределяемый.ПриПолученииПредопределенныхНаборовСвойств.
Процедура ПриПолученииПредопределенныхНаборовСвойств(Наборы) Экспорт
```

Пример вызова
```bsl
УчетНДФЛВХО.ПриПолученииПредопределенныхНаборовСвойств(Наборы) 
```
</details>

## ПриЗаполненииСписковСОграничениемДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступомПереопределяемый.ПриЗаполненииСписковСОграничениемДоступа.
Процедура ПриЗаполненииСписковСОграничениемДоступа(Списки) Экспорт
```

Пример вызова
```bsl
УчетНДФЛВХО.ПриЗаполненииСписковСОграничениемДоступа(Списки) 
```
</details>

## ПоказыватьВводДокументаПеречисленияНДФЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет доступность команды ввода документа ПеречислениеНДФЛВБюджет.
// Команда доступна (видима), если используются ВХО и пользователю доступно проведение документа.
//
Функция ПоказыватьВводДокументаПеречисленияНДФЛ() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛВХО.ПоказыватьВводДокументаПеречисленияНДФЛ() 
```
</details>

## ЗаменитьВЗапросеПеречислениеНДФЛВБюджет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаменитьВЗапросеПеречислениеНДФЛВБюджет(Запрос) Экспорт
```

Пример вызова
```bsl
УчетНДФЛВХО.ЗаменитьВЗапросеПеречислениеНДФЛВБюджет(Запрос) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
