---
title: Учет НДФЛ клиент
slug: zup/учет-ндфл-клиент
---


## ПриОпределенииНастроекТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. ЗарплатаКадрыКлиент.НастройкиТипа.
Процедура ПриОпределенииНастроекТипа(Тип, НастройкиТипа) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.ПриОпределенииНастроекТипа(Тип, НастройкиТипа) 
```
</details>

## ВычетВПределахНормативовПоАвторскимВознаграждениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//  Возвращаемое значение:
//  	Тип СправочникСсылка.ВидыВычетовНДФЛ, вычет с кодом 405
//
Функция ВычетВПределахНормативовПоАвторскимВознаграждениям() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛКлиент.ВычетВПределахНормативовПоАвторскимВознаграждениям() 
```
</details>

## СтавкаНалогообложенияКатегорииДоходовПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает одну из трех ставок налогообложения нерезидента, наиболее соответствующих доходу.
//
// Параметры:
//	КатегорияДохода - ПеречислениеСсылка.КатегорииДоходовНДФЛ -
//
// Возвращаемое значение:
//	Тип ПеречислениеСсылка.НДФЛСтавкиНалогообложенияРезидента.
//
Функция СтавкаНалогообложенияКатегорииДоходовПоУмолчанию(КатегорияДохода) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛКлиент.СтавкаНалогообложенияКатегорииДоходовПоУмолчанию(КатегорияДохода) 
```
</details>

## ОткрытьФормуПодробнееОРасчетеНДФЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура открывает общую форму, показывающую, какие вычеты были применены при расчете НДФЛ в документе.
//
// Параметры:
//	Организация									- СправочникСсылка.Организации
//	Владелец									- ФормаКлиентскогоПриложения, элемент, в который необходимо возвратить результат оповещения.
//	МесяцНачисления								- Дата
//	СотрудникФизическоеЛицо						- СправочникСсылка.Сотрудники
//												- СправочникСсылка.ФизическиеЛица
//	НеРаспределятьПоИсточникамФинансирования	- Булево, Истина - если распределение производится документом.
//
// Возвращаемое значение
//	Форма при закрытии отправляет оповещение владельцу, с которым передается содержимое ТЧ НДФЛ и
//	ПримененныеВычетыНаДетейИИмущественные.
//
Процедура ОткрытьФормуПодробнееОРасчетеНДФЛ(Организация, Владелец, МесяцНачисления, СотрудникФизическоеЛицо, НеРаспределятьПоИсточникамФинансирования = Ложь, ОбработчикВыбора = Неопределено) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.ОткрытьФормуПодробнееОРасчетеНДФЛ(Организация, Владелец, МесяцНачисления, СотрудникФизическоеЛицо, НеРаспределятьПоИсточникамФинансирования, ОбработчикВыбора);
```
</details>

## ВывестиМашиночитаемуюФормуСправки2НДФЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует и выводит на экран печатные формы с двумерным штрих-кодом PDF417.
//
// Параметры:
//	КомандыПечати - ТаблицаЗначений - состав полей см. в функции УправлениеПечатью.СоздатьКоллекциюКомандПечати.
//
Функция ВывестиМашиночитаемуюФормуСправки2НДФЛ(ОписаниеКоманды) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛКлиент.ВывестиМашиночитаемуюФормуСправки2НДФЛ(ОписаниеКоманды) 
```
</details>

## НДФЛПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НДФЛПередУдалением(Форма, НДФЛВыделенныеСтроки, Отказ) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.НДФЛПередУдалением(Форма, НДФЛВыделенныеСтроки, Отказ) 
```
</details>

## НДФЛПриАктивизацииСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НДФЛПриАктивизацииСтроки(Форма) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.НДФЛПриАктивизацииСтроки(Форма) 
```
</details>

## НДФЛПриНачалеРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НДФЛПриНачалеРедактирования(Форма, ТекущиеДанные, НоваяСтрока, Копирование) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.НДФЛПриНачалеРедактирования(Форма, ТекущиеДанные, НоваяСтрока, Копирование) 
```
</details>

## НДФЛПриОкончанииРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НДФЛПриОкончанииРедактирования(Форма) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.НДФЛПриОкончанииРедактирования(Форма) 
```
</details>

## УдалитьПримененныеВычетыНаДетейИИмущественные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьПримененныеВычетыНаДетейИИмущественные(Форма) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.УдалитьПримененныеВычетыНаДетейИИмущественные(Форма) 
```
</details>

## ВычетыПриНачалеРедактирования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВычетыПриНачалеРедактирования(СтрокаПримененныеВычетыНаДетейИИмущественные, НоваяСтрока, СтрокаИсточникЗаполнения) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.ВычетыПриНачалеРедактирования(СтрокаПримененныеВычетыНаДетейИИмущественные, НоваяСтрока, СтрокаИсточникЗаполнения) 
```
</details>

## КодДоходаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура КодДоходаПриИзменении(Форма, ГодНалоговогоПериода, ИмяТаблицы, КодДоходаИмяРеквизита, ИмяПоляКодВычета, КодВычетаИмяРеквизита, СуммаВычетаИмяРеквизита = "") Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.КодДоходаПриИзменении(Форма, ГодНалоговогоПериода, ИмяТаблицы, КодДоходаИмяРеквизита, ИмяПоляКодВычета, КодВычетаИмяРеквизита, СуммаВычетаИмяРеквизита);
```
</details>

## КодДоходаАктивацииСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура КодДоходаАктивацииСтроки(Форма, ГодНалоговогоПериода, ИмяТаблицы, КодДоходаИмяРеквизита, ИмяПоляКодВычета) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.КодДоходаАктивацииСтроки(Форма, ГодНалоговогоПериода, ИмяТаблицы, КодДоходаИмяРеквизита, ИмяПоляКодВычета) 
```
</details>

## ФормаПодробнееОРасчетеНДФЛНДФЛВыбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФормаПодробнееОРасчетеНДФЛНДФЛВыбор(Форма, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, ОписаниеТаблицыНДФЛ, МесяцНачисления, Организация) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.ФормаПодробнееОРасчетеНДФЛНДФЛВыбор(Форма, Элемент, ВыбраннаяСтрока, Поле, СтандартнаяОбработка, ОписаниеТаблицыНДФЛ, МесяцНачисления, Организация) 
```
</details>

## ФормаПодробнееОРасчетеНДФЛПерераспределитьНДФЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФормаПодробнееОРасчетеНДФЛПерераспределитьНДФЛ(СтрокаНДФЛ, РаботаВБюджетномУчреждении) Экспорт
```

Пример вызова
```bsl
УчетНДФЛКлиент.ФормаПодробнееОРасчетеНДФЛПерераспределитьНДФЛ(СтрокаНДФЛ, РаботаВБюджетномУчреждении) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
