---
title: Учет НДФЛ расширенный
slug: zup/учет-ндфл-расширенный
---


## СформироватьДоходыИНДФЛСДивидендов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет регистрацию доходов по дивидендам и налога с этих доходов.
//
// Параметры:
//		Регистратор - ДокументСсылка -
//		Движения - коллекция движений регистратора.
//		Отказ - булево - признак отказа от заполнения движений.
//		Организация - СправочникСсылка.Организации -
//		ДатаВыплаты - дата - дата, которой будет зарегистрировано движение.
//		Дивиденды - ТаблицаЗначений - содержит, как минимум, колонки:
//			Акционер
//			Начислено
//			ВычетПоНДФЛ
//			НДФЛ
//		ВключатьВДекларациюПоНалогуНаПрибыль - булево -
//		РегистрироватьУдержаниеПеречислениеНДФЛ - булево - признак того, что необходимо зарегистрировать удержание и перечисление НДФЛ
//		ДатаПлатежа - дата -
//		РеквизитыПлатежа - строка - реквизиты платежного поручения на перечисление налога.
//		Записывать - булево - признак того, надо ли записывать движения сразу, или они будут записаны позже.
//
Процедура СформироватьДоходыИНДФЛСДивидендов(Регистратор, Движения, Отказ, Организация, ДатаВыплаты, Дивиденды, ВключатьВДекларациюПоНалогуНаПрибыль, РегистрироватьУдержаниеПеречислениеНДФЛ = Ложь, ДатаПлатежа = Неопределено, РеквизитыПлатежа = "", Записывать = Ложь) Экспорт
```

Пример вызова
```bsl
УчетНДФЛРасширенный.СформироватьДоходыИНДФЛСДивидендов(Регистратор, Движения, Отказ, Организация, ДатаВыплаты, Дивиденды, ВключатьВДекларациюПоНалогуНаПрибыль, РегистрироватьУдержаниеПеречислениеНДФЛ, ДатаПлатежа, РеквизитыПлатежа, Записывать);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
