---
title: Учет НДФЛ физические лица
slug: zup/учет-ндфл-физические-лица
---


## ЗапросВТСведенияОСтатусахНалогоплательщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подготовленный запрос, формирующий временную таблицу с указанным именем.
// Временная таблица содержит поля Период, ФизическоеЛицо, СтатусНалогоплательщика.
//
// Параметры:
//		ТолькоРазрешенные
//		ОписательВременнойТаблицыОтборов - Структура, см. КадровыйУчет.ОписаниеВременнойТаблицыОтборовФизическихЛиц.
//		ПоляОтбораПериодическихДанных - Соответствие
//		ИмяВТСведенияОСтатусахНалогоплательщиков - Строка, имя временной таблицы, созданной в результате выполнения запроса.
//
// ВозвращаемоеЗначение:
//		Запрос
//
Функция ЗапросВТСведенияОСтатусахНалогоплательщиков(ТолькоРазрешенные, ОписательВременнойТаблицыОтборов, ПоляОтбораПериодическихДанных, ИмяВТСведенияОСтатусахНалогоплательщиков = "ВТСведенияОСтатусахНалогоплательщиков") Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛФизическиеЛица.ЗапросВТСведенияОСтатусахНалогоплательщиков(ТолькоРазрешенные, ОписательВременнойТаблицыОтборов, ПоляОтбораПериодическихДанных, ИмяВТСведенияОСтатусахНалогоплательщиков);
```
</details>

## ДобавитьПолеСведенийОСтатусахНалогоплательщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сведения о статусе налогоплательщика.

Функция ДобавитьПолеСведенийОСтатусахНалогоплательщиков(ИмяПоля, ТекстыОписанияПолей, ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛФизическиеЛица.ДобавитьПолеСведенийОСтатусахНалогоплательщиков(ИмяПоля, ТекстыОписанияПолей, ИсточникиДанных) 
```
</details>

## ДобавитьТекстЗапросаВТСведенияОСтатусахНалогоплательщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаВТСведенияОСтатусахНалогоплательщиков(Запрос, ТолькоРазрешенные, ОписательВременнойТаблицыОтборов, ПоляОтбораПериодическихДанных, ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
УчетНДФЛФизическиеЛица.ДобавитьТекстЗапросаВТСведенияОСтатусахНалогоплательщиков(Запрос, ТолькоРазрешенные, ОписательВременнойТаблицыОтборов, ПоляОтбораПериодическихДанных, ИсточникиДанных) 
```
</details>

## НеобходимыСведенияОСтатусахНалогоплательщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НеобходимыСведенияОСтатусахНалогоплательщиков(Знач ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛФизическиеЛица.НеобходимыСведенияОСтатусахНалогоплательщиков(ИмяПоля) 
```
</details>

## ДобавитьКритерийПоискаПоСведениямОСтатусахНалогоплательщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьКритерийПоискаПоСведениямОСтатусахНалогоплательщиков(КритерииПоиска, УсловиеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛФизическиеЛица.ДобавитьКритерийПоискаПоСведениямОСтатусахНалогоплательщиков(КритерииПоиска, УсловиеПоиска) 
```
</details>

## ПутьКДаннымСведенийОСтатусахНалогоплательщиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПутьКДаннымСведенийОСтатусахНалогоплательщиков(Знач ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛФизическиеЛица.ПутьКДаннымСведенийОСтатусахНалогоплательщиков(ИмяПоля));
```
</details>

## ЗаполнитьПоляПредставленийКадровыхДанныхФизическихЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПоляПредставленийКадровыхДанныхФизическихЛиц(ДополнительныеПоляПредставлений, ПутьКПолямЛичныхДанных) Экспорт
```

Пример вызова
```bsl
УчетНДФЛФизическиеЛица.ЗаполнитьПоляПредставленийКадровыхДанныхФизическихЛиц(ДополнительныеПоляПредставлений, ПутьКПолямЛичныхДанных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
