---
title: Учет НДФЛ формы клиент
slug: zup/учет-ндфл-формы-клиент
---


## НачатьРедактированиеКорректировокВыплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает форму редактирования корректировок выплаты сотрудника.
//
// Параметры:
//   ПараметрыФормы - Структура - См. функцию ПараметрыФормыРедактированияСтажейСотрудника().
//   Обработчик - ОписаниеОповещения - Описание процедуры, вызываемой при окончании редактировании стажей с параметрами.
//       * АдресРезультата - Неопределено, КодВозвратаДиалога, Строка -
//           При успешном окончании редактирования удержаний процедура будет вызвана с параметром типа "Строка",
//           в котором хранится адрес временного хранилища, в котором размещена Структура с полями:
//               ** ФизическоеЛицо - СправочникСсылка.ФизическиеЛица
//               ** КорректировкиВыплаты - ТаблицаЗначений
//               ** РаспределениеРезультатовУдержаний - ТаблицаЗначений
//           Данную строку можно передать в процедуру РасчетЗарплатыРасширенныйФормы.ОбновитьДанныеКорректировокВыплаты().
//           При отказе от редактирования процедура будет вызвана с параметром типа "Неопределено" или "КодВозвратаДиалога".
//           Пример чтения результатов процедуры см. в форме документа БольничныйЛист.
//       * ДополнительныеПараметры - Произвольный - Значение, которое было указано при создании объекта ОписаниеОповещения.
//
Процедура НачатьРедактированиеКорректировокВыплаты(ПараметрыФормы, Обработчик) Экспорт
```

Пример вызова
```bsl
УчетНДФЛФормыКлиент.НачатьРедактированиеКорректировокВыплаты(ПараметрыФормы, Обработчик) 
```
</details>

## ПараметрыРедактированияКорректировокВыплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры, необходимые для процедуры ОткрытьФормуРедактированияСтажей.
//
// Возвращаемое значение:
//   Структура - Параметры, необходимые для вызова процедуры НачатьРедактированиеКорректировокВыплаты.
//       * ТолькоПросмотр - Булево - Признак возможности редактирования отображаемых данных.
//       * Организация - СправочникСсылка.Организации
//       * МесяцНачисления - Дата
//       * СотрудникФизическоеЛицо - СправочникСсылка.Сотрудники, СправочникСсылка.ФизическиеЛица
//       * ДанныеКорректировокВыплаты - Строка - Адрес временного хранилища с данными корректировок выплаты.
//           См. РасчетЗарплатыРасширенныйФормы.ДанныеКорректировокВыплаты().
//
Функция ПараметрыРедактированияКорректировокВыплаты() Экспорт
```

Пример вызова
```bsl
Результат = УчетНДФЛФормыКлиент.ПараметрыРедактированияКорректировокВыплаты() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
