---
title: Учет пособий социального страхования клиент сервер
slug: zup/учет-пособий-социального-страхования-клиент-сервер
---


## РегистрационныйНомерДляОбменаФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает регистрационный номер для целей обмена с ФСС.
Функция РегистрационныйНомерДляОбменаФСС(Объект) Экспорт
```

Пример вызова
```bsl
Результат = УчетПособийСоциальногоСтрахованияКлиентСервер.РегистрационныйНомерДляОбменаФСС(Объект) 
```
</details>

## СНИЛСВФорматеФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// АПК:558-выкл Функции прямого и обратного преобразования должны быть рядом.

// Возвращает СНИЛС для целей обмена с ФСС.
Функция СНИЛСВФорматеФСС(СтраховойНомерПФР) Экспорт
```

Пример вызова
```bsl
Результат = УчетПособийСоциальногоСтрахованияКлиентСервер.СНИЛСВФорматеФСС(СтраховойНомерПФР) 
```
</details>

## СНИЛСВФорматеИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает СНИЛС для целей поиска сотрудника в ИБ.
Функция СНИЛСВФорматеИБ(СНИЛСВФорматеФСС) Экспорт
```

Пример вызова
```bsl
Результат = УчетПособийСоциальногоСтрахованияКлиентСервер.СНИЛСВФорматеИБ(СНИЛСВФорматеФСС) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
