---
title: Учет страховых взносов физические лица
slug: zup/учет-страховых-взносов-физические-лица
---


## ЗапросВТСведенияОСтатусахЗастрахованныхЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает подготовленный запрос, формирующий временную таблицу с указанным именем.
// Временная таблица содержит поля Период, ФизическоеЛицо, ВидЗастрахованногоЛица.
//
// Параметры:
//		ТолькоРазрешенные
//		ОписательВременнойТаблицыОтборов - Структура, см. КадровыйУчет.ОписаниеВременнойТаблицыОтборовФизическихЛиц.
//		ПоляОтбораПериодическихДанных - Соответствие
//		ИмяВТСведенияОСтатусахЗастрахованныхЛиц - Строка, имя временной таблицы, созданной в результате выполнения запроса.
//
// ВозвращаемоеЗначение:
//		Запрос
//
Функция ЗапросВТСведенияОСтатусахЗастрахованныхЛиц(ТолькоРазрешенные, ОписательВременнойТаблицыОтборов, ПоляОтбораПериодическихДанных, ИмяВТСведенияОСтатусахЗастрахованныхЛиц = "ВТСведенияОСтатусахЗастрахованныхЛиц") Экспорт
```

Пример вызова
```bsl
Результат = УчетСтраховыхВзносовФизическиеЛица.ЗапросВТСведенияОСтатусахЗастрахованныхЛиц(ТолькоРазрешенные, ОписательВременнойТаблицыОтборов, ПоляОтбораПериодическихДанных, ИмяВТСведенияОСтатусахЗастрахованныхЛиц);
```
</details>

## ДобавитьПолеСведенийОСтатусахЗастрахованныхЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сведения о статусах застрахованных физических лиц.

Функция ДобавитьПолеСведенийОСтатусахЗастрахованныхЛиц(ИмяПоля, ТекстыОписанияПолей, ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
Результат = УчетСтраховыхВзносовФизическиеЛица.ДобавитьПолеСведенийОСтатусахЗастрахованныхЛиц(ИмяПоля, ТекстыОписанияПолей, ИсточникиДанных) 
```
</details>

## ДобавитьТекстЗапросаВТСведенияОСтатусахЗастрахованныхЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаВТСведенияОСтатусахЗастрахованныхЛиц(Запрос, ТолькоРазрешенные, ОписательВременнойТаблицыОтборов, ПоляОтбораПериодическихДанных, ИсточникиДанных) Экспорт
```

Пример вызова
```bsl
УчетСтраховыхВзносовФизическиеЛица.ДобавитьТекстЗапросаВТСведенияОСтатусахЗастрахованныхЛиц(Запрос, ТолькоРазрешенные, ОписательВременнойТаблицыОтборов, ПоляОтбораПериодическихДанных, ИсточникиДанных) 
```
</details>

## НеобходимыСведенияОСтатусахЗастрахованныхЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НеобходимыСведенияОСтатусахЗастрахованныхЛиц(Знач ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = УчетСтраховыхВзносовФизическиеЛица.НеобходимыСведенияОСтатусахЗастрахованныхЛиц(ИмяПоля) 
```
</details>

## ДобавитьКритерийПоискаПоСведениямОСтатусахЗастрахованныхЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДобавитьКритерийПоискаПоСведениямОСтатусахЗастрахованныхЛиц(КритерииПоиска, УсловиеПоиска) Экспорт
```

Пример вызова
```bsl
Результат = УчетСтраховыхВзносовФизическиеЛица.ДобавитьКритерийПоискаПоСведениямОСтатусахЗастрахованныхЛиц(КритерииПоиска, УсловиеПоиска) 
```
</details>

## ПутьКДаннымСведенийОСтатусахЗастрахованныхЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПутьКДаннымСведенийОСтатусахЗастрахованныхЛиц(Знач ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = УчетСтраховыхВзносовФизическиеЛица.ПутьКДаннымСведенийОСтатусахЗастрахованныхЛиц(ИмяПоля));
```
</details>

## ЗаполнитьПоляПредставленийКадровыхДанныхФизическихЛиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПоляПредставленийКадровыхДанныхФизическихЛиц(ДополнительныеПоляПредставлений, ПутьКПолямЛичныхДанных) Экспорт
```

Пример вызова
```bsl
УчетСтраховыхВзносовФизическиеЛица.ЗаполнитьПоляПредставленийКадровыхДанныхФизическихЛиц(ДополнительныеПоляПредставлений, ПутьКПолямЛичныхДанных) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
