---
title: Физические лица зарплата кадры
slug: zup/физические-лица-зарплата-кадры
---


## ДобавитьПравилоПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в коллекцию описание проверяемых данных.
//
// Параметры:
//		КоллекцияПравил - Массив, если передано Неопределено будет создан массив.
//		ПравилоПроверки - Строка, идентификатор правила проверки
//						доступные идентификаторы:
//							ИНН
//							СНИЛС
//							МестоРождения
//							Адрес
//		ПутьКДанным - Строка
//		ПредставлениеПроверяемогоЭлемента - Строка
//		ОбязательноКЗаполнению - Булево, по умолчанию Ложь.
//
Процедура ДобавитьПравилоПроверки(КоллекцияПравил, ПравилоПроверки, ПутьКДанным, ПредставлениеПроверяемогоЭлемента, ОбязательноКЗаполнению = Ложь) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЗарплатаКадры.ДобавитьПравилоПроверки(КоллекцияПравил, ПравилоПроверки, ПутьКДанным, ПредставлениеПроверяемогоЭлемента, ОбязательноКЗаполнению);
```
</details>

## ДобавитьПравилоПроверкиУдостоверенияЛичности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в коллекцию описание правил с идентификатором "УдостоверениеЛичности", для проверки документа,
// удостоверяющего личность.
// Описание одноименных параметров, см. ДобавитьПравилоПроверки.
//
// Параметры:
//		ПутьКДаннымСерииДокумента
//		ПутьКДаннымНомераДокумента
//		ПутьКДаннымДатыВыдачиДокумента
//      ПутьКДаннымКемВыданДокумент
//		ПроверятьДопустимыеВидыДокументовФНС - булево - определяет необходимость проверки виды документа с точки зрения ФНС.
//
Процедура ДобавитьПравилоПроверкиУдостоверенияЛичности(КоллекцияПравил, ПутьКДаннымВидДокумента, ПутьКДаннымСерииДокумента, ПутьКДаннымНомераДокумента, ПутьКДаннымДатыВыдачиДокумента, ПутьКДаннымКемВыданДокумент, ПредставлениеПроверяемогоЭлемента, ОбязательноКЗаполнению = Ложь, ПроверятьДопустимыеВидыДокументовФНС = Ложь, ПроверятьКемВыданДатаВыдачи = Истина) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЗарплатаКадры.ДобавитьПравилоПроверкиУдостоверенияЛичности(КоллекцияПравил, ПутьКДаннымВидДокумента, ПутьКДаннымСерииДокумента, ПутьКДаннымНомераДокумента, ПутьКДаннымДатыВыдачиДокумента, ПутьКДаннымКемВыданДокумент, ПредставлениеПроверяемогоЭлемента, ОбязательноКЗаполнению, ПроверятьДопустимыеВидыДокументовФНС, ПроверятьКемВыданДатаВыдачи);
```
</details>

## ДобавитьПравилоПроверкиУдостоверенияЛичностиИностранногоГражданина
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в коллекцию описание правил с идентификатором "УдостоверениеЛичностиИностранногоГражданина", для проверки документа,
// удостоверяющего личность.
// Описание одноименных параметров, см. ДобавитьПравилоПроверки.
//
// Параметры:
//		ПутьКДаннымСерииДокумента
//		ПутьКДаннымНомераДокумента
//		ПутьКДаннымДатыВыдачиДокумента
//      ПутьКДаннымКемВыданДокумент
//		ПроверятьДопустимыеВидыДокументовФНС - булево - определяет необходимость проверки виды документа с точки зрения ФНС.
//
Процедура ДобавитьПравилоПроверкиУдостоверенияЛичностиИностранногоГражданина(КоллекцияПравил, ПутьКДаннымВидДокумента, Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЗарплатаКадры.ДобавитьПравилоПроверкиУдостоверенияЛичностиИностранногоГражданина(КоллекцияПравил, ПутьКДаннымВидДокумента, );
```
</details>

## ДобавитьПравилоПроверкиДатыРождения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в коллекцию описание правил с идентификатором "ДатаРождения", для проверки даты рождения.
// Описание одноименных параметров, см. ДобавитьПравилоПроверки.
//
// Параметры:
//		ДатаПроверки
//
Процедура ДобавитьПравилоПроверкиДатыРождения(КоллекцияПравил, ПутьКДанным, ПредставлениеПроверяемогоЭлемента, ДатаПроверки, ОбязательноКЗаполнению = Ложь) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЗарплатаКадры.ДобавитьПравилоПроверкиДатыРождения(КоллекцияПравил, ПутьКДанным, ПредставлениеПроверяемогоЭлемента, ДатаПроверки, ОбязательноКЗаполнению);
```
</details>

## ДобавитьПравилоПроверкиФИО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в коллекцию описание правил с идентификатором "ФИО", для проверки заполненности фамилии, имени, отчества.
// Описание одноименных параметров, см. ДобавитьПравилоПроверки.
//
// Параметры:
//		ПутьКДаннымФамилия
//		ПутьКДаннымИмя
//		ПутьКДаннымОтчество
//		ПутьКДаннымСтраныГражданства
//
Процедура ДобавитьПравилоПроверкиФИО(КоллекцияПравил, ПутьКДаннымФамилия, ПутьКДаннымИмя, ПутьКДаннымОтчество, ПутьКДаннымСтраныГражданства, ПредставлениеПроверяемогоЭлемента) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЗарплатаКадры.ДобавитьПравилоПроверкиФИО(КоллекцияПравил, ПутьКДаннымФамилия, ПутьКДаннымИмя, ПутьКДаннымОтчество, ПутьКДаннымСтраныГражданства, ПредставлениеПроверяемогоЭлемента) 
```
</details>

## ПроверитьКоллекциюДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение коллекции данных физических лиц, заполняет коллекцию ошибок.
//
// Параметры:
//		КоллекцияДанныхФизическихЛиц - коллекция данных (массив структур, таблица значений).
//		ПравилаПроверки - массив, описаний правил проверки.
//		Ошибки - массив, описаний найденных ошибок.
//		Отказ
//
Процедура ПроверитьКоллекциюДанных(КоллекцияДанныхФизическихЛиц, ПравилаПроверки, Ошибки, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЗарплатаКадры.ПроверитьКоллекциюДанных(КоллекцияДанныхФизическихЛиц, ПравилаПроверки, Ошибки, Отказ);
```
</details>

## ПроверитьДанныеФизическогоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение данных физического лица, заполняет коллекцию ошибок.
//
// Параметры:
//		ДанныеФизическогоЛица
//		Ошибки
//		Отказ
//		НомерСтроки
//		ТолькоДляИностранныхГраждан
//
Процедура ПроверитьДанныеФизическогоЛица(ДанныеФизическогоЛица, ПравилаПроверки, Ошибки, Отказ = Ложь, Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЗарплатаКадры.ПроверитьДанныеФизическогоЛица(ДанныеФизическогоЛица, ПравилаПроверки, Ошибки, Отказ, );
```
</details>

## ВывестиОшибкиДанныхФизическогоЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит в окно сообщений ошибки проверки данных физических лиц.
//
// Параметры:
//		Ошибки - Соответствие массива описания ошибок физическим лицам.
//		Отказ
//
Процедура ВывестиОшибкиДанныхФизическогоЛица(Ошибки, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
ФизическиеЛицаЗарплатаКадры.ВывестиОшибкиДанныхФизическогоЛица(Ошибки, Отказ);
```
</details>

## ДанныеФизическогоЛицаДляРегламентированнойОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. РегламентированнаяОтчетностьПереопределяемый.ПолучитьСведенияОФизЛице.
Функция ДанныеФизическогоЛицаДляРегламентированнойОтчетности(ФизическоеЛицо, ИменаПолейБРО, ДатаЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ФизическиеЛицаЗарплатаКадры.ДанныеФизическогоЛицаДляРегламентированнойОтчетности(ФизическоеЛицо, ИменаПолейБРО, ДатаЗначения) 
```
</details>

## Просклонять
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Склоняет переданные фамилию, имя, отчество.
// Возвращает признак, выполнено ли склонение.
// Параметры:
//   ФИО   - Строка - ФИО в именительном падеже.
//   Падеж - Число  - Падеж, в который необходимо поставить ФИО:
//                    1 - Именительный
//                    2 - Родительный
//                    3 - Дательный
//                    4 - Винительный
//                    5 - Творительный
//                    6 - Предложный.
//   Результат - Строка - возвращаемый результат склонения.
//   Пол - ПеречислениеСсылка.ПолФизическогоЛица - Пол физического лица, необязательный.
//       - Число - 1 - мужской, 2 - женский.
//
// Возвращаемое значение:
//  Булево - Истина, если удалось просклонять ФИО
//
Функция Просклонять(Знач ФИО, Знач Падеж, Результат, Знач Пол = Неопределено, СсылкаНаОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ФизическиеЛицаЗарплатаКадры.Просклонять(ФИО, Падеж, Результат, Пол, СсылкаНаОбъект);
```
</details>

## РасшифровкаПодписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление ФИО, для заполнения расшифровки подписи в виде "И. О. Фамилия".
//
// Параметры:
//		ФИОПолные	- Строка
//					- Структура
//						* Фамилия	- Строка
//						* Имя		- Строка
//						* Отчество	- Строка
//						* Инициалы	- Строка
//
// Возвращаемое значение:
//		Строка
//
Функция РасшифровкаПодписи(Знач ФИОПолные) Экспорт
```

Пример вызова
```bsl
Результат = ФизическиеЛицаЗарплатаКадры.РасшифровкаПодписи(ФИОПолные) 
```
</details>

## НаименованиеСлужебное
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает служебное наименование.
//
// Параметры:
//  Наименование - Строка
//
// Возвращаемое значение:
//  Строка
Функция НаименованиеСлужебное(Наименование) Экспорт
```

Пример вызова
```bsl
Результат = ФизическиеЛицаЗарплатаКадры.НаименованиеСлужебное(Наименование) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
