---
title: Электронные трудовые книжки
slug: zup/электронные-трудовые-книжки
---


## ПриЧтенииНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет предавались ли мероприятия документа в ПФР и если передавались - переводит форму
// в режим ТолькоПросмотр = Истина
//
// Параметры:
//		УправляемаяФорма	- ФормаКлиентскогоПриложения
//		ТекущийОбъект		- ДокументОбъект
//
Процедура ПриЧтенииНаСервере(УправляемаяФорма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
ЭлектронныеТрудовыеКнижки.ПриЧтенииНаСервере(УправляемаяФорма, ТекущийОбъект) 
```
</details>

## ЗаполнитьНаименованиеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет наименование документа по его виду
//
// Параметры:
//		ОбъектДокумента		- ДокументОбъект
//		ВидДокумента		- Строка, имя документа метаданных
//
Процедура ЗаполнитьНаименованиеДокумента(ОбъектДокумента, ВидДокумента, НаименованиеПоУмолчанию = "") Экспорт
```

Пример вызова
```bsl
ЭлектронныеТрудовыеКнижки.ЗаполнитьНаименованиеДокумента(ОбъектДокумента, ВидДокумента, НаименованиеПоУмолчанию);
```
</details>

## ДокументыПередачиМероприятийТрудовойДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив ссылок на документы, передавшие мероприятия трудовой
// деятельности этого документа в ПФР.
//
// Параметры:
//		Регистратор	- ДокументСсылка
// Возвращаемое значение:
//		Массив
//
Функция ДокументыПередачиМероприятийТрудовойДеятельности(Регистратор) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеТрудовыеКнижки.ДокументыПередачиМероприятийТрудовойДеятельности(Регистратор) 
```
</details>

## ЗаявлениеОВеденииТрудовойКнижкиОформлялось
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того, что в базе данных есть сведения о подававшемся заявлении
// о ведении трудовой книжки.
//
// Параметры:
//  ФизическиеЛицо          - СправочникСсылка.ФизическиеЛица
//  ИсключаемыеРегистраторы - ДокументСсылка, ссылка на регистратор данные которого необходимо исключить
//                          - Массив, массив ссылок на регистраторы, данные которых необходимо исключить
//
// Возвращаемое значение:
//  Булево
//
Функция ЗаявлениеОВеденииТрудовойКнижкиОформлялось(ФизическоеЛицо, ИсключаемыеРегистраторы) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеТрудовыеКнижки.ЗаявлениеОВеденииТрудовойКнижкиОформлялось(ФизическоеЛицо, ИсключаемыеРегистраторы) 
```
</details>

## ПоследнееЗаявлениеОВеденииТрудовойКнижки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные последнего зарегистрированного способа ведения трудовой деятельности.
//
// Параметры:
//  ФизическиеЛицо          - СправочникСсылка.ФизическиеЛица
//  ДатаСведений            - Дата, дата на которую необходимо получить сведения
//  ИсключаемыеРегистраторы - ДокументСсылка, ссылка на регистратор данные которого необходимо исключить
//                          - Массив, массив ссылок на регистраторы, данные которых необходимо исключить
//
// Возвращаемое значение:
//  Структура	- содержит ключи:
//                 * Дата         - дата оформления заявления
//                 * ВидЗаявления - ПеречислениеСсылка.ВидыЗаявленийОПредоставленииСведенийОТрудовойДеятельности
//
Функция ПоследнееЗаявлениеОВеденииТрудовойКнижки(ФизическоеЛицо, ДатаСведений, ИсключаемыеРегистраторы) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеТрудовыеКнижки.ПоследнееЗаявлениеОВеденииТрудовойКнижки(ФизическоеЛицо, ДатаСведений, ИсключаемыеРегистраторы) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
