---
title: Электронный документооборот с контролирующими органами
slug: zup/электронный-документооборот-с-контролирующими-органами
---


## ПриЗаполненииРазрешенийНаДоступКВнешнимРесурсам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаполненииРазрешенийНаДоступКВнешнимРесурсам(ЗапросыРазрешений) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПриЗаполненииРазрешенийНаДоступКВнешнимРесурсам(ЗапросыРазрешений) 
```
</details>

## ПриОпределенииОбъектовСКомандамиПечати
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет объекты конфигурации, в модулях менеджеров которых размещена процедура ДобавитьКомандыПечати,
// формирующая список команд печати, предоставляемых этим объектом.
// Синтаксис процедуры ДобавитьКомандыПечати см. в документации к подсистеме.
//
// Параметры:
//  СписокОбъектов - Массив - менеджеры объектов с процедурой ДобавитьКомандыПечати.
//
Процедура ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПриОпределенииОбъектовСКомандамиПечати(СписокОбъектов) 
```
</details>

## СоздатьОбъектДляРаботыСДвоичнымиДанными
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьОбъектДляРаботыСДвоичнымиДанными() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.СоздатьОбъектДляРаботыСДвоичнымиДанными() 
```
</details>

## НовыйОбъектДвоичныеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйОбъектДвоичныеДанные(ТихийРежим = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.НовыйОбъектДвоичныеДанные(ТихийРежим);
```
</details>

## ПодключитьВК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодключитьВК(ПутьВК, ТихийРежим = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПодключитьВК(ПутьВК, ТихийРежим);
```
</details>

## ПриЗаписиОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиОрганизации(ОбъектЗаписи, Отказ) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПриЗаписиОрганизации(ОбъектЗаписи, Отказ) 
```
</details>

## ПодключенныеОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодключенныеОрганизации(ОтборОрганизации = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПодключенныеОрганизации(ОтборОрганизации);
```
</details>

## ЗаголовокГиперссылкиЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаголовокГиперссылкиЗаявления(ФормаОрганизации, Организация, Отказ, СтандартнаяОбработка) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаголовокГиперссылкиЗаявления(ФормаОрганизации, Организация, Отказ, СтандартнаяОбработка) 
```
</details>

## ОпределитьТаблицуОписанияОбъектовРегламентированнойОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет свойства, касающиеся общих свойств объектов конфигураций-потребителей для отображения в форме Отчетность
// и возможности содания новый объектов из формы Отчетность
//
// Параметры:
//  ТаблицаОписания  - ТаблицаЗначений - Таблица, содержащая в себе описания объектов конфигураций-потребителей
//		Каждая колонка таблицы соотвествует свойству объекта.
//		Таблица содержит следующие колонки:
//			- Наименование - Строка - Наименование вида отчета, как оно должно отображаться в форме создания отчета
//			- ТипОбъекта - Тип - Тип описываемого объекта
//			- ВидКонтролирующегоОргана - Перечисления.ТипыКонтролирующихОрганов - контролирующий орган, в который сдается отчетности
//			- ГруппаВДереве - Строка - Определяет имя группы, в которой будет отображаться объект в случае иерархическкого отображения списка объектов
//			- ВидДокумента - Перечисления.СтраницыЖурналаОтчетность - Определяет страницу формы Отчетность, на которой будет отображаться объект
//				Может принимать одно из следующих значений:
//						Перечисления.СтраницыЖурналаОтчетность.Уведомления
//						Перечисления.СтраницыЖурналаОтчетность.Отчеты
//			- НеОтправляетсяВКонтролирующийОрган - Булево - Истина, если объект не отправляется в контролирующий орган по ТКС
//			- ЯвляетсяАктуальным - Булево - Определяет, можно ли создавать новые объекты данного вида
//			- ИмяОсновногоМакетаДляПечати - Строка - имя макета, который будет использоваться для печати по умолчанию
//			- ВидЭлектронногоПредставления - СправочникСсылка.ВидыОтправляемыхДокументов - вид электронного представления (справочник
//                                           ЭлектронныеПредставленияРегламентированныхОтчетов), соответствующий данному типу объекта.
//                                           Неопределено, если такого вида отправляемого документа не существует.
//
Процедура ОпределитьТаблицуОписанияОбъектовРегламентированнойОтчетности(ТаблицаОписания) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОпределитьТаблицуОписанияОбъектовРегламентированнойОтчетности(ТаблицаОписания) 
```
</details>

## ОпределитьТаблицуОписанияОбъектовЗаявленияПоЭлДокументооборотуСПФР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьТаблицуОписанияОбъектовЗаявленияПоЭлДокументооборотуСПФР(ТаблицаОписания) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОпределитьТаблицуОписанияОбъектовЗаявленияПоЭлДокументооборотуСПФР(ТаблицаОписания) 
```
</details>

## ПараметрыПроцедурыСоздатьЗаписьВРегистреЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыПроцедурыСоздатьЗаписьВРегистреЖурналОтправокВКонтролирующиеОрганы() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПараметрыПроцедурыСоздатьЗаписьВРегистреЖурналОтправокВКонтролирующиеОрганы() 
```
</details>

## СоздатьЗаписьВРегистреЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьЗаписьВРегистреЖурналОтправокВКонтролирующиеОрганы( Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.СоздатьЗаписьВРегистреЖурналОтправокВКонтролирующиеОрганы();
```
</details>

## ПредставлениеКонтролирующегоОргана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеКонтролирующегоОргана(ЗначенияЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПредставлениеКонтролирующегоОргана(ЗначенияЗаполнения));
```
</details>

## ОтметитьКакПрочтенное
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Снимает признак непрочтенности у ссылки в форме 1С-Отчетность.
// Признак непрочтенности устанавливается при достижении финального состояния (сдано, не сдано)
// автоматически.
//
// Параметры:
//  Ссылка	 - ДокументСсылка, СправочникСсылка - Ссылка на объект, отображаемый в форме 1С-Отчетность.
//
Процедура ОтметитьКакПрочтенное(Ссылка) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОтметитьКакПрочтенное(Ссылка) 
```
</details>

## УстановитьНепрочтенность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьНепрочтенность(Ссылка, Непрочтенное) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.УстановитьНепрочтенность(Ссылка, Непрочтенное) 
```
</details>

## ПеренестиПризнакНепрочтенности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновление ИБ.
Процедура ПеренестиПризнакНепрочтенности() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПеренестиПризнакНепрочтенности() 
```
</details>

## ПолучитьДатуОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДатуОтправки(Объект, Знач КонтролирующийОрган = "ФНС") Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьДатуОтправки(Объект, КонтролирующийОрган);
```
</details>

## ЗаписатьЗапросНаИнформационноеОбслуживаниеВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьЗапросНаИнформационноеОбслуживаниеВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьЗапросНаИнформационноеОбслуживаниеВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьЗапросНаВыпискуИзЕГРЮЛ_ЕГРИПВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьЗапросНаВыпискуИзЕГРЮЛ_ЕГРИПВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьЗапросНаВыпискуИзЕГРЮЛ_ЕГРИПВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьПерепискаСКонтролирующимиОрганамиВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПерепискаСКонтролирующимиОрганамиВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьПерепискаСКонтролирующимиОрганамиВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьМашиночитаемыеДоверенностиРРВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьМашиночитаемыеДоверенностиРРВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьМашиночитаемыеДоверенностиРРВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьМашиночитаемыеДоверенностиФНСВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьМашиночитаемыеДоверенностиФНСВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьМашиночитаемыеДоверенностиФНСВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьЗаявлениеОбОтзывеМЧДФНСВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьЗаявлениеОбОтзывеМЧДФНСВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьЗаявлениеОбОтзывеМЧДФНСВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьМашиночитаемыеДоверенностиФССВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьМашиночитаемыеДоверенностиФССВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьМашиночитаемыеДоверенностиФССВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьМашиночитаемыеДоверенностиЦБВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьМашиночитаемыеДоверенностиЦБВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьМашиночитаемыеДоверенностиЦБВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьМашиночитаемыеДоверенностиВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьМашиночитаемыеДоверенностиВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьМашиночитаемыеДоверенностиВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьОписиИсходящихДокументовВНалоговыеОрганыВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьОписиИсходящихДокументовВНалоговыеОрганыВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьОписиИсходящихДокументовВНалоговыеОрганыВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьДокументыРеализацииПолномочийНалоговыхОргановВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьДокументыРеализацииПолномочийНалоговыхОргановВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьДокументыРеализацииПолномочийНалоговыхОргановВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьЗаявленияВПФРВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьЗаявленияВПФРВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьЗаявленияВПФРВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьУведомлениеОПредоставленииПолномочийПредставителюВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьУведомлениеОПредоставленииПолномочийПредставителюВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьУведомлениеОПредоставленииПолномочийПредставителюВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьУведомлениеОПрекращенииПолномочийПредставителяВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьУведомлениеОПрекращенииПолномочийПредставителяВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьУведомлениеОПрекращенииПолномочийПредставителяВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьОписиВходящихДокументовИзНалоговыхОргановВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ЗаписатьОписиВходящихДокументовИзНалоговыхОргановВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьОписиВходящихДокументовИзНалоговыхОргановВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьУведомлениеОПолучателеДокументовВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьУведомлениеОПолучателеДокументовВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьУведомлениеОПолучателеДокументовВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ЗаписатьВходящийДокументСЭДОФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьВходящийДокументСЭДОФСС(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьВходящийДокументСЭДОФСС(Объект) 
```
</details>

## ЗаписатьЗаявлениеНаФормированиеСправкиОРасчетах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьЗаявлениеНаФормированиеСправкиОРасчетах(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьЗаявлениеНаФормированиеСправкиОРасчетах(Объект) 
```
</details>

## ЗаписатьОтветСтрахователяНаТребованиеПроверкиФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьОтветСтрахователяНаТребованиеПроверкиФСС(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьОтветСтрахователяНаТребованиеПроверкиФСС(Объект) 
```
</details>

## ЗаписатьЭлектронныеПредставленияРегламентированныхОтчетовВРегистрЖурналОтчетовСтатусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьЭлектронныеПредставленияРегламентированныхОтчетовВРегистрЖурналОтчетовСтатусы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьЭлектронныеПредставленияРегламентированныхОтчетовВРегистрЖурналОтчетовСтатусы(Объект) 
```
</details>

## ЗаписатьПрочиеУведомленияВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПрочиеУведомленияВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьПрочиеУведомленияВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## СвойстваПрочихУведомлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СвойстваПрочихУведомлений(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.СвойстваПрочихУведомлений(Объект) 
```
</details>

## ЗаписатьУведомлениеОСпецрежимахНалогообложенияВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьУведомлениеОСпецрежимахНалогообложенияВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьУведомлениеОСпецрежимахНалогообложенияВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## СвойстваУведомленияОСпецрежимахНалогообложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СвойстваУведомленияОСпецрежимахНалогообложения(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.СвойстваУведомленияОСпецрежимахНалогообложения(Объект) 
```
</details>

## ЗаписатьМакетПенсионногоДелаВРегистрЖурналОтчетовСтатусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьМакетПенсионногоДелаВРегистрЖурналОтчетовСтатусы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьМакетПенсионногоДелаВРегистрЖурналОтчетовСтатусы(Объект) 
```
</details>

## СвойстваМакетаПенсионногоДела
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СвойстваМакетаПенсионногоДела(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.СвойстваМакетаПенсионногоДела(Объект) 
```
</details>

## ЗаписатьЗаявлениеОНазначенииПенсииВРегистрЖурналОтчетовСтатусы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьЗаявлениеОНазначенииПенсииВРегистрЖурналОтчетовСтатусы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьЗаявлениеОНазначенииПенсииВРегистрЖурналОтчетовСтатусы(Объект) 
```
</details>

## СвойстваЗаявленияОНазначенииПенсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СвойстваЗаявленияОНазначенииПенсии(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.СвойстваЗаявленияОНазначенииПенсии(Объект) 
```
</details>

## УчестьУведомленияВСоставеОтветовНаТребования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УчестьУведомленияВСоставеОтветовНаТребования(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.УчестьУведомленияВСоставеОтветовНаТребования(Объект) 
```
</details>

## СохранитьДатуОтветаИзУведомленияОНевозможности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьДатуОтветаИзУведомленияОНевозможности(Объект, Свойства) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.СохранитьДатуОтветаИзУведомленияОНевозможности(Объект, Свойства) 
```
</details>

## ОпределитьНепрочтенность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьНепрочтенность( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОпределитьНепрочтенность();
```
</details>

## ТаблицаОписанияПрочихУведомлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТаблицаОписанияПрочихУведомлений() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ТаблицаОписанияПрочихУведомлений() 
```
</details>

## ПрисоединитьДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПрисоединитьДерево(ДеревоПриемник, ПрисоединяемоеДерево) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПрисоединитьДерево(ДеревоПриемник, ПрисоединяемоеДерево) 
```
</details>

## ОпределитьСтатусИСостояниеСдачиОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьСтатусИСостояниеСдачиОтчетности(Ссылка, Организация, ВидКонтролирующегоОргана, СостояниеСдачиОтчетности, СтатусОтправки) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОпределитьСтатусИСостояниеСдачиОтчетности(Ссылка, Организация, ВидКонтролирующегоОргана, СостояниеСдачиОтчетности, СтатусОтправки) 
```
</details>

## ОбъектОтправляетсяВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбъектОтправляетсяВКонтролирующиеОрганы(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОбъектОтправляетсяВКонтролирующиеОрганы(Ссылка) 
```
</details>

## ЕстьКритическиеСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьКритическиеСообщения(Ссылка, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЕстьКритическиеСообщения(Ссылка, ДополнительныеПараметры);
```
</details>

## ВидыЭлектронныхПредставленийВРазделеУведомления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидыЭлектронныхПредставленийВРазделеУведомления() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ВидыЭлектронныхПредставленийВРазделеУведомления() 
```
</details>

## ЭтотВидЭлектронногоПредставленияОтноситсяКРазделуУведомления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтотВидЭлектронногоПредставленияОтноситсяКРазделуУведомления(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЭтотВидЭлектронногоПредставленияОтноситсяКРазделуУведомления(ВидОтчета) 
```
</details>

## ЗаписьОбъектовРегламентированнойОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписьОбъектовРегламентированнойОтчетности(Предмет, Отказ) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписьОбъектовРегламентированнойОтчетности(Предмет, Отказ) 
```
</details>

## ЭтоСообщениеИнициированноеКонтролирующимОрганом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСообщениеИнициированноеКонтролирующимОрганом(ТипТранспортногоСообщения) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЭтоСообщениеИнициированноеКонтролирующимОрганом(ТипТранспортногоСообщения) 
```
</details>

## ВидКонтролирующегоОрганаПоВидуЦиклаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидКонтролирующегоОрганаПоВидуЦиклаОбмена( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ВидКонтролирующегоОрганаПоВидуЦиклаОбмена();
```
</details>

## ВидКонтролирующегоОрганаПоТипуТранспортногоСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидКонтролирующегоОрганаПоТипуТранспортногоСообщения( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ВидКонтролирующегоОрганаПоТипуТранспортногоСообщения();
```
</details>

## КатегорияТранспортногоСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Категории: "Рассылка", "ВходящееПисьмо", "ДокументРеализацииПолномочий", "ПротоколСОшибкой", "УспешныйПротокол",
// "Протокол", "Квитанция", "УведомлениеОбОшибке", "Отчет", "Запрос", "ИсходящееПисьмо", "Прочее", "".
// Упрощенные категории расшифровки сообщений для других пользователей: "Рассылка", "ВходящееПисьмо",
// "ДокументРеализацииПолномочий", "Протокол", "Другое".
Функция КатегорияТранспортногоСообщения( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.КатегорияТранспортногоСообщения();
```
</details>

## ЗаполнитьРегистрДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Обработчик обновления БРО 1.1.6
Процедура ЗаполнитьРегистрДокументыПоТребованиюФНС(Параметры) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаполнитьРегистрДокументыПоТребованиюФНС(Параметры) 
```
</details>

## ДобавитьНовыеДокументыВРегистрДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Обработчик обновления БРО
Процедура ДобавитьНовыеДокументыВРегистрДокументыПоТребованиюФНС(Параметры) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ДобавитьНовыеДокументыВРегистрДокументыПоТребованиюФНС(Параметры) 
```
</details>

## ДобавитьНовыеДокументыВРегистрДокументыПоТребованиюФНС_2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьНовыеДокументыВРегистрДокументыПоТребованиюФНС_2(Параметры) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ДобавитьНовыеДокументыВРегистрДокументыПоТребованиюФНС_2(Параметры) 
```
</details>

## ДобавитьНовыеВидыДокументовВРегистрДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьНовыеВидыДокументовВРегистрДокументыПоТребованиюФНС(Параметры, НовыеВиды) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ДобавитьНовыеВидыДокументовВРегистрДокументыПоТребованиюФНС(Параметры, НовыеВиды) 
```
</details>

## ДобавитьЗаписьВДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьВДокументыПоТребованиюФНС(СтруктураСвойствИсточника, ИсточникСсылка, ВидДокументаФНСЭДПеречисление) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ДобавитьЗаписьВДокументыПоТребованиюФНС(СтруктураСвойствИсточника, ИсточникСсылка, ВидДокументаФНСЭДПеречисление));
```
</details>

## ВыборкаИсточниковНеЗаписанныхВРегистрДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыборкаИсточниковНеЗаписанныхВРегистрДокументыПоТребованиюФНС(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ВыборкаИсточниковНеЗаписанныхВРегистрДокументыПоТребованиюФНС(Параметры) 
```
</details>

## ВыборкаСканированныхДокументовНеЗаписанныхВРегистрДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыборкаСканированныхДокументовНеЗаписанныхВРегистрДокументыПоТребованиюФНС() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ВыборкаСканированныхДокументовНеЗаписанныхВРегистрДокументыПоТребованиюФНС());
```
</details>

## ЗаписатьИсточникиВРегистрДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вызывается из процедуры УстановленоСостояниеОбменЗавершен ОМ ОбменСКонтрагентамиПереопределяемый.
// Выполняет запись документов в регистр "Документы по требованию ФНС"
// в момент перехода электронных докуметов в состояние "завершено".
//
// Параметры:
//  Источники	 - Массив - Массив документов, из которых формировались и отправлялись электронные документы.
//		Типы документов определены в ОпределяемыйТип.ИсточникДокументаПоТребованиюФНСБРО
//
Процедура ЗаписатьИсточникиВРегистрДокументыПоТребованиюФНС(Источники) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьИсточникиВРегистрДокументыПоТребованиюФНС(Источники) 
```
</details>

## ЗаписатьИсточникВРегистрДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "ЗаписатьИсточникВРегистрДокументыПоТребованиюФНС"
// Является исключением из стандарта "Использование признака ОбменДанными.Загрузка в обработчиках событий объекта",
// поскольку по-прежнему соблюдается правило "никакая бизнес-логика объекта не должна выполняться при записи объекта
// через механизм обмена данными, поскольку она уже была выполнена для объекта в том узле, где он был создан".
// Отклонение от стандарта (проверка находится не в начале), объясняется тем, что данная процедура используется
// не только при подписке, но так же вызывается из других мест.
Процедура ЗаписатьИсточникВРегистрДокументыПоТребованиюФНС(Знач Источник) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьИсточникВРегистрДокументыПоТребованиюФНС(Источник) 
```
</details>

## УдалитьСсылкуНаИсточникВСканированныхДокументах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьСсылкуНаИсточникВСканированныхДокументах(Источник) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.УдалитьСсылкуНаИсточникВСканированныхДокументах(Источник));
```
</details>

## ЗаписатьСканированныйДокументВРегистрДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьСканированныйДокументВРегистрДокументыПоТребованиюФНС(СканированныйДокумент) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьСканированныйДокументВРегистрДокументыПоТребованиюФНС(СканированныйДокумент) 
```
</details>

## ЗаписатьЭлектронныйДокументВРегистрДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие "ЗаписатьЭлектронныйДокументВРегистрДокументыПоТребованиюФНС"
Процедура ЗаписатьЭлектронныйДокументВРегистрДокументыПоТребованиюФНС(ЭлектронныйДокумент) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьЭлектронныйДокументВРегистрДокументыПоТребованиюФНС(ЭлектронныйДокумент) 
```
</details>

## СвойстваСканированногоДокументаДляРегистраДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СвойстваСканированногоДокументаДляРегистраДокументыПоТребованиюФНС(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.СвойстваСканированногоДокументаДляРегистраДокументыПоТребованиюФНС(Ссылка));
```
</details>

## ОбновитьСвойстваСканированногоДокументаВРегистреДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСвойстваСканированногоДокументаВРегистреДокументыПоТребованиюФНС(Ссылка, ЗначенияЗаполнения) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОбновитьСвойстваСканированногоДокументаВРегистреДокументыПоТребованиюФНС(Ссылка, ЗначенияЗаполнения));
```
</details>

## ОбновитьСвойстваИсточникаВРегистреДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСвойстваИсточникаВРегистреДокументыПоТребованиюФНС(Источник, МассивЗначенияЗаполнения) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОбновитьСвойстваИсточникаВРегистреДокументыПоТребованиюФНС(Источник, МассивЗначенияЗаполнения));
```
</details>

## ОбновитьНаличиеЭДВРегистреДокументыПоТребованиюФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьНаличиеЭДВРегистреДокументыПоТребованиюФНС(ДокументИБ, ВидДокументаФНССтрока) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОбновитьНаличиеЭДВРегистреДокументыПоТребованиюФНС(ДокументИБ, ВидДокументаФНССтрока));
```
</details>

## УдалитьИзЖурналаМассивСканДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьИзЖурналаМассивСканДокументов(МассивСканДокументов) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.УдалитьИзЖурналаМассивСканДокументов(МассивСканДокументов));
```
</details>

## УдалитьНаличиеЭДДокументаИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьНаличиеЭДДокументаИБ(ДокументИБ) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.УдалитьНаличиеЭДДокументаИБ(ДокументИБ));
```
</details>

## НайтиСтруктуруСвойствИсточникаПоКлючевымПолям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиСтруктуруСвойствИсточникаПоКлючевымПолям(МассивЗначенияЗаполнения, ВидДокументаФНС, НомерСтрокиИсточника) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.НайтиСтруктуруСвойствИсточникаПоКлючевымПолям(МассивЗначенияЗаполнения, ВидДокументаФНС, НомерСтрокиИсточника) 
```
</details>

## СоответствиеВидовДокументовФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоответствиеВидовДокументовФНС() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.СоответствиеВидовДокументовФНС() 
```
</details>

## МассивДоступныхВидовДокументовИсточников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МассивДоступныхВидовДокументовИсточников() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.МассивДоступныхВидовДокументовИсточников() 
```
</details>

## СправочникКонтрагентовДоступен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СправочникКонтрагентовДоступен() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.СправочникКонтрагентовДоступен() 
```
</details>

## РеквизитыСправочникаКонтрагентовДоступны
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитыСправочникаКонтрагентовДоступны( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.РеквизитыСправочникаКонтрагентовДоступны();
```
</details>

## ЗаполнитьПараметрыДляФормыПодключенияКСервисуЭлектронныхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет значения элементов структуры, передаваемой в параметрах.
//
// Параметры:
//   Организация - СправочникСсылка.Организации
//	 СтруктураПараметров - структура - возможные поля:
//     * ОтпечатокСертификатаПодписи - Строка, 40
//     * ЭлектроннаяПодписьВМоделиСервиса - Булево
//	   * МестоХраненияКлюча - Структура
//     * КодНО - строка, заполняется кодом налогового органа из учетной записи при его заполненности, иначе - пустая строка
//     * ТипКриптоПровайдера - строка, возможные значения
//       	"VipNet"
//       	"CryptoPro"
//       	""
// Примечание:
// Свойства ОтпечатокСертификатаПодписи, ЭлектроннаяПодписьВМоделиСервиса, КодНО заполняются при наличии учетной записи, привязанной к передаваемой организации,
// иначе остаются первоначальные значения
//
Процедура ЗаполнитьПараметрыДляФормыПодключенияКСервисуЭлектронныхДокументов(Организация, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаполнитьПараметрыДляФормыПодключенияКСервисуЭлектронныхДокументов(Организация, СтруктураПараметров) 
```
</details>

## ИсправитьНекорректныеСостоянияОтправок2НДФЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИсправитьНекорректныеСостоянияОтправок2НДФЛ() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ИсправитьНекорректныеСостоянияОтправок2НДФЛ() 
```
</details>

## ИсправитьНекорректныеСостоянияОтправок2НДФЛ_2
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИсправитьНекорректныеСостоянияОтправок2НДФЛ_2() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ИсправитьНекорректныеСостоянияОтправок2НДФЛ_2() 
```
</details>

## ЗаписатьПоясненияКДекларацииПоНДСВРегистрЖурналОтправокВКонтролирующиеОрганы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПоясненияКДекларацииПоНДСВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьПоясненияКДекларацииПоНДСВРегистрЖурналОтправокВКонтролирующиеОрганы(Объект) 
```
</details>

## ИсправитьНекорректныеСостоянияОтправок2НДФЛ_1110307
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИсправитьНекорректныеСостоянияОтправок2НДФЛ_1110307() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ИсправитьНекорректныеСостоянияОтправок2НДФЛ_1110307() 
```
</details>

## ЗаполнитьСпособПолученияСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСпособПолученияСертификата() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаполнитьСпособПолученияСертификата() 
```
</details>

## ПолучитьЗначениеУзлаXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначениеУзлаXML( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьЗначениеУзлаXML();
```
</details>

## ЗагрузитьФайлXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗагрузитьФайлXML(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗагрузитьФайлXML(ИмяФайла) 
```
</details>

## ОбменССерверомСоздатьСервис
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбменССерверомСоздатьСервис( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОбменССерверомСоздатьСервис();
```
</details>

## ОбменССерверомСоздатьСервисНизкоуровневый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбменССерверомСоздатьСервисНизкоуровневый(СпецОператорСвязи, ПараметрыРесурса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОбменССерверомСоздатьСервисНизкоуровневый(СпецОператорСвязи, ПараметрыРесурса);
```
</details>

## ТипыАвтоотправляемыхСообщений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипыАвтоотправляемыхСообщений(ФНС = Истина, ПФР = Истина, ФСГС = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ТипыАвтоотправляемыхСообщений(ФНС, ПФР, ФСГС);
```
</details>

## ВсеОтправки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВсеОтправки(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ВсеОтправки(Ссылка) 
```
</details>

## ТипыОснованийИПодтверждений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипыОснованийИПодтверждений(ЦиклОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ТипыОснованийИПодтверждений(ЦиклОбмена) 
```
</details>

## ВсеСообщенияЦиклаОбменаОтправленыПриняты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВсеСообщенияЦиклаОбменаОтправленыПриняты(ЦиклОбмена) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ВсеСообщенияЦиклаОбменаОтправленыПриняты(ЦиклОбмена) 
```
</details>

## ОбновитьСвойстваЦиклаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбновитьСвойстваЦиклаОбмена(ЦиклОбмена, Предмет = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОбновитьСвойстваЦиклаОбмена(ЦиклОбмена, Предмет);
```
</details>

## ПолучитьПустуюДатуЗавершенияЦиклаОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПустуюДатуЗавершенияЦиклаОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьПустуюДатуЗавершенияЦиклаОбмена() 
```
</details>

## ЗаполнитьПериодЗапросовИОН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьПериодЗапросовИОН() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаполнитьПериодЗапросовИОН() 
```
</details>

## ЗаполнитьТипСверкиИОН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТипСверкиИОН() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаполнитьТипСверкиИОН() 
```
</details>

## ПодключитьПодписьСервисаDSS
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодключитьПодписьСервисаDSS(ПараметрыОбновления = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПодключитьПодписьСервисаDSS(ПараметрыОбновления);
```
</details>

## ТипыАвтоотправляемыхСообщенийПоУчетнойЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТипыАвтоотправляемыхСообщенийПоУчетнойЗаписи(УчетнаяЗапись = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ТипыАвтоотправляемыхСообщенийПоУчетнойЗаписи(УчетнаяЗапись);
```
</details>

## ВидОтправляемогоДокументаРеестраНДСПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидОтправляемогоДокументаРеестраНДСПоСсылке(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ВидОтправляемогоДокументаРеестраНДСПоСсылке(ДокументСсылка) 
```
</details>

## ПолучитьСведенияОСотруднике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСведенияОСотруднике(Знач Сотрудник, Знач МассивПоказателей = Неопределено, Знач ДатаЗначения = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьСведенияОСотруднике(Сотрудник, МассивПоказателей, ДатаЗначения);
```
</details>

## ПолучитьСуществующуюСверку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает сверку с контролирующим органом по переданным реквизитам
//
// Параметры:
//	Реквизиты - Структура - реквизиты, по которым нужно найти сверку.
//	КонтролирующийОрган - Строка - вид контролирующего органа.
//
Функция ПолучитьСуществующуюСверку(Реквизиты, КонтролирующийОрган) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьСуществующуюСверку(Реквизиты, КонтролирующийОрган) 
```
</details>

## ПолучитьНовыеСообщенияОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу новых сообщений 1С-Отчетности по организации.
// Параметры:
//   Организация - СправочникСсылка.Организации - если указан, то сообщения будут получены только по этой организации.
// Возвращаемое значение:
//   ТаблицаЗначений - новый сообщения.
//     ТипСообщения - Строка - может принимать значения:
//                             ОтклоненныйОтчет,
//                             Требование,
//                             ВходящееПисьмо,
//                             ОтветНаЗапрос,
//                             СданныйОтчет.
//     Наименование - Строка - наименование отчета.
//     ДатаСообщения - Дата - дата сообщения.
//
Функция ПолучитьНовыеСообщенияОтчетности(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьНовыеСообщенияОтчетности(Организация);
```
</details>

## ОпределитьТипСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьТипСообщения(Выборка) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОпределитьТипСообщения(Выборка));
```
</details>

## ПолучитьНовыеСобытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНовыеСобытия(Организация = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьНовыеСобытия(Организация);
```
</details>

## ЗаписатьСобытиеДокументооборотаСКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ЗаписатьСобытиеДокументооборотаСКО(Запись) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаписатьСобытиеДокументооборотаСКО(Запись) 
```
</details>

## ПроверитьИзменениеСтатуса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьИзменениеСтатуса(Свойства) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПроверитьИзменениеСтатуса(Свойства) 
```
</details>

## ЕстьОтвет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьОтвет(Запись) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЕстьОтвет(Запись));
```
</details>

## ПолучитьОтправленоПолученоНовогоСобытияДокументооборотаСКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтправленоПолученоНовогоСобытияДокументооборотаСКО(Запись) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьОтправленоПолученоНовогоСобытияДокументооборотаСКО(Запись));
```
</details>

## ПолучитьГруппуНовогоСобытияДокументооборотаСКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьГруппуНовогоСобытияДокументооборотаСКО(Запись) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьГруппуНовогоСобытияДокументооборотаСКО(Запись));
```
</details>

## ПолучитьПорядокНовогоСобытияДокументооборотаСКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПорядокНовогоСобытияДокументооборотаСКО(Запись, Группа) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьПорядокНовогоСобытияДокументооборотаСКО(Запись, Группа));
```
</details>

## ДатаПоследнегоОбновленияСобытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаПоследнегоОбновленияСобытий(ИнициаторСеанса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ДатаПоследнегоОбновленияСобытий(ИнициаторСеанса);
```
</details>

## ПолучитьНадписьВремяОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНадписьВремяОбновления(ДатаПоследнегоОбновления) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьНадписьВремяОбновления(ДатаПоследнегоОбновления) 
```
</details>

## НовоеДеревоНовыхСобытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустое дерево значений для сохранения списка новых событий 1С-Отчетности.
//
// Возвращаемое значение:
//	ДеревоЗначений.
//
Функция НовоеДеревоНовыхСобытий() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.НовоеДеревоНовыхСобытий() 
```
</details>

## ЗаполнитьДеревоНовое
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДеревоНовое(ДеревоНовое, ИнициаторСеанса = Неопределено, ТолькоНепоказанные = Ложь) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаполнитьДеревоНовое(ДеревоНовое, ИнициаторСеанса, ТолькоНепоказанные);
```
</details>

## ЗаполнитьСтрокиДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтрокиДерева(ДеревоНовое, ВыборкаДетали, Группа, ИнициаторСеанса) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаполнитьСтрокиДерева(ДеревоНовое, ВыборкаДетали, Группа, ИнициаторСеанса));
```
</details>

## Отступ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Отступ(Просмотрено = Ложь, Группа = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.Отступ(Просмотрено, Группа);
```
</details>

## НадписьНовыхНет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НадписьНовыхНет(Группа) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.НадписьНовыхНет(Группа));
```
</details>

## ЗаголовокНедавноПросмотренных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаголовокНедавноПросмотренных(Группа) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаголовокНедавноПросмотренных(Группа));
```
</details>

## ЭлементДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭлементДерева() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЭлементДерева());
```
</details>

## ЕстьИзмененияВДеревеНовых
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьИзмененияВДеревеНовых(НовоеДеревоНовых) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЕстьИзмененияВДеревеНовых(НовоеДеревоНовых) 
```
</details>

## СконвертироватьРеквизитыЗаявленияПо1СОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновление ИБ.
// Выполняет перенос данных из реквизита УдалитьВладелецЭЦППол в ВладелецЭЦППол в заявлении абонента.
//
Процедура СконвертироватьРеквизитыЗаявленияПо1СОтчетности() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.СконвертироватьРеквизитыЗаявленияПо1СОтчетности() 
```
</details>

## СсылкаПерейдитеНаПлатныйТариф
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СсылкаПерейдитеНаПлатныйТариф() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.СсылкаПерейдитеНаПлатныйТариф() 
```
</details>

## ЭтоРежимБесплатнойНулевойОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоРежимБесплатнойНулевойОтчетности() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЭтоРежимБесплатнойНулевойОтчетности() 
```
</details>

## ЭтоРежимОграниченнойФункциональности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоРежимОграниченнойФункциональности() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЭтоРежимОграниченнойФункциональности() 
```
</details>

## Это1СБизнесСтарт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция Это1СБизнесСтарт() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.Это1СБизнесСтарт() 
```
</details>

## КодРегистрацииПродуктаВМоделиСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КодРегистрацииПродуктаВМоделиСервиса(АдресХранилища) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.КодРегистрацииПродуктаВМоделиСервиса(АдресХранилища) 
```
</details>

## ОтослатьФайлВМенеджерСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтослатьФайлВМенеджерСервиса(Данные, ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОтослатьФайлВМенеджерСервиса(Данные, ИмяФайла));
```
</details>

## ОтослатьПисьмоПартнеру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтослатьПисьмоПартнеру(Заявление, Тариф) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОтослатьПисьмоПартнеру(Заявление, Тариф) 
```
</details>

## ПолучитьПроксиМенеджераСервиса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПроксиМенеджераСервиса() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьПроксиМенеджераСервиса());
```
</details>

## НачатьОпределениеТекстаЗаявления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОпределениеТекстаЗаявления(АдресХранилища, Заявление, АлгоритмКонтейнераКлючей) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.НачатьОпределениеТекстаЗаявления(АдресХранилища, Заявление, АлгоритмКонтейнераКлючей) 
```
</details>

## НачатьОтправкуОблачногоЗаявленияВБазуЗаявок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьОтправкуОблачногоЗаявленияВБазуЗаявок(АдресХранилища, Заявление, АлгоритмКонтейнераКлючей) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.НачатьОтправкуОблачногоЗаявленияВБазуЗаявок(АдресХранилища, Заявление, АлгоритмКонтейнераКлючей) 
```
</details>

## ВключитьОбменСФССПриНеобходимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик обновления БРО 1.2.1.36
Процедура ВключитьОбменСФССПриНеобходимости() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ВключитьОбменСФССПриНеобходимости() 
```
</details>

## СброситьПризнакПодпискиСтрахователяСЭДОФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик обновления БРО 1.2.1.53
Процедура СброситьПризнакПодпискиСтрахователяСЭДОФСС() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.СброситьПризнакПодпискиСтрахователяСЭДОФСС() 
```
</details>

## НастройкиОбменаФССЭЛН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры подключения к веб-сервису обмена с ФСС по электронным листкам нетрудоспособности или создает WSПрокси.
//
// Параметры:
//  Организация         - СправочникСсылка.Организации - организация.
//  Параметры           - Структура - может быть получена вызовом ПараметрыОбменаФССЭЛН():
//    * СоздаватьWSПрокси               - Булево - создавать объект доступа к веб-сервису.
//    * ТаймаутСоединения               - Число  - по умолчанию 30 сек.
//    * ТаймаутВызовов                  - Число  - по умолчанию 600 сек.
//    * ВозвращатьОписаниеОшибки        - Булево - по умолчанию Ложь, то есть при ошибках соединения возникает исключение.
//    * ВремяХраненияОписанияВебСервиса - Число  - по умолчанию 2 * 60 * 60 сек, при значении 0 описание веб-сервиса не кэшируется,
//                                                 при ошибке в случае ВозвращатьОписаниеОшибки = Истина возвращается более
//                                                 подробная информация, не только описание ошибки, но код и тип.
//
// Возвращаемое значение:
//  Структура:
//    * Определение                  - Строка       - ссылка на местоположение WSDL.
//    * URIПространстваИменСервиса   - Строка       - уникальный идентификатор пространства имен сервиса.
//    * ИмяСервиса                   - Строка       - имя веб-сервиса.
//    * ИмяТочкиПодключения          - Строка       - имя точки подключения веб-сервиса.
//    * WSПрокси                     - WSПрокси     - объект доступа к веб-сервису,
//                                     Неопределено - если Параметры.СоздаватьWSПрокси равно Ложь или при ошибке.
//    * ТипОшибки                    - Строка       - "ОшибкаСоединения" - не удалось соединиться с сервером,
//                                                  - "ОшибкаНаСервере"  - ошибка HTTP,
//                                                  - "НедостаточноПрав" - недостаточно прав для обмена;
//                                                    заполняется при ошибке подключения,
//                                                    если Параметры.ВозвращатьОписаниеОшибки = Истина.
//    * КодСостояния                 - Число        - код ошибки HTTP, например, 404 - страница не найдена,
//                                                    заполняется при ошибке подключения,
//                                                    если Параметры.ВозвращатьОписаниеОшибки = Истина.
//    * СообщениеОбОшибке            - Строка       - заполняется при ошибке подключения,
//                                                    если Параметры.ВозвращатьОписаниеОшибки = Истина.
//  Неопределено - недостаточно прав, при Параметры.ВозвращатьОписаниеОшибки = Ложь.
//
Функция НастройкиОбменаФССЭЛН(Организация, Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.НастройкиОбменаФССЭЛН(Организация, Параметры);
```
</details>

## ПараметрыОбменаФССЭЛН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с параметрами для НастройкиОбменаФССЭЛН() и значениями по умолчанию.
//
// Возвращаемое значение:
//  Структура:
//    * СоздаватьWSПрокси               - Булево - создавать объект доступа к веб-сервису.
//    * ТаймаутСоединения               - Число  - по умолчанию 30 сек.
//    * ТаймаутВызовов                  - Число  - по умолчанию 600 сек.
//    * ВозвращатьОписаниеОшибки        - Булево - по умолчанию Ложь, то есть при ошибках соединения возникает исключение.
//    * ВремяХраненияОписанияВебСервиса - Число  - по умолчанию 2 * 60 * 60 сек, при значении 0 описание веб-сервиса не кэшируется,
//                                                 при ошибке в случае ВозвращатьОписаниеОшибки = Истина возвращается более
//                                                 подробная информация, не только описание ошибки, но код и тип.
//
Функция ПараметрыОбменаФССЭЛН() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПараметрыОбменаФССЭЛН() 
```
</details>

## ПриОпределенииСправочниковХраненияФайлов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПриОпределенииСправочниковХраненияФайлов(ТипВладелецФайла, ИменаСправочников) 
```
</details>

## ПередВыгрузкойДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередВыгрузкойДанных(Контейнер) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПередВыгрузкойДанных(Контейнер) 
```
</details>

## ПослеВыгрузкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеВыгрузкиДанных(Контейнер) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПослеВыгрузкиДанных(Контейнер) 
```
</details>

## ПослеЗагрузкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗагрузкиДанных(Контейнер) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПослеЗагрузкиДанных(Контейнер) 
```
</details>

## ЗапуститьПереносТранспортныхСообщенийВПрисоединенныеФайлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Обработчик обновления БРО 1.1.11.22
Процедура ЗапуститьПереносТранспортныхСообщенийВПрисоединенныеФайлы() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗапуститьПереносТранспортныхСообщенийВПрисоединенныеФайлы() 
```
</details>

## ЗаменитьВОрганизацияхИПодразделенияхКодОрганаФСГС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Обработчик обновления БРО 1.1.12.26, 1.1.12.30
Процедура ЗаменитьВОрганизацияхИПодразделенияхКодОрганаФСГС(Знач ОпрашиватьСервис = Ложь) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаменитьВОрганизацияхИПодразделенияхКодОрганаФСГС(ОпрашиватьСервис);
```
</details>

## СохранитьОшибкуПреобразованияТОГС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СохранитьОшибкуПреобразованияТОГС(ИнформацияОбОшибке) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.СохранитьОшибкуПреобразованияТОГС(ИнформацияОбОшибке));
```
</details>

## ЗаменитьКодТОГСа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаменитьКодТОГСа(ЗаменяемыеКодыОргановФСГС, ИмяСправочника, ЭтоОрганизация) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаменитьКодТОГСа(ЗаменяемыеКодыОргановФСГС, ИмяСправочника, ЭтоОрганизация));
```
</details>

## ЗаменитьВОрганизацияхИПодразделенияхКодОрганаФСГСОтложенно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаменитьВОрганизацияхИПодразделенияхКодОрганаФСГСОтложенно(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗаменитьВОрганизацияхИПодразделенияхКодОрганаФСГСОтложенно(Параметры);
```
</details>

## ФоноваяЗаменаВОрганизацияхИПодразделенияхКодОрганаФСГС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ФоноваяЗаменаВОрганизацияхИПодразделенияхКодОрганаФСГС(Знач ВсеПараметры, Знач Адрес = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ФоноваяЗаменаВОрганизацияхИПодразделенияхКодОрганаФСГС(ВсеПараметры, Адрес);
```
</details>

## ПолучитьКонтактыПФР
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьКонтактыПФР(АдресХранилища, КодРегиона, КодПФР) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПолучитьКонтактыПФР(АдресХранилища, КодРегиона, КодПФР) 
```
</details>

## ОтправитьОбратнуюСвязьСервер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтправитьОбратнуюСвязьСервер(СпецоператорСвязи, АдресПакета) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ОтправитьОбратнуюСвязьСервер(СпецоператорСвязи, АдресПакета) 
```
</details>

## ДвДанныеПакетаДляПредоставленияПоМестуТребования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает двоичные данные архива с оригиналом отчета, квитанцией о приеме
// и электронными подписями ФНС, для отправки финансовой очтетности в банки.
//
// Параметры:
//  Отчет - ДокументСсылка.РегламентированныйОтчет - ссылка на сохраненный в базе
//          регламентированный отчет, принятый в ФНС.
//
// Возвращаемое значение:
//  ДвоичныеДанные - двоичные данные архива или неопределено, если невозможно сформировать архив с подписями.
//
Функция ДвДанныеПакетаДляПредоставленияПоМестуТребования(Отчет) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ДвДанныеПакетаДляПредоставленияПоМестуТребования(Отчет) 
```
</details>

## ЗавершитьНастройкуЗаявлений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗавершитьНастройкуЗаявлений() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЗавершитьНастройкуЗаявлений() 
```
</details>

## ПриОпределенииИспользуемыхВерсийВнешнихКомпонент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОпределенииИспользуемыхВерсийВнешнихКомпонент(Идентификаторы) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ПриОпределенииИспользуемыхВерсийВнешнихКомпонент(Идентификаторы) 
```
</details>

## ЭтоУведомлениеОРегистрацииЮЛ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет принадлежность документа к разделу заявлений на регистрацию
//
// Параметры:
//	ВидУведомления - ПеречислениеСсылка.ВидыУведомленийОСпецрежимахНалогообложения
//
// Возвращаемое значение:
//	Булево
//
Функция ЭтоУведомлениеОРегистрацииЮЛ(ВидУведомления) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганами.ЭтоУведомлениеОРегистрацииЮЛ(ВидУведомления) 
```
</details>

## ИсправитьРегистрационныеНомераМЧДФНС502
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИсправитьРегистрационныеНомераМЧДФНС502() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганами.ИсправитьРегистрационныеНомераМЧДФНС502() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
