---
title: Электронный документооборот с контролирующими органами клиент сервер переопределяемый
slug: zup/электронный-документооборот-с-контролирующими-органами-клиент-сервер-переопределяемый
---


## ПолучитьСсылкуНаОтправляемыйДокументПоФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ссылку на документ по заданной форме.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, отображающая данные документа, ссылку на
//                                       который требутеся вернуть.
//
// Результат:
//  Ссылка на документ.
//
// Пример:
//  Возврат Форма.Объект.Ссылка;
//
Функция ПолучитьСсылкуНаОтправляемыйДокументПоФорме(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганамиКлиентСерверПереопределяемый.ПолучитьСсылкуНаОтправляемыйДокументПоФорме(Форма) 
```
</details>

## ПолучитьСсылкуНаОрганизациюОтправляемогоДокументаПоФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ссылку на организацию-отправитель документа по заданной форме.
//
// Параметры:
//  Форма - ФормаКлиентскогоПриложения - форма, из которой производится отправка.
//
// Результат:
//  СправочникСсылка.Организации,
//	Неопределено, если получить ссылку на организацию не получилось
//
Функция ПолучитьСсылкуНаОрганизациюОтправляемогоДокументаПоФорме(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганамиКлиентСерверПереопределяемый.ПолучитьСсылкуНаОрганизациюОтправляемогоДокументаПоФорме(Форма) 
```
</details>

## ИмяОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает строкой имя объекта метаданных.
//
//
// Параметры:
//	Имя - строка, условное имя объекта
//	Возможные варианты:
//		УведомлениеОКонтролируемыхСделках
//		РеестрСведенийНаВыплатуПособийФСС
//		СправкиНДФЛДляПередачиВНалоговыйОрган
//
// Результат:
//	Строка, имя объекта метаданных, если объект данного вида присутствует в конфигурации данного прикладного решения
//	Неопределено, если объект данного вида отсутствует в конфигурации данного прикладного решения
//
// Пример:
// 	Если Имя = "СправкиНДФЛДляПередачиВНалоговыйОрган" Тогда
//		Возврат "СправкиНДФЛДляПередачиВНалоговыйОрган";
//	Иначе
//		Возврат Неопределено;
//	КонецЕсли;
Функция ИмяОбъектаМетаданных(Имя) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганамиКлиентСерверПереопределяемый.ИмяОбъектаМетаданных(Имя) 
```
</details>

## ТипОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает тип организации
//
// Параметры
//  Отсутствуют
//
// Возвращаемое значение:
//   Тип   - тип организации в данной базе
//
Функция ТипОрганизации() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганамиКлиентСерверПереопределяемый.ТипОрганизации() 
```
</details>

## ТипФизЛица
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает тип физ лица
//
// Параметры
//  Отсутствуют
//
// Возвращаемое значение:
//   Тип   - тип физ лица в данной базе
//
Функция ТипФизЛица() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСКонтролирующимиОрганамиКлиентСерверПереопределяемый.ТипФизЛица() 
```
</details>

## ПроверятьУникальностьРегистрацииВНалоговомОргане
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура определяет, нужно ли проверять уникальность регистрации в налоговом органе для конфигурации
//
// Параметры:
//  Проверять	 - Булево - В нее нужно записать результат, нужно ли проверять уникальность
//
Процедура ПроверятьУникальностьРегистрацииВНалоговомОргане(Проверять = Истина) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганамиКлиентСерверПереопределяемый.ПроверятьУникальностьРегистрацииВНалоговомОргане(Проверять);
```
</details>

## ОпределитьСоответствиеТиповИсточниковВидамДокументовФНС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет соответствие между видом документа ФНС и массивом типов ссылок на соответствующие объекты метаданных
//
// Параметры:
//  СоответствиеВидовДокументов  - Соответствие, значения соответствия требуется переопределить
//
//	Ключ		- ПеречислениеСсылка.ВидыПредставляемыхДокументов
//	 Значение	- Массив,
//			элементы массива	- Тип, тип ссылки на объект метаданных.
//
Процедура ОпределитьСоответствиеТиповИсточниковВидамДокументовФНС(СоответствиеВидовДокументов) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСКонтролирующимиОрганамиКлиентСерверПереопределяемый.ОпределитьСоответствиеТиповИсточниковВидамДокументовФНС(СоответствиеВидовДокументов) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
