---
title: Электронный документооборот с ФСС
slug: zup/электронный-документооборот-с-фсс
---


## ФоноваяОтправкаЗапросовСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет фоновую загрузку сообщений, при получении которых ранее возникала ошибка соединения.
Процедура ФоноваяОтправкаЗапросовСЭДО() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСФСС.ФоноваяОтправкаЗапросовСЭДО() 
```
</details>

## ВыполнитьОбменСФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обмен с сервером СЭДО ФСС из фонового задания.
Процедура ВыполнитьОбменСФСС() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСФСС.ВыполнитьОбменСФСС() 
```
</details>

## ТребуетсяЗапускРегламентногоЗаданияОбменаСФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак необходимости запуска регламентного задания обмена
// по заданной организации.
// см.также ЭлектронныйДокументооборотСФССПереопределяемый.ПроверитьНеобходимостьЗапускаРегламентногоЗадания
// Параметры:
//   Организация - СправочникСсылка.Организации - организация, для которой нужно проверить необходимость запуска.
// Возвращаемое значение:
//   Булево - Истина, если для организации требуется запуск рег.задания.
Функция ТребуетсяЗапускРегламентногоЗаданияОбменаСФСС(Организации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.ТребуетсяЗапускРегламентногоЗаданияОбменаСФСС(Организации) 
```
</details>

## МетаданныеВходящихСообщенийСЭДОФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает метаданные входящих сообщений на сервере СЭДО ФСС и возвращает список входящих.
// Параметры:
//   Организация - организация, для которой нужно получить входящие.
//   ДатаСообщений - дата, на которую нужно получить список входящих.
//   ТипВзаимодействия - при незаполненном берется ДокументооборотСФССКлиентСервер.ТипВзаимодействияСтраховательСЭДО().
//   СвойстваОбменаПоСЭДОЧерезОператора - при незаполненном берется
//     ЭлектронныйДокументооборотСКонтролирующимиОрганамиВызовСервера.СвойстваОбменаПоСЭДОЧерезОператора(Организация)
// Возвращаемое значение:
//   Результат             - Структура:
//     * Выполнено         - Булево - признак успешного выполнения операции.
//     * ОписаниеОшибки    - Строка - содержит описание ошибки в случае, если Выполнено установлено в Ложь.
//     * ДанныеСообщений   - Структура - структура с полями:
//         * Идентификатор          - Строка - идентификатор сообщения.
//         * Тип                    - Число  - тип сообщения согласно спецификации.
//         * Получатель             - Строка - идентификатор получателя.
//         * ТребуетсяПодтверждение - Булево - требуется подтверждение о прочтении сообщения.
//         * Новое                  - Булево - признак того, что это новое сообщение, данные которого ещё не были загружены.
//
Функция МетаданныеВходящихСообщенийСЭДОФСС( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.МетаданныеВходящихСообщенийСЭДОФСС();
```
</details>

## ВключитьОбменСФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает регламентное задание обмена с сервером СЭДО ФСС.
Процедура ВключитьОбменСФСС(ОдинРазВСутки = Ложь, ПараметрыЗадания = Неопределено) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСФСС.ВключитьОбменСФСС(ОдинРазВСутки, ПараметрыЗадания);
```
</details>

## ОтключитьОбменСФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отключает регламентное задание обмена с сервером СЭДО ФСС.
Процедура ОтключитьОбменСФСС() Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСФСС.ОтключитьОбменСФСС() 
```
</details>

## ПриОпределенииНастроекРегламентныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет следующие свойств регламентных заданий:
//  - зависимость от функциональных опций.
//  - возможность выполнения в различных режимах работы программы.
//  - прочие параметры.
//
// Параметры:
//  Настройки - ТаблицаЗначений - таблица значений с колонками:
//    * РегламентноеЗадание - ОбъектМетаданных:РегламентноеЗадание - регламентное задание.
//    * ФункциональнаяОпция - ОбъектМетаданных:ФункциональнаяОпция - функциональная опция,
//        от которой зависит регламентное задание.
//    * ЗависимостьПоИ      - Булево - если регламентное задание зависит более, чем
//        от одной функциональной опции и его необходимо включать только тогда,
//        когда все функциональные опции включены, то следует указывать Истина
//        для каждой зависимости.
//        По умолчанию Ложь - если хотя бы одна функциональная опция включена,
//        то регламентное задание тоже включено.
//    * ВключатьПриВключенииФункциональнойОпции - Булево, Неопределено - если Ложь, то при
//        включении функциональной опции регламентное задание не будет включаться. Значение
//        Неопределено соответствует значению Истина.
//        По умолчанию - неопределено.
//    * ДоступноВПодчиненномУзлеРИБ - Булево, Неопределено - Истина или Неопределено, если регламентное
//        задание доступно в РИБ.
//        По умолчанию - неопределено.
//    * ДоступноВАвтономномРабочемМесте - Булево, Неопределено - Истина или Неопределено, если регламентное
//        задание доступно в автономном рабочем месте.
//        По умолчанию - неопределено.
//    * ДоступноВМоделиСервиса      - Булево, Неопределено - Истина или Неопределено, если регламентное
//        задание доступно в модели сервиса.
//        По умолчанию - неопределено.
//    * РаботаетСВнешнимиРесурсами  - Булево - Истина, если регламентное задание модифицирует данные
//        во внешних источниках (получение почты, синхронизация данных и т.п.).
//        По умолчанию - Ложь.
//    * Параметризуется             - Булево - Истина, если регламентное задание параметризованное.
//        По умолчанию - Ложь.
//
// Например:
//	Настройка = Настройки.Добавить();
//	Настройка.РегламентноеЗадание = Метаданные.РегламентныеЗадания.ОбновлениеСтатусовДоставкиSMS;
//	Настройка.ФункциональнаяОпция = Метаданные.ФункциональныеОпции.ИспользоватьПочтовыйКлиент;
//	Настройка.ДоступноВМоделиСервиса = Ложь;
//
Процедура ПриОпределенииНастроекРегламентныхЗаданий(Настройки) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСФСС.ПриОпределенииНастроекРегламентныхЗаданий(Настройки) 
```
</details>

## ПриОпределенииПсевдонимовОбработчиков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет соответствие имен методов их псевдонимам для вызова из очереди заданий.
// См. ОчередьЗаданийПереопределяемый.ПриОпределенииПсевдонимовОбработчиков.
//
// Параметры:
//  СоответствиеИменПсевдонимам - Соответствие -
//    * Ключ - псевдоним метода, например ОчиститьОбластьДанных.
//    * Значение - имя метода для вызова, например РаботаВМоделиСервиса.ОчиститьОбластьДанных.
//        В качестве значения можно указать Неопределено, в этом случае считается что имя
//        совпадает с псевдонимом.
//
Процедура ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСФСС.ПриОпределенииПсевдонимовОбработчиков(СоответствиеИменПсевдонимам) 
```
</details>

## НовыеСообщенияСЭДОФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив новых сообщений СЭДО ФСС.
// Параметры:
//   Отбор - Структура - параметры отбора сообщений.
//     * Организация - СправочникСсылка.Организации, Массив - организация(и) для отбора по организациям.
//     * Тип - Число, Массив - тип(ы) сообщения(ий) для отбора по типу. Необязательный.
//     * ТребуетсяПодтверждение - Булево - признак отбора сообщений требующих подтверждение. Необязательный.
// Возвращаемое значение:
//   Таблица значений с колонками:
//     * Идентификатор - Строка - идентификатор сообщения.
//     * Организация - СправочникСсылка.Организации - организация сообщения.
//     * Тип - Число - тип сообщения.
Функция НовыеСообщенияСЭДОФСС(Знач Отбор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.НовыеСообщенияСЭДОФСС(Отбор);
```
</details>

## ПриПолученииСпискаНовыхСообщенийСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПриПолученииСпискаНовыхСообщенийСЭДО(Организация, ДанныеСообщений) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.ПриПолученииСпискаНовыхСообщенийСЭДО(Организация, ДанныеСообщений) 
```
</details>

## ПриПолученииСодержимогоСообщенияСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПриПолученииСодержимогоСообщенияСЭДО(Организация, ДанныеСообщения) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.ПриПолученииСодержимогоСообщенияСЭДО(Организация, ДанныеСообщения) 
```
</details>

## РегистрационныйНомерФССОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РегистрационныйНомерФССОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.РегистрационныйНомерФССОрганизации(Организация) 
```
</details>

## ОрганизацииИспользующиеОбменФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив организация, у которых активирован обмен с ФСС в настройках.
// Возвращаемое значение:
//   Массив - массив ссылок типа СправочникСсылка.Организации.
//
Функция ОрганизацииИспользующиеОбменФСС() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.ОрганизацииИспользующиеОбменФСС() 
```
</details>

## ДанныеВходящегоСообщенияСЭДОФСС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные входящего сообщения по идентификатору.
// Параметры:
//   Организация - СправочникСсылка.Организации - организация, для которой нужно получить входящие.
//   Идентификатор - Строка - идентификатор сообщения.
// Возвращаемое значение:
//   ТаблицаЗначений - таблица значений с данными сообщения, колонки:
//     *Идентификатор - Строка - идентификатор сообщения.
//     *Организация - СправочникСсылка.Организации - организация получатель.
//     *Тип - Строка - тип сообщения.
//     *Получетель - Строка - регистрационный номер ФСС получателя.
//     *ТребуетсяПодтверждение - Булево - Истина, если требуется подтверждение о получении.
//     *Содержимое - ХранилищеЗначения - хранилище значений с данными сообщения.
//     *Новое - Булево - Истина, если содержимое сообщения не получено.
//     *Дата - Дата - дата сообщения.
//     *ДатаЗагрузки - Дата - дата получения содержимого сообщения.
//     *ДатаОтправкиПодтверждения - Дата - дата отправки подтверждения о получении.
//     *ДатаПолученияИзвещенияОПолученииПодтверждения - Дата - дата получения извещения о получении подтверждения.
//     *ДатаПолученияОшибкиПодтверждения - Дата - дата получении ошибки подтверждения.
//     *ДатаСоздания - Дата - дата создания записи в регистре.
//     *ОшибкаОбработкиСообщения - Дата - дата обработки сообщения.
//     *ОшибкаПодтверждения - Строка - текст ошибки подтверждения о получении.
//     *ПодтверждениеОтправлено - Булево - Истина, если подтверждения о получении отправлено.
//     *СрокДействия - Дата - срок действия сообщения.
//
Функция ДанныеВходящегоСообщенияСЭДОФСС(Организация, Идентификатор) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.ДанныеВходящегоСообщенияСЭДОФСС(Организация, Идентификатор) 
```
</details>

## ПараметрыОтправитьСообщениеСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает данные входящего сообщения по идентификатору.
// Параметры:
//   ТипСообщения                 - Число     - тип сообщения СЭДО из спецификации типов документов,
//   СодержимоеИлиАдресСообщения  - Строка    - текст выгрузки сообщения СЭДО по спецификации типов документов или
//                                - Строка    - адрес во временном хранилище, по которому содержится строка или двоичные
//                                              данные в кодировке utf-8 текста выгрузки сообщения СЭДО по спецификации
//                                              типов документов
//   Организация                  - СправочникСсылка.Организации - организация отправитель,
//   ОписаниеОшибки               - Строка    - шаблон текста сообщения, возвращаемого в ключе "ОписаниеОшибки"
//                                              результата оповещения обратного вызова при неудаче отправки,
//                                              с подстановкой текста ошибки вместо %1, например:
//                                              НСтр("ru = 'Не удалось подписать организацию на оповещения об изменении состояний ЭЛН сотрудников.'") + Символы.ПС + "%1",
//   РегистрационныйНомерФСС      - Строка    - регистрационный номер ФСС (дополнительный код ФСС в случае филиала),
//                                              при пустом значении подставляется здесь из организации.
//   ТипВзаимодействия            - Число     - для МЧД задать 3.
//   СвойстваДляОбмена            - Структура - при значении Неопределено заполняется автоматически, при типе
//                                              взаимодействия 3 (МЧД) можно передать структуру с реквизитами
//                                              "ОГРН", "ИНН", "КПП", "СНИЛС"
// Возвращаемое значение:
//   Структура - переданные параметры отправки сообщения (незаполненные могут вычисляться) для передачи в процедуру
//               "ЭлектронныйДокументооборотСФССКлиент.ОтправитьСообщениеСЭДО", параметр "ПараметрыСообщения".
//
Функция ПараметрыОтправитьСообщениеСЭДО( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.ПараметрыОтправитьСообщениеСЭДО();
```
</details>

## ТестовыйРежим
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает флаг использования тестового сервера при обмене данными ЭЛН и по СЭДО.
// Параметры:
//   Организация - СправочникСсылка.Организации
// Возвращаемое значение:
//   Булево - флаг использования тестового сервера при обмене данными ЭЛН и по СЭДО
//
Функция ТестовыйРежим(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.ТестовыйРежим(Организация) 
```
</details>

## ПараметрыИнформационнойПанелиБРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров, необходимых для создания информационной панели в объектах ЗУП
//
// Возвращаемое значение:
//  Структура - Параметры, необходимые для создания информационной панели в объектах ЗУП
//
Функция ПараметрыИнформационнойПанелиБРО() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.ПараметрыИнформационнойПанелиБРО() 
```
</details>

## ОбновитьИнформационнуюПанельБРО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Перерисовывает и при необходимости создает элементы информационной панели БРО в объектах ЗУП
//
// Параметры:
//  ПараметрыОтображения - Структура - Параметры, необходимые для создания информационной панели в объектах ЗУП
//                         Шаблон для описания параметров возвращает метод ПараметрыИнформационнойПанелиБРО()
//
Процедура ОбновитьИнформационнуюПанельБРО(ПараметрыОтображения) Экспорт
```

Пример вызова
```bsl
ЭлектронныйДокументооборотСФСС.ОбновитьИнформационнуюПанельБРО(ПараметрыОтображения) 
```
</details>

## ВидыДокументовСЭДОФССДоходнаяЧасть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВидыДокументовСЭДОФССДоходнаяЧасть() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.ВидыДокументовСЭДОФССДоходнаяЧасть() 
```
</details>

## ДобавитьОтправкуФССПоСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет запись в справочник "Отправки в СФР (бывш. ФСС)", которая может использоваться при показе подтверждения
// доставки оператором в СФР из стандартного диалога "Этапы отправки".
// Параметры:
//   ОтчетСсылка - ссылка на отчет, должна присутствовать в определяемом типе ПредметОтправкиОтчетаФСС,
//   ИдентификаторЗапроса - Строка,
//   Организация - СправочникСсылка.Организации,
//   ДатаОтправки - Дата - при незаданном значении используется текущая дата,
//   ОбменЧерезОператора - Булево - результат вызова
//     НЕ ЭлектронныйДокументооборотСКонтролирующимиОрганамиВызовСервера.СвойстваОбменаПоСЭДОЧерезОператора(
//     Организация).ОбменПоСЭДОНапрямую.
// Возвращаемое значение:
//   СправочникСсылка.ОтправкиФСС.
//
Функция ДобавитьОтправкуФССПоСЭДО( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.ДобавитьОтправкуФССПоСЭДО();
```
</details>

## РегистрационныеНомераСФРПоТранспортнымДаннымСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу с данными рег.номеров СФР.
// Параметры:
//   Страхователи - Массив из СправочникСсылка.Организации - список организаций страхователей.
// Возвращаемое значение:
//   ТаблицаЗначений - таблица с колонками:
//     Страхователь - СправочникСсылка.Организации
//     РегистрационныйНомерФСС - Строка
//     РегистрационныйНомерСФР - Строка
//     ДатаСообщения - Дата
//     ИдентификаторСообщения - Строка
//     ТипСообщения - Число
//     ОписаниеТипа - Строка
Функция РегистрационныеНомераСФРПоТранспортнымДаннымСЭДО(Страхователи) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФСС.РегистрационныеНомераСФРПоТранспортнымДаннымСЭДО(Страхователи) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
