---
title: Электронный документооборот с ФСС клиент сервер
slug: zup/электронный-документооборот-с-фсс-клиент-сервер
---


## ПараметрыОтправитьСообщениеСЭДО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры для отправки сообщения в СЭДО.
// Реквизиты РегистрационныйНомерФСС и СвойстваДляОбмена заполняются автоматически при вызове с сервера,
// при вызове с клиента эти реквизиты нужно заполнять самостоятельно.
//
// Параметры:
//   ТипСообщения                 - Число     - тип сообщения СЭДО из спецификации типов документов,
//   СодержимоеИлиАдресСообщения  - Строка    - текст выгрузки сообщения СЭДО по спецификации типов документов или
//                                - Строка    - адрес во временном хранилище, по которому содержится строка или двоичные
//                                              данные в кодировке utf-8 текста выгрузки сообщения СЭДО по спецификации
//                                              типов документов
//   Организация                  - СправочникСсылка.Организации - организация отправитель,
//   ОписаниеОшибки               - Строка    - шаблон текста сообщения, возвращаемого в ключе "ОписаниеОшибки"
//                                              результата оповещения обратного вызова при неудаче отправки,
//                                              с подстановкой текста ошибки вместо %1, например:
//                                              НСтр("ru = 'Не удалось подписать организацию на оповещения об изменении состояний ЭЛН сотрудников.'") + Символы.ПС + "%1",
//   РегистрационныйНомерФСС      - Строка    - регистрационный номер ФСС (дополнительный код ФСС в случае филиала),
//                                              при пустом значении подставляется из организации если метод вызывается с сервера.
//   ТипВзаимодействия            - Число     - Для отпрвки от имени страхователя передается значение 2, для отправки МЧД 3.
//                                              Если значение не заполнено, то тип определяется по типу сообщения.
//   СвойстваДляОбмена            - Структура - при значении Неопределено заполняется автоматически при вызове с сервера, при типе
//                                              взаимодействия 3 (МЧД) можно передать структуру с реквизитами
//                                              "ОГРН", "ИНН", "КПП", "СНИЛС"
// Возвращаемое значение:
//   Структура - переданные параметры отправки сообщения (незаполненные могут вычисляться) для передачи в процедуру
//               "ЭлектронныйДокументооборотСФССКлиент.ОтправитьСообщениеСЭДО", параметр "ПараметрыСообщения".
//
Функция ПараметрыОтправитьСообщениеСЭДО( Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныйДокументооборотСФССКлиентСервер.ПараметрыОтправитьСообщениеСЭДО();
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
