---
title: Управление доступом служебный
slug: bsp/управление-доступом-служебный
---


## НовоеОтключениеОбновленияКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ФиксированнаяСтруктура:
//   * Стандартное - Булево
//   * Полное      - Булево
//   * ВложенныеОтключения - ФиксированныйМассив
//   * ИзмененныеСписки - ХранилищеЗначения
//
Функция НовоеОтключениеОбновленияКлючейДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовоеОтключениеОбновленияКлючейДоступа() 
```
</details>

## ОбновитьПараметрыСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Только для внутреннего использования.
Процедура ОбновитьПараметрыСеанса() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьПараметрыСеанса() 
```
</details>

## ПроверитьНаличиеПользователяИБВГруппеДоступаАдминистраторы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка группы доступа Администраторы перед записью.
Процедура ПроверитьНаличиеПользователяИБВГруппеДоступаАдминистраторы(ПользователиГруппы, ОписаниеОшибки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьНаличиеПользователяИБВГруппеДоступаАдминистраторы(ПользователиГруппы, ОписаниеОшибки) 
```
</details>

## ЕстьОграничениеТаблицыПоВидуДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступом.ЕстьОграничениеТаблицыПоВидуДоступа
Функция ЕстьОграничениеТаблицыПоВидуДоступа(Таблица, ВидДоступа, ВсеВидыДоступа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЕстьОграничениеТаблицыПоВидуДоступа(Таблица, ВидДоступа, ВсеВидыДоступа) 
```
</details>

## ДобавитьОбъектПланируемыйКУдалению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Объекты            - см. ОбновлениеИнформационнойБазы.ДобавитьОбъектПланируемыйКУдалению.Объекты
//  ПолноеИмяИзмерения - см. ОбновлениеИнформационнойБазы.ДобавитьОбъектПланируемыйКУдалению.Объект
//  ТребуемыеТипы      - ОписаниеТипов
//  УказанныеТипы      - ОписаниеТипов
//
Процедура ДобавитьОбъектПланируемыйКУдалению(Объекты, ТребуемыеТипы, МетаданныеИзмерения) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьОбъектПланируемыйКУдалению(Объекты, ТребуемыеТипы, МетаданныеИзмерения));
```
</details>

## ОбновитьГруппыЗначенийДоступаПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки ОбновитьГруппыЗначенийДоступаПередЗаписью:
// - проверяет изменение родителя и готовит группы доступа, в которых
//   нужно обновить значения доступа, выбранные с учетом иерархии.
//
Процедура ОбновитьГруппыЗначенийДоступаПередЗаписью(Знач Источник, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьГруппыЗначенийДоступаПередЗаписью(Источник, Отказ) 
```
</details>

## ОбновитьГруппыЗначенийДоступаПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки ОбновитьГруппыЗначенийДоступаПриЗаписи:
// - вызывает метод записи групп значений доступа в
//   регистр сведений ГруппыЗначенийДоступа для требуемых объектов метаданных,
// - обновляет значения групп доступа, выбранные с учетом иерархии.
//
Процедура ОбновитьГруппыЗначенийДоступаПриЗаписи(Источник) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьГруппыЗначенийДоступаПриЗаписи(Источник) 
```
</details>

## ОбновитьГруппыВладельцевНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки ОбновитьГруппыВладельцевНастроекПрав на событие ПередЗаписью:
// - вызывает метод записи иерархии владельцев настроек прав объектов в
//   регистр сведений НаследованиеНастроекПравОбъектов для требуемых объектов метаданных.
//
Процедура ОбновитьГруппыВладельцевНастроекПрав(Знач Объект, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьГруппыВладельцевНастроекПрав(Объект, Отказ) 
```
</details>

## ЗаписатьНаборыЗначенийДоступаПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки ЗаписатьНаборыЗначенийДоступа на событие ПриЗаписи
// вызывает метод записи значений доступа объекта в РегистрСведений.НаборыЗначенийДоступа.
//  Возможен случай использования подсистемы "УправлениеДоступом", когда
// указанной подписки не существует, если наборы значений доступа не применяются.
//
Процедура ЗаписатьНаборыЗначенийДоступаПриЗаписи(Знач Объект, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьНаборыЗначенийДоступаПриЗаписи(Объект, Отказ) 
```
</details>

## ЗаписатьЗависимыеНаборыЗначенийДоступаПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки ЗаписатьЗависимыеНаборыЗначенийДоступа события ПриЗаписи
// вызывает перезапись зависимых наборов значений доступа в регистре сведений НаборыЗначенийДоступа.
//
//  Возможен случай использования подсистемы "УправлениеДоступом", когда
// указанной подписки не существует, если зависимые наборы значений доступа не применяются.
//
Процедура ЗаписатьЗависимыеНаборыЗначенийДоступаПриЗаписи(Знач Объект, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьЗависимыеНаборыЗначенийДоступаПриЗаписи(Объект, Отказ) 
```
</details>

## ЗаполнитьНаборыЗначенийДоступаТабличныхЧастей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписок ЗаполнитьНаборыЗначенийДоступаТабличныхЧастей* на событие ПередЗаписью
// вызывает заполнение значений доступа табличной части объекта НаборыЗначенийДоступа,
// когда для ограничения доступа к самому объекту используется шаблон #ПоНаборамЗначений.
//  Возможен случай использования подсистемы Управление доступом, когда
// указанной подписки не существует, если для указанной цели наборы не применяются.
//
// Параметры:
//  Источник        - СправочникОбъект
//                  - ДокументОбъект
//                  - ПланВидовХарактеристикОбъект
//                  - ПланСчетовОбъект
//                  - ПланВидовРасчетаОбъект
//                  - БизнесПроцессОбъект
//                  - ЗадачаОбъект
//                  - ПланОбменаОбъект - объект данных, передаваемый в подписку на событие ПередЗаписью.
//
//  Отказ           - Булево - параметр, передаваемый в подписку на событие ПередЗаписью.
//
//  РежимЗаписи     - Булево - параметр, передаваемый в подписку на событие ПередЗаписью,
//                    когда тип параметра Источник - ДокументОбъект.
//
//  РежимПроведения - Булево - параметр, передаваемый в подписку на событие ПередЗаписью,
//                    когда тип параметра Источник - ДокументОбъект.
//
Процедура ЗаполнитьНаборыЗначенийДоступаТабличныхЧастей(Источник, Отказ = Неопределено, РежимЗаписи = Неопределено, РежимПроведения = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьНаборыЗначенийДоступаТабличныхЧастей(Источник, Отказ, РежимЗаписи, РежимПроведения);
```
</details>

## ЗаполнениеДанныхДляОграниченияДоступаОбработчикЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик регламентного задания ЗаполнениеДанныхДляОграниченияДоступа.
Процедура ЗаполнениеДанныхДляОграниченияДоступаОбработчикЗадания() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнениеДанныхДляОграниченияДоступаОбработчикЗадания() 
```
</details>

## ЗаполнениеДанныхДляОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет последовательное заполнение и обновление данных, необходимых для работы
// подсистемы УправленияДоступом в режиме ограничения доступа на уровне записей.
//
//  При включенном режиме ограничения доступа на уровне записей заполняет наборы
// значений доступа. Заполнение выполняется частями при каждом запуске, пока все
// наборы значений доступа не будут заполнены.
//  При отключении режима ограничения доступа на уровне записей наборы значений доступа
// (заполненные ранее) удаляются при перезаписи объектов, а не все сразу.
//  Независимо от режима ограничения доступа на уровне записей обновляет кэш-реквизиты.
//  После завершения всех обновлений и заполнений отключает использование регламентного задания.
//
//  Сведения о состоянии работы записываются в журнал регистрации.
//
//  Возможно вызывать программно, например, при обновлении информационной базы.
// Также для целей обновления есть форма Справочник.ГруппыДоступа.ОбновлениеДанныхОграниченияДоступа,
// с помощью которой можно сделать интерактивное обновление данных ограничения доступа
// при обновлении информационной базы.
//
Процедура ЗаполнениеДанныхДляОграниченияДоступа(КоличествоДанных = 0, ТолькоКэшРеквизиты = Ложь, ЕстьИзменения = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнениеДанныхДляОграниченияДоступа(КоличествоДанных, ТолькоКэшРеквизиты, ЕстьИзменения);
```
</details>

## УстановитьЗаполнениеДанныхДляОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает использование регламентного задания заполнения данных управления доступом.
//
// Параметры:
//   Использование - Булево - Истина, если задание нужно включить, иначе Ложь.
//
Процедура УстановитьЗаполнениеДанныхДляОграниченияДоступа(Знач Использование) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьЗаполнениеДанныхДляОграниченияДоступа(Использование) 
```
</details>

## ВидДоступаИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает Истина, если вид доступа включен по функциональным опциям для всех сеансов.
//
// Параметры:
//  ВидДоступа - ОпределяемыйТип.ЗначениеДоступа - пустая ссылка основного типа вида доступа.
//             - Строка - имя вида доступа.
//
// Возвращаемое значение:
//  Булево
//
Функция ВидДоступаИспользуется(Знач ВидДоступа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВидДоступаИспользуется(ВидДоступа) 
```
</details>

## ИспользуемыеВидыДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  БезУчетаОграниченияДоступа - Булево
//
// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - ОпределяемыйТип.ЗначениеДоступа - пустая ссылка основного типа вида доступа.
//   * Значение - Булево - значение Истина.
//
Функция ИспользуемыеВидыДоступа(БезУчетаОграниченияДоступа = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИспользуемыеВидыДоступа(БезУчетаОграниченияДоступа);
```
</details>

## СвойстваВидаДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает свойства вида доступа или всех видов доступа.
//
// Параметры:
//  ВидДоступа - ОпределяемыйТип.ЗначениеДоступа - пустая ссылка основного типа вида доступа.
//             - Строка - имя вида доступа.
//
// Возвращаемое значение:
//   Структура:
//     * Имя - Строка
//     * Ссылка - ОпределяемыйТип.ЗначениеДоступа
//     * ТипЗначений - Тип
//     * ТипГруппЗначений - Тип
//     * НесколькоГруппЗначений - Булево
//     * ДополнительныеТипы - ФиксированныйМассив из см. ДополнительныйТипВидаДоступа
//     * ТипыВыбираемыхЗначений - ФиксированныйМассив из Тип
//   Неопределено
//
Функция СвойстваВидаДоступа(ВидДоступа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваВидаДоступа(ВидДоступа) 
```
</details>

## ПолучитьНаборыЗначенийДоступаТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает новые наборы для заполнения табличной части.
//
// Параметры:
//  Объект - ОпределяемыйТип.ВладелецСОграничениемПоНаборамЗначенийДоступаОбъект
//         - ОпределяемыйТип.ВладелецСОграничениемПоНаборамЗначенийДоступаДокумент
//
// Возвращаемое значение:
//   см. УправлениеДоступом.ТаблицаНаборыЗначенийДоступа
//
Функция ПолучитьНаборыЗначенийДоступаТабличнойЧасти(Объект) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПолучитьНаборыЗначенийДоступаТабличнойЧасти(Объект));
```
</details>

## ОбновитьНаборыЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обновление наборов значений доступа объекта, если они изменились.
// Наборы обновляются в табличной части (если используется) и
// в регистре сведений НаборыЗначенийДоступа.
//
// Параметры:
//  СсылкаИлиОбъект - ЛюбаяСсылка
//                  - ОпределяемыйТип.ВладелецНаборовЗначенийДоступаОбъект - ссылка или объект,
//                    для которого записываются наборы значений доступа.
//
//  ЕстьИзменения - Булево
//                - Неопределено
//
//  ОбновлениеИБ    - Булево - если Истина, то необходимо выполнять запись данных,
//                            не выполняя лишних, избыточных действий с данными.
//                            См. ОбновлениеИнформационнойБазы.ЗаписатьДанные.
//
Процедура ОбновитьНаборыЗначенийДоступа(СсылкаИлиОбъект, ЕстьИзменения = Неопределено, ОбновлениеИБ = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьНаборыЗначенийДоступа(СсылкаИлиОбъект, ЕстьИзменения, ОбновлениеИБ);
```
</details>

## ПодготовитьНаборыЗначенийДоступаКЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет вспомогательные данные, ускоряющие работу шаблонов ограничений доступа.
//  Выполняется перед записью в регистр НаборыЗначенийДоступа.
//
// Параметры:
//  СсылкаНаОбъект - ЛюбаяСсылка - ссылка на объект для которого заполняются наборы значений доступа.
//  Таблица        - ТаблицаЗначений
//  ДобавитьКэшРеквизиты - Булево
//
Процедура ПодготовитьНаборыЗначенийДоступаКЗаписи(СсылкаНаОбъект, Таблица, ДобавитьКэшРеквизиты = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПодготовитьНаборыЗначенийДоступаКЗаписи(СсылкаНаОбъект, Таблица, ДобавитьКэшРеквизиты);
```
</details>

## ПриИзмененииОграниченияДоступаНаУровнеЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если необходимо, включает заполнение данных для ограничения доступа и
// обновляет некоторые данные сразу.
//
// Вызывается из обработчика ПриЗаписи константы ОграничиватьДоступаНаУровнеЗаписей.
//
Процедура ПриИзмененииОграниченияДоступаНаУровнеЗаписей(ОграничениеДоступаНаУровнеЗаписейВключено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПриИзмененииОграниченияДоступаНаУровнеЗаписей(ОграничениеДоступаНаУровнеЗаписейВключено) 
```
</details>

## ПриСозданииНаСервереФормыРедактированияРазрешенныхЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет вспомогательные данные, требуемые для работы формы,
// которые не зависят от содержания объекта или заполняются для нового объекта.
//
// Форма должна содержать реквизиты, указанные ниже.
// Реквизиты отмеченные символом & заполняются автоматически, но их нужно создать в форме.
// Реквизиты отмеченные символом # должны быть созданы в форме, если
// в форме будет создан реквизит ТекущаяГруппаДоступа (см. ниже).
// Реквизиты отмеченные символом @ будут созданы автоматически.
//
//  ТекущаяГруппаДоступа - необязательный реквизит,
//                         если не создан в форме, тогда не используется.
//
//  ВидыДоступа - Таблица с полями:
//    #ГруппаДоступа              - СправочникСсылка.ГруппыДоступа,
//    ВидДоступа                  - ОпределяемыйТип.ЗначениеДоступа,
//    Предустановленный           - Булево (только для профиля),
//    ВсеРазрешены                - Булево,
//    &ВидДоступаПредставление    - Строка - представление настройки,
//    &ВсеРазрешеныПредставление  - Строка - представление настройки,
//    @Используется               - Булево.
//
//  ЗначенияДоступа - Таблица с полями:
//    #ГруппаДоступа     - СправочникСсылка.ГруппыДоступа,
//    &ВидДоступа        - ОпределяемыйТип.ЗначениеДоступа,
//    ЗначениеДоступа    - ОпределяемыйТип.ЗначениеДоступа,
//    &НомерСтрокиПоВиду - Число.
//
//  &ИспользоватьВнешнихПользователей     - Булево - реквизит будет создан, если нет в форме.
//  &НадписьВидДоступа                    - Строка - представление текущего вида доступа в форме.
//  @ЭтоПрофильГруппДоступа               - Булево.
//  @ТекущийВидДоступа                    - ОпределяемыйТип.ЗначениеДоступа.
//  @ТекущиеТипыВыбираемыхЗначений        - СписокЗначений.
//  @ТекущийТипВыбираемыхЗначений         - ОпределяемыйТип.ЗначениеДоступа.
//  @ИмяРеквизитаХранилищаТаблиц          - Строка.
//  @ВидДоступаПользователи               - ОпределяемыйТип.ЗначениеДоступа.
//  @ВидДоступаВнешниеПользователи        - ОпределяемыйТип.ЗначениеДоступа.
//
//  @ВсеВидыДоступа - Таблица с полями:
//    @Ссылка        - ОпределяемыйТип.ЗначениеДоступа,
//    @Представление - Строка,
//    @Используется  - Булево.
//
//  @ПредставленияВсеРазрешены - Таблица с полями:
//    @Имя           - Строка,
//    @Представление - Строка.
//
//  @ВсеТипыВыбираемыхЗначений - Таблица с полями:
//    @ВидДоступа        - ОпределяемыйТип.ЗначениеДоступа,
//    @ТипЗначений       - ОпределяемыйТип.ЗначениеДоступа,
//    @ПредставлениеТипа - Строка,
//    @ИмяТаблицы        - Строка,
//    @ИерархияЭлементов - Булево.
//
// Параметры:
//  Форма      - см. УправлениеДоступомСлужебныйКлиентСервер.ПараметрыФормыРедактированияРазрешенныхЗначений
//
//  ЭтоПрофиль - Булево - указывает, что возможна настройка видов доступа
//               в том числе представление настройки содержит 4 значения, а не 2.
//
//  ИмяРеквизитаХранилищаТаблиц - Строка - содержащая, например, строку "Объект", которая
//               содержит таблицы ВидыДоступа и ЗначенияДоступа (см. ниже).
//               Если указана пустая строка, тогда считается,
//               что таблицы хранятся в реквизитах формы.
//
Процедура ПриСозданииНаСервереФормыРедактированияРазрешенныхЗначений(Форма, ЭтоПрофиль = Ложь, ИмяРеквизитаХранилищаТаблиц = "Объект") Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПриСозданииНаСервереФормыРедактированияРазрешенныхЗначений(Форма, ЭтоПрофиль, ИмяРеквизитаХранилищаТаблиц);
```
</details>

## ПриПовторномЧтенииНаСервереФормыРедактированияРазрешенныхЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При повторном чтении заполняет или обновляет вспомогательные данные,
// требуемые для работы формы, которые зависят от содержания объекта.
//
Процедура ПриПовторномЧтенииНаСервереФормыРедактированияРазрешенныхЗначений(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПриПовторномЧтенииНаСервереФормыРедактированияРазрешенныхЗначений(Форма, ТекущийОбъект) 
```
</details>

## ПередЗаписьюНаСервереФормыРедактированияРазрешенныхЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет лишние значения доступа перед записью.
// Лишние значения доступа могут появиться, если заменить или удалить вид доступа,
// для которого введены значения доступа.
//
Процедура ПередЗаписьюНаСервереФормыРедактированияРазрешенныхЗначений(Форма, ТекущийОбъект) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередЗаписьюНаСервереФормыРедактированияРазрешенныхЗначений(Форма, ТекущийОбъект) 
```
</details>

## ПослеЗаписиНаСервереФормыРедактированияРазрешенныхЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет свойства видов доступа.
Процедура ПослеЗаписиНаСервереФормыРедактированияРазрешенныхЗначений(Форма, ТекущийОбъект, ПараметрыЗаписи) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПослеЗаписиНаСервереФормыРедактированияРазрешенныхЗначений(Форма, ТекущийОбъект, ПараметрыЗаписи) 
```
</details>

## ОбновитьОтображениеНеиспользуемыхВидовДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Скрывает или показывает неиспользуемые виды доступа.
Процедура ОбновитьОтображениеНеиспользуемыхВидовДоступа(Форма, ПриСозданииНаСервере = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьОтображениеНеиспользуемыхВидовДоступа(Форма, ПриСозданииНаСервере);
```
</details>

## УстановитьУсловиеОтбораВЗапросе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Только для внутреннего использования.
Процедура УстановитьУсловиеОтбораВЗапросе(Знач Запрос, Знач Значения, Знач ИмяПараметраЗначений, Знач ИмяПараметраУсловияОтбораИмяПоля) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьУсловиеОтбораВЗапросе(Запрос, Значения, ИмяПараметраЗначений, ИмяПараметраУсловияОтбораИмяПоля) 
```
</details>

## ОбновитьНаборЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет набор записей в базе данных,
// если записи набора отличаются от записей в базе данных.
//
// Параметры:
//  Данные - Структура:
//    * НаборЗаписей           - РегистрСведенийНаборЗаписей - пустой или прочитанный с заданным отбором или без.
//                             - РегистрСведенийМенеджер - менеджер регистра для создания набора записей.
//
//    * НовыеЗаписи            - ТаблицаЗначений - в формате регистра.
//
//    * ПоляСравнения          - Строка - содержит список полей по значениям которых требуется вычислять
//                               отличие записей набора. Например, "Измерение1, Измерение2, Ресурс1",
//                               а реквизит ДатаИзмерения не входит в список.
//
//    * ПолеОтбора             - Неопределено - записывается весь регистр или
//                                              отбор уже задан в наборе записей.
//                               Строка       - имя поля по которому нужно установить отбор.
//
//    * ЗначениеОтбора         - Отбор - значение, которое будет установлено в качестве отбора
//                               по полю отбора, если поле отбора задано.
//
//    * НаборЗаписейПрочитан   - Булево - если Истина, тогда не заданный набор записей уже содержит
//                               прочитанные записи блокировка данных этих записей установлена и
//                               транзакция открыта.
//
//    * ТолькоПроверка         - Булево - если Истина, тогда не выполнять запись,
//                               а лишь выявить необходимость записи и установить
//                               свойство ЕстьИзменения.
//
//    * ДополнительныеСвойства - Структура
//                             - Неопределено - если Структура, тогда в
//                               объекты <Регистр*>НаборЗаписей в свойство ДополнительныеСвойства
//                               будут вставлены все параметры структуры.
//
//    * ОбновлениеИБ           - Булево - если Истина, то необходимо выполнять запись данных,
//                               не выполняя лишних, избыточных действий с данными.
//                               См. ОбновлениеИнформационнойБазы.ЗаписатьДанные.
//                               Если свойство не вставлено, то значение вычисляется по "Или" с помощью функций
//                               ВыполняетсяОбновлениеИнформационнойБазы и ЭтоВызовИзОбработчикаОбновления
//                               общего модуля ОбновлениеИнформационнойБазы.
//
//  ЕстьИзменения         - Булево - возвращаемое значение. Если производилась запись,
//                          устанавливается Истина, иначе не изменяется.
//
//  ИзмененныеЗаписи      - Неопределено - никаких действий, иначе
//                          возвращает таблицу значений в формате регистра с полем ВидИзмененияСтроки
//                          типа Число (-1 запись удалена, 1 запись добавлена).
//
Процедура ОбновитьНаборЗаписей(Знач Данные, ЕстьИзменения = Неопределено, ИзмененныеЗаписи = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьНаборЗаписей(Данные, ЕстьИзменения, ИзмененныеЗаписи);
```
</details>

## ОбновитьНаборыЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет строки регистра с отбором по нескольким значениям для одного или
// для двух измерений регистра, выполняется проверка наличия изменений,
// если изменений нет, перезапись не производится.
//
// Параметры:
//  Данные - Структура:
//    * МенеджерРегистра          - РегистрСведенийМенеджер - менеджер регистра для создания набора записей.
//
//    * НовыеЗаписи               - ТаблицаЗначений - в формате регистра.
//
//    * ПоляСравнения             - Строка - содержит список полей по значениям которых требуется
//                                  вычислять отличие записей набора, например, "Измерение1, Измерение2,
//                                  Ресурс1", а реквизит ДатаИзменения не входит в список.
//
//    * ИмяПервогоИзмерения       - Неопределено - нет отбора по измерению.
//                                - Строка       - содержит имя первого измерения, для которого задано
//                                                 несколько значений.
//
//    * ЗначенияПервогоИзмерения  - Неопределено - нет отбора по измерению, аналогично,
//                                                 ИмяПервогоИзмерения = Неопределено.
//                                - ЛюбаяСсылка  - содержит одно значение отбора регистра для
//                                                 обновляемых записей.
//                                - Массив       - содержит массив значений отбора регистра для
//                                                 обновляемых записей, пустой массив - значит
//                                                 действий не требуется.
//
//    * ИмяВторогоИзмерения       - Неопределено
//                                - Строка - аналогично ИмяПервогоИзмерения.
//    * ЗначенияВторогоИзмерения  - Неопределено
//                                - ЛюбаяСсылка
//                                - Массив - аналогично ЗначенияПервогоИзмерения.
//    * ИмяТретьегоИзмерения      - Неопределено
//                                - Строка - аналогично ИмяПервогоИзмерения.
//    * ЗначенияТретьегоИзмерения - Неопределено
//                                - ЛюбаяСсылка
//                                - Массив - аналогично ЗначенияПервогоИзмерения.
//
//    * ТолькоПроверка            - Булево - если Истина, тогда не выполнять запись,
//                                  а лишь выявить необходимость записи и установить
//                                  свойство ЕстьИзменения.
//
//    * ДополнительныеСвойства    - Неопределено
//                                - Структура - если Структура, тогда в
//                                  объекты <Регистр*>НаборЗаписей в свойство
//                                  ДополнительныеСвойства будут вставлены все параметры структуры.
//
//    * ОбновлениеИБ              - Булево - если Истина, то необходимо выполнять запись данных,
//                                  не выполняя лишних, избыточных действий с данными.
//                                  См. ОбновлениеИнформационнойБазы.ЗаписатьДанные.
//                                  Если свойство не вставлено, то значение вычисляется по "Или" с помощью функций
//                                  ВыполняетсяОбновлениеИнформационнойБазы и ЭтоВызовИзОбработчикаОбновления
//                                  общего модуля ОбновлениеИнформационнойБазы.
//
//  ЕстьИзменения             - Булево - возвращаемое значение. Если производилась запись,
//                              устанавливается Истина, иначе не изменяется.
//
Процедура ОбновитьНаборыЗаписей(Знач Данные, ЕстьИзменения) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьНаборыЗаписей(Данные, ЕстьИзменения));
```
</details>

## ОбновитьРегистрСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет регистр сведений по данным в таблице значений ИзмененияСтрок.
//
// Параметры:
//  Данные - Структура:
//
//  * МенеджерРегистра       - РегистрСведенийМенеджер - менеджер регистра для создания набора записей.
//
//  * ИзмененияСоставаСтрок  - ТаблицаЗначений - содержащей поля регистра и
//                             поле ВидИзмененияСтроки (Число):
//                               " 1" - значит, что строку нужно добавить,
//                               "-1" - значит, что строку нужно удалить.
//
//  * ФиксированныйОтбор     - Структура - содержащая имя измерения в ключе и значение
//                             отбора в значении. Может быть указана, когда измерений
//                             более 3-х и заранее известно, что по измерениям сверх 3-х
//                             будет единственное значение. Измерения указанные в
//                             фиксированном отборе не используются при формировании
//                             наборов записей для выполнения обновления.
//
//  * ИзмеренияОтбора        - Строка - измерений перечисленных через запятую, которые
//                             нужно использовать при формировании наборов записей
//                             для выполнения обновления (не более 3-х). Не указанные
//                             измерения будут превращены в фиксированный отбор,
//                             если по ним все значения совпадают.
//
//  * ТолькоПроверка         - Булево - если Истина, тогда не выполнять запись,
//                             а лишь выявить необходимость записи и установить
//                             свойство ЕстьИзменения.
//
//  * ДополнительныеСвойства - Неопределено
//                           - Структура - если Структура, тогда в
//                             объекты <Регистр*>НаборЗаписей в свойство
//                             ДополнительныеСвойства будут вставлены все параметры структуры.
//
//  * ОбновлениеИБ           - Булево - если Истина, то необходимо выполнять запись данных,
//                             не выполняя лишних, избыточных действий с данными.
//                             См. ОбновлениеИнформационнойБазы.ЗаписатьДанные.
//                             Если свойство не вставлено, то значение вычисляется по "Или" с помощью функций
//                             ВыполняетсяОбновлениеИнформационнойБазы и ЭтоВызовИзОбработчикаОбновления
//                             общего модуля ОбновлениеИнформационнойБазы.
//
//  ЕстьИзменения         - Булево - возвращаемое значение. Если производилась запись,
//                          устанавливается Истина, иначе не изменяется.
//
Процедура ОбновитьРегистрСведений(Знач Данные, ЕстьИзменения = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьРегистрСведений(Данные, ЕстьИзменения);
```
</details>

## ПустаяСсылкаОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую ссылку объекта метаданных ссылочного типа.
//
// Параметры:
//  ОписаниеОбъектаМетаданных - ОбъектМетаданных,
//                            - Тип - по которому можно найти объект метаданных,
//                            - Строка - полное имя объекта метаданных.
// Возвращаемое значение:
//  ЛюбаяСсылка
//
Функция ПустаяСсылкаОбъектаМетаданных(ОписаниеОбъектаМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПустаяСсылкаОбъектаМетаданных(ОписаниеОбъектаМетаданных) 
```
</details>

## ТекстЗапросаВыбораИзменений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает запрос выбора различий между строками регистра в заданной области данных
// (на основе отборов в параметре ПоляИОтбор).
//
// Параметры:
//  ТекстЗапросаВыбораНовых - Строка.
//
//  ПоляИОтбор - Массив из Структура - со свойствами "ИмяПоля", ИмяПараметраУсловияОтбора.
//
//  ПолноеИмяРегистра - Строка       - запрос старых формируется автоматически.
//                    - Неопределено - запрос старых берется из следующего параметра.
//
//  ТекстЗапросовВременныхТаблиц - Строка - запрос временных таблиц, если требуется.
//
//  ТекстЗапросаВыбораСтарых - Строка       - запрос старых, с учетом нестандартных отборов.
//                           - Неопределено - когда полное имя регистра определено.
//
// Возвращаемое значение:
//  Строка - текст запроса
//
Функция ТекстЗапросаВыбораИзменений(ТекстЗапросаВыбораНовых, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаВыбораИзменений(ТекстЗапросаВыбораНовых, );
```
</details>

## ЗаполнитьОбработчикиРазделенныхДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет обработчик разделенных данных, зависимый от изменения неразделенных данных.
//
// Параметры:
//   Параметры - Структура - структура параметров обработчиков:
//     * РазделенныеОбработчики - см. ОбновлениеИнформационнойБазы.НоваяТаблицаОбработчиковОбновления
//
Процедура ЗаполнитьОбработчикиРазделенныхДанных(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьОбработчикиРазделенныхДанных(Параметры);
```
</details>

## ОбновитьВспомогательныеДанныеПоИзменениямКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет вспомогательные данные, которые зависят от конфигурации частично.
//
// Обновляется при наличии изменений конфигурации, записанных в параметры
// ограничения доступа при обновлении базы данных на текущую версию конфигурации.
//
Процедура ОбновитьВспомогательныеДанныеПоИзменениямКонфигурации(Параметры = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьВспомогательныеДанныеПоИзменениямКонфигурации(Параметры);
```
</details>

## ВключитьЗаполнениеДанныхДляОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет настройки и включает регламентное задание.
Процедура ВключитьЗаполнениеДанныхДляОграниченияДоступа() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВключитьЗаполнениеДанныхДляОграниченияДоступа() 
```
</details>

## ОбновитьДанныеПрофиляОткрытиеВнешнихОтчетовИОбработок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет данные профиля "ИнтерактивноеОткрытиеВнешнихОтчетовИОбработок".
Процедура ОбновитьДанныеПрофиляОткрытиеВнешнихОтчетовИОбработок() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьДанныеПрофиляОткрытиеВнешнихОтчетовИОбработок() 
```
</details>

## ОбновитьВспомогательныеДанныеГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Только для внутреннего использования.
Процедура ОбновитьВспомогательныеДанныеГруппДоступа(Параметры) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьВспомогательныеДанныеГруппДоступа(Параметры) 
```
</details>

## ПраваРолейРасширений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   см. РегистрыСведений.ПраваРолей.ТаблицаПравРолей
//
Функция ПраваРолейРасширений() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПраваРолейРасширений() 
```
</details>

## ОбновитьТаблицыГруппДоступаДляПодключенныхРасширений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ПраваРолейРасширений - см. РегистрыСведений.ПраваРолей.ТаблицаПравРолей
//
Процедура ОбновитьТаблицыГруппДоступаДляПодключенныхРасширений(ПраваРолейРасширений = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьТаблицыГруппДоступаДляПодключенныхРасширений(ПраваРолейРасширений);
```
</details>

## ЭтоПраваРолейРасширений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьТаблицыГруппДоступаДляПодключенныхРасширений.
//
// Параметры:
//  ПраваРолейРасширений       - см. РегистрыСведений.ПраваРолей.ТаблицаПравРолей
//  ПустыеПраваРолейРасширений - см. РегистрыСведений.ПраваРолей.ТаблицаПравРолей
//
Функция ЭтоПраваРолейРасширений(ПраваРолейРасширений, ПустыеПраваРолейРасширений) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоПраваРолейРасширений(ПраваРолейРасширений, ПустыеПраваРолейРасширений));
```
</details>

## ПраваРолейРасширенийИзменились
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьТаблицыГруппДоступаДляПодключенныхРасширений.
//
// Параметры:
//  НовыеПраваРолейРасширений  - см. РегистрыСведений.ПраваРолей.ТаблицаПравРолей
//  СтарыеПраваРолейРасширений - см. РегистрыСведений.ПраваРолей.ТаблицаПравРолей
//
Функция ПраваРолейРасширенийИзменились(НовыеПраваРолейРасширений, СтарыеПраваРолейРасширений) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПраваРолейРасширенийИзменились(НовыеПраваРолейРасширений, СтарыеПраваРолейРасширений));
```
</details>

## ПриИзмененииНаборовЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииНаборовЗначенийДоступа(Знач СсылкаНаОбъект, ОбновлениеИБ = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПриИзмененииНаборовЗначенийДоступа(СсылкаНаОбъект, ОбновлениеИБ);
```
</details>

## ИдентификаторПрофиляОткрытиеВнешнихОтчетовИОбработок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИдентификаторПрофиляОткрытиеВнешнихОтчетовИОбработок() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИдентификаторПрофиляОткрытиеВнешнихОтчетовИОбработок());
```
</details>

## ЭтоПрофильОткрытиеВнешнихОтчетовИОбработок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоПрофильОткрытиеВнешнихОтчетовИОбработок(Профиль) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоПрофильОткрытиеВнешнихОтчетовИОбработок(Профиль) 
```
</details>

## ГруппыДоступаПрофиляОткрытиеВнешнихОтчетовИОбработок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГруппыДоступаПрофиляОткрытиеВнешнихОтчетовИОбработок() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ГруппыДоступаПрофиляОткрытиеВнешнихОтчетовИОбработок());
```
</details>

## ОписаниеПрофиляОткрытиеВнешнихОтчетовИОбработок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеПрофиляОткрытиеВнешнихОтчетовИОбработок() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеПрофиляОткрытиеВнешнихОтчетовИОбработок() 
```
</details>

## ГруппаДоступаОткрытиеВнешнихОтчетовИОбработок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГруппаДоступаОткрытиеВнешнихОтчетовИОбработок(СвойстваПрофиля) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ГруппаДоступаОткрытиеВнешнихОтчетовИОбработок(СвойстваПрофиля));
```
</details>

## ГруппыПрофиля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГруппыПрофиля(СсылкаПрофиля, ПометкаУдаления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ГруппыПрофиля(СсылкаПрофиля, ПометкаУдаления));
```
</details>

## ТекстЗапросаГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функция РазрешенныеЗначенияДляДинамическогоСписка, ЕстьОграничениеПоВидуДоступа.
Функция ТекстЗапросаГруппДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаГруппДоступа());
```
</details>

## ЗаполнитьПараметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьНаборЗаписей, ОбновитьНаборыЗаписей, ОбновитьРегистрСведений.
Процедура ЗаполнитьПараметры(ВходныеПараметры, Знач ВсеПараметры, Знач ОбязательныеПараметры = "") Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПараметры(ВходныеПараметры, ВсеПараметры, ОбязательныеПараметры);
```
</details>

## ОбъектПодсистемыУправлениеДоступомТолькоДляСозданияНачальногоОбраза
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПриОтправкеДанныхГлавному, ПриОтправкеДанныхПодчиненному,
// ПриПолученииДанныхОтГлавного, ПриПолученииДанныхОтПодчиненного.
//
Функция ОбъектПодсистемыУправлениеДоступомТолькоДляСозданияНачальногоОбраза(ЭлементДанных) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбъектПодсистемыУправлениеДоступомТолькоДляСозданияНачальногоОбраза(ЭлементДанных));
```
</details>

## ПриОтправкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПриПолученииДанныхОтГлавного, ПриПолученииДанныхОтПодчиненного
Процедура ПриОтправкеДанных(ЭлементДанных, ОтправкаЭлемента, Подчиненному, СозданиеНачальногоОбраза) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПриОтправкеДанных(ЭлементДанных, ОтправкаЭлемента, Подчиненному, СозданиеНачальногоОбраза));
```
</details>

## ПриПолученииДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПриПолученииДанныхОтГлавного, ПриПолученииДанныхОтПодчиненного
Процедура ПриПолученииДанных(ЭлементДанных, ПолучениеЭлемента, ОтправкаНазад, ОтПодчиненного) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПриПолученииДанных(ЭлементДанных, ПолучениеЭлемента, ОтправкаНазад, ОтПодчиненного));
```
</details>

## ЗарегистрироватьЗначенияДоступаИзмененныеПриПолученииДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПриПолученииДанныхОтГлавногоИлиОтПодчиненного.
Процедура ЗарегистрироватьЗначенияДоступаИзмененныеПриПолученииДанных(ЭлементДанных) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗарегистрироватьЗначенияДоступаИзмененныеПриПолученииДанных(ЭлементДанных));
```
</details>

## ОбновитьВспомогательныеДанныеЭлементовИзмененныхПриПолученииДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПослеПолученияДанных, ПослеОбновленияИнформационнойБазы.
Процедура ОбновитьВспомогательныеДанныеЭлементовИзмененныхПриПолученииДанных() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьВспомогательныеДанныеЭлементовИзмененныхПриПолученииДанных());
```
</details>

## ОбработатьИзменениеЗначенийДоступаЗарегистрированноеПриПолученииДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьВспомогательныеДанныеЭлементовИзмененныхПриПолученииДанных.
Процедура ОбработатьИзменениеЗначенийДоступаЗарегистрированноеПриПолученииДанных() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьИзменениеЗначенийДоступаЗарегистрированноеПриПолученииДанных());
```
</details>

## ОбработатьЗарегистрированноеИзменениеЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьИзменениеЗначенийДоступаЗарегистрированноеПриПолученииДанных.
Процедура ОбработатьЗарегистрированноеИзменениеЗначенийДоступа(ИмяВидаСсылок, ОчисткаРегистрации) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьЗарегистрированноеИзменениеЗначенийДоступа(ИмяВидаСсылок, ОчисткаРегистрации));
```
</details>

## ОбработатьЗарегистрированноеИзменениеИерархииЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьИзменениеЗначенийДоступаЗарегистрированноеПриПолученииДанных.
Процедура ОбработатьЗарегистрированноеИзменениеИерархииЗначенийДоступа(ИмяВидаСсылок, ОчисткаРегистрации) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьЗарегистрированноеИзменениеИерархииЗначенийДоступа(ИмяВидаСсылок, ОчисткаРегистрации));
```
</details>

## ОбработатьСвязьПользователяСГруппойДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ВключитьПользователяВГруппуДоступа.
Функция ОбработатьСвязьПользователяСГруппойДоступа(Пользователь, ПоставляемыйПрофиль, Включить = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбработатьСвязьПользователяСГруппойДоступа(Пользователь, ПоставляемыйПрофиль, Включить);
```
</details>

## ЗаписатьНаборыЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаписатьНаборыЗначенийДоступаПриЗаписи.

// Перезаписывает наборы значений доступа проверяемого объекта
// в РегистрСведений.НаборыЗначенийДоступа, используя процедуру
// УправлениеДоступом.ЗаполнитьНаборыЗначенийДоступа().
//
// Процедура вызывается из УправлениеДоступомСлужебный.ЗаписатьНаборыЗначенийДоступа(),
// но может быть вызвана из любого места, например,
// при включении ограничения доступа на уровне записей.
//
// Вызывает процедуру прикладного разработчика
// УправлениеДоступомПереопределяемый.ПриИзмененииНаборовЗначенийДоступа(),
// которая используется для перезаписи зависимых наборов значений доступа.
//
// Параметры:
//  Объект       - ЛюбаяСсылка
//               - ОпределяемыйТип.ВладелецНаборовЗначенийДоступаОбъект -
//                 В случае вызова с клиента можно передать только ссылку, а нужен объект.
//                 Если получена ссылка, то по ней будет получен объект.
//  ОбновлениеИБ - Булево - если Истина, то необходимо выполнять запись данных,
//                 не выполняя лишних, избыточных действий с данными.
//                 См. ОбновлениеИнформационнойБазы.ЗаписатьДанные.
//
Процедура ЗаписатьНаборыЗначенийДоступа(Знач Объект, ЕстьИзменения = Неопределено, ОбновлениеИБ = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьНаборыЗначенийДоступа(Объект, ЕстьИзменения, ОбновлениеИБ);
```
</details>

## ЗаписатьЗависимыеНаборыЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаписатьЗависимыеНаборыЗначенийДоступаПриЗаписи.

// Перезаписывает наборы значений доступа зависимых объектов.
//
//  Процедура вызывается из УправлениеДоступомСлужебный.ЗаписатьЗависимыеНаборыЗначенийДоступа(),
// состав типов подписки дополняет (без пересечения) состав типов подписки ЗаписатьНаборыЗначенийДоступа,
// теми типами, для которых выполнять запись наборов в регистр сведений НаборыЗначенийДоступа
// не требуется, но сами наборы входят в состав других наборов, например, наборы некоторых файлов
// из справочника "Файлы" могут входить в состав некоторых бизнес-процессов "Задание", созданных
// на основании файлов, при этом наборы файлов записывать в регистр не требуется.
//
// Вызывает процедуру прикладного разработчика
// УправлениеДоступомПереопределяемый.ПриИзмененииНаборовЗначенийДоступа(),
// которая используется для перезаписи зависимых наборов значений доступа,
// то есть организуется рекурсия.
//
// Параметры:
//  Объект       - ЛюбаяСсылка
//               - ОпределяемыйТип.ВладелецНаборовЗначенийДоступаОбъект -
//                 В случае вызова с клиента можно передать только ссылку, а нужен объект.
//                 Если получена ссылка, то по ней будет получен объект.
//
//  ОбновлениеИБ - Булево - если Истина, то необходимо выполнять запись данных,
//                 не выполняя лишних, избыточных действий с данными.
//                 См. ОбновлениеИнформационнойБазы.ЗаписатьДанные.
//
Процедура ЗаписатьЗависимыеНаборыЗначенийДоступа(Знач Объект, ОбновлениеИБ = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьЗависимыеНаборыЗначенийДоступа(Объект, ОбновлениеИБ);
```
</details>

## ЕстьИзмененияПараметровОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьВспомогательныеДанныеПоИзменениямКонфигурации и
// ЗаполнитьОбработчикиРазделенныхДанных.

// Проверяет были ли изменения неразделенных данных для какой-нибудь области данных.
Функция ЕстьИзмененияПараметровОграниченияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЕстьИзмененияПараметровОграниченияДоступа());
```
</details>

## ПриПодготовкеДополнительныхРолейАдминистратора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьРолиПользователей.

// Для тестирования.
//
// Параметры:
//  ДополнительныеРоли - Соответствие из КлючИЗначение:
//    * Ключ     - Строка - имя роли, которую можно назначить администратору.
//    * Значение - Булево - Истина.
//
Процедура ПриПодготовкеДополнительныхРолейАдминистратора(ДополнительныеРоли) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПриПодготовкеДополнительныхРолейАдминистратора(ДополнительныеРоли));
```
</details>

## ТекущиеСвойстваПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекущиеСвойстваПользователей(МассивПользователей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекущиеСвойстваПользователей(МассивПользователей));
```
</details>

## ПроверитьАктуальностьНовыхРолейПользователейВСеансе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТекущиеСвойстваПользователей.
Процедура ПроверитьАктуальностьНовыхРолейПользователейВСеансе(ИдентификаторыРолей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьАктуальностьНовыхРолейПользователейВСеансе(ИдентификаторыРолей));
```
</details>

## ДобавитьИменаРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТекущиеСвойстваПользователей.
Процедура ДобавитьИменаРолей(РолиАдминистратора, ПолныеИменаРолей, ИдентификаторыРолей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьИменаРолей(РолиАдминистратора, ПолныеИменаРолей, ИдентификаторыРолей));
```
</details>

## ДобавитьИдентификаторыРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТекущиеСвойстваПользователей.
Процедура ДобавитьИдентификаторыРолей(ПолныеИменаРолей, ИдентификаторыРолей, ИменаРолей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьИдентификаторыРолей(ПолныеИменаРолей, ИдентификаторыРолей, ИменаРолей));
```
</details>

## ДобавитьИдентификаторыРолейБезОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТекущиеСвойстваПользователей.
Процедура ДобавитьИдентификаторыРолейБезОбъектовМетаданных(БезОбъектовМетаданных, ИдентификаторыРолей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьИдентификаторыРолейБезОбъектовМетаданных(БезОбъектовМетаданных, ИдентификаторыРолей));
```
</details>

## ЗаполнитьИдентификаторыРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТекущиеСвойстваПользователей.
Процедура ЗаполнитьИдентификаторыРолей(РолиАдминистратора, ИдентификаторыРолей, ИменаРолей = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьИдентификаторыРолей(РолиАдминистратора, ИдентификаторыРолей, ИменаРолей);
```
</details>

## ПоследниеИдентификаторыРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступомСлужебныйПовтИсп.ИдентификаторыРолейСеанса
Функция ПоследниеИдентификаторыРолей(ИмяПараметра, УжеИзменен = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПоследниеИдентификаторыРолей(ИмяПараметра, УжеИзменен);
```
</details>

## НовыеНекорректныеРоли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НовыеРолиПользователей - ТаблицаЗначений
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//   * Пользователь - СправочникСсылка.Пользователи
//                  - СправочникСсылка.ВнешниеПользователи
//   * РольСсылка   - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//                  - СправочникСсылка.ИдентификаторыОбъектовРасширений
//   * Роль         - Строка - имя роли.
//
Функция НовыеНекорректныеРоли(НовыеРолиПользователей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеНекорректныеРоли(НовыеРолиПользователей));
```
</details>

## ДобавитьНекорректнуюРоль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НекорректныеРоли - см. НовыеНекорректныеРоли
//  ОписаниеРоли - СтрокаТаблицыЗначений
//  Пользователь - СправочникСсылка.Пользователи
//               - СправочникСсылка.ВнешниеПользователи
//
Процедура ДобавитьНекорректнуюРоль(НекорректныеРоли, ОписаниеРоли, Пользователь, ЭтоНенайденнаяРоль) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьНекорректнуюРоль(НекорректныеРоли, ОписаниеРоли, Пользователь, ЭтоНенайденнаяРоль));
```
</details>

## ЗарегистрироватьНекорректныеРоли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НекорректныеРоли - см. НовыеНекорректныеРоли
//
Процедура ЗарегистрироватьНекорректныеРоли(НекорректныеРоли) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗарегистрироватьНекорректныеРоли(НекорректныеРоли));
```
</details>

## ЗаполнитьИменаНенайденныхРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗарегистрироватьНекорректныеРоли.
Процедура ЗаполнитьИменаНенайденныхРолей(НекорректныеРоли) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьИменаНенайденныхРолей(НекорректныеРоли));
```
</details>

## ЗарегистрироватьНедоступнуюРоль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗарегистрироватьНедоступнуюРоль(ОписаниеРоли, Профиль) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗарегистрироватьНедоступнуюРоль(ОписаниеРоли, Профиль));
```
</details>

## ЗарегистрироватьНенайденнуюРоль
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗарегистрироватьНенайденнуюРоль(ОписаниеРоли, Профиль) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗарегистрироватьНенайденнуюРоль(ОписаниеРоли, Профиль));
```
</details>

## ОбновитьРолиПользователейИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьРолиПользователейИБ(ОбновляемыеПользователиИБ, ПарольПользователяСервиса) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьРолиПользователейИБ(ОбновляемыеПользователиИБ, ПарольПользователяСервиса));
```
</details>

## ОтключитьУВсехРасширенийФлажокИспользоватьОсновныеРолиДляВсехПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтключитьУВсехРасширенийФлажокИспользоватьОсновныеРолиДляВсехПользователей() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтключитьУВсехРасширенийФлажокИспользоватьОсновныеРолиДляВсехПользователей());
```
</details>

## ПрофилиПользователейСРолями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  НекорректныеРоли - см. НовыеНекорректныеРоли
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//   * Пользователь - СправочникСсылка.Пользователи
//                  - СправочникСсылка.ВнешниеПользователи
//   * РольСсылка   - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//                  - СправочникСсылка.ИдентификаторыОбъектовРасширений
//   * Профиль      - СправочникСсылка.ПрофилиГруппДоступа
//
Функция ПрофилиПользователейСРолями(НекорректныеРоли) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПрофилиПользователейСРолями(НекорректныеРоли));
```
</details>

## ЗаписатьПользователяПриОбновленииРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьРолиПользователейИБ.
Процедура ЗаписатьПользователяПриОбновленииРолей(ПользовательСсылка, ПользовательИБ, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьПользователяПриОбновленииРолей(ПользовательСсылка, ПользовательИБ, );
```
</details>

## КлючИЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ТекстЗапросаВыбораИзменений.

Функция КлючИЗначение(Структура) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КлючИЗначение(Структура));
```
</details>

## ЗаписатьОбъектИлиНаборЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьНаборЗаписей, ОбновитьНовыеЗаписиНабораПоРазличнымНовымЗаписям.

Процедура ЗаписатьОбъектИлиНаборЗаписей(Данные, ОбъектИлиНаборЗаписей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьОбъектИлиНаборЗаписей(Данные, ОбъектИлиНаборЗаписей));
```
</details>

## ГруппаПараметровИзмеренияОбработана
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьНаборЗаписей и ОбновитьНаборыЗаписей.

Функция ГруппаПараметровИзмеренияОбработана(ИмяИзмерения, ЗначенияИзмерения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ГруппаПараметровИзмеренияОбработана(ИмяИзмерения, ЗначенияИзмерения));
```
</details>

## УпорядочитьГруппыПараметровИзмерений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УпорядочитьГруппыПараметровИзмерений(Данные) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УпорядочитьГруппыПараметровИзмерений(Данные));
```
</details>

## ПоляНабораЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПоляНабораЗаписей(НаборЗаписей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПоляНабораЗаписей(НаборЗаписей));
```
</details>

## ОбновитьНовыеЗаписиНабораПоВсемНовымЗаписям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьНовыеЗаписиНабораПоВсемНовымЗаписям(Знач Данные, Знач Отбор, Знач СписокПолей, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьНовыеЗаписиНабораПоВсемНовымЗаписям(Данные, Отбор, СписокПолей, );
```
</details>

## ОбновитьНовыеЗаписиНабораПоРазличнымНовымЗаписям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьНовыеЗаписиНабораПоРазличнымНовымЗаписям(Знач Данные, Знач Отбор, ЕстьИзменения) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьНовыеЗаписиНабораПоРазличнымНовымЗаписям(Данные, Отбор, ЕстьИзменения));
```
</details>

## ОбновлятьНаборЗаписейЦеликом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьНовыеЗаписиНабораПоРазличнымНовымЗаписям.
Функция ОбновлятьНаборЗаписейЦеликом(КоличествоДляЧтения, КлючиЗаписей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбновлятьНаборЗаписейЦеликом(КоличествоДляЧтения, КлючиЗаписей));
```
</details>

## ИсключениеПриОшибкеПоискаЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИсключениеПриОшибкеПоискаЗаписи(Параметры) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ИсключениеПриОшибкеПоискаЗаписи(Параметры));
```
</details>

## ЗаблокироватьОбластьНабораЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаблокироватьОбластьНабораЗаписей(НаборЗаписей, ПолноеИмяРегистра = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаблокироватьОбластьНабораЗаписей(НаборЗаписей, ПолноеИмяРегистра);
```
</details>

## УстановитьОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьОтбор(ЭлементОтбора, ЗначениеОтбора) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьОтбор(ЭлементОтбора, ЗначениеОтбора));
```
</details>

## ЗаписьНесколькимиНаборами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписьНесколькимиНаборами(Данные, Отбор, ИмяПоля, ЗначенияПоля) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗаписьНесколькимиНаборами(Данные, Отбор, ИмяПоля, ЗначенияПоля));
```
</details>

## ПрочитатьКоличествоДляЧтения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПрочитатьКоличествоДляЧтения(Данные) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПрочитатьКоличествоДляЧтения(Данные));
```
</details>

## УстановитьДополнительныеСвойства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьДополнительныеСвойства(НаборЗаписей, ДополнительныеСвойства) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьДополнительныеСвойства(НаборЗаписей, ДополнительныеСвойства));
```
</details>

## ЗначенияКолонкиТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьРегистрСведений.

Функция ЗначенияКолонкиТаблицы(Таблица, ИмяКолонки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗначенияКолонкиТаблицы(Таблица, ИмяКолонки));
```
</details>

## ДобавитьРеквизитыВспомогательныхДанныхВФорму
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обслуживание таблиц ВидыДоступа и ЗначенияДоступа в формах редактирования.

Процедура ДобавитьРеквизитыВспомогательныхДанныхВФорму(Форма, ИмяРеквизитаХранилищаТаблиц) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьРеквизитыВспомогательныхДанныхВФорму(Форма, ИмяРеквизитаХранилищаТаблиц));
```
</details>

## ЗаполнитьТаблицуВсеВидыДоступаВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТаблицуВсеВидыДоступаВФорме(Форма) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьТаблицуВсеВидыДоступаВФорме(Форма));
```
</details>

## ЗаполнитьТаблицуПредставленияВсеРазрешеныВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьТаблицуПредставленияВсеРазрешеныВФорме(Форма, ЭтоПрофиль) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьТаблицуПредставленияВсеРазрешеныВФорме(Форма, ЭтоПрофиль));
```
</details>

## ОформитьТаблицуВидыДоступаВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОформитьТаблицуВидыДоступаВФорме(Форма) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОформитьТаблицуВидыДоступаВФорме(Форма));
```
</details>

## ОформитьТаблицуЗначенияДоступаВФорме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОформитьТаблицуЗначенияДоступаВФорме(Форма) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОформитьТаблицуЗначенияДоступаВФорме(Форма));
```
</details>

## УдалитьЛишниеЗначенияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьЛишниеЗначенияДоступа(Форма, ТекущийОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьЛишниеЗначенияДоступа(Форма, ТекущийОбъект);
```
</details>

## УдалитьНесуществующиеВидыИЗначенияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьНесуществующиеВидыИЗначенияДоступа(Форма, ТекущийОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьНесуществующиеВидыИЗначенияДоступа(Форма, ТекущийОбъект);
```
</details>

## ПараметрыФормыРедактированияРазрешенныхЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПараметрыФормыРедактированияРазрешенныхЗначений(Форма, ТекущийОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПараметрыФормыРедактированияРазрешенныхЗначений(Форма, ТекущийОбъект);
```
</details>

## РеквизитФормыСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РеквизитФормыСуществует(Форма, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РеквизитФормыСуществует(Форма, ИмяРеквизита));
```
</details>

## ПустыеСсылкиЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПустыеСсылкиЗначенийДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПустыеСсылкиЗначенийДоступа() 
```
</details>

## ВсеКомбинацииВидовДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановкаПараметровСеанса.

Функция ВсеКомбинацииВидовДоступа(НеупорядоченныйМассивИмен) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВсеКомбинацииВидовДоступа(НеупорядоченныйМассивИмен));
```
</details>

## ГруппыСтрокВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГруппыСтрокВСтроку(ГруппыСтрок) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ГруппыСтрокВСтроку(ГруппыСтрок));
```
</details>

## НаборыЗначенийДоступаТабличнойЧастиИзменены
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьНаборыЗначенийДоступа, ПриИзмененииНаборовЗначенийДоступа.

// Проверяет, что наборы в табличной части отличаются от новых наборов.
Функция НаборыЗначенийДоступаТабличнойЧастиИзменены(СсылкаНаОбъект, НовыеНаборы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НаборыЗначенийДоступаТабличнойЧастиИзменены(СсылкаНаОбъект, НовыеНаборы));
```
</details>

## ДобавитьЗапросВПакет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РазрешенныеЗначенияДляДинамическогоСписка.
Процедура ДобавитьЗапросВПакет(ТекстПакета, ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗапросВПакет(ТекстПакета, ТекстЗапроса));
```
</details>

## ОбъединитьЗапросСЗапросом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РазрешенныеЗначенияДляДинамическогоСписка.
Процедура ОбъединитьЗапросСЗапросом(ТекстЗапроса, ДобавляемыйТекстЗапроса) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбъединитьЗапросСЗапросом(ТекстЗапроса, ДобавляемыйТекстЗапроса));
```
</details>

## ЗаполненныеВидыДоступаСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновление свойств видов доступа.

// Для функций ПроверенныеСвойстваВидовДоступаСеанса, ПредставлениеВидовДоступа.
// Смотри также УправлениеДоступомПереопределяемый.ПриЗаполненииВидовДоступа.
//
// Возвращаемое значение:
//   ТаблицаЗначений:
//     * Имя - Строка
//     * Представление - Строка
//     * ТипЗначений - Тип
//     * ТипГруппЗначений - Тип
//     * НесколькоГруппЗначений - Булево
//     * ДополнительныеТипы - см. НоваяТаблицаДополнительныеТипыВидаДоступа
//
Функция ЗаполненныеВидыДоступаСеанса() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗаполненныеВидыДоступаСеанса());
```
</details>

## НоваяТаблицаДополнительныеТипыВидаДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗаполненныеВидыДоступаСеанса и
// процедуры ДобавитьДополнительныеТипыВидаДоступа общего модуля УправлениеДоступом.
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//    * ТипЗначений - Тип
//    * ТипГруппЗначений - Тип
//    * НесколькоГруппЗначений - Булево
//
Функция НоваяТаблицаДополнительныеТипыВидаДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяТаблицаДополнительныеТипыВидаДоступа() 
```
</details>

## ОбновитьГруппыИНаборыЗначенийДоступаПриИзмененииТиповГруппИЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПриЗаполненииВсехПараметровРаботыРасширений и
// ОбновитьВспомогательныеДанныеПоИзменениямКонфигурации.
//
Процедура ОбновитьГруппыИНаборыЗначенийДоступаПриИзмененииТиповГруппИЗначений() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьГруппыИНаборыЗначенийДоступаПриИзмененииТиповГруппИЗначений());
```
</details>

## СвойстваВидовДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Смотри УправлениеДоступомПереопределяемый.ПриЗаполненииВидовДоступа.
// Смотри также заполнение в функции ПроверенныеСвойстваВидовДоступаСеанса.
//
// Возвращаемое значение:
//   ФиксированнаяСтруктура:
//     * Массив - ФиксированныйМассив из см. СвойстваВидаДоступа
//     * ПоИменам - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Строка
//         ** Значение - см. СвойстваВидаДоступа
//     * ПоСсылкам - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - СправочникСсылка
//         ** Значение - см. СвойстваВидаДоступа
//     * ПоТипамЗначений - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип
//         ** Значение - см. СвойстваВидаДоступа
//     * ПоТипамГруппИЗначений - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип
//         ** Значение - см. СвойстваВидаДоступа
//     * ПоТипамЗначенийСИерархией - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип
//         ** Значение - см. СвойстваВидаДоступа
//     * ЗначенияДоступаСГруппами - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип
//         ** Значение - см. ЗначенияДоступаСГруппами
//     * БезГруппДляЗначенияДоступа - ФиксированныйМассив из Строка
//     * СОднойГруппойДляЗначенияДоступа - ФиксированныйМассив из Строка
//     * ТипыЗначенийДоступаСГруппами - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип
//         ** Значение - СправочникСсылка
//
Функция СвойстваВидовДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваВидовДоступа() 
```
</details>

## ПроверенныеСвойстваВидовДоступаСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УправлениеДоступомСлужебныйПовтИсп.ОписаниеСвойствВидовДоступаСеанса.
// Возвращает свойства видов доступа, заполняемых при внедрении в процедуре ПриЗаполненииВидовДоступа
// общего модуля УправлениеДоступомПереопределяемый и одноименных обработчиках этого события.
//
// Смотри также УправлениеДоступомПереопределяемый.ПриЗаполненииВидовДоступа.
//
// Параметры:
//  ХешСуммы - см. НовыеХешСуммыСвойствВидовДоступа
//
// Возвращаемое значение:
//   см. СвойстваВидовДоступа
//
Функция ПроверенныеСвойстваВидовДоступаСеанса(ХешСуммы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПроверенныеСвойстваВидовДоступаСеанса(ХешСуммы) 
```
</details>

## НовыеСвойстваВидаДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СвойстваВидовДоступа.
//
// Возвращаемое значение:
//   см. СвойстваВидаДоступа
//
Функция НовыеСвойстваВидаДоступа(ВидДоступа, ПустаяСсылкаТипаЗначений) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеСвойстваВидаДоступа(ВидДоступа, ПустаяСсылкаТипаЗначений));
```
</details>

## ЗначенияДоступаСГруппами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СвойстваВидовДоступа.
//
// Возвращаемое значение:
//   Структура:
//     * ПоТипам - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип
//         ** Значение - см. СвойстваВидаДоступа
//     * ПоТипамСсылок - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип
//         ** Значение - см. СвойстваВидаДоступа
//     * ИменаТаблицДляОбновления - ФиксированныйМассив из Строка
//     * ТипыГруппЗначенийДляОбновления - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип
//         ** Значение - СправочникСсылка
//     * ПоТипамСсылокДляОбновления - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип
//         ** Значение - см. СвойстваВидаДоступа
//
Функция ЗначенияДоступаСГруппами() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗначенияДоступаСГруппами());
```
</details>

## ДополнительныйТипВидаДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СвойстваВидовДоступа.
//
// Возвращаемое значение:
//   ФиксированнаяСтруктура:
//     * ТипЗначений - Тип
//     * ТипГруппЗначений - Тип
//     * НесколькоГруппЗначений - Булево
//
Функция ДополнительныйТипВидаДоступа(Строка) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ДополнительныйТипВидаДоступа(Строка));
```
</details>

## ЗаполнитьЗначенияДоступаСГруппами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СвойстваВидовДоступа.
Процедура ЗаполнитьЗначенияДоступаСГруппами(Строка, ЗначенияДоступаСГруппами, Свойства, ТипыВыбираемыхЗначений) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьЗначенияДоступаСГруппами(Строка, ЗначенияДоступаСГруппами, Свойства, ТипыВыбираемыхЗначений));
```
</details>

## ДобавитьТипыПодпискиОбновитьГруппыЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СвойстваВидовДоступа и процедуры ЗаполнитьЗначенияДоступаСГруппами.
Процедура ДобавитьТипыПодпискиОбновитьГруппыЗначенийДоступа(ТипСсылки, ТипОбъекта, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТипыПодпискиОбновитьГруппыЗначенийДоступа(ТипСсылки, ТипОбъекта, );
```
</details>

## ПроверитьТипыПодпискиОбновитьГруппыЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СвойстваВидовДоступа.
Процедура ПроверитьТипыПодпискиОбновитьГруппыЗначенийДоступа(ЗначенияДоступаСГруппами) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьТипыПодпискиОбновитьГруппыЗначенийДоступа(ЗначенияДоступаСГруппами));
```
</details>

## ПроверитьТип
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СвойстваВидовДоступа.
Процедура ПроверитьТип(ВидДоступа, Тип, ВсеТипы, Параметры, ПроверкаТиповГрупп = Ложь, ПроверкаПересечения = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьТип(ВидДоступа, Тип, ВсеТипы, Параметры, ПроверкаТиповГрупп, ПроверкаПересечения);
```
</details>

## ПредставлениеВидовДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//    * Ключ - Тип
//    * Значение - Строка
//
Функция ПредставлениеВидовДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПредставлениеВидовДоступа() 
```
</details>

## ПредставлениеВидаДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПредставлениеВидаДоступа(СвойстваВидаДоступа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПредставлениеВидаДоступа(СвойстваВидаДоступа) 
```
</details>

## ДобавитьВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьЗначенияДоступаСГруппами.
Процедура ДобавитьВМассив(Массив, Значение) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВМассив(Массив, Значение));
```
</details>

## НовыеХешСуммыСвойствВидовДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций УправлениеДоступомСлужебныйПовтИсп.ОписаниеСвойствВидовДоступаСеанса,
// СвойстваВидовДоступа и процедур ОбновитьОписаниеСвойствВидовДоступа,
// ОбновитьГруппыИНаборыЗначенийДоступаПриИзмененииТиповГруппИЗначений.
//
// Параметры:
//  Значение - Неопределено
//           - ФиксированнаяСтруктура
//
// Возвращаемое значение:
//  Структура:
//   * ХешСумма - Строка
//   * ХешСуммаТиповГруппИЗначенийДоступа - Строка
//
Функция НовыеХешСуммыСвойствВидовДоступа(Значение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеХешСуммыСвойствВидовДоступа(Значение);
```
</details>

## ХешСуммаТиповГруппИЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверенныеСвойстваВидовДоступаСеанса.
Функция ХешСуммаТиповГруппИЗначенийДоступа(СвойстваВидовДоступа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ХешСуммаТиповГруппИЗначенийДоступа(СвойстваВидовДоступа));
```
</details>

## ОписаниеТиповИзКлючейСоответствия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ХешСуммаТиповГруппИЗначенийДоступа.
Функция ОписаниеТиповИзКлючейСоответствия(Данные) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеТиповИзКлючейСоответствия(Данные));
```
</details>

## ХешСуммаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ХешСуммаДанных(Данные) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ХешСуммаДанных(Данные) 
```
</details>

## ГруппыДоступаИспользующиеИерархиюЗначенийДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ГруппыДоступаИспользующиеИерархиюЗначенийДоступа(ТипЗначенияВидаДоступа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ГруппыДоступаИспользующиеИерархиюЗначенийДоступа(ТипЗначенияВидаДоступа));
```
</details>

## ПостоянныеВидыОграниченийПравОбъектовМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений, содержащую вид ограничений доступа по каждому праву
// объектов метаданных.
// Если записи по праву нет, значит ограничений по праву нет.
// Таблица содержит только виды доступа, заданные разработчиком,
// исходя из их применения в текстах ограничений.
// В стандартном варианте ограничения доступа для получения видов доступа объектов,
// которые ограничиваются с помощью шаблона ПоНаборамЗначений, используется текущее
// состояние регистра сведений НаборыЗначенийДоступа. Признаком такого ограничения
// является строка, в которой таблица ограничивается по виду ограничения Объект
// с той же ведущей таблицей (кроме случая, когда таблица является владельцем настроек прав).
//
// Параметры:
//  ДляПроверки - Булево - вернуть текстовое описание ограничений прав, заполненное
//                         в переопределяемых модулях без проверки.
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//   * ДляВнешнихПользователей - Булево - если Ложь, тогда ограничение для пользователей,
//                                 если Истина, тогда для внешних пользователей.
//                                 Колонка присутствует только для универсального ограничения.
//   * ПолноеИмя      - Строка - полное имя таблицы.
//   * Таблица        - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//                    - СправочникСсылка.ИдентификаторыОбъектовРасширений - идентификатор таблицы.
//   * Право          - Строка - "Чтение", "Изменение".
//   * ВидДоступа     - ОпределяемыйТип.ЗначениеДоступа - пустая ссылка основного типа значений вида доступа.
//                        Неопределено если ограничение с помощью стандартного шаблона ПоНаборамЗначений.
//                        Перечисление.ДополнительныеЗначенияДоступа.Неопределено для
//                          специальных ограничений Объект и НастройкиПрав.
//   * ЭтоАвторизованныйПользователь - Булево - Истина, если вид доступа Пользователи или ВнешниеПользователи,
//                        но проверка только с помощью ограничения ФункцияЭтоАвторизованныйПользователь.
//   * ТаблицаОбъекта - ЛюбаяСсылка - пустая ссылка объекта, который ограничивается с помощью
//                      стандартного шаблона ПоНаборамЗначений.
//                    - Неопределено - если ВидДоступа <> Неопределено.
//                      Колонка присутствует только для стандартного ограничения.
//
//  Строка - когда ДляПроверки равно Истина, тогда ограничения прав, как они добавлены в переопределяемом модуле.
//
Функция ПостоянныеВидыОграниченийПравОбъектовМетаданных(ДляПроверки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПостоянныеВидыОграниченийПравОбъектовМетаданных(ДляПроверки);
```
</details>

## ДобавитьВидыОграниченияПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПостоянныеВидыОграниченийПравОбъектовМетаданных.
Процедура ДобавитьВидыОграниченияПрав(ВидыОграниченийПрав, ОграниченияПрав, ВидыДоступаПоИменам, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВидыОграниченияПрав(ВидыОграниченийПрав, ОграниченияПрав, ВидыДоступаПоИменам, );
```
</details>

## ТипыГруппИЗначенийВидовДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Только для внутреннего использования.
//
// Возвращаемое значение:
//   ТаблицаЗначений:
//     * ВидДоступа        - ОпределяемыйТип.ЗначениеДоступа - пустая ссылка
//     * ТипГруппИЗначений - ОпределяемыйТип.ЗначениеДоступа - пустая ссылка
//
Функция ТипыГруппИЗначенийВидовДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипыГруппИЗначенийВидовДоступа() 
```
</details>

## ТипыЗначенийВидовДоступаИВладельцевНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Только для внутреннего использования.
//
// Возвращаемое значение:
//   ТаблицаЗначений:
//     * ВидДоступа - ЛюбаяСсылка
//     * ТипЗначений - ЛюбаяСсылка
//
Функция ТипыЗначенийВидовДоступаИВладельцевНастроекПрав() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипыЗначенийВидовДоступаИВладельцевНастроекПрав() 
```
</details>

## ТипыЗначенийВидовДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТипыЗначенийВидовДоступаИВладельцевНастроекПрав.
Функция ТипыЗначенийВидовДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипыЗначенийВидовДоступа());
```
</details>

## ВозможныеПраваДляНастройкиПравОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Смотри УправлениеДоступомПереопределяемый.ПриЗаполненииВозможныхПравДляНастройкиПравОбъектов.
// Смотри также заполнение в функции РегистрыСведений.НастройкиПравОбъектов.ВозможныеПраваСеанса.
//
// Возвращаемое значение:
//   Структура:
//     * ПоТипам - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип - тип ссылки или объекта из ОпределяемыйТип.ВладельцыНастроекПрав
//         ** Значение - ФиксированноеСоответствие из КлючИЗначение:
//             *** Ключ - Строка - имя возможного права
//             *** Значение - см. РегистрыСведений.НастройкиПравОбъектов.СвойстваВозможногоПрава
//     * ПоТипамСсылок - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип - тип ссылки из ОпределяемыйТип.ВладельцыНастроекПрав
//         ** Значение - ФиксированныйМассив из см. РегистрыСведений.НастройкиПравОбъектов.СвойстваВозможногоПрава
//     * ПоПолнымИменам - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Строка - владелец прав (полное имя таблицы)
//         ** Значение - см. РегистрыСведений.НастройкиПравОбъектов.СвойстваВозможногоПрава
//     * ТипыВладельцев - ФиксированныйМассив из ОпределяемыйТип.ВладелецНастроекПрав
//     * ОтдельныеТаблицы - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//                - СправочникСсылка.ИдентификаторыОбъектовРасширений - идентификатор таблицы
//         ** Значение - Строка - полное имя таблицы
//     * ИерархическиеТаблицы - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Тип - тип ссылки или объекта из ОпределяемыйТип.ВладельцыНастроекПрав
//         ** Значение - Булево - Истина.
//
Функция ВозможныеПраваДляНастройкиПравОбъектов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВозможныеПраваДляНастройкиПравОбъектов() 
```
</details>

## ПоставляемыеПрофили
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Смотри УправлениеДоступомПереопределяемый.ПриЗаполненииПоставляемыхПрофилейГруппДоступа.
// Смотри также заполнение в функции Справочники.ПрофилиГруппДоступа.ПроверенныеПоставляемыеПрофилиСеанса.
//
// Возвращаемое значение:
//   ФиксированнаяСтруктура:
//     * ОписанияПрофилей - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Строка
//         ** Значение - см. Справочники.ПрофилиГруппДоступа.СвойстваПоставляемогоПрофиля
//     * ОписанияПрофилейМассив - ФиксированныйМассив из см. Справочники.ПрофилиГруппДоступа.СвойстваПоставляемогоПрофиля
//     * ПапкиПоРодителям - ФиксированноеСоответствие из КлючИЗначение:
//         ** Ключ - Строка
//         ** Значение - ФиксированноеСоответствие из КлючИЗначение:
//              *** Ключ - Строка
//              *** Значение - Булево
//     * ПараметрыОбновления - ФиксированнаяСтруктура:
//         ** ОбновлятьИзмененныеПрофили - Булево
//         ** ЗапретитьИзменениеПрофилей - Булево
//         ** ОбновлятьГруппыДоступа - Булево
//         ** ОбновлятьГруппыДоступаСУстаревшимиНастройками - Булево
//
Функция ПоставляемыеПрофили() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПоставляемыеПрофили() 
```
</details>

## СтандартныеРолиРасширений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Смотри заполнение в функции Справочники.ПрофилиГруппДоступа.ПодготовленныеСтандартныеРолиРасширенийСеанса.
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура:
//   * ОбщиеПрава                       - ФиксированныйМассив из Строка - имена ролей <ПрефиксРасширения>ОбщиеПрава
//   * ПолныеПрава                      - ФиксированныйМассив из Строка - имена ролей <ПрефиксРасширения>ПолныеПрава
//   * БазовыеПрава                     - ФиксированныйМассив из Строка - имена ролей <ПрефиксРасширения>БазовыеПрава
//   * БазовыеПраваВнешнихПользователей - ФиксированныйМассив из Строка - имена ролей <ПрефиксРасширения>БазовыеПраваВнешнихПользователей
//   * АдминистраторСистемы             - ФиксированныйМассив из Строка - имена ролей <ПрефиксРасширения>АдминистраторСистемы
//   * Все                              - ФиксированноеСоответствие из КлючИЗначение:
//       ** Ключ     - Строка - имя роли расширений, из указанных выше.
//       ** Значение - Строка - имя вида ролей (имя свойства структуры).
//   * ДополнительныеРолиАдминистратора - ФиксированноеСоответствие из КлючИЗначение:
//       ** Ключ     - Строка - имя ролей расширений, которые можно назначить администратору.
//       ** Значение - Булево - Истина.
//
Функция СтандартныеРолиРасширений() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтандартныеРолиРасширений() 
```
</details>

## ПроверитьДоступПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписок ПроверитьДоступПередЗаписью* проверяет доступ к старой версии объекта, проверяет
// изменение полей объектов дополнительных таблиц, присоединенных в ограничениях доступа списков.
// Если изменения найдены, тогда регистрируется необходимость обновления ключей доступа
// для списков, у которых в ограничениях доступа присоединены дополнительные таблицы.
//
// Параметры:
//  Источник        - СправочникОбъект
//                  - ДокументОбъект
//                  - ПланВидовХарактеристикОбъект
//                  - ПланСчетовОбъект
//                  - ПланВидовРасчетаОбъект
//                  - БизнесПроцессОбъект
//                  - ЗадачаОбъект
//                  - ПланОбменаОбъект - объект данных, передаваемый в подписку на событие ПередЗаписью.
//
//  Отказ           - Булево - параметр, передаваемый в подписку на событие ПередЗаписью.
//
//  РежимЗаписи     - РежимЗаписиДокумента - параметр, передаваемый в подписку на событие ПередЗаписью,
//                    когда Источник это ДокументОбъект.
//
//  РежимПроведения - РежимПроведенияДокумента - параметр, передаваемый в подписку на событие ПередЗаписью,
//                    когда Источник это ДокументОбъект.
//
Процедура ПроверитьДоступПередЗаписью(Источник, Отказ, РежимЗаписи = Неопределено, РежимПроведения = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступПередЗаписью(Источник, Отказ, РежимЗаписи, РежимПроведения);
```
</details>

## ПроверитьДоступПередЗаписьюНабораЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписок ПроверитьДоступПередЗаписьюНабораЗаписей* проверяет доступ к старой версии набора записей,
// проверяет изменение полей наборов записей дополнительных таблиц, присоединенных в ограничениях доступа списков.
// Если изменения найдены, тогда регистрируется необходимость обновления ключей доступа
// для списков, у которых в ограничениях доступа присоединены дополнительные таблицы.
//
// Параметры:
//  Источник        - РегистрСведенийНаборЗаписей
//                  - РегистрНакопленияНаборЗаписей
//                  - РегистрБухгалтерииНаборЗаписей
//                  - РегистрРасчетаНаборЗаписей
//                  - ПерерасчетНаборЗаписей - набор записей, передаваемый в подписку
//                                             на событие ПередЗаписью.
//
//  Отказ           - Булево - параметр, передаваемый в подписку на событие ПередЗаписью.
//  Замещение       - РежимЗамещения, Булево - параметр, передаваемый в подписку на событие ПередЗаписью.
//
//  ТолькоЗапись    - Булево - параметр, передаваемый в подписку на событие ПередЗаписью,
//                    когда Источник это РегистрРасчетаНаборЗаписей.
//
//  ЗаписьФактическогоПериодаДействия - Булево - параметр, передаваемый в подписку на событие ПередЗаписью,
//                    когда Источник это РегистрРасчетаНаборЗаписей.
//
//  ЗаписьПерерасчетов - Булево - параметр, передаваемый в подписку на событие ПередЗаписью,
//                    когда Источник это РегистрРасчетаНаборЗаписей.
//
Процедура ПроверитьДоступПередЗаписьюНабораЗаписей(Источник, Отказ, Замещение, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступПередЗаписьюНабораЗаписей(Источник, Отказ, Замещение, );
```
</details>

## ПроверитьДоступПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписок ПроверитьДоступПриЗаписи* проверяет устаревание ключа доступа
// новой версии объекта. Обновляет устаревший ключ доступа и, в этом случае,
// выполняет проверку прав Чтение и Изменение новой версии объекта.
//
// Параметры:
//  Источник        - СправочникОбъект
//                  - ДокументОбъект
//                  - ПланВидовХарактеристикОбъект
//                  - ПланСчетовОбъект
//                  - ПланВидовРасчетаОбъект
//                  - БизнесПроцессОбъект
//                  - ЗадачаОбъект
//                  - ПланОбменаОбъект - объект данных, передаваемый в подписку на событие ПриЗаписи.
//
//  Отказ           - Булево - параметр, передаваемый в подписку на событие ПриЗаписи.
//
Процедура ПроверитьДоступПриЗаписи(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступПриЗаписи(Источник, Отказ) 
```
</details>

## ПроверитьДоступПриЗаписиНабораЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписок ПроверитьДоступПриЗаписиНабораЗаписей* проверяет устаревание ключей доступа
// новой версии набора записей. Обновляет устаревшие ключи доступа и, в этом случае,
// выполняет проверку прав Чтение и Изменение новой версии набора записей.
//
// Параметры:
//  Источник        - РегистрСведенийНаборЗаписей
//                  - РегистрНакопленияНаборЗаписей
//                  - РегистрБухгалтерииНаборЗаписей
//                  - РегистрРасчетаНаборЗаписей
//                  - ПерерасчетНаборЗаписей - набор записей, передаваемый в подписку
//                                             на событие ПриЗаписи.
//
//  Отказ           - Булево - параметр, передаваемый в подписку на событие ПриЗаписи.
//  Замещение       - РежимЗамещения, Булево - параметр, передаваемый в подписку на событие ПриЗаписи.
//
//  ТолькоЗапись    - Булево - параметр, передаваемый в подписку на событие ПриЗаписи,
//                    когда Источник это РегистрРасчетаНаборЗаписей.
//
//  ЗаписьФактическогоПериодаДействия - Булево - параметр, передаваемый в подписку на событие ПриЗаписи,
//                    когда Источник это РегистрРасчетаНаборЗаписей.
//
//  ЗаписьПерерасчетов - Булево - параметр, передаваемый в подписку на событие ПриЗаписи,
//                    когда Источник это РегистрРасчетаНаборЗаписей.
//
Процедура ПроверитьДоступПриЗаписиНабораЗаписей(Источник, Отказ, Замещение, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступПриЗаписиНабораЗаписей(Источник, Отказ, Замещение, );
```
</details>

## ПроверитьДоступПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписок ПроверитьДоступПередУдалением* проверяет
// изменение полей объектов дополнительных таблиц, присоединенных в ограничениях доступа списков.
// Если изменения найдены, тогда регистрируется необходимость обновления ключей доступа
// для списков, у которых в ограничениях доступа присоединены дополнительные таблицы.
//
// Параметры:
//  Источник - СправочникОбъект
//           - ДокументОбъект
//           - ПланВидовХарактеристикОбъект
//           - ПланСчетовОбъект
//           - ПланВидовРасчетаОбъект
//           - БизнесПроцессОбъект
//           - ЗадачаОбъект
//           - ПланОбменаОбъект - объект данных, передаваемый в подписку на событие ПередУдалением.
//
//  Отказ    - Булево - параметр, передаваемый в подписку на событие ПередУдалением.
//
Процедура ПроверитьДоступПередУдалением(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступПередУдалением(Источник, Отказ) 
```
</details>

## ДоступРазрешен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ОписаниеДанных - см. УправлениеДоступом.ИзменениеРазрешено.ОписаниеДанных
//  ПравоИзменение - Булево
//  ВызыватьИсключение - Булево
//  ПроверитьТолькоСтаруюВерсию - Булево
//  Пользователь   - СправочникСсылка.Пользователи
//                 - СправочникСсылка.ВнешниеПользователи
//                 - Неопределено - проверить для текущего пользователя.
//
// Возвращаемое значение:
//  Булево
//
Функция ДоступРазрешен(ОписаниеДанных, ПравоИзменение, ВызыватьИсключение = Ложь, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ДоступРазрешен(ОписаниеДанных, ПравоИзменение, ВызыватьИсключение, );
```
</details>

## ЧтениеДоступно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДоступРазрешен.
Функция ЧтениеДоступно(ПолноеИмя, ОбъектМетаданных, ОписаниеДанных, ВызыватьИсключение) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЧтениеДоступно(ПолноеИмя, ОбъектМетаданных, ОписаниеДанных, ВызыватьИсключение));
```
</details>

## ПраваДоступаКДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. УправлениеДоступом.ПраваДоступаКДанным
Функция ПраваДоступаКДанным(ОписаниеДанных, ДляВнешнихПользователей, СоставПользователей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПраваДоступаКДанным(ОписаниеДанных, ДляВнешнихПользователей, СоставПользователей) 
```
</details>

## ОтборЗаписейИзОписанияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ДоступРазрешен, ЧтениеРазрешено, ПраваДоступаКДанным.
Функция ОтборЗаписейИзОписанияДанных(ОписаниеДанных, ПолноеИмяРегистра, НовыйПустойНаборЗаписей, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОтборЗаписейИзОписанияДанных(ОписаниеДанных, ПолноеИмяРегистра, НовыйПустойНаборЗаписей, );
```
</details>

## ПодготовленныйРезультат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПраваДоступаКДанным.
Функция ПодготовленныйРезультат(ПараметрыОграничения, Запрос = Неопределено); Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПодготовленныйРезультат(ПараметрыОграничения, Запрос);
```
</details>

## ДобавитьЗапросПроверяемыхПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗапросПроверяемыхПользователей(Запрос, ДляВнешнихПользователей, СоставПользователей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗапросПроверяемыхПользователей(Запрос, ДляВнешнихПользователей, СоставПользователей));
```
</details>

## ДобавитьЗапросПравПользователейНаТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗапросПравПользователейНаТаблицу(Запрос, ПараметрыОграничения, ВариантПрав, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗапросПравПользователейНаТаблицу(Запрос, ПараметрыОграничения, ВариантПрав, );
```
</details>

## ДобавитьЗапросПроверяемыхОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗапросПроверяемыхОбъектов(Запрос, ОписаниеДанных, ПараметрыОграничения, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗапросПроверяемыхОбъектов(Запрос, ОписаниеДанных, ПараметрыОграничения, );
```
</details>

## ДобавитьЗапросПользователейИзПравНаЭлементыДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗапросПользователейИзПравНаЭлементыДанных(Запрос, ПараметрыОграничения, СоставПользователей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗапросПользователейИзПравНаЭлементыДанных(Запрос, ПараметрыОграничения, СоставПользователей));
```
</details>

## ДобавитьИтоговыйЗапросПравПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьИтоговыйЗапросПравПользователей(Запрос, ПараметрыОграничения, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьИтоговыйЗапросПравПользователей(Запрос, ПараметрыОграничения, );
```
</details>

## МаксимальнаяДата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Требуется, как начальная максимальная дата при планировании начального обновления доступа.
//
// Возвращаемое значение:
//  Дата
//
Функция МаксимальнаяДата() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МаксимальнаяДата() 
```
</details>

## МаксимальнаяДатаПриПродолжении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Требуется, как начальная максимальная дата при планировании продолжения обновления доступа.
Функция МаксимальнаяДатаПриПродолжении() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МаксимальнаяДатаПриПродолжении());
```
</details>

## ПолноеИмяXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НастройкиВнедрения.
Функция ПолноеИмяXML(ПолноеИмя, ТипыТаблицПоИменам) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПолноеИмяXML(ПолноеИмя, ТипыТаблицПоИменам));
```
</details>

## ИмяТипаСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТипыТребуемыеВОпределяемомТипе.
Функция ИмяТипаСсылки(ПолноеИмя, ТипыТаблицПоИменам) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИмяТипаСсылки(ПолноеИмя, ТипыТаблицПоИменам));
```
</details>

## ИмяТипаСсылкиXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НастройкиВнедрения.
Функция ИмяТипаСсылкиXML(ПолноеИмя, ТипыТаблицПоИменам) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИмяТипаСсылкиXML(ПолноеИмя, ТипыТаблицПоИменам));
```
</details>

## ИмяТипаОбъектаИлиНабораЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДобавитьТипыТребуемыеВОпределяемомТипе.
Функция ИмяТипаОбъектаИлиНабораЗаписей(ПолноеИмя, ТипыТаблицПоИменам) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИмяТипаОбъектаИлиНабораЗаписей(ПолноеИмя, ТипыТаблицПоИменам));
```
</details>

## ИмяТипаОбъектаИлиНабораЗаписейXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НастройкиВнедрения.
Функция ИмяТипаОбъектаИлиНабораЗаписейXML(ПолноеИмя, ТипыТаблицПоИменам) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИмяТипаОбъектаИлиНабораЗаписейXML(ПолноеИмя, ТипыТаблицПоИменам));
```
</details>

## ДобавитьОбъектКВладельцам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НастройкиВнедрения.
Процедура ДобавитьОбъектКВладельцам(ИмяТипаОбъектаXML, ВладельцыЗначенийКлючейДоступа) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьОбъектКВладельцам(ИмяТипаОбъектаXML, ВладельцыЗначенийКлючейДоступа));
```
</details>

## ДобавитьОграниченияВРолях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НастройкиВнедрения.
Процедура ДобавитьОграниченияВРолях(ПолноеИмяXML, ПолноеИмя, ОграниченияВРолях, СвойстваОграничений, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьОграниченияВРолях(ПолноеИмяXML, ПолноеИмя, ОграниченияВРолях, СвойстваОграничений, Контекст));
```
</details>

## ДобавитьТипыИзмерения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьОграниченияВРолях.
Процедура ДобавитьТипыИзмерения(ИмяРегистраКлючей, ОпорныеПоля, ИмяИсходногоРегистра, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТипыИзмерения(ИмяРегистраКлючей, ОпорныеПоля, ИмяИсходногоРегистра, Контекст));
```
</details>

## ТипыИзмеренийРегистраКлючей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НастройкиВнедрения и процедуры ДобавитьТипыИзмерения.
Функция ТипыИзмеренийРегистраКлючей(ТипыИзмеренийРегистровКлючей, ИмяРегистраКлючей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипыИзмеренийРегистраКлючей(ТипыИзмеренийРегистровКлючей, ИмяРегистраКлючей));
```
</details>

## КонстантаПервоеОбновлениеДоступаЗавершилось
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ОграничиватьДоступНаУровнеЗаписейУниверсально.
Функция КонстантаПервоеОбновлениеДоступаЗавершилось() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КонстантаПервоеОбновлениеДоступаЗавершилось());
```
</details>

## ПредварительнаяБлокировкаПередЗаписьюНовогоВФайловойИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьДоступПередЗаписьюИсточника и др.
Процедура ПредварительнаяБлокировкаПередЗаписьюНовогоВФайловойИБ() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПредварительнаяБлокировкаПередЗаписьюНовогоВФайловойИБ());
```
</details>

## ПредварительнаяБлокировкаПередЗаписьюСуществующегоВФайловойИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьДоступПередЗаписьюИсточника и др.
Процедура ПредварительнаяБлокировкаПередЗаписьюСуществующегоВФайловойИБ() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПредварительнаяБлокировкаПередЗаписьюСуществующегоВФайловойИБ());
```
</details>

## ПроверитьДоступПередЗаписьюИсточника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для обработчиков подписок на событие ПередЗаписью.
Процедура ПроверитьДоступПередЗаписьюИсточника(Источник, Отказ, ЭтоНаборЗаписей, Замещение) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступПередЗаписьюИсточника(Источник, Отказ, ЭтоНаборЗаписей, Замещение));
```
</details>

## ПроверитьДоступПриЗаписиИсточника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для обработчиков подписок на событие ПриЗаписи.
Процедура ПроверитьДоступПриЗаписиИсточника(Источник, Отказ, ЭтоНаборЗаписей, Замещение) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступПриЗаписиИсточника(Источник, Отказ, ЭтоНаборЗаписей, Замещение));
```
</details>

## ПроверитьДоступПередУдалениемИсточника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для обработчиков подписок на событие ПередУдалением.
Процедура ПроверитьДоступПередУдалениемИсточника(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступПередУдалениемИсточника(Источник, Отказ));
```
</details>

## ПропуститьПроверкуДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Для процедур ПроверитьДоступПередЗаписьюИсточника, ПроверитьДоступПриЗаписиИсточника.
Функция ПропуститьПроверкуДоступа(Отказ, Источник) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПропуститьПроверкуДоступа(Отказ, Источник));
```
</details>

## ЗапомнитьДанныеВлияющиеНаЗависимыеКлючиДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступПередЗаписьюИсточника.
Процедура ЗапомнитьДанныеВлияющиеНаЗависимыеКлючиДоступа(Источник, ЭтоНаборЗаписей, Замещение) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапомнитьДанныеВлияющиеНаЗависимыеКлючиДоступа(Источник, ЭтоНаборЗаписей, Замещение));
```
</details>

## ОтборПоИзмерениямНабораЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗапомнитьДанныеВлияющиеНаЗависимыеКлючиДоступа, ОбновитьКлючиДоступаКНаборуЗаписей и
// функций ДоступРазрешен, ЧтениеДоступно.
//
Функция ОтборПоИзмерениямНабораЗаписей(НаборЗаписей, Запрос, Замещение = Неопределено, ЗапросНовыхКомбинаций = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОтборПоИзмерениямНабораЗаписей(НаборЗаписей, Запрос, Замещение, ЗапросНовыхКомбинаций);
```
</details>

## УстановитьРазрешенныйКлючДоступаДляНовогоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступПередЗаписьюИсточника.
Процедура УстановитьРазрешенныйКлючДоступаДляНовогоОбъекта(Источник, ЭтоПолноправныйПользователь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьРазрешенныйКлючДоступаДляНовогоОбъекта(Источник, ЭтоПолноправныйПользователь));
```
</details>

## ПроверитьДоступКИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьДоступПередЗаписьюИсточника, ПроверитьДоступПриЗаписиИсточника.
Процедура ПроверитьДоступКИсточнику(Источник, ПередЗаписью, ЭтоНаборЗаписей, Замещение, ЭтоПолноправныйПользователь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступКИсточнику(Источник, ПередЗаписью, ЭтоНаборЗаписей, Замещение, ЭтоПолноправныйПользователь));
```
</details>

## ПараметрыОграниченияПриПроверкеДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступКИсточнику.
//
// Возвращаемое значение:
//   см. РассчитанныеПараметрыОграничения
//
Функция ПараметрыОграниченияПриПроверкеДоступа(Источник, ПолноеИмя, ИдентификаторТранзакции) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПараметрыОграниченияПриПроверкеДоступа(Источник, ПолноеИмя, ИдентификаторТранзакции));
```
</details>

## ПроверитьДоступКОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступКИсточнику.
Процедура ПроверитьДоступКОбъекту(Источник, ПередЗаписью, ЭтоПолноправныйПользователь, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступКОбъекту(Источник, ПередЗаписью, ЭтоПолноправныйПользователь, );
```
</details>

## УточнитьПравоДобавление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступКОбъекту и функции ДоступРазрешен.
Процедура УточнитьПравоДобавление(Запрос, ЭтоНовый, ПараметрыОграничения, ПроверкаДобавления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УточнитьПравоДобавление(Запрос, ЭтоНовый, ПараметрыОграничения, ПроверкаДобавления));
```
</details>

## ОбновитьКлючДоступаОбъектаПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступКОбъекту.
Процедура ОбновитьКлючДоступаОбъектаПриЗаписи(Источник, ЭтоНовый, ИдентификаторТранзакции, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьКлючДоступаОбъектаПриЗаписи(Источник, ЭтоНовый, ИдентификаторТранзакции, );
```
</details>

## РезультатЗапросаПроверкиДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьДоступКОбъекту, ПроверитьДоступКНаборуЗаписей.
Функция РезультатЗапросаПроверкиДоступа(Запрос, Источник) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РезультатЗапросаПроверкиДоступа(Запрос, Источник));
```
</details>

## ПроверитьДоступКНаборуЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступКИсточнику.
Процедура ПроверитьДоступКНаборуЗаписей(Источник, ПередЗаписью, Замещение, ЭтоПолноправныйПользователь, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьДоступКНаборуЗаписей(Источник, ПередЗаписью, Замещение, ЭтоПолноправныйПользователь, );
```
</details>

## ОбновитьКлючиДоступаКНаборуЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступКНаборуЗаписей и для функции ДоступРазрешен.
Процедура ОбновитьКлючиДоступаКНаборуЗаписей(Источник, ПередЗаписью, Замещение, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьКлючиДоступаКНаборуЗаписей(Источник, ПередЗаписью, Замещение, );
```
</details>

## ЗаписатьКлючиДоступаНовыхКомбинацийЗначенийОпорныхПолейПередЗаписью
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступПередЗаписьюИсточника.
Процедура ЗаписатьКлючиДоступаНовыхКомбинацийЗначенийОпорныхПолейПередЗаписью(Источник, Замещение, ЭтоПолноправныйПользователь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьКлючиДоступаНовыхКомбинацийЗначенийОпорныхПолейПередЗаписью(Источник, Замещение, ЭтоПолноправныйПользователь));
```
</details>

## КомбинацииЗначенийОпорныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьДоступКНаборуЗаписей,
// ЗаписатьКлючиДоступаНовыхКомбинацийЗначенийОпорныхПолейПередЗаписью.
//
Функция КомбинацииЗначенийОпорныхПолей(Источник, ОтборПоИзмерениям, ПараметрыОграничения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КомбинацииЗначенийОпорныхПолей(Источник, ОтборПоИзмерениям, ПараметрыОграничения));
```
</details>

## ОбновитьКлючиДоступаНовыхКомбинацийЗначенийОпорныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьДоступКНаборуЗаписей,
// ЗаписатьКлючиДоступаНовыхКомбинацийЗначенийОпорныхПолейПередЗаписью.
//
Процедура ОбновитьКлючиДоступаНовыхКомбинацийЗначенийОпорныхПолей(ЗапросНовыхКомбинаций, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьКлючиДоступаНовыхКомбинацийЗначенийОпорныхПолей(ЗапросНовыхКомбинаций, );
```
</details>

## ЭлементыДанныхНовыхКомбинацийЗначенийОпорныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьКлючиДоступаНовыхКомбинацийЗначенийОпорныхПолей.
Функция ЭлементыДанныхНовыхКомбинацийЗначенийОпорныхПолей(ЗапросНовыхКомбинаций, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭлементыДанныхНовыхКомбинацийЗначенийОпорныхПолей(ЗапросНовыхКомбинаций, );
```
</details>

## СообщитьОбОшибкеДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьДоступКОбъекту, ПроверитьДоступКНаборуЗаписей.
Процедура СообщитьОбОшибкеДоступа(Данные, СтараяВерсия, ЕстьПравоЧтения, ЕстьПравоИзменения, ЭтоНовый) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СообщитьОбОшибкеДоступа(Данные, СтараяВерсия, ЕстьПравоЧтения, ЕстьПравоИзменения, ЭтоНовый));
```
</details>

## ПредставлениеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры СообщитьОбОшибкеДоступа.
Функция ПредставлениеДанных(Данные) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПредставлениеДанных(Данные));
```
</details>

## КлючДоступаИсточникаУстарел
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступКОбъекту и формы ОбновлениеДоступаРучноеУправление.
//
// Возвращаемое значение:
//  Булево
//
Функция КлючДоступаИсточникаУстарел(СсылкаНаОбъект, ПараметрыОграничения, Источник = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КлючДоступаИсточникаУстарел(СсылкаНаОбъект, ПараметрыОграничения, Источник);
```
</details>

## ОбновитьКлючиДоступаЭлементовДанныхПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьДоступКОбъекту, ПроверитьДоступКНаборуЗаписей и формы ОбновлениеДоступаРучноеУправление.
Процедура ОбновитьКлючиДоступаЭлементовДанныхПриЗаписи(ОписаниеЭлементовДанных, ПараметрыОграничения, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьКлючиДоступаЭлементовДанныхПриЗаписи(ОписаниеЭлементовДанных, ПараметрыОграничения, );
```
</details>

## ЗапланироватьОбновлениеЗависимыхСписковПоЗначениямСГруппами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для регистра сведений ГруппыЗначенийДоступа.
Процедура ЗапланироватьОбновлениеЗависимыхСписковПоЗначениямСГруппами(ЗначенияСИзменениямиПоТипам) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеЗависимыхСписковПоЗначениямСГруппами(ЗначенияСИзменениямиПоТипам) 
```
</details>

## ДобавитьСпискиДляОбновленияДляВидаПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗапланироватьОбновлениеЗависимыхСписковПоЗначениямСГруппами.
Процедура ДобавитьСпискиДляОбновленияДляВидаПользователей(СпискиДляОбновления, ПоЗначениямСГруппами, ИмяВидаПользователей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСпискиДляОбновленияДляВидаПользователей(СпискиДляОбновления, ПоЗначениямСГруппами, ИмяВидаПользователей));
```
</details>

## ЗапланироватьОбновлениеУстаревшихКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗапланироватьОбновлениеЗависимыхУстаревшихКлючейДоступа, ЗаписатьКлючиДоступаОбъектов,
// ЗапланироватьОбновлениеЗависимыхСписковПоЗначениямСГруппами.
//
Процедура ЗапланироватьОбновлениеУстаревшихКлючейДоступа(СпискиДляОбновления, ИдентификаторТранзакции, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеУстаревшихКлючейДоступа(СпискиДляОбновления, ИдентификаторТранзакции, );
```
</details>

## ЗапланироватьОбновлениеЗависимыхУстаревшихКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьДоступПриЗаписиИсточника, ПроверитьДоступПередУдалениемИсточника.
Процедура ЗапланироватьОбновлениеЗависимыхУстаревшихКлючейДоступа(Источник, ЭтоНаборЗаписей, Удаление) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеЗависимыхУстаревшихКлючейДоступа(Источник, ЭтоНаборЗаписей, Удаление));
```
</details>

## ОписаниеВедущегоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ПоЗначениямПолей - Структура:
//         ** Описание          - ЛюбаяСсылка
//                              - Отбор
//         ** ИзмененнаяТаблица - Строка - полное имя списка
//         ** СоставИзменений   - см. СоставИзмененийТаблицы
//     * ПоКлючамДоступа      - СправочникСсылка.КлючиДоступа
//     * ПоЗначениямСГруппами - ОпределяемыйТип.ЗначениеДоступа - только значения доступа с группами.
//     * ПоДаннымКэшаРасчетаПрав - Строка - наименование данных для кэша расчета прав.
//
Функция ОписаниеВедущегоОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеВедущегоОбъекта());
```
</details>

## НовыеЗначенияТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗапланироватьОбновлениеЗависимыхУстаревшихКлючейДоступа.
Функция НовыеЗначенияТабличнойЧасти(Источник, ОписаниеТабличнойЧасти, Удаление) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеЗначенияТабличнойЧасти(Источник, ОписаниеТабличнойЧасти, Удаление));
```
</details>

## ЗапланироватьОбновлениеЗависимыхУстаревшихКлючейДоступаПоЗначениямПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗапланироватьОбновлениеЗависимыхУстаревшихКлючейДоступа.
Процедура ЗапланироватьОбновлениеЗависимыхУстаревшихКлючейДоступаПоЗначениямПолей(РезультатЗапроса, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеЗависимыхУстаревшихКлючейДоступаПоЗначениямПолей(РезультатЗапроса, );
```
</details>

## СоставИзмененийТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗапланироватьОбновлениеЗависимыхУстаревшихКлючейДоступаПоЗначениямПолей.
//
// Возвращаемое значение:
//   ТаблицаЗначений
//
Функция СоставИзмененийТаблицы(РезультатЗапроса, Источник, Поля) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СоставИзмененийТаблицы(РезультатЗапроса, Источник, Поля));
```
</details>

## ПроверитьОбъектыНастроекДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьТаблицыГруппДоступаДляПодключенныхРасширений.
Процедура ПроверитьОбъектыНастроекДоступа() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьОбъектыНастроекДоступа());
```
</details>

## УстановитьРазделяемуюБлокировку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьОбъектыНастроекДоступа.
Процедура УстановитьРазделяемуюБлокировку(ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьРазделяемуюБлокировку(ИмяТаблицы));
```
</details>

## ЗаблокироватьРегистрыПланированияОбновленияКлючейДоступаВФайловойИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаблокироватьРегистрыПланированияОбновленияКлючейДоступаВФайловойИБ(ЭтоОшибкаБлокировки = Ложь, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаблокироватьРегистрыПланированияОбновленияКлючейДоступаВФайловойИБ(ЭтоОшибкаБлокировки, );
```
</details>

## ЗапланироватьОбновлениеДоступаПриИзмененииУчастниковГруппыДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова и модуля менеджера справочника ГруппыДоступа.
Процедура ЗапланироватьОбновлениеДоступаПриИзмененииУчастниковГруппыДоступа(ГруппыДоступа, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеДоступаПриИзмененииУчастниковГруппыДоступа(ГруппыДоступа, );
```
</details>

## ЗапланироватьОбновлениеДоступаПриКосвенномИзмененииУчастниковГруппыДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПослеОбновленияСоставовГруппПользователей и
// модуля менеджера справочника ГруппыДоступа.
//
Процедура ЗапланироватьОбновлениеДоступаПриКосвенномИзмененииУчастниковГруппыДоступа(ИзмененныеУчастники, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеДоступаПриКосвенномИзмененииУчастниковГруппыДоступа(ИзмененныеУчастники, );
```
</details>

## ЗапланироватьОбновлениеДоступаПриИзмененииТаблицГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из модуля менеджера регистра ТаблицыГруппДоступа.
Процедура ЗапланироватьОбновлениеДоступаПриИзмененииТаблицГруппДоступа(Таблицы) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеДоступаПриИзмененииТаблицГруппДоступа(Таблицы) 
```
</details>

## ЗапланироватьОбновлениеДоступаПриИзмененииРолейПрофиля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из модуля объекта и модуля менеджера справочника ПрофилиГруппДоступа.
Процедура ЗапланироватьОбновлениеДоступаПриИзмененииРолейПрофиля(Описание, ИзмененныеРоли) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеДоступаПриИзмененииРолейПрофиля(Описание, ИзмененныеРоли) 
```
</details>

## ЗапланироватьОбновлениеДоступаПриИзмененииПрофиляГруппыДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из модуля объекта и модуля менеджера справочника ГруппыДоступа.
Процедура ЗапланироватьОбновлениеДоступаПриИзмененииПрофиляГруппыДоступа(Описание, ИзмененныеРоли, ПрофильИзменен) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеДоступаПриИзмененииПрофиляГруппыДоступа(Описание, ИзмененныеРоли, ПрофильИзменен) 
```
</details>

## ЗапланироватьОбновлениеДоступаПриИзмененииРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗапланироватьОбновлениеДоступаПриИзмененииРолейПрофиля и
// ЗапланироватьОбновлениеДоступаПриИзмененииПрофиляГруппыДоступа.
//
Процедура ЗапланироватьОбновлениеДоступаПриИзмененииРолей(Описание, ИзмененныеРоли) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеДоступаПриИзмененииРолей(Описание, ИзмененныеРоли));
```
</details>

## ДобавитьСпискиВедущейРолиДляОбновленияПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗапланироватьОбновлениеДоступаПриИзмененииРолей.
Процедура ДобавитьСпискиВедущейРолиДляОбновленияПрав(Списки, СпискиВедущейРоли, ДобавленныеСписки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСпискиВедущейРолиДляОбновленияПрав(Списки, СпискиВедущейРоли, ДобавленныеСписки));
```
</details>

## ЗапланироватьОбновлениеДоступаПриИзмененииРазрешенныхЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из модуля менеджера регистра ЗначенияГруппДоступа.
Процедура ЗапланироватьОбновлениеДоступаПриИзмененииРазрешенныхЗначений(ГруппыДоступаИТипыЗначений) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеДоступаПриИзмененииРазрешенныхЗначений(ГруппыДоступаИТипыЗначений) 
```
</details>

## СлужебныйИдентификатор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗапланироватьОбновлениеДоступа, ЗапланироватьОбновлениеПараметровОграниченияДоступа.
Функция СлужебныйИдентификатор(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СлужебныйИдентификатор(ПолноеИмя));
```
</details>

## ЗапланироватьОбновлениеПользователейКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗапланироватьОбновлениеДоступаПриИзмененииУчастниковГруппыДоступа,
// ЗапланироватьОбновлениеДоступаПриКосвенномИзмененииУчастниковГруппыДоступа,
// ЗапланироватьОбновлениеДоступаПриИзмененииТаблицГруппДоступа,
// ЗапланироватьОбновлениеДоступаПриИзмененииРазрешенныхЗначений.
//
Процедура ЗапланироватьОбновлениеПользователейКлючейДоступа(ОписаниеСписков, Описание, ДляПользователей, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеПользователейКлючейДоступа(ОписаниеСписков, Описание, ДляПользователей, );
```
</details>

## ТребуетсяОбновлениеПользователейКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗапланироватьОбновлениеПользователейКлючейДоступа.
Функция ТребуетсяОбновлениеПользователейКлючейДоступа(Контекст, ДляВнешнихПользователей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТребуетсяОбновлениеПользователейКлючейДоступа(Контекст, ДляВнешнихПользователей));
```
</details>

## ЗапланироватьОбновлениеНаборовГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗапланироватьОбновлениеДоступаПриКосвенномИзмененииУчастниковГруппыДоступа и
// модулей менеджера и объекта справочника ГруппыДоступа.
//
Процедура ЗапланироватьОбновлениеНаборовГруппДоступа(Описание, ДляПользователей = Истина, ДляВнешнихПользователей = Истина) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеНаборовГруппДоступа(Описание, ДляПользователей, ДляВнешнихПользователей);
```
</details>

## ЗапланироватьОбновлениеКэшаРасчетаПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗапланироватьОбновлениеДоступаПриИзмененииУчастниковГруппыДоступа,
// ЗапланироватьОбновлениеДоступаПриКосвенномИзмененииУчастниковГруппыДоступа,
// ЗапланироватьОбновлениеДоступаПриИзмененииТаблицГруппДоступа,
// ЗапланироватьОбновлениеДоступаПриИзмененииРазрешенныхЗначений.
//
Процедура ЗапланироватьОбновлениеКэшаРасчетаПрав(Описание, ИмяИзмененныхДанных) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеКэшаРасчетаПрав(Описание, ИмяИзмененныхДанных));
```
</details>

## СписокДляПланированияОбновленияКэшаРасчетаПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПодготовитьПланОбновления, ЗапланироватьОбновлениеКэшаРасчетаПрав
// и функции ВерсияДанныхДляКэшаРасчетаПрав.
//
Функция СписокДляПланированияОбновленияКэшаРасчетаПрав() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СписокДляПланированияОбновленияКэшаРасчетаПрав());
```
</details>

## НоваяВерсияДанныхДляКэшаРасчетаПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//    * ТаблицыГруппДоступа       - Строка
//                                - Неопределено
//    * ЗначенияГруппДоступа      - Строка
//                                - Неопределено
//    * УчастникиГруппДоступа     - Строка
//                                - Неопределено
//    * СоставыГруппПользователей - Строка
//                                - Неопределено
//    * РолиПрофилейГруппДоступа  - Строка
//                                - Неопределено
//    * ГруппыДоступаПрофилей     - Строка
//                                - Неопределено
//
Функция НоваяВерсияДанныхДляКэшаРасчетаПрав(Версия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяВерсияДанныхДляКэшаРасчетаПрав(Версия);
```
</details>

## ИмяПараметраВерсииДанныхДляКэшаРасчетаПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьПланОбновленияКэшаРасчетаПрав.
Функция ИмяПараметраВерсииДанныхДляКэшаРасчетаПрав() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИмяПараметраВерсииДанныхДляКэшаРасчетаПрав());
```
</details>

## ЕстьЗапланированныеТочечныеЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗапуститьОбновлениеДоступа.
Функция ЕстьЗапланированныеТочечныеЗадания() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЕстьЗапланированныеТочечныеЗадания());
```
</details>

## ЗапуститьОбновлениеДоступаНаУровнеЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает фоновое задание обновления доступа вместо регламентного задания.
//
// Параметры:
//  ЭтоЗапускВручную - Булево - если передать Ложь, то наименование будет начинаться с "Автозапуск",
//                              в противном случае, наименование будет начинаться с "Запуск вручную",
//                              блокировка обновления доступа будет снята, если была установлена,
//                              выполнение будет продолжаться до полного завершения.
//  ЭтоПерезапуск    - Булево - если передать Истина, тогда текущий сеанс фонового задания не будет
//                              считаться незавершенным исполнителем.
//  ДляУскорения     - Булево - если передать Истина, тогда признак передается в процедуру обновления доступа,
//                              чтобы прекратить обновление, когда точечных заданий нет и функция
//                              ЗапускатьОбновлениеДоступаДляУскоренияТолькоТочечныхЗаданий возвращает Истина.
//
// Возвращаемое значение:
//  - Неопределено - обновление доступа не требуется или запрещено.
//  - Структура:
//   * УжеВыполняется - Булево - если обновление уже выполняется.
//
//   * ИдентификаторФоновогоЗадания - Неопределено - если обновление не выполняется или
//                                      выполняется не в фоновом задании.
//                                  - УникальныйИдентификатор - идентификатор фонового задания.
//
//   * СвойстваСеанса - Неопределено - если запуска не было или фоновое задание только добавлено в очередь.
//                    - Структура - со свойствами сеанса, если обновление уже выполняется:
//                        ** ИмяКомпьютера - Строка - одноименное свойства объекта СеансИнформационнойБазы.
//                        ** НомерСеанса   - Число  - одноименное свойства объекта СеансИнформационнойБазы.
//                        ** НачалоСеанса  - Строка - одноименное свойства объекта СеансИнформационнойБазы.
//
//   * ТекстПредупреждения - Неопределено - если запуска не было или запущено новое фоновое задание.
//                         - Строка - описание, что обновление доступа уже запущено.
//
Функция ЗапуститьОбновлениеДоступаНаУровнеЗаписей(ЭтоЗапускВручную = Ложь, ЭтоПерезапуск = Ложь, ДляУскорения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗапуститьОбновлениеДоступаНаУровнеЗаписей(ЭтоЗапускВручную, ЭтоПерезапуск, ДляУскорения);
```
</details>

## ОтменитьОбновлениеДоступаНаУровнеЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменить обновление доступа, которое выполняется в фоновом задании.
Процедура ОтменитьОбновлениеДоступаНаУровнеЗаписей() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтменитьОбновлениеДоступаНаУровнеЗаписей() 
```
</details>

## ВключитьРегламентноеЗаданиеОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьОбновлениеДоступа.
Процедура ВключитьРегламентноеЗаданиеОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВключитьРегламентноеЗаданиеОбновленияДоступа() 
```
</details>

## ОтключитьРегламентноеЗаданиеОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьОбновлениеДоступа.
Процедура ОтключитьРегламентноеЗаданиеОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтключитьРегламентноеЗаданиеОбновленияДоступа() 
```
</details>

## ИзменитьРегламентноеЗаданиеОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьОбновлениеДоступа.
Процедура ИзменитьРегламентноеЗаданиеОбновленияДоступа(ВключитьЗадание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ИзменитьРегламентноеЗаданиеОбновленияДоступа(ВключитьЗадание));
```
</details>

## УстановитьЗапретОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Включает или отключает запрет обновления доступа при запуске
// с помощью регламентного задания или при программном запуске.
//
// При вызове процедуры ОбновлениеДоступаНаУровнеЗаписей
// с признаком ОбновитьВсе запрет игнорируется.
//
// При вызове процедуры ЗапуститьОбновлениеДоступаНаУровнеЗаписей
// с признаком ЭтоЗапускВручную запрет снимается автоматически.
//
Процедура УстановитьЗапретОбновленияДоступа(Использование, ОтменитьОбновление = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьЗапретОбновленияДоступа(Использование, ОтменитьОбновление);
```
</details>

## СекундОжиданияЗавершенияФоновогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОтменитьОбновлениеДоступаНаУровнеЗаписей, УстановитьЗапретОбновленияДоступа.
Функция СекундОжиданияЗавершенияФоновогоЗадания() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СекундОжиданияЗавершенияФоновогоЗадания());
```
</details>

## ОбновлениеДоступаНаУровнеЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик регламентного задания ОбновлениеДоступаНаУровнеЗаписей.
Процедура ОбновлениеДоступаНаУровнеЗаписей(ОбновитьВсе = Ложь, ВызыватьИсключениеВместоРегистрацииОшибки = Ложь, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновлениеДоступаНаУровнеЗаписей(ОбновитьВсе, ВызыватьИсключениеВместоРегистрацииОшибки, );
```
</details>

## НовыеДополнительныеПараметрыОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Только для внутреннего использования.
//
// Возвращаемое значение:
//  Структура:
//   * ДляУскорения - Булево
//   * ЭтоПерезапуск - Булево
//
Функция НовыеДополнительныеПараметрыОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеДополнительныеПараметрыОбновленияДоступа());
```
</details>

## ВыполнитьОбновлениеДоступаНаУровнеЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обновление доступа, если запланировано.
Процедура ВыполнитьОбновлениеДоступаНаУровнеЗаписей(ОбновитьВсе, ВызыватьИсключениеВместоРегистрацииОшибки, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВыполнитьОбновлениеДоступаНаУровнеЗаписей(ОбновитьВсе, ВызыватьИсключениеВместоРегистрацииОшибки, );
```
</details>

## ОписаниеОсновногоСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ИдентификаторФоновогоЗадания - УникальныйИдентификатор
//     * ФоновоеЗадание               - ФоновоеЗадание
//     * НомерСеанса                  - Число
//     * НачалоСеанса                 - Дата
//     * Идентификатор                - Строка - представление сеанса
//
Функция ОписаниеОсновногоСеанса() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеОсновногоСеанса());
```
</details>

## ЗапланированоОбновлениеДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗапуститьОбновлениеДоступаНаУровнеЗаписей.
Функция ЗапланированоОбновлениеДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗапланированоОбновлениеДоступа());
```
</details>

## ПоследнееОбновлениеДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗапуститьОбновлениеДоступаНаУровнеЗаписей и
// процедур ОбновлениеДоступаНаУровнеЗаписей, ОтменитьОбновлениеДоступаНаУровнеЗаписей и
// формы ОбновлениеДоступаНаУровнеЗаписей.
//
// Возвращаемое значение:
//  Структура:
//   * ДатаЗапускаНаСервере - Дата
//   * ДатаЗавершенияНаСервере - Дата
//   * ОбновлениеОтменено - Булево
//   * ПоследнееВыполнениеСекунд - Число
//   * ДатаПолногоЗавершения - Дата
//   * ТекстОшибкиЗавершения - Строка
//   * НомерСеанса - Число
//   * ИмяКомпьютера - Строка
//   * ОбновлениеДоступаЗапрещено - Булево
//   * БалансировкаНагрузкиНаДиск - Булево
//   * ИдентификаторФоновогоЗадания - УникальныйИдентификатор
//   * ПоследнееПланированиеОбработкиУстаревшихЭлементов - Дата
//
Функция ПоследнееОбновлениеДоступа(ТекущееЗначение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПоследнееОбновлениеДоступа(ТекущееЗначение);
```
</details>

## УстановитьПоследнееОбновлениеДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ВыполнитьОбновлениеДоступаНаУровнеЗаписей,
// УстановитьЗапретОбновленияДоступа и УстановитьБалансировкуНагрузкиНаДиск.
//
Процедура УстановитьПоследнееОбновлениеДоступа(Свойства, ЕстьВнешняяТранзакция) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьПоследнееОбновлениеДоступа(Свойства, ЕстьВнешняяТранзакция));
```
</details>

## ОчиститьПоследнееОбновлениеДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для константы ОграничиватьДоступНаУровнеЗаписейУниверсально.
Процедура ОчиститьПоследнееОбновлениеДоступа() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОчиститьПоследнееОбновлениеДоступа() 
```
</details>

## ИсполнительОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗапуститьОбновлениеДоступаНаУровнеЗаписей и
// процедур ОбновлениеДоступаНаУровнеЗаписей, ОтменитьОбновлениеДоступаНаУровнеЗаписей и
// формы ОбновлениеДоступаНаУровнеЗаписей.
//
// Параметры:
//  ПоследнееОбновлениеДоступа - см. ПоследнееОбновлениеДоступа
//  ИдентификаторИсключаемогоЗадания - УникальныйИдентификатор
//                                   - Неопределено
//
// Возвращаемое значение:
//  - ФоновоеЗадание
//  - СеансИнформационнойБазы
//  - Неопределено
//
Функция ИсполнительОбновленияДоступа(ПоследнееОбновлениеДоступа, ИдентификаторИсключаемогоЗадания = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИсполнительОбновленияДоступа(ПоследнееОбновлениеДоступа, ИдентификаторИсключаемогоЗадания);
```
</details>

## ИдентификаторПроизвольногоСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновлениеДоступаНаУровнеЗаписей, ИсполнительОбновленияДоступа.
Функция ИдентификаторПроизвольногоСеанса() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИдентификаторПроизвольногоСеанса());
```
</details>

## ПроверитьОбновитьДействующиеПараметрыОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ВыполнитьОбновлениеДоступа, ДобавитьЗаданияОбновленияДоступа и
// ОбновитьСоставИспользуемыхВерсийПараметровШаблонов.
//
// Параметры:
//  Контекст - см. НовыйКонтекстОбновленияДоступа
//  ПриЗапуске - Булево
//
Процедура ПроверитьОбновитьДействующиеПараметрыОграниченияДоступа(Контекст, ПриЗапуске = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьОбновитьДействующиеПараметрыОграниченияДоступа(Контекст, ПриЗапуске);
```
</details>

## ЗапланированоОбновлениеПараметровОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьОбновитьДействующиеПараметрыОграниченияДоступа.
Функция ЗапланированоОбновлениеПараметровОграниченияДоступа(ДатаАктуальности) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗапланированоОбновлениеПараметровОграниченияДоступа(ДатаАктуальности));
```
</details>

## УменьшитьНомераВерсийПараметровОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьОбновитьДействующиеПараметрыОграниченияДоступа.
Процедура УменьшитьНомераВерсийПараметровОграниченияДоступа() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УменьшитьНомераВерсийПараметровОграниченияДоступа());
```
</details>

## ИспользованиеВидовДоступаИзменено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьОбновитьДействующиеПараметрыОграниченияДоступа.
Функция ИспользованиеВидовДоступаИзменено(ДействующиеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИспользованиеВидовДоступаИзменено(ДействующиеПараметры));
```
</details>

## ЗавершитьПотокиОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновлениеДоступаНаУровнеЗаписей, ВыполнитьОбновлениеДоступа,
// ОтменитьОбновлениеДоступаНаУровнеЗаписей, ЗавершитьОбновлениеДоступа.
//
Процедура ЗавершитьПотокиОбновленияДоступа(ОтменитьОбновление = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗавершитьПотокиОбновленияДоступа(ОтменитьОбновление);
```
</details>

## ИдентификаторОтменыОбновленияДоступаНаУровнеЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбработатьВыполненныеЗадания, ЗавершитьПотокиОбновленияДоступа.
Функция ИдентификаторОтменыОбновленияДоступаНаУровнеЗаписей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИдентификаторОтменыОбновленияДоступаНаУровнеЗаписей());
```
</details>

## ОтменитьФоновыеЗаданияПотоковОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновлениеДоступаНаУровнеЗаписей, ВыполнитьОбновлениеДоступа,
// ОтменитьОбновлениеДоступаНаУровнеЗаписей, ЗавершитьОбновлениеДоступа.
//
Процедура ОтменитьФоновыеЗаданияПотоковОбновленияДоступа(СекундОжидания = 5) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтменитьФоновыеЗаданияПотоковОбновленияДоступа(СекундОжидания);
```
</details>

## ВыполнитьОбновлениеДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет ключи доступа к данным на основе записей в регистре сведений
// ОбновлениеКлючейДоступаКДанным и ключи доступа пользователей на основе записей
// регистра сведений ОбновлениеКлючейДоступаПользователей.
//
// Обновляется порция данных для каждой таблицы, начиная с самых свежих данных.
// Процедура должна вызываться повторно, пока обработка не будет завершена,
// при этом регламентное задание выключается.
//
// Процедура предназначена для работы в единственном экземпляре, то есть без параллельной
// работы (вызов из процедуры регламентного задания ОбновлениеДоступаНаУровнеЗаписей).
// Параллельность обеспечивает сама процедура путем запуска до двух фоновых заданий
// на каждый список, но не более значения константы КоличествоПотоковОбновленияДоступа.
//
Процедура ВыполнитьОбновлениеДоступа(ОбновитьВсе, ПараметрыВыполнения, ПоследнееОбновлениеДоступа) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВыполнитьОбновлениеДоступа(ОбновитьВсе, ПараметрыВыполнения, ПоследнееОбновлениеДоступа));
```
</details>

## НовыйКонтекстОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//   * ОписаниеОсновногоСеанса - см. ОписаниеОсновногоСеанса
//   * ТекущееФоновоеЗадание - ФоновоеЗадание
//   * Задания - см. ТаблицаЗаданийОбновления
//   * ЗаданияДляЗапуска - Массив из СтрокаТаблицыЗначений: см. ТаблицаЗаданийОбновления
//   * ЗанятыеПотоки - Соответствие из КлючИЗначение:
//      ** Ключ - УникальныйИдентификатор
//      ** Значение - см. НовыйПоток
//   * СвободныеПотоки - Массив из см. НовыйПоток
//   * ГраницаОбновленияЗаданий - Дата
//   * ОбщиеПараметрыОбновления - см. ОписаниеОбщихПараметровОбновления
//   * ОбновлениеВЭтомСеансе - Булево
//   * КоличествоПотоков - Число
//   * ДатаПолногоЗавершения - Дата
//   * ТекстОшибкиЗавершения - Строка
//   * ЕстьОтложенныеЗадания - Булево
//   * ЕстьЗапущенноеЗадание - Булево
//   * ОбработкаЗавершена - Булево
//   * ОбновлениеОтменено - Булево
//   * ТребуетсяПерезапускСеанса - Булево
//   * МаксимумПорцийИзИсходной - Число
//   * КоличествоДополнительныхПорций - Число
//   * ЕстьДлительноеЗаданиеПолученияПорцийЭлементовДанных - Булево
//   * МаксимальноеКоличествоСекундБыстрогоПолученияПорцийЭлементовДанных - Число
//   * ИдентификаторыОтключенныхОбъектовМетаданных - Соответствие
//   * ИдентификаторСправочникаНаборыГруппДоступа - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//
Функция НовыйКонтекстОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйКонтекстОбновленияДоступа());
```
</details>

## ЗапланироватьОбработкуУстаревшихЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Процедура ЗапланироватьОбработкуУстаревшихЭлементов(ТекстОшибкиПланирования, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбработкуУстаревшихЭлементов(ТекстОшибкиПланирования, );
```
</details>

## МаксимумМиллисекундПолученияПорций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗапуститьОбновлениеДоступаСписка.
Функция МаксимумМиллисекундПолученияПорций(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МаксимумМиллисекундПолученияПорций(Контекст));
```
</details>

## ДоступнаБалансировкаНагрузкиНаДиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьКоличествоПотоков и формы ОбновлениеДоступаНаУровнеЗаписей.
//
// Возвращаемое значение:
//  Булево
//
Функция ДоступнаБалансировкаНагрузкиНаДиск() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ДоступнаБалансировкаНагрузкиНаДиск() 
```
</details>

## БалансировкаНагрузкиНаДиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьКоличествоПотоков и формы ОбновлениеДоступаНаУровнеЗаписей.
//
// Возвращаемое значение:
//  Булево
//
Функция БалансировкаНагрузкиНаДиск() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.БалансировкаНагрузкиНаДиск() 
```
</details>

## УстановитьБалансировкуНагрузкиНаДиск
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для формы ОбновлениеДоступаНаУровнеЗаписей.
Процедура УстановитьБалансировкуНагрузкиНаДиск(Использование) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьБалансировкуНагрузкиНаДиск(Использование) 
```
</details>

## ТаблицаЗаданийОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
// Возвращаемое значение:
//  ТаблицаЗначений:
//   * ЕстьТочечноеЗадание - Булево
//   * ЕстьНачальноеОбновлениеТочечногоЗадания - Дата
//   * ДатаПоследнегоЗапускаТочечногоЗадания - Дата
//   * ДатаДобавленияТочечногоЗадания - Дата
//   * УровеньЗависимости - Число
//   * ЗависимыеСписки - Массив
//                     - Строка
//   * ЕстьНачальноеОбновление - Булево
//   * ЕстьПерезапуск - Булево
//   * ДатаПоследнегоЗапускаОбщегоЗадания - Дата
//   * ЕстьДатаПоследнегоОбновленногоЭлемента - Булево
//   * ДатаПоследнегоОбновленногоЭлемента - Дата
//   * ДатаДобавленияОбщегоЗадания - Дата
//   * ИдентификаторСписка - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//                         - СправочникСсылка.ИдентификаторыОбъектовРасширений
//   * ДляВнешнихПользователей - Булево
//   * ЭтоОбновлениеПрав - Булево
//   * Запускать - Булево
//   * ЗанятыеПотоки - Соответствие из КлючИЗначение:
//      ** Ключ - УникальныйИдентификатор
//      ** Значение - см. НовыйПоток
//   * НаборПорций - Массив из см. ПорцияИзНабора
//   * КоличествоПорцийДляОбработки - Число
//   * ИндексСледующейПорцииДляОбработки - Число
//   * Пропустить - Булево
//   * Удалить - Булево
//   * ПорядокВидаКлючаДанных - Число
//   * ЭтоОбработкаУстаревшихЭлементов - Булево
//   * ОбновитьУровеньЗависимости - Булево
//
Функция ТаблицаЗаданийОбновления() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТаблицаЗаданийОбновления());
```
</details>

## ТаблицаКлючейЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьЗаданияОбновленияДоступа.
Функция ТаблицаКлючейЗаданий() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТаблицаКлючейЗаданий());
```
</details>

## НовыйПоток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
//
// Возвращаемое значение:
//  Структура:
//   * ИдентификаторПотока - УникальныйИдентификатор
//   * ФоновоеЗадание - ФоновоеЗадание
//   * Задание - СтрокаТаблицыЗначений из см. ТаблицаЗаданийОбновления
//   * ОтменитьЗадание - Булево
//   * МоментЗапускаЗадания - Число
//   * ПорцияИзНабора - см. ПорцияИзНабора
//   * ПолучитьПорции - Число
//   * ДатаОсвобождения - Дата
//
Функция НовыйПоток() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйПоток());
```
</details>

## ОписаниеОбщихПараметровОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
//
// Возвращаемое значение:
//   Структура:
//     * ЭтоОбновлениеПрав               - Булево
//     * ИдентификаторСписка             - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//                                       - СправочникСсылка.ИдентификаторыОбъектовРасширений
//     * ДляВнешнихПользователей         - Булево
//     * ЭтоОбработкаУстаревшихЭлементов - Булево
//     * РазрешенаОбработкаУстаревшихЭлементов - Булево
//     * ДатаНачала                      - Дата
//     * ДатаОкончания                   - Дата
//     * НачальноеОбновление             - Булево
//     * ОбработкаЗавершена              - Булево
//     * МаксимумМиллисекундОбработки    - Число
//     * ИдентификаторСправочникаНаборыГруппДоступа - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//     * Кэш                             - см. НовыйКэшКонтекста
//     * МаксимумПорцийИзИсходной        - Число
//
Функция ОписаниеОбщихПараметровОбновления(Контекст = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеОбщихПараметровОбновления(Контекст);
```
</details>

## ТекстЗапросаЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Функция ТекстЗапросаЗаданий() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаЗаданий());
```
</details>

## ЗаполнитьКоличествоПотоков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Процедура ЗаполнитьКоличествоПотоков(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьКоличествоПотоков(Контекст));
```
</details>

## ДобавитьЗаданияОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Процедура ДобавитьЗаданияОбновленияДоступа(РезультатыЗапроса, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗаданияОбновленияДоступа(РезультатыЗапроса, Контекст));
```
</details>

## НовыйКэшКонтекста
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДобавитьЗаданияОбновленияДоступа.
//
// Возвращаемое значение:
//  Структура:
//   * ОбъектыМетаданныхПоИдентификаторам - Соответствие
//
Функция НовыйКэшКонтекста() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйКэшКонтекста());
```
</details>

## ОбновитьСвойствоЭтоОбработкаУстаревшихЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ДобавитьЗаданияОбновленияДоступа, ОбновитьСвойстваЗадания и
// функции ЗапуститьОбновлениеДоступаСписка.
//
Процедура ОбновитьСвойствоЭтоОбработкаУстаревшихЭлементов(Задание, ТребуетсяОбновитьУровеньЗависимостиПриИзменении = Истина) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьСвойствоЭтоОбработкаУстаревшихЭлементов(Задание, ТребуетсяОбновитьУровеньЗависимостиПриИзменении);
```
</details>

## ЭтоОбновлениеСоставаНаборовГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьОбщиеПараметрыОбновления.
Функция ЭтоОбновлениеСоставаНаборовГруппДоступа(Задание, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоОбновлениеСоставаНаборовГруппДоступа(Задание, Контекст));
```
</details>

## ЗаполнитьУровниЗависимостиЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьЗаданияОбновленияДоступа.
Процедура ЗаполнитьУровниЗависимостиЗаданий(Контекст, СвойстваВедущихСписков) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьУровниЗависимостиЗаданий(Контекст, СвойстваВедущихСписков));
```
</details>

## УстановитьУровеньЗависимостиПоВедущим
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗаполнитьУровниЗависимостиЗаданий, ОбновитьУровеньЗависимости.
Процедура УстановитьУровеньЗависимостиПоВедущим(Задание, Задания, ВедущиеСпискиПоЗависимым) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьУровеньЗависимостиПоВедущим(Задание, Задания, ВедущиеСпискиПоЗависимым));
```
</details>

## ОбновитьУровеньЗависимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьОбщиеПараметрыОбновления.
Процедура ОбновитьУровеньЗависимости(СвойстваЗадания, Задания, ВедущиеСпискиПоЗависимым) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьУровеньЗависимости(СвойстваЗадания, Задания, ВедущиеСпискиПоЗависимым));
```
</details>

## ЗаполнитьОбщиеПараметрыОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Процедура ЗаполнитьОбщиеПараметрыОбновления(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьОбщиеПараметрыОбновления(Контекст));
```
</details>

## ПериодОбновленияДоПериодаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ДобавитьЗаданияОбновленияДоступа, ЗапуститьОбновлениеДоступаСписка,
// ВыполнитьОбновлениеДоступаСписка.
//
Функция ПериодОбновленияДоПериодаДанных(ДатаНачала, ДатаПоследнегоОбновленногоЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПериодОбновленияДоПериодаДанных(ДатаНачала, ДатаПоследнегоОбновленногоЭлемента));
```
</details>

## ОбработатьЗаданияСОшибками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Процедура ОбработатьЗаданияСОшибками(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьЗаданияСОшибками(Контекст));
```
</details>

## ОбновитьСоставИспользуемыхВерсийПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Процедура ОбновитьСоставИспользуемыхВерсийПараметровШаблонов(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьСоставИспользуемыхВерсийПараметровШаблонов(Контекст));
```
</details>

## ЗавершитьОбновлениеДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Процедура ЗавершитьОбновлениеДоступа(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗавершитьОбновлениеДоступа(Контекст));
```
</details>

## ИспользуетсяОдинВариантДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьСоставИспользуемыхВерсийПараметровШаблонов.
Функция ИспользуетсяОдинВариантДоступа(ДополнительныйКонтекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИспользуетсяОдинВариантДоступа(ДополнительныйКонтекст));
```
</details>

## ОтключитьРегламентноеЗаданиеЕслиНетНовыхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗавершитьОбновлениеДоступа.
Процедура ОтключитьРегламентноеЗаданиеЕслиНетНовыхЗаданий(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтключитьРегламентноеЗаданиеЕслиНетНовыхЗаданий(Контекст));
```
</details>

## УстановитьНедоступныеСписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОтключитьРегламентноеЗаданиеЕслиНетНовыхЗаданий.
//
// Параметры:
//  РезультатЗапроса  - РезультатЗапроса
//  НедоступныеСписки - Массив
//
Процедура УстановитьНедоступныеСписки(РезультатЗапроса, НедоступныеСписки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьНедоступныеСписки(РезультатЗапроса, НедоступныеСписки));
```
</details>

## ЗапуститьОбновлениеДоступаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Функция ЗапуститьОбновлениеДоступаСписка(Задание, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗапуститьОбновлениеДоступаСписка(Задание, Контекст));
```
</details>

## ОбщееЗаданиеВыполняется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗапуститьОбновлениеДоступаСписка и процедуры ОбработатьРезультатЗадания.
Функция ОбщееЗаданиеВыполняется(Задание) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбщееЗаданиеВыполняется(Задание));
```
</details>

## ИмяМетодаПотокаОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗапуститьОбновлениеДоступаСписка и процедуры ОтменитьФоновыеЗаданияПотоковОбновленияДоступа.
Функция ИмяМетодаПотокаОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИмяМетодаПотокаОбновленияДоступа());
```
</details>

## ИмяМетодаЗаданияОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур УстановитьОбновлениеДоступа, ЗапуститьОбновлениеДоступаНаУровнеЗаписей,
// ОтменитьОбновлениеДоступаНаУровнеЗаписей и функции ИсполнительОбновленияДоступа.
//
Функция ИмяМетодаЗаданияОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИмяМетодаЗаданияОбновленияДоступа());
```
</details>

## ПодождатьОсвобожденияПотока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа, ЗавершитьОбновлениеДоступа.
Процедура ПодождатьОсвобожденияПотока(Контекст, ЖдатьЗавершенияЗадания = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПодождатьОсвобожденияПотока(Контекст, ЖдатьЗавершенияЗадания);
```
</details>

## ИдентификаторыПотоков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПодождатьОсвобожденияПотока, ОбработатьВыполненныеЗадания.
Функция ИдентификаторыПотоков(ЗанятыеПотоки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИдентификаторыПотоков(ЗанятыеПотоки));
```
</details>

## ОбновитьСвойстваФоновогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПодождатьОсвобожденияПотока, УдалитьОстановленныеПотоки.
Процедура ОбновитьСвойстваФоновогоЗадания(Поток, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьСвойстваФоновогоЗадания(Поток, Контекст));
```
</details>

## ОтменитьФоновоеЗаданиеПотока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьВыполненныеЗадания.
Процедура ОтменитьФоновоеЗаданиеПотока(Поток, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтменитьФоновоеЗаданиеПотока(Поток, Контекст));
```
</details>

## ОбработатьВыполненныеЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа, ОбработатьРезультатЗадания.
Процедура ОбработатьВыполненныеЗадания(Контекст, ЗанятыеПотоки = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьВыполненныеЗадания(Контекст, ЗанятыеПотоки);
```
</details>

## ЭтоДлительноеЗаданиеПолученияПорций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Задание - СтрокаТаблицыЗначений из см. ТаблицаЗаданийОбновления
//
// Возвращаемое значение:
//  Булево
//
Функция ЭтоДлительноеЗаданиеПолученияПорций(Задание) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоДлительноеЗаданиеПолученияПорций(Задание));
```
</details>

## ОбновлениеДоступаОтменено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбработатьВыполненныеЗадания, ВыполнитьОбновлениеДоступаСпискаСПопыткамиПовтора.
Функция ОбновлениеДоступаОтменено() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбновлениеДоступаОтменено());
```
</details>

## ОбработатьРезультатВыполненногоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьВыполненныеЗадания.
Процедура ОбработатьРезультатВыполненногоЗадания(Поток, ОписаниеРезультата, Контекст, ЗадержкаЗапроса) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьРезультатВыполненногоЗадания(Поток, ОписаниеРезультата, Контекст, ЗадержкаЗапроса));
```
</details>

## ОсвободитьПоток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбработатьРезультатВыполненногоЗадания, УдалитьПоток.
Процедура ОсвободитьПоток(Поток, Контекст, ДатаЗавершения = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОсвободитьПоток(Поток, Контекст, ДатаЗавершения);
```
</details>

## СнятьПризнакОбрабатываетсяДляПорции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗапуститьОбновлениеДоступаСписка, ОбработатьРезультатВыполненногоЗадания, ОсвободитьПоток.
Процедура СнятьПризнакОбрабатываетсяДляПорции(ПотокИлиРезультат, Задание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СнятьПризнакОбрабатываетсяДляПорции(ПотокИлиРезультат, Задание));
```
</details>

## УдалитьПоток
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьРезультатВыполненногоЗадания, ЗавершитьОбновлениеДоступа.
Процедура УдалитьПоток(Поток, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьПоток(Поток, Контекст));
```
</details>

## УдалитьОстановленныеПотоки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьРезультатВыполненногоЗадания, ЗавершитьОбновлениеДоступа.
Процедура УдалитьОстановленныеПотоки(Контекст, ОписаниеПотоков) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьОстановленныеПотоки(Контекст, ОписаниеПотоков));
```
</details>

## УдалитьНеиспользуемыеСвободныеПотоки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьВыполненныеЗадания.
Процедура УдалитьНеиспользуемыеСвободныеПотоки(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьНеиспользуемыеСвободныеПотоки(Контекст));
```
</details>

## ОтменитьЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ДобавитьЗаданияОбновленияДоступа и ОбработатьРезультатЗадания.
Процедура ОтменитьЗадание(Задание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтменитьЗадание(Задание));
```
</details>

## ОбработатьРезультатЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗапуститьОбновлениеДоступаСписка, ОбработатьРезультатВыполненногоЗадания.
Процедура ОбработатьРезультатЗадания(Контекст, Результат, Задание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьРезультатЗадания(Контекст, Результат, Задание));
```
</details>

## ОбновитьСвойстваЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьРезультатЗадания.
Процедура ОбновитьСвойстваЗадания(Задание, НовыйПоследнийОбновленныйЭлемент) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьСвойстваЗадания(Задание, НовыйПоследнийОбновленныйЭлемент));
```
</details>

## ВыполнитьОбновлениеДоступаСпискаВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗапуститьОбновлениеДоступаСписка.
Процедура ВыполнитьОбновлениеДоступаСпискаВФоне(ОписаниеРодительскогоСеанса) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВыполнитьОбновлениеДоступаСпискаВФоне(ОписаниеРодительскогоСеанса) 
```
</details>

## ИсполняющийПотокЗапущен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСпискаВФоне.
Функция ИсполняющийПотокЗапущен(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИсполняющийПотокЗапущен(Контекст));
```
</details>

## ПродолжитьОжиданиеНовогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСпискаВФоне.
Функция ПродолжитьОжиданиеНовогоЗадания(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПродолжитьОжиданиеНовогоЗадания(Контекст));
```
</details>

## СеансСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПродолжитьОжиданиеНовогоЗадания.
Функция СеансСуществует(ОписаниеСеанса) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СеансСуществует(ОписаниеСеанса));
```
</details>

## ЗаписатьРезультатОбновленияДоступаСпискаВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСпискаВФоне.
Процедура ЗаписатьРезультатОбновленияДоступаСпискаВФоне(Результат, ИсходныеПараметры, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьРезультатОбновленияДоступаСпискаВФоне(Результат, ИсходныеПараметры, Контекст));
```
</details>

## ПоказателиОбновленияОсновногоСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Функция ПоказателиОбновленияОсновногоСеанса() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПоказателиОбновленияОсновногоСеанса());
```
</details>

## ДобавитьПоказателиОбновленияУправляющегоПотока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступа.
Процедура ДобавитьПоказателиОбновленияУправляющегоПотока(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПоказателиОбновленияУправляющегоПотока(Контекст));
```
</details>

## ПоказателиОбновленияИсполняющегоПотока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСпискаВФоне.
Функция ПоказателиОбновленияИсполняющегоПотока() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПоказателиОбновленияИсполняющегоПотока());
```
</details>

## ДобавитьПоказателиВыполненияЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ПоказателиОбновленияУправляющегоПотока, ПоказателиОбновленияИсполняющегоПотока.
Процедура ДобавитьПоказателиВыполненияЗаданий(Показатели) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПоказателиВыполненияЗаданий(Показатели));
```
</details>

## СнятьПоказателиВыдачиЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗапуститьОбновлениеДоступаСписка.
Процедура СнятьПоказателиВыдачиЗаданий(Показатели) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СнятьПоказателиВыдачиЗаданий(Показатели));
```
</details>

## СнятьПоказателиОбработкиРезультатаЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗапуститьОбновлениеДоступаСписка.
Процедура СнятьПоказателиОбработкиРезультатаЗадания(Показатели) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СнятьПоказателиОбработкиРезультатаЗадания(Показатели));
```
</details>

## СнятьПоказателиВыполненияЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСпискаВФоне.
Процедура СнятьПоказателиВыполненияЗадания(Показатели) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СнятьПоказателиВыполненияЗадания(Показатели));
```
</details>

## СнятьПоказателиОшибокВыполненияЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСпискаВФоне.
Процедура СнятьПоказателиОшибокВыполненияЗадания(Показатели, ТекстОшибок, КоличествоОшибок); Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СнятьПоказателиОшибокВыполненияЗадания(Показатели, ТекстОшибок, КоличествоОшибок););
```
</details>

## ФорматСекунд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗарегистрироватьПоказателиОбновленияОсновногоПотока,
// ЗарегистрироватьПоказателиОбновленияИсполняющегоПотока,
// ДобавитьЗначенияПоказателейРаботыСеанса,
// ДобавитьЗначенияПоказателейВыполненияЗаданий.
//
Функция ФорматСекунд(ЧислоСекунд) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ФорматСекунд(ЧислоСекунд));
```
</details>

## ФорматКоличества
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗарегистрироватьПоказателиОбновленияОсновногоПотока,
// ЗарегистрироватьПоказателиОбновленияИсполняющегоПотока,
// ДобавитьЗначенияПоказателейВыполненияЗаданий.
//
Функция ФорматКоличества(ЧислоКоличества) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ФорматКоличества(ЧислоКоличества));
```
</details>

## ЗарегистрироватьПоказателиОбновленияОсновногоПотока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗавершитьОбновлениеДоступа.
Процедура ЗарегистрироватьПоказателиОбновленияОсновногоПотока(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗарегистрироватьПоказателиОбновленияОсновногоПотока(Контекст));
```
</details>

## ЗарегистрироватьПоказателиОбновленияИсполняющегоПотока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСпискаВФоне.
Процедура ЗарегистрироватьПоказателиОбновленияИсполняющегоПотока(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗарегистрироватьПоказателиОбновленияИсполняющегоПотока(Контекст));
```
</details>

## ДобавитьЗначенияПоказателейРаботыСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗарегистрироватьПоказателиОбновленияУправляющегоПотока и
// ЗарегистрироватьПоказателиОбновленияИсполняющегоПотока.
//
Процедура ДобавитьЗначенияПоказателейРаботыСеанса(Комментарий, Показатели, ОписаниеСеанса, ЭтоИсполняющийПоток = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗначенияПоказателейРаботыСеанса(Комментарий, Показатели, ОписаниеСеанса, ЭтоИсполняющийПоток);
```
</details>

## ДобавитьЗначенияПоказателейВыполненияЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗарегистрироватьПоказателиОбновленияУправляющегоПотока и
// ЗарегистрироватьПоказателиОбновленияИсполняющегоПотока.
//
Процедура ДобавитьЗначенияПоказателейВыполненияЗаданий(Комментарий, Показатели) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗначенияПоказателейВыполненияЗаданий(Комментарий, Показатели));
```
</details>

## ДобавитьТекстОшибкиЗавершения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновлениеДоступаНаУровнеЗаписей, ОбработатьРезультатЗадания, ЗарегистрироватьОшибкуОбновленияДоступа.
Процедура ДобавитьТекстОшибкиЗавершения(ТекстОшибкиЗавершения, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТекстОшибкиЗавершения(ТекстОшибкиЗавершения, ТекстОшибки));
```
</details>

## ТекстОшибкиОбновленияСКонтекстом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьСвойстваФоновогоЗадания, ОтменитьФоновоеЗаданиеПотока, ОбработатьВыполненныеЗадания,
// УдалитьОстановленныеПотоки, ВыполнитьОбновлениеДоступаСпискаВФоне.
//
Функция ТекстОшибкиОбновленияСКонтекстом(ИнформацияОбОшибке, ОбщиеПараметрыОбновления, УстранимаяОшибка = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстОшибкиОбновленияСКонтекстом(ИнформацияОбОшибке, ОбщиеПараметрыОбновления, УстранимаяОшибка);
```
</details>

## ЗарегистрироватьОшибкуОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновлениеДоступаНаУровнеЗаписей, ЗавершитьФоновыеЗадания,
// ОбработатьРезультатВыполненногоЗадания, ОбновитьСвойстваФоновогоЗадания,
// ВыполнитьОбновлениеДоступаСпискаВФоне.
//
Процедура ЗарегистрироватьОшибкуОбновленияДоступа(ТекстОшибки, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗарегистрироватьОшибкуОбновленияДоступа(ТекстОшибки, Контекст));
```
</details>

## ВыполнитьОбновлениеДоступаСпискаСПопыткамиПовтора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗапуститьОбновлениеДоступаСписка и процедуры ВыполнитьОбновлениеДоступаСпискаВФоне.
Процедура ВыполнитьОбновлениеДоступаСпискаСПопыткамиПовтора(ОбщиеПараметрыОбновления, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВыполнитьОбновлениеДоступаСпискаСПопыткамиПовтора(ОбщиеПараметрыОбновления, Контекст));
```
</details>

## ВыполнитьОбновлениеДоступаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСпискаСПопыткамиПовтора.
Процедура ВыполнитьОбновлениеДоступаСписка(ОбщиеПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВыполнитьОбновлениеДоступаСписка(ОбщиеПараметрыОбновления));
```
</details>

## ЭтоСправочникНаборыГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоСправочникНаборыГруппДоступа(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоСправочникНаборыГруппДоступа(ПараметрыОбновления));
```
</details>

## ПараметрыОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедура ВыполнитьОбновлениеДоступаСписка.
//
// Возвращаемое значение:
//   Структура:
//     * ЭтоОбновлениеПрав        - Булево
//     * ИдентификаторСписка      - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//                                - СправочникСсылка.ИдентификаторыОбъектовРасширений
//     * ДляВнешнихПользователей  - Булево
//     * Кэш                      - см. НовыйКэшКонтекста
//     * ДатаНачала               - Дата
//     * ДатаОкончания            - Дата
//     * МаксимумПорцийИзИсходной - Число
//     * ИдентификаторСправочникаНаборыГруппДоступа - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//     * ГраницаВремениОбработки  - Дата
//
//    Свойства, если ЭтоСправочникНаборыГруппДоступа.
//     * СписокСДатой    - Булево
//     * СписокСПериодом - Булево
//     * ЭтоСсылочныйТип - Булево
//     * ПустойНаборГруппДоступа - СправочникСсылка.НаборыГруппДоступа
//
//    Свойства, если не ЭтоСправочникНаборыГруппДоступа.
//     * ИдентификаторТранзакции - УникальныйИдентификатор
//     * ЗависимыеСпискиПоКлючамДоступа - Массив из Строка - полные имена списков
//
//    Свойства добавляемые в процессе работы.
//     * ЕстьИзмененияПрав - Булево
//     * ОбновитьПраваНаКлючи - Булево
//     * ПоследнийОбновленныйЭлемент - см. НачальныйЭлемент
//     * НовыйПоследнийОбновленныйЭлемент - см. НачальныйЭлемент
//     * ПерезапускОбновления - Булево
//     * ЕстьЗадания - Булево
//     * ТочечноеЗадание - см. ПодготовленноеТочечноеЗадание
//     * НаборПорций - Массив из см. ПорцияИзНабора
//     * ТипПользователя - Тип
//     * ТипГруппыПользователей - Тип
//     * ТипГруппыДоступа - Тип
//     * ПустаяГруппаДоступа - СправочникСсылка.ГруппыДоступа
//     * ПраваГруппДоступаСписка               - см. НовыеПраваГруппДоступаСписка
//     * ПользователиГруппПользователей        - см. НовыеПользователиГруппПользователей
//     * ГруппыПользователейКакЗначенияДоступа - см. НовыеГруппыПользователейКакЗначенияДоступа
//     * УчастникиГруппДоступа                 - см. НовыеУчастникиГруппДоступа
//     * ГруппыПользователейГруппДоступа       - см. НовыеГруппыПользователейГруппДоступа
//     * ЗначенияГруппДоступа                  - см. НовыеЗначенияГруппДоступа
//     * РолиПрофилейГруппДоступа              - см. НовыеРолиПрофилейГруппДоступа
//     * ГруппыДоступаПрофилей                 - см. НовыеГруппыДоступаПрофилей
//     * ПраваНаСпискиВедущихКлючейДоступа     - см. НовыеПраваНаСпискиВедущихКлючейДоступа
//     * ПраваНаВедущиеКлючиДоступа            - см. НовыеПраваНаВедущиеКлючиДоступа
//     * ПраваНаВедущиеСписки                  - см. НовыеПраваНаВедущиеСписки
//     * ПраваПоВладельцамНастроекПрав         - см. НовыеПраваПоВладельцамНастроекПрав
//     * МодельОбъектовВПамяти - см. МодельОбъектовВПамяти
//
//    Копия свойств из ПараметрыОграниченияПоСтруктуреОграничения.
//     * Список                  - Строка
//     * ДляВнешнихПользователей - Булево
//     * Версия                  - Строка
//     * ВедущиеСписки           - см. НовыеВедущиеСписки
//     * ДоступЗапрещен          - Булево
//     * ОграничениеОтключено    - Булево
//     * ОграничениеЧтенияОтключено - Булево
//     * ПолеВладельца - см. НовоеПолеВладельца
//     * ТребуетсяОграничениеПоВладельцу    - Булево
//     * ИспользуетсяОграничениеПоВладельцу - Булево
//     * РассчитыватьПраваПользователей     - Булево
//     * ЕстьЗависимыеСпискиБезЗаписиКлючейДоступа
//     * ЧтениеРазрешеноДляВсехПользователей - Булево
//     * ИзменениеРазрешеноДляВсехПользователей - Булево
//     * ЕстьВедущиеКлючиДоступа                - Булево
//     * ЕстьВедущиеСпискиПоПравам              - Булево
//     * ЕстьФункцияПравоДоступаИлиРольДоступна - Булево
//     * ТипыВладельцевНастроекПрав        - ФиксированноеСоответствие
//     * ИдентификаторТаблицыНастроекПрав  - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//     * ЕстьВладельцыНастроекПрав         - Булево
//     * ИспользуемыеТипыЗначенийДоступа   - Массив из Тип
//     * ВсеВидыОграниченийПрав            - Соответствие
//     * ПоляТаблицОбъекта                 - Массив из см. НовыеПоляТаблицыОбъекта
//     * ИмяОтдельногоРегистраКлючей       - Строка
//     * ОпорныеПоля                       - см. НовоеОписаниеОпорныхПолей
//     * ВариантДоступа                    - Число
//     * СоставПолей                       - Число
//     * ЕстьОграничениеЧтения             - Булево
//     * ЕстьОграничениеИзменения          - Булево
//     * ЕстьОграничениеПоПользователям    - Булево
//     * СтруктураРасчетаПраваЧтение       - см. СтруктураРасчетаПрава
//     * СтруктураРасчетаПраваИзменение    - см. СтруктураРасчетаПрава
//     * Контекст                          - см. КонтекстПараметровПоСтруктуреОграничения
//
//    Свойства, добавляемые в процедуре ДобавитьТекстыЗапросовВПараметрыОграничения.
//     * ТекстЗапросаПроверкиПравЧтениеИзменение - Строка
//     * ТекстЗапросаПроверкиПраваЧтение - Строка
//     * ПолеОбъектаВладельцаВЗапросеПроверкиПрав - Строка
//     * ТекстЗапросаУстаревшихЭлементовДанных - Строка
//     * ТекстЗапросаПроверкиУстаревшихЭлементовДанных - Строка
//     * ТекстЗапросаНекорректныхЭлементовДанных - Строка
//     * ТекстЗапросаНекорректныхЭлементовДанныхИзОбщегоРегистра - Строка
//     * ТаблицыКлюча - Массив из Строка
//     * РеквизитыТаблицКлюча - см. НовыеРеквизитыТаблицКлюча
//     * ТекстЗапросаДиапазонаЭлементовДанных - Строка
//     * ТекстЗапросаЭлементовДанныхСУстаревшимиКлючами - Строка
//     * ТекстЗапросаПроверкиКлючаДоступаОбъекта - Строка
//     * ТекстЗапросаЭлементовДанныхБезКлючейДоступа - Строка
//     * ТекстЗапросаНовыхКомбинацийЗначенийОпорныхПолейСуществующихЗаписей - Строка
//     * ТекстЗапросаНовыхКомбинацийЗначенийОпорныхПолейНовыхЗаписей - Строка
//     * ОписаниеЗапросовУстаревшихКлючейДоступаПоВедущимОбъектам - Соответствие из КлючИЗначение:
//        ** Ключ - Строка
//        ** Значение - Соответствие из КлючИЗначение:
//                       *** Ключ - Строка
//                       *** Значение - Соответствие
//                    - Структура:
//                       *** ТипСсылки - ХранилищеЗначения
//                       *** КлючиЗапросовПоТипам - Соответствие
//                       *** ТекстыЗапросовПоКлючам - Соответствие
//                       *** ТекстЗапросаПараметров - Строка
//                    - Строка
//     * ТекстЗапросаТекущихКлючейДоступаРегистра - Строка
//     * ТекстЗапросаЗначенийЭлементовДанныхДляКлючейДоступа - Строка
//     * ТекстЗапросаЗначенийОбъектовВПамятиДляКлючейДоступа - Строка
//     * ТекстЗапросаЗначенийИзИспользуемыхКлючейДоступаДляСравнения - Строка
//     * ТекстЗапросаЗначенийИзВсехКлючейДоступаДляСравнения - Строка
//     * ТекстЗапросаСуществованияКлючейДляСравнения - Строка
//     * ТекстЗапросаКлючейДоступаДляОбновленияПрав - Строка
//     * ТекстЗапросаКлючейПоВедущимКлючамДляОбновленияПрав - Строка
//     * ТекстЗапросаЗначенийИзКлючейДоступаДляРасчетаПрав - Строка
//     * ТекстЗапросаУстаревшихКлючейДоступа - Строка
//
Функция ПараметрыОбновления(ОбщиеПараметрыОбновления, ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПараметрыОбновления(ОбщиеПараметрыОбновления, ОбъектМетаданных));
```
</details>

## ДобавитьПараметрыОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедура ВыполнитьОбновлениеДоступаСписка.
Процедура ДобавитьПараметрыОграничения(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПараметрыОграничения(ПараметрыОбновления));
```
</details>

## НачальныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ВыполнитьОбновлениеДоступаСписка, ПодготовитьПланОбновления.
//
// Возвращаемое значение:
//  Структура:
//    * КлючДанных                               - ЛюбаяСсылка
//                                               - Null
//                                               - Структура
//    * ОбработатьУстаревшиеЭлементы             - Булево
//    * ОбработатьНаборыГруппСУстаревшимиПравами - Булево
//    * Дата                                     - Дата
//
Функция НачальныйЭлемент(ПараметрыОбновления, ВидКлючаДанных = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НачальныйЭлемент(ПараметрыОбновления, ВидКлючаДанных, );
```
</details>

## ПодготовитьПланОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедура ВыполнитьОбновлениеДоступаСписка.
Процедура ПодготовитьПланОбновления(ПараметрыОбновления, ПодготовкаЗавершена) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПодготовитьПланОбновления(ПараметрыОбновления, ПодготовкаЗавершена));
```
</details>

## ОчиститьЗагруженныеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПодготовитьПланОбновления.
Процедура ОчиститьЗагруженныеЗаписи(ПланОбновления, Выгрузка) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОчиститьЗагруженныеЗаписи(ПланОбновления, Выгрузка));
```
</details>

## ОбработатьПланОбновленияКэшаРасчетаПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПодготовитьПланОбновления.
Процедура ОбработатьПланОбновленияКэшаРасчетаПрав(Выгрузка, НоваяВерсияДанныхДляКэша = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьПланОбновленияКэшаРасчетаПрав(Выгрузка, НоваяВерсияДанныхДляКэша);
```
</details>

## ОбработатьЗаданиеОбновленияКэшаРасчетаПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьПланОбновленияКэшаРасчетаПрав.
Процедура ОбработатьЗаданиеОбновленияКэшаРасчетаПрав(ВерсияДанныхДляКэша, ИмяИзмененныхДанных, КлючУникальности) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьЗаданиеОбновленияКэшаРасчетаПрав(ВерсияДанныхДляКэша, ИмяИзмененныхДанных, КлючУникальности));
```
</details>

## НоваяВерсияДанныхДляКэша
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбработатьПланОбновленияКэшаРасчетаПрав.
Функция НоваяВерсияДанныхДляКэша(ТекущееЗначение, ВерсияДанныхДляКэша, ДляЗаписи = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяВерсияДанныхДляКэша(ТекущееЗначение, ВерсияДанныхДляКэша, ДляЗаписи);
```
</details>

## ВерсияДанныхДляКэшаРасчетаПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции КэшРасчетаПравДляВидаПользователей.
Функция ВерсияДанныхДляКэшаРасчетаПрав() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВерсияДанныхДляКэшаРасчетаПрав());
```
</details>

## СохраняемыеПараметрыЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПодготовитьПланОбновления, ЗаписатьПоследнийОбновленныйЭлемент.
//
// Возвращаемое значение:
//  Структура:
//    * ПоследнийОбновленныйЭлемент - см. НачальныйЭлемент
//    * ТочечноеЗадание - Структура:
//        ** ПоКлючамДоступа - Соответствие
//        ** ПоЗначениямПолей - Соответствие
//        ** ПоЗначениямСГруппами - Соответствие
//
Функция СохраняемыеПараметрыЗадания(ЭтоОбновлениеПрав, ПараметрыОбновления, ПараметрыЗадания = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СохраняемыеПараметрыЗадания(ЭтоОбновлениеПрав, ПараметрыОбновления, ПараметрыЗадания, );
```
</details>

## ДобавитьВедущийОбъектКТочечномуЗаданию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПодготовитьПланОбновления.
Процедура ДобавитьВедущийОбъектКТочечномуЗаданию(ТочечноеЗадание, СохраняемоеТочечноеЗадание, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВедущийОбъектКТочечномуЗаданию(ТочечноеЗадание, СохраняемоеТочечноеЗадание, );
```
</details>

## ЕстьСвойстваКлючаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПодготовитьПланОбновления.
Функция ЕстьСвойстваКлючаДанных(ПараметрыЗадания) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЕстьСвойстваКлючаДанных(ПараметрыЗадания));
```
</details>

## ЭтоОбработкаУстаревшихЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ВыполнитьОбновлениеДоступаСписка, ОбновитьПорциюЭлементов,
// УстановитьТекстЗапросаИПараметрыПоследнегоОбновленногоЭлементаДанных, ОбновитьНаборыГруппДоступа и
// функций ЭлементыДляОбновления, ПоследнийЭлемент, КлючДанных, НаборыГруппДоступаДляОбновления.
//
Функция ЭтоОбработкаУстаревшихЭлементов(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоОбработкаУстаревшихЭлементов(ПараметрыОбновления));
```
</details>

## ПорядокВидаКлючаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СохраняемыеПараметрыЗадания, ЕстьСвойстваКлючаДанных и
// процедур ОбновитьСвойствоЭтоОбработкаУстаревшихЭлементов, УстановитьВидКлючаДанных.
//
Функция ПорядокВидаКлючаДанных(ВидКлючаДанных) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПорядокВидаКлючаДанных(ВидКлючаДанных));
```
</details>

## УстановитьВидКлючаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗапланироватьОбновлениеДоступа, ЗапланироватьОбновлениеНаборовГруппДоступа,
// УточнитьПустойПоследнийЭлемент и функции НачальныйЭлемент.
//
Процедура УстановитьВидКлючаДанных(Элемент, ВидКлючаДанных) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьВидКлючаДанных(Элемент, ВидКлючаДанных));
```
</details>

## ПодготовленноеТочечноеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПодготовитьПланОбновления.
Функция ПодготовленноеТочечноеЗадание(ЭтоОбновлениеПрав, СохраняемоеТочечноеЗадание, ПерезапускОбновления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПодготовленноеТочечноеЗадание(ЭтоОбновлениеПрав, СохраняемоеТочечноеЗадание, ПерезапускОбновления));
```
</details>

## КоличествоЭлементовВПорции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедура ВыполнитьОбновлениеДоступаСписка.
Функция КоличествоЭлементовВПорции(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КоличествоЭлементовВПорции(ПараметрыОбновления));
```
</details>

## КоличествоЭлементовВЗапросе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедура ВыполнитьОбновлениеДоступаСписка.
Функция КоличествоЭлементовВЗапросе(ЭтоОбновлениеПрав) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КоличествоЭлементовВЗапросе(ЭтоОбновлениеПрав));
```
</details>

## ОбновитьПорциюЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Процедура ОбновитьПорциюЭлементов(Элементы, ПараметрыОбновления, ЭтоТочечноеЗадание = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьПорциюЭлементов(Элементы, ПараметрыОбновления, ЭтоТочечноеЗадание);
```
</details>

## ТребуетсяПрерватьОбработкуЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьНаборыГруппДоступа, УдалитьУстаревшиеЭлементыДанныхСписка,
// ЗаписатьКлючиДоступаОбъектов, ЗаписатьКлючиДоступаРегистров,
// ОбновитьПраваПорцииКлючейДоступаСписка, УдалитьПорциюКлючейДоступаСписка,
// УдалитьТекущуюПорциюКлючейДоступаСписка.
//
Функция ТребуетсяПрерватьОбработкуЭлементов(ПараметрыОбновления, КоличествоОбработанныхНаШаге = 1) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТребуетсяПрерватьОбработкуЭлементов(ПараметрыОбновления, КоличествоОбработанныхНаШаге);
```
</details>

## ЗаписатьПоследнийОбновленныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ВыполнитьОбновлениеДоступаСписка, ПроверитьЗавершитьОбновлениеПоПорциям.
Процедура ЗаписатьПоследнийОбновленныйЭлемент(ОбщиеПараметрыОбновления, ПоследнийОбновленныйЭлемент) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьПоследнийОбновленныйЭлемент(ОбщиеПараметрыОбновления, ПоследнийОбновленныйЭлемент));
```
</details>

## ЭлементыДляОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Функция ЭлементыДляОбновления(ПараметрыОбновления, КоличествоВЗапросе, ВыбраныВсеЭлементы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭлементыДляОбновления(ПараметрыОбновления, КоличествоВЗапросе, ВыбраныВсеЭлементы));
```
</details>

## ПризнакПустогоЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЭлементыДляОбновления и процедур
// УстановитьТекстЗапросаИПараметрыПоследнегоОбновленногоЭлементаДанных,
// УстановитьОбработкуУстаревшихДанных,
// ДобавитьТекстЗапросаУстаревшихЭлементовДанных.
//
Функция ПризнакПустогоЗапроса() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПризнакПустогоЗапроса());
```
</details>

## ПризнакИтерационногоЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЭлементыДляОбновления и
// процедуры УстановитьПустойПоследнийЭлемент.
//
Функция ПризнакИтерационногоЗапроса() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПризнакИтерационногоЗапроса());
```
</details>

## ИтерационнаяВыборкаЭлементовДляОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЭлементыДляОбновления.
Функция ИтерационнаяВыборкаЭлементовДляОбновления(Запрос, ПараметрыОбновления, КоличествоВЗапросе, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИтерационнаяВыборкаЭлементовДляОбновления(Запрос, ПараметрыОбновления, КоличествоВЗапросе, );
```
</details>

## УстановитьУточнениеПланаЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур выполнения запросов.
Процедура УстановитьУточнениеПланаЗапроса(ТекстЗапроса, УникальныйПлан = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьУточнениеПланаЗапроса(ТекстЗапроса, УникальныйПлан);
```
</details>

## ЭлементыТочечногоЗаданияДляОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Функция ЭлементыТочечногоЗаданияДляОбновления(ПараметрыОбновления, КоличествоВЗапросе, ВыбраныВсеЭлементы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭлементыТочечногоЗаданияДляОбновления(ПараметрыОбновления, КоличествоВЗапросе, ВыбраныВсеЭлементы));
```
</details>

## ДобавитьЗапросыТочечногоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЭлементыТочечногоЗаданияДляОбновления.
Функция ДобавитьЗапросыТочечногоЗадания(ВидЗадания, Запрос, ЗапросыПакета, ЗапросыДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ДобавитьЗапросыТочечногоЗадания(ВидЗадания, Запрос, ЗапросыПакета, ЗапросыДанных, ПараметрыОбновления));
```
</details>

## ТаблицаТочечногоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   ТаблицаЗначений:
//     * Ссылка - ЛюбаяСсылка
//
Функция ТаблицаТочечногоЗадания() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТаблицаТочечногоЗадания());
```
</details>

## ПерезапуститьОбновлениеПриНезавершенномТочечномОбновлении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Процедура ПерезапуститьОбновлениеПриНезавершенномТочечномОбновлении(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПерезапуститьОбновлениеПриНезавершенномТочечномОбновлении(ПараметрыОбновления));
```
</details>

## НаборПорцийЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Функция НаборПорцийЭлементов(ПараметрыОбновления, Элементы, ВыбраныВсеЭлементы, РазмерПорции = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НаборПорцийЭлементов(ПараметрыОбновления, Элементы, ВыбраныВсеЭлементы, РазмерПорции);
```
</details>

## ПорцияИзНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//    * Обработана                   - Булево
//    * Обрабатывается               - Булево
//    * Элементы                     - ХранилищеЗначения
//    * ДатаПоследнегоЭлементаПорции - Дата
//    * ПоследнийЭлементПорции       - см. НачальныйЭлемент
//    * НовыйПоследнийЭлементПорции  - см. НачальныйЭлемент
//
Функция ПорцияИзНабора() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПорцияИзНабора());
```
</details>

## ПоследнийЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ВыполнитьОбновлениеДоступаСписка, ОбновитьПорциюЭлементов, НаборПорцийЭлементов.
Функция ПоследнийЭлемент(Элементы, ПараметрыОбновления, ПоследнийОбработанный = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПоследнийЭлемент(Элементы, ПараметрыОбновления, ПоследнийОбработанный);
```
</details>

## УточнитьПоследнийОбновленныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Процедура УточнитьПоследнийОбновленныйЭлемент(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УточнитьПоследнийОбновленныйЭлемент(ПараметрыОбновления));
```
</details>

## УстановитьПустойПоследнийЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ВыполнитьОбновлениеДоступаСписка, НаборПорцийЭлементов.
Процедура УстановитьПустойПоследнийЭлемент(Элемент, ПараметрыОбновления, ДатаЭлемента = '00010101') Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьПустойПоследнийЭлемент(Элемент, ПараметрыОбновления, ДатаЭлемента);
```
</details>

## УстановитьОбработкуУстаревшихДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур УточнитьПоследнийОбновленныйЭлемент, УстановитьПустойПоследнийЭлемент.
Процедура УстановитьОбработкуУстаревшихДанных(Элемент, ПараметрыОбновления, ВидКлючаДанныхЗавершения = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьОбработкуУстаревшихДанных(Элемент, ПараметрыОбновления, ВидКлючаДанныхЗавершения);
```
</details>

## УстановитьЭлементСледующегоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УточнитьПустойПоследнийЭлемент.
Процедура УстановитьЭлементСледующегоПериода(ПараметрыОбновления, Элемент, ДатаЭлемента, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьЭлементСледующегоПериода(ПараметрыОбновления, Элемент, ДатаЭлемента, );
```
</details>

## УстановитьТекстЗапросаИПараметрыПоследнегоОбновленногоЭлементаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЭлементыДляОбновления.
Процедура УстановитьТекстЗапросаИПараметрыПоследнегоОбновленногоЭлементаДанных(Запрос, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьТекстЗапросаИПараметрыПоследнегоОбновленногоЭлементаДанных(Запрос, ПараметрыОбновления));
```
</details>

## КлючДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПоследнийЭлемент, УстановитьПараметрыПоследнегоОбновленногоЭлемента и
// функции ТекстЗапросаКоличестваОставшихсяЭлементовРегистра.
//
// Возвращаемое значение:
//   Структура:
//     * Поле1 - ЛюбаяСсылка
//     * Поле2 - ЛюбаяСсылка
//     * Поле3 - ЛюбаяСсылка
//     * Поле4 - ЛюбаяСсылка
//     * Поле5 - ЛюбаяСсылка
//
Функция КлючДанных(ПараметрыОбновления, ИсходныйКлючДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КлючДанных(ПараметрыОбновления, ИсходныйКлючДанных);
```
</details>

## НаборыГруппДоступаДляОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЭлементыДляОбновления.
Функция НаборыГруппДоступаДляОбновления(ПараметрыОбновления, КоличествоВЗапросе) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НаборыГруппДоступаДляОбновления(ПараметрыОбновления, КоличествоВЗапросе));
```
</details>

## ОбновитьНаборыГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПорциюЭлементов.
Процедура ОбновитьНаборыГруппДоступа(ЭлементыДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьНаборыГруппДоступа(ЭлементыДанных, ПараметрыОбновления));
```
</details>

## ОчиститьПраваПустогоНабораГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Процедура ОчиститьПраваПустогоНабораГруппДоступа(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОчиститьПраваПустогоНабораГруппДоступа(ПараметрыОбновления));
```
</details>

## ОбновитьНаборыГруппСУстаревшимиПравами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьНаборыГруппДоступа.
Процедура ОбновитьНаборыГруппСУстаревшимиПравами(ЭлементыДанных, ПараметрыОбновления, ЭтоНовыеНаборы = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьНаборыГруппСУстаревшимиПравами(ЭлементыДанных, ПараметрыОбновления, ЭтоНовыеНаборы);
```
</details>

## ОбновитьКлючиДоступаНаборовГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьНаборыГруппСУстаревшимиПравами.
Процедура ОбновитьКлючиДоступаНаборовГрупп(ПараметрыОбновления, НаборГруппДоступа, ИмяРегистраПрав, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьКлючиДоступаНаборовГрупп(ПараметрыОбновления, НаборГруппДоступа, ИмяРегистраПрав, );
```
</details>

## УстранитьДублиНаборовИзОдногоПользователяВСправочнике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Процедура УстранитьДублиНаборовИзОдногоПользователяВСправочнике(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстранитьДублиНаборовИзОдногоПользователяВСправочнике(ПараметрыОбновления));
```
</details>

## ОбновитьНаборыИзОдногоПользователяВСправочнике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьНаборыГруппДоступа.
Процедура ОбновитьНаборыИзОдногоПользователяВСправочнике(ЭлементыДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьНаборыИзОдногоПользователяВСправочнике(ЭлементыДанных, ПараметрыОбновления));
```
</details>

## ЗаполнитьПустыеХешиНаборовГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Процедура ЗаполнитьПустыеХешиНаборовГрупп(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПустыеХешиНаборовГрупп(ПараметрыОбновления));
```
</details>

## НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НаборыГруппДоступаДляОбновления.
Функция НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГруппДоступа(ПараметрыОбновления, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГруппДоступа(ПараметрыОбновления, );
```
</details>

## НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГруппПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НаборыГруппДоступаДляОбновления.
Функция НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГруппПользователей(ПараметрыОбновления, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГруппПользователей(ПараметрыОбновления, );
```
</details>

## НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГруппДоступа,
// НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГруппПользователей.
//
Функция НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГрупп(ПараметрыОбновления, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НаборыИзОдногоПользователяДляОбновленияНазначенныхНаборовГрупп(ПараметрыОбновления, );
```
</details>

## ОбновитьНаборыГруппНазначенныеПользователямВСправочнике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПорциюЭлементов.
Процедура ОбновитьНаборыГруппНазначенныеПользователямВСправочнике(ЭлементыДанных, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьНаборыГруппНазначенныеПользователямВСправочнике(ЭлементыДанных, );
```
</details>

## ЗаполнитьНомераГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьНаборыГруппВСправочнике.
Процедура ЗаполнитьНомераГрупп(НомераГрупп, ИменаЧастейНомера, МаксимальныйНомерГруппыВЧастиНомера) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьНомераГрупп(НомераГрупп, ИменаЧастейНомера, МаксимальныйНомерГруппыВЧастиНомера));
```
</details>

## НовыйНаборГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьНаборыГруппВСправочнике.
Функция НовыйНаборГрупп(ГруппыНабора, ДляВнешнихПользователей, ТипЭлементовНабора, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйНаборГрупп(ГруппыНабора, ДляВнешнихПользователей, ТипЭлементовНабора, );
```
</details>

## ЗаполнитьХешНабораГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НовыйНаборГрупп и процедуры ЗаполнитьПустыеХешиНаборовГрупп.
Процедура ЗаполнитьХешНабораГрупп(Объект) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьХешНабораГрупп(Объект));
```
</details>

## ГруппыНабораПоНомерам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НовыйНаборГрупп.
Функция ГруппыНабораПоНомерам(НомераГрупп, ИменаЧастейНомера, ЧастиНомера) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ГруппыНабораПоНомерам(НомераГрупп, ИменаЧастейНомера, ЧастиНомера));
```
</details>

## НаборГруппСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НовыйНаборГрупп.
Функция НаборГруппСуществует(Объект) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НаборГруппСуществует(Объект));
```
</details>

## ОбновитьНаборыГруппРазрешенныеПользователямВСправочнике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьНаборыГруппДоступа.
Процедура ОбновитьНаборыГруппРазрешенныеПользователямВСправочнике(ЭлементыДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьНаборыГруппРазрешенныеПользователямВСправочнике(ЭлементыДанных, ПараметрыОбновления));
```
</details>

## ОчиститьПраваНесуществующихНаборовГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Процедура ОчиститьПраваНесуществующихНаборовГруппДоступа(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОчиститьПраваНесуществующихНаборовГруппДоступа(ПараметрыОбновления));
```
</details>

## УстаревшиеНаборыГруппДоступаВСправочнике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НаборыГруппДоступаДляОбновления.
Функция УстаревшиеНаборыГруппДоступаВСправочнике(ПараметрыОбновления, КоличествоВЗапросе) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.УстаревшиеНаборыГруппДоступаВСправочнике(ПараметрыОбновления, КоличествоВЗапросе));
```
</details>

## ДатаУстаревания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций УстаревшиеНаборыГруппДоступаВСправочнике, ЭлементыДляОбновления.
Функция ДатаУстаревания() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ДатаУстаревания());
```
</details>

## ОбработатьУстаревшиеНаборыВСправочнике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПорциюЭлементов.
Процедура ОбработатьУстаревшиеНаборыВСправочнике(ЭлементыДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьУстаревшиеНаборыВСправочнике(ЭлементыДанных, ПараметрыОбновления));
```
</details>

## УдалитьЗаписиРегистраДляНабора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УдалитьУстаревшиеНаборыВСправочнике, ОчиститьПраваНесуществующихНаборовГруппДоступа.
Процедура УдалитьЗаписиРегистраДляНабора(Набор, ИмяРегистраСведений, ИмяПоляНабора) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьЗаписиРегистраДляНабора(Набор, ИмяРегистраСведений, ИмяПоляНабора));
```
</details>

## ОбновитьПраваНаРазрешенныйКлючДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Процедура ОбновитьПраваНаРазрешенныйКлючДоступа(ЕстьИзменения = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьПраваНаРазрешенныйКлючДоступа(ЕстьИзменения);
```
</details>

## ОбновитьГруппыДоступаРазрешенногоКлючаДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваНаРазрешенныйКлючДоступа.
Процедура ОбновитьГруппыДоступаРазрешенногоКлючаДоступа(ГруппыДоступа = Неопределено, ЕстьИзменения = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьГруппыДоступаРазрешенногоКлючаДоступа(ГруппыДоступа, ЕстьИзменения);
```
</details>

## ТекстЗапросаВыбораРазличийГруппДоступаРазрешенногоКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьГруппыРазрешенногоКлючаДоступа.
Функция ТекстЗапросаВыбораРазличийГруппДоступаРазрешенногоКлюча() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаВыбораРазличийГруппДоступаРазрешенногоКлюча());
```
</details>

## УдалитьУстаревшиеЭлементыДанныхСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПорциюЭлементов.
Процедура УдалитьУстаревшиеЭлементыДанныхСписка(ЭлементыДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьУстаревшиеЭлементыДанныхСписка(ЭлементыДанных, ПараметрыОбновления));
```
</details>

## УдалитьУстаревшиеЭлементыДанныхСсылочногоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УдалитьУстаревшиеЭлементыДанныхСписка.
Процедура УдалитьУстаревшиеЭлементыДанныхСсылочногоТипа(ЭлементыДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьУстаревшиеЭлементыДанныхСсылочногоТипа(ЭлементыДанных, ПараметрыОбновления));
```
</details>

## УдалитьУстаревшиеЭлементыДанныхРегистров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УдалитьУстаревшиеЭлементыДанныхСписка.
Процедура УдалитьУстаревшиеЭлементыДанныхРегистров(ЭлементыДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьУстаревшиеЭлементыДанныхРегистров(ЭлементыДанных, ПараметрыОбновления));
```
</details>

## УдалитьОбъектыНедопустимыхТиповВРегистреКлючиДоступаКОбъектам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ВыполнитьОбновлениеДоступаСписка.
Процедура УдалитьОбъектыНедопустимыхТиповВРегистреКлючиДоступаКОбъектам() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьОбъектыНедопустимыхТиповВРегистреКлючиДоступаКОбъектам());
```
</details>

## ОбновитьЭлементыДанныхСпискаСУстаревшимиКлючами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПорциюЭлементов.
Процедура ОбновитьЭлементыДанныхСпискаСУстаревшимиКлючами(ЭлементыДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьЭлементыДанныхСпискаСУстаревшимиКлючами(ЭлементыДанных, ПараметрыОбновления));
```
</details>

## НекорректнаяКомбинацияЗначенийОпорныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ОбновитьЭлементыДанныхСпискаСУстаревшимиКлючами.
Функция НекорректнаяКомбинацияЗначенийОпорныхПолей(ЭлементДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НекорректнаяКомбинацияЗначенийОпорныхПолей(ЭлементДанных, ПараметрыОбновления));
```
</details>

## НедопустимаяКомбинацияЗначенийОпорныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ОбновитьЭлементыДанныхСпискаСУстаревшимиКлючами.
Функция НедопустимаяКомбинацияЗначенийОпорныхПолей(ЭлементДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НедопустимаяКомбинацияЗначенийОпорныхПолей(ЭлементДанных, ПараметрыОбновления));
```
</details>

## МодельОбъектовВПамяти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДоступРазрешен.
Функция МодельОбъектовВПамяти(ОписаниеДанных, ПараметрыОграничения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МодельОбъектовВПамяти(ОписаниеДанных, ПараметрыОграничения));
```
</details>

## ОбновитьКлючиДоступаПорцииЭлементовДанныхСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ОбновитьЭлементыДанныхСпискаСУстаревшимиКлючами, ОбновитьКлючиДоступаЭлементовДанныхПриЗаписи.
Процедура ОбновитьКлючиДоступаПорцииЭлементовДанныхСписка(ПорцияЭлементовДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьКлючиДоступаПорцииЭлементовДанныхСписка(ПорцияЭлементовДанных, ПараметрыОбновления));
```
</details>

## ОбновитьПраваНаКлючиДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьКлючиДоступаПорцииЭлементовДанныхСписка.
Процедура ОбновитьПраваНаКлючиДоступа(ОписаниеКлючей, ПараметрыОбновления, ЭтоНовыеКлючи = Ложь, Контекст = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьПраваНаКлючиДоступа(ОписаниеКлючей, ПараметрыОбновления, ЭтоНовыеКлючи, Контекст);
```
</details>

## ЗначенияТаблицыКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ТаблицаЗначений:
//    * Ссылка      - СправочникСсылка.КлючиДоступа
//    * НомерСтроки - Число - номер строки табличной части
//
Функция ЗначенияТаблицыКлюча() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗначенияТаблицыКлюча());
```
</details>

## СтрокаДляХешаКлючаДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьКлючиДоступаПорцииЭлементовДанныхСписка.
Функция СтрокаДляХешаКлючаДоступа(ОписаниеКлючейЗначений, ТаблицыКлюча) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтрокаДляХешаКлючаДоступа(ОписаниеКлючейЗначений, ТаблицыКлюча));
```
</details>

## ЗаписатьКлючиДоступаОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьКлючиДоступаПорцииЭлементовДанных.
Процедура ЗаписатьКлючиДоступаОбъектов(ПараметрыОбновления, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьКлючиДоступаОбъектов(ПараметрыОбновления, Контекст));
```
</details>

## ЗаписатьКлючиДоступаРегистров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьКлючиДоступаПорцииЭлементовДанных.
Процедура ЗаписатьКлючиДоступаРегистров(ПараметрыОбновления, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьКлючиДоступаРегистров(ПараметрыОбновления, Контекст));
```
</details>

## УдалитьНекорректныеКомбинацииЗначенийОпорныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ОбновитьЭлементыДанныхСпискаСУстаревшимиКлючами.
Процедура УдалитьНекорректныеКомбинацииЗначенийОпорныхПолей(ПорцияЭлементовДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьНекорректныеКомбинацииЗначенийОпорныхПолей(ПорцияЭлементовДанных, ПараметрыОбновления));
```
</details>

## КлючиЗначенийСтрокОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьКлючиДоступаПорцииЭлементовДанных.
Функция КлючиЗначенийСтрокОбъектов(РезультатыЗапроса, Индекс, ТаблицыКлюча, ЗначенияСтрокТаблиц = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КлючиЗначенийСтрокОбъектов(РезультатыЗапроса, Индекс, ТаблицыКлюча, ЗначенияСтрокТаблиц);
```
</details>

## СтрокаДанныхДляХеширования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции КлючиЗначенийСтрокОбъектов и др.
Функция СтрокаДанныхДляХеширования(Данные) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтрокаДанныхДляХеширования(Данные));
```
</details>

## ПроверитьТипЗначенийКлючаДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьКлючиДоступаПорцииЭлементовДанных.
Процедура ПроверитьТипЗначенийКлючаДоступа(ОписаниеКлюча, ДопустимыеТипыЗначений, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьТипЗначенийКлючаДоступа(ОписаниеКлюча, ДопустимыеТипыЗначений, ПараметрыОбновления));
```
</details>

## ПодготовитьНовыйКлючДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьКлючиДоступаПорцииЭлементовДанных.
Процедура ПодготовитьНовыйКлючДоступа(ОписаниеКлюча, ОписаниеНовыхКлючей, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПодготовитьНовыйКлючДоступа(ОписаниеКлюча, ОписаниеНовыхКлючей, ПараметрыОбновления));
```
</details>

## ОбновитьПраваПорцииКлючейДоступаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьПорциюЭлементов, ОбновитьПраваНаКлючиДоступа.
Процедура ОбновитьПраваПорцииКлючейДоступаСписка(ОписаниеКлючейДоступа, ПараметрыОбновления, ЭтоНовыеКлючи = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьПраваПорцииКлючейДоступаСписка(ОписаниеКлючейДоступа, ПараметрыОбновления, ЭтоНовыеКлючи);
```
</details>

## НовыеЗначенияТаблицКлючей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура из КлючИЗначение:
//   * Ключ - Строка - имя таблицы ключа
//   * Значение - ДеревоЗначений
//
Функция НовыеЗначенияТаблицКлючей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеЗначенияТаблицКлючей());
```
</details>

## НовыеЗначенияТаблицКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура из КлючИЗначение:
//   * Ключ - Строка - имя таблицы ключа
//   * Значение - см. НовыеЗначенияТаблицыКлюча
//
Функция НовыеЗначенияТаблицКлюча() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеЗначенияТаблицКлюча());
```
</details>

## НовыеЗначенияТаблицыКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   - КоллекцияСтрокДереваЗначений
//   - ТаблицаЗначений
//   - СтрокаДереваЗначений
//
Функция НовыеЗначенияТаблицыКлюча() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеЗначенияТаблицыКлюча());
```
</details>

## ОбработатьУстаревшиеКлючиДоступаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПорциюЭлементов.
Процедура ОбработатьУстаревшиеКлючиДоступаСписка(ЭлементыДанных, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьУстаревшиеКлючиДоступаСписка(ЭлементыДанных, ПараметрыОбновления));
```
</details>

## КэшРасчетаПравДляВидаПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваПорцииКлючейДоступаСписка.
//
// Возвращаемое значение:
//  Структура:
//   * ПраваГруппДоступаСписков - Соответствие из КлючИЗначение:
//      ** Ключ - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//              - СправочникСсылка.ИдентификаторыОбъектовРасширений - идентификатор списка
//      ** Значение - см. ПраваГруппДоступаСписка
//
//   * ЗначенияГруппДоступа                  - см. НовыеЗначенияГруппДоступа
//   * УчастникиГруппДоступа                 - см. НовыеУчастникиГруппДоступа
//   * ПользователиГруппПользователей        - см. НовыеПользователиГруппПользователей
//   * ГруппыПользователейГруппДоступа       - см. НовыеГруппыПользователейГруппДоступа
//   * ГруппыПользователейКакЗначенияДоступа - см. НовыеГруппыПользователейКакЗначенияДоступа
//   * РолиПрофилейГруппДоступа              - см. НовыеРолиПрофилейГруппДоступа
//   * ГруппыДоступаПрофилей                 - см. НовыеГруппыДоступаПрофилей
//
Функция КэшРасчетаПравДляВидаПользователей(ДляВнешнихПользователей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КэшРасчетаПравДляВидаПользователей(ДляВнешнихПользователей) 
```
</details>

## СброситьКэшРасчетаПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции КэшРасчетаПравДляВидаПользователей.
Процедура СброситьКэшРасчетаПрав(Кэш, Свойство, НовоеСоответствие = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СброситьКэшРасчетаПрав(Кэш, Свойство, НовоеСоответствие);
```
</details>

## ТекстЗапросаНазначенияПрофилей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗаполнитьПраваГруппДоступаСписка и
// ЗаполнитьУчастниковГруппДоступаСписка.
//
Функция ТекстЗапросаНазначенияПрофилей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаНазначенияПрофилей());
```
</details>

## НовыеПраваГруппДоступаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Права - ТаблицаЗначений
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//   * ГруппаДоступа - СправочникСсылка.ГруппыДоступа
//   * ПравоИзменение - Булево
//   * ПравоДобавление - Булево
//   * ПравоЧтениеБезОграничения - Булево
//   * ПравоИзменениеБезОграничения - Булево
//   * ПравоДобавлениеБезОграничения - Булево
//
Функция НовыеПраваГруппДоступаСписка(Права) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеПраваГруппДоступаСписка(Права));
```
</details>

## ЗаполнитьПраваГруппДоступаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваПорцииКлючейДоступаСписка.
Процедура ЗаполнитьПраваГруппДоступаСписка(ПараметрыОбновления, Кэш) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПраваГруппДоступаСписка(ПараметрыОбновления, Кэш));
```
</details>

## НовыеПользователиГруппПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - СправочникСсылка.ГруппыПользователей
//          - СправочникСсылка.ГруппыВнешнихПользователей
//          - СправочникСсылка.Пользователи
//         - СправочникСсылка.ВнешниеПользователи
//   * Значение - Соответствие из КлючИЗначение:
//      ** Ключ - СправочникСсылка.Пользователи
//             - СправочникСсылка.ВнешниеПользователи
//      ** Значение - Булево - Истина
//
Функция НовыеПользователиГруппПользователей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеПользователиГруппПользователей());
```
</details>

## ЗаполнитьПользователейГруппПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваПорцииКлючейДоступаСписка.
Процедура ЗаполнитьПользователейГруппПользователей(ПараметрыОбновления, Кэш) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПользователейГруппПользователей(ПараметрыОбновления, Кэш));
```
</details>

## НовыеГруппыПользователейКакЗначенияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - СправочникСсылка.ГруппыПользователей
//          - СправочникСсылка.ГруппыВнешнихПользователей
//   * Значение - Соответствие из КлючИЗначение:
//      ** Ключ - СправочникСсылка.Пользователи
//              - СправочникСсылка.ВнешниеПользователи
//      ** Значение - Булево - Истина
//
Функция НовыеГруппыПользователейКакЗначенияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеГруппыПользователейКакЗначенияДоступа());
```
</details>

## ЗаполнитьГруппыПользователейКакЗначенияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваПорцииКлючейДоступаСписка.
Процедура ЗаполнитьГруппыПользователейКакЗначенияДоступа(ПараметрыОбновления, Кэш) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьГруппыПользователейКакЗначенияДоступа(ПараметрыОбновления, Кэш));
```
</details>

## НовыеУчастникиГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - СправочникСсылка.ГруппыДоступа
//   * Значение - Соответствие из КлючИЗначение:
//      ** Ключ - СправочникСсылка.Пользователи
//              - СправочникСсылка.ГруппыПользователей
//              - СправочникСсылка.ВнешниеПользователи
//              - СправочникСсылка.ГруппыВнешнихПользователей
//      ** Значение - Булево - Истина
//
Функция НовыеУчастникиГруппДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеУчастникиГруппДоступа());
```
</details>

## НовыеГруппыПользователейГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - СправочникСсылка.ГруппыДоступа
//   * Значение - Соответствие из КлючИЗначение:
//      ** Ключ - СправочникСсылка.ГруппыПользователей
//              - СправочникСсылка.ГруппыВнешнихПользователей
//      ** Значение - Соответствие из КлючИЗначение:
//          *** Ключ - СправочникСсылка.Пользователи
//                   - СправочникСсылка.ВнешниеПользователи
//          *** Значение - Булево - Истина
//
Функция НовыеГруппыПользователейГруппДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеГруппыПользователейГруппДоступа());
```
</details>

## ЗаполнитьУчастниковГруппДоступаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваПорцииКлючейДоступаСписка.
Процедура ЗаполнитьУчастниковГруппДоступаСписка(ПараметрыОбновления, Кэш) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьУчастниковГруппДоступаСписка(ПараметрыОбновления, Кэш));
```
</details>

## ЗаполнитьПользователейГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗаполнитьПользователейГруппПользователей и
// ЗаполнитьГруппыПользователейКакЗначенияДоступа.
//
Процедура ЗаполнитьПользователейГрупп(ПользователиГруппПользователей, РезультатЗапроса) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПользователейГрупп(ПользователиГруппПользователей, РезультатЗапроса));
```
</details>

## НовыеЗначенияГруппыДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Тип - тип значений доступа
//   * Значение - Структура:
//      ** ВсеРазрешены - Булево
//      ** Значения - Соответствие из КлючИЗначение:
//          *** Ключ - ОпределяемыйТип.ЗначениеДоступа
//          *** Значение - Булево - Истина
//
Функция НовыеЗначенияГруппыДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеЗначенияГруппыДоступа());
```
</details>

## НовыеЗначенияГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - СправочникСсылка.ГруппыДоступа
//   * Значение - см. НовыеЗначенияГруппыДоступа
//
Функция НовыеЗначенияГруппДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеЗначенияГруппДоступа());
```
</details>

## ЗаполнитьЗначенияГруппДоступаДляРасчетаПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваПорцииКлючейДоступаСписка.
Процедура ЗаполнитьЗначенияГруппДоступаДляРасчетаПрав(ПараметрыОбновления, Кэш) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьЗначенияГруппДоступаДляРасчетаПрав(ПараметрыОбновления, Кэш));
```
</details>

## НовыеРолиПрофилейГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ТаблицаЗначений:
//   * Профиль - СправочникСсылка.ПрофилиГруппДоступа
//   * Роль    - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//            - СправочникСсылка.ИдентификаторыОбъектовРасширений
//   * ИмяРоли - Строка
//   * ИмяРолиВерхнийРегистр - Строка
//
Функция НовыеРолиПрофилейГруппДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеРолиПрофилейГруппДоступа());
```
</details>

## НовыеГруппыДоступаПрофилей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ТаблицаЗначений:
//   * Профиль       - СправочникСсылка.ПрофилиГруппДоступа
//   * ГруппаДоступа - СправочникСсылка.ГруппыДоступа
//
Функция НовыеГруппыДоступаПрофилей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеГруппыДоступаПрофилей());
```
</details>

## ЗаполнитьРолиИГруппыДоступаПрофилей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваПорцииКлючейДоступаСписка.
Процедура ЗаполнитьРолиИГруппыДоступаПрофилей(ПараметрыОбновления, Кэш) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьРолиИГруппыДоступаПрофилей(ПараметрыОбновления, Кэш));
```
</details>

## НовыеПраваНаСпискиВедущихКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//   * Ключ - СправочникСсылка.КлючиДоступа
//   * Значение - ФиксированнаяСтруктура:
//      ** ОграничениеЧтенияОтключено - Булево
//      ** ОграничениеОтключено - Булево
//      ** ПоГруппамДоступа - ФиксированноеСоответствие из КлючИЗначение:
//          *** Ключ - СправочникСсылка.ГруппыДоступа
//          *** Значение - Булево - право изменение
//
Функция НовыеПраваНаСпискиВедущихКлючейДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеПраваНаСпискиВедущихКлючейДоступа());
```
</details>

## НовыеПраваНаВедущиеКлючиДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//   * Ключ - СправочникСсылка.КлючиДоступа
//   * Значение - ФиксированноеСоответствие из КлючИЗначение:
//      ** Ключ - СправочникСсылка.ГруппыДоступа
//              - СправочникСсылка.ГруппыПользователей
//              - СправочникСсылка.ГруппыВнешнихПользователей
//      ** Значение - Булево - право изменение
//
Функция НовыеПраваНаВедущиеКлючиДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеПраваНаВедущиеКлючиДоступа());
```
</details>

## НовыеПраваНаВедущиеСписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//   * Ключ - СправочникСсылка.ИдентификаторыОбъектовМетаданных
//          - СправочникСсылка.ИдентификаторыОбъектовРасширений - идентификатор списка
//          - Тип - тип значений списка
//   * Значение - ФиксированноеСоответствие из КлючИЗначение:
//      ** Ключ - СправочникСсылка.ГруппыДоступа
//              - СправочникСсылка.ГруппыПользователей
//              - СправочникСсылка.ГруппыВнешнихПользователей
//      ** Значение - Булево - право изменение
//
Функция НовыеПраваНаВедущиеСписки() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеПраваНаВедущиеСписки());
```
</details>

## ЗаполнитьПраваНаВедущиеКлючиДоступаИВедущиеСписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваПорцииКлючейДоступаСписка.
Процедура ЗаполнитьПраваНаВедущиеКлючиДоступаИВедущиеСписки(РезультатыЗапроса, НомерТаблицы, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПраваНаВедущиеКлючиДоступаИВедущиеСписки(РезультатыЗапроса, НомерТаблицы, ПараметрыОбновления));
```
</details>

## НовыеПраваПоВладельцамНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//   * Ключ    - ОпределяемыйТип.ВладелецНастроекПрав
//   * Значение - ФиксированноеСоответствие из КлючИЗначение:
//      ** Ключ - СправочникСсылка.Пользователи
//              - СправочникСсылка.ГруппыПользователей
//              - СправочникСсылка.ВнешниеПользователи
//              - СправочникСсылка.ГруппыВнешнихПользователей
//      ** Значение - Булево - право изменение
//
Функция НовыеПраваПоВладельцамНастроекПрав() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеПраваПоВладельцамНастроекПрав());
```
</details>

## ЗаполнитьПраваПоВладельцамНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваПорцииКлючейДоступаСписка.
Процедура ЗаполнитьПраваПоВладельцамНастроекПрав(РезультатыЗапроса, НомерТаблицы, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПраваПоВладельцамНастроекПрав(РезультатыЗапроса, НомерТаблицы, ПараметрыОбновления));
```
</details>

## НовыйКонтекстРасчетаПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//   * ЗначенияТаблицКлюча - см. НовыеЗначенияТаблицКлюча
//   * БезЗаписиПраваЧтение - Булево
//   * РеквизитыТаблицКлюча                  - см. НовыеРеквизитыТаблицКлюча
//   * УчастникиГруппДоступа                 - см. НовыеУчастникиГруппДоступа
//   * ГруппыПользователейГруппДоступа       - см. НовыеГруппыПользователейГруппДоступа
//   * ГруппыПользователейКакЗначенияДоступа - см. НовыеГруппыПользователейКакЗначенияДоступа
//   * ПользователиГруппПользователей        - см. НовыеПользователиГруппПользователей
//   * ПраваНаСпискиВедущихКлючейДоступа     - см. НовыеПраваНаСпискиВедущихКлючейДоступа
//   * ПраваНаВедущиеКлючиДоступа            - см. НовыеПраваНаВедущиеКлючиДоступа
//   * ПраваНаВедущиеСписки                  - см. НовыеПраваНаВедущиеСписки
//   * ПраваПоВладельцамНастроекПрав         - см. НовыеПраваПоВладельцамНастроекПрав
//   * ТипГруппыДоступа - Тип
//   * ПустаяГруппаДоступа - СправочникСсылка.ГруппыДоступа
//   * ТипПользователя - Тип
//   * ТипГруппыПользователей - Тип
//   * ТипыВладельцевНастроекПрав - ФиксированноеСоответствие
//   * ПраваРолейФункцииПравоДоступа - Соответствие
//   * ОбъектыМетаданныхФункцииПравоДоступа - Соответствие
//   * ПраваПрофилейФункцииПравоДоступа - Соответствие
//   * РолиПрофилейГруппДоступа - см. РолиПрофилейГруппДоступа
//   * ГруппыДоступаПрофилей - см. ГруппыДоступаПрофилей
//   * ГруппаДоступа - СправочникСсылка.ГруппыДоступа - текущее значение
//   * ЗначенияГруппыДоступа - см. НовыеЗначенияГруппыДоступа
//   * ОписанияТребуемыхТаблицКлюча - Массив из Структура:
//      ** РеквизитыТаблиц    - Соответствие из КлючИЗначение:
//          *** Ключ     - Строка - имя таблицы ключа
//          *** Значение - Массив из Строка - имя реквизита таблицы ключа
//      ** ЗначенияТаблиц     - см. ТекущиеЗначенияТаблицКлюча
//      ** ИндексыСтрокТаблиц - Соответствие
//   * ТекущиеСтрокиТаблицКлюча - см. НовыеЗначенияТаблицКлюча
//
Функция НовыйКонтекстРасчетаПрав() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйКонтекстРасчетаПрав());
```
</details>

## ПраваНаКлючДоступаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваНаКлючиДоступаСписка.
Функция ПраваНаКлючДоступаСписка(ЗначенияТаблицКлюча, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПраваНаКлючДоступаСписка(ЗначенияТаблицКлюча, ПараметрыОбновления));
```
</details>

## ДобавитьПраваПользователейНаКлючДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПраваНаКлючДоступаСписка.
Процедура ДобавитьПраваПользователейНаКлючДоступа(ПраваНаКлюч, ПравоЧтение, ПравоИзменение, ПравоДобавление, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПраваПользователейНаКлючДоступа(ПраваНаКлюч, ПравоЧтение, ПравоИзменение, ПравоДобавление, Контекст));
```
</details>

## НовыеПрава
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ПравоИзменение  - Булево
//     * ПравоДобавление - Булево
//
Функция НовыеПрава(ПравоИзменение, ПравоДобавление) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеПрава(ПравоИзменение, ПравоДобавление));
```
</details>

## ДобавитьПользователямПраваНаКлючДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьПраваПользователейНаКлючДоступа.
Процедура ДобавитьПользователямПраваНаКлючДоступа(ПраваНаКлючДляПользователей, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПользователямПраваНаКлючДоступа(ПраваНаКлючДляПользователей, );
```
</details>

## РассчитанноеУсловиеДляСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ПраваНаКлючДоступаСписка и РассчитанноеУсловие.
Функция РассчитанноеУсловиеДляСтрок(Контекст, Условие, УзелРеквизитов = Неопределено, ДляЛюбойИзСтрок = Истина, КорневойУзел = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РассчитанноеУсловиеДляСтрок(Контекст, Условие, УзелРеквизитов, ДляЛюбойИзСтрок, КорневойУзел);
```
</details>

## ДобавитьТекущийРезультат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РассчитанноеУсловиеДляСтрок.
Процедура ДобавитьТекущийРезультат(Результат, ТекущийРезультат, ДляЛюбойИзСтрок, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТекущийРезультат(Результат, ТекущийРезультат, ДляЛюбойИзСтрок, Контекст));
```
</details>

## ПользователиГрупп
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекущийРезультат и УстановитьОбратныйРезультат.
Функция ПользователиГрупп(ПользователиИГруппы, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПользователиГрупп(ПользователиИГруппы, Контекст));
```
</details>

## УстановитьОбратныйРезультат
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РассчитанноеУсловие.
Процедура УстановитьОбратныйРезультат(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьОбратныйРезультат(Результат, Контекст));
```
</details>

## ТекущиеЗначенияТаблицКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РассчитанноеУсловиеДляСтрок.
//
// Возвращаемое значение:
//  Структура из КлючИЗначение:
//   * Ключ - Строка - имя таблицы ключа
//   * Значение - см. ЗначенияТаблицыКлюча
//
Функция ТекущиеЗначенияТаблицКлюча(Контекст, ТребуемыеРеквизитыТабличныхЧастейКлюча) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекущиеЗначенияТаблицКлюча(Контекст, ТребуемыеРеквизитыТабличныхЧастейКлюча));
```
</details>

## РассчитанноеУсловие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РассчитанноеУсловиеДляСтрок.
Функция РассчитанноеУсловие(Контекст, Условие, КорневойУзел = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РассчитанноеУсловие(Контекст, Условие, КорневойУзел);
```
</details>

## ЗначениеУказаноВГруппеПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РассчитанноеУсловие.
Функция ЗначениеУказаноВГруппеПользователей(Пользователь, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗначениеУказаноВГруппеПользователей(Пользователь, Контекст));
```
</details>

## ЗаполнитьРезультатДляПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РассчитанноеУсловие.
Процедура ЗаполнитьРезультатДляПользователя(Результат, Пользователь, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьРезультатДляПользователя(Результат, Пользователь, Контекст));
```
</details>

## ЗаполнитьРезультатДляГруппыПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РассчитанноеУсловие.
Процедура ЗаполнитьРезультатДляГруппыПользователей(Результат, ГруппаПользователей, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьРезультатДляГруппыПользователей(Результат, ГруппаПользователей, Контекст));
```
</details>

## ЕстьПравоДоступаВРоляхПрофиляГруппыДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РассчитанноеУсловие.
Функция ЕстьПравоДоступаВРоляхПрофиляГруппыДоступа(Условие, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЕстьПравоДоступаВРоляхПрофиляГруппыДоступа(Условие, Контекст));
```
</details>

## ЕстьРольВПрофилеГруппыДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РассчитанноеУсловие.
Функция ЕстьРольВПрофилеГруппыДоступа(Условие, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЕстьРольВПрофилеГруппыДоступа(Условие, Контекст));
```
</details>

## ОбновитьПраваНаКлючДоступаСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваПорцииКлючейДоступаСписка.
Процедура ОбновитьПраваНаКлючДоступаСписка(КлючДоступа, ПраваНаКлюч, ОписаниеНовыхКлючей, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьПраваНаКлючДоступаСписка(КлючДоступа, ПраваНаКлюч, ОписаниеНовыхКлючей, ПараметрыОбновления));
```
</details>

## ТекстЗапросаВыбораРазличийПроизводныхПравДляГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьПраваНаКлючДоступаСписка, ОбновитьГруппыДоступаРазрешенногоКлючаДоступа.
Функция ТекстЗапросаВыбораРазличийПроизводныхПравДляГруппДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаВыбораРазличийПроизводныхПравДляГруппДоступа());
```
</details>

## ТекстЗапросаВыбораРазличийПроизводныхПравДляПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьПраваНаКлючДоступаСписка.
Функция ТекстЗапросаВыбораРазличийПроизводныхПравДляПользователей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаВыбораРазличийПроизводныхПравДляПользователей());
```
</details>

## ТекстЗапросаВыбораРазличийПроизводныхПравДляВнешнихПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьПраваНаКлючДоступаСписка.
Функция ТекстЗапросаВыбораРазличийПроизводныхПравДляВнешнихПользователей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаВыбораРазличийПроизводныхПравДляВнешнихПользователей());
```
</details>

## НовыйКлючДоступаУжеСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваНаКлючДоступаСписка.
Функция НовыйКлючДоступаУжеСуществует(ОписаниеНовыхКлючей, ОписаниеНовогоКлюча, ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйКлючДоступаУжеСуществует(ОписаниеНовыхКлючей, ОписаниеНовогоКлюча, ПараметрыОбновления));
```
</details>

## ОбновитьИсходныеПраваГруппНаКлючДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваНаКлючДоступаСписка.
Процедура ОбновитьИсходныеПраваГруппНаКлючДоступа(РезультатЗапроса, НаборЗаписей, ИмяПоляВладельцаПрав, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьИсходныеПраваГруппНаКлючДоступа(РезультатЗапроса, НаборЗаписей, ИмяПоляВладельцаПрав, );
```
</details>

## ОбновитьИсходныеПраваПользователейНаКлючДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваНаКлючДоступаСписка.
Процедура ОбновитьИсходныеПраваПользователейНаКлючДоступа(РезультатЗапроса, НаборЗаписей, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьИсходныеПраваПользователейНаКлючДоступа(РезультатЗапроса, НаборЗаписей, );
```
</details>

## ОбновитьПроизводныеПраваНаКлючДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьПраваНаКлючДоступаСписка.
Процедура ОбновитьПроизводныеПраваНаКлючДоступа(РезультатЗапроса, НаборЗаписей, ИмяПоляВладельцаПрав, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьПроизводныеПраваНаКлючДоступа(РезультатЗапроса, НаборЗаписей, ИмяПоляВладельцаПрав, );
```
</details>

## СлужебныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает служебный элемент справочника, который не участвует в подписках на события.
Функция СлужебныйЭлемент(МенеджерСправочника, Ссылка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СлужебныйЭлемент(МенеджерСправочника, Ссылка);
```
</details>

## СлужебныйНаборЗаписей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает набор записей служебного регистра, который не участвует в подписках на события.
Функция СлужебныйНаборЗаписей(МенеджерРегистра) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СлужебныйНаборЗаписей(МенеджерРегистра));
```
</details>

## СлужебныйМенеджерЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает менеджер значения служебной константы, которая не участвует в подписках на события.
Функция СлужебныйМенеджерЗначения(МенеджерКонстанты) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СлужебныйМенеджерЗначения(МенеджерКонстанты));
```
</details>

## ЗарегистрироватьПланированиеОбновленияДоступаВЖурнале
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗарегистрироватьПланированиеОбновленияДоступа.
Процедура ЗарегистрироватьПланированиеОбновленияДоступаВЖурнале(Списки, ПараметрыПланирования) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗарегистрироватьПланированиеОбновленияДоступаВЖурнале(Списки, ПараметрыПланирования));
```
</details>

## ОписаниеУказателяВедущегоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗарегистрироватьПланированиеОбновленияДоступаВЖурнале.
Функция ОписаниеУказателяВедущегоОбъекта(Указатель, ПараметрыПланирования) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеУказателяВедущегоОбъекта(Указатель, ПараметрыПланирования));
```
</details>

## ЗарегистрироватьПланированиеОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для вызова из мест планирования обновления доступа.
Процедура ЗарегистрироватьПланированиеОбновленияДоступа(СпискиПоИдентификаторам, ПараметрыПланирования, ВсеСписки = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗарегистрироватьПланированиеОбновленияДоступа(СпискиПоИдентификаторам, ПараметрыПланирования, ВсеСписки);
```
</details>

## ПолноеИмяСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗарегистрироватьПланированиеОбновленияДоступа.
Функция ПолноеИмяСписка(ОписаниеСписка) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПолноеИмяСписка(ОписаниеСписка));
```
</details>

## ДобавитьЗависимыеСписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УправлениеДоступом.ОтключитьОбновлениеКлючейДоступа.
//
// Параметры:
//   Списки - Массив
//   ДобавленныеСписки - Соответствие
//   НедоступныеСписки - Массив - возвращаемое значение.
//
Процедура ДобавитьЗависимыеСписки(Списки, ДобавленныеСписки, НедоступныеСписки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗависимыеСписки(Списки, ДобавленныеСписки, НедоступныеСписки) 
```
</details>

## ОписаниеОграниченийДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОписаниеОграниченийДанных() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеОграниченийДанных() 
```
</details>

## КоличествоЧасовУстареванияНеиспользуемыхЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоЧасовУстареванияНеиспользуемыхЭлементов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КоличествоЧасовУстареванияНеиспользуемыхЭлементов());
```
</details>

## КоличествоЧасовМеждуПланированиемОбработкиУстаревшихЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоЧасовМеждуПланированиемОбработкиУстаревшихЭлементов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КоличествоЧасовМеждуПланированиемОбработкиУстаревшихЭлементов());
```
</details>

## МаксимальноеКоличествоМинутВыполненияФоновогоЗаданияОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксимальноеКоличествоМинутВыполненияФоновогоЗаданияОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МаксимальноеКоличествоМинутВыполненияФоновогоЗаданияОбновленияДоступа());
```
</details>

## МаксимальноеКоличествоСекундОжиданияВыполненияОдногоЗаданияВПотоке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксимальноеКоличествоСекундОжиданияВыполненияОдногоЗаданияВПотоке() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МаксимальноеКоличествоСекундОжиданияВыполненияОдногоЗаданияВПотоке() 
```
</details>

## МинимальноеКоличествоСекундОбработкиПорцииВОтдельномПотоке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МинимальноеКоличествоСекундОбработкиПорцииВОтдельномПотоке() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МинимальноеКоличествоСекундОбработкиПорцииВОтдельномПотоке());
```
</details>

## МинимальноеКоличествоСекундВыполненияТочечногоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МинимальноеКоличествоСекундВыполненияТочечногоЗадания() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МинимальноеКоличествоСекундВыполненияТочечногоЗадания());
```
</details>

## ЗагружатьСвободныеПотокиСледующимиЗаданиямиПриДлительныхЗапросах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗагружатьСвободныеПотокиСледующимиЗаданиямиПриДлительныхЗапросах() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗагружатьСвободныеПотокиСледующимиЗаданиямиПриДлительныхЗапросах());
```
</details>

## МаксимальныйПериодПолученияПорцийЗапросом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксимальныйПериодПолученияПорцийЗапросом() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МаксимальныйПериодПолученияПорцийЗапросом());
```
</details>

## ЗапускатьОбновлениеПолученныхПорцийПриПолученииНовыхПорций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗапускатьОбновлениеПолученныхПорцийПриПолученииНовыхПорций() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗапускатьОбновлениеПолученныхПорцийПриПолученииНовыхПорций());
```
</details>

## МаксимальноеКоличествоСекундБыстрогоПолученияПорцийЭлементовДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксимальноеКоличествоСекундБыстрогоПолученияПорцийЭлементовДанных() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МаксимальноеКоличествоСекундБыстрогоПолученияПорцийЭлементовДанных());
```
</details>

## КоличествоЭлементовДанныхВЗапросе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоЭлементовДанныхВЗапросе() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КоличествоЭлементовДанныхВЗапросе());
```
</details>

## КоличествоЭлементовДанныхВПорции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоЭлементовДанныхВПорции() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КоличествоЭлементовДанныхВПорции());
```
</details>

## КоличествоКлючейДоступаВЗапросе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоКлючейДоступаВЗапросе() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КоличествоКлючейДоступаВЗапросе());
```
</details>

## КоличествоКлючейДоступаВПорции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоКлючейДоступаВПорции() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КоличествоКлючейДоступаВПорции());
```
</details>

## ЗаписыватьТолькоИзмененныеКлючиДоступаЭлементовДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписыватьТолькоИзмененныеКлючиДоступаЭлементовДанных() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗаписыватьТолькоИзмененныеКлючиДоступаЭлементовДанных());
```
</details>

## МаксимальноеКоличествоКомбинацийЗначенийВедущихПолейПриВычисленииСоставаИзмененных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксимальноеКоличествоКомбинацийЗначенийВедущихПолейПриВычисленииСоставаИзмененных() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МаксимальноеКоличествоКомбинацийЗначенийВедущихПолейПриВычисленииСоставаИзмененных());
```
</details>

## КоличествоСекундПередОтключениемРегламентногоЗаданияПослеПолногоЗавершенияОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоСекундПередОтключениемРегламентногоЗаданияПослеПолногоЗавершенияОбновления() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КоличествоСекундПередОтключениемРегламентногоЗаданияПослеПолногоЗавершенияОбновления());
```
</details>

## ЗапускатьОбновлениеДоступаДляУскоренияТолькоТочечныхЗаданий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗапускатьОбновлениеДоступаДляУскоренияТолькоТочечныхЗаданий(ПроверкаПриЗапуске) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗапускатьОбновлениеДоступаДляУскоренияТолькоТочечныхЗаданий(ПроверкаПриЗапуске));
```
</details>

## РегистрироватьПоказателиОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РегистрироватьПоказателиОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РегистрироватьПоказателиОбновленияДоступа());
```
</details>

## РегистрироватьПоказателиПланированияОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РегистрироватьПоказателиПланированияОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РегистрироватьПоказателиПланированияОбновленияДоступа());
```
</details>

## РегистрироватьСтрокуВерсииПараметровОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РегистрироватьСтрокуВерсииПараметровОграниченияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РегистрироватьСтрокуВерсииПараметровОграниченияДоступа());
```
</details>

## ПередБлокировкойДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередБлокировкойДанных(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередБлокировкойДанных(ПараметрыОбновления));
```
</details>

## ПослеБлокировкиДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеБлокировкиДанных(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПослеБлокировкиДанных(ПараметрыОбновления));
```
</details>

## ПередЗапросомТекущихКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗапросомТекущихКлючейДоступа(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередЗапросомТекущихКлючейДоступа(ПараметрыОбновления));
```
</details>

## ПослеЗапросаТекущихКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗапросаТекущихКлючейДоступа(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПослеЗапросаТекущихКлючейДоступа(ПараметрыОбновления));
```
</details>

## ПередЗаписьюСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюСтрок(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередЗаписьюСтрок(ПараметрыОбновления));
```
</details>

## ПослеЗаписиСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиСтрок(ПараметрыОбновления, КоличествоЗаписанных) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПослеЗаписиСтрок(ПараметрыОбновления, КоличествоЗаписанных));
```
</details>

## ПередФиксациейТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередФиксациейТранзакции(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередФиксациейТранзакции(ПараметрыОбновления));
```
</details>

## ПослеФиксацииТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеФиксацииТранзакции(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПослеФиксацииТранзакции(ПараметрыОбновления));
```
</details>

## ПередПланированиемОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередПланированиемОбновления(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередПланированиемОбновления(ПараметрыОбновления));
```
</details>

## ПослеПланированияОбновления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеПланированияОбновления(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПослеПланированияОбновления(ПараметрыОбновления));
```
</details>

## ПередЗаписьюНовогоКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗаписьюНовогоКлюча(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередЗаписьюНовогоКлюча(ПараметрыОбновления));
```
</details>

## ПослеЗаписиНовогоКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗаписиНовогоКлюча(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПослеЗаписиНовогоКлюча(ПараметрыОбновления));
```
</details>

## ПередЗапросомПравГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗапросомПравГруппДоступа(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередЗапросомПравГруппДоступа(ПараметрыОбновления));
```
</details>

## ПослеЗапросаПравГруппДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗапросаПравГруппДоступа(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПослеЗапросаПравГруппДоступа(ПараметрыОбновления));
```
</details>

## ПередЗапросомИзмененийПроизводныхПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗапросомИзмененийПроизводныхПрав(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередЗапросомИзмененийПроизводныхПрав(ПараметрыОбновления));
```
</details>

## ПослеЗапросаИзмененийПроизводныхПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗапросаИзмененийПроизводныхПрав(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПослеЗапросаИзмененийПроизводныхПрав(ПараметрыОбновления));
```
</details>

## ПередЗапросомПравПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередЗапросомПравПользователей(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередЗапросомПравПользователей(ПараметрыОбновления));
```
</details>

## ПослеЗапросаПравПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПослеЗапросаПравПользователей(ПараметрыОбновления) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПослеЗапросаПравПользователей(ПараметрыОбновления));
```
</details>

## ПередИзменениемПараметровСеансаДляШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПередИзменениемПараметровСеансаДляШаблонов(НовыеЗначения, ЭтоУстановка) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПередИзменениемПараметровСеансаДляШаблонов(НовыеЗначения, ЭтоУстановка));
```
</details>

## ПриОшибкеПроверкиАктуальностиМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриОшибкеПроверкиАктуальностиМетаданных(ТекстОшибки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПриОшибкеПроверкиАктуальностиМетаданных(ТекстОшибки));
```
</details>

## СвойстваСпискаКакВедущего
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Основная функция, возвращающая параметры, необходимые для регистрации
// необходимости обновления ключей доступа к элементам данных.
//
// Параметры:
//  ПолноеИмя               - Строка - полное имя списка
//  ИдентификаторТранзакции - УникальныйИдентификатор
//  ПовторныйВызов          - Булево - только при вызове из самой же функции
//
// Возвращаемое значение:
//  Структура:
//   * ЗависимыеСписки      - Соответствие из КлючИЗначение:
//      ** Ключ     - Строка - полное имя списка.
//      ** Значение - Булево - Истина.
//   * ПоЗначениямПолей     - см. ВедущийСписокПоЗначениямПолей
//   * ПоКлючамДоступа      - см. ВедущийСписокПоКлючамДоступаИлиЗначениямСГруппами
//   * ПоЗначениямСГруппами - см. ВедущийСписокПоКлючамДоступаИлиЗначениямСГруппами
//
Функция СвойстваСпискаКакВедущего(ПолноеИмя, ИдентификаторТранзакции = Неопределено, ПовторныйВызов = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваСпискаКакВедущего(ПолноеИмя, ИдентификаторТранзакции, ПовторныйВызов);
```
</details>

## НовыйКэшПараметровОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//   * ВедущиеСпискиПроверенные - Соответствие из КлючИЗначение:
//       ** Ключ     - Строка - полное имя списка
//       ** Значение - см. УправлениеДоступомСлужебный.СвойстваСпискаКакВедущего
//   * ОграниченияСписков - Соответствие из КлючИЗначение:
//       ** Ключ     - Строка - полное имя списка
//       ** Значение - см. УправлениеДоступомСлужебный.РассчитанныеПараметрыОграничения
//   * ИдентификаторыТранзакции - Соответствие из КлючИЗначение:
//       ** Ключ     - УникальныйИдентификатор - произвольный УИД.
//       ** Значение - Булево - значение Истина.
//   * ВидыОграниченийПравДляПользователей        - Неопределено
//                                                - Строка
//   * ВидыОграниченийПравДляВнешнихПользователей - Неопределено
//                                                - Строка
//
Функция НовыйКэшПараметровОграничения() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйКэшПараметровОграничения() 
```
</details>

## КэшПараметровОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СвойстваСпискаКакВедущего и процедур ЗаполнитьПараметрыОграничения,
// ОбновитьИдентификаторыТранзакции, УстановитьВерсиюПараметров.
//
Функция КэшПараметровОграничения() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КэшПараметровОграничения());
```
</details>

## СброситьКэшПараметровОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СброситьКэшПараметровОграничения() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СброситьКэшПараметровОграничения());
```
</details>

## ЗаполнитьТекстЗапросаСтарыхЗначенийДляПроверкиИзмененияПолейВедущегоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СвойстваСпискаКакВедущего.
Процедура ЗаполнитьТекстЗапросаСтарыхЗначенийДляПроверкиИзмененияПолейВедущегоСписка(ПолноеИмя, Свойства, Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьТекстЗапросаСтарыхЗначенийДляПроверкиИзмененияПолейВедущегоСписка(ПолноеИмя, Свойства, Отказ));
```
</details>

## ЗаполнитьПоляВыбораТекущейТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьТекстЗапросаСтарыхЗначенийДляПроверкиИзмененияПолейВедущегоСписка.
Процедура ЗаполнитьПоляВыбораТекущейТаблицы(ТекстЗапроса, ПолноеИмя, ОписаниеПолей, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПоляВыбораТекущейТаблицы(ТекстЗапроса, ПолноеИмя, ОписаниеПолей, );
```
</details>

## ПолеСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьПоляВыбораТекущейТаблицы.
Функция ПолеСуществует(Коллекция, ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПолеСуществует(Коллекция, ИмяПоля));
```
</details>

## ПараметрыОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Основная функция, возвращающая параметры, необходимые для проверки прав в момент записи элементов данных.
//
// Возвращаемое значение:
//   см. ПараметрыОграниченияПоСтруктуреОграничения
//
Функция ПараметрыОграничения(ПолноеИмя, ИдентификаторТранзакции = Неопределено, ДляВнешнихПользователей = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПараметрыОграничения(ПолноеИмя, ИдентификаторТранзакции, ДляВнешнихПользователей);
```
</details>

## ЗаполнитьПараметрыОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СвойстваСпискаКакВедущего, ПараметрыОграничения.
Процедура ЗаполнитьПараметрыОграничения(ПолноеИмя, ИдентификаторТранзакции, Параметры, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПараметрыОграничения(ПолноеИмя, ИдентификаторТранзакции, Параметры, );
```
</details>

## ОбщийКонтекстРасчетаПараметровОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьПараметрыОграничения и функций
// ХранимыеПараметрыОграниченияДоступа, ОшибкиОграниченийДоступа.
//
// Возвращаемое значение:
//  Структура:
//    * СвойстваВидовДоступа         - см. СвойстваВидовДоступа
//    * ТипыПользователя             - Массив из Тип
//    * ТипыВладельцевНастроекПрав   - ФиксированноеСоответствие
//    * ОтдельныеТаблицыНастроекПрав - ФиксированноеСоответствие
//    * ВнешниеПользователиВключены  - Булево
//    * ИспользуемыеТипыЗначений     - см. ИспользуемыеТипыЗначений
//    * СпискиСОграничением          - см. УправлениеДоступомСлужебныйПовтИсп.СпискиСОграничением
//
Функция ОбщийКонтекстРасчетаПараметровОграничения(ПолноеИмя = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбщийКонтекстРасчетаПараметровОграничения(ПолноеИмя, );
```
</details>

## ИспользуемыеТипыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ОбщийКонтекстРасчетаПараметровОграничения и ИспользованиеВидовДоступаИзменено.
//
// Параметры:
//  СвойстваВидовДоступа - см. СвойстваВидовДоступа
//  ПолноеИмя - Строка
//  ВсеВидыДоступаИспользуются - Неопределено
//                             - Булево
//  ТолькоХешСумма             - Булево
//
// Возвращаемое значение:
//   Структура:
//     * ДляИБ - Соответствие из КлючИЗначение:
//         ** Ключ - Тип
//         ** Значение - Булево - Истина
//     * ПоТаблицам - Соответствие из КлючИЗначение:
//         ** Ключ - Строка - полное имя объекта метаданных
//         ** Значение - Соответствие из КлючИЗначение:
//              *** Ключ - Тип
//              *** Значение - Булево - Истина
//     * ХешСумма - Строка - контрольная сумма настроек использования ДляИБ и ПоТаблицам.
//     * ПолноеИмяТаблицы - Строка - полное имя таблицы, когда свойство ПоТаблицам
//                                   заполнено только для одной таблицы.
//                        - Неопределено - когда свойство ПоТаблицам не заполнялось (ВсеВидыДоступаИспользуются = Истина).
//
Функция ИспользуемыеТипыЗначений(СвойстваВидовДоступа, ПолноеИмя = Неопределено, ВсеВидыДоступаИспользуются = Неопределено, ТолькоХешСумма = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИспользуемыеТипыЗначений(СвойстваВидовДоступа, ПолноеИмя, ВсеВидыДоступаИспользуются, ТолькоХешСумма);
```
</details>

## РассчитанныеПараметрыОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьПараметрыОграниченияСписка.
//
// Возвращаемое значение:
//  Структура:
//   * Версия - Строка
//   * ВедущиеСписки - Соответствие из КлючИЗначение:
//       ** Ключ     - Строка - полное имя списка
//       ** Значение - см. СвойстваСпискаКакВедущего
//   * ДляПользователей        - см. ПараметрыОграниченияПоСтруктуреОграничения
//   * ДляВнешнихПользователей - см. ПараметрыОграниченияПоСтруктуреОграничения
//
Функция РассчитанныеПараметрыОграничения(ПолноеИмя, ОбщийКонтекст, ДействующиеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РассчитанныеПараметрыОграничения(ПолноеИмя, ОбщийКонтекст, ДействующиеПараметры) 
```
</details>

## ОшибкаОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ОшибкиОграниченийДоступа.
Функция ОшибкаОграниченияДоступа(ОбщийКонтекст, ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОшибкаОграниченияДоступа(ОбщийКонтекст, ПолноеИмя));
```
</details>

## РезультатПроверкиОграниченияДоступаОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РезультатПроверкиОграниченияДоступа.
Функция РезультатПроверкиОграниченияДоступаОбъекта(ПолноеИмя, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РезультатПроверкиОграниченияДоступаОбъекта(ПолноеИмя, ДополнительныеПараметры));
```
</details>

## УстановитьОграничениеПоВладельцуИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РезультатПроверкиОграниченияДоступаОбъекта
Процедура УстановитьОграничениеПоВладельцуИспользуется(Результат, ПолноеИмя, ДополнительныйКонтекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьОграничениеПоВладельцуИспользуется(Результат, ПолноеИмя, ДополнительныйКонтекст));
```
</details>

## УстановитьНастройкиВнедрения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РезультатПроверкиОграниченияДоступаОбъекта.
Процедура УстановитьНастройкиВнедрения(НастройкиВнедрения, Данные, ТипыТаблицПоИменам) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьНастройкиВнедрения(НастройкиВнедрения, Данные, ТипыТаблицПоИменам));
```
</details>

## ДобавитьТипыТребуемыеВОпределяемомТипе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьНастройкиВнедрения.
Процедура ДобавитьТипыТребуемыеВОпределяемомТипе(НастройкиВнедрения, ТипыТаблицПоИменам, ТипыСсылок, ИменаТипов, ИмяОпределяемогоТипа) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТипыТребуемыеВОпределяемомТипе(НастройкиВнедрения, ТипыТаблицПоИменам, ТипыСсылок, ИменаТипов, ИмяОпределяемогоТипа));
```
</details>

## СписокТиповИзМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур УстановитьНастройкиВнедрения, ДобавитьТипыТребуемыеВОпределяемомТипе.
Функция СписокТиповИзМассива(ИменаТипов, ТипыСсылок, ТипыТаблицПоИменам, ОписаниеТипов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СписокТиповИзМассива(ИменаТипов, ТипыСсылок, ТипыТаблицПоИменам, ОписаниеТипов));
```
</details>

## СтруктураРезультатаПроверкиОграниченияДляВидаПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РезультатПроверкиОграниченияДоступаОбъекта.
Функция СтруктураРезультатаПроверкиОграниченияДляВидаПользователей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтруктураРезультатаПроверкиОграниченияДляВидаПользователей());
```
</details>

## ПроверитьОграничениеДляВидаПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РезультатПроверкиОграниченияДоступаОбъекта.
Процедура ПроверитьОграничениеДляВидаПользователей(Контекст, Результат, ДляВнешнихПользователей, ДополнительныйКонтекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьОграничениеДляВидаПользователей(Контекст, Результат, ДляВнешнихПользователей, ДополнительныйКонтекст));
```
</details>

## ОбщаяВерсия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ХранимыеПараметрыОграниченияДоступа, РассчитанныеПараметрыОграничения.
Функция ОбщаяВерсия(ОбщийКонтекст, ПолноеИмя, ВерсияДляПользователей, ВерсияДляВнешнихПользователей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбщаяВерсия(ОбщийКонтекст, ПолноеИмя, ВерсияДляПользователей, ВерсияДляВнешнихПользователей));
```
</details>

## УстановитьСвойстваЗаписиКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РассчитанныеПараметрыОграничения.
Процедура УстановитьСвойстваЗаписиКлючейДоступа(Результат) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьСвойстваЗаписиКлючейДоступа(Результат));
```
</details>

## ОписаниеОграниченияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций РассчитанныеПараметрыОграничения, ХранимыеПараметрыОграниченияДоступа.
//
// Возвращаемое значение:
//   Структура:
//     * Текст - Строка
//     * ТекстДляВнешнихПользователей - Строка
//     * ПоВладельцуБезЗаписиКлючейДоступа - Булево
//                                         - Неопределено
//     * ПоВладельцуБезЗаписиКлючейДоступаДляВнешнихПользователей - Булево
//                                                                - Неопределено
//     * ТекстВМодулеМенеджера - Булево
//
Функция ОписаниеОграниченияДанных(ОбщийКонтекст, ПолноеИмя, БезВызоваИсключения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеОграниченияДанных(ОбщийКонтекст, ПолноеИмя, БезВызоваИсключения);
```
</details>

## ЭтоЖурналДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ОписаниеОграниченияДанных.
Функция ЭтоЖурналДокументов(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоЖурналДокументов(ПолноеИмя));
```
</details>

## РассчитаннаяСтруктураОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций РассчитанныеПараметрыОграничения и ПараметрыОграниченияДляВидаПользователей.
//
// Возвращаемое значение:
//   см. СтруктураОграничения
//
Функция РассчитаннаяСтруктураОграничения(ПолноеИмя, ТекстОграничения, ТекстВМодулеМенеджера, ДляВнешнихПользователей, БезИсключения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РассчитаннаяСтруктураОграничения(ПолноеИмя, ТекстОграничения, ТекстВМодулеМенеджера, ДляВнешнихПользователей, БезИсключения);
```
</details>

## ДействующиеПараметрыОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СвойстваСпискаКакВедущего, ПараметрыОграничения и процедур УстановкаПараметровСеанса,
// ЗаполнитьПараметрыОграничения, ДобавитьПараметрыОграниченияСписка.
//
// Возвращаемое значение:
//   см. НоваяСтруктураХранимыхПараметровЗаписи
//
Функция ДействующиеПараметрыОграниченияДоступа(ИдентификаторТранзакции, ОбщийКонтекст, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ДействующиеПараметрыОграниченияДоступа(ИдентификаторТранзакции, ОбщийКонтекст, );
```
</details>

## ВсеВидыОграниченийПравДляОтчетаПраваДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для отчета ПраваДоступа.
//
// Возвращаемое значение:
//  Структура:
//   * ДляПользователей - Строка
//   * ДляВнешнихПользователей - Строка
//
Функция ВсеВидыОграниченийПравДляОтчетаПраваДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВсеВидыОграниченийПравДляОтчетаПраваДоступа());
```
</details>

## ЗаписьПараметровОграниченияДоступаВТекущемСеансе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НоваяВерсияПараметровОграниченияДоступа.
Функция ЗаписьПараметровОграниченияДоступаВТекущемСеансе() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗаписьПараметровОграниченияДоступаВТекущемСеансе());
```
</details>

## ОписаниеПоследнейВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ДействующиеПараметрыОграниченияДоступа, НоваяВерсияПараметровОграниченияДоступа.
//
// Возвращаемое значение:
//  Структура:
//   * Версия                   - Число
//                              - Неопределено
//   * ХешСумма                 - Строка
//                              - Неопределено
//   * ДатаСоздания             - Дата
//                              - Неопределено
//   * ВерсииПараметровШаблонов - ХранилищеЗначения
//                              - Неопределено
//
Функция ОписаниеПоследнейВерсии(ПрочитатьВерсииПараметровШаблонов = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеПоследнейВерсии(ПрочитатьВерсииПараметровШаблонов);
```
</details>

## ВерсияПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДействующиеПараметрыОграниченияДоступа.
Функция ВерсияПараметров(Версия, УстановкаПараметровСеансаДляШаблонов, УстановкаПараметровДляОтчетаПраваДоступа) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВерсияПараметров(Версия, УстановкаПараметровСеансаДляШаблонов, УстановкаПараметровДляОтчетаПраваДоступа));
```
</details>

## НоваяВерсияПараметровОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДействующиеПараметрыОграниченияДоступа.
//
// Возвращаемое значение:
//   см. ХранимыеПараметрыОграниченияДоступа
//
Функция НоваяВерсияПараметровОграниченияДоступа(ОбщийКонтекст, ЕстьИзменения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяВерсияПараметровОграниченияДоступа(ОбщийКонтекст, ЕстьИзменения);
```
</details>

## ЗавершеныЗаданияЗаписиНовойВерсииПараметровОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций НоваяВерсияПараметровОграниченияДоступа и
// ДействующиеПараметрыОграниченияДоступа.
//
Функция ЗавершеныЗаданияЗаписиНовойВерсииПараметровОграниченияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗавершеныЗаданияЗаписиНовойВерсииПараметровОграниченияДоступа());
```
</details>

## ИмяПроцедурыЗаданияЗаписиНовойВерсииПараметровОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций НоваяВерсияПараметровОграниченияДоступа и
// ЗавершеныЗаданияЗаписиНовойВерсииПараметровОграниченияДоступа.
//
Функция ИмяПроцедурыЗаданияЗаписиНовойВерсииПараметровОграниченияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИмяПроцедурыЗаданияЗаписиНовойВерсииПараметровОграниченияДоступа());
```
</details>

## НоваяИнформацияНесоответствияПараметровДляЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//   Предупреждение - Строка
//   Ошибка - Строка
//   ВерсияТекстовОграниченияДоступа - Строка
//
Функция НоваяИнформацияНесоответствияПараметровДляЖурнала() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяИнформацияНесоответствияПараметровДляЖурнала());
```
</details>

## ЗаписатьНовуюВерсиюПараметровОграниченияДоступаВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НоваяВерсияПараметровОграниченияДоступа.
Процедура ЗаписатьНовуюВерсиюПараметровОграниченияДоступаВФоне(АдресРезультата, ХранилищеПараметров) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьНовуюВерсиюПараметровОграниченияДоступаВФоне(АдресРезультата, ХранилищеПараметров) 
```
</details>

## ИдентификаторДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НоваяВерсияПараметровОграниченияДоступа и
// процедуры ЗаписатьНовуюВерсиюПараметровОграниченияДоступаВФоне.
//
Функция ИдентификаторДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИдентификаторДоступа());
```
</details>

## ОписаниеНовойВерсииПараметровОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НоваяВерсияПараметровОграниченияДоступа и
// процедуры ЗаписатьНовуюВерсиюПараметровОграниченияДоступаВФоне.
//
Функция ОписаниеНовойВерсииПараметровОграниченияДоступа(Параметры, БезЗаписи = Ложь, ЭтоОшибкаБлокировки = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеНовойВерсииПараметровОграниченияДоступа(Параметры, БезЗаписи, ЭтоОшибкаБлокировки);
```
</details>

## НоваяТаблицаРегистраСведенийПараметрыОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  ТаблицаЗначений:
//   * Версия                                  - Число
//   * ХешСумма                                - Строка
//   * ХешСуммаПостоянныхПараметров            - Строка
//   * ДляЗаписиОбъектовИПроверкиПрав          - ХранилищеЗначения
//   * ДляОтчетаПоПравамДоступа                - ХранилищеЗначения
//   * ХешСуммаПараметровШаблонов              - Строка
//   * ДляШаблоновВСеансахПользователей        - ХранилищеЗначения
//   * ДляШаблоновВСеансахВнешнихПользователей - ХранилищеЗначения
//   * ВерсииПараметровШаблонов                - ХранилищеЗначения
//   * ДатаСоздания                            - Дата
//
Функция НоваяТаблицаРегистраСведенийПараметрыОграниченияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяТаблицаРегистраСведенийПараметрыОграниченияДоступа());
```
</details>

## ЗапланироватьОбновлениеДоступаПриИзмененииПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ОписаниеНовойВерсииПараметровОграниченияДоступа.
Процедура ЗапланироватьОбновлениеДоступаПриИзмененииПараметров(СтараяВерсия, Параметры) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗапланироватьОбновлениеДоступаПриИзмененииПараметров(СтараяВерсия, Параметры));
```
</details>

## ПроверитьАктуальностьМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьТаблицыГруппДоступаДляПодключенныхРасширений и
// функции НоваяВерсияПараметровОграниченияДоступа.
//
Процедура ПроверитьАктуальностьМетаданных() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьАктуальностьМетаданных() 
```
</details>

## ЭтоСеансФоновогоЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьАктуальностьМетаданных
Функция ЭтоСеансФоновогоЗадания() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоСеансФоновогоЗадания());
```
</details>

## ЭтоСеансФоновогоОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьОбновлениеДоступа
Функция ЭтоСеансФоновогоОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоСеансФоновогоОбновленияДоступа());
```
</details>

## УстановитьЭтоСеансФоновогоОбновленияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ВыполнитьОбновлениеДоступаНаУровнеЗаписей, ВыполнитьОбновлениеДоступаСпискаВФоне.
Процедура УстановитьЭтоСеансФоновогоОбновленияДоступа() Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьЭтоСеансФоновогоОбновленияДоступа());
```
</details>

## ЗаписатьНесоответствиеПараметровВЖурнал
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НоваяВерсияПараметровОграниченияДоступа.
Процедура ЗаписатьНесоответствиеПараметровВЖурнал(Запись, Комментарий, ЭтоОшибка = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаписатьНесоответствиеПараметровВЖурнал(Запись, Комментарий, ЭтоОшибка);
```
</details>

## ЗарегистрироватьСтрокуВерсииПараметровОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НоваяВерсияПараметровОграниченияДоступа.
Процедура ЗарегистрироватьСтрокуВерсииПараметровОграниченияДоступа(Запись, СтрокиВерсии) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗарегистрироватьСтрокуВерсииПараметровОграниченияДоступа(Запись, СтрокиВерсии));
```
</details>

## СпискиСИзменениемВерсий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НоваяВерсияПараметровОграниченияДоступа.
Функция СпискиСИзменениемВерсий(Версия, НовыеВерсииОграниченийСписков, НедоступныеСписки, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СпискиСИзменениемВерсий(Версия, НовыеВерсииОграниченийСписков, НедоступныеСписки, );
```
</details>

## ВсеИдентификаторыСПодобнымиПолнымиИменами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СпискиСИзменениемВерсий и для процедуры ДобавитьЗависимыеСписки.
Функция ВсеИдентификаторыСПодобнымиПолнымиИменами(ПолныеИмена) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВсеИдентификаторыСПодобнымиПолнымиИменами(ПолныеИмена));
```
</details>

## ВерсияСтруктурыКэша
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ХранимыеПараметрыОграниченияДоступа.
//
// Возвращаемое значение:
//   Строка
//
Функция ВерсияСтруктурыКэша() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВерсияСтруктурыКэша() 
```
</details>

## ВерсияПеревода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВерсияПеревода() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВерсияПеревода());
```
</details>

## ВерсииШаблоновОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур УстановкаПараметровСеанса, УточнитьВерсииШаблоновОграниченияДоступа и
// для функции СтруктураХранимыхПараметровШаблонов.
//
// Возвращаемое значение:
//   Строка
//
Функция ВерсииШаблоновОграниченияДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВерсииШаблоновОграниченияДоступа());
```
</details>

## ВерсияСтруктурыВерсийПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур УстановитьВерсиюПараметров, ЗаполнитьПараметрыДляШаблонов и
// функции НоваяСтруктураХранимыхВерсийПараметровШаблонов.
//
//
// Возвращаемое значение:
//   Строка
//
Функция ВерсияСтруктурыВерсийПараметровШаблонов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВерсияСтруктурыВерсийПараметровШаблонов());
```
</details>

## ОбновитьИдентификаторыТранзакции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДействующиеПараметрыОграниченияДоступа.
Процедура ОбновитьИдентификаторыТранзакции(ИдентификаторТранзакции) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьИдентификаторыТранзакции(ИдентификаторТранзакции));
```
</details>

## УстановитьВерсиюПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДействующиеПараметрыОграниченияДоступа.
Процедура УстановитьВерсиюПараметров(ВерсияПараметров, ИдентификаторТранзакции, ОбщийКонтекст, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьВерсиюПараметров(ВерсияПараметров, ИдентификаторТранзакции, ОбщийКонтекст, );
```
</details>

## СеансовыеПараметрыОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьВерсиюПараметров.
//
// Возвращаемое значение:
//   ФиксированнаяСтруктура:
//     * Версия       - Строка
//     * ХешСумма     - Строка
//     * ДатаСоздания - Дата
//     * Параметры    - см. СтруктураХранимыхПараметровЗаписи
//
Функция СеансовыеПараметрыОграниченияДоступа(ВерсияПараметров, ДляЗаписиОбъектовИПроверкиПрав, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СеансовыеПараметрыОграниченияДоступа(ВерсияПараметров, ДляЗаписиОбъектовИПроверкиПрав, );
```
</details>

## УточнитьВерсииШаблоновОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьВерсиюПараметров.
Процедура УточнитьВерсииШаблоновОграниченияДоступа(ВерсииШаблонов) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УточнитьВерсииШаблоновОграниченияДоступа(ВерсииШаблонов));
```
</details>

## ОбновитьРазрешенныеНаборыВПараметрахСеанса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьВерсиюПараметров, ПроверитьДоступКОбъекту,
// ПроверитьДоступКНаборуЗаписей и функции ДоступРазрешен.
//
Процедура ОбновитьРазрешенныеНаборыВПараметрахСеанса(УстановкаПараметровСеансаДляШаблонов = Ложь, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьРазрешенныеНаборыВПараметрахСеанса(УстановкаПараметровСеансаДляШаблонов, );
```
</details>

## РазрешенныеНаборыПараметровЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьРазрешенныеНаборыВПараметрахСеанса и
// УстановитьРазрешенныеНаборыВПараметрыЗапроса.
//
// Параметры:
//  Пользователь   - СправочникСсылка.Пользователи
//                 - СправочникСсылка.ВнешниеПользователи
//                 - Неопределено - текущий пользователь.
//
// Возвращаемое значение:
//  Структура:
//   * РазрешенныйПользователь            - СправочникСсылка.НаборыГруппДоступа
//   * РазрешенныйНаборГруппДоступа       - СправочникСсылка.НаборыГруппДоступа
//   * РазрешенныйНаборГруппПользователей - СправочникСсылка.НаборыГруппДоступа
//   * РазрешенныйПустойНаборГруппДоступа - СправочникСсылка.НаборыГруппДоступа
//
Функция РазрешенныеНаборыПараметровЗапроса(Знач Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РазрешенныеНаборыПараметровЗапроса(Пользователь);
```
</details>

## УчестьНастройкиПравПриПостроенииПланаВыполненияЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьРазрешенныеНаборыВПараметрахСеанса.
Процедура УчестьНастройкиПравПриПостроенииПланаВыполненияЗапроса(Состав) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УчестьНастройкиПравПриПостроенииПланаВыполненияЗапроса(Состав));
```
</details>

## ОписаниеХешСуммыНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УчестьНастройкиПравПриПостроенииПланаВыполненияЗапроса.
Функция ОписаниеХешСуммыНастроекПрав(НаборГруппДоступа, Символ = "") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеХешСуммыНастроекПрав(НаборГруппДоступа, Символ);
```
</details>

## УстановитьРазрешенныеНаборыВПараметрыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДоступРазрешен и процедур ПроверитьДоступКОбъекту, ПроверитьДоступКНаборуЗаписей.
Процедура УстановитьРазрешенныеНаборыВПараметрыЗапроса(Запрос, Знач Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьРазрешенныеНаборыВПараметрыЗапроса(Запрос, Пользователь);
```
</details>

## ХранимыеПараметрыОграниченияДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НоваяВерсияПараметровОграниченияДоступа.
//
// Параметры:
//  ОбщийКонтекст            - см. ОбщийКонтекстРасчетаПараметровОграничения
//  ВерсииОграниченийСписков - Соответствие
//
// Возвращаемое значение:
//  Структура:
//    * ДатаСоздания                            - Дата
//    * ДляЗаписиОбъектовИПроверкиПрав          - ХранилищеЗначения - содержит тип НоваяСтруктураХранимыхПараметровЗаписи
//    * ДляОтчетаПоПравамДоступа                - ХранилищеЗначения - содержит тип НоваяСтруктураХранимыхПараметровОтчета
//    * ХешСуммаПостоянныхПараметров            - Строка
//    * ДляШаблоновВСеансахПользователей        - ХранилищеЗначения - содержит тип НоваяСтруктураХранимыхПараметровШаблонов
//    * ДляШаблоновВСеансахВнешнихПользователей - ХранилищеЗначения - содержит тип НоваяСтруктураХранимыхПараметровШаблонов
//    * ВерсииПараметровШаблонов                - ХранилищеЗначения - содержит тип НоваяСтруктураХранимыхВерсийПараметровШаблонов
//    * ХешСуммаПараметровШаблонов              - Строка - заполняется при записи после обновления
//         параметра ВерсииПараметровШаблонов и заполнения свойства СпискиСОграничениемПоПолям
//         параметров ДляШаблоновВСеансахПользователей, ДляШаблоновВСеансахВнешнихПользователей.
//    * ХешСумма                                - Строка - заполняется при записи,
//         вычисляется из хеш-сумм ХешСуммаПостоянныхПараметров и ХешСуммаПараметровШаблонов.
//
Функция ХранимыеПараметрыОграниченияДоступа(ОбщийКонтекст, ВерсииОграниченийСписков = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ХранимыеПараметрыОграниченияДоступа(ОбщийКонтекст, ВерсииОграниченийСписков);
```
</details>

## НовыеСтрокиВерсийСписков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   ТаблицаЗначений:
//     * Список                  - Строка
//     * ДляВнешнихПользователей - Булево
//     * Версия                  - Строка
//     * СтрокаВерсии            - Строка
//
Функция НовыеСтрокиВерсийСписков() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеСтрокиВерсийСписков());
```
</details>

## НовыйДополнительныйКонтекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций РассчитанныеПараметрыОграничения и ХранимыеПараметрыОграниченияДоступа.
//
// Возвращаемое значение:
//   Структура:
//     * ОписанияОграничений - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - см. СокращенноеОписаниеОграничения
//     * СвойстваОграниченияСписков - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - см. НовыеСвойстваОграниченияСписка
//     * СпискиСОграничениемПоВладельцу - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - значение ПоВладельцу, кроме Неопределено.
//     * СпискиСОтключеннымОграничением - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - Истина
//     * СпискиСОтключеннымОграничениемЧтения - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - Истина
//     * СпискиСЗаписьюКлючейДляЗависимыхСписковБезКлючей - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - Истина
//     * ОсновныеВариантыДоступа - см. НовыеОсновныеВариантыДоступа
//
Функция НовыйДополнительныйКонтекст() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйДополнительныйКонтекст());
```
</details>

## НовыйХранимыйДополнительныйКонтекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций РассчитанныеПараметрыОграничения и ХранимыеПараметрыОграниченияДоступа.
//
// Возвращаемое значение:
//   Структура:
//     * СвойстваОграниченияСписков - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - см. НовыеСвойстваОграниченияСписка
//     * СпискиСОтключеннымОграничением - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - Истина
//     * СпискиСОтключеннымОграничениемЧтения - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - Истина
//     * СпискиСЗаписьюКлючейДляЗависимыхСписковБезКлючей - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - Истина
//     * ОсновныеВариантыДоступа - см. НовыеОсновныеВариантыДоступа
//
Функция НовыйХранимыйДополнительныйКонтекст() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйХранимыйДополнительныйКонтекст());
```
</details>

## ДобавитьДополнительныйКонтекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций РассчитанныеПараметрыОграничения и ХранимыеПараметрыОграниченияДоступа.
Процедура ДобавитьДополнительныйКонтекст(ПолноеИмя, ДополнительныйКонтекст, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьДополнительныйКонтекст(ПолноеИмя, ДополнительныйКонтекст, );
```
</details>

## СокращенноеОписаниеОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * Текст            - Строка
//     * ВМодулеМенеджера - Булево
//
Функция СокращенноеОписаниеОграничения() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СокращенноеОписаниеОграничения());
```
</details>

## ДобавитьХранимыеПараметрыОграниченияДляВидаПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ХранимыеПараметрыОграниченияДоступа.
Процедура ДобавитьХранимыеПараметрыОграниченияДляВидаПользователей(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьХранимыеПараметрыОграниченияДляВидаПользователей(Контекст));
```
</details>

## СвойстваСписковДляРасчетаХранимыхПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ПолноеИмя - Строка
//     * Зависимый - Булево
//     * Ведущие   - Массив
//     * Уровень   - Число
//     * Ведущий   - Булево
//     * Параметры - Структура
//     * Обработан - Булево
//     * ОграничениеПоВладельцуВозможно  - Булево
//     * ОграничениеПоВладельцуВключено  - Булево
//     * КлючиДоступаПользователей       - Булево
//     * ЕстьЗависимыеСпискиБезЗаписиКлючейДоступа - Булево
//     * КлючиДоступаПользователейИГруппДоступа    - Булево
//
Функция СвойстваСписковДляРасчетаХранимыхПараметров() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваСписковДляРасчетаХранимыхПараметров());
```
</details>

## ПараметрыОграниченияДляВидаПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ХранимыеПараметрыОграниченияДляВидаПользователей.
//
// Возвращаемое значение:
//   см. ПараметрыОграниченияПоСтруктуреОграничения
//
Функция ПараметрыОграниченияДляВидаПользователей(ПолноеИмя, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПараметрыОграниченияДляВидаПользователей(ПолноеИмя, Контекст));
```
</details>

## УстановитьУровеньЗависимыхСписков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьХранимыеПараметрыОграниченияДляВидаПользователей.
Процедура УстановитьУровеньЗависимыхСписков(СвойстваВедущегоСписка, СвойстваСписков, ПредыдущиеВедущие, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьУровеньЗависимыхСписков(СвойстваВедущегоСписка, СвойстваСписков, ПредыдущиеВедущие, );
```
</details>

## НастроитьОптимизациюПоПолюВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьХранимыеПараметрыОграниченияДляВидаПользователей.
Процедура НастроитьОптимизациюПоПолюВладельцу(СвойстваЗависимогоСписка, СвойстваСписков, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.НастроитьОптимизациюПоПолюВладельцу(СвойстваЗависимогоСписка, СвойстваСписков, Контекст));
```
</details>

## УстановитьЕстьЗависимыеСпискиБезЗаписиКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры НастроитьОптимизациюПоПолюВладельцу.
Процедура УстановитьЕстьЗависимыеСпискиБезЗаписиКлючейДоступа(СвойстваВедущегоСписка, СвойстваЗависимогоСписка) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьЕстьЗависимыеСпискиБезЗаписиКлючейДоступа(СвойстваВедущегоСписка, СвойстваЗависимогоСписка));
```
</details>

## ЗаполнитьСпискиБезВнедрения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьХранимыеПараметрыОграниченияДляВидаПользователей.
Процедура ЗаполнитьСпискиБезВнедрения(СпискиБезВнедрения, СвойстваСписка) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьСпискиБезВнедрения(СпискиБезВнедрения, СвойстваСписка));
```
</details>

## ЭтоУстаревшийОбъектМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗаполнитьСпискиБезВнедрения.
Функция ЭтоУстаревшийОбъектМетаданных(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоУстаревшийОбъектМетаданных(ПолноеИмя));
```
</details>

## УстановитьСвойствоОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьХранимыеПараметрыОграниченияДляВидаПользователей.
Процедура УстановитьСвойствоОграничения(ПолноеИмя, ИмяСвойства, ЗначениеСвойства, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьСвойствоОграничения(ПолноеИмя, ИмяСвойства, ЗначениеСвойства, Контекст));
```
</details>

## СвойстваОграниченияСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур УстановитьСвойствоОграничения, ЗаполнитьЗапросыПроверкиПравЧтениеИзменение.
Функция СвойстваОграниченияСписка(ПолноеИмя, Контекст, ДобавлятьВКоллекцию = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваОграниченияСписка(ПолноеИмя, Контекст, ДобавлятьВКоллекцию);
```
</details>

## НовыеСвойстваОграниченияСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ДоступЗапрещен                  - Булево
//     * ПолеВладельца                   - см. НовоеПолеВладельца
//     * ОпорныеПоля                     - см. НовоеОписаниеОпорныхПолей
//     * ИмяОтдельногоРегистраКлючей     - Строка
//     * РассчитыватьПраваПользователей  - Булево
//     * ИспользуемыеТипыЗначенийДоступа - ХранилищеЗначения - содержит тип Массив из Тип
//     * ОграничениеВШаблонахЧерезКлючиДоступаПользователей              - Булево
//     * ОграничениеВШаблонахЧерезКлючиДоступаПользователейИГруппДоступа - Булево
//
Функция НовыеСвойстваОграниченияСписка() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеСвойстваОграниченияСписка());
```
</details>

## ЗаполнитьНесоответствиеПараметровДляЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ХранимыеПараметрыОграниченияДоступа.
//
// Параметры:
//  СпискиБезВнедрения - Соответствие
//  ИнформацияДляЖурнала - см. НоваяИнформацияНесоответствияПараметровДляЖурнала
//
Процедура ЗаполнитьНесоответствиеПараметровДляЖурнала(СпискиБезВнедрения, ИнформацияДляЖурнала); Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьНесоответствиеПараметровДляЖурнала(СпискиБезВнедрения, ИнформацияДляЖурнала););
```
</details>

## ОписаниеНесоответствияПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьНесоответствиеПараметровДляЖурнала.
Функция ОписаниеНесоответствияПараметров(СпискиБезВнедрения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеНесоответствияПараметров(СпискиБезВнедрения));
```
</details>

## ДобавитьВедущиеРоли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ХранимыеПараметрыОграниченияДоступа.
Процедура ДобавитьВедущиеРоли(ВедущиеРоли, ИмяСвойстваВидаПользователей, КонтекстВидаПользователей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВедущиеРоли(ВедущиеРоли, ИмяСвойстваВидаПользователей, КонтекстВидаПользователей));
```
</details>

## ДобавитьВедущиеСписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ХранимыеПараметрыОграниченияДоступа.
Процедура ДобавитьВедущиеСписки(ВедущиеСписки, ИмяСвойстваВидаПользователей, ЗависимыйСписок, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВедущиеСписки(ВедущиеСписки, ИмяСвойстваВидаПользователей, ЗависимыйСписок, );
```
</details>

## ВедущийСписокПоЗначениямПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ЭтоСсылочныйТип - Булево
//     * ПоляШапки       - см. ОписаниеПолейВедущегоСписка
//     * ТабличныеЧасти  - Массив из см. ОписаниеПолейВедущегоСписка
//
Функция ВедущийСписокПоЗначениямПолей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВедущийСписокПоЗначениямПолей());
```
</details>

## ВедущийСписокПоКлючамДоступаИлиЗначениямСГруппами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ДляПользователей        - Массив из Строка - полные имена списков
//     * ДляВнешнихПользователей - Массив из Строка - полные имена списков
//
Функция ВедущийСписокПоКлючамДоступаИлиЗначениямСГруппами() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВедущийСписокПоКлючамДоступаИлиЗначениямСГруппами());
```
</details>

## ОписаниеПолейВедущегоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьВедущиеСписки.
//
// Возвращаемое значение:
//   Структура:
//     * ВсеПоля       - Массив
//     * ТипыВсехПолей - Соответствие из КлючИЗначение:
//        ** Ключ - Строка - имя поля.
//        ** Значение - ХранилищеЗначения - содержит тип ОписаниеТипов - тип поля.
//     * НаборыПолей   - Структура:
//         ** ДляПользователей - Булево
//         ** ДляВнешнихПользователей - Булево
//     * Имя - Строка - имя табличной части (есть только у полей табличной части)
//
Функция ОписаниеПолейВедущегоСписка() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеПолейВедущегоСписка());
```
</details>

## ДобавитьВедущиеСпискиПоВидуЗависимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьВедущиеСписки.
Процедура ДобавитьВедущиеСпискиПоВидуЗависимости(ВедущиеСписки, ИмяСвойстваВидаПользователей, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВедущиеСпискиПоВидуЗависимости(ВедущиеСписки, ИмяСвойстваВидаПользователей, );
```
</details>

## ТекущиеСвойстваВедущегоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьВедущиеСписки.
//
// Возвращаемое значение:
//   Структура:
//     * ЗависимыеСписки      - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - Истина
//     * ПоЗначениямПолей     - Структура - похожая на см. ВедущийСписокПоПоЗначениямПолей
//     * ПоКлючамДоступа      - см. ВедущийСписокПоКлючамДоступаИлиЗначениямСГруппами
//     * ПоЗначениямСГруппами - см. ВедущийСписокПоКлючамДоступаИлиЗначениямСГруппами
//
Функция ТекущиеСвойстваВедущегоСписка(ВедущиеСписки, ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекущиеСвойстваВедущегоСписка(ВедущиеСписки, ПолноеИмя));
```
</details>

## ДобавитьПоляВедущегоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьВедущиеСписки.
Процедура ДобавитьПоляВедущегоСписка(ТекущиеПоля, ОписаниеПолей, ОписаниеПолейОтбора, ЗависимыйСписок, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПоляВедущегоСписка(ТекущиеПоля, ОписаниеПолей, ОписаниеПолейОтбора, ЗависимыйСписок, );
```
</details>

## НастроитьПараметрыШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьХранимыеПараметрыОграниченияДляВидаПользователей.
Процедура НастроитьПараметрыШаблонов(СвойстваСписка, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.НастроитьПараметрыШаблонов(СвойстваСписка, Контекст));
```
</details>

## КлючТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры НастроитьПараметрыШаблонов.
//
// Параметры:
//  ПолноеИмя - Строка
//  ИмяКоллекцииТипа - Строка
//  ТипыТаблицПоИменам - Соответствие
//
// Возвращаемое значение:
//  Строка
//
Функция КлючТаблицы(ПолноеИмя, ИмяКоллекцииТипа = Неопределено, ТипыТаблицПоИменам = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КлючТаблицы(ПолноеИмя, ИмяКоллекцииТипа, ТипыТаблицПоИменам);
```
</details>

## ЗаполнитьПараметрыДляШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОписаниеНовойВерсииПараметровОграниченияДоступа.
Процедура ЗаполнитьПараметрыДляШаблонов(Запись, ПараметрыЗаписи, ОписаниеВерсии) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПараметрыДляШаблонов(Запись, ПараметрыЗаписи, ОписаниеВерсии));
```
</details>

## НоваяСтруктураДляЗаполненияПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьПараметрыДляШаблонов.
//
// Возвращаемое значение:
//  Структура:
//   * СтараяДатаСоздания - Дата
//   * ХешированиеДанных  - ХешированиеДанных
//   * СпискиСНовымОсновнымВариантомДоступа - Массив из Строка
//   * СпискиСУстаревшимиВариантамиДоступа  - Массив из Строка
//   * ХранимыеТекущиеВерсии - Структура:
//      ** ВерсииПараметровШаблонов - см. НовыеВерсииПараметровШаблонов
//      ** ОсновныеВариантыДоступа  - см. НовыеОсновныеВариантыДоступа
//   * НовыеВерсииПолейСписков - см. НовыеВерсииПараметровШаблонов
//   * ТекущиеСвойстваОграниченияСписков - Соответствие из КлючИЗначение:
//      ** Ключ     - Строка - полное имя списка
//      ** Значение - см. НовыеСвойстваОграниченияСписка
//   * НовыеСвойстваОграниченияСписков - Соответствие из КлючИЗначение:
//      ** Ключ     - Строка - полное имя списка
//      ** Значение - см. НовыеСвойстваОграниченияСписка
//
Функция НоваяСтруктураДляЗаполненияПараметровШаблонов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяСтруктураДляЗаполненияПараметровШаблонов());
```
</details>

## ЗаполнитьПараметрыДляШаблоновДляВидаПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьПараметрыДляШаблонов.
//
// Параметры:
//  Параметры - см. НоваяСтруктураДляЗаполненияПараметровШаблонов
//  ХранилищеДляШаблоновВСеансах - ХранилищеЗначения - обновляемое значение
//  СпискиСОграничениемПоПолям - Строка - возвращаемое значение
//
Процедура ЗаполнитьПараметрыДляШаблоновДляВидаПользователей(Параметры, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПараметрыДляШаблоновДляВидаПользователей(Параметры, );
```
</details>

## ОбновитьИспользованиеВерсийПолейСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьПараметрыДляШаблоновДляВидаПользователей.
Процедура ОбновитьИспользованиеВерсийПолейСписка(ТекущиеВерсииПолейСписка, ОсновнаяВерсияИзменена, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьИспользованиеВерсийПолейСписка(ТекущиеВерсииПолейСписка, ОсновнаяВерсияИзменена, );
```
</details>

## ДобавитьПоляОграниченияСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьПараметрыДляШаблоновДляВидаПользователей.
Процедура ДобавитьПоляОграниченияСписка(СпискиСОграничениемПоПолям, ТекущиеВерсииПолейСписка) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПоляОграниченияСписка(СпискиСОграничениемПоПолям, ТекущиеВерсииПолейСписка));
```
</details>

## ВариантыДоступаВБазеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьПараметрыДляШаблоновДляВидаПользователей.
Функция ВариантыДоступаВБазеДанных(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВариантыДоступаВБазеДанных(Параметры));
```
</details>

## ОтключитьИспользованиеВерсийКромеОсновнойДляОбновленныхСписков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьПараметрыДляШаблоновДляВидаПользователей.
Процедура ОтключитьИспользованиеВерсийКромеОсновнойДляОбновленныхСписков( Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтключитьИспользованиеВерсийКромеОсновнойДляОбновленныхСписков();
```
</details>

## ДобавитьСуществующиеВерсииПолейСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьПараметрыДляШаблоновДляВидаПользователей.
Процедура ДобавитьСуществующиеВерсииПолейСписка(ТекущиеВерсииПолейСписка, НоваяВерсия, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСуществующиеВерсииПолейСписка(ТекущиеВерсииПолейСписка, НоваяВерсия, );
```
</details>

## МаксимальноеКоличествоВариантовСоединений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбновитьИспользованиеВерсийПолейСписка и ДобавитьПоляОграниченияСписка.
Функция МаксимальноеКоличествоВариантовСоединений() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МаксимальноеКоличествоВариантовСоединений());
```
</details>

## МаксимальноеКоличествоВерсийВВариантеДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗаполнитьПараметрыДляШаблоновДляВидаПользователей.
Функция МаксимальноеКоличествоВерсийВВариантеДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.МаксимальноеКоличествоВерсийВВариантеДоступа());
```
</details>

## ЗначениеИзХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур УстановитьВерсиюПараметров, ЗаполнитьПараметрыДляШаблонов,
// ОбновитьТаблицыГруппДоступаДляПодключенныхРасширений и
// функции СпискиСИзменениемВерсий.
//
Функция ЗначениеИзХранилища(ХранилищеЗначения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЗначениеИзХранилища(ХранилищеЗначения));
```
</details>

## СтруктураХранимыхПараметровЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьВерсиюПараметров, и для функции ХранимыеПараметрыОграниченияДоступа.
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура:
//    * ВерсияСтруктурыКэша         - см. ВерсияСтруктурыКэша
//    * ВерсииОграниченийСписков    - ФиксированноеСоответствие
//    * ВедущиеСписки               - ФиксированноеСоответствие
//    * ДополнительныйКонтекст      - ФиксированнаяСтруктура
//    * СпискиСДатой                - ФиксированноеСоответствие
//    * ВнешниеПользователиВключены - Булево
//    * ОграничениеДоступаВключено  - Булево
//    * ИспользуемыеТипыЗначений    - ХранилищеЗначения
//
Функция СтруктураХранимыхПараметровЗаписи(Значения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтруктураХранимыхПараметровЗаписи(Значения));
```
</details>

## НоваяСтруктураХранимыхПараметровЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СтруктураХранимыхПараметровЗаписи и ХранимыеПараметрыОграниченияДоступа.
//
// Возвращаемое значение:
//  Структура:
//    * ВерсияСтруктурыКэша         - см. ВерсияСтруктурыКэша
//    * ВерсииОграниченийСписков    - Соответствие из КлючИЗначение:
//        ** Ключ     - Строка - полное имя списка
//        ** Значение - Строка - общая версия ограничения списка
//                               первая строка - хеш-сумма свойств версии для пользователей и через Символы.ПС
//                               вторая строка - хеш-сумма свойств версии для внешних пользователей.
//
//    * ВедущиеСписки - Соответствие из КлючИЗначение:
//        ** Ключ     - Строка - полное имя списка
//        ** Значение - см. СвойстваСпискаКакВедущего
//
//    * ДополнительныйКонтекст - Структура:
//        ** ДляПользователей        - см. НовыйХранимыйДополнительныйКонтекст
//        ** ДляВнешнихПользователей - см. НовыйХранимыйДополнительныйКонтекст
//
//    * СпискиСДатой - Соответствие из КлючИЗначение:
//        ** Ключ     - Строка - полное имя списка
//        ** Значение - Булево - Истина
//    * ВнешниеПользователиВключены - Булево
//    * ОграничениеДоступаВключено  - Булево
//    * ИспользуемыеТипыЗначений    - ХранилищеЗначения - смотри функцию ИспользуемыеТипыЗначений.
//    * ВерсияТекстовОграниченияДоступа - Строка
//
Функция НоваяСтруктураХранимыхПараметровЗаписи() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяСтруктураХранимыхПараметровЗаписи() 
```
</details>

## СтруктураХранимыхПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьВерсиюПараметров.
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура:
//    * ВерсияСтруктурыКэша - см. ВерсияСтруктурыКэша
//    * ВерсииШаблонов      - см. ВерсииШаблоновОграниченияДоступа
//    * ПараметрыШаблонов   - см. СтруктураПараметровШаблонов
//
Функция СтруктураХранимыхПараметровШаблонов(Значения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтруктураХранимыхПараметровШаблонов(Значения));
```
</details>

## НоваяСтруктураХранимыхПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СтруктураХранимыхПараметровШаблонов, СтруктураХранимыхПараметровЗаписи и
// ХранимыеПараметрыОграниченияДоступа.
//
// Возвращаемое значение:
//  Структура:
//    * ВерсияСтруктурыКэша - см. ВерсияСтруктурыКэша
//    * ВерсииШаблонов      - см. ВерсииШаблоновОграниченияДоступа
//    * ПараметрыШаблонов   - см. СтруктураПараметровШаблонов
//
Функция НоваяСтруктураХранимыхПараметровШаблонов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяСтруктураХранимыхПараметровШаблонов());
```
</details>

## СтруктураПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьВерсиюПараметров.
//
// Возвращаемое значение:
//   ФиксированнаяСтруктура:
//     * СпискиСОграничениемЧерезКлючиДоступаГруппДоступа  - Строка
//     * СпискиСОграничениемЧерезКлючиДоступаПользователей - Строка
//     * СпискиСОграничениемПоПолям                        - Строка
//     * СпискиСОтключеннымОграничениемЧтения              - Строка
//
Функция СтруктураПараметровШаблонов(Значения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтруктураПараметровШаблонов(Значения));
```
</details>

## НоваяСтруктураПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СтруктураПараметровШаблонов, ХранимыеПараметрыОграниченияДоступа и
// НоваяСтруктураХранимыхПараметровШаблонов.
//
// Возвращаемое значение:
//   Структура:
//     * СпискиСОграничениемЧерезКлючиДоступаГруппДоступа  - Строка
//     * СпискиСОграничениемЧерезКлючиДоступаПользователей - Строка
//     * СпискиСОграничениемПоПолям                        - Строка
//     * СпискиСОтключеннымОграничениемЧтения              - Строка
//
Функция НоваяСтруктураПараметровШаблонов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяСтруктураПараметровШаблонов());
```
</details>

## СтруктураХранимыхВерсийПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур УстановитьВерсиюПараметров и ЗаполнитьПараметрыДляШаблонов.
//
// Возвращаемое значение:
//   см. НоваяСтруктураХранимыхВерсийПараметровШаблонов
//
Функция СтруктураХранимыхВерсийПараметровШаблонов(Значения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтруктураХранимыхВерсийПараметровШаблонов(Значения));
```
</details>

## НоваяСтруктураХранимыхВерсийПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ХранимыеПараметрыОграниченияДоступа, СтруктураХранимыхВерсийПараметровШаблонов и
// процедуры ЗаполнитьПараметрыДляШаблонов.
//
// Возвращаемое значение:
//  Структура:
//    * ВерсияСтруктурыВерсий - см. ВерсияСтруктурыВерсийПараметровШаблонов
//    * ДляПользователей - Структура:
//       ** ВерсииПараметровШаблонов - см. НовыеВерсииПараметровШаблонов
//       ** ОсновныеВариантыДоступа  - см. НовыеОсновныеВариантыДоступа
//    * ДляВнешнихПользователей - Структура:
//       ** ВерсииПараметровШаблонов - см. НовыеВерсииПараметровШаблонов
//       ** ОсновныеВариантыДоступа  - см. НовыеОсновныеВариантыДоступа
//
Функция НоваяСтруктураХранимыхВерсийПараметровШаблонов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяСтруктураХранимыхВерсийПараметровШаблонов());
```
</details>

## НовыеВерсииПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ХранимыеПараметрыОграниченияДоступа и
// НоваяСтруктураХранимыхВерсийПараметровШаблонов.
//
// Возвращаемое значение:
//   Соответствие из КлючИЗначение:
//     * Ключ  - Строка - полное имя регистра.
//     * Значение - Массив из см. НоваяВерсияПараметровШаблонов
//
Функция НовыеВерсииПараметровШаблонов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеВерсииПараметровШаблонов());
```
</details>

## НоваяВерсияПараметровШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НовыеВерсииПараметровШаблонов и процедуры НастроитьПараметрыШаблонов.
//
// Возвращаемое значение:
//  Структура:
//   * ДатаСоздания   - Дата   - момент добавления новой версии.
//   * Список         - Строка - полное имя объекта метаданных.
//   * ПоляСоединения - Строка - список полей, используемых в соединении.
//   * ПоляШаблона    - Строка - список полей, указанных в шаблоне #ДляРегистра.
//   * Используется   - Булево - признак того, что версия используется в шаблонах.
//   * ВариантДоступа - Число  - значение поля ВариантДоступа в регистрах КлючиДоступаКРегистрам,
//                               КлючиДоступаКРегистру*.
//
Функция НоваяВерсияПараметровШаблонов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяВерсияПараметровШаблонов());
```
</details>

## НовыеОсновныеВариантыДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции НоваяСтруктураХранимыхВерсийПараметровШаблонов.
//
// Возвращаемое значение:
//   Соответствие из КлючИЗначение:
//     * Ключ     - Строка - полное имя регистра.
//     * Значение - Массив из см. НовыйИспользуемыйВариантДоступа
//
Функция НовыеОсновныеВариантыДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеОсновныеВариантыДоступа());
```
</details>

## НовыйИспользуемыйВариантДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗаполнитьПараметрыДляШаблоновДляВидаПользователей.
//
// Возвращаемое значение:
//  Структура:
//    * ВариантДоступа - Число - значение поля ВариантДоступа
//                               в регистрах КлючиДоступаКРегистрам, КлючиДоступаКРегистру*,
//                               начиная с основного варианта доступа.
//    * ПоляСоединения - Строка - имена полей соединения для варианта доступа через запятую.
//
Функция НовыйИспользуемыйВариантДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйИспользуемыйВариантДоступа());
```
</details>

## СтруктураХранимыхПараметровОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьВерсиюПараметров.
//
// Возвращаемое значение:
//   ФиксированнаяСтруктура:
//     * ВерсияСтруктурыКэша - см. ВерсияСтруктурыКэша
//     * ВидыОграниченийПравДляПользователей        - Строка
//     * ВидыОграниченийПравДляВнешнихПользователей - Строка
//
Функция СтруктураХранимыхПараметровОтчета(Значения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтруктураХранимыхПараметровОтчета(Значения));
```
</details>

## НоваяСтруктураХранимыхПараметровОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СтруктураХранимыхПараметровОтчета и ХранимыеПараметрыОграниченияДоступа.
//
// Возвращаемое значение:
//   Структура:
//     * ВерсияСтруктурыКэша    - см. ВерсияСтруктурыКэша
//     * ВидыОграниченийПравДляПользователей        - Строка
//     * ВидыОграниченийПравДляВнешнихПользователей - Строка
//
Функция НоваяСтруктураХранимыхПараметровОтчета() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НоваяСтруктураХранимыхПараметровОтчета());
```
</details>

## ВидыОграниченийПравСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ХранимыеПараметрыОграниченияДоступа.
Функция ВидыОграниченийПравСтрокой(ВидыОграниченийПрав) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВидыОграниченийПравСтрокой(ВидыОграниченийПрав));
```
</details>

## ПараметрыОграниченияПоСтруктуреОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Основная функция области, возвращающая параметры ограничения доступа
// для вида пользователей списка без учета зависимости от других списков,
// как по ключам доступа, так и по наличию видов доступа Пользователи и ВнешниеПользователи.
//
// Возвращаемое значение:
//   Структура:
//     * Список                  - Строка - полное имя таблицы объекта метаданных.
//     * ДляВнешнихПользователей - Булево - вид пользователей, для которых предназначены параметры.
//     * Версия                  - Строка - хеш-сумма параметров ограничения доступа для отслеживания их изменения.
//     * ВедущиеСписки           - см. НовыеВедущиеСписки
//     * ДоступЗапрещен          - Булево - Истина, если текст ограничения "ГДЕ ЛОЖЬ",
//                                          а также не указан для внешних пользователей.
//     * ОграничениеОтключено    - Булево - Истина, если текст ограничения не указан или указан,
//                                          но ограничение отключено из-за отключения использования
//                                          видов доступа, задействованных в нем.
//     * ОграничениеЧтенияОтключено - Булево - Истина, если текст ограничения чтения не указан или указан,
//                                             но ограничение отключено из-за отключения использования
//                                             видов доступа, задействованных в нем.
//
//    Поле владельца, когда возможно ограничение только по объекту-владельцу.
//     * ПолеВладельца - см. НовоеПолеВладельца
//
//     * ТребуетсяОграничениеПоВладельцу    - Булево - признак оптимизации, указанный разработчиком
//                                                     рядом с текстом ограничения.
//     * ИспользуетсяОграничениеПоВладельцу - Булево - признак использования оптимизации,
//                                                     вычисленный на втором проходе графа.
//     * РассчитыватьПраваПользователей     - Булево - признак расчета прав на ключи доступа для пользователей,
//                                                     а не для групп доступа, вычисленный на втором проходе графа.
//                                                     Имеет смысл только, когда признак
//                                                     ИспользуетсяОграничениеПоВладельцу = Ложь.
//     * ЕстьЗависимыеСпискиБезЗаписиКлючейДоступа - Булево - признак того, что ведущий список должен записывать
//                                                     ключи для зависимых списков, которые не записывают
//                                                     своих ключей. Признак вычисляется на втором проходе графа.
//     * БезОбновленияКлючейДоступаКОбъектам - Булево - когда Истина, запись связи объекта с ключом доступа
//                                                     пропускается так как тип списка не указан
//                                                     в определяемом типе ВладелецЗначенийКлючейДоступа.
//     * БезОбновленияВсехКомбинацийЗначенийОпорныхПолей - Булево - когда Истина, запись связи строки регистра с ключом
//                                                     доступа пропускается, если тип значения опорного поля регистра не
//                                                     указан в определяемом типе ПолеРегистраКлючейДоступаКРегистрам
//                                                     или типе соответствующего поля отдельного регистра ключей.
//     * ЧтениеРазрешеноДляВсехПользователей - Булево - признак, вычисленный на втором проходе графа.
//                                                     Когда ЕстьЗависимыеСпискиБезЗаписиКлючейДоступа = Истина,
//                                                     тогда показывает наличие права Чтение в одной из ролей
//                                                     БазовыеПрава* или БазовыеПраваВнешнихПользователей*.
//     * ИзменениеРазрешеноДляВсехПользователей - Булево - признак, вычисленный на втором проходе графа.
//                                                     Когда ЕстьЗависимыеСпискиБезЗаписиКлючейДоступа = Истина,
//                                                     тогда показывает наличие права Изменение в одной из ролей
//                                                     БазовыеПрава* или БазовыеПраваВнешнихПользователей*.
//     * ЕстьВедущиеКлючиДоступа                - Булево - признак наличия ведущих ключей доступа в ограничении.
//     * ЕстьВедущиеСпискиПоПравам              - Булево - признак наличия ведущих списков по правам в ограничении.
//     * ЕстьФункцияПравоДоступаИлиРольДоступна - Булево - признак наличия перечисленных функций в ограничении.
//     * ТипыВладельцевНастроекПрав        - ФиксированноеСоответствие - типы владельцев настроек прав, используемые
//                                                     при расчете прав на ключи доступа (см. ПоТипамСсылок).
//     * ИдентификаторТаблицыНастроекПрав  - СправочникСсылка.ИдентификаторыОбъектовМетаданных - идентификатор
//                                             списка, если для него используются отдельные настройки прав
//                                             или пустой идентификатор.
//     * ЕстьВладельцыНастроекПрав         - Булево - признак наличия ограничения по владельцу настроек прав.
//     * ИспользуемыеТипыЗначенийДоступа   - Массив из Тип - описание типов значений доступа,
//                                                           которые используются в ограничении доступа.
//     * ВсеВидыОграниченийПрав            - Соответствие - все виды ограничений прав без учета использования.
//     * ПоляТаблицОбъекта                 - Массив из см. НовыеПоляТаблицыОбъекта
//     * ИмяОтдельногоРегистраКлючей       - Строка - для регистров.
//     * ОпорныеПоля                       - см. НовоеОписаниеОпорныхПолей
//     * ВариантДоступа                    - Число - основной вариант доступа смотри также НовыеОсновныеВариантыДоступа.
//     * СоставПолей                       - Число  - число, описывающее реквизиты, используемые в ключе.
//     * ЕстьОграничениеЧтения             - Булево - установлено, если ограничение чтения отличается от "ГДЕ ИСТИНА".
//     * ЕстьОграничениеИзменения          - Булево - установлено, если ограничение изменения отличается от "ГДЕ ИСТИНА".
//     * ЕстьОграничениеПоПользователям    - Булево - установлено, если проверяются значения Пользователь
//                                                 или ГруппаПользователей или ВнешнийПользователь
//                                                 или ГруппаВнешнихПользователей для функций
//                                                 ЗначениеРазрешено или ЭтоАвторизованныйПользователь.
//     * СтруктураРасчетаПраваЧтение       - см. СтруктураРасчетаПрава
//     * СтруктураРасчетаПраваИзменение    - см. СтруктураРасчетаПрава
//     * Контекст                          - см. КонтекстПараметровПоСтруктуреОграничения
//
Функция ПараметрыОграниченияПоСтруктуреОграничения(Список, СтруктураОграничения, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПараметрыОграниченияПоСтруктуреОграничения(Список, СтруктураОграничения, );
```
</details>

## НовыеВедущиеСписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Списки с полями от которых зависит ограничение доступа.
//
// Возвращаемое значение:
//   Структура:
//     * ПоЗначениямПолей     - Соответствие - списки с полями, от которых зависит ограничение доступа
//                                             (для регистрации заданий обновления).
//     * ПоКлючамДоступа      - Соответствие - списки от ключей доступа которых зависит ограничение доступа
//                                             (для установки параметров сеанса и регистрации заданий обновления).
//     * ПоЗначениямСГруппами - Соответствие - списки значений доступа с группами, от которых зависит
//                                             ограничение доступа (для регистрации заданий обновления).
//
Функция НовыеВедущиеСписки() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеВедущиеСписки());
```
</details>

## КонтекстПараметровПоСтруктуреОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * СтрокаСвойствВерсии     - Строка
//     * Список                  - Строка
//     * ДляВнешнихПользователей - Булево
//     * ЭтоСсылочныйТип         - Булево
//     * СписокСДатой            - Булево
//     * СписокСПериодом         - Булево
//     * ИмяКоллекцииТипа        - Строка
//     * СвойстваВерсии          - Массив из Строка
//     * ПоляТаблицОбъекта       - см. НовоеОписаниеПолейТаблицОбъекта
//     * ОпорныеПоля             - см. НовоеОписаниеОпорныхПолей
//     * ВариантДоступа          - Число - основной вариант доступа смотри также НовыеОсновныеВариантыДоступа.
//     * ИспользуетсяОграничениеПоВладельцу        - Булево
//     * РассчитыватьПраваПользователей            - Булево
//     * ЕстьЗависимыеСпискиБезЗаписиКлючейДоступа - Булево
//     * ЧтениеРазрешеноДляВсехПользователей       - Булево
//     * ИзменениеРазрешеноДляВсехПользователей    - Булево
//     * БезОбъектаМетаданных                      - Булево
//     * СтруктураОграничения                      - см. СтруктураОграничения
//     * ИсходнаяСтруктураОграничения              - см. СтруктураОграничения
//     * ВедущиеСпискиПоЗначениямПолей             - см. ОписаниеВедущихСписковПоЗначениямПолей
//     * ВедущиеСпискиПоКлючамДоступа              - см. ОписаниеВедущихСписковПоПолюСсылка
//     * ВедущиеСпискиПоЗначениямСГруппами         - см. ОписаниеВедущихСписковПоПолюСсылка
//     * ЕстьПроверкаАвторизованногоПользователя   - Булево
//     * ЕстьФункцияПравоДоступаИлиРольДоступна    - Булево
//     * ЕстьФункцияПравоДоступаИлиРольДоступнаВОграниченииЧтения - Булево
//     * НеиспользуемыеТипыЗначенийДоступа         - Массив из Тип
//     * ВсеВидыОграниченийПрав                    - Соответствие
//     * ЕстьОграничениеПоПользователям            - Булево
//     * ИспользуетсяОграничениеПоВладельцу        - Булево
//     * РассчитыватьПраваПользователей            - Булево
//     * СвойстваВсехПолей - Соответствие из КлючИЗначение:
//         ** Ключ     - см. ОписаниеУзла
//         ** Значение - см. СвойстваПоля
//     * ОставшиесяПоляПослеУпрощения - Соответствие из КлючИЗначение:
//         ** Ключ     - см. ОписаниеУзла
//         ** Значение - Массив из см. ОписаниеУзла
//     * ПоляКлючаДоступаПослеУпрощения - Массив из см. НовоеПолеКлючаДоступа
//     * СвойстваПолейКлючаДоступа - Соответствие из КлючИЗначение:
//         ** Ключ     - см. ОписаниеУзла
//         ** Значение - см. СвойстваПоля
//     * ГруппыПолей - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - имя группы полей (Шапка?, ТабличнаяЧасть?)
//         ** Значение - Массив из см. СвойстваПоля
//     * ПсевдонимыТабличныхЧастейОбъекта - Соответствие из КлючИЗначение:
//         ** Ключ     - Число  - номер табличной части ключа
//         ** Значение - Строка - псевдоним таблицы
//     * ГруппыДополнительныхТаблиц - см. ГруппыДополнительныхТаблиц
//     * КоличествоТабличныхЧастейКлюча - Число
//     * ПоляУсловияСоединенияДополнительныхТаблиц - Массив из Структура:
//         ** УзелПоле - см. ОписаниеУзла
//         ** ПсевдонимТаблицыУсловия - Строка
//     * ИмяПрава - Строка
//     * ТребуемыеРеквизитыТабличныхЧастейКлюча - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - имя таблицы ключа (ИмяГруппыПолейКлючаДоступа)
//         ** Значение - Массив из Строка - имя реквизита таблицы ключа (ИмяРеквизитаГруппыПолейКлючаДоступа)
//     * СтруктураРасчетаПраваСвойстваВерсии - Массив из Строка
//     * ВедущиеРоли - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - имя роли
//         ** Значение - Булево - значение Истина.
//
//   Свойства, скопированные от ОбщийКонтекст:
//     * СвойстваВидовДоступа         - см. СвойстваВидовДоступа
//     * ТипыПользователя             - Массив из Тип
//     * ТипыВладельцевНастроекПрав   - ФиксированноеСоответствие
//     * ОтдельныеТаблицыНастроекПрав - ФиксированноеСоответствие
//     * ИспользуемыеТипыЗначений     - см. ИспользуемыеТипыЗначений
//     * СпискиСОграничением          - см. УправлениеДоступомСлужебныйПовтИсп.СпискиСОграничением
//     * ВнешниеПользователиВключены  - Булево
//
//   Свойства, скопированные от ДополнительныйКонтекст:
//     * ОписанияОграничений - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - см. СокращенноеОписаниеОграничения
//     * СвойстваОграниченияСписков - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - см. НовыеСвойстваОграниченияСписка
//     * СпискиСОграничениемПоВладельцу - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - значение ПоВладельцу, кроме Неопределено.
//     * СпискиСОтключеннымОграничением - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - Истина
//     * СпискиСОтключеннымОграничениемЧтения - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - Истина
//     * СпискиСЗаписьюКлючейДляЗависимыхСписковБезКлючей - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - полное имя списка
//         ** Значение - Булево - Истина
//
Функция КонтекстПараметровПоСтруктуреОграничения() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КонтекстПараметровПоСтруктуреОграничения());
```
</details>

## СтруктураРасчетаПрава
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Структура ограничения, приведенную к формату размещения значений в ключах доступа.
//
// Возвращаемое значение:
//   Структура:
//     * Узел - Строка - одна из строк "Поле", "Константа", "И", "Или", "Не", "Выбор",
//         "ЗначениеРазрешено",      "ЭтоАвторизованныйПользователь",
//         "ЧтениеОбъектаРазрешено", "ИзменениеОбъектаРазрешено",
//         "ЧтениеСпискаРазрешено",  "ИзменениеСпискаРазрешено",
//         "ДляВсехСтрок",           "ДляОднойИзСтрок".
//
//    Свойства узла Поле.
//     * Таблица   - Строка - таблица ключа доступа (Шапка?, ТабличнаяЧасть?).
//     * Реквизит  - Строка - имя реквизита таблицы ключа доступа (Реквизит?).
//     * ПроверкаЕстьNull - Булево - Истина (необязательное свойство).
//
//    Свойства узла Константа.
//     * Значение - Булево
//                - Число
//                - Строка
//                - Неопределено - Ложь, Истина, произвольное
//                     целое число до 16 разрядов или произвольная строка до 150 символов.
//
//    Свойства узлов И, Или.
//     * Аргументы - Массив из см. СтруктураРасчетаПрава
//
//    Свойства узла Не.
//     * Аргумент - см. СтруктураРасчетаПрава
//
//     * Узел - Строка - заглушка к предыдущей строке (для определения типа в EDT)
//
//    Свойства узла Выбор (Иначе может быть Неопределено).
//     * Иначе - см. СтруктураРасчетаПрава
//     * Когда - Массив из Структура:
//         ** Условие  - см. СтруктураРасчетаПрава
//         ** Значение - см. СтруктураРасчетаПрава
//
//     * Узел - Строка - заглушка к предыдущей строке (для определения типа в EDT)
//
//    Свойства узлов ЗначениеРазрешено,      ЭтоАвторизованныйПользователь,
//                   ЧтениеОбъектаРазрешено, ИзменениеОбъектаРазрешено,
//                   ЧтениеСпискаРазрешено,  ИзменениеСпискаРазрешено.
//     * Поле - см. СтруктураРасчетаПрава
//     * УточненияСравнения - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка
//                     - Тип - уточняемое значение "Неопределено", "Null", "ПустаяСсылка",
//                             "Отключено", Тип (Ссылка, Число, Даты, Булево).
//         ** Значение - Строка - результат "Ложь", "Истина".
//
//    Свойства узлов ДляВсехСтрок, ДляОднойИзСтрок.
//     * Аргумент - см. СтруктураРасчетаПрава
//
Функция СтруктураРасчетаПрава() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтруктураРасчетаПрава());
```
</details>

## НастроитьСозданиеКлючаДоступаДляЗависимыхСписковБезКлючей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПараметрыОграниченияПоСтруктуреОграничения.
Процедура НастроитьСозданиеКлючаДоступаДляЗависимыхСписковБезКлючей(Результат) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.НастроитьСозданиеКлючаДоступаДляЗависимыхСписковБезКлючей(Результат));
```
</details>

## ПравоРазрешеноДляВсехПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПараметрыОграниченияПоСтруктуреОграничения.
Функция ПравоРазрешеноДляВсехПользователей(ИмяПрава, ОбъектМетаданных, ДляВнешнихПользователей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПравоРазрешеноДляВсехПользователей(ИмяПрава, ОбъектМетаданных, ДляВнешнихПользователей));
```
</details>

## ДобавитьСвойствоВерсииВедущиеРоли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПараметрыОграниченияПоСтруктуреОграничения.
Процедура ДобавитьСвойствоВерсииВедущиеРоли(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСвойствоВерсииВедущиеРоли(Контекст));
```
</details>

## ДобавитьСвойстваВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УдалитьПоляНеиспользуемыхВидовДоступа и функции ГруппыДополнительныхТаблиц.
Процедура ДобавитьСвойстваВерсии(Контекст, Структура, ИменаПолей = "") Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСвойстваВерсии(Контекст, Структура, ИменаПолей);
```
</details>

## ДобавитьСвойствоВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПараметрыОграниченияПоСтруктуреОграничения.
Процедура ДобавитьСвойствоВерсии(Контекст, Структура, ИмяПоля) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСвойствоВерсии(Контекст, Структура, ИмяПоля));
```
</details>

## ДобавитьЭлементВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ДобавитьСвойстваВерсии, ДобавитьСвойствоВерсии.
Процедура ДобавитьЭлементВерсии(Контекст, ИмяПоля, Значение) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЭлементВерсии(Контекст, ИмяПоля, Значение) 
```
</details>

## ЭтоСсылочныйТипТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияПоСтруктуреОграничения и формы ОбновлениеДоступаРучноеУправление.
//
// Возвращаемое значение:
//  Булево
//
Функция ЭтоСсылочныйТипТаблицы(ПолноеИмя, ИмяКоллекцииТипа = "") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоСсылочныйТипТаблицы(ПолноеИмя, ИмяКоллекцииТипа);
```
</details>

## НовыеПоляТаблицыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//    * ПолноеИмяТаблицы - Строка
//    * ТабличнаяЧасть   - Строка
//    * Поля             - Массив из Строка - с полем Ссылка
//    * СписокПолей      - Строка - без поля Ссылка
//    * ТаблицаСПолями   - ХранилищеЗначения - с объектом ТаблицаЗначений
//                         с типизированными полями (включая поле Ссылка).
//
Функция НовыеПоляТаблицыОбъекта() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеПоляТаблицыОбъекта());
```
</details>

## НовоеОписаниеПолейТаблицОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//    * Результат - Массив из см. НовыеПоляТаблицыОбъекта
//    * Состав - Структура:
//        ** Ключ - Строка - полное имя таблицы объекта.
//        ** Значение - Структура:
//             *** Ключ - Строка - имя поля.
//             *** Значение - Структура:
//                   **** Тип - ОписаниеТипов - типы поля.
//                   **** Использование - Булево - использование поля.
//    * ПоСвойствамПолей - Соответствие из КлючИЗначение:
//        ** Ключ     - см. НовыеСвойстваПоля
//        ** Значение - Структура:
//             *** Таблица - Строка - полное имя таблицы объекта.
//             *** Поле    - Строка - имя поля.
//    * ПоДополнительнымТаблицам - Соответствие из КлючИЗначение:
//        ** Ключ     - Строка - дополнительная таблица
//        ** Значение - Структура:
//             *** Ключ - Строка - полное имя таблицы объекта.
//             *** Значение - Массив из Строка - имя поля.
//
Функция НовоеОписаниеПолейТаблицОбъекта(Результат) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовоеОписаниеПолейТаблицОбъекта(Результат));
```
</details>

## ЗаполнитьНовоеОписаниеОпорныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияПоСтруктуреОграничения.
//
// Параметры:
//  Результат - см. ПараметрыОграниченияПоСтруктуреОграничения
//  Контекст  - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ЗаполнитьНовоеОписаниеОпорныхПолей(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьНовоеОписаниеОпорныхПолей(Результат, Контекст));
```
</details>

## НовоеОписаниеОпорныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//    * Все                             - Массив
//    * ТипыВсех                        - Массив из ХранилищеЗначения - содержит тип ОписаниеТипов
//    * Используемые                    - Массив
//    * ТипыИспользуемых                - Массив из ХранилищеЗначения - содержит тип ОписаниеТипов
//    * МаксимальноеКоличество          - Число
//    * МаксимальноДопустимоеКоличество - Число
//
//    * Список                          - СписокЗначений
//    * ТипыПоИменамПолей - Соответствие из КлючИЗначение:
//        ** Ключ     - Строка - имя опорного поля
//        ** Значение - ОписаниеТипов - типы опорного поля
//    * ПоСвойствамПолей - Соответствие из КлючИЗначение:
//        ** Ключ     - см. НовыеСвойстваПоля
//        ** Значение - Строка - имя опорного поля
//    * ПоДополнительнымТаблицам - Соответствие из КлючИЗначение:
//        ** Ключ     - Строка - дополнительная таблица
//        ** Значение - Массив из Строка - имена опорных полей
//    * НедостающиеТипы - Массив из Строка - полные имена типов
//    * ПоляНедостающихТипов - Массив из Строка - имена полей регистра ключей
//
Функция НовоеОписаниеОпорныхПолей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовоеОписаниеОпорныхПолей());
```
</details>

## ЭтоБезусловноеОграничение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
//
// Параметры:
//  Контекст  - см. КонтекстПараметровПоСтруктуреОграничения
//  Результат - см. ПараметрыОграниченияПоСтруктуреОграничения
//
Функция ЭтоБезусловноеОграничение(Контекст, Результат) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоБезусловноеОграничение(Контекст, Результат));
```
</details>

## ЗаполнитьНаличиеОграниченияПоПравам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
//
// Параметры:
//  Контекст  - см. КонтекстПараметровПоСтруктуреОграничения
//  Результат - см. ПараметрыОграниченияПоСтруктуреОграничения
//
Процедура ЗаполнитьНаличиеОграниченияПоПравам(Контекст, Результат, ПослеУпрощения) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьНаличиеОграниченияПоПравам(Контекст, Результат, ПослеУпрощения));
```
</details>

## ЗаполнитьОграничениеПоОбъектуВладельцуДоУпрощения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
//
// Параметры:
//  Результат - см. ПараметрыОграниченияПоСтруктуреОграничения
//  Контекст  - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ЗаполнитьОграничениеПоОбъектуВладельцуДоУпрощения(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьОграничениеПоОбъектуВладельцуДоУпрощения(Результат, Контекст));
```
</details>

## ВозможноеОграничениеПоОбъектуВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьОграничениеПоОбъектуВладельцуДоУпрощения.
Функция ВозможноеОграничениеПоОбъектуВладельцу(Условие, ЭтоОграничениеИзменения, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВозможноеОграничениеПоОбъектуВладельцу(Условие, ЭтоОграничениеИзменения, Контекст));
```
</details>

## ОбработаноВозможноеОграничениеПоОбъектуВладельцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ВозможноеОграничениеПоОбъектуВладельцу.
Функция ОбработаноВозможноеОграничениеПоОбъектуВладельцу(Условие, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбработаноВозможноеОграничениеПоОбъектуВладельцу(Условие, );
```
</details>

## ЗаполнитьОграничениеПоОбъектуВладельцуПослеУпрощения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
//
// Параметры:
//  Результат - см. ПараметрыОграниченияПоСтруктуреОграничения
//  Контекст  - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ЗаполнитьОграничениеПоОбъектуВладельцуПослеУпрощения(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьОграничениеПоОбъектуВладельцуПослеУпрощения(Результат, Контекст));
```
</details>

## НовоеПолеВладельца
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * Имя - Строка
//     * ИзменениеКакЧтение - Булево
//     * Отключено - Булево
//
Функция НовоеПолеВладельца() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовоеПолеВладельца());
```
</details>

## ТекстОшибкиСЗаголовком
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗаполнитьОграничениеПоОбъектуВладельцу и процедуры НастроитьОптимизациюПоПолюВладельцу.
Функция ТекстОшибкиСЗаголовком(ТекстОшибки, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстОшибкиСЗаголовком(ТекстОшибки, Контекст));
```
</details>

## ФункцияБезУточненийТиповСПолемБезВложений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьОграничениеПоОбъектуВладельцу.
Функция ФункцияБезУточненийТиповСПолемБезВложений(Ограничение) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ФункцияБезУточненийТиповСПолемБезВложений(Ограничение));
```
</details>

## ЗаполнитьНаличиеВедущихКлючейИСписковИВладельцевНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
//
// Параметры:
//  Результат - см. ПараметрыОграниченияПоСтруктуреОграничения
//  Контекст  - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ЗаполнитьНаличиеВедущихКлючейИСписковИВладельцевНастроекПрав(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьНаличиеВедущихКлючейИСписковИВладельцевНастроекПрав(Результат, Контекст));
```
</details>

## УдалитьПоляНеиспользуемыхВидовДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
//
// Параметры:
//  Результат - см. ПараметрыОграниченияПоСтруктуреОграничения
//  Контекст  - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура УдалитьПоляНеиспользуемыхВидовДоступа(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьПоляНеиспользуемыхВидовДоступа(Результат, Контекст));
```
</details>

## ЗаполнитьНаличиеОграниченияПоВидуДоступаПользователи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
//
// Параметры:
//  Результат - см. ПараметрыОграниченияПоСтруктуреОграничения
//  Контекст  - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ЗаполнитьНаличиеОграниченияПоВидуДоступаПользователи(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьНаличиеОграниченияПоВидуДоступаПользователи(Результат, Контекст));
```
</details>

## ЗаполнитьНаличиеОграниченияЧтения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
//
// Параметры:
//  Результат - см. ПараметрыОграниченияПоСтруктуреОграничения
//  Контекст  - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ЗаполнитьНаличиеОграниченияЧтения(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьНаличиеОграниченияЧтения(Результат, Контекст));
```
</details>

## ЗаполнитьГруппыПолейИДополнительныхТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
//
// Параметры:
//  Контекст - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ЗаполнитьГруппыПолейИДополнительныхТаблиц(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьГруппыПолейИДополнительныхТаблиц(Контекст));
```
</details>

## ЗаполнитьСтруктуруРасчетаПрава
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
//
// Параметры:
//   УсловиеРасчета - см. СтруктураРасчетаПрава
//   Условие        - см. ОписаниеУзла
//   Контекст       - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ЗаполнитьСтруктуруРасчетаПрава(УсловиеРасчета, Условие, Контекст, КореньУсловия = Истина) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьСтруктуруРасчетаПрава(УсловиеРасчета, Условие, Контекст, КореньУсловия);
```
</details>

## УсловиеРасчетаПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьСтруктуруРасчетаПрава.
Процедура УсловиеРасчетаПоле(УсловиеРасчета, СвойстваПоля, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УсловиеРасчетаПоле(УсловиеРасчета, СвойстваПоля, Контекст));
```
</details>

## ДобавитьЗависимостьОтРолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьСтруктуруРасчетаПрава.
Процедура ДобавитьЗависимостьОтРолей(Контекст, УсловиеРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗависимостьОтРолей(Контекст, УсловиеРасчета));
```
</details>

## ДобавитьСвойствоВерсииСтруктурыРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗаполнитьСтруктуруРасчетаПрава, УсловиеРасчетаПоле.
Процедура ДобавитьСвойствоВерсииСтруктурыРасчета(Контекст, Имя, Значение); Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСвойствоВерсииСтруктурыРасчета(Контекст, Имя, Значение););
```
</details>

## Степень16
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьГруппыПолейИДополнительныхТаблиц.
Функция Степень16(Степень) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.Степень16(Степень));
```
</details>

## ГруппыДополнительныхТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЗаполнитьГруппыПолейИДополнительныхТаблиц.
//
// Параметры:
//  Контекст - см. КонтекстПараметровПоСтруктуреОграничения
//
// Возвращаемое значение:
//  Структура:
//    * НомераПоПсевдонимам - Соответствие из КлючИЗначение:
//        ** Ключ     - Строка - псевдоним дополнительной таблицы
//        ** Значение - Число  - номер группы дополнительных таблиц
//
//    * ТаблицыПоГруппам - Соответствие из КлючИЗначение:
//        ** Ключ     - Число - номер группы дополнительных таблиц
//        ** Значение - Массив из см. НовоеОписаниеСоединения
//
//    * ПсевдонимыТаблицСПолями - Соответствие из КлючИЗначение:
//        ** Ключ     - Строка - псевдоним дополнительной таблицы
//                               с полями ключа доступа (кроме полей соединений).
//        ** Значение - Булево - Истина.
//
Функция ГруппыДополнительныхТаблиц(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ГруппыДополнительныхТаблиц(Контекст));
```
</details>

## ТекстУсловияСоединения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ГруппыДополнительныхТаблиц.
Функция ТекстУсловияСоединения(ДополнительнаяТаблица, Контекст, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстУсловияСоединения(ДополнительнаяТаблица, Контекст, );
```
</details>

## ПараПолейУсловияСоединения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//    * ПервоеПоле - см. НовоеПолеУсловияСоединения
//    * ВтороеПоле - см. НовоеПолеУсловияСоединения
//
Функция ПараПолейУсловияСоединения(ПервоеПоле, ВтороеПоле) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПараПолейУсловияСоединения(ПервоеПоле, ВтороеПоле));
```
</details>

## НовоеПолеУсловияСоединения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//    * Поле      - Строка
//    * Псевдоним - Строка
//
Функция НовоеПолеУсловияСоединения() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовоеПолеУсловияСоединения());
```
</details>

## ДобавитьПолеТаблицыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СвойстваПоля, ТекстУсловияСоединения.
Процедура ДобавитьПолеТаблицыОбъекта(Контекст, УзелПоле, СвойстваПоля = Неопределено, ДополнительнаяТаблица = Неопределено, ТабличнаяЧасть = "") Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПолеТаблицыОбъекта(Контекст, УзелПоле, СвойстваПоля, ДополнительнаяТаблица, ТабличнаяЧасть);
```
</details>

## ДобавитьОпорноеПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СвойстваПоля, ТекстУсловияСоединения.
Процедура ДобавитьОпорноеПоле(Контекст, УзелПоле, СвойстваПоля = Неопределено, ДополнительнаяТаблица = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьОпорноеПоле(Контекст, УзелПоле, СвойстваПоля, ДополнительнаяТаблица);
```
</details>

## УстановитьИспользованиеПоляТаблицыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур УдалитьПоляНеиспользуемыхВидовДоступа, ГруппыДополнительныхТаблиц.
Процедура УстановитьИспользованиеПоляТаблицыОбъекта(Контекст, СвойстваПоля = Неопределено, ДополнительнаяТаблица = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьИспользованиеПоляТаблицыОбъекта(Контекст, СвойстваПоля, ДополнительнаяТаблица);
```
</details>

## УстановитьИспользованиеОпорногоПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур УдалитьПоляНеиспользуемыхВидовДоступа, ГруппыДополнительныхТаблиц.
Процедура УстановитьИспользованиеОпорногоПоля(Контекст, СвойстваПоля = Неопределено, ДополнительнаяТаблица = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьИспользованиеОпорногоПоля(Контекст, СвойстваПоля, ДополнительнаяТаблица);
```
</details>

## ЗавершитьПодготовкуПолейТаблицОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьГруппыПолейИДополнительныхТаблиц.
//
// Параметры:
//  Контекст - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ЗавершитьПодготовкуПолейТаблицОбъекта(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗавершитьПодготовкуПолейТаблицОбъекта(Контекст));
```
</details>

## ЗавершитьПодготовкуОпорныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьГруппыПолейИДополнительныхТаблиц.
//
// Параметры:
//  Контекст - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ЗавершитьПодготовкуОпорныхПолей(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗавершитьПодготовкуОпорныхПолей(Контекст));
```
</details>

## ИмяПоляСРазверткойОпорногоПоляПоТипам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ТекстУсловияСоединения, СвойстваПоля.
Функция ИмяПоляСРазверткойОпорногоПоляПоТипам(Псевдоним, УзелПоле) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИмяПоляСРазверткойОпорногоПоляПоТипам(Псевдоним, УзелПоле));
```
</details>

## ЗаполнитьСвойстваПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияДоступа.
Процедура ЗаполнитьСвойстваПолей(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьСвойстваПолей(Контекст));
```
</details>

## УпрощенноеУсловиеОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьСвойстваПолей.
Функция УпрощенноеУсловиеОграничения(Знач Условие, Контекст, КореньУсловия = Ложь, ДобавитьОставшиесяПоля = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.УпрощенноеУсловиеОграничения(Условие, Контекст, КореньУсловия, ДобавитьОставшиесяПоля);
```
</details>

## ОбработатьУпрощенноеЗначениеВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции УпрощенноеУсловиеОграничения.
Процедура ОбработатьУпрощенноеЗначениеВыбора(Условие, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьУпрощенноеЗначениеВыбора(Условие, );
```
</details>

## РезультатФункцииЗначениеРазрешено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции УпрощенноеУсловиеОграничения.
Функция РезультатФункцииЗначениеРазрешено(Условие, ТипыКонечногоПоля, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РезультатФункцииЗначениеРазрешено(Условие, ТипыКонечногоПоля, Контекст));
```
</details>

## ТипЗначенийДоступаИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РезультатФункцииЗначениеРазрешено и процедуры ДобавитьСвойстваТиповПоля.
Функция ТипЗначенийДоступаИспользуется(Контекст, ТипЗначений) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипЗначенийДоступаИспользуется(Контекст, ТипЗначений));
```
</details>

## РезультатФункцииПравоОбъектаРазрешено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции УпрощенноеУсловиеОграничения.
Функция РезультатФункцииПравоОбъектаРазрешено(Условие, ТипыКонечногоПоля, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РезультатФункцииПравоОбъектаРазрешено(Условие, ТипыКонечногоПоля, Контекст));
```
</details>

## ОбработанноеСовмещенноеПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьСвойстваПолей.
Функция ОбработанноеСовмещенноеПоле(ОбработанныеОдинаковыеПоля, СвойстваПоля) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбработанноеСовмещенноеПоле(ОбработанныеОдинаковыеПоля, СвойстваПоля));
```
</details>

## УточнитьСвойстваПоляСравнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьСвойстваПолей.
Процедура УточнитьСвойстваПоляСравнения(Свойства, ОписаниеПоля, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УточнитьСвойстваПоляСравнения(Свойства, ОписаниеПоля, Контекст));
```
</details>

## НаборПолейУсловияКогда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьСвойстваПолей.
Функция НаборПолейУсловияКогда(ИсходныеСвойстваПоля, ОписаниеПоля, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НаборПолейУсловияКогда(ИсходныеСвойстваПоля, ОписаниеПоля, Контекст));
```
</details>

## БезЗначенияNull
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СвойстваПоля, УточнитьСвойстваПоляСравнения, НаборПолейУсловияКогда.
Функция БезЗначенияNull(СвойстваПоля) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.БезЗначенияNull(СвойстваПоля));
```
</details>

## ДобавитьСвойстваТиповПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьСвойстваПолей.
//
// Параметры:
//   Свойства     - см. СвойстваПоля
//   ОписаниеПоля - см. НовоеПолеКлючаДоступа
//   Контекст     - см. КонтекстПараметровПоСтруктуреОграничения
//
Процедура ДобавитьСвойстваТиповПоля(Свойства, ОписаниеПоля, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСвойстваТиповПоля(Свойства, ОписаниеПоля, Контекст));
```
</details>

## ИмяТипаНаЯзыкеЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СвойстваПоля, ДобавитьСвойстваТиповПоля.
Функция ИмяТипаНаЯзыкеЗапросов(Тип, ОбъектМетаданных = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИмяТипаНаЯзыкеЗапросов(Тип, ОбъектМетаданных);
```
</details>

## ДобавитьВидОграниченияПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьСвойстваТиповПоля.
Процедура ДобавитьВидОграниченияПрав(ВидОграничения, СвойстваПоля, Контекст, ПоОбъекту = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВидОграниченияПрав(ВидОграничения, СвойстваПоля, Контекст, ПоОбъекту);
```
</details>

## СвойстваПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьСвойстваПолей.
//
// Параметры:
//  УзелПоле - см. ОписаниеУзла
//  Контекст - см. КонтекстПараметровПоСтруктуреОграничения
//  СвойстваПоля - см. СвойстваПоля
//
// Возвращаемое значение:
//   Структура:
//     * ПсевдонимТаблицы  - Строка
//     * ИмяПоляДляЗапроса - Строка
//     * ТабличнаяЧасть    - Строка
//     * ЭтоПолеСписка     - Булево
//     * БезЗначенияNull   - Булево
//     * ПолеСодержитNull  - Неопределено
//     * ЕстьВыразить      - Неопределено
//     * УзелПоле          - см. ОписаниеУзла
//     * СвойстваВложения  - см. СвойстваПоля
//     * Чтение            - Булево
//     * ПроверкаЕстьNull  - Неопределено
//     * ТипыСохраненияКлючейДоступа       - Массив из Тип
//     * ТипыСохраненияГруппЗначений       - Массив из Тип
//     * ТипыСохраненияЗначений            - Массив из Тип
//     * ТипыСохраненияПустойСсылки        - Массив из Тип
//     * ТипыСохраненияТипов               - Массив из Тип
//     * ТипыСохраненияТипаЗапрещенный     - Массив из Тип
//     * ТипыСохраненияТипаРазрешенный     - Массив из Тип
//     * НеиспользуемыеТипыЗначенийДоступа - Массив из Тип
//     * ИспользуемыеТипыЗначенийДоступа   - Массив из Тип
//     * НесколькоГруппЗначений                    - Булево
//     * ЭтоСписокЗначенийДоступаСГруппамиЗначений - Булево
//     * ЕстьУточнениеNull                         - Булево
//     * ЕстьУточнениеНеопределено                 - Булево
//     * ЕстьТипВедущегоСписка                     - Булево
//     * ЕстьТипВладельцаНастроекПрав              - Булево
//     * ЕстьПроверкаАвторизованногоПользователя   - Булево
//     * ТипыСохраненияТиповКонфигурации     - Массив из Тип
//     * ТипыСохраненияТиповРасширений       - Массив из Тип
//     * ТипыСохраненияТиповПростых          - Массив из Тип
//     * ИмяГруппыПолейКлючаДоступа          - Строка
//     * ИмяРеквизитаГруппыПолейКлючаДоступа - Строка
//
Функция СвойстваПоля(УзелПоле, Контекст, СвойстваПоля = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваПоля(УзелПоле, Контекст, СвойстваПоля);
```
</details>

## ОписаниеВедущихСписковПоЗначениямПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Для функции ПараметрыОграниченияПоСтруктуреОграничения.
//
// Возвращаемое значение:
//   Структура:
//     * Поля              - Соответствие
//     * СоединенияОтборов - Соответствие
//
Функция ОписаниеВедущихСписковПоЗначениямПолей() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеВедущихСписковПоЗначениямПолей());
```
</details>

## ДобавитьВедущиеСпискиПоЗначениямПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ГруппыДополнительныхТаблиц.
Процедура ДобавитьВедущиеСпискиПоЗначениямПолей(Контекст, УзелПоле, СвойстваВложения = Неопределено, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВедущиеСпискиПоЗначениямПолей(Контекст, УзелПоле, СвойстваВложения, );
```
</details>

## ДобавитьПолеВедущегоСпискаПоЗначениямПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьВедущиеСпискиПоЗначениямПолей.
Процедура ДобавитьПолеВедущегоСпискаПоЗначениямПолей(Контекст, Таблица, Поле, ТипПоля, ДополнительныйКонтекст, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПолеВедущегоСпискаПоЗначениямПолей(Контекст, Таблица, Поле, ТипПоля, ДополнительныйКонтекст, );
```
</details>

## ВставитьПолеВедущегоСпискаПоЗначениямПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуру ДобавитьПолеВедущегоСпискаПоЗначениямПолей.
Процедура ВставитьПолеВедущегоСпискаПоЗначениямПолей(ОписаниеПолей, ТабличнаяЧасть, Поле, ТипПоля) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВставитьПолеВедущегоСпискаПоЗначениямПолей(ОписаниеПолей, ТабличнаяЧасть, Поле, ТипПоля));
```
</details>

## ОписаниеВедущихСписковПоПолюСсылка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ПараметрыОграниченияПоСтруктуреОграничения.
//
// Возвращаемое значение:
//   Структура:
//     * Списки               - Соответствие
//     * КлючиЗапросовПоТипам - Соответствие
//     * СоединенияОтборов    - Соответствие
//     * ТипСсылки            - ОписаниеТипов
//
Функция ОписаниеВедущихСписковПоПолюСсылка() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеВедущихСписковПоПолюСсылка());
```
</details>

## ДобавитьВедущийСписокПоПолюСсылка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьСвойстваТиповПоля.
Процедура ДобавитьВедущийСписокПоПолюСсылка(ВедущиеСписки, ВедущийСписок, УзелПоле, СвойстваПоля, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВедущийСписокПоПолюСсылка(ВедущиеСписки, ВедущийСписок, УзелПоле, СвойстваПоля, Контекст));
```
</details>

## ЗаполнитьОтборыПоЗначениямПолейВедущегоСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ГруппыДополнительныхТаблиц.
Процедура ЗаполнитьОтборыПоЗначениямПолейВедущегоСписка(ВедущийСписок, Описание, Группы, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьОтборыПоЗначениямПолейВедущегоСписка(ВедущийСписок, Описание, Группы, Контекст));
```
</details>

## ЗаполнитьОтборыВедущихСписковПоПолюСсылка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ГруппыДополнительныхТаблиц.
Процедура ЗаполнитьОтборыВедущихСписковПоПолюСсылка(ВедущиеСписки, Группы, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьОтборыВедущихСписковПоПолюСсылка(ВедущиеСписки, Группы, Контекст));
```
</details>

## ТекстСоединенияОтбораПоЗначениямПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьОтборыПоЗначениямПолейВедущегоСписка.
Функция ТекстСоединенияОтбораПоЗначениямПолей(Условие, Группы, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстСоединенияОтбораПоЗначениямПолей(Условие, Группы, Контекст));
```
</details>

## ЭтоПростойТип
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Для процедур ДобавитьОпорноеПоле, ДобавитьТипыИзмерения, ДобавитьСвойстваТиповПоля,
// ДобавитьПроверкуПоТипам и функции СвойстваПоля.
//
Функция ЭтоПростойТип(Тип) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоПростойТип(Тип));
```
</details>

## ТипПроверяется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДобавитьСвойстваТиповПоля.
Функция ТипПроверяется(Узел, ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипПроверяется(Узел, ПолноеИмя));
```
</details>

## ТипУточнен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДобавитьСвойстваТиповПоля.
Функция ТипУточнен(Узел, ИмяТипаНаЯзыкеЗапросов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипУточнен(Узел, ИмяТипаНаЯзыкеЗапросов));
```
</details>

## УточнениеТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДобавитьСвойстваТиповПоля.
Функция УточнениеТипа(Узел, ИмяТипаНаЯзыкеЗапросов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.УточнениеТипа(Узел, ИмяТипаНаЯзыкеЗапросов));
```
</details>

## ТипЗначенияУзлаЗначениеИлиКонстанта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СвойстваПоля.
Функция ТипЗначенияУзлаЗначениеИлиКонстанта(Узел) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипЗначенияУзлаЗначениеИлиКонстанта(Узел));
```
</details>

## ВыражениеУзлаЗначениеИлиКонстанта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ТекстУсловияСоединения, СвойстваПоля, НаборПолейУсловияКогда и
// процедуры УточнитьСвойстваПоляСравнения.
//
Функция ВыражениеУзлаЗначениеИлиКонстанта(Узел) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВыражениеУзлаЗначениеИлиКонстанта(Узел));
```
</details>

## ТипСсылкиПоПолномуИмениПредопределенного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТипЗначенияУзлаЗначениеИлиКонстанта.
Функция ТипСсылкиПоПолномуИмениПредопределенного(ПолноеИмяПредопределенного) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипСсылкиПоПолномуИмениПредопределенного(ПолноеИмяПредопределенного));
```
</details>

## ТипСсылкиПоПолномуИмениМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СвойстваПоля, ТипСсылкиПоПолномуИмениПредопределенного.
Функция ТипСсылкиПоПолномуИмениМетаданных(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипСсылкиПоПолномуИмениМетаданных(ПолноеИмя));
```
</details>

## ТипКлючаЗаписиПоПолномуИмениМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции КлючТаблицы.
Функция ТипКлючаЗаписиПоПолномуИмениМетаданных(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипКлючаЗаписиПоПолномуИмениМетаданных(ПолноеИмя));
```
</details>

## ТипНабораЗаписейПоПолномуИмениМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции КлючТаблицы.
Функция ТипНабораЗаписейПоПолномуИмениМетаданных(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипНабораЗаписейПоПолномуИмениМетаданных(ПолноеИмя));
```
</details>

## ТипМенеджераОбъектаПоПолномуИмениМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции КлючТаблицы.
Функция ТипМенеджераОбъектаПоПолномуИмениМетаданных(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипМенеджераОбъектаПоПолномуИмениМетаданных(ПолноеИмя));
```
</details>

## ЭтоРусскийВариантВидаОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ТипСсылкиПоПолномуИмениМетаданных, ТипКлючаЗаписиПоПолномуИмениМетаданных,
// ТипНабораЗаписейПоПолномуИмениМетаданных, ТипМенеджераОбъектаПоПолномуИмениМетаданных.
//
Функция ЭтоРусскийВариантВидаОбъектаМетаданных(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЭтоРусскийВариантВидаОбъектаМетаданных(ПолноеИмя));
```
</details>

## НовыеРеквизитыТаблицКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Соответствие из КлючИЗначение:
//   * Ключ - Строка
//   * Значение - Массив из Строка
//
Функция НовыеРеквизитыТаблицКлюча() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеРеквизитыТаблицКлюча());
```
</details>

## ДобавитьТекстыЗапросовВПараметрыОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Основная функция области, которая является второй частью
// функции ПараметрыОграниченияПоСтруктуреОграничения, но
// не используется при подготовке хранимых параметров ограничения доступа,
// а используется при вызове функции ПараметрыОграничения.
//
Процедура ДобавитьТекстыЗапросовВПараметрыОграничения(Результат) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТекстыЗапросовВПараметрыОграничения(Результат));
```
</details>

## ЗаполнитьНедостающиеТипыОпорныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПараметрыОграниченияПоСтруктуреОграничения.
Процедура ЗаполнитьНедостающиеТипыОпорныхПолей(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьНедостающиеТипыОпорныхПолей(Результат, Контекст));
```
</details>

## ДобавитьТекстЗапросаДатыСледующегоЭлементаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ДобавитьТекстЗапросаДатыСледующегоЭлементаДанных(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТекстЗапросаДатыСледующегоЭлементаДанных(Результат, Контекст));
```
</details>

## ДобавитьТекстЗапросаУстаревшихЭлементовДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ДобавитьТекстЗапросаУстаревшихЭлементовДанных(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТекстЗапросаУстаревшихЭлементовДанных(Результат, Контекст));
```
</details>

## ЗаполнитьИспользуемыеПоляОсновнойТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ЗаполнитьИспользуемыеПоляОсновнойТаблицы(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьИспользуемыеПоляОсновнойТаблицы(Контекст));
```
</details>

## ЗаполнитьШаблоныЧастейЗапросаПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ЗаполнитьШаблоныЧастейЗапросаПроверки(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьШаблоныЧастейЗапросаПроверки(Контекст));
```
</details>

## ЗаполнитьШаблоныЧастейЗапросаПроверкиОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьШаблоныЧастейЗапросаПроверки.
Процедура ЗаполнитьШаблоныЧастейЗапросаПроверкиОбъекта(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьШаблоныЧастейЗапросаПроверкиОбъекта(Контекст));
```
</details>

## ЗаполнитьШаблоныЧастейЗапросаПроверкиРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьШаблоныЧастейЗапросаПроверки.
Процедура ЗаполнитьШаблоныЧастейЗапросаПроверкиРегистра(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьШаблоныЧастейЗапросаПроверкиРегистра(Контекст));
```
</details>

## ДобавитьЗапросыПроверкиПоВедущимСпискам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЗаполнитьШаблоныЧастейЗапросаПроверкиОбъекта, ЗаполнитьШаблоныЧастейЗапросаПроверкиРегистра.
Процедура ДобавитьЗапросыПроверкиПоВедущимСпискам(ШаблонЗапроса, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗапросыПроверкиПоВедущимСпискам(ШаблонЗапроса, Контекст));
```
</details>

## ОписаниеЗапросовПроверкиПоВедущейТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьЗапросыПроверкиПоВедущимСпискам.
Функция ОписаниеЗапросовПроверкиПоВедущейТаблице(СоединенияОтборов, ТипыПолей, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеЗапросовПроверкиПоВедущейТаблице(СоединенияОтборов, ТипыПолей, );
```
</details>

## ДобавитьЗапросыПроверкиПоПолюСсылкаВедущихСписков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьЗапросыПроверкиПоВедущимСпискам.
Процедура ДобавитьЗапросыПроверкиПоПолюСсылкаВедущихСписков(ВидВедущегоСписка, ШаблонЗапроса, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗапросыПроверкиПоПолюСсылкаВедущихСписков(ВидВедущегоСписка, ШаблонЗапроса, Контекст));
```
</details>

## СобратьЧастиЗапросаПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура СобратьЧастиЗапросаПроверки(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СобратьЧастиЗапросаПроверки(Результат, Контекст));
```
</details>

## ДобавитьЧастьЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры СобратьЧастиЗапросаПроверки.
Процедура ДобавитьЧастьЗапроса(ЧастиЗапроса, ЧастьУсловияПроверки, Контекст, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЧастьЗапроса(ЧастиЗапроса, ЧастьУсловияПроверки, Контекст, );
```
</details>

## СобратьЧастиЗапросовЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура СобратьЧастиЗапросовЗаполнения(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СобратьЧастиЗапросовЗаполнения(Результат, Контекст));
```
</details>

## ДобавитьЧастьЗапросаВыбораПравВедущихКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры СобратьЧастиЗапросовЗаполнения.
Процедура ДобавитьЧастьЗапросаВыбораПравВедущихКлючейДоступа(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЧастьЗапросаВыбораПравВедущихКлючейДоступа(Контекст));
```
</details>

## ДобавитьЧастьЗапросаВыбораПравВедущихСписков
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры СобратьЧастиЗапросовЗаполнения.
Процедура ДобавитьЧастьЗапросаВыбораПравВедущихСписков(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЧастьЗапросаВыбораПравВедущихСписков(Контекст));
```
</details>

## ДобавитьЧастьЗапросаВыбораПравПоВладельцамНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры СобратьЧастиЗапросовЗаполнения.
Процедура ДобавитьЧастьЗапросаВыбораПравПоВладельцамНастроекПрав(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЧастьЗапросаВыбораПравПоВладельцамНастроекПрав(Контекст));
```
</details>

## ТекстЗапросаВыбораПравПоВладельцамНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьЧастьЗапросаВыбораПравПоВладельцамНастроекПрав и
// функции ТекстЗапросаПравПользователейПоВладельцамНастроекПрав.
//
Функция ТекстЗапросаВыбораПравПоВладельцамНастроекПрав() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаВыбораПравПоВладельцамНастроекПрав());
```
</details>

## ТекстЗапросаКлючейДоступаДляОбновленияПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры СобратьЧастиЗапросовЗаполнения.
Функция ТекстЗапросаКлючейДоступаДляОбновленияПрав(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаКлючейДоступаДляОбновленияПрав(Контекст));
```
</details>

## ТекстЗапросаКлючейПоВедущимКлючамДляОбновленияПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры СобратьЧастиЗапросовЗаполнения.
Функция ТекстЗапросаКлючейПоВедущимКлючамДляОбновленияПрав(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаКлючейПоВедущимКлючамДляОбновленияПрав(Контекст));
```
</details>

## ТекстЗапросаУстаревшихКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры СобратьЧастиЗапросовЗаполнения.
Функция ТекстЗапросаУстаревшихКлючейДоступа(Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаУстаревшихКлючейДоступа(Контекст));
```
</details>

## ЗаполнитьЗапросыПравПользователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ЗаполнитьЗапросыПравПользователей(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьЗапросыПравПользователей(Результат, Контекст));
```
</details>

## УстановитьПоляИзмеренийДляВыбораИГруппировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьЗапросыПравПользователей.
Процедура УстановитьПоляИзмеренийДляВыбораИГруппировки(ТекстЗапроса, ПолноеИмяРегистра) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьПоляИзмеренийДляВыбораИГруппировки(ТекстЗапроса, ПолноеИмяРегистра));
```
</details>

## УточненноеИмяПоляКлючаЗаписиДляВыбораПравДоступаКДанным
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьПоляИзмеренийДляВыбораИГруппировки
Функция УточненноеИмяПоляКлючаЗаписиДляВыбораПравДоступаКДанным(ИмяПоля) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.УточненноеИмяПоляКлючаЗаписиДляВыбораПравДоступаКДанным(ИмяПоля));
```
</details>

## ДобавитьТекстЗапросаПравПользователейПоВладельцамНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьЗапросыПравПользователей.
Процедура ДобавитьТекстЗапросаПравПользователейПоВладельцамНастроекПрав(ДляВнешнихПользователей, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТекстЗапросаПравПользователейПоВладельцамНастроекПрав(ДляВнешнихПользователей, );
```
</details>

## ЗаполнитьЗапросыПроверкиПравЧтениеИзменение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ЗаполнитьЗапросыПроверкиПравЧтениеИзменение(Результат, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьЗапросыПроверкиПравЧтениеИзменение(Результат, Контекст));
```
</details>

## УсловиеИзЗапросаСПроверкойПоВладельцамНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьЗапросыПроверкиПравЧтениеИзменение.
Функция УсловиеИзЗапросаСПроверкойПоВладельцамНастроекПрав() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.УсловиеИзЗапросаСПроверкойПоВладельцамНастроекПрав());
```
</details>

## ТекстЗапросаСПроверкойПоВладельцамНастроекПрав
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьЗапросыПроверкиПравЧтениеИзменение.
Функция ТекстЗапросаСПроверкойПоВладельцамНастроекПрав() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаСПроверкойПоВладельцамНастроекПрав());
```
</details>

## УточнитьРегистрКлючейИУсловиеСоединения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ЗаполнитьЗапросыПроверкиПравЧтениеИзменение.
Процедура УточнитьРегистрКлючейИУсловиеСоединения(ТекстЗапроса, Результат, Контекст, ДобавитьПоляВыбора = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УточнитьРегистрКлючейИУсловиеСоединения(ТекстЗапроса, Результат, Контекст, ДобавитьПоляВыбора);
```
</details>

## ПодставитьОбщиеПараметрыВЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СобратьЧастиЗапросов.
Процедура ПодставитьОбщиеПараметрыВЗапрос(ТекстЗапроса, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПодставитьОбщиеПараметрыВЗапрос(ТекстЗапроса, Контекст));
```
</details>

## ДобавитьПроверкуШапкиКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ДобавитьПроверкуШапкиКлюча(Контекст, НомерШапки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПроверкуШапкиКлюча(Контекст, НомерШапки));
```
</details>

## ДобавитьПроверкуТабличнойЧастиКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ДобавитьПроверкуТабличнойЧастиКлюча(Контекст, НомерТабличнойЧастиКлюча) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПроверкуТабличнойЧастиКлюча(Контекст, НомерТабличнойЧастиКлюча));
```
</details>

## ЧастьУсловияПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ДобавитьПроверкуШапкиКлюча, ДобавитьПроверкуТабличнойЧастиКлюча.
//
// Возвращаемое значение:
//  Структура:
//   * Соединения - Строка
//   * Условие - Строка
//   * ДополнительныеПоля - Строка
//   * ИмяТабличнойЧастиКлюча - Строка
//
Функция ЧастьУсловияПроверки(Соединения, Условие, ДополнительныеПоля, ИмяТабличнойЧастиКлюча = "") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЧастьУсловияПроверки(Соединения, Условие, ДополнительныеПоля, ИмяТабличнойЧастиКлюча);
```
</details>

## ДобавитьЗаполнениеШапкиКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ДобавитьЗаполнениеШапкиКлюча(Контекст, НомерШапки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗаполнениеШапкиКлюча(Контекст, НомерШапки));
```
</details>

## ДобавитьУсловиеОтбораПравДляШапкиКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьЗаполнениеШапкиКлюча.
Процедура ДобавитьУсловиеОтбораПравДляШапкиКлюча(Контекст, ГруппаПолей, НомерШапки, НазначениеУсловия) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьУсловиеОтбораПравДляШапкиКлюча(Контекст, ГруппаПолей, НомерШапки, НазначениеУсловия));
```
</details>

## ДобавитьВыборКлючейБезПолейВШапке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ДобавитьВыборКлючейБезПолейВШапке(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВыборКлючейБезПолейВШапке(Контекст));
```
</details>

## ДобавитьЗаполнениеТабличнойЧастиКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТекстыЗапросовВПараметрыОграничения.
Процедура ДобавитьЗаполнениеТабличнойЧастиКлюча(Контекст, НомерТабличнойЧастиКлюча) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьЗаполнениеТабличнойЧастиКлюча(Контекст, НомерТабличнойЧастиКлюча));
```
</details>

## ДобавитьУсловиеОтбораПравДляТабличнойЧастиКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьЗаполнениеТабличнойЧастиКлюча.
Процедура ДобавитьУсловиеОтбораПравДляТабличнойЧастиКлюча(Контекст, ГруппаПолей, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьУсловиеОтбораПравДляТабличнойЧастиКлюча(Контекст, ГруппаПолей, );
```
</details>

## ДобавитьОписаниеТаблицыКлюча
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ДобавитьЗаполнениеШапкиКлюча, ДобавитьЗаполнениеТабличнойЧастиКлюча.
Процедура ДобавитьОписаниеТаблицыКлюча(ИмяТаблицыКлюча, ГруппаПолей, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьОписаниеТаблицыКлюча(ИмяТаблицыКлюча, ГруппаПолей, Контекст));
```
</details>

## ДобавитьУсловиеОтбораПоВедущимКлючамДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьЗаполнениеШапкиКлюча, ДобавитьЗаполнениеТабличнойЧастиКлюча.
Процедура ДобавитьУсловиеОтбораПоВедущимКлючамДоступа(Контекст, ГруппаПолей, НомерШапки = 0, НомерТабличнойЧастиКлюча = 0) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьУсловиеОтбораПоВедущимКлючамДоступа(Контекст, ГруппаПолей, НомерШапки, НомерТабличнойЧастиКлюча);
```
</details>

## СоединенияИПоляПоТаблицам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ДобавитьПроверкуШапкиКлюча, ДобавитьПроверкуТабличнойЧастиКлюча.
Функция СоединенияИПоляПоТаблицам(ГруппаПолей, ТабличнаяЧастьКлюча, НомерШапки = 0, ДляВыбораЗначений = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СоединенияИПоляПоТаблицам(ГруппаПолей, ТабличнаяЧастьКлюча, НомерШапки, ДляВыбораЗначений);
```
</details>

## СравнениеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СоединенияИПоляПоТаблицам.
Функция СравнениеПоля(СвойстваПоля) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СравнениеПоля(СвойстваПоля));
```
</details>

## ДобавитьПроверкуПоТипам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СравнениеПоля.
Процедура ДобавитьПроверкуПоТипам(ПроверкиПоТипам, ИсходныеТипы, Проверка, ДополнительноеСвойство = "", ПропуститьБулево = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПроверкуПоТипам(ПроверкиПоТипам, ИсходныеТипы, Проверка, ДополнительноеСвойство, ПропуститьБулево);
```
</details>

## ЗаполнитьПсевдонимПоНомеруРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ДобавитьПроверкуШапкиКлюча.
Процедура ЗаполнитьПсевдонимПоНомеруРеквизита(Соединения, Поле, НомерРеквизита, Псевдоним) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьПсевдонимПоНомеруРеквизита(Соединения, Поле, НомерРеквизита, Псевдоним));
```
</details>

## ТекстСОтступом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ДобавитьПроверкуШапкиКлюча, СравнениеПоля.
Функция ТекстСОтступом(Текст, Отступ) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстСОтступом(Текст, Отступ));
```
</details>

## ЕстьПростойТип
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СравнениеПоля, ДобавитьОпорноеПоле.
Функция ЕстьПростойТип(ОписаниеТипов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЕстьПростойТип(ОписаниеТипов));
```
</details>

## РазобранноеОграничение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// См. также УправлениеДоступом.РазобранноеОграничение.
//
// Возвращаемое значение:
//  Структура:
//    * ПоляТаблиц       - см. НовыеПоляТаблиц
//    * ВнутренниеДанные - см. НовыеВнутренниеДанные
//
Функция РазобранноеОграничение(ОсновнаяТаблица, ТекстОграничения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РазобранноеОграничение(ОсновнаяТаблица, ТекстОграничения) 
```
</details>

## НовыеВнутренниеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ОсновнаяТаблица        - Строка - таблица, которая ограничивается.
//     * ТекстОграничения       - Строка
//     * СинтаксисЯзыка         - см. СинтаксисЯзыка
//     * ПоляТаблиц             - см. НовыеПоляТаблиц
//     * Псевдонимы             - Соответствие
//     * ПоляКлючаДоступа       - Массив из см. НовоеПолеКлючаДоступа
//     * ТаблицаНаборовСимволов - см. ТаблицаНаборовСимволов
//     * ЧастиОграничения       - см. ЧастиОграничения
//
Функция НовыеВнутренниеДанные() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеВнутренниеДанные());
```
</details>

## РасширенныеВнутренниеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ОсновнаяТаблица        - Строка - таблица, которая ограничивается.
//     * ТекстОграничения       - Строка
//     * СинтаксисЯзыка         - см. СинтаксисЯзыка
//     * ПоляТаблиц             - см. НовыеПоляТаблиц
//     * Псевдонимы             - Соответствие
//     * ПоляКлючаДоступа       - Массив из см. НовоеПолеКлючаДоступа
//     * ТаблицаНаборовСимволов - см. ТаблицаНаборовСимволов
//     * ЧастиОграничения       - см. ЧастиОграничения
//     * ЭтоУсловиеСоединения   - Булево
//     * ЭтоУсловиеКогда        - Булево
//     * ЭтоЗначениеТогдаИначе  - Булево
//     * КорневойУзел           - см. ОписаниеУзла
//
Функция РасширенныеВнутренниеДанные(ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.РасширенныеВнутренниеДанные(ВнутренниеДанные));
```
</details>

## НовыеПоляТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Соответствие из КлючИЗначение:
//     * Ключ     - Строка - имя коллекции объектов метаданных, например, Справочники.
//     * Значение - см. НовыйСоставКоллекции
//
Функция НовыеПоляТаблиц() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеПоляТаблиц());
```
</details>

## НовыйСоставКоллекции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Соответствие из КлючИЗначение:
//     * Ключ     - Строка - имя таблицы (объекта метаданных) в верхнем регистре.
//     * Значение - см. НовыеСвойстваТаблицы
//
Функция НовыйСоставКоллекции() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйСоставКоллекции());
```
</details>

## НовыеСвойстваТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ТаблицаСуществует - Булево - Ложь (для заполнения Истина, если существует).
//     * ЭтоОсновнаяТаблица - Булево
//     * Источники - Массив
//     * ПервоеПоле - Неопределено
//     * Поля - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - имя реквизита в верхнем регистре, в том числе через точки,
//                                например, "ВЛАДЕЛЕЦ.ОРГАНИЗАЦИЯ", "ТОВАРЫ.НОМЕНКЛАТУРА".
//         ** Значение - см. НовыеСвойстваПоля
//     * Предопределенные - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - имя предопределенного элемента.
//         ** Значение - см. НовыеСвойстваПредопределенного
//     * Расширения - Соответствие из КлючИЗначение:
//         ** Ключ - Строка - имя третьего имени таблицы, например, имя табличной части.
//         ** Значение - см. НовыеСвойстваРасширения
//
Функция НовыеСвойстваТаблицы() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеСвойстваТаблицы());
```
</details>

## НовыеСвойстваПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ПолеСОшибкой - Число - 0 (для заполнения, если поле содержит ошибку,
//          если 1, то ошибка в имени первой части поля,
//          если 2, то ошибка в имени второй части поля, т.е. после первой точки).
//     * ВидОшибки - Строка - "НеНайдено", "ТабличнаяЧастьБезПоля",
//          "ТабличнаяЧастьПослеТочки".
//     * Коллекция - Строка - пустая строка (для заполнения, если первая часть
//           поля существует, т.е. часть поля до первой точки). Варианты: "Реквизиты",
//           "ТабличныеЧасти", "СтандартныеРеквизиты", "СтандартныеТабличныеЧасти",
//           "Измерения", "Ресурсы", "Графы", "ПризнакиУчета", "ПризнакиУчетаСубконто",
//           "РеквизитыАдресации", "СпециальныеПоля". Специальные поля - это
//           "Значение" - у таблиц "Константа.*",
//           "Регистратор" и "Период" - у таблиц "Последовательность.*",
//           "ОбъектПерерасчета", "ВидРасчета" у таблиц "РегистрРасчета.<Имя>.<ИмяПерерасчета>".
//           Поля после первой точки могут относится только к коллекциям: "Реквизиты",
//           "СтандартныеРеквизиты", "ПризнакиУчета", "РеквизитыАдресации". Для этих
//           частей имени поля не требуется уточнять коллекцию.
//     * СодержитТипы - Соответствие из КлючИЗначение:
//         ** Ключ - Строка - полное имя ссылочной таблицы в верхнем регистре.
//         ** Значение - Структура:
//              *** ИмяТипа     - Строка - имя типа, наличие которого нужно проверить.
//              *** СодержитТип - Булево - Ложь (для заполнения Истина,
//                                         если у поля последнего поля есть тип).
//     * ПервыйИсточник - Структура:
//         ** Ключ     - СтрокаТаблицыЗначений - строка-источник первого поля.
//         ** Значение - Строка - таблица
//
Функция НовыеСвойстваПоля() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеСвойстваПоля());
```
</details>

## НовыеСвойстваПредопределенного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ИмяСуществует - Булево - Ложь (для заполнения Истина, если предопределенный есть).
//     * Источники - Массив
//
Функция НовыеСвойстваПредопределенного() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеСвойстваПредопределенного());
```
</details>

## НовыеСвойстваРасширения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ТаблицаСуществует - Булево - Ложь (для заполнения Истина, если существует).
//     * Источники - Массив
//     * ПервоеПоле - Неопределено
//     * Поля - Соответствие из КлючИЗначение:
//         ** Ключ     - Строка - имя реквизита в верхнем регистре, в том числе через точки,
//                                например, "ВЛАДЕЛЕЦ.ОРГАНИЗАЦИЯ", "ТОВАРЫ.НОМЕНКЛАТУРА".
//         ** Значение - см. НовыеСвойстваПоля
//
Функция НовыеСвойстваРасширения() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеСвойстваРасширения());
```
</details>

## СтруктураОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Смотри также УправлениеДоступом.СтруктураОграничения
//
// Параметры:
//  РазобранноеОграничение - см. РазобранноеОграничение
//
// Возвращаемое значение:
//   Структура:
//     * ОписаниеОшибок           - см. ОписаниеОшибок
//     * ДополнительныеТаблицы    - Массив из см. НовоеОписаниеСоединения
//     * ПсевдонимОсновнойТаблицы - Строка - заполнено, если указаны дополнительные таблицы.
//     * ОграничениеЧтения        - см. ОписаниеУзла
//     * ОграничениеИзменения     - см. ОписаниеУзла
//
Функция СтруктураОграничения(РазобранноеОграничение) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтруктураОграничения(РазобранноеОграничение) 
```
</details>

## ОписаниеОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * ЕстьОшибки  - Булево
//     * ТекстОшибок - Строка
//     * Ограничение - Строка
//     * Ошибки      - Массив из см. СвойстваОшибки
//     * Дополнение  - Строка
//
Функция ОписаниеОшибок() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеОшибок());
```
</details>

## СвойстваОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//    * НомерСтроки    - Число  - номер строки текста ограничения, в которой найдена ошибка.
//    * ПозицияВСтроке - Число  - позиция в строке текста ограничения, в которой найдена ошибка.
//    * ТекстОшибки    - Строка - описание ошибки.
//    * СтрокаОшибки   - Строка - строка текста ограничения, в которой найдена ошибка.
//
Функция СвойстваОшибки() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваОшибки());
```
</details>

## ТекстОшибокДляВызоваИсключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует полный текст ошибок описания ограничения доступа с дополнением,
// который можно указать, как текст для вызова исключения.
//
// Параметры:
//  ПолноеИмя               - Строка    - полное имя таблицы списка.
//  ОписаниеОшибок          - Структура - значение возвращаемое функцией СтруктураОграничения.
//  ДляВнешнихПользователей - Булево    - если передать Истина, тогда текст ошибки будет содержать
//                                        назначение ограничения для внешних пользователей.
//
// Возвращаемое значение:
//  Строка - текст для вызова исключения.
//
Функция ТекстОшибокДляВызоваИсключения(ПолноеИмя, ОписаниеОшибок, ДляВнешнихПользователей, ВМодулеМенеджера) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстОшибокДляВызоваИсключения(ПолноеИмя, ОписаниеОшибок, ДляВнешнихПользователей, ВМодулеМенеджера));
```
</details>

## ДобавитьОшибку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СтруктураОграничения.
Процедура ДобавитьОшибку(Строка, ОписаниеОшибок, ВнутренниеДанные, ДлинаНомераСтроки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьОшибку(Строка, ОписаниеОшибок, ВнутренниеДанные, ДлинаНомераСтроки));
```
</details>

## ПронумерованныйТекстОграниченияСОтметкамиОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СтруктураОграничения.
Функция ПронумерованныйТекстОграниченияСОтметкамиОшибок(ТекстОграничения, Ошибки, ДлинаНомераСтроки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПронумерованныйТекстОграниченияСОтметкамиОшибок(ТекстОграничения, Ошибки, ДлинаНомераСтроки));
```
</details>

## ОписаниеДопустимыхШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СтруктураОграничения.
Функция ОписаниеДопустимыхШаблонов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеДопустимыхШаблонов());
```
</details>

## КоординатыПозицииВТексте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьОшибку.
Функция КоординатыПозицииВТексте(Текст, ПозицияВТексте) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КоординатыПозицииВТексте(Текст, ПозицияВТексте));
```
</details>

## ТаблицаНаборовСимволов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РазобранноеОграничение.
// Раскладывает текст в таблицу наборов символов, в которых:
// - нет символов отступа (пробелов, табуляций, переводов строки);
// - выделены символы произвольных строк и чисел;
// - определены ключевые слова и операции;
// - проверен формат имен и чисел;
// - добавлены ошибки с описанием.
//
// Параметры:
//  ТекстОграничения - Строка - текст ограничения доступа.
//
// Возвращаемое значение:
//  ТаблицаЗначений:
//    * Символы       - Строка - символ, пара символов или слово.
//    * Позиция       - Число  - позиция символов в тексте ограничения.
//    * Вид           - Строка - "КлючевоеСлово", "Операция", "Имя", "Разделитель",
//                               "Число", "ПроизвольнаяСтрока", "НедопустимыйСимвол", "Конец".
//    * Тип           - Строка - тип для для видов "КлючевоеСлово" и "Операция".
//    * Приоритет     - Число  - приоритет для видов "КлючевоеСлово" и "Операция".
//    * Уточнение     - Число  - числовое значение для вида "Число".
//                    - Строка - имя для вида "КлючевоеСлово", строка символов для вида "ПроизвольнаяСтрока".
//    * ЭтоРезерв     - Булево - если Истина, значит это зарезервированная операция или ключевое слово.
//    * ПозицияОшибки - Число  - позиция ошибки в тексте ограничения, если текст ошибки не пустой.
//    * ТекстОшибки   - Строка - текст ошибки, если найдена ошибка.
//
Функция ТаблицаНаборовСимволов(ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТаблицаНаборовСимволов(ВнутренниеДанные));
```
</details>

## ДобавитьСловоВТаблицуНаборовСимволов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТаблицаНаборовСимволов.
Процедура ДобавитьСловоВТаблицуНаборовСимволов(Таблица, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСловоВТаблицуНаборовСимволов(Таблица, );
```
</details>

## ДобавитьОперациюВТаблицуНаборовСимволов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТаблицаНаборовСимволов.
Процедура ДобавитьОперациюВТаблицуНаборовСимволов(Таблица, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьОперациюВТаблицуНаборовСимволов(Таблица, );
```
</details>

## СинтаксисЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РазобранноеОграничение и косвенно для многих других.
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура:
//    * СимволыЯзыка  - см. СимволыЯзыка
//    * СимволыЦифр   - см. СимволыЦифр
//    * ОперацииЯзыка - см. ОперацииЯзыка
//    * СловаЯзыка    - см. СловаЯзыка
//    * ТипыТаблиц    - см. ТипыТаблиц
//
Функция СинтаксисЯзыка() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СинтаксисЯзыка() 
```
</details>

## СимволыЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СинтаксисЯзыка.
//
// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//    * Ключ - Строка - символ
//    * Значение - Строка - вид символа
//
Функция СимволыЯзыка() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СимволыЯзыка());
```
</details>

## СимволыЦифр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СинтаксисЯзыка.
//
// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//    * Ключ - Строка - символ
//    * Значение - Булево - Истина
//
Функция СимволыЦифр() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СимволыЦифр());
```
</details>

## СловаЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СинтаксисЯзыка.
//
// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//    * Ключ - Строка - слово на русском и английском языках.
//    * Значение - см. СвойстваСлова
//
Функция СловаЯзыка() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СловаЯзыка());
```
</details>

## ОперацииЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СинтаксисЯзыка.
//
// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//    * Ключ - Строка - слово на русском и английском языках.
//    * Значение - см. СвойстваСлова
//
Функция ОперацииЯзыка() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОперацииЯзыка());
```
</details>

## ДобавитьСловоЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций СловаЯзыка и ОперацииЯзыка.
Процедура ДобавитьСловоЯзыка(Слова, ЯзыкРусский, ЯзыкАнглийский, ТипСлова, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСловоЯзыка(Слова, ЯзыкРусский, ЯзыкАнглийский, ТипСлова, );
```
</details>

## СвойстваСлова
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьСловоЯзыка.
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура:
//    * Идентификатор  - Строка - слово языка на языке конфигурации (русском или английском).
//    * ЯзыкРусский    - Строка - слово языка на русском языке.
//    * ЯзыкАнглийский - Строка - слово языка на английском языке.
//    * Тип            - Строка - имя типа слова.
//    * ВерхнийРегистр - Булево
//    * Приоритет      - Число
//    * ЭтоРезерв      - Булево
//
Функция СвойстваСлова(ЯзыкРусский, ЯзыкАнглийский, ТипСлова, ВерхнийРегистр, Приоритет, ЭтоРезерв) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваСлова(ЯзыкРусский, ЯзыкАнглийский, ТипСлова, ВерхнийРегистр, Приоритет, ЭтоРезерв));
```
</details>

## ТипыТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции СинтаксисЯзыка.
//
// Возвращаемое значение:
//   Структура:
//     * ПоИменам - Соответствие из КлючИЗначение:
//         ** Ключ - Строка - имя типа таблиц на русском и на английском языках.
//         ** Значение - см. СвойстваТипаТаблиц
//     * ПоКоллекциям - Соответствие из КлючИЗначение:
//         ** Ключ - Строка - имя коллекции на языке конфигурации (русском или английском).
//         ** Значение - см. СвойстваТипаТаблиц
//
Функция ТипыТаблиц() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТипыТаблиц());
```
</details>

## ДобавитьТипТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТипыТаблиц.
Процедура ДобавитьТипТаблиц(ТипыТаблиц, ЯзыкРусский, ЯзыкАнглийский, ИмяКоллекции) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТипТаблиц(ТипыТаблиц, ЯзыкРусский, ЯзыкАнглийский, ИмяКоллекции));
```
</details>

## СвойстваТипаТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьСловоЯзыка.
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура:
//    * ИмяКоллекции             - Строка - имя коллекции на языке конфигурации (русском или английском).
//    * ЯзыкРусский              - Строка - имя типа таблиц на русском языке.
//    * ЯзыкАнглийский           - Строка - имя типа таблиц на английском языке.
//    * ЭтоСсылочныйТип          - Булево
//    * ЕстьОграничение          - Булево
//    * ЕстьПредопределенные     - Булево
//    * КоллекцииПолей           - Соответствие из КлючИЗначение:
//        ** Ключ - Строка - имя коллекции полей на языке конфигурации (русском или английском).
//        ** Значение - Строка -
//             "Разрешены"   - можно использовать без ограничений.
//             "Недопустимы" - нельзя использовать в ограничении доступа платформы 1С:Предприятия.
//
//    * КоллекцииТабличныхЧастей - Соответствие из КлючИЗначение:
//        ** Ключ - Строка - имя коллекции табличных частей на языке конфигурации (русском или английском).
//        ** Значение - Строка -
//             "Разрешены"   - можно использовать без ограничений.
//             "Недопустимы" - нельзя использовать в ограничении доступа платформы 1С:Предприятия.
//
//    * ОбщиеРеквизиты           - Строка -
//        "Разрешены"   - можно использовать без ограничений.
//        "Недопустимы" - нельзя использовать в ограничении доступа платформы 1С:Предприятия.
//        "Отсутствуют" - не существуют у объекта метаданных.
//
//    * ПризнакиУчетаСубконто    - Строка -
//        "Разрешены"   - можно использовать без ограничений.
//        "Недопустимы" - нельзя использовать в ограничении доступа платформы 1С:Предприятия.
//        "Отсутствуют" - не существуют у объекта метаданных.
//
//    * УточнениеПолей           - Соответствие из КлючИЗначение:
//        ** Ключ     - Строка - имя поля таблиц на русском и на английском языках.
//        ** Значение - см. УточнениеПоля
//
//    * УточнениеТаблиц          - Соответствие из КлючИЗначение:
//        ** Ключ     - Строка - имя расширения таблиц на русском и на английском языках.
//        ** Значение - см. УточнениеТаблиц
//
//    * Использование            - Строка -
//        "Разрешено"   - можно использовать без ограничений.
//        "Недопустимо" - нельзя использовать в ограничении доступа платформы 1С:Предприятия.
//        "Запрещено"   - запрещено присоединять, как дополнительную таблицу в ограничении доступа БСП.
//
Функция СвойстваТипаТаблиц(ЯзыкРусский, ЯзыкАнглийский, ИмяКоллекции) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваТипаТаблиц(ЯзыкРусский, ЯзыкАнглийский, ИмяКоллекции));
```
</details>

## УстановитьСвойствоТипаТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТипыТаблиц.
Процедура УстановитьСвойствоТипаТаблиц(ТипыТаблиц, ИменаТиповТаблиц, Свойство, Значение) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьСвойствоТипаТаблиц(ТипыТаблиц, ИменаТиповТаблиц, Свойство, Значение));
```
</details>

## ДобавитьКоллекциюПолейТипаТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТипыТаблиц.
Процедура ДобавитьКоллекциюПолейТипаТаблиц(ТипыТаблиц, ИменаТиповТаблиц, ИмяКоллекции, Использование) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьКоллекциюПолейТипаТаблиц(ТипыТаблиц, ИменаТиповТаблиц, ИмяКоллекции, Использование));
```
</details>

## ДобавитьКоллекциюТабличныхЧастейТипаТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТипыТаблиц.
Процедура ДобавитьКоллекциюТабличныхЧастейТипаТаблиц(ТипыТаблиц, ИменаТиповТаблиц, ИмяКоллекции, Использование) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьКоллекциюТабличныхЧастейТипаТаблиц(ТипыТаблиц, ИменаТиповТаблиц, ИмяКоллекции, Использование));
```
</details>

## ДобавитьПолеТипаТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТипыТаблиц.
Процедура ДобавитьПолеТипаТаблиц(ТипыТаблиц, ИменаТиповТаблиц, ЯзыкРусский, ЯзыкАнглийский, Использование) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПолеТипаТаблиц(ТипыТаблиц, ИменаТиповТаблиц, ЯзыкРусский, ЯзыкАнглийский, Использование));
```
</details>

## УточнениеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьПолеТипаТаблиц.
//
// Возвращаемое значение:
//  Структура:
//    * ЯзыкРусский    - Строка - имя поля таблиц на русском языке.
//    * ЯзыкАнглийский - Строка - имя поля таблиц на английском языке.
//    * Использование  - Строка -
//        "Разрешено"   - можно использовать без ограничений.
//        "Недопустимо" - нельзя использовать в ограничении доступа платформы 1С:Предприятия.
//        "Запрещено"   - запрещено использовать в ограничении доступа БСП.
//
Функция УточнениеПоля(ЯзыкРусский, ЯзыкАнглийский, Использование) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.УточнениеПоля(ЯзыкРусский, ЯзыкАнглийский, Использование));
```
</details>

## ДобавитьРасширениеТипаТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ТипыТаблиц.
Процедура ДобавитьРасширениеТипаТаблиц(ТипыТаблиц, ИменаТиповТаблиц, ЯзыкРусский, ЯзыкАнглийский, Использование) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьРасширениеТипаТаблиц(ТипыТаблиц, ИменаТиповТаблиц, ЯзыкРусский, ЯзыкАнглийский, Использование));
```
</details>

## УточнениеТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьПолеТипаТаблиц.
//
// Возвращаемое значение:
//  Структура:
//    * ЯзыкРусский    - Строка - имя расширения таблиц на русском языке.
//    * ЯзыкАнглийский - Строка - имя расширения таблиц на английском языке.
//    * Использование  - Строка -
//        "Разрешено"   - можно использовать без ограничений.
//        "Недопустимо" - нельзя использовать в ограничении доступа платформы 1С:Предприятия.
//        "Запрещено"   - запрещено использовать в ограничении доступа БСП.
//
Функция УточнениеТаблиц(ЯзыкРусский, ЯзыкАнглийский, Использование) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.УточнениеТаблиц(ЯзыкРусский, ЯзыкАнглийский, Использование));
```
</details>

## ЧастиОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции РазобранноеОграничение.
//
// Параметры:
//   ВнутренниеДанные - см. НовыеВнутренниеДанные
//
// Возвращаемое значение:
//   Структура:
//     * ДополнительныеТаблицы    - Массив из см. НовоеОписаниеСоединения
//     * ПсевдонимОсновнойТаблицы - Строка
//     * ОграничениеЧтения        - Структура
//     * ОграничениеИзменения     - Структура
//
Функция ЧастиОграничения(ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ЧастиОграничения(ВнутренниеДанные));
```
</details>

## СтрокаДобавить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура:
//  Родитель - СтрокаТаблицыЗначений из см. ТаблицаНаборовСимволов
//           - Структура
//  Строка   - СтрокаТаблицыЗначений из см. ТаблицаНаборовСимволов
//  Контекст - Структура:
//              * Таблица - см. ТаблицаНаборовСимволов
//
Процедура СтрокаДобавить(Родитель, Строка, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.СтрокаДобавить(Родитель, Строка, Контекст));
```
</details>

## СтрокаТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ОписаниеСтроки - Число - индекс таблицы значений.
//                 - СтрокаТаблицыЗначений из см. ТаблицаНаборовСимволов
//                 - Структура - см. ДополнительнаяСтрока
//  Контекст - Структура:
//              * Таблица - см. ТаблицаНаборовСимволов
//
// Возвращаемое значение:
//   см. ДополнительнаяСтрока
//
Функция СтрокаТаблицы(ОписаниеСтроки, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СтрокаТаблицы(ОписаниеСтроки, Контекст));
```
</details>

## НовыеСвойстваЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * Строки                   - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//     * СтрокаРазделителя        - СтрокаТаблицыЗначений из см. ТаблицаНаборовСимволов
//     * Имя                      - Строка
//     * Представление            - Строка
//
Функция НовыеСвойстваЧасти() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеСвойстваЧасти());
```
</details>

## НовоеОписаниеСоединения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//   Структура:
//     * Таблица           - Строка
//     * Псевдоним         - Строка
//     * УсловиеСоединения - см. ОписаниеУзла
//     * ПсевдонимыТребуемыхТаблиц - Массив из Строка
//     * ПоляУсловияСоединения  - Массив из см. ПараПолейУсловияСоединения
//     * ТекстУсловияСоединения - Строка
//
Функция НовоеОписаниеСоединения() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовоеОписаниеСоединения());
```
</details>

## ОписаниеУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращаемое значение:
//   Структура:
//     * Источник - СтрокаТаблицыЗначений из см. ТаблицаНаборовСимволов
//
//     * Узел - Строка - одна из строк "Поле", "Значение", "Константа",
//         "И", "Или", "Не", "=", "<>", "В", "ЕстьNull", "Тип", "ТипЗначения", "Выбор",
//         "ЗначениеРазрешено",      "ЭтоАвторизованныйПользователь",
//         "ЧтениеОбъектаРазрешено", "ИзменениеОбъектаРазрешено",
//         "ЧтениеСпискаРазрешено",  "ИзменениеСпискаРазрешено",
//         "ДляВсехСтрок",           "ДляОднойИзСтрок",
//         "ПравоДоступа",           "РольДоступна".
//
//     Свойства узла Поле.
//      * Имя       - Строка - имя поля, например, "Организация" или "ОсновнаяОрганизация".
//      * Таблица   - Строка - имя таблицы этого поля (или пустая строка для основной таблицы).
//      * Псевдоним - Строка - имя псевдонима присоединяемой таблицы этого поля (или пустая строка для основной таблицы),
//                      например, "РегистрСведенийНастройки" для поля "ОсновнаяОрганизация".
//      * Выразить  - Строка - имя таблицы (если используется), например, для описания поля в виде:
//                     "ВЫРАЗИТЬ(ВЫРАЗИТЬ(Владелец КАК Справочник.Файлы).ВладелецФайла КАК Справочник.Организации).Ссылка".
//      * Вложение  - Структура - узел Поле, содержащий вложенное действие ВЫРАЗИТЬ (с или без ЕстьNull).
//                  - Неопределено - нет вложенного поля.
//      * ЕстьNull  - Структура - узел Значение Или Константа, например, для описания выражения вида
//                      "ЕстьNULL(Владелец, Значение(Справочник.Файлы.ПустаяСсылка))".
//                  - Неопределено - если ЕстьNull не используется (в том числе, когда свойство Вложение заполнено).
//      * ИмяИсточник      - СтрокаТаблицыЗначений
//                         - Неопределено
//      * ВыразитьИсточник - СтрокаТаблицыЗначений
//                         - Неопределено
//      * ЕстьNullИсточник - СтрокаТаблицыЗначений
//                         - Неопределено
//
//     Свойства узлов Значение и Тип.
//      * Имя - Строка - имя значения, например, "Справочник.Организации.Основная",
//                                               "Справочник.Организации.ПустаяСсылка",
//                       имя таблицы, например, "Справочник.Организации".
//
//     Свойства узла Константа.
//      * Значение - Булево
//                 - Число
//                 - Строка
//                 - Неопределено - Ложь, Истина, произвольное
//                     целое число до 16 разрядов или произвольная строка до 150 символов.
//
//     Свойства узлов И, Или (любой узел, кроме Значение и Константа).
//      * Аргументы - Массив из см. ОписаниеУзла
//
//     Свойства узла Не (любой узел, кроме Значение и Константа).
//       * Аргумент - см. ОписаниеУзла
//
//       * Имя - Строка - заглушка к предыдущей строке (для определения типа в EDT)
//
//     Свойства узлов =, <> (ПервыйАргумент - узел Поле,
//                           ВторойАргумент - узел Значение, Константа, а узел Поле только для условия соединения).
//       * ПервыйАргумент - см. ОписаниеУзла
//       * ВторойАргумент - см. ОписаниеУзла
//
//       * Имя - Строка - заглушка к предыдущей строке (для определения типа в EDT)
//
//     Свойства узла В (Искомое - узел Поле, Значения - узлы Значение и/или Константа).
//       * Искомое  - см. ОписаниеУзла
//       * Значения - Массив из см. ОписаниеУзла
//
//     Свойства узла ЕстьNull (узел Поле - выражение вида "<Поле> ЕСТЬ NULL").
//       * Аргумент - см. ОписаниеУзла
//
//       * Имя - Строка - заглушка к предыдущей строке (для определения типа в EDT)
//
//     Свойства узла ТипЗначения (узел Поле).
//       * Аргумент - см. ОписаниеУзла
//
//       * Имя - Строка - заглушка к предыдущей строке (для определения типа в EDT)
//
//     Свойства узла Выбор
//               В свойстве Выбор
//                    узел Поле
//                    Неопределено - условия содержат выражение, а не узел Значение
//               В свойстве Когда
//                   Условие  - узел Значение, если свойство Выбор указано, в противном случае
//                              узлы И, Или, Не, =, <>, В (распространяется на вложенное содержимое)
//                   Значение - узел, кроме Выбор
//               В свойстве Иначе
//                   узел, кроме ВЫБОР и Значение (Поле и Константа может быть только типа Булево).
//       * Выбор - см. ОписаниеУзла
//       * Когда - Массив из Структура:
//           ** Условие  - см. ОписаниеУзла
//           ** Значение - см. ОписаниеУзла
//       * Иначе - см. ОписаниеУзла
//
//       * Имя - Строка - заглушка к предыдущей строке (для определения типа в EDT)
//
//     Свойства узлов ЗначениеРазрешено,      ЭтоАвторизованныйПользователь,
//                    ЧтениеОбъектаРазрешено, ИзменениеОбъектаРазрешено,
//                    ЧтениеСпискаРазрешено,  ИзменениеСпискаРазрешено.
//              В свойстве Поле - узел Поле.
//       * Поле - см. ОписаниеУзла
//       * Типы - Массив из Строка - полное имя таблицы
//       * ПроверятьТипыКромеУказанных - Булево - если Истина, то все типы свойства Поле,
//                                                кроме указанных в свойстве Типы.
//       * УточненияСравнения - Соответствие из КлючИЗначение:
//           ** Ключ     - Строка - уточняемое значение "Неопределено", "Null", "ПустаяСсылка",
//                                  <полное имя таблицы>, "Число", "Строка", "Дата", "Булево".
//           ** Значение - Строка - результат "Ложь", "Истина".
//
//     Свойства узлов ДляВсехСтрок, ДляОднойИзСтрок (любой узел).
//       * Аргумент - см. ОписаниеУзла.
//
Функция ОписаниеУзла() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеУзла());
```
</details>

## УстановитьЧастьОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЧастиОграничения.
Процедура УстановитьЧастьОграничения(ЧастиОграничения, СвойстваЧасти) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьЧастьОграничения(ЧастиОграничения, СвойстваЧасти));
```
</details>

## УстановитьОшибкуНачалаЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЧастиОграничения, процедур РазобратьДополнительныеТаблицы, РазобратьУсловиеОграничения.
// Параметры:
//  СвойстваЧасти - см. НовыеСвойстваЧасти
//  ТекстОшибки - Строка
//
Процедура УстановитьОшибкуНачалаЧасти(СвойстваЧасти, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьОшибкуНачалаЧасти(СвойстваЧасти, ТекстОшибки));
```
</details>

## УстановитьОшибкуВнутриЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьСоединение.
//  Параметры:
//   Строки - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//   ИндексСтроки - Число
//   ТекстОшибки - Строка
//
Процедура УстановитьОшибкуВнутриЧасти(Строки, ИндексСтроки, ТекстОшибки) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьОшибкуВнутриЧасти(Строки, ИндексСтроки, ТекстОшибки));
```
</details>

## УстановитьОшибкуВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ВыраженияВСкобкахВоВложениях, ВыраженияВыборКогдаТогдаВоВложениях.
Процедура УстановитьОшибкуВСтроке(Строка, ТекстОшибки, ВКонцеСлова = Ложь, НомерСлова = 1) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьОшибкуВСтроке(Строка, ТекстОшибки, ВКонцеСлова, НомерСлова);
```
</details>

## РазобратьЧастьОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ЧастиОграничения.
Процедура РазобратьЧастьОграничения(СвойстваЧасти, ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьЧастьОграничения(СвойстваЧасти, ВнутренниеДанные));
```
</details>

## РазобратьДополнительныеТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьЧастьОграничения.
Процедура РазобратьДополнительныеТаблицы(СвойстваЧасти, ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьДополнительныеТаблицы(СвойстваЧасти, ВнутренниеДанные));
```
</details>

## РазобратьСоединение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьДополнительныеТаблицы.
//
// Параметры:
//    Соединение - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//
Процедура РазобратьСоединение(Соединение, СвойстваЧасти, ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьСоединение(Соединение, СвойстваЧасти, ВнутренниеДанные));
```
</details>

## РазобратьПоляУсловияСоединенияИОтметитьЗапреты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьДополнительныеТаблицы.
Процедура РазобратьПоляУсловияСоединенияИОтметитьЗапреты(ОписаниеСоединения, ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьПоляУсловияСоединенияИОтметитьЗапреты(ОписаниеСоединения, ВнутренниеДанные));
```
</details>

## УзлыДляПроверкиДоступности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьУсловиеСоединения, РазобратьУсловиеОграничения.
//
// Параметры:
//  Список - Строка - список имен узлов через запятую.
//  ЭтоСписокИсключений - Булево - если Истина, добавить узлы, кроме указанных.
//
// Возвращаемое значение:
//  ФиксированноеСоответствие из КлючИЗначение:
//    * Ключ - Строка - имя узла
//    * Значение - Булево
//               - Структура:
//       ** Выразить - Булево
//       ** Вложение - Булево
//       ** ЕстьNull - Булево
//
Функция УзлыДляПроверкиДоступности(Список, ЭтоСписокИсключений) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.УзлыДляПроверкиДоступности(Список, ЭтоСписокИсключений) 
```
</details>

## ОтметитьНекорректныеАргументыИЗапрещенныеУзлы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьУсловиеСоединения, РазобратьУсловиеОграничения.
//
// Параметры:
//  Условие       - см. ОписаниеУзла
//  ДоступныеУзлы - Структура
//  Контекст      - см. РасширенныеВнутренниеДанные
//  Родитель      - см. ОписаниеУзла
//
Процедура ОтметитьНекорректныеАргументыИЗапрещенныеУзлы(Условие, ДоступныеУзлы, Контекст, Родитель = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтметитьНекорректныеАргументыИЗапрещенныеУзлы(Условие, ДоступныеУзлы, Контекст, Родитель);
```
</details>

## НовоеПолеКлючаДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//    * Поле   - см. ОписаниеУзла
//    * Чтение - Булево
//    * Родители - Массив из см. ОписаниеУзла
//
Функция НовоеПолеКлючаДоступа() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовоеПолеКлючаДоступа());
```
</details>

## ВыделитьПсевдонимПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОтметитьНекорректныеАргументыИЗапрещенныеУзлы.
Процедура ВыделитьПсевдонимПоля(УзелПоле, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВыделитьПсевдонимПоля(УзелПоле, Контекст));
```
</details>

## УдалитьСвойствоИсточник
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьУсловиеСоединения, РазобратьУсловиеОграничения.
Процедура УдалитьСвойствоИсточник(Условие) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьСвойствоИсточник(Условие));
```
</details>

## УстановитьОшибкуУзелЗапрещен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОтметитьНекорректныеАргументыИЗапрещенныеУзлы.
Процедура УстановитьОшибкуУзелЗапрещен(Строка, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьОшибкуУзелЗапрещен(Строка, Контекст));
```
</details>

## ОтметитьПовторыТиповСредиПроверяемыхИУточняемых
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОтметитьНекорректныеАргументыИЗапрещенныеУзлы.
Процедура ОтметитьПовторыТиповСредиПроверяемыхИУточняемых(Узел, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтметитьПовторыТиповСредиПроверяемыхИУточняемых(Узел, Контекст));
```
</details>

## РазобратьУсловиеОграничения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьЧастьОграничения.
//
// Параметры:
//  СвойстваЧасти - см. НовыеСвойстваЧасти
//  ВнутренниеДанные - см. НовыеВнутренниеДанные
//
Процедура РазобратьУсловиеОграничения(СвойстваЧасти, ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьУсловиеОграничения(СвойстваЧасти, ВнутренниеДанные));
```
</details>

## ДобавитьПсевдонимыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ЧастиОграничения, РазобратьУсловиеОграничения.
Процедура ДобавитьПсевдонимыПоУмолчанию(Контекст); Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьПсевдонимыПоУмолчанию(Контекст););
```
</details>

## РазобратьУсловие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьУсловиеСоединения, РазобратьУсловиеОграничения.
//
// Параметры:
//  Условие          - Массив из СтрокаТаблицыЗначений
//  Состав           - см. ОписаниеУзла
//  ВнутренниеДанные - см. НовыеВнутренниеДанные
//
Процедура РазобратьУсловие(Условие, Состав, ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьУсловие(Условие, Состав, ВнутренниеДанные));
```
</details>

## ОбъединитьВложенныеЛогическиеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьУсловие.
Процедура ОбъединитьВложенныеЛогическиеОперации(Состав) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбъединитьВложенныеЛогическиеОперации(Состав));
```
</details>

## РазобратьВыражение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Для процедур РазобратьУсловие, РазобратьФункцию, РазобратьВыбор.
//
// Параметры:
//    Условие - Массив из см. СтрокаТаблицы.ОписаниеСтроки
//
Процедура РазобратьВыражение(Условие, Состав, ТекущийКонтекст, ВложенноеВыражение = Истина) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьВыражение(Условие, Состав, ТекущийКонтекст, ВложенноеВыражение);
```
</details>

## ОписаниеУзлаПолеИлиУзлаКонстанта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьВыражение, РазобратьПервыйПараметрПроверочнойФункции,
// РазобратьПараметрыФункцииТипЗначения, РазобратьВыбор и
// для функции ОписаниеУзлаПолеИзФункцииЕстьNull.
//
Функция ОписаниеУзлаПолеИлиУзлаКонстанта(Строка) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеУзлаПолеИлиУзлаКонстанта(Строка));
```
</details>

## ОписаниеУзлаПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ОписаниеУзлаПолеИлиУзлаКонстанта, ОписаниеУзлаПолеИзФункцииВыразить, ОписаниеУзлаПолеИзФункцииЕстьNull.
Функция ОписаниеУзлаПоле(Строка) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеУзлаПоле(Строка));
```
</details>

## РазобратьСоединитель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьВыражение.
Процедура РазобратьСоединитель(Контекст, ЭтоОперация = Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьСоединитель(Контекст, ЭтоОперация);
```
</details>

## РазобратьСоединительВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьВыражение.
Процедура РазобратьСоединительВ(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьСоединительВ(Контекст));
```
</details>

## РазобратьЗначениеСоединителяВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьСоединительВ.
Процедура РазобратьЗначениеСоединителяВ(Контекст, Подстрока, НовоеОписание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьЗначениеСоединителяВ(Контекст, Подстрока, НовоеОписание));
```
</details>

## НовыйКонтекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьЗначениеСоединителяВ.
Функция НовыйКонтекст(Контекст, Строка = null, Описание = null) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыйКонтекст(Контекст, Строка, Описание);
```
</details>

## ДобавитьСоединитель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьСоединитель, РазобратьСоединительВ, ВставитьСоединительСУчетомПриоритета.
Процедура ДобавитьСоединитель(Контекст, НовоеОписание, ПервыйАргумент); Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьСоединитель(Контекст, НовоеОписание, ПервыйАргумент););
```
</details>

## ОбработатьПропущенныйАргументПослеСоединителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьСоединитель.
Процедура ОбработатьПропущенныйАргументПослеСоединителя(Контекст, ВторойАргумент, ЛогическаяОперация = Истина) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьПропущенныйАргументПослеСоединителя(Контекст, ВторойАргумент, ЛогическаяОперация);
```
</details>

## ВставитьСоединительСУчетомПриоритета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ДобавитьСоединитель, ОбработатьПропущеннуюЛогическуюОперацию.
Процедура ВставитьСоединительСУчетомПриоритета(Контекст, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВставитьСоединительСУчетомПриоритета(Контекст, );
```
</details>

## РазобратьОператор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьВыражение.
Процедура РазобратьОператор(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьОператор(Контекст));
```
</details>

## РазобратьФункцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьВыражение, РазобратьЗначениеСоединителяВ.
Процедура РазобратьФункцию(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьФункцию(Контекст));
```
</details>

## РазобратьПараметрыПроверочнойФункции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьФункцию.
Процедура РазобратьПараметрыПроверочнойФункции(Контекст, НовоеОписание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьПараметрыПроверочнойФункции(Контекст, НовоеОписание));
```
</details>

## РазобратьПервыйПараметрПроверочнойФункции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьПараметрыПроверочнойФункции.
//
// Параметры:
//  ПервыйПараметр - Структура:
//   * Строки - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//
Процедура РазобратьПервыйПараметрПроверочнойФункции(Контекст, ПервыйПараметр, НовоеОписание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьПервыйПараметрПроверочнойФункции(Контекст, ПервыйПараметр, НовоеОписание));
```
</details>

## РазобратьДополнительныйПараметрПроверочнойФункции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьПараметрыПроверочнойФункции.
//
// Параметры:
//  Параметр - Структура:
//    * Строки - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//
Процедура РазобратьДополнительныйПараметрПроверочнойФункции(Контекст, Параметр, НовоеОписание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьДополнительныйПараметрПроверочнойФункции(Контекст, Параметр, НовоеОписание));
```
</details>

## РазобратьПараметрыФункцииЗначениеИлиФункцииТип
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьФункцию.
Процедура РазобратьПараметрыФункцииЗначениеИлиФункцииТип(Строка, НовоеОписание, ЭтоФункцияЗначение, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьПараметрыФункцииЗначениеИлиФункцииТип(Строка, НовоеОписание, ЭтоФункцияЗначение, Контекст));
```
</details>

## РазобратьПараметрыФункцииРольДоступна
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьФункцию.
Процедура РазобратьПараметрыФункцииРольДоступна(Строка, НовоеОписание, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьПараметрыФункцииРольДоступна(Строка, НовоеОписание, Контекст));
```
</details>

## РазобратьПараметрыФункцииПравоДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьФункцию.
Процедура РазобратьПараметрыФункцииПравоДоступа(Строка, НовоеОписание, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьПараметрыФункцииПравоДоступа(Строка, НовоеОписание, Контекст));
```
</details>

## РазобратьПараметрыФункцииТипЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьФункцию.
Процедура РазобратьПараметрыФункцииТипЗначения(Контекст, НовоеОписание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьПараметрыФункцииТипЗначения(Контекст, НовоеОписание));
```
</details>

## ОписаниеУзлаПолеИзФункцииВыразить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьФункцию, РазобратьПервыйПараметрПроверочнойФункции, РазобратьПараметрыФункцииТипЗначения.
Функция ОписаниеУзлаПолеИзФункцииВыразить(Строка, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеУзлаПолеИзФункцииВыразить(Строка, Контекст));
```
</details>

## ОписаниеУзлаПолеИзФункцииЕстьNull
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьФункцию, РазобратьПервыйПараметрПроверочнойФункции,
// РазобратьПараметрыФункцииТипЗначения и
// для функции ОписаниеУзлаПолеИзФункцииВыразить.
//
Функция ОписаниеУзлаПолеИзФункцииЕстьNull(Строка, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОписаниеУзлаПолеИзФункцииЕстьNull(Строка, Контекст));
```
</details>

## ПараметрыРазделенныеЗапятыми
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьСоединительВ, РазобратьПараметрыПроверочнойФункции,
// РазобратьПараметрыФункцииЗначениеИлиФункцииТип, РазобратьПараметрыФункцииТипЗначения и
// для функций ОписаниеУзлаПолеИзФункцииВыразить, ОписаниеУзлаПолеИзФункцииЕстьNull.
//
// Параметры:
//  ОписаниеСтроки - см. СтрокаТаблицы.ОписаниеСтроки
//
// Возвращаемое значение:
//   Массив из Структура:
//   * Строки - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//
Функция ПараметрыРазделенныеЗапятыми(ОписаниеСтроки, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПараметрыРазделенныеЗапятыми(ОписаниеСтроки, Контекст));
```
</details>

## РазобратьВыбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьВыражение.
//
// Параметры:
//    Контекст - Структура:
//    * Строка - Структура:
//       ** Строки - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//
Процедура РазобратьВыбор(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьВыбор(Контекст));
```
</details>

## РазобратьОшибочноеКлючевоеСлово
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьВыражение.
Процедура РазобратьОшибочноеКлючевоеСлово(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РазобратьОшибочноеКлючевоеСлово(Контекст));
```
</details>

## ДобавитьАргументФункциюВыборОператор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьВыражение, РазобратьОператор, РазобратьФункцию, РазобратьВыбор.
Процедура ДобавитьАргументФункциюВыборОператор(Контекст, ДобавляемоеОписание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьАргументФункциюВыборОператор(Контекст, ДобавляемоеОписание));
```
</details>

## ОбработатьПропущеннуюЛогическуюОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьАргументФункциюВыборОператор
Процедура ОбработатьПропущеннуюЛогическуюОперацию(Контекст, ПоследнийАргументОписания, ДобавляемоеОписание) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбработатьПропущеннуюЛогическуюОперацию(Контекст, ПоследнийАргументОписания, ДобавляемоеОписание));
```
</details>

## ВыраженияВСкобкахВоВложениях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьУсловие.
//
// Возвращаемое значение:
//  Массив из СтрокаТаблицыЗначений
//
Функция ВыраженияВСкобкахВоВложениях(Строки, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВыраженияВСкобкахВоВложениях(Строки, Контекст));
```
</details>

## ВыраженияВыборКогдаТогдаВоВложениях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьУсловие.
//
// Параметры:
//    Строки - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//
Функция ВыраженияВыборКогдаТогдаВоВложениях(Строки, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВыраженияВыборКогдаТогдаВоВложениях(Строки, Контекст));
```
</details>

## ФункцииСВыражениямиВСкобках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьУсловие.
//
// Параметры:
//    Строки - Массив из см. СтрокаТаблицы.ОписаниеСтроки
//
Функция ФункцииСВыражениямиВСкобках(Строки, ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ФункцииСВыражениямиВСкобках(Строки, ВнутренниеДанные));
```
</details>

## ДобавитьВложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ВыраженияВСкобкахВоВложениях, ВыраженияВыборКогдаТогдаВоВложениях.
Процедура ДобавитьВложение(Строка, Вложения, ТекущееВложение, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьВложение(Строка, Вложения, ТекущееВложение, Контекст));
```
</details>

## УдалитьПоследнееВложение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функций ВыраженияВСкобкахВоВложениях, ВыраженияВыборКогдаТогдаВоВложениях.
Процедура УдалитьПоследнееВложение(Вложения, ТекущееВложение, Контекст, КонечнаяСтрока = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УдалитьПоследнееВложение(Вложения, ТекущееВложение, Контекст, КонечнаяСтрока);
```
</details>

## ВосстановитьСтруктуруВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для функции ВыраженияВыборКогдаТогдаВоВложениях.
Процедура ВосстановитьСтруктуруВыбора(Строка, Вложения, ТекущееВложение, СписокНедостающихСлов, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ВосстановитьСтруктуруВыбора(Строка, Вложения, ТекущееВложение, СписокНедостающихСлов, Контекст));
```
</details>

## ДополнительнаяСтрока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОбработатьПропущеннуюЛогическуюОперацию, ВыраженияВыборКогдаТогдаВоВложениях,
// ВосстановитьСтруктуруВыбора и для функции ПараметрыРазделенныеЗапятыми.
//
// Возвращаемое значение:
//   Структура:
//   * Символы - Строка
//   * Вид - Строка
//   * Тип - Строка
//   * Приоритет - Число
//   * Уточнение - Строка
//   * Строки - Массив из Число - индексы строк ТаблицаНаборовСимволов
//   * КонечнаяСтрока - Число - индекс строки ТаблицаНаборовСимволов
//   * ПозицияОшибки - Число
//   * ТекстОшибки - Строка
//
Функция ДополнительнаяСтрока(Строка, Уточнение = "", Контекст = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ДополнительнаяСтрока(Строка, Уточнение, Контекст);
```
</details>

## ИзменитьВидКлючевогоСловаСписокНаИмя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьДополнительныеТаблицы, РазобратьУсловиеОграничения.
//
// Параметры:
//    СтрокиЧасти - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//
Процедура ИзменитьВидКлючевогоСловаСписокНаИмя(СтрокиЧасти, ИсключаемаяСтрока = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ИзменитьВидКлючевогоСловаСписокНаИмя(СтрокиЧасти, ИсключаемаяСтрока);
```
</details>

## УстановитьПсевдоним
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьДополнительныеТаблицы, РазобратьСоединение.
//
// Параметры:
//    СтрокиЧасти - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//
Процедура УстановитьПсевдоним(СтрокаЧасти, ОписаниеСоединения, ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьПсевдоним(СтрокаЧасти, ОписаниеСоединения, ВнутренниеДанные));
```
</details>

## УстановитьИмяТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьСоединение.
//
// Параметры:
//    СтрокиЧасти - Массив из СтрокаТаблицыЗначений: см. ТаблицаНаборовСимволов
//
Процедура УстановитьИмяТаблицы(СтрокаЧасти, ОписаниеСоединения, ВнутренниеДанные) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьИмяТаблицы(СтрокаЧасти, ОписаниеСоединения, ВнутренниеДанные));
```
</details>

## ДобавитьТребуемуюТаблицуКакИсточникДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры УстановитьИмяТаблицы.
Процедура ДобавитьТребуемуюТаблицуКакИсточникДанных(Контекст, Таблица, Источник) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТребуемуюТаблицуКакИсточникДанных(Контекст, Таблица, Источник));
```
</details>

## ДобавитьТребуемуюТаблицуКакСсылочныйТип
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ВыделитьПсевдонимПоля, РазобратьПервыйПараметрПроверочнойФункции,
// РазобратьДополнительныйПараметрПроверочнойФункции, РазобратьПараметрыФункцииЗначениеИлиФункцииТип.
//
Процедура ДобавитьТребуемуюТаблицуКакСсылочныйТип(Контекст, Таблица, Источник) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТребуемуюТаблицуКакСсылочныйТип(Контекст, Таблица, Источник));
```
</details>

## ДобавитьТребуемыйПредопределенныйЭлемент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьПараметрыФункцииЗначениеИлиФункцииТип.
Процедура ДобавитьТребуемыйПредопределенныйЭлемент(Контекст, ПолноеИмяПредопределенного, Источник) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТребуемыйПредопределенныйЭлемент(Контекст, ПолноеИмяПредопределенного, Источник));
```
</details>

## ПроверитьИмяРоли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры РазобратьПараметрыФункцииРольДоступна.
Процедура ПроверитьИмяРоли(ИмяРоли, Источник) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьИмяРоли(ИмяРоли, Источник));
```
</details>

## ПроверитьИмяПраваОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьИмяПраваОбъектаМетаданных(ИмяПрава, ИсточникПрава, ИмяОбъекта, ИсточникОбъекта) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьИмяПраваОбъектаМетаданных(ИмяПрава, ИсточникПрава, ИмяОбъекта, ИсточникОбъекта));
```
</details>

## ОбъектМетаданныхПоПолномуИмениДляПроверкиПрава
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьИмяПраваОбъектаМетаданных
Функция ОбъектМетаданныхПоПолномуИмениДляПроверкиПрава(ПолноеИмя, ИмяСтандартногоРеквизита = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбъектМетаданныхПоПолномуИмениДляПроверкиПрава(ПолноеИмя, ИмяСтандартногоРеквизита);
```
</details>

## ДобавитьТребуемоеПолеТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ОтметитьНекорректныеАргументыИЗапрещенныеУзлы, ВыделитьПсевдонимПоля,
// ДобавитьТипыВидовДоступаПользователиИВнешниеПользователиДляПроверкиОтсутствия.
//
Процедура ДобавитьТребуемоеПолеТаблицы(Контекст, Таблица, ИмяПоля, Источник, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТребуемоеПолеТаблицы(Контекст, Таблица, ИмяПоля, Источник, );
```
</details>

## СвойстваИмениТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ДобавитьТребуемуюТаблицуКакИсточникДанных, ДобавитьТребуемуюТаблицуКакСсылочныйТип,
// ДобавитьТребуемыйПредопределенныйЭлемент, ДобавитьТребуемоеПолеТаблицы.
//
Функция СвойстваИмениТаблицы(Контекст, ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваИмениТаблицы(Контекст, ПолноеИмя));
```
</details>

## СвойстваТребуемойТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ДобавитьТребуемуюТаблицуКакИсточникДанных, ДобавитьТребуемуюТаблицуКакСсылочныйТип,
// ДобавитьТребуемыйПредопределенныйЭлемент, ДобавитьТребуемоеПолеТаблицы.
//
Функция СвойстваТребуемойТаблицы(Контекст, СвойстваИмени, БезРасширения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваТребуемойТаблицы(Контекст, СвойстваИмени, БезРасширения);
```
</details>

## ПодставитьКлючевыеСловаВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур и функций ЧастиОграничения, РазобратьДополнительныеТаблицы, РазобратьСоединение,
// РазобратьУсловиеОграничения, ВыраженияВыборКогдаТогдаВоВложениях.
//
Функция ПодставитьКлючевыеСловаВСтроку(Контекст, Строка, СписокСлов, ПараметрОдин = "", ПараметрДва = "", ПараметрТри = "") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ПодставитьКлючевыеСловаВСтроку(Контекст, Строка, СписокСлов, ПараметрОдин, ПараметрДва, ПараметрТри);
```
</details>

## КлючевоеСловоСУчетомЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур РазобратьДополнительныеТаблицы, РазобратьСоединение, РазобратьУсловиеОграничения.
Функция КлючевоеСловоСУчетомЯзыка(ИдентификаторСлова, Контекст) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.КлючевоеСловоСУчетомЯзыка(ИдентификаторСлова, Контекст));
```
</details>

## ПроверитьТаблицыПоляИТипыПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка таблиц, полей таблиц и типов полей, найденных при разборе текста ограничения.
// Аналогичная процедура реализуется в СППР.
//
// Параметры:
//  РазобранноеОграничение - см. РазобранноеОграничение
//
Процедура ПроверитьТаблицыПоляИТипыПолей(РазобранноеОграничение) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьТаблицыПоляИТипыПолей(РазобранноеОграничение));
```
</details>

## ПроверитьПолеТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьТаблицыПоляИТипыПолей, ПроверитьСледующееПолеЧерезТочку.
Процедура ПроверитьПолеТаблицы(ОписаниеПоля, Контекст, Индекс = 0, ПервыйВызов = Истина) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьПолеТаблицы(ОписаниеПоля, Контекст, Индекс, ПервыйВызов);
```
</details>

## ПроверитьСледующееПолеЧерезТочку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьПолеТаблицы и ПроверитьРасширенияТаблицы.
Процедура ПроверитьСледующееПолеЧерезТочку(ОписаниеПоля, Индекс, СвойстваТекущегоПоля, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьСледующееПолеЧерезТочку(ОписаниеПоля, Индекс, СвойстваТекущегоПоля, Контекст));
```
</details>

## СвойстваПоляИлиТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьПолеТаблицы.
Функция СвойстваПоляИлиТабличнойЧасти(ИмяПоляИлиТабличнойЧасти, Контекст, ЭтоПервоеПоле) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваПоляИлиТабличнойЧасти(ИмяПоляИлиТабличнойЧасти, Контекст, ЭтоПервоеПоле));
```
</details>

## СвойстваПоляТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьРасширенияТаблицы, ПроверитьПолеТаблицы.
Функция СвойстваПоляТабличнойЧасти(ИмяПоляТабличнойЧасти, МетаданныеТабличнойЧасти, ИмяКоллекции, МетаданныеТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваПоляТабличнойЧасти(ИмяПоляТабличнойЧасти, МетаданныеТабличнойЧасти, ИмяКоллекции, МетаданныеТаблицы));
```
</details>

## СвойстваПоляПерерасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьРасширенияТаблицы, ПроверитьПолеТаблицы.
Функция СвойстваПоляПерерасчета(ИмяПоляПерерасчета, МетаданныеПерерасчета, МетаданныеТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.СвойстваПоляПерерасчета(ИмяПоляПерерасчета, МетаданныеПерерасчета, МетаданныеТаблицы));
```
</details>

## ДобавитьТипыПоляДополнительно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьПолеТаблицы.
Процедура ДобавитьТипыПоляДополнительно(ОписаниеПоля, Индекс, СвойстваТекущегоПоля, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТипыПоляДополнительно(ОписаниеПоля, Индекс, СвойстваТекущегоПоля, Контекст));
```
</details>

## ЗаполнитьТипыПоляСтрокойДополнительно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьПолеТаблицы.
Процедура ЗаполнитьТипыПоляСтрокойДополнительно(ОписаниеПоля) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьТипыПоляСтрокойДополнительно(ОписаниеПоля));
```
</details>

## ДобавитьОсновнойПорядокПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТипыПоляДополнительно.
Процедура ДобавитьОсновнойПорядокПоля(СвойстваТекущегоПоля, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьОсновнойПорядокПоля(СвойстваТекущегоПоля, Контекст));
```
</details>

## УстановитьПолеСодержитNull
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ДобавитьТипыПоляДополнительно.
Процедура УстановитьПолеСодержитNull(УзелПоле, СвойстваТекущегоПоля, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьПолеСодержитNull(УзелПоле, СвойстваТекущегоПоля, Контекст));
```
</details>

## ПроверитьРасширенияТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьТаблицыПоляИТипыПолей.
Процедура ПроверитьРасширенияТаблицы(ПоляТаблицы, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьРасширенияТаблицы(ПоляТаблицы, Контекст));
```
</details>

## ПроверитьТипыПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедур ПроверитьТаблицыПоляИТипыПолей и ПроверитьРасширенияТаблицы.
Процедура ПроверитьТипыПоля(ОписаниеПоля, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьТипыПоля(ОписаниеПоля, Контекст));
```
</details>

## ПроверитьПредопределенныеЗначенияТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ПроверитьТаблицыПоляИТипыПолей.
//
// Параметры:
//    ПоляТаблицы - см. НовыйСоставКоллекции
//
Процедура ПроверитьПредопределенныеЗначенияТаблицы(ПоляТаблицы, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ПроверитьПредопределенныеЗначенияТаблицы(ПоляТаблицы, Контекст));
```
</details>

## ОтметитьНекорректныеИменаТаблицПолейИТиповПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Для функции СтруктураОграничения.
Процедура ОтметитьНекорректныеИменаТаблицПолейИТиповПолей(ПоляТаблиц, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтметитьНекорректныеИменаТаблицПолейИТиповПолей(ПоляТаблиц, Контекст));
```
</details>

## ОтметитьНекорректноеПолеИТипыПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОтметитьНекорректныеИменаТаблицПолейИТиповПолей.
Процедура ОтметитьНекорректноеПолеИТипыПоля(ОписаниеПоля, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОтметитьНекорректноеПолеИТипыПоля(ОписаниеПоля, Контекст));
```
</details>

## УстановитьОшибкуВСтрокеИмениПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОтметитьНекорректныеИменаТаблицПолейИТиповПолей.
Процедура УстановитьОшибкуВСтрокеИмениПоля(Контекст, Строка, ШаблонОшибки, ПолеСОшибкой, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.УстановитьОшибкуВСтрокеИмениПоля(Контекст, Строка, ШаблонОшибки, ПолеСОшибкой, );
```
</details>

## НовыеХранимыеДанныеОбновленияПрогресса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Структура:
//   * СтрокиСписков - Соответствие
//   * СвойстваСписков - Соответствие
//   * КоличествоКлючей - Число
//   * ДатаПоследнегоОбновления - Дата
//
Функция НовыеХранимыеДанныеОбновленияПрогресса() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.НовыеХранимыеДанныеОбновленияПрогресса() 
```
</details>

## ОбновитьПрогрессВФоне
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Контекст - Структура:
//   * Версия - Число
//   * ХранимыеДанные - см. НовыеХранимыеДанныеОбновленияПрогресса
//   * РассчитыватьПоКоличествуДанных - Булево
//   * ПоказыватьОбработанныеСписки - Булево
//   * ЭтоПовторноеОбновлениеПрогресса - Булево
//   * ВсегоОбновлено - Число
//   * ПериодОбновленияПрогресса - Число
//   * АвтообновлениеПрогресса - Булево
//   * ДобавленныеСтроки - Массив
//   * УдаленныеСтроки - Соответствие
//   * ИзмененныеСтроки - Соответствие
//   * ОбновлениеДоступаВыполняется - Булево
//
//  АдресРезультата - Строка
//
Процедура ОбновитьПрогрессВФоне(Контекст, АдресРезультата) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьПрогрессВФоне(Контекст, АдресРезультата) 
```
</details>

## ОбновитьПрогресс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПрогресс(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьПрогресс(Контекст));
```
</details>

## ЗаполнитьДолиОбработанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДолиОбработанных(Строка, ОписаниеОбновления, СвойстваСписка, ЭтоОбработкаЭлементов, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьДолиОбработанных(Строка, ОписаниеОбновления, СвойстваСписка, ЭтоОбработкаЭлементов, Контекст));
```
</details>

## ОбработаноПоДолям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработаноПоДолям(ДоляОбработанныхДляПользователей, ДоляОбработанныхДляВнешнихПользователей, ИмяТаблицы, ДействующиеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ОбработаноПоДолям(ДоляОбработанныхДляПользователей, ДоляОбработанныхДляВнешнихПользователей, ИмяТаблицы, ДействующиеПараметры));
```
</details>

## ОбнулитьКоличествоЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбнулитьКоличествоЭлементов(Строка, Контекст); Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбнулитьКоличествоЭлементов(Строка, Контекст););
```
</details>

## ОбнулитьКоличествоКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбнулитьКоличествоКлючейДоступа(Строка, Контекст); Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбнулитьКоличествоКлючейДоступа(Строка, Контекст););
```
</details>

## ДобавитьНовуюСтрокуСписка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьНовуюСтрокуСписка(Контекст, Список, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьНовуюСтрокуСписка(Контекст, Список, ИмяТаблицы));
```
</details>

## РассчитатьВсегоОбновленоПоКоличествуДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  Контекст - Структура:
//   * ДобавленныеСтроки - Массив
//   * ИзмененныеСтроки - Соответствие
//   * СвойстваСписков - Соответствие
//   * СтрокиСписков - Соответствие
//   * ДействующиеПараметры - см. ДействующиеПараметрыОграниченияДоступа
//   * СтрокиОбновленияКоличестваЭлементов - Массив
//   * СтрокиОбновленияКоличестваКлючейДоступа - Массив
//   * ИдентификаторыТаблиц - см. ОбщегоНазначения.ИдентификаторыОбъектовМетаданных
//   * ХранимыеДанные - см. НовыеХранимыеДанныеОбновленияПрогресса
//   * ТипыТаблицПоИменам - Соответствие
//
//  ВсегоОбновлено - Число
//
Процедура РассчитатьВсегоОбновленоПоКоличествуДанных(Контекст, ВсегоОбновлено) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.РассчитатьВсегоОбновленоПоКоличествуДанных(Контекст, ВсегоОбновлено));
```
</details>

## ЗаполнитьКоличествоЭлементовИКлючейДоступаПоСпискам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьКоличествоЭлементовИКлючейДоступаПоСпискам(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьКоличествоЭлементовИКлючейДоступаПоСпискам(Контекст));
```
</details>

## ОбновитьКоличествоЭлементовИКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьКоличествоЭлементовИКлючейДоступа(Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьКоличествоЭлементовИКлючейДоступа(Контекст));
```
</details>

## ОбновитьКоличество
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для процедуры ОбновитьКоличествоЭлементовИКлючейДоступа.
Процедура ОбновитьКоличество(РезультатЗапроса, ПоследнийОбновленный, Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьКоличество(РезультатЗапроса, ПоследнийОбновленный, );
```
</details>

## ВыполнитьПакетЗапросовПоЧастям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращаемое значение:
//  Массив из РезультатЗапроса
//
Функция ВыполнитьПакетЗапросовПоЧастям(ОписаниеЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ВыполнитьПакетЗапросовПоЧастям(ОписаниеЗапроса));
```
</details>

## ДобавитьРезультатыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьРезультатыЗапроса(РезультатыПакетаЗапросов, ТекстыПорцииЗапросов, ОписаниеЗапроса) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьРезультатыЗапроса(РезультатыПакетаЗапросов, ТекстыПорцииЗапросов, ОписаниеЗапроса));
```
</details>

## ОбновитьЗначениеВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьЗначениеВСтроке(СтароеЗначение, НовоеЗначение, Строка, Контекст) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ОбновитьЗначениеВСтроке(СтароеЗначение, НовоеЗначение, Строка, Контекст));
```
</details>

## ДобавитьТекстЗапросаКоличестваЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаКоличестваЭлементов(ОписаниеЗапроса, Строка, Индекс, Контекст, ДляВнешнихПользователей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТекстЗапросаКоличестваЭлементов(ОписаниеЗапроса, Строка, Индекс, Контекст, ДляВнешнихПользователей));
```
</details>

## ТекстЗапросаКоличестваЭлементовРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаКоличестваЭлементовРегистра(Контекст, Строка, Индекс, ДляВнешнихПользователей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаКоличестваЭлементовРегистра(Контекст, Строка, Индекс, ДляВнешнихПользователей));
```
</details>

## ДобавитьТекстЗапросаКоличестваОставшихсяЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаКоличестваОставшихсяЭлементов(ОписаниеЗапроса, Строка, Индекс, Контекст, ДляВнешнихПользователей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТекстЗапросаКоличестваОставшихсяЭлементов(ОписаниеЗапроса, Строка, Индекс, Контекст, ДляВнешнихПользователей));
```
</details>

## ЗаполнитьДолиКоличествоЭлементовСсылочногоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДолиКоличествоЭлементовСсылочногоТипа(ДолиКоличестваЭлементов, Элемент, ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьДолиКоличествоЭлементовСсылочногоТипа(ДолиКоличестваЭлементов, Элемент, ИмяТаблицы));
```
</details>

## ТекстЗапросаКоличестваОставшихсяЭлементовРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаКоличестваОставшихсяЭлементовРегистра(ОписаниеЗапроса, Строка, Индекс, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекстЗапросаКоличестваОставшихсяЭлементовРегистра(ОписаниеЗапроса, Строка, Индекс, );
```
</details>

## ЗаполнитьДолиКоличестваЭлементовРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДолиКоличестваЭлементовРегистра(ДолиКоличестваЭлементов, Элемент, СвойстваОграничения) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьДолиКоличестваЭлементовРегистра(ДолиКоличестваЭлементов, Элемент, СвойстваОграничения));
```
</details>

## ДобавитьТекстЗапросаКоличестваКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаКоличестваКлючейДоступа(ОписаниеЗапроса, Строка, Индекс, ДляВнешнихПользователей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТекстЗапросаКоличестваКлючейДоступа(ОписаниеЗапроса, Строка, Индекс, ДляВнешнихПользователей));
```
</details>

## ДобавитьТекстЗапросаКоличестваОставшихсяКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьТекстЗапросаКоличестваОставшихсяКлючейДоступа(ОписаниеЗапроса, Строка, Индекс, Контекст, ДляВнешнихПользователей) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ДобавитьТекстЗапросаКоличестваОставшихсяКлючейДоступа(ОписаниеЗапроса, Строка, Индекс, Контекст, ДляВнешнихПользователей));
```
</details>

## ЗаполнитьДолиКоличестваКлючейДоступа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДолиКоличестваКлючейДоступа(ДолиКоличестваКлючейДоступа, Элемент) Экспорт
```

Пример вызова
```bsl
УправлениеДоступомСлужебный.ЗаполнитьДолиКоличестваКлючейДоступа(ДолиКоличестваКлючейДоступа, Элемент));
```
</details>

## ИдентификаторыСписковСОграничением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры:
//  ДействующиеПараметры - см. ДействующиеПараметрыОграниченияДоступа
//
// Возвращаемое значение:
//   см. ОбщегоНазначения.ИдентификаторыОбъектовМетаданных
//
Функция ИдентификаторыСписковСОграничением(ДействующиеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ИдентификаторыСписковСОграничением(ДействующиеПараметры));
```
</details>

## ТекущаяДатаНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекущаяДатаНаСервере() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеДоступомСлужебный.ТекущаяДатаНаСервере() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
